import { defineComponent, openBlock, createElementBlock, createElementVNode, normalizeClass, toDisplayString, unref, ref, createTextVNode, Fragment, renderList, createCommentVNode, createVNode, withCtx, onMounted, computed, createBlock } from "../vue.esm-browser.prod.js";
import { c as commonjsGlobal$1, D as DPClipboard, _ as _sfc_main$5 } from "./index.js";
const BUILD = {
  allRenderFn: false,
  cmpDidLoad: true,
  cmpDidUnload: false,
  cmpDidUpdate: true,
  cmpDidRender: true,
  cmpWillLoad: true,
  cmpWillUpdate: true,
  cmpWillRender: true,
  connectedCallback: true,
  disconnectedCallback: true,
  element: true,
  event: true,
  hasRenderFn: true,
  lifecycle: true,
  hostListener: true,
  hostListenerTargetWindow: true,
  hostListenerTargetDocument: true,
  hostListenerTargetBody: true,
  hostListenerTargetParent: false,
  hostListenerTarget: true,
  member: true,
  method: true,
  mode: true,
  observeAttribute: true,
  prop: true,
  propMutable: true,
  reflect: true,
  scoped: true,
  shadowDom: true,
  slot: true,
  cssAnnotations: true,
  state: true,
  style: true,
  svg: true,
  updatable: true,
  vdomAttribute: true,
  vdomXlink: true,
  vdomClass: true,
  vdomFunctional: true,
  vdomKey: true,
  vdomListener: true,
  vdomRef: true,
  vdomPropOrAttr: true,
  vdomRender: true,
  vdomStyle: true,
  vdomText: true,
  watchCallback: true,
  taskQueue: true,
  hotModuleReplacement: false,
  isDebug: false,
  isDev: false,
  isTesting: false,
  hydrateServerSide: false,
  hydrateClientSide: false,
  lifecycleDOMEvents: false,
  lazyLoad: false,
  profile: false,
  slotRelocation: true,
  appendChildSlotFix: false,
  cloneNodeFix: false,
  hydratedAttribute: false,
  hydratedClass: true,
  safari10: false,
  scriptDataOpts: false,
  scopedSlotTextContentFix: false,
  shadowDomShim: false,
  slotChildNodesFix: false,
  invisiblePrehydration: true,
  propBoolean: true,
  propNumber: true,
  propString: true,
  cssVarShim: false,
  constructableCSS: true,
  cmpShouldUpdate: true,
  devTools: false,
  dynamicImportShim: false,
  shadowDelegatesFocus: true,
  initializeNextTick: false,
  asyncLoading: false,
  asyncQueue: false,
  transformTagName: false,
  attachStyles: true
};
let scopeId;
let contentRef;
let hostTagName;
let useNativeShadowDom = false;
let checkSlotFallbackVisibility = false;
let checkSlotRelocate = false;
let isSvgMode = false;
let renderingRef = null;
let queuePending = false;
const win = typeof window !== "undefined" ? window : {};
BUILD.cssVarShim ? win.CSS : null;
const doc = win.document || { head: {} };
win.HTMLElement || class {
};
const plt = {
  $flags$: 0,
  $resourcesUrl$: "",
  jmp: (h2) => h2(),
  raf: (h2) => requestAnimationFrame(h2),
  ael: (el, eventName, listener, opts) => el.addEventListener(eventName, listener, opts),
  rel: (el, eventName, listener, opts) => el.removeEventListener(eventName, listener, opts),
  ce: (eventName, opts) => new CustomEvent(eventName, opts)
};
const supportsShadow = BUILD.shadowDomShim && BUILD.shadowDom ? /* @__PURE__ */ (() => (doc.head.attachShadow + "").indexOf("[native") > -1)() : true;
const supportsListenerOptions = /* @__PURE__ */ (() => {
  let supportsListenerOptions2 = false;
  try {
    doc.addEventListener("e", null, Object.defineProperty({}, "passive", {
      get() {
        supportsListenerOptions2 = true;
      }
    }));
  } catch (e) {
  }
  return supportsListenerOptions2;
})();
const promiseResolve = (v) => Promise.resolve(v);
const supportsConstructibleStylesheets = BUILD.constructableCSS ? /* @__PURE__ */ (() => {
  try {
    new CSSStyleSheet();
    return typeof new CSSStyleSheet().replace === "function";
  } catch (e) {
  }
  return false;
})() : false;
const addHostEventListeners = (elm, hostRef, listeners, attachParentListeners) => {
  if (listeners) {
    listeners.map(([flags, name, method]) => {
      const target = getHostListenerTarget(elm, flags);
      const handler = hostListenerProxy(hostRef, method);
      const opts = hostListenerOpts(flags);
      plt.ael(target, name, handler, opts);
      (hostRef.$rmListeners$ = hostRef.$rmListeners$ || []).push(() => plt.rel(target, name, handler, opts));
    });
  }
};
const hostListenerProxy = (hostRef, methodName) => (ev) => {
  try {
    if (BUILD.lazyLoad)
      ;
    else {
      hostRef.$hostElement$[methodName](ev);
    }
  } catch (e) {
    consoleError(e);
  }
};
const getHostListenerTarget = (elm, flags) => {
  if (flags & 4)
    return doc;
  if (flags & 8)
    return win;
  if (flags & 16)
    return doc.body;
  return elm;
};
const hostListenerOpts = (flags) => supportsListenerOptions ? {
  passive: (flags & 1) !== 0,
  capture: (flags & 2) !== 0
} : (flags & 2) !== 0;
const XLINK_NS = "http://www.w3.org/1999/xlink";
const createTime = (fnName, tagName = "") => {
  {
    return () => {
      return;
    };
  }
};
const rootAppliedStyles = /* @__PURE__ */ new WeakMap();
const registerStyle = (scopeId2, cssText, allowCS) => {
  let style = styles.get(scopeId2);
  if (supportsConstructibleStylesheets && allowCS) {
    style = style || new CSSStyleSheet();
    style.replace(cssText);
  } else {
    style = cssText;
  }
  styles.set(scopeId2, style);
};
const addStyle = (styleContainerNode, cmpMeta, mode, hostElm) => {
  let scopeId2 = getScopeId(cmpMeta, mode);
  const style = styles.get(scopeId2);
  styleContainerNode = styleContainerNode.nodeType === 11 ? styleContainerNode : doc;
  if (style) {
    if (typeof style === "string") {
      styleContainerNode = styleContainerNode.head || styleContainerNode;
      let appliedStyles = rootAppliedStyles.get(styleContainerNode);
      let styleElm;
      if (!appliedStyles) {
        rootAppliedStyles.set(styleContainerNode, appliedStyles = /* @__PURE__ */ new Set());
      }
      if (!appliedStyles.has(scopeId2)) {
        {
          {
            styleElm = doc.createElement("style");
            styleElm.innerHTML = style;
          }
          styleContainerNode.insertBefore(styleElm, styleContainerNode.querySelector("link"));
        }
        if (appliedStyles) {
          appliedStyles.add(scopeId2);
        }
      }
    } else if (!styleContainerNode.adoptedStyleSheets.includes(style)) {
      styleContainerNode.adoptedStyleSheets = [...styleContainerNode.adoptedStyleSheets, style];
    }
  }
  return scopeId2;
};
const attachStyles = (hostRef) => {
  const cmpMeta = hostRef.$cmpMeta$;
  const elm = hostRef.$hostElement$;
  const flags = cmpMeta.$flags$;
  const endAttachStyles = createTime("attachStyles", cmpMeta.$tagName$);
  const scopeId2 = addStyle(supportsShadow && elm.shadowRoot ? elm.shadowRoot : elm.getRootNode(), cmpMeta, hostRef.$modeName$);
  if (flags & 10) {
    elm["s-sc"] = scopeId2;
    elm.classList.add(scopeId2 + "-h");
    if (flags & 2) {
      elm.classList.add(scopeId2 + "-s");
    }
  }
  endAttachStyles();
};
const getScopeId = (cmp, mode) => "sc-" + (mode && cmp.$flags$ & 32 ? cmp.$tagName$ + "-" + mode : cmp.$tagName$);
const computeMode = (elm) => modeResolutionChain.map((h2) => h2(elm)).find((m) => !!m);
const setMode = (handler) => modeResolutionChain.push(handler);
const EMPTY_OBJ = {};
const SVG_NS = "http://www.w3.org/2000/svg";
const HTML_NS = "http://www.w3.org/1999/xhtml";
const isDef = (v) => v != null;
const isComplexType = (o) => {
  o = typeof o;
  return o === "object" || o === "function";
};
const h = (nodeName, vnodeData, ...children) => {
  let child = null;
  let key = null;
  let slotName = null;
  let simple = false;
  let lastSimple = false;
  const vNodeChildren = [];
  const walk = (c) => {
    for (let i = 0; i < c.length; i++) {
      child = c[i];
      if (Array.isArray(child)) {
        walk(child);
      } else if (child != null && typeof child !== "boolean") {
        if (simple = typeof nodeName !== "function" && !isComplexType(child)) {
          child = String(child);
        }
        if (simple && lastSimple) {
          vNodeChildren[vNodeChildren.length - 1].$text$ += child;
        } else {
          vNodeChildren.push(simple ? newVNode(null, child) : child);
        }
        lastSimple = simple;
      }
    }
  };
  walk(children);
  if (vnodeData) {
    if (vnodeData.key) {
      key = vnodeData.key;
    }
    if (vnodeData.name) {
      slotName = vnodeData.name;
    }
    {
      const classData = vnodeData.className || vnodeData.class;
      if (classData) {
        vnodeData.class = typeof classData !== "object" ? classData : Object.keys(classData).filter((k) => classData[k]).join(" ");
      }
    }
  }
  if (typeof nodeName === "function") {
    return nodeName(vnodeData === null ? {} : vnodeData, vNodeChildren, vdomFnUtils);
  }
  const vnode = newVNode(nodeName, null);
  vnode.$attrs$ = vnodeData;
  if (vNodeChildren.length > 0) {
    vnode.$children$ = vNodeChildren;
  }
  {
    vnode.$key$ = key;
  }
  {
    vnode.$name$ = slotName;
  }
  return vnode;
};
const newVNode = (tag, text) => {
  const vnode = {
    $flags$: 0,
    $tag$: tag,
    $text$: text,
    $elm$: null,
    $children$: null
  };
  {
    vnode.$attrs$ = null;
  }
  {
    vnode.$key$ = null;
  }
  {
    vnode.$name$ = null;
  }
  return vnode;
};
const Host = {};
const isHost = (node) => node && node.$tag$ === Host;
const vdomFnUtils = {
  forEach: (children, cb) => children.map(convertToPublic).forEach(cb),
  map: (children, cb) => children.map(convertToPublic).map(cb).map(convertToPrivate)
};
const convertToPublic = (node) => ({
  vattrs: node.$attrs$,
  vchildren: node.$children$,
  vkey: node.$key$,
  vname: node.$name$,
  vtag: node.$tag$,
  vtext: node.$text$
});
const convertToPrivate = (node) => {
  if (typeof node.vtag === "function") {
    const vnodeData = Object.assign({}, node.vattrs);
    if (node.vkey) {
      vnodeData.key = node.vkey;
    }
    if (node.vname) {
      vnodeData.name = node.vname;
    }
    return h(node.vtag, vnodeData, ...node.vchildren || []);
  }
  const vnode = newVNode(node.vtag, node.vtext);
  vnode.$attrs$ = node.vattrs;
  vnode.$children$ = node.vchildren;
  vnode.$key$ = node.vkey;
  vnode.$name$ = node.vname;
  return vnode;
};
const setAccessor = (elm, memberName, oldValue, newValue, isSvg, flags) => {
  if (oldValue !== newValue) {
    let isProp = isMemberInElement(elm, memberName);
    let ln = memberName.toLowerCase();
    if (memberName === "class") {
      const classList = elm.classList;
      const oldClasses = parseClassList(oldValue);
      const newClasses = parseClassList(newValue);
      classList.remove(...oldClasses.filter((c) => c && !newClasses.includes(c)));
      classList.add(...newClasses.filter((c) => c && !oldClasses.includes(c)));
    } else if (memberName === "style") {
      {
        for (const prop in oldValue) {
          if (!newValue || newValue[prop] == null) {
            if (prop.includes("-")) {
              elm.style.removeProperty(prop);
            } else {
              elm.style[prop] = "";
            }
          }
        }
      }
      for (const prop in newValue) {
        if (!oldValue || newValue[prop] !== oldValue[prop]) {
          if (prop.includes("-")) {
            elm.style.setProperty(prop, newValue[prop]);
          } else {
            elm.style[prop] = newValue[prop];
          }
        }
      }
    } else if (memberName === "key")
      ;
    else if (memberName === "ref") {
      if (newValue) {
        newValue(elm);
      }
    } else if (!elm.__lookupSetter__(memberName) && memberName[0] === "o" && memberName[1] === "n") {
      if (memberName[2] === "-") {
        memberName = memberName.slice(3);
      } else if (isMemberInElement(win, ln)) {
        memberName = ln.slice(2);
      } else {
        memberName = ln[2] + memberName.slice(3);
      }
      if (oldValue) {
        plt.rel(elm, memberName, oldValue, false);
      }
      if (newValue) {
        plt.ael(elm, memberName, newValue, false);
      }
    } else {
      const isComplex = isComplexType(newValue);
      if ((isProp || isComplex && newValue !== null) && !isSvg) {
        try {
          if (!elm.tagName.includes("-")) {
            const n = newValue == null ? "" : newValue;
            if (memberName === "list") {
              isProp = false;
            } else if (oldValue == null || elm[memberName] != n) {
              elm[memberName] = n;
            }
          } else {
            elm[memberName] = newValue;
          }
        } catch (e) {
        }
      }
      let xlink = false;
      {
        if (ln !== (ln = ln.replace(/^xlink\:?/, ""))) {
          memberName = ln;
          xlink = true;
        }
      }
      if (newValue == null || newValue === false) {
        if (newValue !== false || elm.getAttribute(memberName) === "") {
          if (xlink) {
            elm.removeAttributeNS(XLINK_NS, memberName);
          } else {
            elm.removeAttribute(memberName);
          }
        }
      } else if ((!isProp || flags & 4 || isSvg) && !isComplex) {
        newValue = newValue === true ? "" : newValue;
        if (xlink) {
          elm.setAttributeNS(XLINK_NS, memberName, newValue);
        } else {
          elm.setAttribute(memberName, newValue);
        }
      }
    }
  }
};
const parseClassListRegex = /\s/;
const parseClassList = (value) => !value ? [] : value.split(parseClassListRegex);
const updateElement = (oldVnode, newVnode, isSvgMode2, memberName) => {
  const elm = newVnode.$elm$.nodeType === 11 && newVnode.$elm$.host ? newVnode.$elm$.host : newVnode.$elm$;
  const oldVnodeAttrs = oldVnode && oldVnode.$attrs$ || EMPTY_OBJ;
  const newVnodeAttrs = newVnode.$attrs$ || EMPTY_OBJ;
  {
    for (memberName in oldVnodeAttrs) {
      if (!(memberName in newVnodeAttrs)) {
        setAccessor(elm, memberName, oldVnodeAttrs[memberName], void 0, isSvgMode2, newVnode.$flags$);
      }
    }
  }
  for (memberName in newVnodeAttrs) {
    setAccessor(elm, memberName, oldVnodeAttrs[memberName], newVnodeAttrs[memberName], isSvgMode2, newVnode.$flags$);
  }
};
const createElm = (oldParentVNode, newParentVNode, childIndex, parentElm) => {
  const newVNode2 = newParentVNode.$children$[childIndex];
  let i = 0;
  let elm;
  let childNode;
  let oldVNode;
  if (!useNativeShadowDom) {
    checkSlotRelocate = true;
    if (newVNode2.$tag$ === "slot") {
      if (scopeId) {
        parentElm.classList.add(scopeId + "-s");
      }
      newVNode2.$flags$ |= newVNode2.$children$ ? 2 : 1;
    }
  }
  if (newVNode2.$text$ !== null) {
    elm = newVNode2.$elm$ = doc.createTextNode(newVNode2.$text$);
  } else if (newVNode2.$flags$ & 1) {
    elm = newVNode2.$elm$ = doc.createTextNode("");
  } else {
    if (!isSvgMode) {
      isSvgMode = newVNode2.$tag$ === "svg";
    }
    elm = newVNode2.$elm$ = doc.createElementNS(isSvgMode ? SVG_NS : HTML_NS, newVNode2.$flags$ & 2 ? "slot-fb" : newVNode2.$tag$);
    if (isSvgMode && newVNode2.$tag$ === "foreignObject") {
      isSvgMode = false;
    }
    {
      updateElement(null, newVNode2, isSvgMode);
    }
    if (isDef(scopeId) && elm["s-si"] !== scopeId) {
      elm.classList.add(elm["s-si"] = scopeId);
    }
    if (newVNode2.$children$) {
      for (i = 0; i < newVNode2.$children$.length; ++i) {
        childNode = createElm(oldParentVNode, newVNode2, i, elm);
        if (childNode) {
          elm.appendChild(childNode);
        }
      }
    }
    {
      if (newVNode2.$tag$ === "svg") {
        isSvgMode = false;
      } else if (elm.tagName === "foreignObject") {
        isSvgMode = true;
      }
    }
  }
  {
    elm["s-hn"] = hostTagName;
    if (newVNode2.$flags$ & (2 | 1)) {
      elm["s-sr"] = true;
      elm["s-cr"] = contentRef;
      elm["s-sn"] = newVNode2.$name$ || "";
      oldVNode = oldParentVNode && oldParentVNode.$children$ && oldParentVNode.$children$[childIndex];
      if (oldVNode && oldVNode.$tag$ === newVNode2.$tag$ && oldParentVNode.$elm$) {
        putBackInOriginalLocation(oldParentVNode.$elm$, false);
      }
    }
  }
  return elm;
};
const putBackInOriginalLocation = (parentElm, recursive) => {
  plt.$flags$ |= 1;
  const oldSlotChildNodes = parentElm.childNodes;
  for (let i = oldSlotChildNodes.length - 1; i >= 0; i--) {
    const childNode = oldSlotChildNodes[i];
    if (childNode["s-hn"] !== hostTagName && childNode["s-ol"]) {
      parentReferenceNode(childNode).insertBefore(childNode, referenceNode(childNode));
      childNode["s-ol"].remove();
      childNode["s-ol"] = void 0;
      checkSlotRelocate = true;
    }
    if (recursive) {
      putBackInOriginalLocation(childNode, recursive);
    }
  }
  plt.$flags$ &= ~1;
};
const addVnodes = (parentElm, before, parentVNode, vnodes, startIdx, endIdx) => {
  let containerElm = parentElm["s-cr"] && parentElm["s-cr"].parentNode || parentElm;
  let childNode;
  if (containerElm.shadowRoot && containerElm.tagName === hostTagName) {
    containerElm = containerElm.shadowRoot;
  }
  for (; startIdx <= endIdx; ++startIdx) {
    if (vnodes[startIdx]) {
      childNode = createElm(null, parentVNode, startIdx, parentElm);
      if (childNode) {
        vnodes[startIdx].$elm$ = childNode;
        containerElm.insertBefore(childNode, referenceNode(before));
      }
    }
  }
};
const removeVnodes = (vnodes, startIdx, endIdx, vnode, elm) => {
  for (; startIdx <= endIdx; ++startIdx) {
    if (vnode = vnodes[startIdx]) {
      elm = vnode.$elm$;
      callNodeRefs(vnode);
      {
        checkSlotFallbackVisibility = true;
        if (elm["s-ol"]) {
          elm["s-ol"].remove();
        } else {
          putBackInOriginalLocation(elm, true);
        }
      }
      elm.remove();
    }
  }
};
const updateChildren = (parentElm, oldCh, newVNode2, newCh) => {
  let oldStartIdx = 0;
  let newStartIdx = 0;
  let idxInOld = 0;
  let i = 0;
  let oldEndIdx = oldCh.length - 1;
  let oldStartVnode = oldCh[0];
  let oldEndVnode = oldCh[oldEndIdx];
  let newEndIdx = newCh.length - 1;
  let newStartVnode = newCh[0];
  let newEndVnode = newCh[newEndIdx];
  let node;
  let elmToMove;
  while (oldStartIdx <= oldEndIdx && newStartIdx <= newEndIdx) {
    if (oldStartVnode == null) {
      oldStartVnode = oldCh[++oldStartIdx];
    } else if (oldEndVnode == null) {
      oldEndVnode = oldCh[--oldEndIdx];
    } else if (newStartVnode == null) {
      newStartVnode = newCh[++newStartIdx];
    } else if (newEndVnode == null) {
      newEndVnode = newCh[--newEndIdx];
    } else if (isSameVnode(oldStartVnode, newStartVnode)) {
      patch(oldStartVnode, newStartVnode);
      oldStartVnode = oldCh[++oldStartIdx];
      newStartVnode = newCh[++newStartIdx];
    } else if (isSameVnode(oldEndVnode, newEndVnode)) {
      patch(oldEndVnode, newEndVnode);
      oldEndVnode = oldCh[--oldEndIdx];
      newEndVnode = newCh[--newEndIdx];
    } else if (isSameVnode(oldStartVnode, newEndVnode)) {
      if (oldStartVnode.$tag$ === "slot" || newEndVnode.$tag$ === "slot") {
        putBackInOriginalLocation(oldStartVnode.$elm$.parentNode, false);
      }
      patch(oldStartVnode, newEndVnode);
      parentElm.insertBefore(oldStartVnode.$elm$, oldEndVnode.$elm$.nextSibling);
      oldStartVnode = oldCh[++oldStartIdx];
      newEndVnode = newCh[--newEndIdx];
    } else if (isSameVnode(oldEndVnode, newStartVnode)) {
      if (oldStartVnode.$tag$ === "slot" || newEndVnode.$tag$ === "slot") {
        putBackInOriginalLocation(oldEndVnode.$elm$.parentNode, false);
      }
      patch(oldEndVnode, newStartVnode);
      parentElm.insertBefore(oldEndVnode.$elm$, oldStartVnode.$elm$);
      oldEndVnode = oldCh[--oldEndIdx];
      newStartVnode = newCh[++newStartIdx];
    } else {
      idxInOld = -1;
      {
        for (i = oldStartIdx; i <= oldEndIdx; ++i) {
          if (oldCh[i] && oldCh[i].$key$ !== null && oldCh[i].$key$ === newStartVnode.$key$) {
            idxInOld = i;
            break;
          }
        }
      }
      if (idxInOld >= 0) {
        elmToMove = oldCh[idxInOld];
        if (elmToMove.$tag$ !== newStartVnode.$tag$) {
          node = createElm(oldCh && oldCh[newStartIdx], newVNode2, idxInOld, parentElm);
        } else {
          patch(elmToMove, newStartVnode);
          oldCh[idxInOld] = void 0;
          node = elmToMove.$elm$;
        }
        newStartVnode = newCh[++newStartIdx];
      } else {
        node = createElm(oldCh && oldCh[newStartIdx], newVNode2, newStartIdx, parentElm);
        newStartVnode = newCh[++newStartIdx];
      }
      if (node) {
        {
          parentReferenceNode(oldStartVnode.$elm$).insertBefore(node, referenceNode(oldStartVnode.$elm$));
        }
      }
    }
  }
  if (oldStartIdx > oldEndIdx) {
    addVnodes(parentElm, newCh[newEndIdx + 1] == null ? null : newCh[newEndIdx + 1].$elm$, newVNode2, newCh, newStartIdx, newEndIdx);
  } else if (newStartIdx > newEndIdx) {
    removeVnodes(oldCh, oldStartIdx, oldEndIdx);
  }
};
const isSameVnode = (vnode1, vnode2) => {
  if (vnode1.$tag$ === vnode2.$tag$) {
    if (vnode1.$tag$ === "slot") {
      return vnode1.$name$ === vnode2.$name$;
    }
    {
      return vnode1.$key$ === vnode2.$key$;
    }
  }
  return false;
};
const referenceNode = (node) => {
  return node && node["s-ol"] || node;
};
const parentReferenceNode = (node) => (node["s-ol"] ? node["s-ol"] : node).parentNode;
const patch = (oldVNode, newVNode2) => {
  const elm = newVNode2.$elm$ = oldVNode.$elm$;
  const oldChildren = oldVNode.$children$;
  const newChildren = newVNode2.$children$;
  const tag = newVNode2.$tag$;
  const text = newVNode2.$text$;
  let defaultHolder;
  if (text === null) {
    {
      isSvgMode = tag === "svg" ? true : tag === "foreignObject" ? false : isSvgMode;
    }
    {
      if (tag === "slot")
        ;
      else {
        updateElement(oldVNode, newVNode2, isSvgMode);
      }
    }
    if (oldChildren !== null && newChildren !== null) {
      updateChildren(elm, oldChildren, newVNode2, newChildren);
    } else if (newChildren !== null) {
      if (oldVNode.$text$ !== null) {
        elm.textContent = "";
      }
      addVnodes(elm, null, newVNode2, newChildren, 0, newChildren.length - 1);
    } else if (oldChildren !== null) {
      removeVnodes(oldChildren, 0, oldChildren.length - 1);
    }
    if (isSvgMode && tag === "svg") {
      isSvgMode = false;
    }
  } else if (defaultHolder = elm["s-cr"]) {
    defaultHolder.parentNode.textContent = text;
  } else if (oldVNode.$text$ !== text) {
    elm.data = text;
  }
};
const updateFallbackSlotVisibility = (elm) => {
  const childNodes = elm.childNodes;
  let childNode;
  let i;
  let ilen;
  let j;
  let slotNameAttr;
  let nodeType;
  for (i = 0, ilen = childNodes.length; i < ilen; i++) {
    childNode = childNodes[i];
    if (childNode.nodeType === 1) {
      if (childNode["s-sr"]) {
        slotNameAttr = childNode["s-sn"];
        childNode.hidden = false;
        for (j = 0; j < ilen; j++) {
          nodeType = childNodes[j].nodeType;
          if (childNodes[j]["s-hn"] !== childNode["s-hn"] || slotNameAttr !== "") {
            if (nodeType === 1 && slotNameAttr === childNodes[j].getAttribute("slot")) {
              childNode.hidden = true;
              break;
            }
          } else {
            if (nodeType === 1 || nodeType === 3 && childNodes[j].textContent.trim() !== "") {
              childNode.hidden = true;
              break;
            }
          }
        }
      }
      updateFallbackSlotVisibility(childNode);
    }
  }
};
const relocateNodes = [];
const relocateSlotContent = (elm) => {
  let childNode;
  let node;
  let hostContentNodes;
  let slotNameAttr;
  let relocateNodeData;
  let j;
  let i = 0;
  const childNodes = elm.childNodes;
  const ilen = childNodes.length;
  for (; i < ilen; i++) {
    childNode = childNodes[i];
    if (childNode["s-sr"] && (node = childNode["s-cr"]) && node.parentNode) {
      hostContentNodes = node.parentNode.childNodes;
      slotNameAttr = childNode["s-sn"];
      for (j = hostContentNodes.length - 1; j >= 0; j--) {
        node = hostContentNodes[j];
        if (!node["s-cn"] && !node["s-nr"] && node["s-hn"] !== childNode["s-hn"]) {
          if (isNodeLocatedInSlot(node, slotNameAttr)) {
            relocateNodeData = relocateNodes.find((r) => r.$nodeToRelocate$ === node);
            checkSlotFallbackVisibility = true;
            node["s-sn"] = node["s-sn"] || slotNameAttr;
            if (relocateNodeData) {
              relocateNodeData.$slotRefNode$ = childNode;
            } else {
              relocateNodes.push({
                $slotRefNode$: childNode,
                $nodeToRelocate$: node
              });
            }
            if (node["s-sr"]) {
              relocateNodes.map((relocateNode) => {
                if (isNodeLocatedInSlot(relocateNode.$nodeToRelocate$, node["s-sn"])) {
                  relocateNodeData = relocateNodes.find((r) => r.$nodeToRelocate$ === node);
                  if (relocateNodeData && !relocateNode.$slotRefNode$) {
                    relocateNode.$slotRefNode$ = relocateNodeData.$slotRefNode$;
                  }
                }
              });
            }
          } else if (!relocateNodes.some((r) => r.$nodeToRelocate$ === node)) {
            relocateNodes.push({
              $nodeToRelocate$: node
            });
          }
        }
      }
    }
    if (childNode.nodeType === 1) {
      relocateSlotContent(childNode);
    }
  }
};
const isNodeLocatedInSlot = (nodeToRelocate, slotNameAttr) => {
  if (nodeToRelocate.nodeType === 1) {
    if (nodeToRelocate.getAttribute("slot") === null && slotNameAttr === "") {
      return true;
    }
    if (nodeToRelocate.getAttribute("slot") === slotNameAttr) {
      return true;
    }
    return false;
  }
  if (nodeToRelocate["s-sn"] === slotNameAttr) {
    return true;
  }
  return slotNameAttr === "";
};
const callNodeRefs = (vNode) => {
  {
    vNode.$attrs$ && vNode.$attrs$.ref && vNode.$attrs$.ref(null);
    vNode.$children$ && vNode.$children$.map(callNodeRefs);
  }
};
const renderVdom = (hostRef, renderFnResults) => {
  const hostElm = hostRef.$hostElement$;
  const cmpMeta = hostRef.$cmpMeta$;
  const oldVNode = hostRef.$vnode$ || newVNode(null, null);
  const rootVnode = isHost(renderFnResults) ? renderFnResults : h(null, null, renderFnResults);
  hostTagName = hostElm.tagName;
  if (cmpMeta.$attrsToReflect$) {
    rootVnode.$attrs$ = rootVnode.$attrs$ || {};
    cmpMeta.$attrsToReflect$.map(([propName, attribute]) => rootVnode.$attrs$[attribute] = hostElm[propName]);
  }
  rootVnode.$tag$ = null;
  rootVnode.$flags$ |= 4;
  hostRef.$vnode$ = rootVnode;
  rootVnode.$elm$ = oldVNode.$elm$ = hostElm.shadowRoot || hostElm;
  {
    scopeId = hostElm["s-sc"];
  }
  {
    contentRef = hostElm["s-cr"];
    useNativeShadowDom = supportsShadow && (cmpMeta.$flags$ & 1) !== 0;
    checkSlotFallbackVisibility = false;
  }
  patch(oldVNode, rootVnode);
  {
    plt.$flags$ |= 1;
    if (checkSlotRelocate) {
      relocateSlotContent(rootVnode.$elm$);
      let relocateData;
      let nodeToRelocate;
      let orgLocationNode;
      let parentNodeRef;
      let insertBeforeNode;
      let refNode;
      let i = 0;
      for (; i < relocateNodes.length; i++) {
        relocateData = relocateNodes[i];
        nodeToRelocate = relocateData.$nodeToRelocate$;
        if (!nodeToRelocate["s-ol"]) {
          orgLocationNode = doc.createTextNode("");
          orgLocationNode["s-nr"] = nodeToRelocate;
          nodeToRelocate.parentNode.insertBefore(nodeToRelocate["s-ol"] = orgLocationNode, nodeToRelocate);
        }
      }
      for (i = 0; i < relocateNodes.length; i++) {
        relocateData = relocateNodes[i];
        nodeToRelocate = relocateData.$nodeToRelocate$;
        if (relocateData.$slotRefNode$) {
          parentNodeRef = relocateData.$slotRefNode$.parentNode;
          insertBeforeNode = relocateData.$slotRefNode$.nextSibling;
          orgLocationNode = nodeToRelocate["s-ol"];
          while (orgLocationNode = orgLocationNode.previousSibling) {
            refNode = orgLocationNode["s-nr"];
            if (refNode && refNode["s-sn"] === nodeToRelocate["s-sn"] && parentNodeRef === refNode.parentNode) {
              refNode = refNode.nextSibling;
              if (!refNode || !refNode["s-nr"]) {
                insertBeforeNode = refNode;
                break;
              }
            }
          }
          if (!insertBeforeNode && parentNodeRef !== nodeToRelocate.parentNode || nodeToRelocate.nextSibling !== insertBeforeNode) {
            if (nodeToRelocate !== insertBeforeNode) {
              if (!nodeToRelocate["s-hn"] && nodeToRelocate["s-ol"]) {
                nodeToRelocate["s-hn"] = nodeToRelocate["s-ol"].parentNode.nodeName;
              }
              parentNodeRef.insertBefore(nodeToRelocate, insertBeforeNode);
            }
          }
        } else {
          if (nodeToRelocate.nodeType === 1) {
            nodeToRelocate.hidden = true;
          }
        }
      }
    }
    if (checkSlotFallbackVisibility) {
      updateFallbackSlotVisibility(rootVnode.$elm$);
    }
    plt.$flags$ &= ~1;
    relocateNodes.length = 0;
  }
};
const getElement = (ref2) => ref2;
const createEvent = (ref2, name, flags) => {
  const elm = getElement(ref2);
  return {
    emit: (detail) => {
      return emitEvent(elm, name, {
        bubbles: !!(flags & 4),
        composed: !!(flags & 2),
        cancelable: !!(flags & 1),
        detail
      });
    }
  };
};
const emitEvent = (elm, name, opts) => {
  const ev = plt.ce(name, opts);
  elm.dispatchEvent(ev);
  return ev;
};
const attachToAncestor = (hostRef, ancestorComponent) => {
};
const scheduleUpdate = (hostRef, isInitialLoad) => {
  {
    hostRef.$flags$ |= 16;
  }
  attachToAncestor(hostRef, hostRef.$ancestorComponent$);
  const dispatch = () => dispatchHooks(hostRef, isInitialLoad);
  return writeTask(dispatch);
};
const dispatchHooks = (hostRef, isInitialLoad) => {
  const elm = hostRef.$hostElement$;
  const endSchedule = createTime("scheduleUpdate", hostRef.$cmpMeta$.$tagName$);
  const instance = elm;
  let promise;
  if (isInitialLoad) {
    {
      promise = safeCall(instance, "componentWillLoad");
    }
  } else {
    {
      promise = safeCall(instance, "componentWillUpdate");
    }
  }
  {
    promise = then(promise, () => safeCall(instance, "componentWillRender"));
  }
  endSchedule();
  return then(promise, () => updateComponent(hostRef, instance, isInitialLoad));
};
const updateComponent = async (hostRef, instance, isInitialLoad) => {
  const elm = hostRef.$hostElement$;
  const endUpdate = createTime("update", hostRef.$cmpMeta$.$tagName$);
  elm["s-rc"];
  if (isInitialLoad) {
    attachStyles(hostRef);
  }
  const endRender = createTime("render", hostRef.$cmpMeta$.$tagName$);
  {
    callRender(hostRef, instance, elm);
  }
  endRender();
  endUpdate();
  {
    postUpdateComponent(hostRef);
  }
};
const callRender = (hostRef, instance, elm) => {
  const allRenderFn = false;
  const lazyLoad = false;
  const taskQueue = true;
  const updatable = true;
  try {
    renderingRef = instance;
    instance = allRenderFn ? instance.render() : instance.render && instance.render();
    if (updatable && taskQueue) {
      hostRef.$flags$ &= ~16;
    }
    if (updatable || lazyLoad) {
      hostRef.$flags$ |= 2;
    }
    if (BUILD.hasRenderFn || BUILD.reflect) {
      if (BUILD.vdomRender || BUILD.reflect) {
        if (BUILD.hydrateServerSide)
          ;
        else {
          renderVdom(hostRef, instance);
        }
      }
    }
  } catch (e) {
    consoleError(e, hostRef.$hostElement$);
  }
  renderingRef = null;
  return null;
};
const getRenderingRef = () => renderingRef;
const postUpdateComponent = (hostRef) => {
  const tagName = hostRef.$cmpMeta$.$tagName$;
  const elm = hostRef.$hostElement$;
  const endPostUpdate = createTime("postUpdate", tagName);
  const instance = elm;
  hostRef.$ancestorComponent$;
  {
    safeCall(instance, "componentDidRender");
  }
  if (!(hostRef.$flags$ & 64)) {
    hostRef.$flags$ |= 64;
    {
      safeCall(instance, "componentDidLoad");
    }
    endPostUpdate();
  } else {
    {
      safeCall(instance, "componentDidUpdate");
    }
    endPostUpdate();
  }
};
const forceUpdate = (ref2) => {
  {
    const hostRef = getHostRef(ref2);
    const isConnected2 = hostRef.$hostElement$.isConnected;
    if (isConnected2 && (hostRef.$flags$ & (2 | 16)) === 2) {
      scheduleUpdate(hostRef, false);
    }
    return isConnected2;
  }
};
const safeCall = (instance, method, arg) => {
  if (instance && instance[method]) {
    try {
      return instance[method](arg);
    } catch (e) {
      consoleError(e);
    }
  }
  return void 0;
};
const then = (promise, thenFn) => {
  return promise && promise.then ? promise.then(thenFn) : thenFn();
};
const parsePropertyValue = (propValue, propType) => {
  if (propValue != null && !isComplexType(propValue)) {
    if (propType & 4) {
      return propValue === "false" ? false : propValue === "" || !!propValue;
    }
    if (propType & 2) {
      return parseFloat(propValue);
    }
    if (propType & 1) {
      return String(propValue);
    }
    return propValue;
  }
  return propValue;
};
const getValue$1 = (ref2, propName) => getHostRef(ref2).$instanceValues$.get(propName);
const setValue = (ref2, propName, newVal, cmpMeta) => {
  const hostRef = getHostRef(ref2);
  const elm = ref2;
  const oldVal = hostRef.$instanceValues$.get(propName);
  const flags = hostRef.$flags$;
  const instance = elm;
  newVal = parsePropertyValue(newVal, cmpMeta.$members$[propName][0]);
  const areBothNaN = Number.isNaN(oldVal) && Number.isNaN(newVal);
  const didValueChange = newVal !== oldVal && !areBothNaN;
  if (didValueChange) {
    hostRef.$instanceValues$.set(propName, newVal);
    {
      if (cmpMeta.$watchers$ && flags & 128) {
        const watchMethods = cmpMeta.$watchers$[propName];
        if (watchMethods) {
          watchMethods.map((watchMethodName) => {
            try {
              instance[watchMethodName](newVal, oldVal, propName);
            } catch (e) {
              consoleError(e, elm);
            }
          });
        }
      }
      if ((flags & (2 | 16)) === 2) {
        if (instance.componentShouldUpdate) {
          if (instance.componentShouldUpdate(newVal, oldVal, propName) === false) {
            return;
          }
        }
        scheduleUpdate(hostRef, false);
      }
    }
  }
};
const proxyComponent = (Cstr, cmpMeta, flags) => {
  if (cmpMeta.$members$) {
    if (Cstr.watchers) {
      cmpMeta.$watchers$ = Cstr.watchers;
    }
    const members = Object.entries(cmpMeta.$members$);
    const prototype = Cstr.prototype;
    members.map(([memberName, [memberFlags]]) => {
      if (memberFlags & 31 || memberFlags & 32) {
        Object.defineProperty(prototype, memberName, {
          get() {
            return getValue$1(this, memberName);
          },
          set(newValue) {
            setValue(this, memberName, newValue, cmpMeta);
          },
          configurable: true,
          enumerable: true
        });
      }
    });
    {
      const attrNameToPropName = /* @__PURE__ */ new Map();
      prototype.attributeChangedCallback = function(attrName, _oldValue, newValue) {
        plt.jmp(() => {
          const propName = attrNameToPropName.get(attrName);
          if (this.hasOwnProperty(propName)) {
            newValue = this[propName];
            delete this[propName];
          } else if (prototype.hasOwnProperty(propName) && typeof this[propName] === "number" && this[propName] == newValue) {
            return;
          }
          this[propName] = newValue === null && typeof this[propName] === "boolean" ? false : newValue;
        });
      };
      Cstr.observedAttributes = members.filter(([_, m]) => m[0] & 15).map(([propName, m]) => {
        const attrName = m[1] || propName;
        attrNameToPropName.set(attrName, propName);
        if (m[0] & 512) {
          cmpMeta.$attrsToReflect$.push([propName, attrName]);
        }
        return attrName;
      });
    }
  }
  return Cstr;
};
const initializeComponent = async (elm, hostRef, cmpMeta, hmrVersionId, Cstr) => {
  if ((hostRef.$flags$ & 32) === 0) {
    {
      Cstr = elm.constructor;
      hostRef.$flags$ |= 32;
      customElements.whenDefined(cmpMeta.$tagName$).then(() => hostRef.$flags$ |= 128);
    }
    if (Cstr.style) {
      let style = Cstr.style;
      if (typeof style !== "string") {
        style = style[hostRef.$modeName$ = computeMode(elm)];
      }
      const scopeId2 = getScopeId(cmpMeta, hostRef.$modeName$);
      if (!styles.has(scopeId2)) {
        const endRegisterStyles = createTime("registerStyles", cmpMeta.$tagName$);
        registerStyle(scopeId2, style, !!(cmpMeta.$flags$ & 1));
        endRegisterStyles();
      }
    }
  }
  hostRef.$ancestorComponent$;
  const schedule = () => scheduleUpdate(hostRef, true);
  {
    schedule();
  }
};
const fireConnectedCallback = (instance) => {
};
const connectedCallback = (elm) => {
  if ((plt.$flags$ & 1) === 0) {
    const hostRef = getHostRef(elm);
    const cmpMeta = hostRef.$cmpMeta$;
    const endConnected = createTime("connectedCallback", cmpMeta.$tagName$);
    if (!(hostRef.$flags$ & 1)) {
      hostRef.$flags$ |= 1;
      {
        if (cmpMeta.$flags$ & (4 | 8)) {
          setContentReference(elm);
        }
      }
      if (cmpMeta.$members$) {
        Object.entries(cmpMeta.$members$).map(([memberName, [memberFlags]]) => {
          if (memberFlags & 31 && elm.hasOwnProperty(memberName)) {
            const value = elm[memberName];
            delete elm[memberName];
            elm[memberName] = value;
          }
        });
      }
      {
        initializeComponent(elm, hostRef, cmpMeta);
      }
    } else {
      addHostEventListeners(elm, hostRef, cmpMeta.$listeners$);
      fireConnectedCallback(hostRef.$lazyInstance$);
    }
    endConnected();
  }
};
const setContentReference = (elm) => {
  const contentRefElm = elm["s-cr"] = doc.createComment("");
  contentRefElm["s-cn"] = true;
  elm.insertBefore(contentRefElm, elm.firstChild);
};
const disconnectedCallback = (elm) => {
  if ((plt.$flags$ & 1) === 0) {
    const hostRef = getHostRef(elm);
    {
      if (hostRef.$rmListeners$) {
        hostRef.$rmListeners$.map((rmListener) => rmListener());
        hostRef.$rmListeners$ = void 0;
      }
    }
  }
};
const proxyCustomElement = (Cstr, compactMeta) => {
  const cmpMeta = {
    $flags$: compactMeta[0],
    $tagName$: compactMeta[1]
  };
  {
    cmpMeta.$members$ = compactMeta[2];
  }
  {
    cmpMeta.$listeners$ = compactMeta[3];
  }
  {
    cmpMeta.$watchers$ = Cstr.$watchers$;
  }
  {
    cmpMeta.$attrsToReflect$ = [];
  }
  if (!supportsShadow && cmpMeta.$flags$ & 1) {
    cmpMeta.$flags$ |= 8;
  }
  const originalConnectedCallback = Cstr.prototype.connectedCallback;
  const originalDisconnectedCallback = Cstr.prototype.disconnectedCallback;
  Object.assign(Cstr.prototype, {
    __registerHost() {
      registerHost(this, cmpMeta);
    },
    connectedCallback() {
      connectedCallback(this);
      if (originalConnectedCallback) {
        originalConnectedCallback.call(this);
      }
    },
    disconnectedCallback() {
      disconnectedCallback(this);
      if (originalDisconnectedCallback) {
        originalDisconnectedCallback.call(this);
      }
    },
    __attachShadow() {
      if (supportsShadow) {
        {
          this.attachShadow({
            mode: "open",
            delegatesFocus: !!(cmpMeta.$flags$ & 16)
          });
        }
      } else {
        this.shadowRoot = this;
      }
    }
  });
  Cstr.is = cmpMeta.$tagName$;
  return proxyComponent(Cstr, cmpMeta);
};
const hostRefs = /* @__PURE__ */ new WeakMap();
const getHostRef = (ref2) => hostRefs.get(ref2);
const registerHost = (elm, cmpMeta) => {
  const hostRef = {
    $flags$: 0,
    $hostElement$: elm,
    $cmpMeta$: cmpMeta,
    $instanceValues$: /* @__PURE__ */ new Map()
  };
  addHostEventListeners(elm, hostRef, cmpMeta.$listeners$);
  return hostRefs.set(elm, hostRef);
};
const isMemberInElement = (elm, memberName) => memberName in elm;
const consoleError = (e, el) => (0, console.error)(e, el);
BUILD.isTesting ? ["STENCIL:"] : [
  "%cstencil",
  "color: white;background:#4c47ff;font-weight: bold; font-size:10px; padding:2px 6px; border-radius: 5px"
];
const styles = /* @__PURE__ */ new Map();
const modeResolutionChain = [];
const queueDomReads = [];
const queueDomWrites = [];
const queueTask = (queue, write) => (cb) => {
  queue.push(cb);
  if (!queuePending) {
    queuePending = true;
    if (write && plt.$flags$ & 4) {
      nextTick(flush);
    } else {
      plt.raf(flush);
    }
  }
};
const consume = (queue) => {
  for (let i = 0; i < queue.length; i++) {
    try {
      queue[i](performance.now());
    } catch (e) {
      consoleError(e);
    }
  }
  queue.length = 0;
};
const flush = () => {
  consume(queueDomReads);
  {
    consume(queueDomWrites);
    if (queuePending = queueDomReads.length > 0) {
      plt.raf(flush);
    }
  }
};
const nextTick = (cb) => promiseResolve().then(cb);
const writeTask = /* @__PURE__ */ queueTask(queueDomWrites, true);
({
  isDev: BUILD.isDev ? true : false,
  isBrowser: true,
  isServer: false,
  isTesting: BUILD.isTesting ? true : false
});
class ThemeCompact {
  constructor() {
    this.defaultRowSize = 32;
  }
}
class ThemeDefault {
  constructor() {
    this.defaultRowSize = 27;
  }
}
class ThemeMaterial {
  constructor() {
    this.defaultRowSize = 42;
  }
}
const DEFAULT_THEME = "default";
const allowedThemes = [DEFAULT_THEME, "material", "compact", "darkMaterial", "darkCompact"];
class ThemeService {
  constructor(cfg) {
    this.customRowSize = 0;
    this.customRowSize = cfg.rowSize;
    this.register("default");
  }
  get theme() {
    return this.currentTheme;
  }
  get rowSize() {
    return this.customRowSize || this.currentTheme.defaultRowSize;
  }
  set rowSize(size2) {
    this.customRowSize = size2;
  }
  register(theme) {
    const parsedTheme = ThemeService.getTheme(theme);
    switch (parsedTheme) {
      case "material":
      case "darkMaterial":
        this.currentTheme = new ThemeMaterial();
        break;
      case "compact":
      case "darkCompact":
        this.currentTheme = new ThemeCompact();
        break;
      default:
        this.currentTheme = new ThemeDefault();
        break;
    }
  }
  static getTheme(theme) {
    if (allowedThemes.indexOf(theme) > -1) {
      return theme;
    }
    return DEFAULT_THEME;
  }
}
setMode((elm) => {
  let theme = elm.theme || elm.getAttribute("theme");
  if (typeof theme === "string") {
    theme = theme.trim();
  }
  const parsedTheme = ThemeService.getTheme(theme);
  if (parsedTheme !== theme) {
    elm.setAttribute("theme", parsedTheme);
  }
  return parsedTheme;
});
function arrayReduce(array, iteratee, accumulator, initAccum) {
  var index = -1, length = array == null ? 0 : array.length;
  if (initAccum && length) {
    accumulator = array[++index];
  }
  while (++index < length) {
    accumulator = iteratee(accumulator, array[index], index, array);
  }
  return accumulator;
}
var _arrayReduce = arrayReduce;
function createBaseFor(fromRight) {
  return function(object, iteratee, keysFunc) {
    var index = -1, iterable = Object(object), props = keysFunc(object), length = props.length;
    while (length--) {
      var key = props[fromRight ? length : ++index];
      if (iteratee(iterable[key], key, iterable) === false) {
        break;
      }
    }
    return object;
  };
}
var _createBaseFor = createBaseFor;
var baseFor = _createBaseFor();
var _baseFor = baseFor;
function baseTimes(n, iteratee) {
  var index = -1, result = Array(n);
  while (++index < n) {
    result[index] = iteratee(index);
  }
  return result;
}
var _baseTimes = baseTimes;
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
function createCommonjsModule(fn, basedir, module) {
  return module = {
    path: basedir,
    exports: {},
    require: function(path, base) {
      return commonjsRequire();
    }
  }, fn(module, module.exports), module.exports;
}
function commonjsRequire() {
  throw new Error("Dynamic requires are not currently supported by @rollup/plugin-commonjs");
}
var freeGlobal = typeof commonjsGlobal == "object" && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;
var _freeGlobal = freeGlobal;
var freeSelf = typeof self == "object" && self && self.Object === Object && self;
var root = _freeGlobal || freeSelf || Function("return this")();
var _root = root;
var Symbol$1 = _root.Symbol;
var _Symbol = Symbol$1;
var objectProto$b = Object.prototype;
var hasOwnProperty$8 = objectProto$b.hasOwnProperty;
var nativeObjectToString$1 = objectProto$b.toString;
var symToStringTag$1 = _Symbol ? _Symbol.toStringTag : void 0;
function getRawTag(value) {
  var isOwn = hasOwnProperty$8.call(value, symToStringTag$1), tag = value[symToStringTag$1];
  try {
    value[symToStringTag$1] = void 0;
    var unmasked = true;
  } catch (e) {
  }
  var result = nativeObjectToString$1.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$1] = tag;
    } else {
      delete value[symToStringTag$1];
    }
  }
  return result;
}
var _getRawTag = getRawTag;
var objectProto$a = Object.prototype;
var nativeObjectToString = objectProto$a.toString;
function objectToString(value) {
  return nativeObjectToString.call(value);
}
var _objectToString = objectToString;
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = _Symbol ? _Symbol.toStringTag : void 0;
function baseGetTag(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? _getRawTag(value) : _objectToString(value);
}
var _baseGetTag = baseGetTag;
function isObjectLike(value) {
  return value != null && typeof value == "object";
}
var isObjectLike_1 = isObjectLike;
var argsTag$2 = "[object Arguments]";
function baseIsArguments(value) {
  return isObjectLike_1(value) && _baseGetTag(value) == argsTag$2;
}
var _baseIsArguments = baseIsArguments;
var objectProto$9 = Object.prototype;
var hasOwnProperty$7 = objectProto$9.hasOwnProperty;
var propertyIsEnumerable$1 = objectProto$9.propertyIsEnumerable;
var isArguments = _baseIsArguments(function() {
  return arguments;
}()) ? _baseIsArguments : function(value) {
  return isObjectLike_1(value) && hasOwnProperty$7.call(value, "callee") && !propertyIsEnumerable$1.call(value, "callee");
};
var isArguments_1 = isArguments;
var isArray$1 = Array.isArray;
var isArray_1 = isArray$1;
function stubFalse() {
  return false;
}
var stubFalse_1 = stubFalse;
var isBuffer_1 = createCommonjsModule(function(module, exports) {
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? _root.Buffer : void 0;
  var nativeIsBuffer = Buffer ? Buffer.isBuffer : void 0;
  var isBuffer = nativeIsBuffer || stubFalse_1;
  module.exports = isBuffer;
});
var MAX_SAFE_INTEGER$1 = 9007199254740991;
var reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex(value, length) {
  var type = typeof value;
  length = length == null ? MAX_SAFE_INTEGER$1 : length;
  return !!length && (type == "number" || type != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
}
var _isIndex = isIndex;
var MAX_SAFE_INTEGER = 9007199254740991;
function isLength(value) {
  return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
}
var isLength_1 = isLength;
var argsTag$1 = "[object Arguments]", arrayTag$1 = "[object Array]", boolTag$1 = "[object Boolean]", dateTag$1 = "[object Date]", errorTag$1 = "[object Error]", funcTag$1 = "[object Function]", mapTag$3 = "[object Map]", numberTag$1 = "[object Number]", objectTag$2 = "[object Object]", regexpTag$1 = "[object RegExp]", setTag$3 = "[object Set]", stringTag$2 = "[object String]", weakMapTag$1 = "[object WeakMap]";
var arrayBufferTag$1 = "[object ArrayBuffer]", dataViewTag$2 = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
var typedArrayTags = {};
typedArrayTags[float32Tag] = typedArrayTags[float64Tag] = typedArrayTags[int8Tag] = typedArrayTags[int16Tag] = typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] = typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] = typedArrayTags[uint32Tag] = true;
typedArrayTags[argsTag$1] = typedArrayTags[arrayTag$1] = typedArrayTags[arrayBufferTag$1] = typedArrayTags[boolTag$1] = typedArrayTags[dataViewTag$2] = typedArrayTags[dateTag$1] = typedArrayTags[errorTag$1] = typedArrayTags[funcTag$1] = typedArrayTags[mapTag$3] = typedArrayTags[numberTag$1] = typedArrayTags[objectTag$2] = typedArrayTags[regexpTag$1] = typedArrayTags[setTag$3] = typedArrayTags[stringTag$2] = typedArrayTags[weakMapTag$1] = false;
function baseIsTypedArray(value) {
  return isObjectLike_1(value) && isLength_1(value.length) && !!typedArrayTags[_baseGetTag(value)];
}
var _baseIsTypedArray = baseIsTypedArray;
function baseUnary(func) {
  return function(value) {
    return func(value);
  };
}
var _baseUnary = baseUnary;
var _nodeUtil = createCommonjsModule(function(module, exports) {
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var freeProcess = moduleExports && _freeGlobal.process;
  var nodeUtil = function() {
    try {
      var types = freeModule && freeModule.require && freeModule.require("util").types;
      if (types) {
        return types;
      }
      return freeProcess && freeProcess.binding && freeProcess.binding("util");
    } catch (e) {
    }
  }();
  module.exports = nodeUtil;
});
var nodeIsTypedArray = _nodeUtil && _nodeUtil.isTypedArray;
var isTypedArray = nodeIsTypedArray ? _baseUnary(nodeIsTypedArray) : _baseIsTypedArray;
var isTypedArray_1 = isTypedArray;
var objectProto$8 = Object.prototype;
var hasOwnProperty$6 = objectProto$8.hasOwnProperty;
function arrayLikeKeys(value, inherited) {
  var isArr = isArray_1(value), isArg = !isArr && isArguments_1(value), isBuff = !isArr && !isArg && isBuffer_1(value), isType = !isArr && !isArg && !isBuff && isTypedArray_1(value), skipIndexes = isArr || isArg || isBuff || isType, result = skipIndexes ? _baseTimes(value.length, String) : [], length = result.length;
  for (var key in value) {
    if ((inherited || hasOwnProperty$6.call(value, key)) && !(skipIndexes && (key == "length" || isBuff && (key == "offset" || key == "parent") || isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || _isIndex(key, length)))) {
      result.push(key);
    }
  }
  return result;
}
var _arrayLikeKeys = arrayLikeKeys;
var objectProto$7 = Object.prototype;
function isPrototype(value) {
  var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto$7;
  return value === proto;
}
var _isPrototype = isPrototype;
function overArg(func, transform) {
  return function(arg) {
    return func(transform(arg));
  };
}
var _overArg = overArg;
var nativeKeys = _overArg(Object.keys, Object);
var _nativeKeys = nativeKeys;
var objectProto$6 = Object.prototype;
var hasOwnProperty$5 = objectProto$6.hasOwnProperty;
function baseKeys(object) {
  if (!_isPrototype(object)) {
    return _nativeKeys(object);
  }
  var result = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$5.call(object, key) && key != "constructor") {
      result.push(key);
    }
  }
  return result;
}
var _baseKeys = baseKeys;
function isObject(value) {
  var type = typeof value;
  return value != null && (type == "object" || type == "function");
}
var isObject_1 = isObject;
var asyncTag = "[object AsyncFunction]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
function isFunction(value) {
  if (!isObject_1(value)) {
    return false;
  }
  var tag = _baseGetTag(value);
  return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
}
var isFunction_1 = isFunction;
function isArrayLike(value) {
  return value != null && isLength_1(value.length) && !isFunction_1(value);
}
var isArrayLike_1 = isArrayLike;
function keys(object) {
  return isArrayLike_1(object) ? _arrayLikeKeys(object) : _baseKeys(object);
}
var keys_1 = keys;
function baseForOwn(object, iteratee) {
  return object && _baseFor(object, iteratee, keys_1);
}
var _baseForOwn = baseForOwn;
function createBaseEach(eachFunc, fromRight) {
  return function(collection, iteratee) {
    if (collection == null) {
      return collection;
    }
    if (!isArrayLike_1(collection)) {
      return eachFunc(collection, iteratee);
    }
    var length = collection.length, index = fromRight ? length : -1, iterable = Object(collection);
    while (fromRight ? index-- : ++index < length) {
      if (iteratee(iterable[index], index, iterable) === false) {
        break;
      }
    }
    return collection;
  };
}
var _createBaseEach = createBaseEach;
var baseEach = _createBaseEach(_baseForOwn);
var _baseEach = baseEach;
function listCacheClear() {
  this.__data__ = [];
  this.size = 0;
}
var _listCacheClear = listCacheClear;
function eq$1(value, other) {
  return value === other || value !== value && other !== other;
}
var eq_1 = eq$1;
function assocIndexOf(array, key) {
  var length = array.length;
  while (length--) {
    if (eq_1(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}
var _assocIndexOf = assocIndexOf;
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function listCacheDelete(key) {
  var data = this.__data__, index = _assocIndexOf(data, key);
  if (index < 0) {
    return false;
  }
  var lastIndex = data.length - 1;
  if (index == lastIndex) {
    data.pop();
  } else {
    splice.call(data, index, 1);
  }
  --this.size;
  return true;
}
var _listCacheDelete = listCacheDelete;
function listCacheGet(key) {
  var data = this.__data__, index = _assocIndexOf(data, key);
  return index < 0 ? void 0 : data[index][1];
}
var _listCacheGet = listCacheGet;
function listCacheHas(key) {
  return _assocIndexOf(this.__data__, key) > -1;
}
var _listCacheHas = listCacheHas;
function listCacheSet(key, value) {
  var data = this.__data__, index = _assocIndexOf(data, key);
  if (index < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index][1] = value;
  }
  return this;
}
var _listCacheSet = listCacheSet;
function ListCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
ListCache.prototype.clear = _listCacheClear;
ListCache.prototype["delete"] = _listCacheDelete;
ListCache.prototype.get = _listCacheGet;
ListCache.prototype.has = _listCacheHas;
ListCache.prototype.set = _listCacheSet;
var _ListCache = ListCache;
function stackClear() {
  this.__data__ = new _ListCache();
  this.size = 0;
}
var _stackClear = stackClear;
function stackDelete(key) {
  var data = this.__data__, result = data["delete"](key);
  this.size = data.size;
  return result;
}
var _stackDelete = stackDelete;
function stackGet(key) {
  return this.__data__.get(key);
}
var _stackGet = stackGet;
function stackHas(key) {
  return this.__data__.has(key);
}
var _stackHas = stackHas;
var coreJsData = _root["__core-js_shared__"];
var _coreJsData = coreJsData;
var maskSrcKey = function() {
  var uid = /[^.]+$/.exec(_coreJsData && _coreJsData.keys && _coreJsData.keys.IE_PROTO || "");
  return uid ? "Symbol(src)_1." + uid : "";
}();
function isMasked(func) {
  return !!maskSrcKey && maskSrcKey in func;
}
var _isMasked = isMasked;
var funcProto$1 = Function.prototype;
var funcToString$1 = funcProto$1.toString;
function toSource(func) {
  if (func != null) {
    try {
      return funcToString$1.call(func);
    } catch (e) {
    }
    try {
      return func + "";
    } catch (e) {
    }
  }
  return "";
}
var _toSource = toSource;
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
var reIsHostCtor = /^\[object .+?Constructor\]$/;
var funcProto = Function.prototype, objectProto$5 = Object.prototype;
var funcToString = funcProto.toString;
var hasOwnProperty$4 = objectProto$5.hasOwnProperty;
var reIsNative = RegExp(
  "^" + funcToString.call(hasOwnProperty$4).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
);
function baseIsNative(value) {
  if (!isObject_1(value) || _isMasked(value)) {
    return false;
  }
  var pattern = isFunction_1(value) ? reIsNative : reIsHostCtor;
  return pattern.test(_toSource(value));
}
var _baseIsNative = baseIsNative;
function getValue(object, key) {
  return object == null ? void 0 : object[key];
}
var _getValue = getValue;
function getNative(object, key) {
  var value = _getValue(object, key);
  return _baseIsNative(value) ? value : void 0;
}
var _getNative = getNative;
var Map$1 = _getNative(_root, "Map");
var _Map = Map$1;
var nativeCreate = _getNative(Object, "create");
var _nativeCreate = nativeCreate;
function hashClear() {
  this.__data__ = _nativeCreate ? _nativeCreate(null) : {};
  this.size = 0;
}
var _hashClear = hashClear;
function hashDelete(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}
var _hashDelete = hashDelete;
var HASH_UNDEFINED$2 = "__lodash_hash_undefined__";
var objectProto$4 = Object.prototype;
var hasOwnProperty$3 = objectProto$4.hasOwnProperty;
function hashGet(key) {
  var data = this.__data__;
  if (_nativeCreate) {
    var result = data[key];
    return result === HASH_UNDEFINED$2 ? void 0 : result;
  }
  return hasOwnProperty$3.call(data, key) ? data[key] : void 0;
}
var _hashGet = hashGet;
var objectProto$3 = Object.prototype;
var hasOwnProperty$2 = objectProto$3.hasOwnProperty;
function hashHas(key) {
  var data = this.__data__;
  return _nativeCreate ? data[key] !== void 0 : hasOwnProperty$2.call(data, key);
}
var _hashHas = hashHas;
var HASH_UNDEFINED$1 = "__lodash_hash_undefined__";
function hashSet(key, value) {
  var data = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data[key] = _nativeCreate && value === void 0 ? HASH_UNDEFINED$1 : value;
  return this;
}
var _hashSet = hashSet;
function Hash(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
Hash.prototype.clear = _hashClear;
Hash.prototype["delete"] = _hashDelete;
Hash.prototype.get = _hashGet;
Hash.prototype.has = _hashHas;
Hash.prototype.set = _hashSet;
var _Hash = Hash;
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    "hash": new _Hash(),
    "map": new (_Map || _ListCache)(),
    "string": new _Hash()
  };
}
var _mapCacheClear = mapCacheClear;
function isKeyable(value) {
  var type = typeof value;
  return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
}
var _isKeyable = isKeyable;
function getMapData(map2, key) {
  var data = map2.__data__;
  return _isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
}
var _getMapData = getMapData;
function mapCacheDelete(key) {
  var result = _getMapData(this, key)["delete"](key);
  this.size -= result ? 1 : 0;
  return result;
}
var _mapCacheDelete = mapCacheDelete;
function mapCacheGet(key) {
  return _getMapData(this, key).get(key);
}
var _mapCacheGet = mapCacheGet;
function mapCacheHas(key) {
  return _getMapData(this, key).has(key);
}
var _mapCacheHas = mapCacheHas;
function mapCacheSet(key, value) {
  var data = _getMapData(this, key), size2 = data.size;
  data.set(key, value);
  this.size += data.size == size2 ? 0 : 1;
  return this;
}
var _mapCacheSet = mapCacheSet;
function MapCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
MapCache.prototype.clear = _mapCacheClear;
MapCache.prototype["delete"] = _mapCacheDelete;
MapCache.prototype.get = _mapCacheGet;
MapCache.prototype.has = _mapCacheHas;
MapCache.prototype.set = _mapCacheSet;
var _MapCache = MapCache;
var LARGE_ARRAY_SIZE = 200;
function stackSet(key, value) {
  var data = this.__data__;
  if (data instanceof _ListCache) {
    var pairs = data.__data__;
    if (!_Map || pairs.length < LARGE_ARRAY_SIZE - 1) {
      pairs.push([key, value]);
      this.size = ++data.size;
      return this;
    }
    data = this.__data__ = new _MapCache(pairs);
  }
  data.set(key, value);
  this.size = data.size;
  return this;
}
var _stackSet = stackSet;
function Stack(entries) {
  var data = this.__data__ = new _ListCache(entries);
  this.size = data.size;
}
Stack.prototype.clear = _stackClear;
Stack.prototype["delete"] = _stackDelete;
Stack.prototype.get = _stackGet;
Stack.prototype.has = _stackHas;
Stack.prototype.set = _stackSet;
var _Stack = Stack;
var HASH_UNDEFINED = "__lodash_hash_undefined__";
function setCacheAdd(value) {
  this.__data__.set(value, HASH_UNDEFINED);
  return this;
}
var _setCacheAdd = setCacheAdd;
function setCacheHas(value) {
  return this.__data__.has(value);
}
var _setCacheHas = setCacheHas;
function SetCache(values2) {
  var index = -1, length = values2 == null ? 0 : values2.length;
  this.__data__ = new _MapCache();
  while (++index < length) {
    this.add(values2[index]);
  }
}
SetCache.prototype.add = SetCache.prototype.push = _setCacheAdd;
SetCache.prototype.has = _setCacheHas;
var _SetCache = SetCache;
function arraySome(array, predicate) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    if (predicate(array[index], index, array)) {
      return true;
    }
  }
  return false;
}
var _arraySome = arraySome;
function cacheHas(cache, key) {
  return cache.has(key);
}
var _cacheHas = cacheHas;
var COMPARE_PARTIAL_FLAG$5 = 1, COMPARE_UNORDERED_FLAG$3 = 2;
function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$5, arrLength = array.length, othLength = other.length;
  if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
    return false;
  }
  var arrStacked = stack.get(array);
  var othStacked = stack.get(other);
  if (arrStacked && othStacked) {
    return arrStacked == other && othStacked == array;
  }
  var index = -1, result = true, seen = bitmask & COMPARE_UNORDERED_FLAG$3 ? new _SetCache() : void 0;
  stack.set(array, other);
  stack.set(other, array);
  while (++index < arrLength) {
    var arrValue = array[index], othValue = other[index];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, arrValue, index, other, array, stack) : customizer(arrValue, othValue, index, array, other, stack);
    }
    if (compared !== void 0) {
      if (compared) {
        continue;
      }
      result = false;
      break;
    }
    if (seen) {
      if (!_arraySome(other, function(othValue2, othIndex) {
        if (!_cacheHas(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
          return seen.push(othIndex);
        }
      })) {
        result = false;
        break;
      }
    } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
      result = false;
      break;
    }
  }
  stack["delete"](array);
  stack["delete"](other);
  return result;
}
var _equalArrays = equalArrays;
var Uint8Array$1 = _root.Uint8Array;
var _Uint8Array = Uint8Array$1;
function mapToArray(map2) {
  var index = -1, result = Array(map2.size);
  map2.forEach(function(value, key) {
    result[++index] = [key, value];
  });
  return result;
}
var _mapToArray = mapToArray;
function setToArray(set2) {
  var index = -1, result = Array(set2.size);
  set2.forEach(function(value) {
    result[++index] = value;
  });
  return result;
}
var _setToArray = setToArray;
var COMPARE_PARTIAL_FLAG$4 = 1, COMPARE_UNORDERED_FLAG$2 = 2;
var boolTag = "[object Boolean]", dateTag = "[object Date]", errorTag = "[object Error]", mapTag$2 = "[object Map]", numberTag = "[object Number]", regexpTag = "[object RegExp]", setTag$2 = "[object Set]", stringTag$1 = "[object String]", symbolTag$1 = "[object Symbol]";
var arrayBufferTag = "[object ArrayBuffer]", dataViewTag$1 = "[object DataView]";
var symbolProto$1 = _Symbol ? _Symbol.prototype : void 0, symbolValueOf = symbolProto$1 ? symbolProto$1.valueOf : void 0;
function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
  switch (tag) {
    case dataViewTag$1:
      if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
        return false;
      }
      object = object.buffer;
      other = other.buffer;
    case arrayBufferTag:
      if (object.byteLength != other.byteLength || !equalFunc(new _Uint8Array(object), new _Uint8Array(other))) {
        return false;
      }
      return true;
    case boolTag:
    case dateTag:
    case numberTag:
      return eq_1(+object, +other);
    case errorTag:
      return object.name == other.name && object.message == other.message;
    case regexpTag:
    case stringTag$1:
      return object == other + "";
    case mapTag$2:
      var convert = _mapToArray;
    case setTag$2:
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG$4;
      convert || (convert = _setToArray);
      if (object.size != other.size && !isPartial) {
        return false;
      }
      var stacked = stack.get(object);
      if (stacked) {
        return stacked == other;
      }
      bitmask |= COMPARE_UNORDERED_FLAG$2;
      stack.set(object, other);
      var result = _equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
      stack["delete"](object);
      return result;
    case symbolTag$1:
      if (symbolValueOf) {
        return symbolValueOf.call(object) == symbolValueOf.call(other);
      }
  }
  return false;
}
var _equalByTag = equalByTag;
function arrayPush(array, values2) {
  var index = -1, length = values2.length, offset = array.length;
  while (++index < length) {
    array[offset + index] = values2[index];
  }
  return array;
}
var _arrayPush = arrayPush;
function baseGetAllKeys(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray_1(object) ? result : _arrayPush(result, symbolsFunc(object));
}
var _baseGetAllKeys = baseGetAllKeys;
function arrayFilter(array, predicate) {
  var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}
var _arrayFilter = arrayFilter;
function stubArray() {
  return [];
}
var stubArray_1 = stubArray;
var objectProto$2 = Object.prototype;
var propertyIsEnumerable = objectProto$2.propertyIsEnumerable;
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbols = !nativeGetSymbols ? stubArray_1 : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return _arrayFilter(nativeGetSymbols(object), function(symbol) {
    return propertyIsEnumerable.call(object, symbol);
  });
};
var _getSymbols = getSymbols;
function getAllKeys(object) {
  return _baseGetAllKeys(object, keys_1, _getSymbols);
}
var _getAllKeys = getAllKeys;
var COMPARE_PARTIAL_FLAG$3 = 1;
var objectProto$1 = Object.prototype;
var hasOwnProperty$1 = objectProto$1.hasOwnProperty;
function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$3, objProps = _getAllKeys(object), objLength = objProps.length, othProps = _getAllKeys(other), othLength = othProps.length;
  if (objLength != othLength && !isPartial) {
    return false;
  }
  var index = objLength;
  while (index--) {
    var key = objProps[index];
    if (!(isPartial ? key in other : hasOwnProperty$1.call(other, key))) {
      return false;
    }
  }
  var objStacked = stack.get(object);
  var othStacked = stack.get(other);
  if (objStacked && othStacked) {
    return objStacked == other && othStacked == object;
  }
  var result = true;
  stack.set(object, other);
  stack.set(other, object);
  var skipCtor = isPartial;
  while (++index < objLength) {
    key = objProps[index];
    var objValue = object[key], othValue = other[key];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
    }
    if (!(compared === void 0 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
      result = false;
      break;
    }
    skipCtor || (skipCtor = key == "constructor");
  }
  if (result && !skipCtor) {
    var objCtor = object.constructor, othCtor = other.constructor;
    if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
      result = false;
    }
  }
  stack["delete"](object);
  stack["delete"](other);
  return result;
}
var _equalObjects = equalObjects;
var DataView = _getNative(_root, "DataView");
var _DataView = DataView;
var Promise$1 = _getNative(_root, "Promise");
var _Promise = Promise$1;
var Set$1 = _getNative(_root, "Set");
var _Set = Set$1;
var WeakMap$1 = _getNative(_root, "WeakMap");
var _WeakMap = WeakMap$1;
var mapTag$1 = "[object Map]", objectTag$1 = "[object Object]", promiseTag = "[object Promise]", setTag$1 = "[object Set]", weakMapTag = "[object WeakMap]";
var dataViewTag = "[object DataView]";
var dataViewCtorString = _toSource(_DataView), mapCtorString = _toSource(_Map), promiseCtorString = _toSource(_Promise), setCtorString = _toSource(_Set), weakMapCtorString = _toSource(_WeakMap);
var getTag = _baseGetTag;
if (_DataView && getTag(new _DataView(new ArrayBuffer(1))) != dataViewTag || _Map && getTag(new _Map()) != mapTag$1 || _Promise && getTag(_Promise.resolve()) != promiseTag || _Set && getTag(new _Set()) != setTag$1 || _WeakMap && getTag(new _WeakMap()) != weakMapTag) {
  getTag = function(value) {
    var result = _baseGetTag(value), Ctor = result == objectTag$1 ? value.constructor : void 0, ctorString = Ctor ? _toSource(Ctor) : "";
    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString:
          return dataViewTag;
        case mapCtorString:
          return mapTag$1;
        case promiseCtorString:
          return promiseTag;
        case setCtorString:
          return setTag$1;
        case weakMapCtorString:
          return weakMapTag;
      }
    }
    return result;
  };
}
var _getTag = getTag;
var COMPARE_PARTIAL_FLAG$2 = 1;
var argsTag = "[object Arguments]", arrayTag = "[object Array]", objectTag = "[object Object]";
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
  var objIsArr = isArray_1(object), othIsArr = isArray_1(other), objTag = objIsArr ? arrayTag : _getTag(object), othTag = othIsArr ? arrayTag : _getTag(other);
  objTag = objTag == argsTag ? objectTag : objTag;
  othTag = othTag == argsTag ? objectTag : othTag;
  var objIsObj = objTag == objectTag, othIsObj = othTag == objectTag, isSameTag = objTag == othTag;
  if (isSameTag && isBuffer_1(object)) {
    if (!isBuffer_1(other)) {
      return false;
    }
    objIsArr = true;
    objIsObj = false;
  }
  if (isSameTag && !objIsObj) {
    stack || (stack = new _Stack());
    return objIsArr || isTypedArray_1(object) ? _equalArrays(object, other, bitmask, customizer, equalFunc, stack) : _equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
  }
  if (!(bitmask & COMPARE_PARTIAL_FLAG$2)) {
    var objIsWrapped = objIsObj && hasOwnProperty.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty.call(other, "__wrapped__");
    if (objIsWrapped || othIsWrapped) {
      var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
      stack || (stack = new _Stack());
      return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
    }
  }
  if (!isSameTag) {
    return false;
  }
  stack || (stack = new _Stack());
  return _equalObjects(object, other, bitmask, customizer, equalFunc, stack);
}
var _baseIsEqualDeep = baseIsEqualDeep;
function baseIsEqual(value, other, bitmask, customizer, stack) {
  if (value === other) {
    return true;
  }
  if (value == null || other == null || !isObjectLike_1(value) && !isObjectLike_1(other)) {
    return value !== value && other !== other;
  }
  return _baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
}
var _baseIsEqual = baseIsEqual;
var COMPARE_PARTIAL_FLAG$1 = 1, COMPARE_UNORDERED_FLAG$1 = 2;
function baseIsMatch(object, source, matchData, customizer) {
  var index = matchData.length, length = index, noCustomizer = !customizer;
  if (object == null) {
    return !length;
  }
  object = Object(object);
  while (index--) {
    var data = matchData[index];
    if (noCustomizer && data[2] ? data[1] !== object[data[0]] : !(data[0] in object)) {
      return false;
    }
  }
  while (++index < length) {
    data = matchData[index];
    var key = data[0], objValue = object[key], srcValue = data[1];
    if (noCustomizer && data[2]) {
      if (objValue === void 0 && !(key in object)) {
        return false;
      }
    } else {
      var stack = new _Stack();
      if (customizer) {
        var result = customizer(objValue, srcValue, key, object, source, stack);
      }
      if (!(result === void 0 ? _baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG$1 | COMPARE_UNORDERED_FLAG$1, customizer, stack) : result)) {
        return false;
      }
    }
  }
  return true;
}
var _baseIsMatch = baseIsMatch;
function isStrictComparable(value) {
  return value === value && !isObject_1(value);
}
var _isStrictComparable = isStrictComparable;
function getMatchData(object) {
  var result = keys_1(object), length = result.length;
  while (length--) {
    var key = result[length], value = object[key];
    result[length] = [key, value, _isStrictComparable(value)];
  }
  return result;
}
var _getMatchData = getMatchData;
function matchesStrictComparable(key, srcValue) {
  return function(object) {
    if (object == null) {
      return false;
    }
    return object[key] === srcValue && (srcValue !== void 0 || key in Object(object));
  };
}
var _matchesStrictComparable = matchesStrictComparable;
function baseMatches(source) {
  var matchData = _getMatchData(source);
  if (matchData.length == 1 && matchData[0][2]) {
    return _matchesStrictComparable(matchData[0][0], matchData[0][1]);
  }
  return function(object) {
    return object === source || _baseIsMatch(object, source, matchData);
  };
}
var _baseMatches = baseMatches;
var symbolTag = "[object Symbol]";
function isSymbol(value) {
  return typeof value == "symbol" || isObjectLike_1(value) && _baseGetTag(value) == symbolTag;
}
var isSymbol_1 = isSymbol;
var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, reIsPlainProp = /^\w*$/;
function isKey(value, object) {
  if (isArray_1(value)) {
    return false;
  }
  var type = typeof value;
  if (type == "number" || type == "symbol" || type == "boolean" || value == null || isSymbol_1(value)) {
    return true;
  }
  return reIsPlainProp.test(value) || !reIsDeepProp.test(value) || object != null && value in Object(object);
}
var _isKey = isKey;
var FUNC_ERROR_TEXT$2 = "Expected a function";
function memoize(func, resolver) {
  if (typeof func != "function" || resolver != null && typeof resolver != "function") {
    throw new TypeError(FUNC_ERROR_TEXT$2);
  }
  var memoized = function() {
    var args = arguments, key = resolver ? resolver.apply(this, args) : args[0], cache = memoized.cache;
    if (cache.has(key)) {
      return cache.get(key);
    }
    var result = func.apply(this, args);
    memoized.cache = cache.set(key, result) || cache;
    return result;
  };
  memoized.cache = new (memoize.Cache || _MapCache)();
  return memoized;
}
memoize.Cache = _MapCache;
var memoize_1 = memoize;
var MAX_MEMOIZE_SIZE = 500;
function memoizeCapped(func) {
  var result = memoize_1(func, function(key) {
    if (cache.size === MAX_MEMOIZE_SIZE) {
      cache.clear();
    }
    return key;
  });
  var cache = result.cache;
  return result;
}
var _memoizeCapped = memoizeCapped;
var rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;
var reEscapeChar = /\\(\\)?/g;
var stringToPath = _memoizeCapped(function(string) {
  var result = [];
  if (string.charCodeAt(0) === 46) {
    result.push("");
  }
  string.replace(rePropName, function(match, number, quote, subString) {
    result.push(quote ? subString.replace(reEscapeChar, "$1") : number || match);
  });
  return result;
});
var _stringToPath = stringToPath;
function arrayMap(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length, result = Array(length);
  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}
var _arrayMap = arrayMap;
var INFINITY$2 = 1 / 0;
var symbolProto = _Symbol ? _Symbol.prototype : void 0, symbolToString = symbolProto ? symbolProto.toString : void 0;
function baseToString(value) {
  if (typeof value == "string") {
    return value;
  }
  if (isArray_1(value)) {
    return _arrayMap(value, baseToString) + "";
  }
  if (isSymbol_1(value)) {
    return symbolToString ? symbolToString.call(value) : "";
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY$2 ? "-0" : result;
}
var _baseToString = baseToString;
function toString(value) {
  return value == null ? "" : _baseToString(value);
}
var toString_1 = toString;
function castPath(value, object) {
  if (isArray_1(value)) {
    return value;
  }
  return _isKey(value, object) ? [value] : _stringToPath(toString_1(value));
}
var _castPath = castPath;
var INFINITY$1 = 1 / 0;
function toKey(value) {
  if (typeof value == "string" || isSymbol_1(value)) {
    return value;
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY$1 ? "-0" : result;
}
var _toKey = toKey;
function baseGet(object, path) {
  path = _castPath(path, object);
  var index = 0, length = path.length;
  while (object != null && index < length) {
    object = object[_toKey(path[index++])];
  }
  return index && index == length ? object : void 0;
}
var _baseGet = baseGet;
function get(object, path, defaultValue) {
  var result = object == null ? void 0 : _baseGet(object, path);
  return result === void 0 ? defaultValue : result;
}
var get_1 = get;
function baseHasIn(object, key) {
  return object != null && key in Object(object);
}
var _baseHasIn = baseHasIn;
function hasPath(object, path, hasFunc) {
  path = _castPath(path, object);
  var index = -1, length = path.length, result = false;
  while (++index < length) {
    var key = _toKey(path[index]);
    if (!(result = object != null && hasFunc(object, key))) {
      break;
    }
    object = object[key];
  }
  if (result || ++index != length) {
    return result;
  }
  length = object == null ? 0 : object.length;
  return !!length && isLength_1(length) && _isIndex(key, length) && (isArray_1(object) || isArguments_1(object));
}
var _hasPath = hasPath;
function hasIn(object, path) {
  return object != null && _hasPath(object, path, _baseHasIn);
}
var hasIn_1 = hasIn;
var COMPARE_PARTIAL_FLAG = 1, COMPARE_UNORDERED_FLAG = 2;
function baseMatchesProperty(path, srcValue) {
  if (_isKey(path) && _isStrictComparable(srcValue)) {
    return _matchesStrictComparable(_toKey(path), srcValue);
  }
  return function(object) {
    var objValue = get_1(object, path);
    return objValue === void 0 && objValue === srcValue ? hasIn_1(object, path) : _baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG);
  };
}
var _baseMatchesProperty = baseMatchesProperty;
function identity(value) {
  return value;
}
var identity_1 = identity;
function baseProperty(key) {
  return function(object) {
    return object == null ? void 0 : object[key];
  };
}
var _baseProperty = baseProperty;
function basePropertyDeep(path) {
  return function(object) {
    return _baseGet(object, path);
  };
}
var _basePropertyDeep = basePropertyDeep;
function property(path) {
  return _isKey(path) ? _baseProperty(_toKey(path)) : _basePropertyDeep(path);
}
var property_1 = property;
function baseIteratee(value) {
  if (typeof value == "function") {
    return value;
  }
  if (value == null) {
    return identity_1;
  }
  if (typeof value == "object") {
    return isArray_1(value) ? _baseMatchesProperty(value[0], value[1]) : _baseMatches(value);
  }
  return property_1(value);
}
var _baseIteratee = baseIteratee;
function baseReduce(collection, iteratee, accumulator, initAccum, eachFunc) {
  eachFunc(collection, function(value, index, collection2) {
    accumulator = initAccum ? (initAccum = false, value) : iteratee(accumulator, value, index, collection2);
  });
  return accumulator;
}
var _baseReduce = baseReduce;
function reduce(collection, iteratee, accumulator) {
  var func = isArray_1(collection) ? _arrayReduce : _baseReduce, initAccum = arguments.length < 3;
  return func(collection, _baseIteratee(iteratee), accumulator, initAccum, _baseEach);
}
var reduce_1 = reduce;
function arrayEach(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    if (iteratee(array[index], index, array) === false) {
      break;
    }
  }
  return array;
}
var _arrayEach = arrayEach;
function castFunction(value) {
  return typeof value == "function" ? value : identity_1;
}
var _castFunction = castFunction;
function forEach(collection, iteratee) {
  var func = isArray_1(collection) ? _arrayEach : _baseEach;
  return func(collection, _castFunction(iteratee));
}
var forEach_1 = forEach;
var each = forEach_1;
function createFind(findIndexFunc) {
  return function(collection, predicate, fromIndex) {
    var iterable = Object(collection);
    if (!isArrayLike_1(collection)) {
      var iteratee = _baseIteratee(predicate);
      collection = keys_1(collection);
      predicate = function(key) {
        return iteratee(iterable[key], key, iterable);
      };
    }
    var index = findIndexFunc(collection, predicate, fromIndex);
    return index > -1 ? iterable[iteratee ? collection[index] : index] : void 0;
  };
}
var _createFind = createFind;
function baseFindIndex(array, predicate, fromIndex, fromRight) {
  var length = array.length, index = fromIndex + (fromRight ? 1 : -1);
  while (fromRight ? index-- : ++index < length) {
    if (predicate(array[index], index, array)) {
      return index;
    }
  }
  return -1;
}
var _baseFindIndex = baseFindIndex;
var reWhitespace = /\s/;
function trimmedEndIndex(string) {
  var index = string.length;
  while (index-- && reWhitespace.test(string.charAt(index))) {
  }
  return index;
}
var _trimmedEndIndex = trimmedEndIndex;
var reTrimStart = /^\s+/;
function baseTrim(string) {
  return string ? string.slice(0, _trimmedEndIndex(string) + 1).replace(reTrimStart, "") : string;
}
var _baseTrim = baseTrim;
var NAN = 0 / 0;
var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
var reIsBinary = /^0b[01]+$/i;
var reIsOctal = /^0o[0-7]+$/i;
var freeParseInt = parseInt;
function toNumber(value) {
  if (typeof value == "number") {
    return value;
  }
  if (isSymbol_1(value)) {
    return NAN;
  }
  if (isObject_1(value)) {
    var other = typeof value.valueOf == "function" ? value.valueOf() : value;
    value = isObject_1(other) ? other + "" : other;
  }
  if (typeof value != "string") {
    return value === 0 ? value : +value;
  }
  value = _baseTrim(value);
  var isBinary = reIsBinary.test(value);
  return isBinary || reIsOctal.test(value) ? freeParseInt(value.slice(2), isBinary ? 2 : 8) : reIsBadHex.test(value) ? NAN : +value;
}
var toNumber_1 = toNumber;
var INFINITY = 1 / 0, MAX_INTEGER = 17976931348623157e292;
function toFinite(value) {
  if (!value) {
    return value === 0 ? value : 0;
  }
  value = toNumber_1(value);
  if (value === INFINITY || value === -INFINITY) {
    var sign = value < 0 ? -1 : 1;
    return sign * MAX_INTEGER;
  }
  return value === value ? value : 0;
}
var toFinite_1 = toFinite;
function toInteger(value) {
  var result = toFinite_1(value), remainder = result % 1;
  return result === result ? remainder ? result - remainder : result : 0;
}
var toInteger_1 = toInteger;
var nativeMax$3 = Math.max;
function findIndex(array, predicate, fromIndex) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return -1;
  }
  var index = fromIndex == null ? 0 : toInteger_1(fromIndex);
  if (index < 0) {
    index = nativeMax$3(length + index, 0);
  }
  return _baseFindIndex(array, _baseIteratee(predicate), index);
}
var findIndex_1 = findIndex;
var find = _createFind(findIndex_1);
var find_1 = find;
const appendToMap = (map2, propName, value) => {
  const items = map2.get(propName);
  if (!items) {
    map2.set(propName, [value]);
  } else if (!items.includes(value)) {
    items.push(value);
  }
};
const debounce$1 = (fn, ms) => {
  let timeoutId;
  return (...args) => {
    if (timeoutId) {
      clearTimeout(timeoutId);
    }
    timeoutId = setTimeout(() => {
      timeoutId = 0;
      fn(...args);
    }, ms);
  };
};
const isConnected = (maybeElement) => !("isConnected" in maybeElement) || maybeElement.isConnected;
const cleanupElements = debounce$1((map2) => {
  for (let key of map2.keys()) {
    map2.set(key, map2.get(key).filter(isConnected));
  }
}, 2e3);
const stencilSubscription = ({ on }) => {
  const elmsToUpdate = /* @__PURE__ */ new Map();
  if (typeof getRenderingRef === "function") {
    on("dispose", () => {
      elmsToUpdate.clear();
    });
    on("get", (propName) => {
      const elm = getRenderingRef();
      if (elm) {
        appendToMap(elmsToUpdate, propName, elm);
      }
    });
    on("set", (propName) => {
      const elements = elmsToUpdate.get(propName);
      if (elements) {
        elmsToUpdate.set(propName, elements.filter(forceUpdate));
      }
      cleanupElements(elmsToUpdate);
    });
    on("reset", () => {
      elmsToUpdate.forEach((elms) => elms.forEach(forceUpdate));
      cleanupElements(elmsToUpdate);
    });
  }
};
const createObservableMap = (defaultState2, shouldUpdate = (a, b) => a !== b) => {
  let states = new Map(Object.entries(defaultState2 !== null && defaultState2 !== void 0 ? defaultState2 : {}));
  const handlers = {
    dispose: [],
    get: [],
    set: [],
    reset: []
  };
  const reset = () => {
    states = new Map(Object.entries(defaultState2 !== null && defaultState2 !== void 0 ? defaultState2 : {}));
    handlers.reset.forEach((cb) => cb());
  };
  const dispose = () => {
    handlers.dispose.forEach((cb) => cb());
    reset();
  };
  const get2 = (propName) => {
    handlers.get.forEach((cb) => cb(propName));
    return states.get(propName);
  };
  const set2 = (propName, value) => {
    const oldValue = states.get(propName);
    if (shouldUpdate(value, oldValue, propName)) {
      states.set(propName, value);
      handlers.set.forEach((cb) => cb(propName, value, oldValue));
    }
  };
  const state = typeof Proxy === "undefined" ? {} : new Proxy(defaultState2, {
    get(_, propName) {
      return get2(propName);
    },
    ownKeys(_) {
      return Array.from(states.keys());
    },
    getOwnPropertyDescriptor() {
      return {
        enumerable: true,
        configurable: true
      };
    },
    has(_, propName) {
      return states.has(propName);
    },
    set(_, propName, value) {
      set2(propName, value);
      return true;
    }
  });
  const on = (eventName, callback) => {
    handlers[eventName].push(callback);
    return () => {
      removeFromArray(handlers[eventName], callback);
    };
  };
  const onChange = (propName, cb) => {
    const unSet = on("set", (key, newValue) => {
      if (key === propName) {
        cb(newValue);
      }
    });
    const unReset = on("reset", () => cb(defaultState2[propName]));
    return () => {
      unSet();
      unReset();
    };
  };
  const use = (...subscriptions) => subscriptions.forEach((subscription) => {
    if (subscription.set) {
      on("set", subscription.set);
    }
    if (subscription.get) {
      on("get", subscription.get);
    }
    if (subscription.reset) {
      on("reset", subscription.reset);
    }
  });
  return {
    state,
    get: get2,
    set: set2,
    on,
    onChange,
    use,
    dispose,
    reset
  };
};
const removeFromArray = (array, item) => {
  const index = array.indexOf(item);
  if (index >= 0) {
    array[index] = array[array.length - 1];
    array.length--;
  }
};
const createStore = (defaultState2, shouldUpdate) => {
  const map2 = createObservableMap(defaultState2, shouldUpdate);
  stencilSubscription(map2);
  return map2;
};
var nativeCeil = Math.ceil, nativeMax$2 = Math.max;
function baseRange(start, end, step, fromRight) {
  var index = -1, length = nativeMax$2(nativeCeil((end - start) / (step || 1)), 0), result = Array(length);
  while (length--) {
    result[fromRight ? length : ++index] = start;
    start += step;
  }
  return result;
}
var _baseRange = baseRange;
function isIterateeCall(value, index, object) {
  if (!isObject_1(object)) {
    return false;
  }
  var type = typeof index;
  if (type == "number" ? isArrayLike_1(object) && _isIndex(index, object.length) : type == "string" && index in object) {
    return eq_1(object[index], value);
  }
  return false;
}
var _isIterateeCall = isIterateeCall;
function createRange(fromRight) {
  return function(start, end, step) {
    if (step && typeof step != "number" && _isIterateeCall(start, end, step)) {
      end = step = void 0;
    }
    start = toFinite_1(start);
    if (end === void 0) {
      end = start;
      start = 0;
    } else {
      end = toFinite_1(end);
    }
    step = step === void 0 ? start < end ? 1 : -1 : toFinite_1(step);
    return _baseRange(start, end, step, fromRight);
  };
}
var _createRange = createRange;
var range = _createRange();
var range_1 = range;
const trimmedPlugin = (store) => ({
  set(k, newVal) {
    switch (k) {
      case "trimmed":
        const proxy = store.get("proxyItems");
        const trimmed = gatherTrimmedItems(newVal);
        const newItems = proxy.reduce((result, v) => {
          if (!trimmed[v]) {
            result.push(v);
          }
          return result;
        }, []);
        store.set("items", newItems);
        break;
    }
  }
});
function gatherTrimmedItems(trimmedItems) {
  const trimmed = {};
  for (let trimmedKey in trimmedItems) {
    for (let t in trimmedItems[trimmedKey]) {
      trimmed[t] = trimmed[t] || trimmedItems[trimmedKey][t];
    }
  }
  return trimmed;
}
function setStore(store, data) {
  for (let key in data) {
    store.set(key, data[key]);
  }
}
const proxyPlugin = (store) => ({
  set(k, newVal) {
    if (!isProxy(k)) {
      return;
    }
    const oldItems = store.get("items").reduce((r, v) => {
      r[v] = true;
      return r;
    }, {});
    const newItems = newVal.reduce((r, i) => {
      if (oldItems[i]) {
        r.push(i);
      }
      return r;
    }, []);
    store.set("items", newItems);
  }
});
function isProxy(k) {
  return k === "proxyItems";
}
class DataStore {
  constructor(type) {
    const store = this.dataStore = createStore({
      items: [],
      proxyItems: [],
      source: [],
      groupingDepth: 0,
      groups: {},
      type,
      trimmed: {}
    });
    store.use(proxyPlugin(store));
    store.use(trimmedPlugin(store));
  }
  get store() {
    return this.dataStore;
  }
  updateData(source, grouping, silent = false) {
    if (!silent) {
      this.store.set("trimmed", {});
    }
    this.store.set("items", []);
    const items = range_1(0, (source === null || source === void 0 ? void 0 : source.length) || 0);
    setStore(this.store, {
      source,
      proxyItems: [...items]
    });
    this.store.set("items", items);
    if (grouping) {
      setStore(this.store, {
        groupingDepth: grouping.depth,
        groups: grouping.groups
      });
    }
  }
  addTrimmed(some) {
    let trimmed = this.store.get("trimmed");
    trimmed = Object.assign(Object.assign({}, trimmed), some);
    setStore(this.store, { trimmed });
  }
  setData(input) {
    const data = Object.assign({}, input);
    setStore(this.store, data);
  }
  refresh() {
    const source = this.store.get("source");
    this.store.set("source", [...source]);
  }
}
function getPhysical(store, virtualIndex) {
  const items = store.get("items");
  return items[virtualIndex];
}
function getVisibleSourceItem(store) {
  const source = store.get("source");
  return store.get("items").map((v) => source[v]);
}
function getSourceItem(store, virtualIndex) {
  const items = store.get("items");
  const source = store.get("source");
  return source[items[virtualIndex]];
}
function setSourceByVirtualIndex(store, modelByIndex) {
  const items = store.get("items");
  const source = store.get("source");
  for (let virtualIndex in modelByIndex) {
    const realIndex = items[virtualIndex];
    source[realIndex] = modelByIndex[virtualIndex];
  }
  store.set("source", [...source]);
}
function setItems(store, items) {
  store.set("items", items);
}
function getSourceItemVirtualIndexByProp(store, prop) {
  const items = store.get("items");
  const source = store.get("source");
  const physicalIndex = findIndex_1(source, { prop });
  return items.indexOf(physicalIndex);
}
const rowTypes = ["rowPinStart", "rgRow", "rowPinEnd"];
const columnTypes = ["colPinStart", "rgCol", "colPinEnd"];
function isRowType(type) {
  return rowTypes.indexOf(type) > -1;
}
function baseMap(collection, iteratee) {
  var index = -1, result = isArrayLike_1(collection) ? Array(collection.length) : [];
  _baseEach(collection, function(value, key, collection2) {
    result[++index] = iteratee(value, key, collection2);
  });
  return result;
}
var _baseMap = baseMap;
function map(collection, iteratee) {
  var func = isArray_1(collection) ? _arrayMap : _baseMap;
  return func(collection, _baseIteratee(iteratee));
}
var map_1 = map;
class BasePlugin {
  constructor(revogrid) {
    this.revogrid = revogrid;
    this.subscriptions = {};
  }
  addEventListener(name, func) {
    this.revogrid.addEventListener(name, func);
    this.subscriptions[name] = func;
  }
  removeEventListener(type) {
    this.revogrid.removeEventListener(type, this.subscriptions[type]);
    delete this.subscriptions[type];
  }
  emit(eventName, detail) {
    const event = new CustomEvent(eventName, { detail, cancelable: true });
    this.revogrid.dispatchEvent(event);
    return event;
  }
  clearSubscriptions() {
    for (let type in this.subscriptions) {
      this.removeEventListener(type);
    }
  }
  destroy() {
    this.clearSubscriptions();
  }
}
class GroupingColumnPlugin extends BasePlugin {
  static gatherGroup(res, colData, collection, level = 0) {
    const group = Object.assign(Object.assign({}, colData), { level, ids: [] });
    for (let k in collection.columns) {
      const key = k;
      const resultItem = res.columns[key];
      const collectionItem = collection.columns[key];
      if (isArray_1(resultItem) && isArray_1(collectionItem)) {
        resultItem.push(...collectionItem);
        if (collectionItem.length) {
          res.columnGrouping[key].push(Object.assign(Object.assign({}, group), { ids: map_1(collectionItem, "prop") }));
        }
      }
    }
    for (let k in collection.columnGrouping) {
      const key = k;
      const collectionItem = collection.columnGrouping[key];
      res.columnGrouping[key].push(...collectionItem);
    }
    res.maxLevel = Math.max(res.maxLevel, collection.maxLevel);
    res.sort = Object.assign(Object.assign({}, res.sort), collection.sort);
    return res;
  }
  static isColGrouping(colData) {
    return !!colData.children;
  }
}
class ColumnDataProvider {
  constructor() {
    this.sorting = null;
    this.dataSources = reduce_1(columnTypes, (sources, k) => {
      sources[k] = new DataStore(k);
      return sources;
    }, {});
  }
  get order() {
    return reduce_1(this.sorting, (r, c, prop) => {
      r[prop] = c.order;
      return r;
    }, {});
  }
  get stores() {
    return this.dataSources;
  }
  column(c, pin) {
    return this.getColumn(c, pin || "rgCol");
  }
  getColumn(virtualIndex, type) {
    return getSourceItem(this.dataSources[type].store, virtualIndex);
  }
  getRawColumns() {
    return reduce_1(this.dataSources, (result, item, type) => {
      result[type] = item.store.get("source");
      return result;
    }, {
      rgCol: [],
      colPinStart: [],
      colPinEnd: []
    });
  }
  getColumns(type = "all") {
    if (type !== "all") {
      return this.dataSources[type].store.get("source");
    }
    return columnTypes.reduce((r, t) => {
      r.push(...this.dataSources[t].store.get("source"));
      return r;
    }, []);
  }
  getColumnIndexByProp(prop, type) {
    return getSourceItemVirtualIndexByProp(this.dataSources[type].store, prop);
  }
  getColumnByProp(prop, type) {
    const items = this.dataSources[type].store.get("source");
    return find_1(items, { prop });
  }
  refreshByType(type) {
    this.dataSources[type].refresh();
  }
  setColumns(data) {
    each(columnTypes, (k) => {
      this.dataSources[k].updateData(data.columns[k], {
        depth: data.maxLevel,
        groups: reduce_1(data.columnGrouping[k], (res, g) => {
          if (!res[g.level]) {
            res[g.level] = [];
          }
          res[g.level].push(g);
          return res;
        }, {})
      });
    });
    this.sorting = data.sort;
    return data;
  }
  updateColumns(cols) {
    const columnByKey = cols.reduce((res, c) => {
      const type = ColumnDataProvider.getColumnType(c);
      if (!res[type]) {
        res[type] = {};
      }
      res[type][c.prop] = c;
      return res;
    }, {});
    const colByIndex = {};
    each(columnByKey, (colsToUpdate, type) => {
      const items = this.dataSources[type].store.get("source");
      colByIndex[type] = items.reduce((result, rgCol, index) => {
        const colToUpdateIfExists = colsToUpdate[rgCol.prop];
        if (colToUpdateIfExists) {
          result[index] = colToUpdateIfExists;
        }
        return result;
      }, {});
    });
    each(colByIndex, (colsToUpdate, type) => setSourceByVirtualIndex(this.dataSources[type].store, colsToUpdate));
  }
  updateColumn(column, index) {
    const type = ColumnDataProvider.getColumnType(column);
    setSourceByVirtualIndex(this.dataSources[type].store, { [index]: column });
  }
  updateColumnSorting(column, index, sorting, additive) {
    if (!additive) {
      this.clearSorting();
    }
    column.order = sorting;
    this.sorting[column.prop] = column;
    this.updateColumn(column, index);
    return column;
  }
  clearSorting() {
    const types = reduce_1(this.sorting, (r, c) => {
      const k = ColumnDataProvider.getColumnType(c);
      r[k] = true;
      return r;
    }, {});
    each(types, (_, type) => {
      const cols = this.dataSources[type].store.get("source");
      each(cols, (c) => c.order = void 0);
      this.dataSources[type].setData({ source: [...cols] });
    });
    this.sorting = {};
  }
  static getSizes(cols) {
    return reduce_1(cols, (res, c, i) => {
      if (c.size) {
        res[i] = c.size;
      }
      return res;
    }, {});
  }
  static getColumnByProp(columns, prop) {
    return find_1(columns, (c) => {
      if (GroupingColumnPlugin.isColGrouping(c)) {
        return ColumnDataProvider.getColumnByProp(c.children, prop);
      }
      return c.prop === prop;
    });
  }
  static getColumns(columns, level = 0, types) {
    return reduce_1(columns, (res, colData) => {
      if (GroupingColumnPlugin.isColGrouping(colData)) {
        return GroupingColumnPlugin.gatherGroup(res, colData, ColumnDataProvider.getColumns(colData.children, level + 1, types), level);
      }
      const regularColumn = Object.assign(Object.assign({}, colData.columnType && types && types[colData.columnType]), colData);
      if (!regularColumn.pin) {
        res.columns.rgCol.push(regularColumn);
      } else {
        res.columns[regularColumn.pin].push(regularColumn);
      }
      if (regularColumn.order) {
        res.sort[regularColumn.prop] = regularColumn;
      }
      regularColumn.beforeSetup && regularColumn.beforeSetup(regularColumn);
      return res;
    }, {
      columns: {
        rgCol: [],
        colPinStart: [],
        colPinEnd: []
      },
      columnGrouping: {
        rgCol: [],
        colPinStart: [],
        colPinEnd: []
      },
      maxLevel: level,
      sort: {}
    });
  }
  static getColumnType(rgCol) {
    if (rgCol.pin) {
      return rgCol.pin;
    }
    return "rgCol";
  }
}
class DataProvider {
  constructor(dimensionProvider) {
    this.dimensionProvider = dimensionProvider;
    this.stores = reduce_1(rowTypes, (sources, k) => {
      sources[k] = new DataStore(k);
      return sources;
    }, {});
  }
  setData(data, type = "rgRow", grouping, silent = false) {
    this.stores[type].updateData([...data], grouping, silent);
    this.dimensionProvider.setData(data, type, type !== "rgRow");
    return data;
  }
  getModel(virtualIndex, type = "rgRow") {
    const store = this.stores[type].store;
    return getSourceItem(store, virtualIndex);
  }
  setCellData({ type, rowIndex, prop, val }) {
    const model = this.getModel(rowIndex, type);
    model[prop] = val;
    setSourceByVirtualIndex(this.stores[type].store, { [rowIndex]: model });
  }
  refresh(type = "all") {
    if (isRowType(type)) {
      this.refreshItems(type);
    }
    rowTypes.forEach((t) => this.refreshItems(t));
  }
  refreshItems(type = "rgRow") {
    const items = this.stores[type].store.get("items");
    this.stores[type].setData({ items: [...items] });
  }
  setGrouping({ depth }, type = "rgRow") {
    this.stores[type].setData({ groupingDepth: depth });
  }
  setTrimmed(trimmed, type = "rgRow") {
    const store = this.stores[type];
    store.addTrimmed(trimmed);
    if (type === "rgRow") {
      this.dimensionProvider.setData(getVisibleSourceItem(store.store), type);
    }
  }
}
var MAX_ARRAY_LENGTH$2 = 4294967295, MAX_ARRAY_INDEX = MAX_ARRAY_LENGTH$2 - 1;
var nativeFloor = Math.floor, nativeMin$1 = Math.min;
function baseSortedIndexBy(array, value, iteratee, retHighest) {
  var low = 0, high = array == null ? 0 : array.length;
  if (high === 0) {
    return 0;
  }
  value = iteratee(value);
  var valIsNaN = value !== value, valIsNull = value === null, valIsSymbol = isSymbol_1(value), valIsUndefined = value === void 0;
  while (low < high) {
    var mid = nativeFloor((low + high) / 2), computed2 = iteratee(array[mid]), othIsDefined = computed2 !== void 0, othIsNull = computed2 === null, othIsReflexive = computed2 === computed2, othIsSymbol = isSymbol_1(computed2);
    if (valIsNaN) {
      var setLow = retHighest || othIsReflexive;
    } else if (valIsUndefined) {
      setLow = othIsReflexive && (retHighest || othIsDefined);
    } else if (valIsNull) {
      setLow = othIsReflexive && othIsDefined && (retHighest || !othIsNull);
    } else if (valIsSymbol) {
      setLow = othIsReflexive && othIsDefined && !othIsNull && (retHighest || !othIsSymbol);
    } else if (othIsNull || othIsSymbol) {
      setLow = false;
    } else {
      setLow = retHighest ? computed2 <= value : computed2 < value;
    }
    if (setLow) {
      low = mid + 1;
    } else {
      high = mid;
    }
  }
  return nativeMin$1(high, MAX_ARRAY_INDEX);
}
var _baseSortedIndexBy = baseSortedIndexBy;
var MAX_ARRAY_LENGTH$1 = 4294967295, HALF_MAX_ARRAY_LENGTH = MAX_ARRAY_LENGTH$1 >>> 1;
function baseSortedIndex(array, value, retHighest) {
  var low = 0, high = array == null ? low : array.length;
  if (typeof value == "number" && value === value && high <= HALF_MAX_ARRAY_LENGTH) {
    while (low < high) {
      var mid = low + high >>> 1, computed2 = array[mid];
      if (computed2 !== null && !isSymbol_1(computed2) && (retHighest ? computed2 <= value : computed2 < value)) {
        low = mid + 1;
      } else {
        high = mid;
      }
    }
    return high;
  }
  return _baseSortedIndexBy(array, value, identity_1, retHighest);
}
var _baseSortedIndex = baseSortedIndex;
function sortedIndex(array, value) {
  return _baseSortedIndex(array, value);
}
var sortedIndex_1 = sortedIndex;
function simpleCompare(el1, el2) {
  return el1 < el2;
}
function mergeSortedArray(arr1, arr2, compareFn = simpleCompare) {
  const merged = [];
  let index1 = 0;
  let index2 = 0;
  let current = 0;
  while (current < arr1.length + arr2.length) {
    let isArr1Depleted = index1 >= arr1.length;
    let isArr2Depleted = index2 >= arr2.length;
    if (!isArr1Depleted && (isArr2Depleted || compareFn(arr1[index1], arr2[index2]))) {
      merged[current] = arr1[index1];
      index1++;
    } else {
      merged[current] = arr2[index2];
      index2++;
    }
    current++;
  }
  return merged;
}
function getScrollbarWidth(doc2) {
  const outer = doc2.createElement("div");
  const styles2 = outer.style;
  styles2.visibility = "hidden";
  styles2.overflow = "scroll";
  styles2.msOverflowStyle = "scrollbar";
  doc2.body.appendChild(outer);
  const inner = doc2.createElement("div");
  outer.appendChild(inner);
  const scrollbarWidth = outer.offsetWidth - inner.offsetWidth;
  outer.parentNode.removeChild(outer);
  return scrollbarWidth;
}
function scaleValue(value, from, to) {
  return (to[1] - to[0]) * (value - from[0]) / (from[1] - from[0]) + to[0];
}
async function timeout(delay = 0) {
  await new Promise((r) => {
    setTimeout(() => r(), delay);
  });
}
function calculateDimensionData(state, newSizes) {
  let positionIndexes = [];
  const positionIndexToItem = {};
  const indexToItem = {};
  let newTotal = 0;
  const sizes = Object.assign(Object.assign({}, state.sizes), newSizes);
  let newIndexes = [];
  each(newSizes, (size2, index) => {
    if (!state.sizes[index]) {
      newTotal += size2 - (state.realSize ? state.originItemSize : 0);
      newIndexes.splice(sortedIndex_1(newIndexes, parseInt(index, 10)), 0, parseInt(index, 10));
    } else {
      newTotal += size2 - state.sizes[index];
    }
  });
  const updatedIndexesCache = mergeSortedArray(state.indexes, newIndexes);
  reduce_1(updatedIndexesCache, (previous, itemIndex, i) => {
    const newItem = {
      itemIndex,
      start: 0,
      end: 0
    };
    if (previous) {
      newItem.start = (itemIndex - previous.itemIndex - 1) * state.originItemSize + previous.end;
    } else {
      newItem.start = itemIndex * state.originItemSize;
    }
    newItem.end = newItem.start + sizes[itemIndex];
    positionIndexes.push(newItem.start);
    indexToItem[itemIndex] = positionIndexToItem[i] = newItem;
    return newItem;
  }, void 0);
  return {
    indexes: updatedIndexesCache,
    positionIndexes: [...positionIndexes],
    positionIndexToItem: Object.assign({}, positionIndexToItem),
    indexToItem,
    realSize: state.realSize + newTotal,
    sizes
  };
}
function getItemByPosition({ indexes, positionIndexes, originItemSize, positionIndexToItem }, pos) {
  const item = {
    itemIndex: 0,
    start: 0,
    end: 0
  };
  const currentPlace = indexes.length ? sortedIndex_1(positionIndexes, pos) : 0;
  if (!currentPlace) {
    item.itemIndex = Math.floor(pos / originItemSize);
    item.start = item.itemIndex * originItemSize;
    item.end = item.start + originItemSize;
    return item;
  }
  const positionItem = positionIndexToItem[currentPlace - 1];
  if (positionItem.end > pos) {
    return positionItem;
  }
  const relativePos = pos - positionItem.end;
  const relativeIndex = Math.floor(relativePos / originItemSize);
  item.itemIndex = positionItem.itemIndex + 1 + relativeIndex;
  item.start = positionItem.end + relativeIndex * originItemSize;
  item.end = item.start + originItemSize;
  return item;
}
function getItemByIndex(dimension, index) {
  let item = {
    itemIndex: index,
    start: 0,
    end: 0
  };
  if (dimension.indexToItem[index]) {
    return dimension.indexToItem[index];
  }
  const currentPlace = dimension.indexes.length ? sortedIndex_1(dimension.indexes, index) : 0;
  if (!currentPlace) {
    item.start = item.itemIndex * dimension.originItemSize;
    item.end = item.start + dimension.originItemSize;
    return item;
  }
  const positionItem = dimension.indexToItem[dimension.indexes[currentPlace - 1]];
  item.start = positionItem.end + (index - positionItem.itemIndex - 1) * dimension.originItemSize;
  item.end = item.start + dimension.originItemSize;
  return item;
}
function initialBase() {
  return {
    indexes: [],
    sizes: {},
    positionIndexToItem: {},
    indexToItem: {},
    positionIndexes: []
  };
}
function initialState$1() {
  return Object.assign(Object.assign({}, initialBase()), {
    realSize: 0,
    originItemSize: 0,
    frameOffset: 0
  });
}
class DimensionStore {
  constructor() {
    this.store = createStore(initialState$1());
  }
  getCurrentState() {
    const state = initialState$1();
    const keys2 = Object.keys(state);
    return reduce_1(keys2, (r, k) => {
      const data = this.store.get(k);
      r[k] = data;
      return r;
    }, state);
  }
  setRealSize(count) {
    let realSize = 0;
    for (let i = 0; i < count; i++) {
      realSize += this.store.get("sizes")[i] || this.store.get("originItemSize");
    }
    setStore(this.store, { realSize });
  }
  setStore(data) {
    setStore(this.store, data);
  }
  drop() {
    setStore(this.store, initialBase());
  }
  setDimensionSize(sizes) {
    const dimensionData = calculateDimensionData(this.getCurrentState(), sizes);
    setStore(this.store, dimensionData);
    return dimensionData;
  }
}
class DimensionProvider {
  constructor(viewports) {
    this.viewports = viewports;
    this.stores = reduce_1([...rowTypes, ...columnTypes], (sources, k) => {
      sources[k] = new DimensionStore();
      return sources;
    }, {});
  }
  setDimensionSize(dimensionType, sizes) {
    this.stores[dimensionType].setDimensionSize(sizes);
    this.viewports.stores[dimensionType].setViewPortDimension(sizes);
  }
  setRealSize(realCount, type) {
    this.viewports.stores[type].setViewport({ realCount });
    this.stores[type].setRealSize(realCount);
  }
  setData(items, type, noVirtual = false) {
    this.setRealSize(items.length, type);
    if (noVirtual) {
      this.setNoVirtual(type);
    }
    this.setViewPortCoordinate({
      coordinate: this.viewports.stores[type].store.get("lastCoordinate"),
      type
    });
  }
  setNoVirtual(type) {
    const dimension = this.stores[type].getCurrentState();
    this.viewports.stores[type].setViewport({ virtualSize: dimension.realSize });
  }
  drop() {
    for (let type of columnTypes) {
      this.stores[type].drop();
    }
  }
  setColumns(type, sizes, noVirtual = false) {
    this.stores[type].setDimensionSize(sizes);
    if (noVirtual) {
      this.setNoVirtual(type);
    }
    this.setViewPortCoordinate({
      coordinate: this.viewports.stores[type].store.get("lastCoordinate"),
      type
    });
  }
  setViewPortCoordinate({ coordinate, type }) {
    const dimension = this.stores[type].getCurrentState();
    this.viewports.stores[type].setViewPortCoordinate(coordinate, dimension);
  }
  getViewPortPos(e) {
    const dimension = this.stores[e.dimension].getCurrentState();
    const item = getItemByIndex(dimension, e.coordinate);
    return item.start;
  }
  setSettings(data, dimensionType) {
    let stores = [];
    switch (dimensionType) {
      case "rgCol":
        stores = columnTypes;
        break;
      case "rgRow":
        stores = rowTypes;
        break;
    }
    for (let s of stores) {
      this.stores[s].setStore(data);
    }
  }
}
function getUpdatedItemsByPosition(pos, items, realCount, virtualSize, dimension) {
  const activeItem = getItemByPosition(dimension, pos);
  const firstItem = getFirstItem(items);
  let toUpdate;
  if (firstItem) {
    let changedOffsetStart = activeItem.itemIndex - (firstItem.itemIndex || 0);
    if (changedOffsetStart) {
      const newData = recombineByOffset(Math.abs(changedOffsetStart), Object.assign(Object.assign({ positiveDirection: changedOffsetStart > -1 }, dimension), items));
      if (newData) {
        toUpdate = newData;
      }
      if (toUpdate) {
        const extra = addMissingItems(activeItem, realCount, virtualSize, toUpdate, dimension);
        if (extra.length) {
          updateMissingAndRange(toUpdate.items, extra, toUpdate);
        }
      }
    }
  }
  if (!toUpdate) {
    const items2 = getItems({
      start: activeItem.start,
      startIndex: activeItem.itemIndex,
      origSize: dimension.originItemSize,
      maxSize: virtualSize,
      maxCount: realCount,
      sizes: dimension.sizes
    });
    toUpdate = {
      items: items2,
      start: 0,
      end: items2.length - 1
    };
  }
  return toUpdate;
}
function updateMissingAndRange(items, missing, range2) {
  items.splice(range2.end + 1, 0, ...missing);
  if (range2.start >= range2.end && !(range2.start === range2.end && range2.start === 0)) {
    range2.start += missing.length;
  }
  range2.end += missing.length;
}
function addMissingItems(firstItem, realCount, virtualSize, existingCollection, dimension) {
  const lastItem = getLastItem(existingCollection);
  const items = getItems({
    sizes: dimension.sizes,
    start: lastItem.end,
    startIndex: lastItem.itemIndex + 1,
    origSize: dimension.originItemSize,
    maxSize: virtualSize - (lastItem.end - firstItem.start),
    maxCount: realCount
  });
  return items;
}
function getItems(opt, currentSize = 0) {
  const items = [];
  let index = opt.startIndex;
  let size2 = currentSize;
  while (size2 <= opt.maxSize && index < opt.maxCount) {
    const newSize = getItemSize(index, opt.sizes, opt.origSize);
    items.push({
      start: opt.start + size2,
      end: opt.start + size2 + newSize,
      itemIndex: index,
      size: newSize
    });
    size2 += newSize;
    index++;
  }
  return items;
}
function recombineByOffset(offset, data) {
  const newItems = [...data.items];
  const itemsCount = newItems.length;
  let newRange = {
    start: data.start,
    end: data.end
  };
  if (offset > itemsCount) {
    return null;
  }
  if (data.positiveDirection) {
    let lastItem = getLastItem(data);
    let i = newRange.start;
    const length = i + offset;
    for (; i < length; i++) {
      const newIndex = lastItem.itemIndex + 1;
      const size2 = getItemSize(newIndex, data.sizes, data.originItemSize);
      if (lastItem.end + size2 > data.realSize) {
        break;
      }
      let newEnd = i % itemsCount;
      if (!newItems[newEnd]) {
        throw new Error("incorrect index");
      }
      newItems[newEnd] = lastItem = {
        start: lastItem.end,
        end: lastItem.end + size2,
        itemIndex: newIndex,
        size: size2
      };
      newRange.start++;
      newRange.end = newEnd;
    }
  } else {
    let firstItem = getFirstItem(data);
    const end = newRange.end;
    for (let i = 0; i < offset; i++) {
      const newIndex = firstItem.itemIndex - 1;
      const size2 = getItemSize(newIndex, data.sizes, data.originItemSize);
      let newStart = end - i;
      newStart = (newStart < 0 ? itemsCount + newStart : newStart) % itemsCount;
      if (!newItems[newStart]) {
        throw new Error("incorrect index");
      }
      newItems[newStart] = firstItem = {
        start: firstItem.start - size2,
        end: firstItem.start,
        itemIndex: newIndex,
        size: size2
      };
      newRange.start = newStart;
      newRange.end--;
    }
  }
  const range2 = {
    start: (newRange.start < 0 ? itemsCount + newRange.start : newRange.start) % itemsCount,
    end: (newRange.end < 0 ? itemsCount + newRange.end : newRange.end) % itemsCount
  };
  return Object.assign({ items: newItems }, range2);
}
function getItemSize(index, sizes, origSize = 0) {
  if (sizes && sizes[index]) {
    return sizes[index];
  }
  return origSize;
}
function isActiveRange(pos, item) {
  return item && pos >= item.start && pos <= item.end;
}
function getFirstItem(s) {
  return s.items[s.start];
}
function getLastItem(s) {
  return s.items[s.end];
}
function initialState() {
  return {
    items: [],
    start: 0,
    end: 0,
    virtualSize: 0,
    realCount: 0,
    lastCoordinate: 0
  };
}
class ViewportStore {
  constructor() {
    this.store = createStore(initialState());
    this.store.onChange("realCount", () => this.clear());
  }
  setViewPortCoordinate(position, dimension) {
    let virtualSize = this.store.get("virtualSize");
    if (!virtualSize) {
      return;
    }
    const frameOffset = dimension.frameOffset;
    const outsize = frameOffset * 2 * dimension.originItemSize;
    virtualSize += outsize;
    let maxCoordinate = virtualSize;
    if (dimension.realSize > virtualSize) {
      maxCoordinate = dimension.realSize - virtualSize;
    }
    let toUpdate = {
      lastCoordinate: position
    };
    let pos = position;
    pos -= frameOffset * dimension.originItemSize;
    pos = pos < 0 ? 0 : pos < maxCoordinate ? pos : maxCoordinate;
    const firstItem = getFirstItem(this.getItems());
    const lastItem = getLastItem(this.getItems());
    if (!isActiveRange(pos, firstItem)) {
      toUpdate = Object.assign(Object.assign({}, toUpdate), getUpdatedItemsByPosition(pos, this.getItems(), this.store.get("realCount"), virtualSize, dimension));
      setStore(this.store, Object.assign({}, toUpdate));
    } else if (firstItem && this.store.get("virtualSize") + pos > (lastItem === null || lastItem === void 0 ? void 0 : lastItem.end)) {
      const missing = addMissingItems(firstItem, this.store.get("realCount"), virtualSize + pos - firstItem.start, this.getItems(), dimension);
      if (missing.length) {
        const items = [...this.store.get("items")];
        const range2 = {
          start: this.store.get("start"),
          end: this.store.get("end")
        };
        updateMissingAndRange(items, missing, range2);
        toUpdate = Object.assign(Object.assign(Object.assign({}, toUpdate), { items: [...items] }), range2);
        setStore(this.store, Object.assign({}, toUpdate));
      }
    }
  }
  setViewPortDimension(sizes) {
    const items = this.store.get("items");
    const count = items.length;
    if (!count) {
      return;
    }
    let changedCoordinate = 0;
    let i = 0;
    let start = this.store.get("start");
    while (i < count) {
      const item = items[start];
      if (changedCoordinate) {
        item.start += changedCoordinate;
        item.end += changedCoordinate;
      }
      const size2 = sizes[item.itemIndex];
      if (size2) {
        const changedSize = size2 - item.size;
        changedCoordinate += changedSize;
        item.size = size2;
        item.end = item.start + size2;
      }
      start++;
      i++;
      if (start === count) {
        start = 0;
      }
    }
    setStore(this.store, { items: [...items] });
  }
  getItems() {
    return {
      items: this.store.get("items"),
      start: this.store.get("start"),
      end: this.store.get("end")
    };
  }
  setViewport(data) {
    setStore(this.store, data);
  }
  clear() {
    this.store.set("items", []);
  }
}
class ViewportProvider {
  constructor() {
    this.stores = reduce_1([...rowTypes, ...columnTypes], (sources, k) => {
      sources[k] = new ViewportStore();
      return sources;
    }, {});
  }
  setViewport(dimensionType, data) {
    this.stores[dimensionType].setViewport(data);
  }
}
const LETTER_BLOCK_SIZE$1 = 7;
var ColumnAutoSizeMode;
(function(ColumnAutoSizeMode2) {
  ColumnAutoSizeMode2["headerClickAutosize"] = "headerClickAutoSize";
  ColumnAutoSizeMode2["autoSizeOnTextOverlap"] = "autoSizeOnTextOverlap";
  ColumnAutoSizeMode2["autoSizeAll"] = "autoSizeAll";
})(ColumnAutoSizeMode || (ColumnAutoSizeMode = {}));
class AutoSizeColumn extends BasePlugin {
  constructor(revogrid, providers, config) {
    super(revogrid);
    this.providers = providers;
    this.config = config;
    this.autoSizeColumns = null;
    this.dataResolve = null;
    this.dataReject = null;
    this.letterBlockSize = (config === null || config === void 0 ? void 0 : config.letterBlockSize) || LETTER_BLOCK_SIZE$1;
    if (config === null || config === void 0 ? void 0 : config.preciseSize) {
      this.precsizeCalculationArea = this.initiatePresizeElement();
      revogrid.appendChild(this.precsizeCalculationArea);
    }
    const aftersourceset = ({ detail: { source } }) => {
      this.setSource(source);
    };
    const afteredit = ({ detail }) => {
      this.afteredit(detail);
    };
    const afterEditAll = ({ detail }) => {
      this.afterEditAll(detail);
    };
    const beforecolumnsset = ({ detail: { columns } }) => {
      this.columnSet(columns);
    };
    const headerDblClick = ({ detail }) => {
      const type = ColumnDataProvider.getColumnType(detail);
      const size2 = this.getColumnSize(detail.index, type);
      if (size2) {
        this.providers.dimensionProvider.setDimensionSize(type, {
          [detail.index]: size2
        });
      }
    };
    this.addEventListener("beforecolumnsset", beforecolumnsset);
    switch (config === null || config === void 0 ? void 0 : config.mode) {
      case ColumnAutoSizeMode.autoSizeOnTextOverlap:
        this.addEventListener("aftersourceset", aftersourceset);
        this.addEventListener("afteredit", afteredit);
        break;
      case ColumnAutoSizeMode.autoSizeAll:
        this.addEventListener("aftersourceset", aftersourceset);
        this.addEventListener("afteredit", afterEditAll);
        break;
      default:
        this.addEventListener("headerdblClick", headerDblClick);
        break;
    }
  }
  async setSource(source) {
    let autoSize = this.autoSizeColumns;
    if (this.dataReject) {
      this.dataReject();
      this.clearPromise();
    }
    if (!autoSize) {
      const request = new Promise((resolve, reject) => {
        this.dataResolve = resolve;
        this.dataReject = reject;
      });
      try {
        autoSize = await request;
      } catch (e) {
        return;
      }
    }
    each(autoSize, (_v, type) => {
      const sizes = {};
      each(autoSize[type], (rgCol) => {
        rgCol.size = sizes[rgCol.index] = source.reduce((prev, rgRow) => Math.max(prev, this.getLength(rgRow[rgCol.prop])), 0);
      });
      this.providers.dimensionProvider.setDimensionSize(type, sizes);
    });
  }
  getLength(len) {
    var _a;
    const padding = 15;
    if (!len) {
      return 0;
    }
    try {
      const str = len.toString();
      if ((_a = this.config) === null || _a === void 0 ? void 0 : _a.preciseSize) {
        this.precsizeCalculationArea.innerText = str;
        return this.precsizeCalculationArea.scrollWidth + padding * 2;
      }
      return str.length * this.letterBlockSize + padding * 2;
    } catch (e) {
      return 0;
    }
  }
  afteredit(e) {
    let data;
    if (this.isRangeEdit(e)) {
      data = e.data;
    } else {
      data = { 0: { [e.prop]: e.val } };
    }
    each(this.autoSizeColumns, (columns, type) => {
      const sizes = {};
      each(columns, (rgCol) => {
        const size2 = reduce_1(data, (prev, rgRow) => {
          if (typeof rgRow[rgCol.prop] === "undefined") {
            return prev;
          }
          return Math.max(prev || 0, this.getLength(rgRow[rgCol.prop]));
        }, void 0);
        if (size2 && rgCol.size < size2) {
          rgCol.size = sizes[rgCol.index] = size2;
        }
      });
      this.providers.dimensionProvider.setDimensionSize(type, sizes);
    });
  }
  afterEditAll(e) {
    const props = {};
    if (this.isRangeEdit(e)) {
      each(e.data, (r) => each(r, (_v, p) => props[p] = true));
    } else {
      props[e.prop] = true;
    }
    each(this.autoSizeColumns, (columns, type) => {
      const sizes = {};
      each(columns, (rgCol) => {
        if (props[rgCol.prop]) {
          const size2 = this.getColumnSize(rgCol.index, type);
          if (size2) {
            sizes[rgCol.index] = size2;
          }
        }
      });
      this.providers.dimensionProvider.setDimensionSize(type, sizes);
    });
  }
  getColumnSize(index, type) {
    const rgCol = this.autoSizeColumns[type][index];
    if (!rgCol) {
      return 0;
    }
    return reduce_1(this.providers.dataProvider.stores, (r, s) => {
      const perStore = reduce_1(s.store.get("items"), (prev, _row, i) => {
        const item = getSourceItem(s.store, i);
        return Math.max(prev || 0, this.getLength(item[rgCol.prop]));
      }, 0);
      return Math.max(r, perStore);
    }, rgCol.size || 0);
  }
  columnSet(columns) {
    var _a;
    for (let t of columnTypes) {
      const type = t;
      const cols = columns[type];
      for (let i in cols) {
        if (cols[i].autoSize || ((_a = this.config) === null || _a === void 0 ? void 0 : _a.allColumns)) {
          if (!this.autoSizeColumns) {
            this.autoSizeColumns = {};
          }
          if (!this.autoSizeColumns[type]) {
            this.autoSizeColumns[type] = {};
          }
          this.autoSizeColumns[type][i] = Object.assign(Object.assign({}, cols[i]), { index: parseInt(i, 10) });
        }
      }
    }
    if (this.dataResolve) {
      this.dataResolve(this.autoSizeColumns);
      this.clearPromise();
    }
  }
  clearPromise() {
    this.dataResolve = null;
    this.dataReject = null;
  }
  isRangeEdit(e) {
    return !!e.data;
  }
  initiatePresizeElement() {
    const styleForFontTest = {
      position: "absolute",
      fontSize: "14px",
      height: "0",
      width: "0",
      whiteSpace: "nowrap",
      top: "0",
      overflowX: "scroll"
    };
    const el = document.createElement("div");
    for (let s in styleForFontTest) {
      el.style[s] = styleForFontTest[s];
    }
    el.classList.add("revo-test-container");
    return el;
  }
  destroy() {
    var _a;
    super.destroy();
    (_a = this.precsizeCalculationArea) === null || _a === void 0 ? void 0 : _a.remove();
  }
}
const FILTER_BUTTON_CLASS = "rv-filter";
const FILTER_BUTTON_ACTIVE = "active";
const FILTER_PROP = "hasFilter";
const AND_OR_BUTTON = "and-or-button";
const TRASH_BUTTON = "trash-button";
const FilterButton = ({ column }) => {
  return h(
    "span",
    null,
    h(
      "button",
      { class: {
        [FILTER_BUTTON_CLASS]: true,
        [FILTER_BUTTON_ACTIVE]: column && !!column[FILTER_PROP]
      } },
      h(
        "svg",
        { class: "filter-img", viewBox: "0 0 64 64" },
        h(
          "g",
          { stroke: "none", "stroke-width": "1", fill: "none", "fill-rule": "evenodd" },
          h("path", { d: "M43,48 L43,56 L21,56 L21,48 L43,48 Z M53,28 L53,36 L12,36 L12,28 L53,28 Z M64,8 L64,16 L0,16 L0,8 L64,8 Z", fill: "currentColor" })
        )
      )
    )
  );
};
const TrashButton = () => {
  return h(
    "div",
    { class: { [TRASH_BUTTON]: true } },
    h(
      "svg",
      { class: "trash-img", viewBox: "0 0 24 24" },
      h("path", { fill: "currentColor", d: "M9,3V4H4V6H5V19A2,2 0 0,0 7,21H17A2,2 0 0,0 19,19V6H20V4H15V3H9M7,6H17V19H7V6M9,8V17H11V8H9M13,8V17H15V8H13Z" })
    )
  );
};
const AndOrButton = ({ isAnd }) => {
  return h("button", { class: { [AND_OR_BUTTON]: true, "light revo-button": true } }, isAnd ? "and" : "or");
};
function isFilterBtn(e) {
  if (e.classList.contains(FILTER_BUTTON_CLASS)) {
    return true;
  }
  return e === null || e === void 0 ? void 0 : e.closest(`.${FILTER_BUTTON_CLASS}`);
}
const eq = (value, extra) => {
  if (typeof value === "undefined" || value === null && !extra) {
    return true;
  }
  if (typeof value !== "string") {
    value = JSON.stringify(value);
  }
  const filterVal = extra.toString().toLocaleLowerCase();
  if (filterVal.length === 0) {
    return true;
  }
  return value.toLocaleLowerCase() === filterVal;
};
const notEq = (value, extra) => !eq(value, extra);
notEq.extra = "input";
eq.extra = "input";
const gtThan = function(value, extra) {
  let conditionValue;
  if (typeof value === "number") {
    conditionValue = parseFloat(extra === null || extra === void 0 ? void 0 : extra.toString());
    return value > conditionValue;
  }
  return false;
};
gtThan.extra = "input";
const gtThanEq = function(value, extra) {
  return eq(value, extra) || gtThan(value, extra);
};
gtThanEq.extra = "input";
const lt = function(value, extra) {
  let conditionValue;
  if (typeof value === "number") {
    conditionValue = parseFloat(extra === null || extra === void 0 ? void 0 : extra.toString());
    return value < conditionValue;
  } else {
    return false;
  }
};
lt.extra = "input";
const lsEq = function(value, extra) {
  return eq(value, extra) || lt(value, extra);
};
lsEq.extra = "input";
const set = (value) => !(value === "" || value === null || value === void 0);
const notSet = (value) => !set(value);
const beginsWith = (value, extra) => {
  if (!value) {
    return false;
  }
  if (!extra) {
    return true;
  }
  if (typeof value !== "string") {
    value = JSON.stringify(value);
  }
  if (typeof extra !== "string") {
    extra = JSON.stringify(extra);
  }
  return value.toLocaleLowerCase().indexOf(extra.toLocaleLowerCase()) === 0;
};
beginsWith.extra = "input";
const contains = (value, extra) => {
  if (!value) {
    return false;
  }
  if (extra) {
    if (typeof value !== "string") {
      value = JSON.stringify(value);
    }
    return value.toLocaleLowerCase().indexOf(extra.toString().toLowerCase()) > -1;
  }
  return true;
};
const notContains = (value, extra) => {
  return !contains(value, extra);
};
notContains.extra = "input";
contains.extra = "input";
const filterNames = {
  none: "None",
  empty: "Not set",
  notEmpty: "Set",
  eq: "Equal",
  notEq: "Not equal",
  begins: "Begins with",
  contains: "Contains",
  notContains: "Does not contain",
  eqN: "=",
  neqN: "!=",
  gt: ">",
  gte: ">=",
  lt: "<",
  lte: "<="
};
const filterEntities = {
  none: () => true,
  empty: notSet,
  notEmpty: set,
  eq,
  notEq,
  begins: beginsWith,
  contains,
  notContains,
  eqN: eq,
  neqN: notEq,
  gt: gtThan,
  gte: gtThanEq,
  lt,
  lte: lsEq
};
const filterTypes = {
  string: ["notEmpty", "empty", "eq", "notEq", "begins", "contains", "notContains"],
  number: ["notEmpty", "empty", "eqN", "neqN", "gt", "gte", "lt", "lte"]
};
const FILTER_TRIMMED_TYPE = "filter";
class FilterPlugin extends BasePlugin {
  constructor(revogrid, uiid, config) {
    var _a;
    super(revogrid);
    this.revogrid = revogrid;
    this.filterCollection = {};
    this.multiFilterItems = {};
    this.possibleFilters = Object.assign({}, filterTypes);
    this.possibleFilterNames = Object.assign({}, filterNames);
    this.possibleFilterEntities = Object.assign({}, filterEntities);
    if (config) {
      this.initConfig(config);
    }
    const headerclick = (e) => this.headerclick(e);
    const aftersourceset = async () => {
      const filterCollectionProps = Object.keys(this.filterCollection);
      if (filterCollectionProps.length > 0) {
        filterCollectionProps.forEach((prop, index) => {
          if (!this.multiFilterItems[prop]) {
            this.multiFilterItems[prop] = [
              {
                id: index,
                type: this.filterCollection[prop].type,
                value: this.filterCollection[prop].value,
                relation: "and"
              }
            ];
          }
        });
      }
      await this.runFiltering();
    };
    this.addEventListener("headerclick", headerclick);
    this.addEventListener("aftersourceset", aftersourceset);
    this.revogrid.registerVNode([
      h("revogr-filter-panel", { uuid: `filter-${uiid}`, filterItems: this.multiFilterItems, filterNames: this.possibleFilterNames, filterEntities: this.possibleFilterEntities, filterCaptions: (_a = config === null || config === void 0 ? void 0 : config.localization) === null || _a === void 0 ? void 0 : _a.captions, onFilterChange: (e) => this.onFilterChange(e.detail), disableDynamicFiltering: config === null || config === void 0 ? void 0 : config.disableDynamicFiltering, ref: (e) => this.pop = e })
    ]);
  }
  initConfig(config) {
    if (config.collection) {
      this.filterCollection = Object.assign({}, config.collection);
    }
    if (config.multiFilterItems) {
      this.multiFilterItems = Object.assign({}, config.multiFilterItems);
    }
    if (config.customFilters) {
      for (let cType in config.customFilters) {
        const cFilter = config.customFilters[cType];
        if (!this.possibleFilters[cFilter.columnFilterType]) {
          this.possibleFilters[cFilter.columnFilterType] = [];
        }
        this.possibleFilters[cFilter.columnFilterType].push(cType);
        this.possibleFilterEntities[cType] = cFilter.func;
        this.possibleFilterNames[cType] = cFilter.name;
      }
    }
    if (config.include) {
      const filters = {};
      for (let t in this.possibleFilters) {
        const newTypes = this.possibleFilters[t].filter((f) => config.include.indexOf(f) > -1);
        if (newTypes.length) {
          filters[t] = newTypes;
        }
      }
      if (Object.keys(filters).length > 0) {
        this.possibleFilters = filters;
      }
    }
    if (config.localization) {
      if (config.localization.filterNames) {
        Object.entries(config.localization.filterNames).forEach(([k, v]) => {
          if (this.possibleFilterNames[k] != void 0) {
            this.possibleFilterNames[k] = v;
          }
        });
      }
    }
  }
  async headerclick(e) {
    var _a;
    const el = (_a = e.detail.originalEvent) === null || _a === void 0 ? void 0 : _a.target;
    if (!isFilterBtn(el)) {
      return;
    }
    e.preventDefault();
    const changes = await this.pop.getChanges();
    if (changes && (changes === null || changes === void 0 ? void 0 : changes.prop) === e.detail.prop) {
      this.pop.show();
      return;
    }
    const gridPos = this.revogrid.getBoundingClientRect();
    const buttonPos = el.getBoundingClientRect();
    const prop = e.detail.prop;
    this.pop.filterTypes = this.getColumnFilter(e.detail.filter);
    this.pop.show(Object.assign(Object.assign({}, this.filterCollection[prop]), { x: buttonPos.x - gridPos.x, y: buttonPos.y - gridPos.y + buttonPos.height, prop }));
  }
  getColumnFilter(type) {
    let filterType = "string";
    if (!type) {
      return { [filterType]: this.possibleFilters[filterType] };
    }
    if (this.isValidType(type)) {
      filterType = type;
    } else if (typeof type === "object" && type.length) {
      return type.reduce((r, multiType) => {
        if (this.isValidType(multiType)) {
          r[multiType] = this.possibleFilters[multiType];
        }
        return r;
      }, {});
    }
    return { [filterType]: this.possibleFilters[filterType] };
  }
  isValidType(type) {
    return !!(typeof type === "string" && this.possibleFilters[type]);
  }
  async onFilterChange(filterItems) {
    this.multiFilterItems = filterItems;
    this.runFiltering();
  }
  async doFiltering(collection, items, columns, filterItems) {
    const columnsToUpdate = [];
    columns.forEach((rgCol) => {
      const column = Object.assign({}, rgCol);
      const hasFilter = filterItems[column.prop];
      if (column[FILTER_PROP] && !hasFilter) {
        delete column[FILTER_PROP];
        columnsToUpdate.push(column);
      }
      if (!column[FILTER_PROP] && hasFilter) {
        columnsToUpdate.push(column);
        column[FILTER_PROP] = true;
      }
    });
    const itemsToFilter = this.getRowFilter(items, filterItems);
    const { defaultPrevented, detail } = this.emit("beforefiltertrimmed", { collection, itemsToFilter, source: items, filterItems });
    if (defaultPrevented) {
      return;
    }
    const isAddedEvent = await this.revogrid.addTrimmed(detail.itemsToFilter, FILTER_TRIMMED_TYPE);
    if (isAddedEvent.defaultPrevented) {
      return;
    }
    await this.revogrid.updateColumns(columnsToUpdate);
    this.emit("afterFilterApply");
  }
  async clearFiltering() {
    this.multiFilterItems = {};
    await this.runFiltering();
  }
  async runFiltering() {
    const collection = {};
    const filterProps = Object.keys(this.multiFilterItems);
    for (const prop of filterProps) {
      if (this.multiFilterItems[prop].length > 0) {
        const firstFilterItem = this.multiFilterItems[prop][0];
        collection[prop] = {
          filter: filterEntities[firstFilterItem.type],
          type: firstFilterItem.type,
          value: firstFilterItem.value
        };
      }
    }
    this.filterCollection = collection;
    const { source, columns } = await this.getData();
    const { defaultPrevented, detail } = this.emit("beforefilterapply", { collection: this.filterCollection, source, columns, filterItems: this.multiFilterItems });
    if (defaultPrevented) {
      return;
    }
    this.doFiltering(detail.collection, detail.source, detail.columns, detail.filterItems);
  }
  async getData() {
    const source = await this.revogrid.getSource();
    const columns = await this.revogrid.getColumns();
    return {
      source,
      columns
    };
  }
  getRowFilter(rows, filterItems) {
    const propKeys = Object.keys(filterItems);
    const trimmed = {};
    let propFilterSatisfiedCount = 0;
    let lastFilterResults = [];
    rows.forEach((model, rowIndex) => {
      for (const prop of propKeys) {
        const propFilters = filterItems[prop];
        propFilterSatisfiedCount = 0;
        lastFilterResults = [];
        for (const [filterIndex, filterData] of propFilters.entries()) {
          const filter = filterEntities[filterData.type];
          if (filterData.relation === "or") {
            lastFilterResults = [];
            if (filter(model[prop], filterData.value)) {
              continue;
            }
            propFilterSatisfiedCount++;
          } else {
            lastFilterResults.push(!filter(model[prop], filterData.value));
            const nextFilterData = propFilters[filterIndex + 1];
            if (!nextFilterData || nextFilterData.relation !== "and") {
              if (lastFilterResults.indexOf(true) === -1) {
                lastFilterResults = [];
                continue;
              }
              propFilterSatisfiedCount += lastFilterResults.length;
              lastFilterResults = [];
            }
          }
        }
        if (propFilterSatisfiedCount === propFilters.length)
          trimmed[rowIndex] = true;
      }
    });
    return trimmed;
  }
}
var stringTag = "[object String]";
function isString(value) {
  return typeof value == "string" || !isArray_1(value) && isObjectLike_1(value) && _baseGetTag(value) == stringTag;
}
var isString_1 = isString;
var asciiSize = _baseProperty("length");
var _asciiSize = asciiSize;
var rsAstralRange$1 = "\\ud800-\\udfff", rsComboMarksRange$1 = "\\u0300-\\u036f", reComboHalfMarksRange$1 = "\\ufe20-\\ufe2f", rsComboSymbolsRange$1 = "\\u20d0-\\u20ff", rsComboRange$1 = rsComboMarksRange$1 + reComboHalfMarksRange$1 + rsComboSymbolsRange$1, rsVarRange$1 = "\\ufe0e\\ufe0f";
var rsZWJ$1 = "\\u200d";
var reHasUnicode = RegExp("[" + rsZWJ$1 + rsAstralRange$1 + rsComboRange$1 + rsVarRange$1 + "]");
function hasUnicode(string) {
  return reHasUnicode.test(string);
}
var _hasUnicode = hasUnicode;
var rsAstralRange = "\\ud800-\\udfff", rsComboMarksRange = "\\u0300-\\u036f", reComboHalfMarksRange = "\\ufe20-\\ufe2f", rsComboSymbolsRange = "\\u20d0-\\u20ff", rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange, rsVarRange = "\\ufe0e\\ufe0f";
var rsAstral = "[" + rsAstralRange + "]", rsCombo = "[" + rsComboRange + "]", rsFitz = "\\ud83c[\\udffb-\\udfff]", rsModifier = "(?:" + rsCombo + "|" + rsFitz + ")", rsNonAstral = "[^" + rsAstralRange + "]", rsRegional = "(?:\\ud83c[\\udde6-\\uddff]){2}", rsSurrPair = "[\\ud800-\\udbff][\\udc00-\\udfff]", rsZWJ = "\\u200d";
var reOptMod = rsModifier + "?", rsOptVar = "[" + rsVarRange + "]?", rsOptJoin = "(?:" + rsZWJ + "(?:" + [rsNonAstral, rsRegional, rsSurrPair].join("|") + ")" + rsOptVar + reOptMod + ")*", rsSeq = rsOptVar + reOptMod + rsOptJoin, rsSymbol = "(?:" + [rsNonAstral + rsCombo + "?", rsCombo, rsRegional, rsSurrPair, rsAstral].join("|") + ")";
var reUnicode = RegExp(rsFitz + "(?=" + rsFitz + ")|" + rsSymbol + rsSeq, "g");
function unicodeSize(string) {
  var result = reUnicode.lastIndex = 0;
  while (reUnicode.test(string)) {
    ++result;
  }
  return result;
}
var _unicodeSize = unicodeSize;
function stringSize(string) {
  return _hasUnicode(string) ? _unicodeSize(string) : _asciiSize(string);
}
var _stringSize = stringSize;
var mapTag = "[object Map]", setTag = "[object Set]";
function size(collection) {
  if (collection == null) {
    return 0;
  }
  if (isArrayLike_1(collection)) {
    return isString_1(collection) ? _stringSize(collection) : collection.length;
  }
  var tag = _getTag(collection);
  if (tag == mapTag || tag == setTag) {
    return collection.size;
  }
  return _baseKeys(collection).length;
}
var size_1 = size;
class SortingPlugin extends BasePlugin {
  constructor(revogrid) {
    super(revogrid);
    this.revogrid = revogrid;
    this.sorting = null;
    this.sortingFunc = null;
    const beforesourceset = ({ detail }) => {
      if (this.hasSorting) {
        const event = this.emit("beforesourcesortingapply");
        if (event.defaultPrevented) {
          return;
        }
      }
      const data = this.setData(detail.source, detail.type);
      if (data) {
        detail.source = data;
      }
    };
    const aftercolumnsset = async ({ detail: { order } }) => {
      const columns = await this.revogrid.getColumns();
      const sortingFunc = {};
      for (let prop in order) {
        const column = ColumnDataProvider.getColumnByProp(columns, prop);
        const cmp = (column === null || column === void 0 ? void 0 : column.cellCompare) || this.defaultCellCompare;
        sortingFunc[prop] = order[prop] == "desc" ? this.descCellCompare(cmp) : cmp;
      }
      this.sort(order, sortingFunc);
    };
    const headerclick = async (e) => {
      var _a, _b;
      if (e.defaultPrevented) {
        return;
      }
      if (!e.detail.column.sortable) {
        return;
      }
      this.headerclick(e.detail.column, e.detail.index, (_b = (_a = e.detail) === null || _a === void 0 ? void 0 : _a.originalEvent) === null || _b === void 0 ? void 0 : _b.shiftKey);
    };
    this.addEventListener("beforesourceset", beforesourceset);
    this.addEventListener("aftercolumnsset", aftercolumnsset);
    this.addEventListener("initialHeaderClick", headerclick);
  }
  get hasSorting() {
    return !!this.sorting;
  }
  async headerclick(column, index, additive) {
    let order = this.getNextOrder(column.order);
    const beforeEvent = this.emit("beforesorting", { column, order, additive });
    if (beforeEvent.defaultPrevented) {
      return;
    }
    order = beforeEvent.detail.order;
    const newCol = await this.revogrid.updateColumnSorting(beforeEvent.detail.column, index, order, additive);
    const beforeApplyEvent = this.emit("beforesortingapply", { column: newCol, order, additive });
    if (beforeApplyEvent.defaultPrevented) {
      return;
    }
    order = beforeApplyEvent.detail.order;
    const cellCmp = (column === null || column === void 0 ? void 0 : column.cellCompare) || this.defaultCellCompare;
    const cmp = order == "asc" ? cellCmp : order == "desc" ? this.descCellCompare(cellCmp) : void 0;
    if (additive && this.sorting) {
      const sorting = {};
      const sortingFunc = {};
      Object.assign(sorting, this.sorting);
      Object.assign(sortingFunc, this.sortingFunc);
      if (column.prop in sorting && size_1(sorting) > 1 && order === void 0) {
        delete sorting[column.prop];
        delete sortingFunc[column.prop];
      } else {
        sorting[column.prop] = order;
        sortingFunc[column.prop] = cmp;
      }
      this.sort(sorting, sortingFunc);
    } else {
      this.sort({ [column.prop]: order }, { [column.prop]: cmp });
    }
  }
  setData(data, type) {
    if (type === "rgRow" && this.sortingFunc) {
      return this.sortItems(data, this.sortingFunc);
    }
  }
  async sort(sorting, sortingFunc) {
    if (!size_1(sorting)) {
      this.sorting = null;
      this.sortingFunc = null;
      return;
    }
    this.sorting = sorting;
    this.sortingFunc = sortingFunc;
    const store = await this.revogrid.getSourceStore();
    const source = store.get("source");
    const proxyItems = this.sortIndexByItems([...store.get("proxyItems")], source, this.sortingFunc);
    setStore(store, {
      proxyItems,
      source: [...source]
    });
    this.emit("afterSortingApply");
  }
  defaultCellCompare(prop, a, b) {
    var _a, _b;
    const av = (_a = a[prop]) === null || _a === void 0 ? void 0 : _a.toString().toLowerCase();
    const bv = (_b = b[prop]) === null || _b === void 0 ? void 0 : _b.toString().toLowerCase();
    return av == bv ? 0 : av > bv ? 1 : -1;
  }
  descCellCompare(cmp) {
    return (prop, a, b) => {
      return -1 * cmp(prop, a, b);
    };
  }
  sortIndexByItems(indexes, source, sortingFunc) {
    for (let prop in sortingFunc) {
      if (typeof sortingFunc[prop] === "undefined") {
        return [...Array(indexes.length).keys()];
      }
    }
    return indexes.sort((a, b) => {
      let sorted = 0;
      for (let prop in sortingFunc) {
        const cmp = sortingFunc[prop];
        const itemA = source[a];
        const itemB = source[b];
        sorted = cmp(prop, itemA, itemB);
        if (sorted) {
          break;
        }
      }
      return sorted;
    });
  }
  sortItems(source, sortingFunc) {
    return source.sort((a, b) => {
      let sorted = 0;
      for (let prop in sortingFunc) {
        const cmp = sortingFunc[prop];
        if (!cmp) {
          continue;
        }
        sorted = cmp(prop, a, b);
        if (sorted) {
          break;
        }
      }
      return sorted;
    });
  }
  getNextOrder(currentOrder) {
    switch (currentOrder) {
      case void 0:
        return "asc";
      case "asc":
        return "desc";
      case "desc":
        return void 0;
    }
  }
}
function baseClamp(number, lower, upper) {
  if (number === number) {
    if (upper !== void 0) {
      number = number <= upper ? number : upper;
    }
    if (lower !== void 0) {
      number = number >= lower ? number : lower;
    }
  }
  return number;
}
var _baseClamp = baseClamp;
var MAX_ARRAY_LENGTH = 4294967295;
function toLength(value) {
  return value ? _baseClamp(toInteger_1(value), 0, MAX_ARRAY_LENGTH) : 0;
}
var toLength_1 = toLength;
function baseFill(array, value, start, end) {
  var length = array.length;
  start = toInteger_1(start);
  if (start < 0) {
    start = -start > length ? 0 : length + start;
  }
  end = end === void 0 || end > length ? length : toInteger_1(end);
  if (end < 0) {
    end += length;
  }
  end = start > end ? 0 : toLength_1(end);
  while (start < end) {
    array[start++] = value;
  }
  return array;
}
var _baseFill = baseFill;
function fill(array, value, start, end) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  if (start && typeof start != "number" && _isIterateeCall(array, value, start)) {
    start = 0;
    end = length;
  }
  return _baseFill(array, value, start, end);
}
var fill_1 = fill;
const MIN_COL_SIZE = 30;
const DATA_COL = "data-rgCol";
const DATA_ROW = "data-rgRow";
const UUID = "grid-uuid";
const DISABLED_CLASS = "disabled";
const CELL_CLASS = "rgCell";
const HEADER_CLASS = "rgHeaderCell";
const HEADER_SORTABLE_CLASS = "sortable";
const HEADER_ROW_CLASS = "header-rgRow";
const HEADER_ACTUAL_ROW_CLASS = "actual-rgRow";
const DRAG_ICON_CLASS = "revo-drag-icon";
const DRAGGABLE_CLASS = "revo-draggable";
const FOCUS_CLASS = "focused-cell";
const SELECTION_BORDER_CLASS = "selection-border-range";
const TMP_SELECTION_BG_CLASS = "temp-bg-range";
const CELL_HANDLER_CLASS = "autofill-handle";
const EDIT_INPUT_WR = "edit-input-wrapper";
const DRAGG_TEXT = "Draggable item";
const GRID_INTERNALS = "__rvgr";
const GROUP_DEPTH = `${GRID_INTERNALS}-depth`;
const PSEUDO_GROUP_ITEM = `${GRID_INTERNALS}-name`;
const PSEUDO_GROUP_ITEM_ID = `${GRID_INTERNALS}-id`;
const PSEUDO_GROUP_ITEM_VALUE = `${GRID_INTERNALS}-value`;
const PSEUDO_GROUP_COLUMN = `${GRID_INTERNALS}-column`;
const GROUP_EXPANDED = `${GRID_INTERNALS}-expanded`;
const GROUP_EXPAND_BTN = `group-expand`;
const GROUP_EXPAND_EVENT = `groupExpandClick`;
const GROUPING_ROW_TYPE = "rgRow";
function groupBy(array, f) {
  const groupsOrder = [];
  const itemsByGroup = {};
  array.forEach((item, i) => {
    const groupKeys = JSON.stringify(f(item));
    if (!itemsByGroup[groupKeys]) {
      itemsByGroup[groupKeys] = /* @__PURE__ */ new Map();
      groupsOrder.push({
        children: itemsByGroup[groupKeys],
        id: groupKeys
      });
    }
    itemsByGroup[groupKeys].set(i, item);
  });
  return groupsOrder;
}
function gatherGrouping(array, mapFunc, { prevExpanded, expandedAll }) {
  const groupsOrder = groupBy(array, mapFunc);
  const itemsMirror = [];
  const pseudoGroupTest = {};
  let itemIndex = 0;
  let groupingDepth = 0;
  const trimmed = {};
  const oldNewIndexMap = {};
  groupsOrder.forEach((group) => {
    const parseGroup = getParsedGroup(group.id);
    if (!parseGroup) {
      return;
    }
    let depth = 0;
    let skipTrim = !!expandedAll;
    let isExpanded = skipTrim;
    const children = [];
    parseGroup.reduce((prevVal, groupValue) => {
      prevVal.push(groupValue);
      const newVal = prevVal.join(",");
      if (!pseudoGroupTest[newVal]) {
        isExpanded = expandedAll || prevExpanded && prevExpanded[newVal];
        itemsMirror.push(getPseudoGroup(groupValue, newVal, depth, group.id, isExpanded));
        if (depth && !isExpanded && !skipTrim) {
          const parent = prevVal.slice(0, prevVal.length - 1);
          if (!(prevExpanded && parent.length && prevExpanded[parent.join(",")])) {
            trimmed[itemIndex] = true;
          }
        }
        itemIndex++;
        pseudoGroupTest[newVal] = children;
      }
      depth++;
      groupingDepth = depth;
      return prevVal;
    }, []);
    group.children.forEach((item, oldIndex) => {
      if (!isExpanded && !skipTrim) {
        trimmed[itemIndex] = true;
      }
      itemsMirror.push(item);
      oldNewIndexMap[oldIndex] = itemIndex;
      children.push(itemIndex);
      itemIndex++;
    });
  });
  return {
    sourceWithGroups: itemsMirror,
    depth: groupingDepth,
    trimmed,
    oldNewIndexMap,
    childrenByGroup: pseudoGroupTest
  };
}
function getPseudoGroup(groupValue, value, depth, id, isExpanded = false) {
  return {
    [PSEUDO_GROUP_ITEM]: groupValue,
    [GROUP_DEPTH]: depth,
    [PSEUDO_GROUP_ITEM_ID]: id,
    [PSEUDO_GROUP_ITEM_VALUE]: value,
    [GROUP_EXPANDED]: isExpanded
  };
}
function getGroupingName(rgRow) {
  return rgRow && rgRow[PSEUDO_GROUP_ITEM];
}
function isGrouping(rgRow) {
  return rgRow && typeof rgRow[PSEUDO_GROUP_ITEM] !== "undefined";
}
function isGroupingColumn(column) {
  return column && typeof column[PSEUDO_GROUP_COLUMN] !== "undefined";
}
function isArray(data) {
  return typeof data.push !== "undefined";
}
function measureEqualDepth(groupA, groupB) {
  const ln = groupA.length;
  let i = 0;
  for (; i < ln; i++) {
    if (groupA[i] !== groupB[i]) {
      return i;
    }
  }
  return i;
}
function getParsedGroup(id) {
  const parseGroup = JSON.parse(id);
  if (!isArray(parseGroup)) {
    return null;
  }
  return parseGroup;
}
function isSameGroup(currentGroup, currentModel, nextModel) {
  const nextGroup = getParsedGroup(nextModel[PSEUDO_GROUP_ITEM_ID]);
  if (!nextGroup) {
    return false;
  }
  const depth = measureEqualDepth(currentGroup, nextGroup);
  return currentModel[GROUP_DEPTH] < depth;
}
const INITIAL = {
  mime: "text/csv",
  fileKind: "csv",
  bom: true,
  columnDelimiter: ",",
  rowDelimiter: "\r\n",
  encoding: ""
};
const CARRIAGE_RETURN = String.fromCharCode(13);
const LINE_FEED = String.fromCharCode(10);
const DOUBLE_QT = String.fromCharCode(34);
const NO_BREAK_SPACE = String.fromCharCode(65279);
const escapeRegex = new RegExp('"', "g");
class ExportCsv {
  constructor(options = {}) {
    this.options = Object.assign(Object.assign({}, INITIAL), options);
  }
  doExport({ data, headers, props }) {
    let result = this.options.bom ? NO_BREAK_SPACE : "";
    if ((headers === null || headers === void 0 ? void 0 : headers.length) > 0) {
      headers.forEach((header) => {
        if (!header.length) {
          return;
        }
        result += this.prepareHeader(header, this.options.columnDelimiter);
        result += this.options.rowDelimiter;
      });
    }
    data.forEach((rgRow, index) => {
      if (index > 0) {
        result += this.options.rowDelimiter;
      }
      if (isGrouping(rgRow)) {
        result += this.parseCell(getGroupingName(rgRow), this.options.columnDelimiter);
        return;
      }
      result += props.map((p) => this.parseCell(rgRow[p], this.options.columnDelimiter)).join(this.options.columnDelimiter);
    });
    return result;
  }
  prepareHeader(columnHeaders, columnDelimiter) {
    let result = "";
    const newColumnHeaders = columnHeaders.map((v) => this.parseCell(v, columnDelimiter, true));
    result += newColumnHeaders.join(columnDelimiter);
    return result;
  }
  parseCell(value, columnDelimiter, force = false) {
    let escape = value;
    if (typeof value !== "string") {
      escape = JSON.stringify(value);
    }
    const toEscape = [CARRIAGE_RETURN, DOUBLE_QT, LINE_FEED, columnDelimiter];
    if (typeof escape === "undefined") {
      return "";
    }
    if (escape !== "" && (force || toEscape.some((i) => escape.indexOf(i) >= 0))) {
      return `"${escape.replace(escapeRegex, '""')}"`;
    }
    return escape;
  }
}
var ExportTypes;
(function(ExportTypes2) {
  ExportTypes2["csv"] = "csv";
})(ExportTypes || (ExportTypes = {}));
class ExportFilePlugin extends BasePlugin {
  async exportString(options = {}, t = ExportTypes.csv) {
    const data = await this.beforeexport();
    if (!data) {
      return null;
    }
    return this.formatter(t, options).doExport(data);
  }
  async exportBlob(options = {}, t = ExportTypes.csv) {
    return await this.getBlob(this.formatter(t, options));
  }
  async exportFile(options = {}, t = ExportTypes.csv) {
    const formatter = this.formatter(t, options);
    const blob = await this.getBlob(formatter);
    const URL2 = window.URL || window.webkitURL;
    const a = document.createElement("a");
    const { filename, fileKind } = formatter.options;
    const name = `${filename}.${fileKind}`;
    const url = URL2.createObjectURL(blob);
    a.style.display = "none";
    a.setAttribute("href", url);
    a.setAttribute("download", name);
    this.revogrid.appendChild(a);
    a.dispatchEvent(new MouseEvent("click"));
    this.revogrid.removeChild(a);
    await timeout(120);
    URL2.revokeObjectURL(url);
  }
  async getBlob(formatter) {
    const type = `${formatter.options.mime};charset=${formatter.options.encoding}`;
    if (typeof Blob !== "undefined") {
      const data = await this.beforeexport();
      if (!data) {
        return null;
      }
      return new Blob([formatter.doExport(data)], { type });
    }
    return null;
  }
  async beforeexport() {
    let data = await this.getData();
    const event = this.emit("beforeexport", { data });
    if (event.defaultPrevented) {
      return null;
    }
    return event.detail.data;
  }
  async getData() {
    const data = await this.getSource();
    const colSource = [];
    const colPromises = [];
    columnTypes.forEach((t, i) => {
      colPromises.push(this.getColPerSource(t).then((s) => colSource[i] = s));
    });
    await Promise.all(colPromises);
    const columns = {
      headers: [],
      props: []
    };
    for (let source of colSource) {
      source.headers.forEach((h2, i) => {
        if (!columns.headers[i]) {
          columns.headers[i] = [];
        }
        columns.headers[i].push(...h2);
      });
      columns.props.push(...source.props);
    }
    return Object.assign({ data }, columns);
  }
  async getColPerSource(t) {
    const store = await this.revogrid.getColumnStore(t);
    const source = store.get("source");
    const virtualIndexes = store.get("items");
    const depth = store.get("groupingDepth");
    const groups = store.get("groups");
    const colNames = [];
    const colProps = [];
    const visibleItems = virtualIndexes.reduce((r, v, virtualIndex) => {
      const prop = source[v].prop;
      colNames.push(source[v].name || "");
      colProps.push(prop);
      r[prop] = virtualIndex;
      return r;
    }, {});
    const rows = this.getGroupHeaders(depth, groups, virtualIndexes, visibleItems);
    rows.push(colNames);
    return {
      headers: rows,
      props: colProps
    };
  }
  getGroupHeaders(depth, groups, items, visibleItems) {
    const rows = [];
    const template = fill_1(new Array(items.length), "");
    for (let d = 0; d < depth; d++) {
      const rgRow = [...template];
      rows.push(rgRow);
      if (!groups[d]) {
        continue;
      }
      const levelGroups = groups[d];
      levelGroups.forEach((group) => {
        const minIndex = this.findGroupStartIndex(group.ids, visibleItems);
        if (typeof minIndex === "number") {
          rgRow[minIndex] = group.name;
        }
      });
    }
    return rows;
  }
  findGroupStartIndex(ids, visibleItems) {
    let min;
    ids.forEach((id) => {
      const current = visibleItems[id];
      if (typeof current === "number") {
        if (typeof min !== "number" || min > current) {
          min = current;
        }
      }
    });
    return min;
  }
  async getSource() {
    const data = [];
    const promisesData = [];
    rowTypes.forEach((t) => {
      const dataPart = [];
      data.push(dataPart);
      const promise = this.revogrid.getVisibleSource(t).then((d) => dataPart.push(...d));
      promisesData.push(promise);
    });
    await Promise.all(promisesData);
    return data.reduce((r, v) => {
      r.push(...v);
      return r;
    }, []);
  }
  formatter(type, options = {}) {
    switch (type) {
      case ExportTypes.csv:
        return new ExportCsv(options);
      default:
        throw new Error("Unknown format");
    }
  }
}
function doCollapse(pIndex, source) {
  const model = source[pIndex];
  const currentId = model[PSEUDO_GROUP_ITEM_ID];
  const trimmed = {};
  let i = pIndex + 1;
  const total = source.length;
  while (i < total) {
    const currentModel = source[i];
    if (isGrouping(currentModel)) {
      if (currentId !== currentModel[PSEUDO_GROUP_ITEM_ID]) {
        break;
      } else {
        currentModel[GROUP_EXPANDED] = false;
      }
    }
    trimmed[i++] = true;
  }
  model[GROUP_EXPANDED] = false;
  return { trimmed };
}
function doExpand(vIndex, source, rowItemsIndexes) {
  const physicalIndex = rowItemsIndexes[vIndex];
  const model = source[physicalIndex];
  const currentGroup = getParsedGroup(model[PSEUDO_GROUP_ITEM_ID]);
  const trimmed = {};
  if (!currentGroup) {
    return { trimmed };
  }
  const groupItems = [];
  model[GROUP_EXPANDED] = true;
  let i = physicalIndex + 1;
  const total = source.length;
  let groupLevelOnly = 0;
  while (i < total) {
    const currentModel = source[i];
    const isGroup = isGrouping(currentModel);
    if (isGroup) {
      if (!isSameGroup(currentGroup, model, currentModel)) {
        break;
      } else if (!groupLevelOnly) {
        groupLevelOnly = currentModel[GROUP_DEPTH];
      }
    }
    if (!groupLevelOnly || isGroup && groupLevelOnly === currentModel[GROUP_DEPTH]) {
      trimmed[i] = false;
      groupItems.push(i);
    }
    i++;
  }
  const result = {
    trimmed
  };
  if (groupItems.length) {
    const items = [...rowItemsIndexes];
    items.splice(vIndex + 1, 0, ...groupItems);
    result.items = items;
  }
  return result;
}
const TRIMMED_GROUPING = "grouping";
function processDoubleConversionTrimmed(initiallyTrimed, firstLevelMap, secondLevelMap) {
  const trimemedOptionsToUpgrade = {};
  for (let type in initiallyTrimed) {
    if (type === TRIMMED_GROUPING) {
      continue;
    }
    const items = initiallyTrimed[type];
    const newItems = {};
    for (let initialIndex in items) {
      let newConversionIndex = firstLevelMap[initialIndex];
      if (secondLevelMap) {
        newConversionIndex = secondLevelMap[newConversionIndex];
      }
      if (items[initialIndex]) {
        newItems[newConversionIndex] = true;
        if (newConversionIndex !== parseInt(initialIndex, 10)) {
          trimemedOptionsToUpgrade[type] = newItems;
        }
      }
    }
  }
  return trimemedOptionsToUpgrade;
}
class GroupingRowPlugin extends BasePlugin {
  constructor(revogrid, providers) {
    super(revogrid);
    this.revogrid = revogrid;
    this.providers = providers;
  }
  get hasProps() {
    var _a, _b, _c;
    return ((_a = this.options) === null || _a === void 0 ? void 0 : _a.props) && ((_c = (_b = this.options) === null || _b === void 0 ? void 0 : _b.props) === null || _c === void 0 ? void 0 : _c.length);
  }
  get store() {
    return this.providers.dataProvider.stores[GROUPING_ROW_TYPE].store;
  }
  get rowItems() {
    return this.store.get("items");
  }
  get trimmed() {
    return this.store.get("trimmed");
  }
  onFocus(e) {
    if (isGrouping(e.detail.model)) {
      e.preventDefault();
    }
  }
  onExpand({ virtualIndex }) {
    const { source } = this.getSource();
    let newTrimmed = this.trimmed[TRIMMED_GROUPING];
    let i = getPhysical(this.store, virtualIndex);
    const model = source[i];
    const prevExpanded = model[GROUP_EXPANDED];
    if (!prevExpanded) {
      const { trimmed, items } = doExpand(virtualIndex, source, this.rowItems);
      newTrimmed = Object.assign(Object.assign({}, newTrimmed), trimmed);
      if (items) {
        setItems(this.store, items);
      }
    } else {
      const { trimmed } = doCollapse(i, source);
      newTrimmed = Object.assign(Object.assign({}, newTrimmed), trimmed);
      this.revogrid.clearFocus();
    }
    this.store.set("source", source);
    this.revogrid.addTrimmed(newTrimmed, TRIMMED_GROUPING);
  }
  getSource(withoutGrouping = false) {
    const source = this.store.get("source");
    const items = this.store.get("proxyItems");
    let index = 0;
    return items.reduce((result, i) => {
      const model = source[i];
      if (!withoutGrouping) {
        result.source.push(model);
        return result;
      }
      if (!isGrouping(model)) {
        result.source.push(model);
        result.oldNewIndexes[i] = index;
        index++;
      } else {
        if (model[GROUP_EXPANDED]) {
          result.prevExpanded[model[PSEUDO_GROUP_ITEM_VALUE]] = true;
        }
      }
      return result;
    }, {
      source: [],
      prevExpanded: {},
      oldNewIndexes: {}
    });
  }
  setColumnGrouping(cols) {
    if (cols === null || cols === void 0 ? void 0 : cols.length) {
      cols[0][PSEUDO_GROUP_COLUMN] = true;
      return true;
    }
    return false;
  }
  setColumns({ columns }) {
    for (let type of columnTypes) {
      if (this.setColumnGrouping(columns[type])) {
        break;
      }
    }
  }
  onDrag(e) {
    const { from, to } = e.detail;
    const isDown = to - from >= 0;
    const { source } = this.getSource();
    const items = this.rowItems;
    let i = isDown ? from : to;
    const end = isDown ? to : from;
    for (; i < end; i++) {
      const model = source[items[i]];
      const isGroup = isGrouping(model);
      if (isGroup) {
        e.preventDefault();
        return;
      }
    }
  }
  beforeTrimmedApply(trimmed, type) {
    if (type === FILTER_TRIMMED_TYPE) {
      const source = this.store.get("source");
      for (let index in trimmed) {
        if (trimmed[index] && isGrouping(source[index])) {
          trimmed[index] = false;
        }
      }
    }
  }
  subscribe() {
    this.addEventListener("beforesourceset", ({ detail }) => this.onDataSet(detail));
    this.addEventListener("beforecolumnsset", ({ detail }) => this.setColumns(detail));
    this.addEventListener("beforetrimmed", ({ detail: { trimmed, trimmedType } }) => this.beforeTrimmedApply(trimmed, trimmedType));
    this.addEventListener("afterSortingApply", () => this.doSourceUpdate());
    this.addEventListener("beforecellfocus", (e) => this.onFocus(e));
    this.addEventListener("roworderchanged", (e) => this.onDrag(e));
    this.addEventListener(GROUP_EXPAND_EVENT, ({ detail }) => this.onExpand(detail));
  }
  doSourceUpdate(options) {
    if (!this.hasProps) {
      return;
    }
    const { source, prevExpanded, oldNewIndexes } = this.getSource(true);
    const { sourceWithGroups, depth, trimmed, oldNewIndexMap, childrenByGroup } = gatherGrouping(
      source,
      (item) => {
        var _a;
        return (_a = this.options) === null || _a === void 0 ? void 0 : _a.props.map((key) => item[key]);
      },
      Object.assign({ prevExpanded }, options)
    );
    this.providers.dataProvider.setData(sourceWithGroups, GROUPING_ROW_TYPE, { depth }, true);
    this.updateTrimmed(trimmed, childrenByGroup, oldNewIndexes, oldNewIndexMap);
  }
  onDataSet(data) {
    if (!this.hasProps || !(data === null || data === void 0 ? void 0 : data.source) || !data.source.length) {
      return;
    }
    const source = data.source.filter((s) => !isGrouping(s));
    const expanded = this.revogrid.grouping || {};
    const { sourceWithGroups, depth, trimmed, oldNewIndexMap, childrenByGroup } = gatherGrouping(
      source,
      (item) => {
        var _a;
        return (_a = this.options) === null || _a === void 0 ? void 0 : _a.props.map((key) => item[key]);
      },
      Object.assign({}, expanded || {})
    );
    data.source = sourceWithGroups;
    this.providers.dataProvider.setGrouping({ depth });
    this.updateTrimmed(trimmed, childrenByGroup, oldNewIndexMap);
  }
  setGrouping(options) {
    this.clearSubscriptions();
    this.options = options;
    if (!options.props || !Object.keys(options.props).length) {
      this.clearGrouping();
      return;
    }
    const { source } = this.getSource();
    if (source.length) {
      this.doSourceUpdate(Object.assign({}, options));
    }
    for (let t of columnTypes) {
      if (this.setColumnGrouping(this.providers.columnProvider.getColumns(t))) {
        this.providers.columnProvider.refreshByType(t);
        break;
      }
    }
    this.subscribe();
  }
  clearGrouping() {
    columnTypes.forEach((t) => {
      const cols = this.providers.columnProvider.getColumns(t);
      let deleted = false;
      cols.forEach((c) => {
        if (isGroupingColumn(c)) {
          delete c[PSEUDO_GROUP_COLUMN];
          deleted = true;
        }
      });
      if (deleted) {
        this.providers.columnProvider.refreshByType(t);
      }
    });
    const { source, oldNewIndexes } = this.getSource(true);
    this.providers.dataProvider.setData(source, GROUPING_ROW_TYPE, void 0, true);
    this.updateTrimmed(void 0, void 0, oldNewIndexes);
  }
  updateTrimmed(trimmedGroup = {}, _childrenByGroup = {}, firstLevelMap, secondLevelMap) {
    const trimemedOptionsToUpgrade = processDoubleConversionTrimmed(this.trimmed, firstLevelMap, secondLevelMap);
    for (let type in trimemedOptionsToUpgrade) {
      this.revogrid.addTrimmed(trimemedOptionsToUpgrade[type], type);
    }
    this.revogrid.addTrimmed(Object.assign({}, trimmedGroup), TRIMMED_GROUPING);
  }
}
class OrdererService {
  constructor() {
    this.parentY = 0;
  }
  start(parent, { pos, text, event }) {
    var _a;
    const { top } = parent.getBoundingClientRect();
    this.parentY = top;
    if (this.text) {
      this.text.innerText = text;
    }
    this.move(pos);
    this.moveTip({ x: event.x, y: event.y });
    (_a = this.el) === null || _a === void 0 ? void 0 : _a.classList.remove("hidden");
  }
  end() {
    var _a;
    (_a = this.el) === null || _a === void 0 ? void 0 : _a.classList.add("hidden");
  }
  move(pos) {
    this.moveElement(pos.end - this.parentY);
  }
  moveTip({ x, y }) {
    if (!this.draggable) {
      return;
    }
    this.draggable.style.left = `${x}px`;
    this.draggable.style.top = `${y}px`;
  }
  moveElement(y) {
    if (!this.rgRow) {
      return;
    }
    this.rgRow.style.transform = `translateY(${y}px)`;
  }
}
const OrderRenderer = ({ ref: ref2 }) => {
  const service = new OrdererService();
  ref2(service);
  return h(
    "div",
    { class: "draggable-wrapper hidden", ref: (e) => service.el = e },
    h(
      "div",
      { class: "draggable", ref: (el) => service.draggable = el },
      h("span", { class: "revo-alt-icon" }),
      h("span", { ref: (e) => service.text = e })
    ),
    h("div", { class: "drag-position", ref: (e) => service.rgRow = e })
  );
};
const RevoViewPort = ({ viewports, dimensions, orderRef, nakedClick, registerElement, onScroll }, children) => {
  const viewPortClick = (e, el2) => {
    if (el2 === e.target) {
      nakedClick(e);
    }
  };
  let el;
  return [
    h(
      "div",
      { class: "main-viewport", ref: (e) => el = e, onClick: (e) => viewPortClick(e, el) },
      h(
        "div",
        { class: "viewports" },
        children,
        h("revogr-scroll-virtual", { class: "vertical", dimension: "rgRow", viewportStore: viewports["rgRow"].store, dimensionStore: dimensions["rgRow"].store, ref: (el2) => registerElement(el2, "rowScroll"), onScrollVirtual: (e) => onScroll(e.detail) }),
        h(OrderRenderer, { ref: orderRef })
      )
    ),
    h("revogr-scroll-virtual", { class: "horizontal", dimension: "rgCol", viewportStore: viewports["rgCol"].store, dimensionStore: dimensions["rgCol"].store, ref: (el2) => registerElement(el2, "colScroll"), onScrollVirtual: (e) => onScroll(e.detail) })
  ];
};
function isHiddenStore(pos) {
  return pos === EMPTY_INDEX;
}
function nextCell(cell, lastCell) {
  const nextItem = {};
  let types = ["x", "y"];
  for (let t of types) {
    if (cell[t] < 0) {
      nextItem[t] = cell[t];
      return nextItem;
    }
  }
  for (let t of types) {
    if (cell[t] >= lastCell[t]) {
      nextItem[t] = cell[t] - lastCell[t];
      return nextItem;
    }
  }
  return null;
}
function cropCellToMax(cell, lastCell) {
  const newCell = Object.assign({}, cell);
  let types = ["x", "y"];
  for (let t of types) {
    if (cell[t] < 0) {
      newCell[t] = 0;
    }
  }
  for (let t of types) {
    if (cell[t] >= lastCell[t]) {
      newCell[t] = lastCell[t] - 1;
    }
  }
  return newCell;
}
function getRange(start, end) {
  return start && end ? {
    x: Math.min(start.x, end.x),
    y: Math.min(start.y, end.y),
    x1: Math.max(start.x, end.x),
    y1: Math.max(start.y, end.y)
  } : null;
}
function isRangeSingleCell(a) {
  return a.x === a.x1 && a.y === a.y1;
}
function defaultState() {
  return {
    range: null,
    tempRange: null,
    tempRangeType: null,
    focus: null,
    edit: null,
    lastCell: null
  };
}
class SelectionStore {
  constructor() {
    this.unsubscribe = [];
    this.store = createStore(defaultState());
    this.store.on("set", (key, newVal) => {
      if (key === "tempRange" && !newVal) {
        this.store.set("tempRangeType", null);
      }
    });
  }
  onChange(propName, cb) {
    this.unsubscribe.push(this.store.onChange(propName, cb));
  }
  clearFocus() {
    setStore(this.store, { focus: null, range: null, edit: null, tempRange: null });
  }
  setFocus(focus, end) {
    setStore(this.store, {
      focus,
      range: getRange(focus, end),
      edit: null,
      tempRange: null
    });
  }
  setTempArea(range2) {
    setStore(this.store, { tempRange: range2 === null || range2 === void 0 ? void 0 : range2.area, tempRangeType: range2 === null || range2 === void 0 ? void 0 : range2.type, edit: null });
  }
  clearTemp() {
    setStore(this.store, { tempRange: null });
  }
  setRangeArea(range2) {
    setStore(this.store, { range: range2, edit: null, tempRange: null });
  }
  setRange(start, end) {
    this.setRangeArea(getRange(start, end));
  }
  setLastCell(lastCell) {
    setStore(this.store, { lastCell });
  }
  setEdit(val) {
    const focus = this.store.get("focus");
    if (focus && typeof val === "string") {
      setStore(this.store, {
        edit: { x: focus.x, y: focus.y, val }
      });
      return;
    }
    setStore(this.store, { edit: null });
  }
  dispose() {
    this.unsubscribe.forEach((f) => f());
    this.store.dispose();
  }
}
const EMPTY_INDEX = -1;
class SelectionStoreConnector {
  constructor() {
    this.dirty = false;
    this.stores = {};
    this.columnStores = {};
    this.rowStores = {};
    this.sections = [];
  }
  get focusedStore() {
    var _a;
    for (let y in this.stores) {
      for (let x in this.stores[y]) {
        const focused = (_a = this.stores[y][x]) === null || _a === void 0 ? void 0 : _a.store.get("focus");
        if (focused) {
          return {
            entity: this.stores[y][x],
            cell: focused,
            position: {
              x: parseInt(x, 10),
              y: parseInt(y, 10)
            }
          };
        }
      }
    }
    return null;
  }
  get edit() {
    var _a;
    return (_a = this.focusedStore) === null || _a === void 0 ? void 0 : _a.entity.store.get("edit");
  }
  get focused() {
    var _a;
    return (_a = this.focusedStore) === null || _a === void 0 ? void 0 : _a.entity.store.get("focus");
  }
  get selectedRange() {
    var _a;
    return (_a = this.focusedStore) === null || _a === void 0 ? void 0 : _a.entity.store.get("range");
  }
  registerSection(e) {
    if (!e) {
      this.sections.length = 0;
      this.dirty = true;
      return;
    }
    if (this.sections.indexOf(e) === -1) {
      this.sections.push(e);
    }
  }
  beforeUpdate() {
    if (this.dirty) {
      for (let y in this.stores) {
        for (let x in this.stores[y]) {
          this.stores[y][x].dispose();
        }
      }
      this.dirty = false;
    }
  }
  registerColumn(x) {
    if (isHiddenStore(x)) {
      return new SelectionStore();
    }
    if (this.columnStores[x]) {
      return this.columnStores[x];
    }
    this.columnStores[x] = new SelectionStore();
    return this.columnStores[x];
  }
  registerRow(y) {
    if (isHiddenStore(y)) {
      return new SelectionStore();
    }
    if (this.rowStores[y]) {
      return this.rowStores[y];
    }
    this.rowStores[y] = new SelectionStore();
    return this.rowStores[y];
  }
  register({ x, y }) {
    var _a, _b;
    if (isHiddenStore(x) || isHiddenStore(y)) {
      return new SelectionStore();
    }
    if (!this.stores[y]) {
      this.stores[y] = {};
    }
    if (this.stores[y][x]) {
      return this.stores[y][x];
    }
    this.stores[y][x] = new SelectionStore();
    (_a = this.stores[y][x]) === null || _a === void 0 ? void 0 : _a.onChange("range", (c) => {
      this.columnStores[x].setRangeArea(c);
      this.rowStores[y].setRangeArea(c);
    });
    (_b = this.stores[y][x]) === null || _b === void 0 ? void 0 : _b.store.on("dispose", () => {
      var _a2, _b2;
      (_a2 = this.columnStores[x]) === null || _a2 === void 0 ? void 0 : _a2.dispose();
      (_b2 = this.rowStores[y]) === null || _b2 === void 0 ? void 0 : _b2.dispose();
      delete this.rowStores[y];
      delete this.columnStores[x];
      if (this.stores[y]) {
        delete this.stores[y][x];
      }
      if (!Object.keys(this.stores[y] || {}).length) {
        delete this.stores[y];
      }
    });
    return this.stores[y][x];
  }
  setEditByCell({ x, y }, editCell) {
    const store = this.stores[y][x];
    this.focus(store, { focus: editCell, end: editCell });
    this.setEdit("");
  }
  focus(store, { focus, end }) {
    let currentStorePointer;
    for (let y in this.stores) {
      for (let x in this.stores[y]) {
        const s = this.stores[y][x];
        if (s !== store) {
          s.clearFocus();
        } else {
          currentStorePointer = { x: parseInt(x, 10), y: parseInt(y, 10) };
        }
      }
    }
    if (!currentStorePointer) {
      return;
    }
    const lastCell = store.store.get("lastCell");
    const nextItem = nextCell(focus, lastCell);
    let nextStore;
    if (nextItem) {
      for (let i in nextItem) {
        let type = i;
        let stores;
        switch (type) {
          case "x":
            stores = this.getXStores(currentStorePointer.y);
            break;
          case "y":
            stores = this.getYStores(currentStorePointer.x);
            break;
        }
        if (nextItem[type] >= 0) {
          nextStore = stores[++currentStorePointer[type]];
        } else {
          nextStore = stores[--currentStorePointer[type]];
          const nextLastCell = nextStore === null || nextStore === void 0 ? void 0 : nextStore.store.get("lastCell");
          if (nextLastCell) {
            nextItem[type] = nextLastCell[type] + nextItem[type];
          }
        }
      }
    }
    if (nextStore) {
      let item = Object.assign(Object.assign({}, focus), nextItem);
      this.focus(nextStore, { focus: item, end: item });
      return;
    }
    focus = cropCellToMax(focus, lastCell);
    end = cropCellToMax(focus, lastCell);
    store.setFocus(focus, end);
  }
  clearAll() {
    var _a;
    for (let y in this.stores) {
      for (let x in this.stores[y]) {
        (_a = this.stores[y][x]) === null || _a === void 0 ? void 0 : _a.clearFocus();
      }
    }
  }
  setEdit(val) {
    if (!this.focusedStore) {
      return;
    }
    this.focusedStore.entity.setEdit(val);
  }
  getXStores(y) {
    return this.stores[y];
  }
  getYStores(x) {
    const stores = {};
    for (let i in this.stores) {
      stores[i] = this.stores[i][x];
    }
    return stores;
  }
}
const HEADER_SLOT = "header";
const FOOTER_SLOT = "footer";
const CONTENT_SLOT = "content";
const DATA_SLOT = "data";
function getLastCell(data, rowType) {
  return {
    x: data.viewports[data.colType].store.get("realCount"),
    y: data.viewports[rowType].store.get("realCount")
  };
}
var lodash = createCommonjsModule(function(module, exports) {
  (function() {
    var undefined$1;
    var VERSION = "4.17.21";
    var LARGE_ARRAY_SIZE2 = 200;
    var CORE_ERROR_TEXT = "Unsupported core-js use. Try https://npms.io/search?q=ponyfill.", FUNC_ERROR_TEXT2 = "Expected a function", INVALID_TEMPL_VAR_ERROR_TEXT = "Invalid `variable` option passed into `_.template`";
    var HASH_UNDEFINED2 = "__lodash_hash_undefined__";
    var MAX_MEMOIZE_SIZE2 = 500;
    var PLACEHOLDER = "__lodash_placeholder__";
    var CLONE_DEEP_FLAG = 1, CLONE_FLAT_FLAG = 2, CLONE_SYMBOLS_FLAG = 4;
    var COMPARE_PARTIAL_FLAG2 = 1, COMPARE_UNORDERED_FLAG2 = 2;
    var WRAP_BIND_FLAG = 1, WRAP_BIND_KEY_FLAG = 2, WRAP_CURRY_BOUND_FLAG = 4, WRAP_CURRY_FLAG = 8, WRAP_CURRY_RIGHT_FLAG = 16, WRAP_PARTIAL_FLAG = 32, WRAP_PARTIAL_RIGHT_FLAG = 64, WRAP_ARY_FLAG = 128, WRAP_REARG_FLAG = 256, WRAP_FLIP_FLAG = 512;
    var DEFAULT_TRUNC_LENGTH = 30, DEFAULT_TRUNC_OMISSION = "...";
    var HOT_COUNT = 800, HOT_SPAN = 16;
    var LAZY_FILTER_FLAG = 1, LAZY_MAP_FLAG = 2, LAZY_WHILE_FLAG = 3;
    var INFINITY2 = 1 / 0, MAX_SAFE_INTEGER2 = 9007199254740991, MAX_INTEGER2 = 17976931348623157e292, NAN2 = 0 / 0;
    var MAX_ARRAY_LENGTH2 = 4294967295, MAX_ARRAY_INDEX2 = MAX_ARRAY_LENGTH2 - 1, HALF_MAX_ARRAY_LENGTH2 = MAX_ARRAY_LENGTH2 >>> 1;
    var wrapFlags = [
      ["ary", WRAP_ARY_FLAG],
      ["bind", WRAP_BIND_FLAG],
      ["bindKey", WRAP_BIND_KEY_FLAG],
      ["curry", WRAP_CURRY_FLAG],
      ["curryRight", WRAP_CURRY_RIGHT_FLAG],
      ["flip", WRAP_FLIP_FLAG],
      ["partial", WRAP_PARTIAL_FLAG],
      ["partialRight", WRAP_PARTIAL_RIGHT_FLAG],
      ["rearg", WRAP_REARG_FLAG]
    ];
    var argsTag2 = "[object Arguments]", arrayTag2 = "[object Array]", asyncTag2 = "[object AsyncFunction]", boolTag2 = "[object Boolean]", dateTag2 = "[object Date]", domExcTag = "[object DOMException]", errorTag2 = "[object Error]", funcTag2 = "[object Function]", genTag2 = "[object GeneratorFunction]", mapTag2 = "[object Map]", numberTag2 = "[object Number]", nullTag2 = "[object Null]", objectTag2 = "[object Object]", promiseTag2 = "[object Promise]", proxyTag2 = "[object Proxy]", regexpTag2 = "[object RegExp]", setTag2 = "[object Set]", stringTag2 = "[object String]", symbolTag2 = "[object Symbol]", undefinedTag2 = "[object Undefined]", weakMapTag2 = "[object WeakMap]", weakSetTag = "[object WeakSet]";
    var arrayBufferTag2 = "[object ArrayBuffer]", dataViewTag2 = "[object DataView]", float32Tag2 = "[object Float32Array]", float64Tag2 = "[object Float64Array]", int8Tag2 = "[object Int8Array]", int16Tag2 = "[object Int16Array]", int32Tag2 = "[object Int32Array]", uint8Tag2 = "[object Uint8Array]", uint8ClampedTag2 = "[object Uint8ClampedArray]", uint16Tag2 = "[object Uint16Array]", uint32Tag2 = "[object Uint32Array]";
    var reEmptyStringLeading = /\b__p \+= '';/g, reEmptyStringMiddle = /\b(__p \+=) '' \+/g, reEmptyStringTrailing = /(__e\(.*?\)|\b__t\)) \+\n'';/g;
    var reEscapedHtml = /&(?:amp|lt|gt|quot|#39);/g, reUnescapedHtml = /[&<>"']/g, reHasEscapedHtml = RegExp(reEscapedHtml.source), reHasUnescapedHtml = RegExp(reUnescapedHtml.source);
    var reEscape = /<%-([\s\S]+?)%>/g, reEvaluate = /<%([\s\S]+?)%>/g, reInterpolate = /<%=([\s\S]+?)%>/g;
    var reIsDeepProp2 = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, reIsPlainProp2 = /^\w*$/, rePropName2 = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;
    var reRegExpChar2 = /[\\^$.*+?()[\]{}|]/g, reHasRegExpChar = RegExp(reRegExpChar2.source);
    var reTrimStart2 = /^\s+/;
    var reWhitespace2 = /\s/;
    var reWrapComment = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/, reWrapDetails = /\{\n\/\* \[wrapped with (.+)\] \*/, reSplitDetails = /,? & /;
    var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;
    var reForbiddenIdentifierChars = /[()=,{}\[\]\/\s]/;
    var reEscapeChar2 = /\\(\\)?/g;
    var reEsTemplate = /\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g;
    var reFlags = /\w*$/;
    var reIsBadHex2 = /^[-+]0x[0-9a-f]+$/i;
    var reIsBinary2 = /^0b[01]+$/i;
    var reIsHostCtor2 = /^\[object .+?Constructor\]$/;
    var reIsOctal2 = /^0o[0-7]+$/i;
    var reIsUint2 = /^(?:0|[1-9]\d*)$/;
    var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;
    var reNoMatch = /($^)/;
    var reUnescapedString = /['\n\r\u2028\u2029\\]/g;
    var rsAstralRange2 = "\\ud800-\\udfff", rsComboMarksRange2 = "\\u0300-\\u036f", reComboHalfMarksRange2 = "\\ufe20-\\ufe2f", rsComboSymbolsRange2 = "\\u20d0-\\u20ff", rsComboRange2 = rsComboMarksRange2 + reComboHalfMarksRange2 + rsComboSymbolsRange2, rsDingbatRange = "\\u2700-\\u27bf", rsLowerRange = "a-z\\xdf-\\xf6\\xf8-\\xff", rsMathOpRange = "\\xac\\xb1\\xd7\\xf7", rsNonCharRange = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf", rsPunctuationRange = "\\u2000-\\u206f", rsSpaceRange = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000", rsUpperRange = "A-Z\\xc0-\\xd6\\xd8-\\xde", rsVarRange2 = "\\ufe0e\\ufe0f", rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;
    var rsApos = "['\u2019]", rsAstral2 = "[" + rsAstralRange2 + "]", rsBreak = "[" + rsBreakRange + "]", rsCombo2 = "[" + rsComboRange2 + "]", rsDigits = "\\d+", rsDingbat = "[" + rsDingbatRange + "]", rsLower = "[" + rsLowerRange + "]", rsMisc = "[^" + rsAstralRange2 + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + "]", rsFitz2 = "\\ud83c[\\udffb-\\udfff]", rsModifier2 = "(?:" + rsCombo2 + "|" + rsFitz2 + ")", rsNonAstral2 = "[^" + rsAstralRange2 + "]", rsRegional2 = "(?:\\ud83c[\\udde6-\\uddff]){2}", rsSurrPair2 = "[\\ud800-\\udbff][\\udc00-\\udfff]", rsUpper = "[" + rsUpperRange + "]", rsZWJ2 = "\\u200d";
    var rsMiscLower = "(?:" + rsLower + "|" + rsMisc + ")", rsMiscUpper = "(?:" + rsUpper + "|" + rsMisc + ")", rsOptContrLower = "(?:" + rsApos + "(?:d|ll|m|re|s|t|ve))?", rsOptContrUpper = "(?:" + rsApos + "(?:D|LL|M|RE|S|T|VE))?", reOptMod2 = rsModifier2 + "?", rsOptVar2 = "[" + rsVarRange2 + "]?", rsOptJoin2 = "(?:" + rsZWJ2 + "(?:" + [rsNonAstral2, rsRegional2, rsSurrPair2].join("|") + ")" + rsOptVar2 + reOptMod2 + ")*", rsOrdLower = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])", rsOrdUpper = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])", rsSeq2 = rsOptVar2 + reOptMod2 + rsOptJoin2, rsEmoji = "(?:" + [rsDingbat, rsRegional2, rsSurrPair2].join("|") + ")" + rsSeq2, rsSymbol2 = "(?:" + [rsNonAstral2 + rsCombo2 + "?", rsCombo2, rsRegional2, rsSurrPair2, rsAstral2].join("|") + ")";
    var reApos = RegExp(rsApos, "g");
    var reComboMark = RegExp(rsCombo2, "g");
    var reUnicode2 = RegExp(rsFitz2 + "(?=" + rsFitz2 + ")|" + rsSymbol2 + rsSeq2, "g");
    var reUnicodeWord = RegExp([
      rsUpper + "?" + rsLower + "+" + rsOptContrLower + "(?=" + [rsBreak, rsUpper, "$"].join("|") + ")",
      rsMiscUpper + "+" + rsOptContrUpper + "(?=" + [rsBreak, rsUpper + rsMiscLower, "$"].join("|") + ")",
      rsUpper + "?" + rsMiscLower + "+" + rsOptContrLower,
      rsUpper + "+" + rsOptContrUpper,
      rsOrdUpper,
      rsOrdLower,
      rsDigits,
      rsEmoji
    ].join("|"), "g");
    var reHasUnicode2 = RegExp("[" + rsZWJ2 + rsAstralRange2 + rsComboRange2 + rsVarRange2 + "]");
    var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;
    var contextProps = [
      "Array",
      "Buffer",
      "DataView",
      "Date",
      "Error",
      "Float32Array",
      "Float64Array",
      "Function",
      "Int8Array",
      "Int16Array",
      "Int32Array",
      "Map",
      "Math",
      "Object",
      "Promise",
      "RegExp",
      "Set",
      "String",
      "Symbol",
      "TypeError",
      "Uint8Array",
      "Uint8ClampedArray",
      "Uint16Array",
      "Uint32Array",
      "WeakMap",
      "_",
      "clearTimeout",
      "isFinite",
      "parseInt",
      "setTimeout"
    ];
    var templateCounter = -1;
    var typedArrayTags2 = {};
    typedArrayTags2[float32Tag2] = typedArrayTags2[float64Tag2] = typedArrayTags2[int8Tag2] = typedArrayTags2[int16Tag2] = typedArrayTags2[int32Tag2] = typedArrayTags2[uint8Tag2] = typedArrayTags2[uint8ClampedTag2] = typedArrayTags2[uint16Tag2] = typedArrayTags2[uint32Tag2] = true;
    typedArrayTags2[argsTag2] = typedArrayTags2[arrayTag2] = typedArrayTags2[arrayBufferTag2] = typedArrayTags2[boolTag2] = typedArrayTags2[dataViewTag2] = typedArrayTags2[dateTag2] = typedArrayTags2[errorTag2] = typedArrayTags2[funcTag2] = typedArrayTags2[mapTag2] = typedArrayTags2[numberTag2] = typedArrayTags2[objectTag2] = typedArrayTags2[regexpTag2] = typedArrayTags2[setTag2] = typedArrayTags2[stringTag2] = typedArrayTags2[weakMapTag2] = false;
    var cloneableTags = {};
    cloneableTags[argsTag2] = cloneableTags[arrayTag2] = cloneableTags[arrayBufferTag2] = cloneableTags[dataViewTag2] = cloneableTags[boolTag2] = cloneableTags[dateTag2] = cloneableTags[float32Tag2] = cloneableTags[float64Tag2] = cloneableTags[int8Tag2] = cloneableTags[int16Tag2] = cloneableTags[int32Tag2] = cloneableTags[mapTag2] = cloneableTags[numberTag2] = cloneableTags[objectTag2] = cloneableTags[regexpTag2] = cloneableTags[setTag2] = cloneableTags[stringTag2] = cloneableTags[symbolTag2] = cloneableTags[uint8Tag2] = cloneableTags[uint8ClampedTag2] = cloneableTags[uint16Tag2] = cloneableTags[uint32Tag2] = true;
    cloneableTags[errorTag2] = cloneableTags[funcTag2] = cloneableTags[weakMapTag2] = false;
    var deburredLetters = {
      "\xC0": "A",
      "\xC1": "A",
      "\xC2": "A",
      "\xC3": "A",
      "\xC4": "A",
      "\xC5": "A",
      "\xE0": "a",
      "\xE1": "a",
      "\xE2": "a",
      "\xE3": "a",
      "\xE4": "a",
      "\xE5": "a",
      "\xC7": "C",
      "\xE7": "c",
      "\xD0": "D",
      "\xF0": "d",
      "\xC8": "E",
      "\xC9": "E",
      "\xCA": "E",
      "\xCB": "E",
      "\xE8": "e",
      "\xE9": "e",
      "\xEA": "e",
      "\xEB": "e",
      "\xCC": "I",
      "\xCD": "I",
      "\xCE": "I",
      "\xCF": "I",
      "\xEC": "i",
      "\xED": "i",
      "\xEE": "i",
      "\xEF": "i",
      "\xD1": "N",
      "\xF1": "n",
      "\xD2": "O",
      "\xD3": "O",
      "\xD4": "O",
      "\xD5": "O",
      "\xD6": "O",
      "\xD8": "O",
      "\xF2": "o",
      "\xF3": "o",
      "\xF4": "o",
      "\xF5": "o",
      "\xF6": "o",
      "\xF8": "o",
      "\xD9": "U",
      "\xDA": "U",
      "\xDB": "U",
      "\xDC": "U",
      "\xF9": "u",
      "\xFA": "u",
      "\xFB": "u",
      "\xFC": "u",
      "\xDD": "Y",
      "\xFD": "y",
      "\xFF": "y",
      "\xC6": "Ae",
      "\xE6": "ae",
      "\xDE": "Th",
      "\xFE": "th",
      "\xDF": "ss",
      "\u0100": "A",
      "\u0102": "A",
      "\u0104": "A",
      "\u0101": "a",
      "\u0103": "a",
      "\u0105": "a",
      "\u0106": "C",
      "\u0108": "C",
      "\u010A": "C",
      "\u010C": "C",
      "\u0107": "c",
      "\u0109": "c",
      "\u010B": "c",
      "\u010D": "c",
      "\u010E": "D",
      "\u0110": "D",
      "\u010F": "d",
      "\u0111": "d",
      "\u0112": "E",
      "\u0114": "E",
      "\u0116": "E",
      "\u0118": "E",
      "\u011A": "E",
      "\u0113": "e",
      "\u0115": "e",
      "\u0117": "e",
      "\u0119": "e",
      "\u011B": "e",
      "\u011C": "G",
      "\u011E": "G",
      "\u0120": "G",
      "\u0122": "G",
      "\u011D": "g",
      "\u011F": "g",
      "\u0121": "g",
      "\u0123": "g",
      "\u0124": "H",
      "\u0126": "H",
      "\u0125": "h",
      "\u0127": "h",
      "\u0128": "I",
      "\u012A": "I",
      "\u012C": "I",
      "\u012E": "I",
      "\u0130": "I",
      "\u0129": "i",
      "\u012B": "i",
      "\u012D": "i",
      "\u012F": "i",
      "\u0131": "i",
      "\u0134": "J",
      "\u0135": "j",
      "\u0136": "K",
      "\u0137": "k",
      "\u0138": "k",
      "\u0139": "L",
      "\u013B": "L",
      "\u013D": "L",
      "\u013F": "L",
      "\u0141": "L",
      "\u013A": "l",
      "\u013C": "l",
      "\u013E": "l",
      "\u0140": "l",
      "\u0142": "l",
      "\u0143": "N",
      "\u0145": "N",
      "\u0147": "N",
      "\u014A": "N",
      "\u0144": "n",
      "\u0146": "n",
      "\u0148": "n",
      "\u014B": "n",
      "\u014C": "O",
      "\u014E": "O",
      "\u0150": "O",
      "\u014D": "o",
      "\u014F": "o",
      "\u0151": "o",
      "\u0154": "R",
      "\u0156": "R",
      "\u0158": "R",
      "\u0155": "r",
      "\u0157": "r",
      "\u0159": "r",
      "\u015A": "S",
      "\u015C": "S",
      "\u015E": "S",
      "\u0160": "S",
      "\u015B": "s",
      "\u015D": "s",
      "\u015F": "s",
      "\u0161": "s",
      "\u0162": "T",
      "\u0164": "T",
      "\u0166": "T",
      "\u0163": "t",
      "\u0165": "t",
      "\u0167": "t",
      "\u0168": "U",
      "\u016A": "U",
      "\u016C": "U",
      "\u016E": "U",
      "\u0170": "U",
      "\u0172": "U",
      "\u0169": "u",
      "\u016B": "u",
      "\u016D": "u",
      "\u016F": "u",
      "\u0171": "u",
      "\u0173": "u",
      "\u0174": "W",
      "\u0175": "w",
      "\u0176": "Y",
      "\u0177": "y",
      "\u0178": "Y",
      "\u0179": "Z",
      "\u017B": "Z",
      "\u017D": "Z",
      "\u017A": "z",
      "\u017C": "z",
      "\u017E": "z",
      "\u0132": "IJ",
      "\u0133": "ij",
      "\u0152": "Oe",
      "\u0153": "oe",
      "\u0149": "'n",
      "\u017F": "s"
    };
    var htmlEscapes = {
      "&": "&amp;",
      "<": "&lt;",
      ">": "&gt;",
      '"': "&quot;",
      "'": "&#39;"
    };
    var htmlUnescapes = {
      "&amp;": "&",
      "&lt;": "<",
      "&gt;": ">",
      "&quot;": '"',
      "&#39;": "'"
    };
    var stringEscapes = {
      "\\": "\\",
      "'": "'",
      "\n": "n",
      "\r": "r",
      "\u2028": "u2028",
      "\u2029": "u2029"
    };
    var freeParseFloat = parseFloat, freeParseInt2 = parseInt;
    var freeGlobal2 = typeof commonjsGlobal == "object" && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;
    var freeSelf2 = typeof self == "object" && self && self.Object === Object && self;
    var root2 = freeGlobal2 || freeSelf2 || Function("return this")();
    var freeExports = exports && !exports.nodeType && exports;
    var freeModule = freeExports && true && module && !module.nodeType && module;
    var moduleExports = freeModule && freeModule.exports === freeExports;
    var freeProcess = moduleExports && freeGlobal2.process;
    var nodeUtil = function() {
      try {
        var types = freeModule && freeModule.require && freeModule.require("util").types;
        if (types) {
          return types;
        }
        return freeProcess && freeProcess.binding && freeProcess.binding("util");
      } catch (e) {
      }
    }();
    var nodeIsArrayBuffer = nodeUtil && nodeUtil.isArrayBuffer, nodeIsDate = nodeUtil && nodeUtil.isDate, nodeIsMap = nodeUtil && nodeUtil.isMap, nodeIsRegExp = nodeUtil && nodeUtil.isRegExp, nodeIsSet = nodeUtil && nodeUtil.isSet, nodeIsTypedArray2 = nodeUtil && nodeUtil.isTypedArray;
    function apply(func, thisArg, args) {
      switch (args.length) {
        case 0:
          return func.call(thisArg);
        case 1:
          return func.call(thisArg, args[0]);
        case 2:
          return func.call(thisArg, args[0], args[1]);
        case 3:
          return func.call(thisArg, args[0], args[1], args[2]);
      }
      return func.apply(thisArg, args);
    }
    function arrayAggregator2(array, setter, iteratee, accumulator) {
      var index = -1, length = array == null ? 0 : array.length;
      while (++index < length) {
        var value = array[index];
        setter(accumulator, value, iteratee(value), array);
      }
      return accumulator;
    }
    function arrayEach2(array, iteratee) {
      var index = -1, length = array == null ? 0 : array.length;
      while (++index < length) {
        if (iteratee(array[index], index, array) === false) {
          break;
        }
      }
      return array;
    }
    function arrayEachRight(array, iteratee) {
      var length = array == null ? 0 : array.length;
      while (length--) {
        if (iteratee(array[length], length, array) === false) {
          break;
        }
      }
      return array;
    }
    function arrayEvery(array, predicate) {
      var index = -1, length = array == null ? 0 : array.length;
      while (++index < length) {
        if (!predicate(array[index], index, array)) {
          return false;
        }
      }
      return true;
    }
    function arrayFilter2(array, predicate) {
      var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
      while (++index < length) {
        var value = array[index];
        if (predicate(value, index, array)) {
          result[resIndex++] = value;
        }
      }
      return result;
    }
    function arrayIncludes(array, value) {
      var length = array == null ? 0 : array.length;
      return !!length && baseIndexOf2(array, value, 0) > -1;
    }
    function arrayIncludesWith(array, value, comparator) {
      var index = -1, length = array == null ? 0 : array.length;
      while (++index < length) {
        if (comparator(value, array[index])) {
          return true;
        }
      }
      return false;
    }
    function arrayMap2(array, iteratee) {
      var index = -1, length = array == null ? 0 : array.length, result = Array(length);
      while (++index < length) {
        result[index] = iteratee(array[index], index, array);
      }
      return result;
    }
    function arrayPush2(array, values2) {
      var index = -1, length = values2.length, offset = array.length;
      while (++index < length) {
        array[offset + index] = values2[index];
      }
      return array;
    }
    function arrayReduce2(array, iteratee, accumulator, initAccum) {
      var index = -1, length = array == null ? 0 : array.length;
      if (initAccum && length) {
        accumulator = array[++index];
      }
      while (++index < length) {
        accumulator = iteratee(accumulator, array[index], index, array);
      }
      return accumulator;
    }
    function arrayReduceRight(array, iteratee, accumulator, initAccum) {
      var length = array == null ? 0 : array.length;
      if (initAccum && length) {
        accumulator = array[--length];
      }
      while (length--) {
        accumulator = iteratee(accumulator, array[length], length, array);
      }
      return accumulator;
    }
    function arraySome2(array, predicate) {
      var index = -1, length = array == null ? 0 : array.length;
      while (++index < length) {
        if (predicate(array[index], index, array)) {
          return true;
        }
      }
      return false;
    }
    var asciiSize2 = baseProperty2("length");
    function asciiToArray(string) {
      return string.split("");
    }
    function asciiWords(string) {
      return string.match(reAsciiWord) || [];
    }
    function baseFindKey(collection, predicate, eachFunc) {
      var result;
      eachFunc(collection, function(value, key, collection2) {
        if (predicate(value, key, collection2)) {
          result = key;
          return false;
        }
      });
      return result;
    }
    function baseFindIndex2(array, predicate, fromIndex, fromRight) {
      var length = array.length, index = fromIndex + (fromRight ? 1 : -1);
      while (fromRight ? index-- : ++index < length) {
        if (predicate(array[index], index, array)) {
          return index;
        }
      }
      return -1;
    }
    function baseIndexOf2(array, value, fromIndex) {
      return value === value ? strictIndexOf2(array, value, fromIndex) : baseFindIndex2(array, baseIsNaN2, fromIndex);
    }
    function baseIndexOfWith(array, value, fromIndex, comparator) {
      var index = fromIndex - 1, length = array.length;
      while (++index < length) {
        if (comparator(array[index], value)) {
          return index;
        }
      }
      return -1;
    }
    function baseIsNaN2(value) {
      return value !== value;
    }
    function baseMean(array, iteratee) {
      var length = array == null ? 0 : array.length;
      return length ? baseSum(array, iteratee) / length : NAN2;
    }
    function baseProperty2(key) {
      return function(object) {
        return object == null ? undefined$1 : object[key];
      };
    }
    function basePropertyOf(object) {
      return function(key) {
        return object == null ? undefined$1 : object[key];
      };
    }
    function baseReduce2(collection, iteratee, accumulator, initAccum, eachFunc) {
      eachFunc(collection, function(value, index, collection2) {
        accumulator = initAccum ? (initAccum = false, value) : iteratee(accumulator, value, index, collection2);
      });
      return accumulator;
    }
    function baseSortBy(array, comparer) {
      var length = array.length;
      array.sort(comparer);
      while (length--) {
        array[length] = array[length].value;
      }
      return array;
    }
    function baseSum(array, iteratee) {
      var result, index = -1, length = array.length;
      while (++index < length) {
        var current = iteratee(array[index]);
        if (current !== undefined$1) {
          result = result === undefined$1 ? current : result + current;
        }
      }
      return result;
    }
    function baseTimes2(n, iteratee) {
      var index = -1, result = Array(n);
      while (++index < n) {
        result[index] = iteratee(index);
      }
      return result;
    }
    function baseToPairs(object, props) {
      return arrayMap2(props, function(key) {
        return [key, object[key]];
      });
    }
    function baseTrim2(string) {
      return string ? string.slice(0, trimmedEndIndex2(string) + 1).replace(reTrimStart2, "") : string;
    }
    function baseUnary2(func) {
      return function(value) {
        return func(value);
      };
    }
    function baseValues2(object, props) {
      return arrayMap2(props, function(key) {
        return object[key];
      });
    }
    function cacheHas2(cache, key) {
      return cache.has(key);
    }
    function charsStartIndex(strSymbols, chrSymbols) {
      var index = -1, length = strSymbols.length;
      while (++index < length && baseIndexOf2(chrSymbols, strSymbols[index], 0) > -1) {
      }
      return index;
    }
    function charsEndIndex(strSymbols, chrSymbols) {
      var index = strSymbols.length;
      while (index-- && baseIndexOf2(chrSymbols, strSymbols[index], 0) > -1) {
      }
      return index;
    }
    function countHolders(array, placeholder) {
      var length = array.length, result = 0;
      while (length--) {
        if (array[length] === placeholder) {
          ++result;
        }
      }
      return result;
    }
    var deburrLetter = basePropertyOf(deburredLetters);
    var escapeHtmlChar = basePropertyOf(htmlEscapes);
    function escapeStringChar(chr) {
      return "\\" + stringEscapes[chr];
    }
    function getValue2(object, key) {
      return object == null ? undefined$1 : object[key];
    }
    function hasUnicode2(string) {
      return reHasUnicode2.test(string);
    }
    function hasUnicodeWord(string) {
      return reHasUnicodeWord.test(string);
    }
    function iteratorToArray(iterator) {
      var data, result = [];
      while (!(data = iterator.next()).done) {
        result.push(data.value);
      }
      return result;
    }
    function mapToArray2(map2) {
      var index = -1, result = Array(map2.size);
      map2.forEach(function(value, key) {
        result[++index] = [key, value];
      });
      return result;
    }
    function overArg2(func, transform) {
      return function(arg) {
        return func(transform(arg));
      };
    }
    function replaceHolders(array, placeholder) {
      var index = -1, length = array.length, resIndex = 0, result = [];
      while (++index < length) {
        var value = array[index];
        if (value === placeholder || value === PLACEHOLDER) {
          array[index] = PLACEHOLDER;
          result[resIndex++] = index;
        }
      }
      return result;
    }
    function setToArray2(set2) {
      var index = -1, result = Array(set2.size);
      set2.forEach(function(value) {
        result[++index] = value;
      });
      return result;
    }
    function setToPairs(set2) {
      var index = -1, result = Array(set2.size);
      set2.forEach(function(value) {
        result[++index] = [value, value];
      });
      return result;
    }
    function strictIndexOf2(array, value, fromIndex) {
      var index = fromIndex - 1, length = array.length;
      while (++index < length) {
        if (array[index] === value) {
          return index;
        }
      }
      return -1;
    }
    function strictLastIndexOf(array, value, fromIndex) {
      var index = fromIndex + 1;
      while (index--) {
        if (array[index] === value) {
          return index;
        }
      }
      return index;
    }
    function stringSize2(string) {
      return hasUnicode2(string) ? unicodeSize2(string) : asciiSize2(string);
    }
    function stringToArray(string) {
      return hasUnicode2(string) ? unicodeToArray(string) : asciiToArray(string);
    }
    function trimmedEndIndex2(string) {
      var index = string.length;
      while (index-- && reWhitespace2.test(string.charAt(index))) {
      }
      return index;
    }
    var unescapeHtmlChar = basePropertyOf(htmlUnescapes);
    function unicodeSize2(string) {
      var result = reUnicode2.lastIndex = 0;
      while (reUnicode2.test(string)) {
        ++result;
      }
      return result;
    }
    function unicodeToArray(string) {
      return string.match(reUnicode2) || [];
    }
    function unicodeWords(string) {
      return string.match(reUnicodeWord) || [];
    }
    var runInContext = function runInContext2(context) {
      context = context == null ? root2 : _.defaults(root2.Object(), context, _.pick(root2, contextProps));
      var Array2 = context.Array, Date2 = context.Date, Error2 = context.Error, Function2 = context.Function, Math2 = context.Math, Object2 = context.Object, RegExp2 = context.RegExp, String2 = context.String, TypeError2 = context.TypeError;
      var arrayProto2 = Array2.prototype, funcProto2 = Function2.prototype, objectProto2 = Object2.prototype;
      var coreJsData2 = context["__core-js_shared__"];
      var funcToString2 = funcProto2.toString;
      var hasOwnProperty2 = objectProto2.hasOwnProperty;
      var idCounter = 0;
      var maskSrcKey2 = function() {
        var uid = /[^.]+$/.exec(coreJsData2 && coreJsData2.keys && coreJsData2.keys.IE_PROTO || "");
        return uid ? "Symbol(src)_1." + uid : "";
      }();
      var nativeObjectToString2 = objectProto2.toString;
      var objectCtorString = funcToString2.call(Object2);
      var oldDash = root2._;
      var reIsNative2 = RegExp2(
        "^" + funcToString2.call(hasOwnProperty2).replace(reRegExpChar2, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
      );
      var Buffer = moduleExports ? context.Buffer : undefined$1, Symbol = context.Symbol, Uint8Array2 = context.Uint8Array, allocUnsafe = Buffer ? Buffer.allocUnsafe : undefined$1, getPrototype = overArg2(Object2.getPrototypeOf, Object2), objectCreate = Object2.create, propertyIsEnumerable2 = objectProto2.propertyIsEnumerable, splice2 = arrayProto2.splice, spreadableSymbol = Symbol ? Symbol.isConcatSpreadable : undefined$1, symIterator = Symbol ? Symbol.iterator : undefined$1, symToStringTag2 = Symbol ? Symbol.toStringTag : undefined$1;
      var defineProperty2 = function() {
        try {
          var func = getNative2(Object2, "defineProperty");
          func({}, "", {});
          return func;
        } catch (e) {
        }
      }();
      var ctxClearTimeout = context.clearTimeout !== root2.clearTimeout && context.clearTimeout, ctxNow = Date2 && Date2.now !== root2.Date.now && Date2.now, ctxSetTimeout = context.setTimeout !== root2.setTimeout && context.setTimeout;
      var nativeCeil2 = Math2.ceil, nativeFloor2 = Math2.floor, nativeGetSymbols2 = Object2.getOwnPropertySymbols, nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined$1, nativeIsFinite = context.isFinite, nativeJoin = arrayProto2.join, nativeKeys2 = overArg2(Object2.keys, Object2), nativeMax2 = Math2.max, nativeMin2 = Math2.min, nativeNow = Date2.now, nativeParseInt = context.parseInt, nativeRandom = Math2.random, nativeReverse = arrayProto2.reverse;
      var DataView2 = getNative2(context, "DataView"), Map2 = getNative2(context, "Map"), Promise2 = getNative2(context, "Promise"), Set2 = getNative2(context, "Set"), WeakMap2 = getNative2(context, "WeakMap"), nativeCreate2 = getNative2(Object2, "create");
      var metaMap = WeakMap2 && new WeakMap2();
      var realNames = {};
      var dataViewCtorString2 = toSource2(DataView2), mapCtorString2 = toSource2(Map2), promiseCtorString2 = toSource2(Promise2), setCtorString2 = toSource2(Set2), weakMapCtorString2 = toSource2(WeakMap2);
      var symbolProto2 = Symbol ? Symbol.prototype : undefined$1, symbolValueOf2 = symbolProto2 ? symbolProto2.valueOf : undefined$1, symbolToString2 = symbolProto2 ? symbolProto2.toString : undefined$1;
      function lodash2(value) {
        if (isObjectLike2(value) && !isArray2(value) && !(value instanceof LazyWrapper)) {
          if (value instanceof LodashWrapper) {
            return value;
          }
          if (hasOwnProperty2.call(value, "__wrapped__")) {
            return wrapperClone(value);
          }
        }
        return new LodashWrapper(value);
      }
      var baseCreate = function() {
        function object() {
        }
        return function(proto) {
          if (!isObject2(proto)) {
            return {};
          }
          if (objectCreate) {
            return objectCreate(proto);
          }
          object.prototype = proto;
          var result2 = new object();
          object.prototype = undefined$1;
          return result2;
        };
      }();
      function baseLodash() {
      }
      function LodashWrapper(value, chainAll) {
        this.__wrapped__ = value;
        this.__actions__ = [];
        this.__chain__ = !!chainAll;
        this.__index__ = 0;
        this.__values__ = undefined$1;
      }
      lodash2.templateSettings = {
        "escape": reEscape,
        "evaluate": reEvaluate,
        "interpolate": reInterpolate,
        "variable": "",
        "imports": {
          "_": lodash2
        }
      };
      lodash2.prototype = baseLodash.prototype;
      lodash2.prototype.constructor = lodash2;
      LodashWrapper.prototype = baseCreate(baseLodash.prototype);
      LodashWrapper.prototype.constructor = LodashWrapper;
      function LazyWrapper(value) {
        this.__wrapped__ = value;
        this.__actions__ = [];
        this.__dir__ = 1;
        this.__filtered__ = false;
        this.__iteratees__ = [];
        this.__takeCount__ = MAX_ARRAY_LENGTH2;
        this.__views__ = [];
      }
      function lazyClone() {
        var result2 = new LazyWrapper(this.__wrapped__);
        result2.__actions__ = copyArray(this.__actions__);
        result2.__dir__ = this.__dir__;
        result2.__filtered__ = this.__filtered__;
        result2.__iteratees__ = copyArray(this.__iteratees__);
        result2.__takeCount__ = this.__takeCount__;
        result2.__views__ = copyArray(this.__views__);
        return result2;
      }
      function lazyReverse() {
        if (this.__filtered__) {
          var result2 = new LazyWrapper(this);
          result2.__dir__ = -1;
          result2.__filtered__ = true;
        } else {
          result2 = this.clone();
          result2.__dir__ *= -1;
        }
        return result2;
      }
      function lazyValue() {
        var array = this.__wrapped__.value(), dir = this.__dir__, isArr = isArray2(array), isRight = dir < 0, arrLength = isArr ? array.length : 0, view = getView(0, arrLength, this.__views__), start = view.start, end = view.end, length = end - start, index = isRight ? end : start - 1, iteratees = this.__iteratees__, iterLength = iteratees.length, resIndex = 0, takeCount = nativeMin2(length, this.__takeCount__);
        if (!isArr || !isRight && arrLength == length && takeCount == length) {
          return baseWrapperValue(array, this.__actions__);
        }
        var result2 = [];
        outer:
          while (length-- && resIndex < takeCount) {
            index += dir;
            var iterIndex = -1, value = array[index];
            while (++iterIndex < iterLength) {
              var data = iteratees[iterIndex], iteratee2 = data.iteratee, type = data.type, computed2 = iteratee2(value);
              if (type == LAZY_MAP_FLAG) {
                value = computed2;
              } else if (!computed2) {
                if (type == LAZY_FILTER_FLAG) {
                  continue outer;
                } else {
                  break outer;
                }
              }
            }
            result2[resIndex++] = value;
          }
        return result2;
      }
      LazyWrapper.prototype = baseCreate(baseLodash.prototype);
      LazyWrapper.prototype.constructor = LazyWrapper;
      function Hash2(entries) {
        var index = -1, length = entries == null ? 0 : entries.length;
        this.clear();
        while (++index < length) {
          var entry = entries[index];
          this.set(entry[0], entry[1]);
        }
      }
      function hashClear2() {
        this.__data__ = nativeCreate2 ? nativeCreate2(null) : {};
        this.size = 0;
      }
      function hashDelete2(key) {
        var result2 = this.has(key) && delete this.__data__[key];
        this.size -= result2 ? 1 : 0;
        return result2;
      }
      function hashGet2(key) {
        var data = this.__data__;
        if (nativeCreate2) {
          var result2 = data[key];
          return result2 === HASH_UNDEFINED2 ? undefined$1 : result2;
        }
        return hasOwnProperty2.call(data, key) ? data[key] : undefined$1;
      }
      function hashHas2(key) {
        var data = this.__data__;
        return nativeCreate2 ? data[key] !== undefined$1 : hasOwnProperty2.call(data, key);
      }
      function hashSet2(key, value) {
        var data = this.__data__;
        this.size += this.has(key) ? 0 : 1;
        data[key] = nativeCreate2 && value === undefined$1 ? HASH_UNDEFINED2 : value;
        return this;
      }
      Hash2.prototype.clear = hashClear2;
      Hash2.prototype["delete"] = hashDelete2;
      Hash2.prototype.get = hashGet2;
      Hash2.prototype.has = hashHas2;
      Hash2.prototype.set = hashSet2;
      function ListCache2(entries) {
        var index = -1, length = entries == null ? 0 : entries.length;
        this.clear();
        while (++index < length) {
          var entry = entries[index];
          this.set(entry[0], entry[1]);
        }
      }
      function listCacheClear2() {
        this.__data__ = [];
        this.size = 0;
      }
      function listCacheDelete2(key) {
        var data = this.__data__, index = assocIndexOf2(data, key);
        if (index < 0) {
          return false;
        }
        var lastIndex = data.length - 1;
        if (index == lastIndex) {
          data.pop();
        } else {
          splice2.call(data, index, 1);
        }
        --this.size;
        return true;
      }
      function listCacheGet2(key) {
        var data = this.__data__, index = assocIndexOf2(data, key);
        return index < 0 ? undefined$1 : data[index][1];
      }
      function listCacheHas2(key) {
        return assocIndexOf2(this.__data__, key) > -1;
      }
      function listCacheSet2(key, value) {
        var data = this.__data__, index = assocIndexOf2(data, key);
        if (index < 0) {
          ++this.size;
          data.push([key, value]);
        } else {
          data[index][1] = value;
        }
        return this;
      }
      ListCache2.prototype.clear = listCacheClear2;
      ListCache2.prototype["delete"] = listCacheDelete2;
      ListCache2.prototype.get = listCacheGet2;
      ListCache2.prototype.has = listCacheHas2;
      ListCache2.prototype.set = listCacheSet2;
      function MapCache2(entries) {
        var index = -1, length = entries == null ? 0 : entries.length;
        this.clear();
        while (++index < length) {
          var entry = entries[index];
          this.set(entry[0], entry[1]);
        }
      }
      function mapCacheClear2() {
        this.size = 0;
        this.__data__ = {
          "hash": new Hash2(),
          "map": new (Map2 || ListCache2)(),
          "string": new Hash2()
        };
      }
      function mapCacheDelete2(key) {
        var result2 = getMapData2(this, key)["delete"](key);
        this.size -= result2 ? 1 : 0;
        return result2;
      }
      function mapCacheGet2(key) {
        return getMapData2(this, key).get(key);
      }
      function mapCacheHas2(key) {
        return getMapData2(this, key).has(key);
      }
      function mapCacheSet2(key, value) {
        var data = getMapData2(this, key), size3 = data.size;
        data.set(key, value);
        this.size += data.size == size3 ? 0 : 1;
        return this;
      }
      MapCache2.prototype.clear = mapCacheClear2;
      MapCache2.prototype["delete"] = mapCacheDelete2;
      MapCache2.prototype.get = mapCacheGet2;
      MapCache2.prototype.has = mapCacheHas2;
      MapCache2.prototype.set = mapCacheSet2;
      function SetCache2(values3) {
        var index = -1, length = values3 == null ? 0 : values3.length;
        this.__data__ = new MapCache2();
        while (++index < length) {
          this.add(values3[index]);
        }
      }
      function setCacheAdd2(value) {
        this.__data__.set(value, HASH_UNDEFINED2);
        return this;
      }
      function setCacheHas2(value) {
        return this.__data__.has(value);
      }
      SetCache2.prototype.add = SetCache2.prototype.push = setCacheAdd2;
      SetCache2.prototype.has = setCacheHas2;
      function Stack2(entries) {
        var data = this.__data__ = new ListCache2(entries);
        this.size = data.size;
      }
      function stackClear2() {
        this.__data__ = new ListCache2();
        this.size = 0;
      }
      function stackDelete2(key) {
        var data = this.__data__, result2 = data["delete"](key);
        this.size = data.size;
        return result2;
      }
      function stackGet2(key) {
        return this.__data__.get(key);
      }
      function stackHas2(key) {
        return this.__data__.has(key);
      }
      function stackSet2(key, value) {
        var data = this.__data__;
        if (data instanceof ListCache2) {
          var pairs = data.__data__;
          if (!Map2 || pairs.length < LARGE_ARRAY_SIZE2 - 1) {
            pairs.push([key, value]);
            this.size = ++data.size;
            return this;
          }
          data = this.__data__ = new MapCache2(pairs);
        }
        data.set(key, value);
        this.size = data.size;
        return this;
      }
      Stack2.prototype.clear = stackClear2;
      Stack2.prototype["delete"] = stackDelete2;
      Stack2.prototype.get = stackGet2;
      Stack2.prototype.has = stackHas2;
      Stack2.prototype.set = stackSet2;
      function arrayLikeKeys2(value, inherited) {
        var isArr = isArray2(value), isArg = !isArr && isArguments2(value), isBuff = !isArr && !isArg && isBuffer(value), isType = !isArr && !isArg && !isBuff && isTypedArray2(value), skipIndexes = isArr || isArg || isBuff || isType, result2 = skipIndexes ? baseTimes2(value.length, String2) : [], length = result2.length;
        for (var key in value) {
          if ((inherited || hasOwnProperty2.call(value, key)) && !(skipIndexes && (key == "length" || isBuff && (key == "offset" || key == "parent") || isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || isIndex2(key, length)))) {
            result2.push(key);
          }
        }
        return result2;
      }
      function arraySample(array) {
        var length = array.length;
        return length ? array[baseRandom(0, length - 1)] : undefined$1;
      }
      function arraySampleSize(array, n) {
        return shuffleSelf(copyArray(array), baseClamp2(n, 0, array.length));
      }
      function arrayShuffle(array) {
        return shuffleSelf(copyArray(array));
      }
      function assignMergeValue(object, key, value) {
        if (value !== undefined$1 && !eq2(object[key], value) || value === undefined$1 && !(key in object)) {
          baseAssignValue2(object, key, value);
        }
      }
      function assignValue(object, key, value) {
        var objValue = object[key];
        if (!(hasOwnProperty2.call(object, key) && eq2(objValue, value)) || value === undefined$1 && !(key in object)) {
          baseAssignValue2(object, key, value);
        }
      }
      function assocIndexOf2(array, key) {
        var length = array.length;
        while (length--) {
          if (eq2(array[length][0], key)) {
            return length;
          }
        }
        return -1;
      }
      function baseAggregator2(collection, setter, iteratee2, accumulator) {
        baseEach2(collection, function(value, key, collection2) {
          setter(accumulator, value, iteratee2(value), collection2);
        });
        return accumulator;
      }
      function baseAssign(object, source) {
        return object && copyObject(source, keys2(source), object);
      }
      function baseAssignIn(object, source) {
        return object && copyObject(source, keysIn(source), object);
      }
      function baseAssignValue2(object, key, value) {
        if (key == "__proto__" && defineProperty2) {
          defineProperty2(object, key, {
            "configurable": true,
            "enumerable": true,
            "value": value,
            "writable": true
          });
        } else {
          object[key] = value;
        }
      }
      function baseAt(object, paths) {
        var index = -1, length = paths.length, result2 = Array2(length), skip = object == null;
        while (++index < length) {
          result2[index] = skip ? undefined$1 : get2(object, paths[index]);
        }
        return result2;
      }
      function baseClamp2(number, lower, upper) {
        if (number === number) {
          if (upper !== undefined$1) {
            number = number <= upper ? number : upper;
          }
          if (lower !== undefined$1) {
            number = number >= lower ? number : lower;
          }
        }
        return number;
      }
      function baseClone(value, bitmask, customizer, key, object, stack) {
        var result2, isDeep = bitmask & CLONE_DEEP_FLAG, isFlat = bitmask & CLONE_FLAT_FLAG, isFull = bitmask & CLONE_SYMBOLS_FLAG;
        if (customizer) {
          result2 = object ? customizer(value, key, object, stack) : customizer(value);
        }
        if (result2 !== undefined$1) {
          return result2;
        }
        if (!isObject2(value)) {
          return value;
        }
        var isArr = isArray2(value);
        if (isArr) {
          result2 = initCloneArray(value);
          if (!isDeep) {
            return copyArray(value, result2);
          }
        } else {
          var tag = getTag2(value), isFunc = tag == funcTag2 || tag == genTag2;
          if (isBuffer(value)) {
            return cloneBuffer(value, isDeep);
          }
          if (tag == objectTag2 || tag == argsTag2 || isFunc && !object) {
            result2 = isFlat || isFunc ? {} : initCloneObject(value);
            if (!isDeep) {
              return isFlat ? copySymbolsIn(value, baseAssignIn(result2, value)) : copySymbols(value, baseAssign(result2, value));
            }
          } else {
            if (!cloneableTags[tag]) {
              return object ? value : {};
            }
            result2 = initCloneByTag(value, tag, isDeep);
          }
        }
        stack || (stack = new Stack2());
        var stacked = stack.get(value);
        if (stacked) {
          return stacked;
        }
        stack.set(value, result2);
        if (isSet(value)) {
          value.forEach(function(subValue) {
            result2.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
          });
        } else if (isMap(value)) {
          value.forEach(function(subValue, key2) {
            result2.set(key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
          });
        }
        var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys2 : isFlat ? keysIn : keys2;
        var props = isArr ? undefined$1 : keysFunc(value);
        arrayEach2(props || value, function(subValue, key2) {
          if (props) {
            key2 = subValue;
            subValue = value[key2];
          }
          assignValue(result2, key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
        });
        return result2;
      }
      function baseConforms(source) {
        var props = keys2(source);
        return function(object) {
          return baseConformsTo(object, source, props);
        };
      }
      function baseConformsTo(object, source, props) {
        var length = props.length;
        if (object == null) {
          return !length;
        }
        object = Object2(object);
        while (length--) {
          var key = props[length], predicate = source[key], value = object[key];
          if (value === undefined$1 && !(key in object) || !predicate(value)) {
            return false;
          }
        }
        return true;
      }
      function baseDelay(func, wait, args) {
        if (typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        return setTimeout2(function() {
          func.apply(undefined$1, args);
        }, wait);
      }
      function baseDifference(array, values3, iteratee2, comparator) {
        var index = -1, includes3 = arrayIncludes, isCommon = true, length = array.length, result2 = [], valuesLength = values3.length;
        if (!length) {
          return result2;
        }
        if (iteratee2) {
          values3 = arrayMap2(values3, baseUnary2(iteratee2));
        }
        if (comparator) {
          includes3 = arrayIncludesWith;
          isCommon = false;
        } else if (values3.length >= LARGE_ARRAY_SIZE2) {
          includes3 = cacheHas2;
          isCommon = false;
          values3 = new SetCache2(values3);
        }
        outer:
          while (++index < length) {
            var value = array[index], computed2 = iteratee2 == null ? value : iteratee2(value);
            value = comparator || value !== 0 ? value : 0;
            if (isCommon && computed2 === computed2) {
              var valuesIndex = valuesLength;
              while (valuesIndex--) {
                if (values3[valuesIndex] === computed2) {
                  continue outer;
                }
              }
              result2.push(value);
            } else if (!includes3(values3, computed2, comparator)) {
              result2.push(value);
            }
          }
        return result2;
      }
      var baseEach2 = createBaseEach2(baseForOwn2);
      var baseEachRight = createBaseEach2(baseForOwnRight, true);
      function baseEvery(collection, predicate) {
        var result2 = true;
        baseEach2(collection, function(value, index, collection2) {
          result2 = !!predicate(value, index, collection2);
          return result2;
        });
        return result2;
      }
      function baseExtremum(array, iteratee2, comparator) {
        var index = -1, length = array.length;
        while (++index < length) {
          var value = array[index], current = iteratee2(value);
          if (current != null && (computed2 === undefined$1 ? current === current && !isSymbol2(current) : comparator(current, computed2))) {
            var computed2 = current, result2 = value;
          }
        }
        return result2;
      }
      function baseFill2(array, value, start, end) {
        var length = array.length;
        start = toInteger2(start);
        if (start < 0) {
          start = -start > length ? 0 : length + start;
        }
        end = end === undefined$1 || end > length ? length : toInteger2(end);
        if (end < 0) {
          end += length;
        }
        end = start > end ? 0 : toLength2(end);
        while (start < end) {
          array[start++] = value;
        }
        return array;
      }
      function baseFilter(collection, predicate) {
        var result2 = [];
        baseEach2(collection, function(value, index, collection2) {
          if (predicate(value, index, collection2)) {
            result2.push(value);
          }
        });
        return result2;
      }
      function baseFlatten(array, depth, predicate, isStrict, result2) {
        var index = -1, length = array.length;
        predicate || (predicate = isFlattenable);
        result2 || (result2 = []);
        while (++index < length) {
          var value = array[index];
          if (depth > 0 && predicate(value)) {
            if (depth > 1) {
              baseFlatten(value, depth - 1, predicate, isStrict, result2);
            } else {
              arrayPush2(result2, value);
            }
          } else if (!isStrict) {
            result2[result2.length] = value;
          }
        }
        return result2;
      }
      var baseFor2 = createBaseFor2();
      var baseForRight = createBaseFor2(true);
      function baseForOwn2(object, iteratee2) {
        return object && baseFor2(object, iteratee2, keys2);
      }
      function baseForOwnRight(object, iteratee2) {
        return object && baseForRight(object, iteratee2, keys2);
      }
      function baseFunctions(object, props) {
        return arrayFilter2(props, function(key) {
          return isFunction2(object[key]);
        });
      }
      function baseGet2(object, path) {
        path = castPath2(path, object);
        var index = 0, length = path.length;
        while (object != null && index < length) {
          object = object[toKey2(path[index++])];
        }
        return index && index == length ? object : undefined$1;
      }
      function baseGetAllKeys2(object, keysFunc, symbolsFunc) {
        var result2 = keysFunc(object);
        return isArray2(object) ? result2 : arrayPush2(result2, symbolsFunc(object));
      }
      function baseGetTag2(value) {
        if (value == null) {
          return value === undefined$1 ? undefinedTag2 : nullTag2;
        }
        return symToStringTag2 && symToStringTag2 in Object2(value) ? getRawTag2(value) : objectToString2(value);
      }
      function baseGt(value, other) {
        return value > other;
      }
      function baseHas(object, key) {
        return object != null && hasOwnProperty2.call(object, key);
      }
      function baseHasIn2(object, key) {
        return object != null && key in Object2(object);
      }
      function baseInRange(number, start, end) {
        return number >= nativeMin2(start, end) && number < nativeMax2(start, end);
      }
      function baseIntersection(arrays, iteratee2, comparator) {
        var includes3 = comparator ? arrayIncludesWith : arrayIncludes, length = arrays[0].length, othLength = arrays.length, othIndex = othLength, caches = Array2(othLength), maxLength = Infinity, result2 = [];
        while (othIndex--) {
          var array = arrays[othIndex];
          if (othIndex && iteratee2) {
            array = arrayMap2(array, baseUnary2(iteratee2));
          }
          maxLength = nativeMin2(array.length, maxLength);
          caches[othIndex] = !comparator && (iteratee2 || length >= 120 && array.length >= 120) ? new SetCache2(othIndex && array) : undefined$1;
        }
        array = arrays[0];
        var index = -1, seen = caches[0];
        outer:
          while (++index < length && result2.length < maxLength) {
            var value = array[index], computed2 = iteratee2 ? iteratee2(value) : value;
            value = comparator || value !== 0 ? value : 0;
            if (!(seen ? cacheHas2(seen, computed2) : includes3(result2, computed2, comparator))) {
              othIndex = othLength;
              while (--othIndex) {
                var cache = caches[othIndex];
                if (!(cache ? cacheHas2(cache, computed2) : includes3(arrays[othIndex], computed2, comparator))) {
                  continue outer;
                }
              }
              if (seen) {
                seen.push(computed2);
              }
              result2.push(value);
            }
          }
        return result2;
      }
      function baseInverter(object, setter, iteratee2, accumulator) {
        baseForOwn2(object, function(value, key, object2) {
          setter(accumulator, iteratee2(value), key, object2);
        });
        return accumulator;
      }
      function baseInvoke(object, path, args) {
        path = castPath2(path, object);
        object = parent(object, path);
        var func = object == null ? object : object[toKey2(last(path))];
        return func == null ? undefined$1 : apply(func, object, args);
      }
      function baseIsArguments2(value) {
        return isObjectLike2(value) && baseGetTag2(value) == argsTag2;
      }
      function baseIsArrayBuffer(value) {
        return isObjectLike2(value) && baseGetTag2(value) == arrayBufferTag2;
      }
      function baseIsDate(value) {
        return isObjectLike2(value) && baseGetTag2(value) == dateTag2;
      }
      function baseIsEqual2(value, other, bitmask, customizer, stack) {
        if (value === other) {
          return true;
        }
        if (value == null || other == null || !isObjectLike2(value) && !isObjectLike2(other)) {
          return value !== value && other !== other;
        }
        return baseIsEqualDeep2(value, other, bitmask, customizer, baseIsEqual2, stack);
      }
      function baseIsEqualDeep2(object, other, bitmask, customizer, equalFunc, stack) {
        var objIsArr = isArray2(object), othIsArr = isArray2(other), objTag = objIsArr ? arrayTag2 : getTag2(object), othTag = othIsArr ? arrayTag2 : getTag2(other);
        objTag = objTag == argsTag2 ? objectTag2 : objTag;
        othTag = othTag == argsTag2 ? objectTag2 : othTag;
        var objIsObj = objTag == objectTag2, othIsObj = othTag == objectTag2, isSameTag = objTag == othTag;
        if (isSameTag && isBuffer(object)) {
          if (!isBuffer(other)) {
            return false;
          }
          objIsArr = true;
          objIsObj = false;
        }
        if (isSameTag && !objIsObj) {
          stack || (stack = new Stack2());
          return objIsArr || isTypedArray2(object) ? equalArrays2(object, other, bitmask, customizer, equalFunc, stack) : equalByTag2(object, other, objTag, bitmask, customizer, equalFunc, stack);
        }
        if (!(bitmask & COMPARE_PARTIAL_FLAG2)) {
          var objIsWrapped = objIsObj && hasOwnProperty2.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty2.call(other, "__wrapped__");
          if (objIsWrapped || othIsWrapped) {
            var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
            stack || (stack = new Stack2());
            return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
          }
        }
        if (!isSameTag) {
          return false;
        }
        stack || (stack = new Stack2());
        return equalObjects2(object, other, bitmask, customizer, equalFunc, stack);
      }
      function baseIsMap(value) {
        return isObjectLike2(value) && getTag2(value) == mapTag2;
      }
      function baseIsMatch2(object, source, matchData, customizer) {
        var index = matchData.length, length = index, noCustomizer = !customizer;
        if (object == null) {
          return !length;
        }
        object = Object2(object);
        while (index--) {
          var data = matchData[index];
          if (noCustomizer && data[2] ? data[1] !== object[data[0]] : !(data[0] in object)) {
            return false;
          }
        }
        while (++index < length) {
          data = matchData[index];
          var key = data[0], objValue = object[key], srcValue = data[1];
          if (noCustomizer && data[2]) {
            if (objValue === undefined$1 && !(key in object)) {
              return false;
            }
          } else {
            var stack = new Stack2();
            if (customizer) {
              var result2 = customizer(objValue, srcValue, key, object, source, stack);
            }
            if (!(result2 === undefined$1 ? baseIsEqual2(srcValue, objValue, COMPARE_PARTIAL_FLAG2 | COMPARE_UNORDERED_FLAG2, customizer, stack) : result2)) {
              return false;
            }
          }
        }
        return true;
      }
      function baseIsNative2(value) {
        if (!isObject2(value) || isMasked2(value)) {
          return false;
        }
        var pattern = isFunction2(value) ? reIsNative2 : reIsHostCtor2;
        return pattern.test(toSource2(value));
      }
      function baseIsRegExp(value) {
        return isObjectLike2(value) && baseGetTag2(value) == regexpTag2;
      }
      function baseIsSet(value) {
        return isObjectLike2(value) && getTag2(value) == setTag2;
      }
      function baseIsTypedArray2(value) {
        return isObjectLike2(value) && isLength2(value.length) && !!typedArrayTags2[baseGetTag2(value)];
      }
      function baseIteratee2(value) {
        if (typeof value == "function") {
          return value;
        }
        if (value == null) {
          return identity2;
        }
        if (typeof value == "object") {
          return isArray2(value) ? baseMatchesProperty2(value[0], value[1]) : baseMatches2(value);
        }
        return property2(value);
      }
      function baseKeys2(object) {
        if (!isPrototype2(object)) {
          return nativeKeys2(object);
        }
        var result2 = [];
        for (var key in Object2(object)) {
          if (hasOwnProperty2.call(object, key) && key != "constructor") {
            result2.push(key);
          }
        }
        return result2;
      }
      function baseKeysIn(object) {
        if (!isObject2(object)) {
          return nativeKeysIn(object);
        }
        var isProto = isPrototype2(object), result2 = [];
        for (var key in object) {
          if (!(key == "constructor" && (isProto || !hasOwnProperty2.call(object, key)))) {
            result2.push(key);
          }
        }
        return result2;
      }
      function baseLt(value, other) {
        return value < other;
      }
      function baseMap2(collection, iteratee2) {
        var index = -1, result2 = isArrayLike2(collection) ? Array2(collection.length) : [];
        baseEach2(collection, function(value, key, collection2) {
          result2[++index] = iteratee2(value, key, collection2);
        });
        return result2;
      }
      function baseMatches2(source) {
        var matchData = getMatchData2(source);
        if (matchData.length == 1 && matchData[0][2]) {
          return matchesStrictComparable2(matchData[0][0], matchData[0][1]);
        }
        return function(object) {
          return object === source || baseIsMatch2(object, source, matchData);
        };
      }
      function baseMatchesProperty2(path, srcValue) {
        if (isKey2(path) && isStrictComparable2(srcValue)) {
          return matchesStrictComparable2(toKey2(path), srcValue);
        }
        return function(object) {
          var objValue = get2(object, path);
          return objValue === undefined$1 && objValue === srcValue ? hasIn2(object, path) : baseIsEqual2(srcValue, objValue, COMPARE_PARTIAL_FLAG2 | COMPARE_UNORDERED_FLAG2);
        };
      }
      function baseMerge(object, source, srcIndex, customizer, stack) {
        if (object === source) {
          return;
        }
        baseFor2(source, function(srcValue, key) {
          stack || (stack = new Stack2());
          if (isObject2(srcValue)) {
            baseMergeDeep(object, source, key, srcIndex, baseMerge, customizer, stack);
          } else {
            var newValue = customizer ? customizer(safeGet(object, key), srcValue, key + "", object, source, stack) : undefined$1;
            if (newValue === undefined$1) {
              newValue = srcValue;
            }
            assignMergeValue(object, key, newValue);
          }
        }, keysIn);
      }
      function baseMergeDeep(object, source, key, srcIndex, mergeFunc, customizer, stack) {
        var objValue = safeGet(object, key), srcValue = safeGet(source, key), stacked = stack.get(srcValue);
        if (stacked) {
          assignMergeValue(object, key, stacked);
          return;
        }
        var newValue = customizer ? customizer(objValue, srcValue, key + "", object, source, stack) : undefined$1;
        var isCommon = newValue === undefined$1;
        if (isCommon) {
          var isArr = isArray2(srcValue), isBuff = !isArr && isBuffer(srcValue), isTyped = !isArr && !isBuff && isTypedArray2(srcValue);
          newValue = srcValue;
          if (isArr || isBuff || isTyped) {
            if (isArray2(objValue)) {
              newValue = objValue;
            } else if (isArrayLikeObject(objValue)) {
              newValue = copyArray(objValue);
            } else if (isBuff) {
              isCommon = false;
              newValue = cloneBuffer(srcValue, true);
            } else if (isTyped) {
              isCommon = false;
              newValue = cloneTypedArray(srcValue, true);
            } else {
              newValue = [];
            }
          } else if (isPlainObject(srcValue) || isArguments2(srcValue)) {
            newValue = objValue;
            if (isArguments2(objValue)) {
              newValue = toPlainObject(objValue);
            } else if (!isObject2(objValue) || isFunction2(objValue)) {
              newValue = initCloneObject(srcValue);
            }
          } else {
            isCommon = false;
          }
        }
        if (isCommon) {
          stack.set(srcValue, newValue);
          mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
          stack["delete"](srcValue);
        }
        assignMergeValue(object, key, newValue);
      }
      function baseNth(array, n) {
        var length = array.length;
        if (!length) {
          return;
        }
        n += n < 0 ? length : 0;
        return isIndex2(n, length) ? array[n] : undefined$1;
      }
      function baseOrderBy(collection, iteratees, orders) {
        if (iteratees.length) {
          iteratees = arrayMap2(iteratees, function(iteratee2) {
            if (isArray2(iteratee2)) {
              return function(value) {
                return baseGet2(value, iteratee2.length === 1 ? iteratee2[0] : iteratee2);
              };
            }
            return iteratee2;
          });
        } else {
          iteratees = [identity2];
        }
        var index = -1;
        iteratees = arrayMap2(iteratees, baseUnary2(getIteratee()));
        var result2 = baseMap2(collection, function(value, key, collection2) {
          var criteria = arrayMap2(iteratees, function(iteratee2) {
            return iteratee2(value);
          });
          return { "criteria": criteria, "index": ++index, "value": value };
        });
        return baseSortBy(result2, function(object, other) {
          return compareMultiple(object, other, orders);
        });
      }
      function basePick(object, paths) {
        return basePickBy(object, paths, function(value, path) {
          return hasIn2(object, path);
        });
      }
      function basePickBy(object, paths, predicate) {
        var index = -1, length = paths.length, result2 = {};
        while (++index < length) {
          var path = paths[index], value = baseGet2(object, path);
          if (predicate(value, path)) {
            baseSet(result2, castPath2(path, object), value);
          }
        }
        return result2;
      }
      function basePropertyDeep2(path) {
        return function(object) {
          return baseGet2(object, path);
        };
      }
      function basePullAll(array, values3, iteratee2, comparator) {
        var indexOf2 = comparator ? baseIndexOfWith : baseIndexOf2, index = -1, length = values3.length, seen = array;
        if (array === values3) {
          values3 = copyArray(values3);
        }
        if (iteratee2) {
          seen = arrayMap2(array, baseUnary2(iteratee2));
        }
        while (++index < length) {
          var fromIndex = 0, value = values3[index], computed2 = iteratee2 ? iteratee2(value) : value;
          while ((fromIndex = indexOf2(seen, computed2, fromIndex, comparator)) > -1) {
            if (seen !== array) {
              splice2.call(seen, fromIndex, 1);
            }
            splice2.call(array, fromIndex, 1);
          }
        }
        return array;
      }
      function basePullAt(array, indexes) {
        var length = array ? indexes.length : 0, lastIndex = length - 1;
        while (length--) {
          var index = indexes[length];
          if (length == lastIndex || index !== previous) {
            var previous = index;
            if (isIndex2(index)) {
              splice2.call(array, index, 1);
            } else {
              baseUnset(array, index);
            }
          }
        }
        return array;
      }
      function baseRandom(lower, upper) {
        return lower + nativeFloor2(nativeRandom() * (upper - lower + 1));
      }
      function baseRange2(start, end, step, fromRight) {
        var index = -1, length = nativeMax2(nativeCeil2((end - start) / (step || 1)), 0), result2 = Array2(length);
        while (length--) {
          result2[fromRight ? length : ++index] = start;
          start += step;
        }
        return result2;
      }
      function baseRepeat(string, n) {
        var result2 = "";
        if (!string || n < 1 || n > MAX_SAFE_INTEGER2) {
          return result2;
        }
        do {
          if (n % 2) {
            result2 += string;
          }
          n = nativeFloor2(n / 2);
          if (n) {
            string += string;
          }
        } while (n);
        return result2;
      }
      function baseRest(func, start) {
        return setToString(overRest(func, start, identity2), func + "");
      }
      function baseSample(collection) {
        return arraySample(values2(collection));
      }
      function baseSampleSize(collection, n) {
        var array = values2(collection);
        return shuffleSelf(array, baseClamp2(n, 0, array.length));
      }
      function baseSet(object, path, value, customizer) {
        if (!isObject2(object)) {
          return object;
        }
        path = castPath2(path, object);
        var index = -1, length = path.length, lastIndex = length - 1, nested = object;
        while (nested != null && ++index < length) {
          var key = toKey2(path[index]), newValue = value;
          if (key === "__proto__" || key === "constructor" || key === "prototype") {
            return object;
          }
          if (index != lastIndex) {
            var objValue = nested[key];
            newValue = customizer ? customizer(objValue, key, nested) : undefined$1;
            if (newValue === undefined$1) {
              newValue = isObject2(objValue) ? objValue : isIndex2(path[index + 1]) ? [] : {};
            }
          }
          assignValue(nested, key, newValue);
          nested = nested[key];
        }
        return object;
      }
      var baseSetData = !metaMap ? identity2 : function(func, data) {
        metaMap.set(func, data);
        return func;
      };
      var baseSetToString = !defineProperty2 ? identity2 : function(func, string) {
        return defineProperty2(func, "toString", {
          "configurable": true,
          "enumerable": false,
          "value": constant(string),
          "writable": true
        });
      };
      function baseShuffle(collection) {
        return shuffleSelf(values2(collection));
      }
      function baseSlice2(array, start, end) {
        var index = -1, length = array.length;
        if (start < 0) {
          start = -start > length ? 0 : length + start;
        }
        end = end > length ? length : end;
        if (end < 0) {
          end += length;
        }
        length = start > end ? 0 : end - start >>> 0;
        start >>>= 0;
        var result2 = Array2(length);
        while (++index < length) {
          result2[index] = array[index + start];
        }
        return result2;
      }
      function baseSome(collection, predicate) {
        var result2;
        baseEach2(collection, function(value, index, collection2) {
          result2 = predicate(value, index, collection2);
          return !result2;
        });
        return !!result2;
      }
      function baseSortedIndex2(array, value, retHighest) {
        var low = 0, high = array == null ? low : array.length;
        if (typeof value == "number" && value === value && high <= HALF_MAX_ARRAY_LENGTH2) {
          while (low < high) {
            var mid = low + high >>> 1, computed2 = array[mid];
            if (computed2 !== null && !isSymbol2(computed2) && (retHighest ? computed2 <= value : computed2 < value)) {
              low = mid + 1;
            } else {
              high = mid;
            }
          }
          return high;
        }
        return baseSortedIndexBy2(array, value, identity2, retHighest);
      }
      function baseSortedIndexBy2(array, value, iteratee2, retHighest) {
        var low = 0, high = array == null ? 0 : array.length;
        if (high === 0) {
          return 0;
        }
        value = iteratee2(value);
        var valIsNaN = value !== value, valIsNull = value === null, valIsSymbol = isSymbol2(value), valIsUndefined = value === undefined$1;
        while (low < high) {
          var mid = nativeFloor2((low + high) / 2), computed2 = iteratee2(array[mid]), othIsDefined = computed2 !== undefined$1, othIsNull = computed2 === null, othIsReflexive = computed2 === computed2, othIsSymbol = isSymbol2(computed2);
          if (valIsNaN) {
            var setLow = retHighest || othIsReflexive;
          } else if (valIsUndefined) {
            setLow = othIsReflexive && (retHighest || othIsDefined);
          } else if (valIsNull) {
            setLow = othIsReflexive && othIsDefined && (retHighest || !othIsNull);
          } else if (valIsSymbol) {
            setLow = othIsReflexive && othIsDefined && !othIsNull && (retHighest || !othIsSymbol);
          } else if (othIsNull || othIsSymbol) {
            setLow = false;
          } else {
            setLow = retHighest ? computed2 <= value : computed2 < value;
          }
          if (setLow) {
            low = mid + 1;
          } else {
            high = mid;
          }
        }
        return nativeMin2(high, MAX_ARRAY_INDEX2);
      }
      function baseSortedUniq(array, iteratee2) {
        var index = -1, length = array.length, resIndex = 0, result2 = [];
        while (++index < length) {
          var value = array[index], computed2 = iteratee2 ? iteratee2(value) : value;
          if (!index || !eq2(computed2, seen)) {
            var seen = computed2;
            result2[resIndex++] = value === 0 ? 0 : value;
          }
        }
        return result2;
      }
      function baseToNumber(value) {
        if (typeof value == "number") {
          return value;
        }
        if (isSymbol2(value)) {
          return NAN2;
        }
        return +value;
      }
      function baseToString2(value) {
        if (typeof value == "string") {
          return value;
        }
        if (isArray2(value)) {
          return arrayMap2(value, baseToString2) + "";
        }
        if (isSymbol2(value)) {
          return symbolToString2 ? symbolToString2.call(value) : "";
        }
        var result2 = value + "";
        return result2 == "0" && 1 / value == -INFINITY2 ? "-0" : result2;
      }
      function baseUniq(array, iteratee2, comparator) {
        var index = -1, includes3 = arrayIncludes, length = array.length, isCommon = true, result2 = [], seen = result2;
        if (comparator) {
          isCommon = false;
          includes3 = arrayIncludesWith;
        } else if (length >= LARGE_ARRAY_SIZE2) {
          var set3 = iteratee2 ? null : createSet(array);
          if (set3) {
            return setToArray2(set3);
          }
          isCommon = false;
          includes3 = cacheHas2;
          seen = new SetCache2();
        } else {
          seen = iteratee2 ? [] : result2;
        }
        outer:
          while (++index < length) {
            var value = array[index], computed2 = iteratee2 ? iteratee2(value) : value;
            value = comparator || value !== 0 ? value : 0;
            if (isCommon && computed2 === computed2) {
              var seenIndex = seen.length;
              while (seenIndex--) {
                if (seen[seenIndex] === computed2) {
                  continue outer;
                }
              }
              if (iteratee2) {
                seen.push(computed2);
              }
              result2.push(value);
            } else if (!includes3(seen, computed2, comparator)) {
              if (seen !== result2) {
                seen.push(computed2);
              }
              result2.push(value);
            }
          }
        return result2;
      }
      function baseUnset(object, path) {
        path = castPath2(path, object);
        object = parent(object, path);
        return object == null || delete object[toKey2(last(path))];
      }
      function baseUpdate(object, path, updater, customizer) {
        return baseSet(object, path, updater(baseGet2(object, path)), customizer);
      }
      function baseWhile(array, predicate, isDrop, fromRight) {
        var length = array.length, index = fromRight ? length : -1;
        while ((fromRight ? index-- : ++index < length) && predicate(array[index], index, array)) {
        }
        return isDrop ? baseSlice2(array, fromRight ? 0 : index, fromRight ? index + 1 : length) : baseSlice2(array, fromRight ? index + 1 : 0, fromRight ? length : index);
      }
      function baseWrapperValue(value, actions) {
        var result2 = value;
        if (result2 instanceof LazyWrapper) {
          result2 = result2.value();
        }
        return arrayReduce2(actions, function(result3, action) {
          return action.func.apply(action.thisArg, arrayPush2([result3], action.args));
        }, result2);
      }
      function baseXor(arrays, iteratee2, comparator) {
        var length = arrays.length;
        if (length < 2) {
          return length ? baseUniq(arrays[0]) : [];
        }
        var index = -1, result2 = Array2(length);
        while (++index < length) {
          var array = arrays[index], othIndex = -1;
          while (++othIndex < length) {
            if (othIndex != index) {
              result2[index] = baseDifference(result2[index] || array, arrays[othIndex], iteratee2, comparator);
            }
          }
        }
        return baseUniq(baseFlatten(result2, 1), iteratee2, comparator);
      }
      function baseZipObject(props, values3, assignFunc) {
        var index = -1, length = props.length, valsLength = values3.length, result2 = {};
        while (++index < length) {
          var value = index < valsLength ? values3[index] : undefined$1;
          assignFunc(result2, props[index], value);
        }
        return result2;
      }
      function castArrayLikeObject(value) {
        return isArrayLikeObject(value) ? value : [];
      }
      function castFunction2(value) {
        return typeof value == "function" ? value : identity2;
      }
      function castPath2(value, object) {
        if (isArray2(value)) {
          return value;
        }
        return isKey2(value, object) ? [value] : stringToPath2(toString2(value));
      }
      var castRest = baseRest;
      function castSlice(array, start, end) {
        var length = array.length;
        end = end === undefined$1 ? length : end;
        return !start && end >= length ? array : baseSlice2(array, start, end);
      }
      var clearTimeout2 = ctxClearTimeout || function(id) {
        return root2.clearTimeout(id);
      };
      function cloneBuffer(buffer, isDeep) {
        if (isDeep) {
          return buffer.slice();
        }
        var length = buffer.length, result2 = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
        buffer.copy(result2);
        return result2;
      }
      function cloneArrayBuffer(arrayBuffer) {
        var result2 = new arrayBuffer.constructor(arrayBuffer.byteLength);
        new Uint8Array2(result2).set(new Uint8Array2(arrayBuffer));
        return result2;
      }
      function cloneDataView(dataView, isDeep) {
        var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
        return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
      }
      function cloneRegExp(regexp) {
        var result2 = new regexp.constructor(regexp.source, reFlags.exec(regexp));
        result2.lastIndex = regexp.lastIndex;
        return result2;
      }
      function cloneSymbol(symbol) {
        return symbolValueOf2 ? Object2(symbolValueOf2.call(symbol)) : {};
      }
      function cloneTypedArray(typedArray, isDeep) {
        var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
        return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
      }
      function compareAscending(value, other) {
        if (value !== other) {
          var valIsDefined = value !== undefined$1, valIsNull = value === null, valIsReflexive = value === value, valIsSymbol = isSymbol2(value);
          var othIsDefined = other !== undefined$1, othIsNull = other === null, othIsReflexive = other === other, othIsSymbol = isSymbol2(other);
          if (!othIsNull && !othIsSymbol && !valIsSymbol && value > other || valIsSymbol && othIsDefined && othIsReflexive && !othIsNull && !othIsSymbol || valIsNull && othIsDefined && othIsReflexive || !valIsDefined && othIsReflexive || !valIsReflexive) {
            return 1;
          }
          if (!valIsNull && !valIsSymbol && !othIsSymbol && value < other || othIsSymbol && valIsDefined && valIsReflexive && !valIsNull && !valIsSymbol || othIsNull && valIsDefined && valIsReflexive || !othIsDefined && valIsReflexive || !othIsReflexive) {
            return -1;
          }
        }
        return 0;
      }
      function compareMultiple(object, other, orders) {
        var index = -1, objCriteria = object.criteria, othCriteria = other.criteria, length = objCriteria.length, ordersLength = orders.length;
        while (++index < length) {
          var result2 = compareAscending(objCriteria[index], othCriteria[index]);
          if (result2) {
            if (index >= ordersLength) {
              return result2;
            }
            var order = orders[index];
            return result2 * (order == "desc" ? -1 : 1);
          }
        }
        return object.index - other.index;
      }
      function composeArgs(args, partials, holders, isCurried) {
        var argsIndex = -1, argsLength = args.length, holdersLength = holders.length, leftIndex = -1, leftLength = partials.length, rangeLength = nativeMax2(argsLength - holdersLength, 0), result2 = Array2(leftLength + rangeLength), isUncurried = !isCurried;
        while (++leftIndex < leftLength) {
          result2[leftIndex] = partials[leftIndex];
        }
        while (++argsIndex < holdersLength) {
          if (isUncurried || argsIndex < argsLength) {
            result2[holders[argsIndex]] = args[argsIndex];
          }
        }
        while (rangeLength--) {
          result2[leftIndex++] = args[argsIndex++];
        }
        return result2;
      }
      function composeArgsRight(args, partials, holders, isCurried) {
        var argsIndex = -1, argsLength = args.length, holdersIndex = -1, holdersLength = holders.length, rightIndex = -1, rightLength = partials.length, rangeLength = nativeMax2(argsLength - holdersLength, 0), result2 = Array2(rangeLength + rightLength), isUncurried = !isCurried;
        while (++argsIndex < rangeLength) {
          result2[argsIndex] = args[argsIndex];
        }
        var offset = argsIndex;
        while (++rightIndex < rightLength) {
          result2[offset + rightIndex] = partials[rightIndex];
        }
        while (++holdersIndex < holdersLength) {
          if (isUncurried || argsIndex < argsLength) {
            result2[offset + holders[holdersIndex]] = args[argsIndex++];
          }
        }
        return result2;
      }
      function copyArray(source, array) {
        var index = -1, length = source.length;
        array || (array = Array2(length));
        while (++index < length) {
          array[index] = source[index];
        }
        return array;
      }
      function copyObject(source, props, object, customizer) {
        var isNew = !object;
        object || (object = {});
        var index = -1, length = props.length;
        while (++index < length) {
          var key = props[index];
          var newValue = customizer ? customizer(object[key], source[key], key, object, source) : undefined$1;
          if (newValue === undefined$1) {
            newValue = source[key];
          }
          if (isNew) {
            baseAssignValue2(object, key, newValue);
          } else {
            assignValue(object, key, newValue);
          }
        }
        return object;
      }
      function copySymbols(source, object) {
        return copyObject(source, getSymbols2(source), object);
      }
      function copySymbolsIn(source, object) {
        return copyObject(source, getSymbolsIn(source), object);
      }
      function createAggregator2(setter, initializer) {
        return function(collection, iteratee2) {
          var func = isArray2(collection) ? arrayAggregator2 : baseAggregator2, accumulator = initializer ? initializer() : {};
          return func(collection, setter, getIteratee(iteratee2, 2), accumulator);
        };
      }
      function createAssigner(assigner) {
        return baseRest(function(object, sources) {
          var index = -1, length = sources.length, customizer = length > 1 ? sources[length - 1] : undefined$1, guard = length > 2 ? sources[2] : undefined$1;
          customizer = assigner.length > 3 && typeof customizer == "function" ? (length--, customizer) : undefined$1;
          if (guard && isIterateeCall2(sources[0], sources[1], guard)) {
            customizer = length < 3 ? undefined$1 : customizer;
            length = 1;
          }
          object = Object2(object);
          while (++index < length) {
            var source = sources[index];
            if (source) {
              assigner(object, source, index, customizer);
            }
          }
          return object;
        });
      }
      function createBaseEach2(eachFunc, fromRight) {
        return function(collection, iteratee2) {
          if (collection == null) {
            return collection;
          }
          if (!isArrayLike2(collection)) {
            return eachFunc(collection, iteratee2);
          }
          var length = collection.length, index = fromRight ? length : -1, iterable = Object2(collection);
          while (fromRight ? index-- : ++index < length) {
            if (iteratee2(iterable[index], index, iterable) === false) {
              break;
            }
          }
          return collection;
        };
      }
      function createBaseFor2(fromRight) {
        return function(object, iteratee2, keysFunc) {
          var index = -1, iterable = Object2(object), props = keysFunc(object), length = props.length;
          while (length--) {
            var key = props[fromRight ? length : ++index];
            if (iteratee2(iterable[key], key, iterable) === false) {
              break;
            }
          }
          return object;
        };
      }
      function createBind(func, bitmask, thisArg) {
        var isBind = bitmask & WRAP_BIND_FLAG, Ctor = createCtor(func);
        function wrapper() {
          var fn = this && this !== root2 && this instanceof wrapper ? Ctor : func;
          return fn.apply(isBind ? thisArg : this, arguments);
        }
        return wrapper;
      }
      function createCaseFirst(methodName) {
        return function(string) {
          string = toString2(string);
          var strSymbols = hasUnicode2(string) ? stringToArray(string) : undefined$1;
          var chr = strSymbols ? strSymbols[0] : string.charAt(0);
          var trailing = strSymbols ? castSlice(strSymbols, 1).join("") : string.slice(1);
          return chr[methodName]() + trailing;
        };
      }
      function createCompounder(callback) {
        return function(string) {
          return arrayReduce2(words(deburr(string).replace(reApos, "")), callback, "");
        };
      }
      function createCtor(Ctor) {
        return function() {
          var args = arguments;
          switch (args.length) {
            case 0:
              return new Ctor();
            case 1:
              return new Ctor(args[0]);
            case 2:
              return new Ctor(args[0], args[1]);
            case 3:
              return new Ctor(args[0], args[1], args[2]);
            case 4:
              return new Ctor(args[0], args[1], args[2], args[3]);
            case 5:
              return new Ctor(args[0], args[1], args[2], args[3], args[4]);
            case 6:
              return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5]);
            case 7:
              return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5], args[6]);
          }
          var thisBinding = baseCreate(Ctor.prototype), result2 = Ctor.apply(thisBinding, args);
          return isObject2(result2) ? result2 : thisBinding;
        };
      }
      function createCurry(func, bitmask, arity) {
        var Ctor = createCtor(func);
        function wrapper() {
          var length = arguments.length, args = Array2(length), index = length, placeholder = getHolder(wrapper);
          while (index--) {
            args[index] = arguments[index];
          }
          var holders = length < 3 && args[0] !== placeholder && args[length - 1] !== placeholder ? [] : replaceHolders(args, placeholder);
          length -= holders.length;
          if (length < arity) {
            return createRecurry(
              func,
              bitmask,
              createHybrid,
              wrapper.placeholder,
              undefined$1,
              args,
              holders,
              undefined$1,
              undefined$1,
              arity - length
            );
          }
          var fn = this && this !== root2 && this instanceof wrapper ? Ctor : func;
          return apply(fn, this, args);
        }
        return wrapper;
      }
      function createFind2(findIndexFunc) {
        return function(collection, predicate, fromIndex) {
          var iterable = Object2(collection);
          if (!isArrayLike2(collection)) {
            var iteratee2 = getIteratee(predicate, 3);
            collection = keys2(collection);
            predicate = function(key) {
              return iteratee2(iterable[key], key, iterable);
            };
          }
          var index = findIndexFunc(collection, predicate, fromIndex);
          return index > -1 ? iterable[iteratee2 ? collection[index] : index] : undefined$1;
        };
      }
      function createFlow(fromRight) {
        return flatRest(function(funcs) {
          var length = funcs.length, index = length, prereq = LodashWrapper.prototype.thru;
          if (fromRight) {
            funcs.reverse();
          }
          while (index--) {
            var func = funcs[index];
            if (typeof func != "function") {
              throw new TypeError2(FUNC_ERROR_TEXT2);
            }
            if (prereq && !wrapper && getFuncName(func) == "wrapper") {
              var wrapper = new LodashWrapper([], true);
            }
          }
          index = wrapper ? index : length;
          while (++index < length) {
            func = funcs[index];
            var funcName = getFuncName(func), data = funcName == "wrapper" ? getData(func) : undefined$1;
            if (data && isLaziable(data[0]) && data[1] == (WRAP_ARY_FLAG | WRAP_CURRY_FLAG | WRAP_PARTIAL_FLAG | WRAP_REARG_FLAG) && !data[4].length && data[9] == 1) {
              wrapper = wrapper[getFuncName(data[0])].apply(wrapper, data[3]);
            } else {
              wrapper = func.length == 1 && isLaziable(func) ? wrapper[funcName]() : wrapper.thru(func);
            }
          }
          return function() {
            var args = arguments, value = args[0];
            if (wrapper && args.length == 1 && isArray2(value)) {
              return wrapper.plant(value).value();
            }
            var index2 = 0, result2 = length ? funcs[index2].apply(this, args) : value;
            while (++index2 < length) {
              result2 = funcs[index2].call(this, result2);
            }
            return result2;
          };
        });
      }
      function createHybrid(func, bitmask, thisArg, partials, holders, partialsRight, holdersRight, argPos, ary2, arity) {
        var isAry = bitmask & WRAP_ARY_FLAG, isBind = bitmask & WRAP_BIND_FLAG, isBindKey = bitmask & WRAP_BIND_KEY_FLAG, isCurried = bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG), isFlip = bitmask & WRAP_FLIP_FLAG, Ctor = isBindKey ? undefined$1 : createCtor(func);
        function wrapper() {
          var length = arguments.length, args = Array2(length), index = length;
          while (index--) {
            args[index] = arguments[index];
          }
          if (isCurried) {
            var placeholder = getHolder(wrapper), holdersCount = countHolders(args, placeholder);
          }
          if (partials) {
            args = composeArgs(args, partials, holders, isCurried);
          }
          if (partialsRight) {
            args = composeArgsRight(args, partialsRight, holdersRight, isCurried);
          }
          length -= holdersCount;
          if (isCurried && length < arity) {
            var newHolders = replaceHolders(args, placeholder);
            return createRecurry(
              func,
              bitmask,
              createHybrid,
              wrapper.placeholder,
              thisArg,
              args,
              newHolders,
              argPos,
              ary2,
              arity - length
            );
          }
          var thisBinding = isBind ? thisArg : this, fn = isBindKey ? thisBinding[func] : func;
          length = args.length;
          if (argPos) {
            args = reorder(args, argPos);
          } else if (isFlip && length > 1) {
            args.reverse();
          }
          if (isAry && ary2 < length) {
            args.length = ary2;
          }
          if (this && this !== root2 && this instanceof wrapper) {
            fn = Ctor || createCtor(fn);
          }
          return fn.apply(thisBinding, args);
        }
        return wrapper;
      }
      function createInverter(setter, toIteratee) {
        return function(object, iteratee2) {
          return baseInverter(object, setter, toIteratee(iteratee2), {});
        };
      }
      function createMathOperation(operator, defaultValue) {
        return function(value, other) {
          var result2;
          if (value === undefined$1 && other === undefined$1) {
            return defaultValue;
          }
          if (value !== undefined$1) {
            result2 = value;
          }
          if (other !== undefined$1) {
            if (result2 === undefined$1) {
              return other;
            }
            if (typeof value == "string" || typeof other == "string") {
              value = baseToString2(value);
              other = baseToString2(other);
            } else {
              value = baseToNumber(value);
              other = baseToNumber(other);
            }
            result2 = operator(value, other);
          }
          return result2;
        };
      }
      function createOver(arrayFunc) {
        return flatRest(function(iteratees) {
          iteratees = arrayMap2(iteratees, baseUnary2(getIteratee()));
          return baseRest(function(args) {
            var thisArg = this;
            return arrayFunc(iteratees, function(iteratee2) {
              return apply(iteratee2, thisArg, args);
            });
          });
        });
      }
      function createPadding(length, chars) {
        chars = chars === undefined$1 ? " " : baseToString2(chars);
        var charsLength = chars.length;
        if (charsLength < 2) {
          return charsLength ? baseRepeat(chars, length) : chars;
        }
        var result2 = baseRepeat(chars, nativeCeil2(length / stringSize2(chars)));
        return hasUnicode2(chars) ? castSlice(stringToArray(result2), 0, length).join("") : result2.slice(0, length);
      }
      function createPartial(func, bitmask, thisArg, partials) {
        var isBind = bitmask & WRAP_BIND_FLAG, Ctor = createCtor(func);
        function wrapper() {
          var argsIndex = -1, argsLength = arguments.length, leftIndex = -1, leftLength = partials.length, args = Array2(leftLength + argsLength), fn = this && this !== root2 && this instanceof wrapper ? Ctor : func;
          while (++leftIndex < leftLength) {
            args[leftIndex] = partials[leftIndex];
          }
          while (argsLength--) {
            args[leftIndex++] = arguments[++argsIndex];
          }
          return apply(fn, isBind ? thisArg : this, args);
        }
        return wrapper;
      }
      function createRange2(fromRight) {
        return function(start, end, step) {
          if (step && typeof step != "number" && isIterateeCall2(start, end, step)) {
            end = step = undefined$1;
          }
          start = toFinite2(start);
          if (end === undefined$1) {
            end = start;
            start = 0;
          } else {
            end = toFinite2(end);
          }
          step = step === undefined$1 ? start < end ? 1 : -1 : toFinite2(step);
          return baseRange2(start, end, step, fromRight);
        };
      }
      function createRelationalOperation(operator) {
        return function(value, other) {
          if (!(typeof value == "string" && typeof other == "string")) {
            value = toNumber2(value);
            other = toNumber2(other);
          }
          return operator(value, other);
        };
      }
      function createRecurry(func, bitmask, wrapFunc, placeholder, thisArg, partials, holders, argPos, ary2, arity) {
        var isCurry = bitmask & WRAP_CURRY_FLAG, newHolders = isCurry ? holders : undefined$1, newHoldersRight = isCurry ? undefined$1 : holders, newPartials = isCurry ? partials : undefined$1, newPartialsRight = isCurry ? undefined$1 : partials;
        bitmask |= isCurry ? WRAP_PARTIAL_FLAG : WRAP_PARTIAL_RIGHT_FLAG;
        bitmask &= ~(isCurry ? WRAP_PARTIAL_RIGHT_FLAG : WRAP_PARTIAL_FLAG);
        if (!(bitmask & WRAP_CURRY_BOUND_FLAG)) {
          bitmask &= ~(WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG);
        }
        var newData = [
          func,
          bitmask,
          thisArg,
          newPartials,
          newHolders,
          newPartialsRight,
          newHoldersRight,
          argPos,
          ary2,
          arity
        ];
        var result2 = wrapFunc.apply(undefined$1, newData);
        if (isLaziable(func)) {
          setData(result2, newData);
        }
        result2.placeholder = placeholder;
        return setWrapToString(result2, func, bitmask);
      }
      function createRound(methodName) {
        var func = Math2[methodName];
        return function(number, precision) {
          number = toNumber2(number);
          precision = precision == null ? 0 : nativeMin2(toInteger2(precision), 292);
          if (precision && nativeIsFinite(number)) {
            var pair = (toString2(number) + "e").split("e"), value = func(pair[0] + "e" + (+pair[1] + precision));
            pair = (toString2(value) + "e").split("e");
            return +(pair[0] + "e" + (+pair[1] - precision));
          }
          return func(number);
        };
      }
      var createSet = !(Set2 && 1 / setToArray2(new Set2([, -0]))[1] == INFINITY2) ? noop : function(values3) {
        return new Set2(values3);
      };
      function createToPairs(keysFunc) {
        return function(object) {
          var tag = getTag2(object);
          if (tag == mapTag2) {
            return mapToArray2(object);
          }
          if (tag == setTag2) {
            return setToPairs(object);
          }
          return baseToPairs(object, keysFunc(object));
        };
      }
      function createWrap(func, bitmask, thisArg, partials, holders, argPos, ary2, arity) {
        var isBindKey = bitmask & WRAP_BIND_KEY_FLAG;
        if (!isBindKey && typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        var length = partials ? partials.length : 0;
        if (!length) {
          bitmask &= ~(WRAP_PARTIAL_FLAG | WRAP_PARTIAL_RIGHT_FLAG);
          partials = holders = undefined$1;
        }
        ary2 = ary2 === undefined$1 ? ary2 : nativeMax2(toInteger2(ary2), 0);
        arity = arity === undefined$1 ? arity : toInteger2(arity);
        length -= holders ? holders.length : 0;
        if (bitmask & WRAP_PARTIAL_RIGHT_FLAG) {
          var partialsRight = partials, holdersRight = holders;
          partials = holders = undefined$1;
        }
        var data = isBindKey ? undefined$1 : getData(func);
        var newData = [
          func,
          bitmask,
          thisArg,
          partials,
          holders,
          partialsRight,
          holdersRight,
          argPos,
          ary2,
          arity
        ];
        if (data) {
          mergeData(newData, data);
        }
        func = newData[0];
        bitmask = newData[1];
        thisArg = newData[2];
        partials = newData[3];
        holders = newData[4];
        arity = newData[9] = newData[9] === undefined$1 ? isBindKey ? 0 : func.length : nativeMax2(newData[9] - length, 0);
        if (!arity && bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG)) {
          bitmask &= ~(WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG);
        }
        if (!bitmask || bitmask == WRAP_BIND_FLAG) {
          var result2 = createBind(func, bitmask, thisArg);
        } else if (bitmask == WRAP_CURRY_FLAG || bitmask == WRAP_CURRY_RIGHT_FLAG) {
          result2 = createCurry(func, bitmask, arity);
        } else if ((bitmask == WRAP_PARTIAL_FLAG || bitmask == (WRAP_BIND_FLAG | WRAP_PARTIAL_FLAG)) && !holders.length) {
          result2 = createPartial(func, bitmask, thisArg, partials);
        } else {
          result2 = createHybrid.apply(undefined$1, newData);
        }
        var setter = data ? baseSetData : setData;
        return setWrapToString(setter(result2, newData), func, bitmask);
      }
      function customDefaultsAssignIn(objValue, srcValue, key, object) {
        if (objValue === undefined$1 || eq2(objValue, objectProto2[key]) && !hasOwnProperty2.call(object, key)) {
          return srcValue;
        }
        return objValue;
      }
      function customDefaultsMerge(objValue, srcValue, key, object, source, stack) {
        if (isObject2(objValue) && isObject2(srcValue)) {
          stack.set(srcValue, objValue);
          baseMerge(objValue, srcValue, undefined$1, customDefaultsMerge, stack);
          stack["delete"](srcValue);
        }
        return objValue;
      }
      function customOmitClone(value) {
        return isPlainObject(value) ? undefined$1 : value;
      }
      function equalArrays2(array, other, bitmask, customizer, equalFunc, stack) {
        var isPartial = bitmask & COMPARE_PARTIAL_FLAG2, arrLength = array.length, othLength = other.length;
        if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
          return false;
        }
        var arrStacked = stack.get(array);
        var othStacked = stack.get(other);
        if (arrStacked && othStacked) {
          return arrStacked == other && othStacked == array;
        }
        var index = -1, result2 = true, seen = bitmask & COMPARE_UNORDERED_FLAG2 ? new SetCache2() : undefined$1;
        stack.set(array, other);
        stack.set(other, array);
        while (++index < arrLength) {
          var arrValue = array[index], othValue = other[index];
          if (customizer) {
            var compared = isPartial ? customizer(othValue, arrValue, index, other, array, stack) : customizer(arrValue, othValue, index, array, other, stack);
          }
          if (compared !== undefined$1) {
            if (compared) {
              continue;
            }
            result2 = false;
            break;
          }
          if (seen) {
            if (!arraySome2(other, function(othValue2, othIndex) {
              if (!cacheHas2(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
                return seen.push(othIndex);
              }
            })) {
              result2 = false;
              break;
            }
          } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
            result2 = false;
            break;
          }
        }
        stack["delete"](array);
        stack["delete"](other);
        return result2;
      }
      function equalByTag2(object, other, tag, bitmask, customizer, equalFunc, stack) {
        switch (tag) {
          case dataViewTag2:
            if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
              return false;
            }
            object = object.buffer;
            other = other.buffer;
          case arrayBufferTag2:
            if (object.byteLength != other.byteLength || !equalFunc(new Uint8Array2(object), new Uint8Array2(other))) {
              return false;
            }
            return true;
          case boolTag2:
          case dateTag2:
          case numberTag2:
            return eq2(+object, +other);
          case errorTag2:
            return object.name == other.name && object.message == other.message;
          case regexpTag2:
          case stringTag2:
            return object == other + "";
          case mapTag2:
            var convert = mapToArray2;
          case setTag2:
            var isPartial = bitmask & COMPARE_PARTIAL_FLAG2;
            convert || (convert = setToArray2);
            if (object.size != other.size && !isPartial) {
              return false;
            }
            var stacked = stack.get(object);
            if (stacked) {
              return stacked == other;
            }
            bitmask |= COMPARE_UNORDERED_FLAG2;
            stack.set(object, other);
            var result2 = equalArrays2(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
            stack["delete"](object);
            return result2;
          case symbolTag2:
            if (symbolValueOf2) {
              return symbolValueOf2.call(object) == symbolValueOf2.call(other);
            }
        }
        return false;
      }
      function equalObjects2(object, other, bitmask, customizer, equalFunc, stack) {
        var isPartial = bitmask & COMPARE_PARTIAL_FLAG2, objProps = getAllKeys2(object), objLength = objProps.length, othProps = getAllKeys2(other), othLength = othProps.length;
        if (objLength != othLength && !isPartial) {
          return false;
        }
        var index = objLength;
        while (index--) {
          var key = objProps[index];
          if (!(isPartial ? key in other : hasOwnProperty2.call(other, key))) {
            return false;
          }
        }
        var objStacked = stack.get(object);
        var othStacked = stack.get(other);
        if (objStacked && othStacked) {
          return objStacked == other && othStacked == object;
        }
        var result2 = true;
        stack.set(object, other);
        stack.set(other, object);
        var skipCtor = isPartial;
        while (++index < objLength) {
          key = objProps[index];
          var objValue = object[key], othValue = other[key];
          if (customizer) {
            var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
          }
          if (!(compared === undefined$1 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
            result2 = false;
            break;
          }
          skipCtor || (skipCtor = key == "constructor");
        }
        if (result2 && !skipCtor) {
          var objCtor = object.constructor, othCtor = other.constructor;
          if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
            result2 = false;
          }
        }
        stack["delete"](object);
        stack["delete"](other);
        return result2;
      }
      function flatRest(func) {
        return setToString(overRest(func, undefined$1, flatten), func + "");
      }
      function getAllKeys2(object) {
        return baseGetAllKeys2(object, keys2, getSymbols2);
      }
      function getAllKeysIn(object) {
        return baseGetAllKeys2(object, keysIn, getSymbolsIn);
      }
      var getData = !metaMap ? noop : function(func) {
        return metaMap.get(func);
      };
      function getFuncName(func) {
        var result2 = func.name + "", array = realNames[result2], length = hasOwnProperty2.call(realNames, result2) ? array.length : 0;
        while (length--) {
          var data = array[length], otherFunc = data.func;
          if (otherFunc == null || otherFunc == func) {
            return data.name;
          }
        }
        return result2;
      }
      function getHolder(func) {
        var object = hasOwnProperty2.call(lodash2, "placeholder") ? lodash2 : func;
        return object.placeholder;
      }
      function getIteratee() {
        var result2 = lodash2.iteratee || iteratee;
        result2 = result2 === iteratee ? baseIteratee2 : result2;
        return arguments.length ? result2(arguments[0], arguments[1]) : result2;
      }
      function getMapData2(map3, key) {
        var data = map3.__data__;
        return isKeyable2(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
      }
      function getMatchData2(object) {
        var result2 = keys2(object), length = result2.length;
        while (length--) {
          var key = result2[length], value = object[key];
          result2[length] = [key, value, isStrictComparable2(value)];
        }
        return result2;
      }
      function getNative2(object, key) {
        var value = getValue2(object, key);
        return baseIsNative2(value) ? value : undefined$1;
      }
      function getRawTag2(value) {
        var isOwn = hasOwnProperty2.call(value, symToStringTag2), tag = value[symToStringTag2];
        try {
          value[symToStringTag2] = undefined$1;
          var unmasked = true;
        } catch (e) {
        }
        var result2 = nativeObjectToString2.call(value);
        if (unmasked) {
          if (isOwn) {
            value[symToStringTag2] = tag;
          } else {
            delete value[symToStringTag2];
          }
        }
        return result2;
      }
      var getSymbols2 = !nativeGetSymbols2 ? stubArray2 : function(object) {
        if (object == null) {
          return [];
        }
        object = Object2(object);
        return arrayFilter2(nativeGetSymbols2(object), function(symbol) {
          return propertyIsEnumerable2.call(object, symbol);
        });
      };
      var getSymbolsIn = !nativeGetSymbols2 ? stubArray2 : function(object) {
        var result2 = [];
        while (object) {
          arrayPush2(result2, getSymbols2(object));
          object = getPrototype(object);
        }
        return result2;
      };
      var getTag2 = baseGetTag2;
      if (DataView2 && getTag2(new DataView2(new ArrayBuffer(1))) != dataViewTag2 || Map2 && getTag2(new Map2()) != mapTag2 || Promise2 && getTag2(Promise2.resolve()) != promiseTag2 || Set2 && getTag2(new Set2()) != setTag2 || WeakMap2 && getTag2(new WeakMap2()) != weakMapTag2) {
        getTag2 = function(value) {
          var result2 = baseGetTag2(value), Ctor = result2 == objectTag2 ? value.constructor : undefined$1, ctorString = Ctor ? toSource2(Ctor) : "";
          if (ctorString) {
            switch (ctorString) {
              case dataViewCtorString2:
                return dataViewTag2;
              case mapCtorString2:
                return mapTag2;
              case promiseCtorString2:
                return promiseTag2;
              case setCtorString2:
                return setTag2;
              case weakMapCtorString2:
                return weakMapTag2;
            }
          }
          return result2;
        };
      }
      function getView(start, end, transforms) {
        var index = -1, length = transforms.length;
        while (++index < length) {
          var data = transforms[index], size3 = data.size;
          switch (data.type) {
            case "drop":
              start += size3;
              break;
            case "dropRight":
              end -= size3;
              break;
            case "take":
              end = nativeMin2(end, start + size3);
              break;
            case "takeRight":
              start = nativeMax2(start, end - size3);
              break;
          }
        }
        return { "start": start, "end": end };
      }
      function getWrapDetails(source) {
        var match = source.match(reWrapDetails);
        return match ? match[1].split(reSplitDetails) : [];
      }
      function hasPath2(object, path, hasFunc) {
        path = castPath2(path, object);
        var index = -1, length = path.length, result2 = false;
        while (++index < length) {
          var key = toKey2(path[index]);
          if (!(result2 = object != null && hasFunc(object, key))) {
            break;
          }
          object = object[key];
        }
        if (result2 || ++index != length) {
          return result2;
        }
        length = object == null ? 0 : object.length;
        return !!length && isLength2(length) && isIndex2(key, length) && (isArray2(object) || isArguments2(object));
      }
      function initCloneArray(array) {
        var length = array.length, result2 = new array.constructor(length);
        if (length && typeof array[0] == "string" && hasOwnProperty2.call(array, "index")) {
          result2.index = array.index;
          result2.input = array.input;
        }
        return result2;
      }
      function initCloneObject(object) {
        return typeof object.constructor == "function" && !isPrototype2(object) ? baseCreate(getPrototype(object)) : {};
      }
      function initCloneByTag(object, tag, isDeep) {
        var Ctor = object.constructor;
        switch (tag) {
          case arrayBufferTag2:
            return cloneArrayBuffer(object);
          case boolTag2:
          case dateTag2:
            return new Ctor(+object);
          case dataViewTag2:
            return cloneDataView(object, isDeep);
          case float32Tag2:
          case float64Tag2:
          case int8Tag2:
          case int16Tag2:
          case int32Tag2:
          case uint8Tag2:
          case uint8ClampedTag2:
          case uint16Tag2:
          case uint32Tag2:
            return cloneTypedArray(object, isDeep);
          case mapTag2:
            return new Ctor();
          case numberTag2:
          case stringTag2:
            return new Ctor(object);
          case regexpTag2:
            return cloneRegExp(object);
          case setTag2:
            return new Ctor();
          case symbolTag2:
            return cloneSymbol(object);
        }
      }
      function insertWrapDetails(source, details) {
        var length = details.length;
        if (!length) {
          return source;
        }
        var lastIndex = length - 1;
        details[lastIndex] = (length > 1 ? "& " : "") + details[lastIndex];
        details = details.join(length > 2 ? ", " : " ");
        return source.replace(reWrapComment, "{\n/* [wrapped with " + details + "] */\n");
      }
      function isFlattenable(value) {
        return isArray2(value) || isArguments2(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
      }
      function isIndex2(value, length) {
        var type = typeof value;
        length = length == null ? MAX_SAFE_INTEGER2 : length;
        return !!length && (type == "number" || type != "symbol" && reIsUint2.test(value)) && (value > -1 && value % 1 == 0 && value < length);
      }
      function isIterateeCall2(value, index, object) {
        if (!isObject2(object)) {
          return false;
        }
        var type = typeof index;
        if (type == "number" ? isArrayLike2(object) && isIndex2(index, object.length) : type == "string" && index in object) {
          return eq2(object[index], value);
        }
        return false;
      }
      function isKey2(value, object) {
        if (isArray2(value)) {
          return false;
        }
        var type = typeof value;
        if (type == "number" || type == "symbol" || type == "boolean" || value == null || isSymbol2(value)) {
          return true;
        }
        return reIsPlainProp2.test(value) || !reIsDeepProp2.test(value) || object != null && value in Object2(object);
      }
      function isKeyable2(value) {
        var type = typeof value;
        return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
      }
      function isLaziable(func) {
        var funcName = getFuncName(func), other = lodash2[funcName];
        if (typeof other != "function" || !(funcName in LazyWrapper.prototype)) {
          return false;
        }
        if (func === other) {
          return true;
        }
        var data = getData(other);
        return !!data && func === data[0];
      }
      function isMasked2(func) {
        return !!maskSrcKey2 && maskSrcKey2 in func;
      }
      var isMaskable = coreJsData2 ? isFunction2 : stubFalse2;
      function isPrototype2(value) {
        var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto2;
        return value === proto;
      }
      function isStrictComparable2(value) {
        return value === value && !isObject2(value);
      }
      function matchesStrictComparable2(key, srcValue) {
        return function(object) {
          if (object == null) {
            return false;
          }
          return object[key] === srcValue && (srcValue !== undefined$1 || key in Object2(object));
        };
      }
      function memoizeCapped2(func) {
        var result2 = memoize2(func, function(key) {
          if (cache.size === MAX_MEMOIZE_SIZE2) {
            cache.clear();
          }
          return key;
        });
        var cache = result2.cache;
        return result2;
      }
      function mergeData(data, source) {
        var bitmask = data[1], srcBitmask = source[1], newBitmask = bitmask | srcBitmask, isCommon = newBitmask < (WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG | WRAP_ARY_FLAG);
        var isCombo = srcBitmask == WRAP_ARY_FLAG && bitmask == WRAP_CURRY_FLAG || srcBitmask == WRAP_ARY_FLAG && bitmask == WRAP_REARG_FLAG && data[7].length <= source[8] || srcBitmask == (WRAP_ARY_FLAG | WRAP_REARG_FLAG) && source[7].length <= source[8] && bitmask == WRAP_CURRY_FLAG;
        if (!(isCommon || isCombo)) {
          return data;
        }
        if (srcBitmask & WRAP_BIND_FLAG) {
          data[2] = source[2];
          newBitmask |= bitmask & WRAP_BIND_FLAG ? 0 : WRAP_CURRY_BOUND_FLAG;
        }
        var value = source[3];
        if (value) {
          var partials = data[3];
          data[3] = partials ? composeArgs(partials, value, source[4]) : value;
          data[4] = partials ? replaceHolders(data[3], PLACEHOLDER) : source[4];
        }
        value = source[5];
        if (value) {
          partials = data[5];
          data[5] = partials ? composeArgsRight(partials, value, source[6]) : value;
          data[6] = partials ? replaceHolders(data[5], PLACEHOLDER) : source[6];
        }
        value = source[7];
        if (value) {
          data[7] = value;
        }
        if (srcBitmask & WRAP_ARY_FLAG) {
          data[8] = data[8] == null ? source[8] : nativeMin2(data[8], source[8]);
        }
        if (data[9] == null) {
          data[9] = source[9];
        }
        data[0] = source[0];
        data[1] = newBitmask;
        return data;
      }
      function nativeKeysIn(object) {
        var result2 = [];
        if (object != null) {
          for (var key in Object2(object)) {
            result2.push(key);
          }
        }
        return result2;
      }
      function objectToString2(value) {
        return nativeObjectToString2.call(value);
      }
      function overRest(func, start, transform2) {
        start = nativeMax2(start === undefined$1 ? func.length - 1 : start, 0);
        return function() {
          var args = arguments, index = -1, length = nativeMax2(args.length - start, 0), array = Array2(length);
          while (++index < length) {
            array[index] = args[start + index];
          }
          index = -1;
          var otherArgs = Array2(start + 1);
          while (++index < start) {
            otherArgs[index] = args[index];
          }
          otherArgs[start] = transform2(array);
          return apply(func, this, otherArgs);
        };
      }
      function parent(object, path) {
        return path.length < 2 ? object : baseGet2(object, baseSlice2(path, 0, -1));
      }
      function reorder(array, indexes) {
        var arrLength = array.length, length = nativeMin2(indexes.length, arrLength), oldArray = copyArray(array);
        while (length--) {
          var index = indexes[length];
          array[length] = isIndex2(index, arrLength) ? oldArray[index] : undefined$1;
        }
        return array;
      }
      function safeGet(object, key) {
        if (key === "constructor" && typeof object[key] === "function") {
          return;
        }
        if (key == "__proto__") {
          return;
        }
        return object[key];
      }
      var setData = shortOut(baseSetData);
      var setTimeout2 = ctxSetTimeout || function(func, wait) {
        return root2.setTimeout(func, wait);
      };
      var setToString = shortOut(baseSetToString);
      function setWrapToString(wrapper, reference, bitmask) {
        var source = reference + "";
        return setToString(wrapper, insertWrapDetails(source, updateWrapDetails(getWrapDetails(source), bitmask)));
      }
      function shortOut(func) {
        var count = 0, lastCalled = 0;
        return function() {
          var stamp = nativeNow(), remaining = HOT_SPAN - (stamp - lastCalled);
          lastCalled = stamp;
          if (remaining > 0) {
            if (++count >= HOT_COUNT) {
              return arguments[0];
            }
          } else {
            count = 0;
          }
          return func.apply(undefined$1, arguments);
        };
      }
      function shuffleSelf(array, size3) {
        var index = -1, length = array.length, lastIndex = length - 1;
        size3 = size3 === undefined$1 ? length : size3;
        while (++index < size3) {
          var rand = baseRandom(index, lastIndex), value = array[rand];
          array[rand] = array[index];
          array[index] = value;
        }
        array.length = size3;
        return array;
      }
      var stringToPath2 = memoizeCapped2(function(string) {
        var result2 = [];
        if (string.charCodeAt(0) === 46) {
          result2.push("");
        }
        string.replace(rePropName2, function(match, number, quote, subString) {
          result2.push(quote ? subString.replace(reEscapeChar2, "$1") : number || match);
        });
        return result2;
      });
      function toKey2(value) {
        if (typeof value == "string" || isSymbol2(value)) {
          return value;
        }
        var result2 = value + "";
        return result2 == "0" && 1 / value == -INFINITY2 ? "-0" : result2;
      }
      function toSource2(func) {
        if (func != null) {
          try {
            return funcToString2.call(func);
          } catch (e) {
          }
          try {
            return func + "";
          } catch (e) {
          }
        }
        return "";
      }
      function updateWrapDetails(details, bitmask) {
        arrayEach2(wrapFlags, function(pair) {
          var value = "_." + pair[0];
          if (bitmask & pair[1] && !arrayIncludes(details, value)) {
            details.push(value);
          }
        });
        return details.sort();
      }
      function wrapperClone(wrapper) {
        if (wrapper instanceof LazyWrapper) {
          return wrapper.clone();
        }
        var result2 = new LodashWrapper(wrapper.__wrapped__, wrapper.__chain__);
        result2.__actions__ = copyArray(wrapper.__actions__);
        result2.__index__ = wrapper.__index__;
        result2.__values__ = wrapper.__values__;
        return result2;
      }
      function chunk(array, size3, guard) {
        if (guard ? isIterateeCall2(array, size3, guard) : size3 === undefined$1) {
          size3 = 1;
        } else {
          size3 = nativeMax2(toInteger2(size3), 0);
        }
        var length = array == null ? 0 : array.length;
        if (!length || size3 < 1) {
          return [];
        }
        var index = 0, resIndex = 0, result2 = Array2(nativeCeil2(length / size3));
        while (index < length) {
          result2[resIndex++] = baseSlice2(array, index, index += size3);
        }
        return result2;
      }
      function compact(array) {
        var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result2 = [];
        while (++index < length) {
          var value = array[index];
          if (value) {
            result2[resIndex++] = value;
          }
        }
        return result2;
      }
      function concat() {
        var length = arguments.length;
        if (!length) {
          return [];
        }
        var args = Array2(length - 1), array = arguments[0], index = length;
        while (index--) {
          args[index - 1] = arguments[index];
        }
        return arrayPush2(isArray2(array) ? copyArray(array) : [array], baseFlatten(args, 1));
      }
      var difference = baseRest(function(array, values3) {
        return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values3, 1, isArrayLikeObject, true)) : [];
      });
      var differenceBy = baseRest(function(array, values3) {
        var iteratee2 = last(values3);
        if (isArrayLikeObject(iteratee2)) {
          iteratee2 = undefined$1;
        }
        return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values3, 1, isArrayLikeObject, true), getIteratee(iteratee2, 2)) : [];
      });
      var differenceWith = baseRest(function(array, values3) {
        var comparator = last(values3);
        if (isArrayLikeObject(comparator)) {
          comparator = undefined$1;
        }
        return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values3, 1, isArrayLikeObject, true), undefined$1, comparator) : [];
      });
      function drop(array, n, guard) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return [];
        }
        n = guard || n === undefined$1 ? 1 : toInteger2(n);
        return baseSlice2(array, n < 0 ? 0 : n, length);
      }
      function dropRight(array, n, guard) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return [];
        }
        n = guard || n === undefined$1 ? 1 : toInteger2(n);
        n = length - n;
        return baseSlice2(array, 0, n < 0 ? 0 : n);
      }
      function dropRightWhile(array, predicate) {
        return array && array.length ? baseWhile(array, getIteratee(predicate, 3), true, true) : [];
      }
      function dropWhile(array, predicate) {
        return array && array.length ? baseWhile(array, getIteratee(predicate, 3), true) : [];
      }
      function fill2(array, value, start, end) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return [];
        }
        if (start && typeof start != "number" && isIterateeCall2(array, value, start)) {
          start = 0;
          end = length;
        }
        return baseFill2(array, value, start, end);
      }
      function findIndex2(array, predicate, fromIndex) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return -1;
        }
        var index = fromIndex == null ? 0 : toInteger2(fromIndex);
        if (index < 0) {
          index = nativeMax2(length + index, 0);
        }
        return baseFindIndex2(array, getIteratee(predicate, 3), index);
      }
      function findLastIndex(array, predicate, fromIndex) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return -1;
        }
        var index = length - 1;
        if (fromIndex !== undefined$1) {
          index = toInteger2(fromIndex);
          index = fromIndex < 0 ? nativeMax2(length + index, 0) : nativeMin2(index, length - 1);
        }
        return baseFindIndex2(array, getIteratee(predicate, 3), index, true);
      }
      function flatten(array) {
        var length = array == null ? 0 : array.length;
        return length ? baseFlatten(array, 1) : [];
      }
      function flattenDeep(array) {
        var length = array == null ? 0 : array.length;
        return length ? baseFlatten(array, INFINITY2) : [];
      }
      function flattenDepth(array, depth) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return [];
        }
        depth = depth === undefined$1 ? 1 : toInteger2(depth);
        return baseFlatten(array, depth);
      }
      function fromPairs(pairs) {
        var index = -1, length = pairs == null ? 0 : pairs.length, result2 = {};
        while (++index < length) {
          var pair = pairs[index];
          result2[pair[0]] = pair[1];
        }
        return result2;
      }
      function head(array) {
        return array && array.length ? array[0] : undefined$1;
      }
      function indexOf(array, value, fromIndex) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return -1;
        }
        var index = fromIndex == null ? 0 : toInteger2(fromIndex);
        if (index < 0) {
          index = nativeMax2(length + index, 0);
        }
        return baseIndexOf2(array, value, index);
      }
      function initial(array) {
        var length = array == null ? 0 : array.length;
        return length ? baseSlice2(array, 0, -1) : [];
      }
      var intersection = baseRest(function(arrays) {
        var mapped = arrayMap2(arrays, castArrayLikeObject);
        return mapped.length && mapped[0] === arrays[0] ? baseIntersection(mapped) : [];
      });
      var intersectionBy = baseRest(function(arrays) {
        var iteratee2 = last(arrays), mapped = arrayMap2(arrays, castArrayLikeObject);
        if (iteratee2 === last(mapped)) {
          iteratee2 = undefined$1;
        } else {
          mapped.pop();
        }
        return mapped.length && mapped[0] === arrays[0] ? baseIntersection(mapped, getIteratee(iteratee2, 2)) : [];
      });
      var intersectionWith = baseRest(function(arrays) {
        var comparator = last(arrays), mapped = arrayMap2(arrays, castArrayLikeObject);
        comparator = typeof comparator == "function" ? comparator : undefined$1;
        if (comparator) {
          mapped.pop();
        }
        return mapped.length && mapped[0] === arrays[0] ? baseIntersection(mapped, undefined$1, comparator) : [];
      });
      function join(array, separator) {
        return array == null ? "" : nativeJoin.call(array, separator);
      }
      function last(array) {
        var length = array == null ? 0 : array.length;
        return length ? array[length - 1] : undefined$1;
      }
      function lastIndexOf(array, value, fromIndex) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return -1;
        }
        var index = length;
        if (fromIndex !== undefined$1) {
          index = toInteger2(fromIndex);
          index = index < 0 ? nativeMax2(length + index, 0) : nativeMin2(index, length - 1);
        }
        return value === value ? strictLastIndexOf(array, value, index) : baseFindIndex2(array, baseIsNaN2, index, true);
      }
      function nth(array, n) {
        return array && array.length ? baseNth(array, toInteger2(n)) : undefined$1;
      }
      var pull = baseRest(pullAll);
      function pullAll(array, values3) {
        return array && array.length && values3 && values3.length ? basePullAll(array, values3) : array;
      }
      function pullAllBy(array, values3, iteratee2) {
        return array && array.length && values3 && values3.length ? basePullAll(array, values3, getIteratee(iteratee2, 2)) : array;
      }
      function pullAllWith(array, values3, comparator) {
        return array && array.length && values3 && values3.length ? basePullAll(array, values3, undefined$1, comparator) : array;
      }
      var pullAt = flatRest(function(array, indexes) {
        var length = array == null ? 0 : array.length, result2 = baseAt(array, indexes);
        basePullAt(array, arrayMap2(indexes, function(index) {
          return isIndex2(index, length) ? +index : index;
        }).sort(compareAscending));
        return result2;
      });
      function remove(array, predicate) {
        var result2 = [];
        if (!(array && array.length)) {
          return result2;
        }
        var index = -1, indexes = [], length = array.length;
        predicate = getIteratee(predicate, 3);
        while (++index < length) {
          var value = array[index];
          if (predicate(value, index, array)) {
            result2.push(value);
            indexes.push(index);
          }
        }
        basePullAt(array, indexes);
        return result2;
      }
      function reverse(array) {
        return array == null ? array : nativeReverse.call(array);
      }
      function slice2(array, start, end) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return [];
        }
        if (end && typeof end != "number" && isIterateeCall2(array, start, end)) {
          start = 0;
          end = length;
        } else {
          start = start == null ? 0 : toInteger2(start);
          end = end === undefined$1 ? length : toInteger2(end);
        }
        return baseSlice2(array, start, end);
      }
      function sortedIndex2(array, value) {
        return baseSortedIndex2(array, value);
      }
      function sortedIndexBy(array, value, iteratee2) {
        return baseSortedIndexBy2(array, value, getIteratee(iteratee2, 2));
      }
      function sortedIndexOf(array, value) {
        var length = array == null ? 0 : array.length;
        if (length) {
          var index = baseSortedIndex2(array, value);
          if (index < length && eq2(array[index], value)) {
            return index;
          }
        }
        return -1;
      }
      function sortedLastIndex(array, value) {
        return baseSortedIndex2(array, value, true);
      }
      function sortedLastIndexBy(array, value, iteratee2) {
        return baseSortedIndexBy2(array, value, getIteratee(iteratee2, 2), true);
      }
      function sortedLastIndexOf(array, value) {
        var length = array == null ? 0 : array.length;
        if (length) {
          var index = baseSortedIndex2(array, value, true) - 1;
          if (eq2(array[index], value)) {
            return index;
          }
        }
        return -1;
      }
      function sortedUniq(array) {
        return array && array.length ? baseSortedUniq(array) : [];
      }
      function sortedUniqBy(array, iteratee2) {
        return array && array.length ? baseSortedUniq(array, getIteratee(iteratee2, 2)) : [];
      }
      function tail(array) {
        var length = array == null ? 0 : array.length;
        return length ? baseSlice2(array, 1, length) : [];
      }
      function take(array, n, guard) {
        if (!(array && array.length)) {
          return [];
        }
        n = guard || n === undefined$1 ? 1 : toInteger2(n);
        return baseSlice2(array, 0, n < 0 ? 0 : n);
      }
      function takeRight(array, n, guard) {
        var length = array == null ? 0 : array.length;
        if (!length) {
          return [];
        }
        n = guard || n === undefined$1 ? 1 : toInteger2(n);
        n = length - n;
        return baseSlice2(array, n < 0 ? 0 : n, length);
      }
      function takeRightWhile(array, predicate) {
        return array && array.length ? baseWhile(array, getIteratee(predicate, 3), false, true) : [];
      }
      function takeWhile(array, predicate) {
        return array && array.length ? baseWhile(array, getIteratee(predicate, 3)) : [];
      }
      var union = baseRest(function(arrays) {
        return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
      });
      var unionBy = baseRest(function(arrays) {
        var iteratee2 = last(arrays);
        if (isArrayLikeObject(iteratee2)) {
          iteratee2 = undefined$1;
        }
        return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), getIteratee(iteratee2, 2));
      });
      var unionWith = baseRest(function(arrays) {
        var comparator = last(arrays);
        comparator = typeof comparator == "function" ? comparator : undefined$1;
        return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), undefined$1, comparator);
      });
      function uniq(array) {
        return array && array.length ? baseUniq(array) : [];
      }
      function uniqBy(array, iteratee2) {
        return array && array.length ? baseUniq(array, getIteratee(iteratee2, 2)) : [];
      }
      function uniqWith(array, comparator) {
        comparator = typeof comparator == "function" ? comparator : undefined$1;
        return array && array.length ? baseUniq(array, undefined$1, comparator) : [];
      }
      function unzip(array) {
        if (!(array && array.length)) {
          return [];
        }
        var length = 0;
        array = arrayFilter2(array, function(group) {
          if (isArrayLikeObject(group)) {
            length = nativeMax2(group.length, length);
            return true;
          }
        });
        return baseTimes2(length, function(index) {
          return arrayMap2(array, baseProperty2(index));
        });
      }
      function unzipWith(array, iteratee2) {
        if (!(array && array.length)) {
          return [];
        }
        var result2 = unzip(array);
        if (iteratee2 == null) {
          return result2;
        }
        return arrayMap2(result2, function(group) {
          return apply(iteratee2, undefined$1, group);
        });
      }
      var without = baseRest(function(array, values3) {
        return isArrayLikeObject(array) ? baseDifference(array, values3) : [];
      });
      var xor = baseRest(function(arrays) {
        return baseXor(arrayFilter2(arrays, isArrayLikeObject));
      });
      var xorBy = baseRest(function(arrays) {
        var iteratee2 = last(arrays);
        if (isArrayLikeObject(iteratee2)) {
          iteratee2 = undefined$1;
        }
        return baseXor(arrayFilter2(arrays, isArrayLikeObject), getIteratee(iteratee2, 2));
      });
      var xorWith = baseRest(function(arrays) {
        var comparator = last(arrays);
        comparator = typeof comparator == "function" ? comparator : undefined$1;
        return baseXor(arrayFilter2(arrays, isArrayLikeObject), undefined$1, comparator);
      });
      var zip = baseRest(unzip);
      function zipObject(props, values3) {
        return baseZipObject(props || [], values3 || [], assignValue);
      }
      function zipObjectDeep(props, values3) {
        return baseZipObject(props || [], values3 || [], baseSet);
      }
      var zipWith = baseRest(function(arrays) {
        var length = arrays.length, iteratee2 = length > 1 ? arrays[length - 1] : undefined$1;
        iteratee2 = typeof iteratee2 == "function" ? (arrays.pop(), iteratee2) : undefined$1;
        return unzipWith(arrays, iteratee2);
      });
      function chain(value) {
        var result2 = lodash2(value);
        result2.__chain__ = true;
        return result2;
      }
      function tap(value, interceptor) {
        interceptor(value);
        return value;
      }
      function thru(value, interceptor) {
        return interceptor(value);
      }
      var wrapperAt = flatRest(function(paths) {
        var length = paths.length, start = length ? paths[0] : 0, value = this.__wrapped__, interceptor = function(object) {
          return baseAt(object, paths);
        };
        if (length > 1 || this.__actions__.length || !(value instanceof LazyWrapper) || !isIndex2(start)) {
          return this.thru(interceptor);
        }
        value = value.slice(start, +start + (length ? 1 : 0));
        value.__actions__.push({
          "func": thru,
          "args": [interceptor],
          "thisArg": undefined$1
        });
        return new LodashWrapper(value, this.__chain__).thru(function(array) {
          if (length && !array.length) {
            array.push(undefined$1);
          }
          return array;
        });
      });
      function wrapperChain() {
        return chain(this);
      }
      function wrapperCommit() {
        return new LodashWrapper(this.value(), this.__chain__);
      }
      function wrapperNext() {
        if (this.__values__ === undefined$1) {
          this.__values__ = toArray(this.value());
        }
        var done = this.__index__ >= this.__values__.length, value = done ? undefined$1 : this.__values__[this.__index__++];
        return { "done": done, "value": value };
      }
      function wrapperToIterator() {
        return this;
      }
      function wrapperPlant(value) {
        var result2, parent2 = this;
        while (parent2 instanceof baseLodash) {
          var clone2 = wrapperClone(parent2);
          clone2.__index__ = 0;
          clone2.__values__ = undefined$1;
          if (result2) {
            previous.__wrapped__ = clone2;
          } else {
            result2 = clone2;
          }
          var previous = clone2;
          parent2 = parent2.__wrapped__;
        }
        previous.__wrapped__ = value;
        return result2;
      }
      function wrapperReverse() {
        var value = this.__wrapped__;
        if (value instanceof LazyWrapper) {
          var wrapped = value;
          if (this.__actions__.length) {
            wrapped = new LazyWrapper(this);
          }
          wrapped = wrapped.reverse();
          wrapped.__actions__.push({
            "func": thru,
            "args": [reverse],
            "thisArg": undefined$1
          });
          return new LodashWrapper(wrapped, this.__chain__);
        }
        return this.thru(reverse);
      }
      function wrapperValue() {
        return baseWrapperValue(this.__wrapped__, this.__actions__);
      }
      var countBy = createAggregator2(function(result2, value, key) {
        if (hasOwnProperty2.call(result2, key)) {
          ++result2[key];
        } else {
          baseAssignValue2(result2, key, 1);
        }
      });
      function every(collection, predicate, guard) {
        var func = isArray2(collection) ? arrayEvery : baseEvery;
        if (guard && isIterateeCall2(collection, predicate, guard)) {
          predicate = undefined$1;
        }
        return func(collection, getIteratee(predicate, 3));
      }
      function filter(collection, predicate) {
        var func = isArray2(collection) ? arrayFilter2 : baseFilter;
        return func(collection, getIteratee(predicate, 3));
      }
      var find2 = createFind2(findIndex2);
      var findLast = createFind2(findLastIndex);
      function flatMap(collection, iteratee2) {
        return baseFlatten(map2(collection, iteratee2), 1);
      }
      function flatMapDeep(collection, iteratee2) {
        return baseFlatten(map2(collection, iteratee2), INFINITY2);
      }
      function flatMapDepth(collection, iteratee2, depth) {
        depth = depth === undefined$1 ? 1 : toInteger2(depth);
        return baseFlatten(map2(collection, iteratee2), depth);
      }
      function forEach2(collection, iteratee2) {
        var func = isArray2(collection) ? arrayEach2 : baseEach2;
        return func(collection, getIteratee(iteratee2, 3));
      }
      function forEachRight(collection, iteratee2) {
        var func = isArray2(collection) ? arrayEachRight : baseEachRight;
        return func(collection, getIteratee(iteratee2, 3));
      }
      var groupBy2 = createAggregator2(function(result2, value, key) {
        if (hasOwnProperty2.call(result2, key)) {
          result2[key].push(value);
        } else {
          baseAssignValue2(result2, key, [value]);
        }
      });
      function includes2(collection, value, fromIndex, guard) {
        collection = isArrayLike2(collection) ? collection : values2(collection);
        fromIndex = fromIndex && !guard ? toInteger2(fromIndex) : 0;
        var length = collection.length;
        if (fromIndex < 0) {
          fromIndex = nativeMax2(length + fromIndex, 0);
        }
        return isString2(collection) ? fromIndex <= length && collection.indexOf(value, fromIndex) > -1 : !!length && baseIndexOf2(collection, value, fromIndex) > -1;
      }
      var invokeMap = baseRest(function(collection, path, args) {
        var index = -1, isFunc = typeof path == "function", result2 = isArrayLike2(collection) ? Array2(collection.length) : [];
        baseEach2(collection, function(value) {
          result2[++index] = isFunc ? apply(path, value, args) : baseInvoke(value, path, args);
        });
        return result2;
      });
      var keyBy2 = createAggregator2(function(result2, value, key) {
        baseAssignValue2(result2, key, value);
      });
      function map2(collection, iteratee2) {
        var func = isArray2(collection) ? arrayMap2 : baseMap2;
        return func(collection, getIteratee(iteratee2, 3));
      }
      function orderBy(collection, iteratees, orders, guard) {
        if (collection == null) {
          return [];
        }
        if (!isArray2(iteratees)) {
          iteratees = iteratees == null ? [] : [iteratees];
        }
        orders = guard ? undefined$1 : orders;
        if (!isArray2(orders)) {
          orders = orders == null ? [] : [orders];
        }
        return baseOrderBy(collection, iteratees, orders);
      }
      var partition = createAggregator2(function(result2, value, key) {
        result2[key ? 0 : 1].push(value);
      }, function() {
        return [[], []];
      });
      function reduce2(collection, iteratee2, accumulator) {
        var func = isArray2(collection) ? arrayReduce2 : baseReduce2, initAccum = arguments.length < 3;
        return func(collection, getIteratee(iteratee2, 4), accumulator, initAccum, baseEach2);
      }
      function reduceRight(collection, iteratee2, accumulator) {
        var func = isArray2(collection) ? arrayReduceRight : baseReduce2, initAccum = arguments.length < 3;
        return func(collection, getIteratee(iteratee2, 4), accumulator, initAccum, baseEachRight);
      }
      function reject(collection, predicate) {
        var func = isArray2(collection) ? arrayFilter2 : baseFilter;
        return func(collection, negate(getIteratee(predicate, 3)));
      }
      function sample(collection) {
        var func = isArray2(collection) ? arraySample : baseSample;
        return func(collection);
      }
      function sampleSize(collection, n, guard) {
        if (guard ? isIterateeCall2(collection, n, guard) : n === undefined$1) {
          n = 1;
        } else {
          n = toInteger2(n);
        }
        var func = isArray2(collection) ? arraySampleSize : baseSampleSize;
        return func(collection, n);
      }
      function shuffle(collection) {
        var func = isArray2(collection) ? arrayShuffle : baseShuffle;
        return func(collection);
      }
      function size2(collection) {
        if (collection == null) {
          return 0;
        }
        if (isArrayLike2(collection)) {
          return isString2(collection) ? stringSize2(collection) : collection.length;
        }
        var tag = getTag2(collection);
        if (tag == mapTag2 || tag == setTag2) {
          return collection.size;
        }
        return baseKeys2(collection).length;
      }
      function some(collection, predicate, guard) {
        var func = isArray2(collection) ? arraySome2 : baseSome;
        if (guard && isIterateeCall2(collection, predicate, guard)) {
          predicate = undefined$1;
        }
        return func(collection, getIteratee(predicate, 3));
      }
      var sortBy = baseRest(function(collection, iteratees) {
        if (collection == null) {
          return [];
        }
        var length = iteratees.length;
        if (length > 1 && isIterateeCall2(collection, iteratees[0], iteratees[1])) {
          iteratees = [];
        } else if (length > 2 && isIterateeCall2(iteratees[0], iteratees[1], iteratees[2])) {
          iteratees = [iteratees[0]];
        }
        return baseOrderBy(collection, baseFlatten(iteratees, 1), []);
      });
      var now2 = ctxNow || function() {
        return root2.Date.now();
      };
      function after(n, func) {
        if (typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        n = toInteger2(n);
        return function() {
          if (--n < 1) {
            return func.apply(this, arguments);
          }
        };
      }
      function ary(func, n, guard) {
        n = guard ? undefined$1 : n;
        n = func && n == null ? func.length : n;
        return createWrap(func, WRAP_ARY_FLAG, undefined$1, undefined$1, undefined$1, undefined$1, n);
      }
      function before(n, func) {
        var result2;
        if (typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        n = toInteger2(n);
        return function() {
          if (--n > 0) {
            result2 = func.apply(this, arguments);
          }
          if (n <= 1) {
            func = undefined$1;
          }
          return result2;
        };
      }
      var bind = baseRest(function(func, thisArg, partials) {
        var bitmask = WRAP_BIND_FLAG;
        if (partials.length) {
          var holders = replaceHolders(partials, getHolder(bind));
          bitmask |= WRAP_PARTIAL_FLAG;
        }
        return createWrap(func, bitmask, thisArg, partials, holders);
      });
      var bindKey = baseRest(function(object, key, partials) {
        var bitmask = WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG;
        if (partials.length) {
          var holders = replaceHolders(partials, getHolder(bindKey));
          bitmask |= WRAP_PARTIAL_FLAG;
        }
        return createWrap(key, bitmask, object, partials, holders);
      });
      function curry(func, arity, guard) {
        arity = guard ? undefined$1 : arity;
        var result2 = createWrap(func, WRAP_CURRY_FLAG, undefined$1, undefined$1, undefined$1, undefined$1, undefined$1, arity);
        result2.placeholder = curry.placeholder;
        return result2;
      }
      function curryRight(func, arity, guard) {
        arity = guard ? undefined$1 : arity;
        var result2 = createWrap(func, WRAP_CURRY_RIGHT_FLAG, undefined$1, undefined$1, undefined$1, undefined$1, undefined$1, arity);
        result2.placeholder = curryRight.placeholder;
        return result2;
      }
      function debounce2(func, wait, options) {
        var lastArgs, lastThis, maxWait, result2, timerId, lastCallTime, lastInvokeTime = 0, leading = false, maxing = false, trailing = true;
        if (typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        wait = toNumber2(wait) || 0;
        if (isObject2(options)) {
          leading = !!options.leading;
          maxing = "maxWait" in options;
          maxWait = maxing ? nativeMax2(toNumber2(options.maxWait) || 0, wait) : maxWait;
          trailing = "trailing" in options ? !!options.trailing : trailing;
        }
        function invokeFunc(time) {
          var args = lastArgs, thisArg = lastThis;
          lastArgs = lastThis = undefined$1;
          lastInvokeTime = time;
          result2 = func.apply(thisArg, args);
          return result2;
        }
        function leadingEdge(time) {
          lastInvokeTime = time;
          timerId = setTimeout2(timerExpired, wait);
          return leading ? invokeFunc(time) : result2;
        }
        function remainingWait(time) {
          var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime, timeWaiting = wait - timeSinceLastCall;
          return maxing ? nativeMin2(timeWaiting, maxWait - timeSinceLastInvoke) : timeWaiting;
        }
        function shouldInvoke(time) {
          var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime;
          return lastCallTime === undefined$1 || timeSinceLastCall >= wait || timeSinceLastCall < 0 || maxing && timeSinceLastInvoke >= maxWait;
        }
        function timerExpired() {
          var time = now2();
          if (shouldInvoke(time)) {
            return trailingEdge(time);
          }
          timerId = setTimeout2(timerExpired, remainingWait(time));
        }
        function trailingEdge(time) {
          timerId = undefined$1;
          if (trailing && lastArgs) {
            return invokeFunc(time);
          }
          lastArgs = lastThis = undefined$1;
          return result2;
        }
        function cancel() {
          if (timerId !== undefined$1) {
            clearTimeout2(timerId);
          }
          lastInvokeTime = 0;
          lastArgs = lastCallTime = lastThis = timerId = undefined$1;
        }
        function flush2() {
          return timerId === undefined$1 ? result2 : trailingEdge(now2());
        }
        function debounced() {
          var time = now2(), isInvoking = shouldInvoke(time);
          lastArgs = arguments;
          lastThis = this;
          lastCallTime = time;
          if (isInvoking) {
            if (timerId === undefined$1) {
              return leadingEdge(lastCallTime);
            }
            if (maxing) {
              clearTimeout2(timerId);
              timerId = setTimeout2(timerExpired, wait);
              return invokeFunc(lastCallTime);
            }
          }
          if (timerId === undefined$1) {
            timerId = setTimeout2(timerExpired, wait);
          }
          return result2;
        }
        debounced.cancel = cancel;
        debounced.flush = flush2;
        return debounced;
      }
      var defer = baseRest(function(func, args) {
        return baseDelay(func, 1, args);
      });
      var delay = baseRest(function(func, wait, args) {
        return baseDelay(func, toNumber2(wait) || 0, args);
      });
      function flip(func) {
        return createWrap(func, WRAP_FLIP_FLAG);
      }
      function memoize2(func, resolver) {
        if (typeof func != "function" || resolver != null && typeof resolver != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        var memoized = function() {
          var args = arguments, key = resolver ? resolver.apply(this, args) : args[0], cache = memoized.cache;
          if (cache.has(key)) {
            return cache.get(key);
          }
          var result2 = func.apply(this, args);
          memoized.cache = cache.set(key, result2) || cache;
          return result2;
        };
        memoized.cache = new (memoize2.Cache || MapCache2)();
        return memoized;
      }
      memoize2.Cache = MapCache2;
      function negate(predicate) {
        if (typeof predicate != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        return function() {
          var args = arguments;
          switch (args.length) {
            case 0:
              return !predicate.call(this);
            case 1:
              return !predicate.call(this, args[0]);
            case 2:
              return !predicate.call(this, args[0], args[1]);
            case 3:
              return !predicate.call(this, args[0], args[1], args[2]);
          }
          return !predicate.apply(this, args);
        };
      }
      function once(func) {
        return before(2, func);
      }
      var overArgs = castRest(function(func, transforms) {
        transforms = transforms.length == 1 && isArray2(transforms[0]) ? arrayMap2(transforms[0], baseUnary2(getIteratee())) : arrayMap2(baseFlatten(transforms, 1), baseUnary2(getIteratee()));
        var funcsLength = transforms.length;
        return baseRest(function(args) {
          var index = -1, length = nativeMin2(args.length, funcsLength);
          while (++index < length) {
            args[index] = transforms[index].call(this, args[index]);
          }
          return apply(func, this, args);
        });
      });
      var partial = baseRest(function(func, partials) {
        var holders = replaceHolders(partials, getHolder(partial));
        return createWrap(func, WRAP_PARTIAL_FLAG, undefined$1, partials, holders);
      });
      var partialRight = baseRest(function(func, partials) {
        var holders = replaceHolders(partials, getHolder(partialRight));
        return createWrap(func, WRAP_PARTIAL_RIGHT_FLAG, undefined$1, partials, holders);
      });
      var rearg = flatRest(function(func, indexes) {
        return createWrap(func, WRAP_REARG_FLAG, undefined$1, undefined$1, undefined$1, indexes);
      });
      function rest(func, start) {
        if (typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        start = start === undefined$1 ? start : toInteger2(start);
        return baseRest(func, start);
      }
      function spread(func, start) {
        if (typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        start = start == null ? 0 : nativeMax2(toInteger2(start), 0);
        return baseRest(function(args) {
          var array = args[start], otherArgs = castSlice(args, 0, start);
          if (array) {
            arrayPush2(otherArgs, array);
          }
          return apply(func, this, otherArgs);
        });
      }
      function throttle2(func, wait, options) {
        var leading = true, trailing = true;
        if (typeof func != "function") {
          throw new TypeError2(FUNC_ERROR_TEXT2);
        }
        if (isObject2(options)) {
          leading = "leading" in options ? !!options.leading : leading;
          trailing = "trailing" in options ? !!options.trailing : trailing;
        }
        return debounce2(func, wait, {
          "leading": leading,
          "maxWait": wait,
          "trailing": trailing
        });
      }
      function unary(func) {
        return ary(func, 1);
      }
      function wrap(value, wrapper) {
        return partial(castFunction2(wrapper), value);
      }
      function castArray() {
        if (!arguments.length) {
          return [];
        }
        var value = arguments[0];
        return isArray2(value) ? value : [value];
      }
      function clone(value) {
        return baseClone(value, CLONE_SYMBOLS_FLAG);
      }
      function cloneWith(value, customizer) {
        customizer = typeof customizer == "function" ? customizer : undefined$1;
        return baseClone(value, CLONE_SYMBOLS_FLAG, customizer);
      }
      function cloneDeep(value) {
        return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
      }
      function cloneDeepWith(value, customizer) {
        customizer = typeof customizer == "function" ? customizer : undefined$1;
        return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG, customizer);
      }
      function conformsTo(object, source) {
        return source == null || baseConformsTo(object, source, keys2(source));
      }
      function eq2(value, other) {
        return value === other || value !== value && other !== other;
      }
      var gt = createRelationalOperation(baseGt);
      var gte = createRelationalOperation(function(value, other) {
        return value >= other;
      });
      var isArguments2 = baseIsArguments2(function() {
        return arguments;
      }()) ? baseIsArguments2 : function(value) {
        return isObjectLike2(value) && hasOwnProperty2.call(value, "callee") && !propertyIsEnumerable2.call(value, "callee");
      };
      var isArray2 = Array2.isArray;
      var isArrayBuffer = nodeIsArrayBuffer ? baseUnary2(nodeIsArrayBuffer) : baseIsArrayBuffer;
      function isArrayLike2(value) {
        return value != null && isLength2(value.length) && !isFunction2(value);
      }
      function isArrayLikeObject(value) {
        return isObjectLike2(value) && isArrayLike2(value);
      }
      function isBoolean(value) {
        return value === true || value === false || isObjectLike2(value) && baseGetTag2(value) == boolTag2;
      }
      var isBuffer = nativeIsBuffer || stubFalse2;
      var isDate = nodeIsDate ? baseUnary2(nodeIsDate) : baseIsDate;
      function isElement(value) {
        return isObjectLike2(value) && value.nodeType === 1 && !isPlainObject(value);
      }
      function isEmpty(value) {
        if (value == null) {
          return true;
        }
        if (isArrayLike2(value) && (isArray2(value) || typeof value == "string" || typeof value.splice == "function" || isBuffer(value) || isTypedArray2(value) || isArguments2(value))) {
          return !value.length;
        }
        var tag = getTag2(value);
        if (tag == mapTag2 || tag == setTag2) {
          return !value.size;
        }
        if (isPrototype2(value)) {
          return !baseKeys2(value).length;
        }
        for (var key in value) {
          if (hasOwnProperty2.call(value, key)) {
            return false;
          }
        }
        return true;
      }
      function isEqual(value, other) {
        return baseIsEqual2(value, other);
      }
      function isEqualWith(value, other, customizer) {
        customizer = typeof customizer == "function" ? customizer : undefined$1;
        var result2 = customizer ? customizer(value, other) : undefined$1;
        return result2 === undefined$1 ? baseIsEqual2(value, other, undefined$1, customizer) : !!result2;
      }
      function isError(value) {
        if (!isObjectLike2(value)) {
          return false;
        }
        var tag = baseGetTag2(value);
        return tag == errorTag2 || tag == domExcTag || typeof value.message == "string" && typeof value.name == "string" && !isPlainObject(value);
      }
      function isFinite(value) {
        return typeof value == "number" && nativeIsFinite(value);
      }
      function isFunction2(value) {
        if (!isObject2(value)) {
          return false;
        }
        var tag = baseGetTag2(value);
        return tag == funcTag2 || tag == genTag2 || tag == asyncTag2 || tag == proxyTag2;
      }
      function isInteger(value) {
        return typeof value == "number" && value == toInteger2(value);
      }
      function isLength2(value) {
        return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER2;
      }
      function isObject2(value) {
        var type = typeof value;
        return value != null && (type == "object" || type == "function");
      }
      function isObjectLike2(value) {
        return value != null && typeof value == "object";
      }
      var isMap = nodeIsMap ? baseUnary2(nodeIsMap) : baseIsMap;
      function isMatch(object, source) {
        return object === source || baseIsMatch2(object, source, getMatchData2(source));
      }
      function isMatchWith(object, source, customizer) {
        customizer = typeof customizer == "function" ? customizer : undefined$1;
        return baseIsMatch2(object, source, getMatchData2(source), customizer);
      }
      function isNaN2(value) {
        return isNumber(value) && value != +value;
      }
      function isNative(value) {
        if (isMaskable(value)) {
          throw new Error2(CORE_ERROR_TEXT);
        }
        return baseIsNative2(value);
      }
      function isNull(value) {
        return value === null;
      }
      function isNil(value) {
        return value == null;
      }
      function isNumber(value) {
        return typeof value == "number" || isObjectLike2(value) && baseGetTag2(value) == numberTag2;
      }
      function isPlainObject(value) {
        if (!isObjectLike2(value) || baseGetTag2(value) != objectTag2) {
          return false;
        }
        var proto = getPrototype(value);
        if (proto === null) {
          return true;
        }
        var Ctor = hasOwnProperty2.call(proto, "constructor") && proto.constructor;
        return typeof Ctor == "function" && Ctor instanceof Ctor && funcToString2.call(Ctor) == objectCtorString;
      }
      var isRegExp = nodeIsRegExp ? baseUnary2(nodeIsRegExp) : baseIsRegExp;
      function isSafeInteger(value) {
        return isInteger(value) && value >= -MAX_SAFE_INTEGER2 && value <= MAX_SAFE_INTEGER2;
      }
      var isSet = nodeIsSet ? baseUnary2(nodeIsSet) : baseIsSet;
      function isString2(value) {
        return typeof value == "string" || !isArray2(value) && isObjectLike2(value) && baseGetTag2(value) == stringTag2;
      }
      function isSymbol2(value) {
        return typeof value == "symbol" || isObjectLike2(value) && baseGetTag2(value) == symbolTag2;
      }
      var isTypedArray2 = nodeIsTypedArray2 ? baseUnary2(nodeIsTypedArray2) : baseIsTypedArray2;
      function isUndefined(value) {
        return value === undefined$1;
      }
      function isWeakMap(value) {
        return isObjectLike2(value) && getTag2(value) == weakMapTag2;
      }
      function isWeakSet(value) {
        return isObjectLike2(value) && baseGetTag2(value) == weakSetTag;
      }
      var lt2 = createRelationalOperation(baseLt);
      var lte = createRelationalOperation(function(value, other) {
        return value <= other;
      });
      function toArray(value) {
        if (!value) {
          return [];
        }
        if (isArrayLike2(value)) {
          return isString2(value) ? stringToArray(value) : copyArray(value);
        }
        if (symIterator && value[symIterator]) {
          return iteratorToArray(value[symIterator]());
        }
        var tag = getTag2(value), func = tag == mapTag2 ? mapToArray2 : tag == setTag2 ? setToArray2 : values2;
        return func(value);
      }
      function toFinite2(value) {
        if (!value) {
          return value === 0 ? value : 0;
        }
        value = toNumber2(value);
        if (value === INFINITY2 || value === -INFINITY2) {
          var sign = value < 0 ? -1 : 1;
          return sign * MAX_INTEGER2;
        }
        return value === value ? value : 0;
      }
      function toInteger2(value) {
        var result2 = toFinite2(value), remainder = result2 % 1;
        return result2 === result2 ? remainder ? result2 - remainder : result2 : 0;
      }
      function toLength2(value) {
        return value ? baseClamp2(toInteger2(value), 0, MAX_ARRAY_LENGTH2) : 0;
      }
      function toNumber2(value) {
        if (typeof value == "number") {
          return value;
        }
        if (isSymbol2(value)) {
          return NAN2;
        }
        if (isObject2(value)) {
          var other = typeof value.valueOf == "function" ? value.valueOf() : value;
          value = isObject2(other) ? other + "" : other;
        }
        if (typeof value != "string") {
          return value === 0 ? value : +value;
        }
        value = baseTrim2(value);
        var isBinary = reIsBinary2.test(value);
        return isBinary || reIsOctal2.test(value) ? freeParseInt2(value.slice(2), isBinary ? 2 : 8) : reIsBadHex2.test(value) ? NAN2 : +value;
      }
      function toPlainObject(value) {
        return copyObject(value, keysIn(value));
      }
      function toSafeInteger(value) {
        return value ? baseClamp2(toInteger2(value), -MAX_SAFE_INTEGER2, MAX_SAFE_INTEGER2) : value === 0 ? value : 0;
      }
      function toString2(value) {
        return value == null ? "" : baseToString2(value);
      }
      var assign = createAssigner(function(object, source) {
        if (isPrototype2(source) || isArrayLike2(source)) {
          copyObject(source, keys2(source), object);
          return;
        }
        for (var key in source) {
          if (hasOwnProperty2.call(source, key)) {
            assignValue(object, key, source[key]);
          }
        }
      });
      var assignIn = createAssigner(function(object, source) {
        copyObject(source, keysIn(source), object);
      });
      var assignInWith = createAssigner(function(object, source, srcIndex, customizer) {
        copyObject(source, keysIn(source), object, customizer);
      });
      var assignWith = createAssigner(function(object, source, srcIndex, customizer) {
        copyObject(source, keys2(source), object, customizer);
      });
      var at = flatRest(baseAt);
      function create(prototype, properties) {
        var result2 = baseCreate(prototype);
        return properties == null ? result2 : baseAssign(result2, properties);
      }
      var defaults = baseRest(function(object, sources) {
        object = Object2(object);
        var index = -1;
        var length = sources.length;
        var guard = length > 2 ? sources[2] : undefined$1;
        if (guard && isIterateeCall2(sources[0], sources[1], guard)) {
          length = 1;
        }
        while (++index < length) {
          var source = sources[index];
          var props = keysIn(source);
          var propsIndex = -1;
          var propsLength = props.length;
          while (++propsIndex < propsLength) {
            var key = props[propsIndex];
            var value = object[key];
            if (value === undefined$1 || eq2(value, objectProto2[key]) && !hasOwnProperty2.call(object, key)) {
              object[key] = source[key];
            }
          }
        }
        return object;
      });
      var defaultsDeep = baseRest(function(args) {
        args.push(undefined$1, customDefaultsMerge);
        return apply(mergeWith, undefined$1, args);
      });
      function findKey(object, predicate) {
        return baseFindKey(object, getIteratee(predicate, 3), baseForOwn2);
      }
      function findLastKey(object, predicate) {
        return baseFindKey(object, getIteratee(predicate, 3), baseForOwnRight);
      }
      function forIn(object, iteratee2) {
        return object == null ? object : baseFor2(object, getIteratee(iteratee2, 3), keysIn);
      }
      function forInRight(object, iteratee2) {
        return object == null ? object : baseForRight(object, getIteratee(iteratee2, 3), keysIn);
      }
      function forOwn(object, iteratee2) {
        return object && baseForOwn2(object, getIteratee(iteratee2, 3));
      }
      function forOwnRight(object, iteratee2) {
        return object && baseForOwnRight(object, getIteratee(iteratee2, 3));
      }
      function functions(object) {
        return object == null ? [] : baseFunctions(object, keys2(object));
      }
      function functionsIn(object) {
        return object == null ? [] : baseFunctions(object, keysIn(object));
      }
      function get2(object, path, defaultValue) {
        var result2 = object == null ? undefined$1 : baseGet2(object, path);
        return result2 === undefined$1 ? defaultValue : result2;
      }
      function has(object, path) {
        return object != null && hasPath2(object, path, baseHas);
      }
      function hasIn2(object, path) {
        return object != null && hasPath2(object, path, baseHasIn2);
      }
      var invert = createInverter(function(result2, value, key) {
        if (value != null && typeof value.toString != "function") {
          value = nativeObjectToString2.call(value);
        }
        result2[value] = key;
      }, constant(identity2));
      var invertBy = createInverter(function(result2, value, key) {
        if (value != null && typeof value.toString != "function") {
          value = nativeObjectToString2.call(value);
        }
        if (hasOwnProperty2.call(result2, value)) {
          result2[value].push(key);
        } else {
          result2[value] = [key];
        }
      }, getIteratee);
      var invoke = baseRest(baseInvoke);
      function keys2(object) {
        return isArrayLike2(object) ? arrayLikeKeys2(object) : baseKeys2(object);
      }
      function keysIn(object) {
        return isArrayLike2(object) ? arrayLikeKeys2(object, true) : baseKeysIn(object);
      }
      function mapKeys(object, iteratee2) {
        var result2 = {};
        iteratee2 = getIteratee(iteratee2, 3);
        baseForOwn2(object, function(value, key, object2) {
          baseAssignValue2(result2, iteratee2(value, key, object2), value);
        });
        return result2;
      }
      function mapValues(object, iteratee2) {
        var result2 = {};
        iteratee2 = getIteratee(iteratee2, 3);
        baseForOwn2(object, function(value, key, object2) {
          baseAssignValue2(result2, key, iteratee2(value, key, object2));
        });
        return result2;
      }
      var merge = createAssigner(function(object, source, srcIndex) {
        baseMerge(object, source, srcIndex);
      });
      var mergeWith = createAssigner(function(object, source, srcIndex, customizer) {
        baseMerge(object, source, srcIndex, customizer);
      });
      var omit = flatRest(function(object, paths) {
        var result2 = {};
        if (object == null) {
          return result2;
        }
        var isDeep = false;
        paths = arrayMap2(paths, function(path) {
          path = castPath2(path, object);
          isDeep || (isDeep = path.length > 1);
          return path;
        });
        copyObject(object, getAllKeysIn(object), result2);
        if (isDeep) {
          result2 = baseClone(result2, CLONE_DEEP_FLAG | CLONE_FLAT_FLAG | CLONE_SYMBOLS_FLAG, customOmitClone);
        }
        var length = paths.length;
        while (length--) {
          baseUnset(result2, paths[length]);
        }
        return result2;
      });
      function omitBy(object, predicate) {
        return pickBy(object, negate(getIteratee(predicate)));
      }
      var pick = flatRest(function(object, paths) {
        return object == null ? {} : basePick(object, paths);
      });
      function pickBy(object, predicate) {
        if (object == null) {
          return {};
        }
        var props = arrayMap2(getAllKeysIn(object), function(prop) {
          return [prop];
        });
        predicate = getIteratee(predicate);
        return basePickBy(object, props, function(value, path) {
          return predicate(value, path[0]);
        });
      }
      function result(object, path, defaultValue) {
        path = castPath2(path, object);
        var index = -1, length = path.length;
        if (!length) {
          length = 1;
          object = undefined$1;
        }
        while (++index < length) {
          var value = object == null ? undefined$1 : object[toKey2(path[index])];
          if (value === undefined$1) {
            index = length;
            value = defaultValue;
          }
          object = isFunction2(value) ? value.call(object) : value;
        }
        return object;
      }
      function set2(object, path, value) {
        return object == null ? object : baseSet(object, path, value);
      }
      function setWith(object, path, value, customizer) {
        customizer = typeof customizer == "function" ? customizer : undefined$1;
        return object == null ? object : baseSet(object, path, value, customizer);
      }
      var toPairs = createToPairs(keys2);
      var toPairsIn = createToPairs(keysIn);
      function transform(object, iteratee2, accumulator) {
        var isArr = isArray2(object), isArrLike = isArr || isBuffer(object) || isTypedArray2(object);
        iteratee2 = getIteratee(iteratee2, 4);
        if (accumulator == null) {
          var Ctor = object && object.constructor;
          if (isArrLike) {
            accumulator = isArr ? new Ctor() : [];
          } else if (isObject2(object)) {
            accumulator = isFunction2(Ctor) ? baseCreate(getPrototype(object)) : {};
          } else {
            accumulator = {};
          }
        }
        (isArrLike ? arrayEach2 : baseForOwn2)(object, function(value, index, object2) {
          return iteratee2(accumulator, value, index, object2);
        });
        return accumulator;
      }
      function unset(object, path) {
        return object == null ? true : baseUnset(object, path);
      }
      function update(object, path, updater) {
        return object == null ? object : baseUpdate(object, path, castFunction2(updater));
      }
      function updateWith(object, path, updater, customizer) {
        customizer = typeof customizer == "function" ? customizer : undefined$1;
        return object == null ? object : baseUpdate(object, path, castFunction2(updater), customizer);
      }
      function values2(object) {
        return object == null ? [] : baseValues2(object, keys2(object));
      }
      function valuesIn(object) {
        return object == null ? [] : baseValues2(object, keysIn(object));
      }
      function clamp(number, lower, upper) {
        if (upper === undefined$1) {
          upper = lower;
          lower = undefined$1;
        }
        if (upper !== undefined$1) {
          upper = toNumber2(upper);
          upper = upper === upper ? upper : 0;
        }
        if (lower !== undefined$1) {
          lower = toNumber2(lower);
          lower = lower === lower ? lower : 0;
        }
        return baseClamp2(toNumber2(number), lower, upper);
      }
      function inRange(number, start, end) {
        start = toFinite2(start);
        if (end === undefined$1) {
          end = start;
          start = 0;
        } else {
          end = toFinite2(end);
        }
        number = toNumber2(number);
        return baseInRange(number, start, end);
      }
      function random(lower, upper, floating) {
        if (floating && typeof floating != "boolean" && isIterateeCall2(lower, upper, floating)) {
          upper = floating = undefined$1;
        }
        if (floating === undefined$1) {
          if (typeof upper == "boolean") {
            floating = upper;
            upper = undefined$1;
          } else if (typeof lower == "boolean") {
            floating = lower;
            lower = undefined$1;
          }
        }
        if (lower === undefined$1 && upper === undefined$1) {
          lower = 0;
          upper = 1;
        } else {
          lower = toFinite2(lower);
          if (upper === undefined$1) {
            upper = lower;
            lower = 0;
          } else {
            upper = toFinite2(upper);
          }
        }
        if (lower > upper) {
          var temp = lower;
          lower = upper;
          upper = temp;
        }
        if (floating || lower % 1 || upper % 1) {
          var rand = nativeRandom();
          return nativeMin2(lower + rand * (upper - lower + freeParseFloat("1e-" + ((rand + "").length - 1))), upper);
        }
        return baseRandom(lower, upper);
      }
      var camelCase = createCompounder(function(result2, word, index) {
        word = word.toLowerCase();
        return result2 + (index ? capitalize(word) : word);
      });
      function capitalize(string) {
        return upperFirst(toString2(string).toLowerCase());
      }
      function deburr(string) {
        string = toString2(string);
        return string && string.replace(reLatin, deburrLetter).replace(reComboMark, "");
      }
      function endsWith(string, target, position) {
        string = toString2(string);
        target = baseToString2(target);
        var length = string.length;
        position = position === undefined$1 ? length : baseClamp2(toInteger2(position), 0, length);
        var end = position;
        position -= target.length;
        return position >= 0 && string.slice(position, end) == target;
      }
      function escape(string) {
        string = toString2(string);
        return string && reHasUnescapedHtml.test(string) ? string.replace(reUnescapedHtml, escapeHtmlChar) : string;
      }
      function escapeRegExp(string) {
        string = toString2(string);
        return string && reHasRegExpChar.test(string) ? string.replace(reRegExpChar2, "\\$&") : string;
      }
      var kebabCase = createCompounder(function(result2, word, index) {
        return result2 + (index ? "-" : "") + word.toLowerCase();
      });
      var lowerCase = createCompounder(function(result2, word, index) {
        return result2 + (index ? " " : "") + word.toLowerCase();
      });
      var lowerFirst = createCaseFirst("toLowerCase");
      function pad(string, length, chars) {
        string = toString2(string);
        length = toInteger2(length);
        var strLength = length ? stringSize2(string) : 0;
        if (!length || strLength >= length) {
          return string;
        }
        var mid = (length - strLength) / 2;
        return createPadding(nativeFloor2(mid), chars) + string + createPadding(nativeCeil2(mid), chars);
      }
      function padEnd(string, length, chars) {
        string = toString2(string);
        length = toInteger2(length);
        var strLength = length ? stringSize2(string) : 0;
        return length && strLength < length ? string + createPadding(length - strLength, chars) : string;
      }
      function padStart(string, length, chars) {
        string = toString2(string);
        length = toInteger2(length);
        var strLength = length ? stringSize2(string) : 0;
        return length && strLength < length ? createPadding(length - strLength, chars) + string : string;
      }
      function parseInt2(string, radix, guard) {
        if (guard || radix == null) {
          radix = 0;
        } else if (radix) {
          radix = +radix;
        }
        return nativeParseInt(toString2(string).replace(reTrimStart2, ""), radix || 0);
      }
      function repeat(string, n, guard) {
        if (guard ? isIterateeCall2(string, n, guard) : n === undefined$1) {
          n = 1;
        } else {
          n = toInteger2(n);
        }
        return baseRepeat(toString2(string), n);
      }
      function replace() {
        var args = arguments, string = toString2(args[0]);
        return args.length < 3 ? string : string.replace(args[1], args[2]);
      }
      var snakeCase = createCompounder(function(result2, word, index) {
        return result2 + (index ? "_" : "") + word.toLowerCase();
      });
      function split(string, separator, limit) {
        if (limit && typeof limit != "number" && isIterateeCall2(string, separator, limit)) {
          separator = limit = undefined$1;
        }
        limit = limit === undefined$1 ? MAX_ARRAY_LENGTH2 : limit >>> 0;
        if (!limit) {
          return [];
        }
        string = toString2(string);
        if (string && (typeof separator == "string" || separator != null && !isRegExp(separator))) {
          separator = baseToString2(separator);
          if (!separator && hasUnicode2(string)) {
            return castSlice(stringToArray(string), 0, limit);
          }
        }
        return string.split(separator, limit);
      }
      var startCase = createCompounder(function(result2, word, index) {
        return result2 + (index ? " " : "") + upperFirst(word);
      });
      function startsWith(string, target, position) {
        string = toString2(string);
        position = position == null ? 0 : baseClamp2(toInteger2(position), 0, string.length);
        target = baseToString2(target);
        return string.slice(position, position + target.length) == target;
      }
      function template(string, options, guard) {
        var settings = lodash2.templateSettings;
        if (guard && isIterateeCall2(string, options, guard)) {
          options = undefined$1;
        }
        string = toString2(string);
        options = assignInWith({}, options, settings, customDefaultsAssignIn);
        var imports = assignInWith({}, options.imports, settings.imports, customDefaultsAssignIn), importsKeys = keys2(imports), importsValues = baseValues2(imports, importsKeys);
        var isEscaping, isEvaluating, index = 0, interpolate = options.interpolate || reNoMatch, source = "__p += '";
        var reDelimiters = RegExp2(
          (options.escape || reNoMatch).source + "|" + interpolate.source + "|" + (interpolate === reInterpolate ? reEsTemplate : reNoMatch).source + "|" + (options.evaluate || reNoMatch).source + "|$",
          "g"
        );
        var sourceURL = "//# sourceURL=" + (hasOwnProperty2.call(options, "sourceURL") ? (options.sourceURL + "").replace(/\s/g, " ") : "lodash.templateSources[" + ++templateCounter + "]") + "\n";
        string.replace(reDelimiters, function(match, escapeValue, interpolateValue, esTemplateValue, evaluateValue, offset) {
          interpolateValue || (interpolateValue = esTemplateValue);
          source += string.slice(index, offset).replace(reUnescapedString, escapeStringChar);
          if (escapeValue) {
            isEscaping = true;
            source += "' +\n__e(" + escapeValue + ") +\n'";
          }
          if (evaluateValue) {
            isEvaluating = true;
            source += "';\n" + evaluateValue + ";\n__p += '";
          }
          if (interpolateValue) {
            source += "' +\n((__t = (" + interpolateValue + ")) == null ? '' : __t) +\n'";
          }
          index = offset + match.length;
          return match;
        });
        source += "';\n";
        var variable = hasOwnProperty2.call(options, "variable") && options.variable;
        if (!variable) {
          source = "with (obj) {\n" + source + "\n}\n";
        } else if (reForbiddenIdentifierChars.test(variable)) {
          throw new Error2(INVALID_TEMPL_VAR_ERROR_TEXT);
        }
        source = (isEvaluating ? source.replace(reEmptyStringLeading, "") : source).replace(reEmptyStringMiddle, "$1").replace(reEmptyStringTrailing, "$1;");
        source = "function(" + (variable || "obj") + ") {\n" + (variable ? "" : "obj || (obj = {});\n") + "var __t, __p = ''" + (isEscaping ? ", __e = _.escape" : "") + (isEvaluating ? ", __j = Array.prototype.join;\nfunction print() { __p += __j.call(arguments, '') }\n" : ";\n") + source + "return __p\n}";
        var result2 = attempt(function() {
          return Function2(importsKeys, sourceURL + "return " + source).apply(undefined$1, importsValues);
        });
        result2.source = source;
        if (isError(result2)) {
          throw result2;
        }
        return result2;
      }
      function toLower(value) {
        return toString2(value).toLowerCase();
      }
      function toUpper(value) {
        return toString2(value).toUpperCase();
      }
      function trim(string, chars, guard) {
        string = toString2(string);
        if (string && (guard || chars === undefined$1)) {
          return baseTrim2(string);
        }
        if (!string || !(chars = baseToString2(chars))) {
          return string;
        }
        var strSymbols = stringToArray(string), chrSymbols = stringToArray(chars), start = charsStartIndex(strSymbols, chrSymbols), end = charsEndIndex(strSymbols, chrSymbols) + 1;
        return castSlice(strSymbols, start, end).join("");
      }
      function trimEnd(string, chars, guard) {
        string = toString2(string);
        if (string && (guard || chars === undefined$1)) {
          return string.slice(0, trimmedEndIndex2(string) + 1);
        }
        if (!string || !(chars = baseToString2(chars))) {
          return string;
        }
        var strSymbols = stringToArray(string), end = charsEndIndex(strSymbols, stringToArray(chars)) + 1;
        return castSlice(strSymbols, 0, end).join("");
      }
      function trimStart(string, chars, guard) {
        string = toString2(string);
        if (string && (guard || chars === undefined$1)) {
          return string.replace(reTrimStart2, "");
        }
        if (!string || !(chars = baseToString2(chars))) {
          return string;
        }
        var strSymbols = stringToArray(string), start = charsStartIndex(strSymbols, stringToArray(chars));
        return castSlice(strSymbols, start).join("");
      }
      function truncate(string, options) {
        var length = DEFAULT_TRUNC_LENGTH, omission = DEFAULT_TRUNC_OMISSION;
        if (isObject2(options)) {
          var separator = "separator" in options ? options.separator : separator;
          length = "length" in options ? toInteger2(options.length) : length;
          omission = "omission" in options ? baseToString2(options.omission) : omission;
        }
        string = toString2(string);
        var strLength = string.length;
        if (hasUnicode2(string)) {
          var strSymbols = stringToArray(string);
          strLength = strSymbols.length;
        }
        if (length >= strLength) {
          return string;
        }
        var end = length - stringSize2(omission);
        if (end < 1) {
          return omission;
        }
        var result2 = strSymbols ? castSlice(strSymbols, 0, end).join("") : string.slice(0, end);
        if (separator === undefined$1) {
          return result2 + omission;
        }
        if (strSymbols) {
          end += result2.length - end;
        }
        if (isRegExp(separator)) {
          if (string.slice(end).search(separator)) {
            var match, substring = result2;
            if (!separator.global) {
              separator = RegExp2(separator.source, toString2(reFlags.exec(separator)) + "g");
            }
            separator.lastIndex = 0;
            while (match = separator.exec(substring)) {
              var newEnd = match.index;
            }
            result2 = result2.slice(0, newEnd === undefined$1 ? end : newEnd);
          }
        } else if (string.indexOf(baseToString2(separator), end) != end) {
          var index = result2.lastIndexOf(separator);
          if (index > -1) {
            result2 = result2.slice(0, index);
          }
        }
        return result2 + omission;
      }
      function unescape(string) {
        string = toString2(string);
        return string && reHasEscapedHtml.test(string) ? string.replace(reEscapedHtml, unescapeHtmlChar) : string;
      }
      var upperCase = createCompounder(function(result2, word, index) {
        return result2 + (index ? " " : "") + word.toUpperCase();
      });
      var upperFirst = createCaseFirst("toUpperCase");
      function words(string, pattern, guard) {
        string = toString2(string);
        pattern = guard ? undefined$1 : pattern;
        if (pattern === undefined$1) {
          return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
        }
        return string.match(pattern) || [];
      }
      var attempt = baseRest(function(func, args) {
        try {
          return apply(func, undefined$1, args);
        } catch (e) {
          return isError(e) ? e : new Error2(e);
        }
      });
      var bindAll = flatRest(function(object, methodNames) {
        arrayEach2(methodNames, function(key) {
          key = toKey2(key);
          baseAssignValue2(object, key, bind(object[key], object));
        });
        return object;
      });
      function cond(pairs) {
        var length = pairs == null ? 0 : pairs.length, toIteratee = getIteratee();
        pairs = !length ? [] : arrayMap2(pairs, function(pair) {
          if (typeof pair[1] != "function") {
            throw new TypeError2(FUNC_ERROR_TEXT2);
          }
          return [toIteratee(pair[0]), pair[1]];
        });
        return baseRest(function(args) {
          var index = -1;
          while (++index < length) {
            var pair = pairs[index];
            if (apply(pair[0], this, args)) {
              return apply(pair[1], this, args);
            }
          }
        });
      }
      function conforms(source) {
        return baseConforms(baseClone(source, CLONE_DEEP_FLAG));
      }
      function constant(value) {
        return function() {
          return value;
        };
      }
      function defaultTo(value, defaultValue) {
        return value == null || value !== value ? defaultValue : value;
      }
      var flow = createFlow();
      var flowRight = createFlow(true);
      function identity2(value) {
        return value;
      }
      function iteratee(func) {
        return baseIteratee2(typeof func == "function" ? func : baseClone(func, CLONE_DEEP_FLAG));
      }
      function matches(source) {
        return baseMatches2(baseClone(source, CLONE_DEEP_FLAG));
      }
      function matchesProperty(path, srcValue) {
        return baseMatchesProperty2(path, baseClone(srcValue, CLONE_DEEP_FLAG));
      }
      var method = baseRest(function(path, args) {
        return function(object) {
          return baseInvoke(object, path, args);
        };
      });
      var methodOf = baseRest(function(object, args) {
        return function(path) {
          return baseInvoke(object, path, args);
        };
      });
      function mixin(object, source, options) {
        var props = keys2(source), methodNames = baseFunctions(source, props);
        if (options == null && !(isObject2(source) && (methodNames.length || !props.length))) {
          options = source;
          source = object;
          object = this;
          methodNames = baseFunctions(source, keys2(source));
        }
        var chain2 = !(isObject2(options) && "chain" in options) || !!options.chain, isFunc = isFunction2(object);
        arrayEach2(methodNames, function(methodName) {
          var func = source[methodName];
          object[methodName] = func;
          if (isFunc) {
            object.prototype[methodName] = function() {
              var chainAll = this.__chain__;
              if (chain2 || chainAll) {
                var result2 = object(this.__wrapped__), actions = result2.__actions__ = copyArray(this.__actions__);
                actions.push({ "func": func, "args": arguments, "thisArg": object });
                result2.__chain__ = chainAll;
                return result2;
              }
              return func.apply(object, arrayPush2([this.value()], arguments));
            };
          }
        });
        return object;
      }
      function noConflict() {
        if (root2._ === this) {
          root2._ = oldDash;
        }
        return this;
      }
      function noop() {
      }
      function nthArg(n) {
        n = toInteger2(n);
        return baseRest(function(args) {
          return baseNth(args, n);
        });
      }
      var over = createOver(arrayMap2);
      var overEvery = createOver(arrayEvery);
      var overSome = createOver(arraySome2);
      function property2(path) {
        return isKey2(path) ? baseProperty2(toKey2(path)) : basePropertyDeep2(path);
      }
      function propertyOf(object) {
        return function(path) {
          return object == null ? undefined$1 : baseGet2(object, path);
        };
      }
      var range2 = createRange2();
      var rangeRight = createRange2(true);
      function stubArray2() {
        return [];
      }
      function stubFalse2() {
        return false;
      }
      function stubObject() {
        return {};
      }
      function stubString() {
        return "";
      }
      function stubTrue() {
        return true;
      }
      function times(n, iteratee2) {
        n = toInteger2(n);
        if (n < 1 || n > MAX_SAFE_INTEGER2) {
          return [];
        }
        var index = MAX_ARRAY_LENGTH2, length = nativeMin2(n, MAX_ARRAY_LENGTH2);
        iteratee2 = getIteratee(iteratee2);
        n -= MAX_ARRAY_LENGTH2;
        var result2 = baseTimes2(length, iteratee2);
        while (++index < n) {
          iteratee2(index);
        }
        return result2;
      }
      function toPath(value) {
        if (isArray2(value)) {
          return arrayMap2(value, toKey2);
        }
        return isSymbol2(value) ? [value] : copyArray(stringToPath2(toString2(value)));
      }
      function uniqueId(prefix) {
        var id = ++idCounter;
        return toString2(prefix) + id;
      }
      var add = createMathOperation(function(augend, addend) {
        return augend + addend;
      }, 0);
      var ceil = createRound("ceil");
      var divide = createMathOperation(function(dividend, divisor) {
        return dividend / divisor;
      }, 1);
      var floor = createRound("floor");
      function max(array) {
        return array && array.length ? baseExtremum(array, identity2, baseGt) : undefined$1;
      }
      function maxBy(array, iteratee2) {
        return array && array.length ? baseExtremum(array, getIteratee(iteratee2, 2), baseGt) : undefined$1;
      }
      function mean(array) {
        return baseMean(array, identity2);
      }
      function meanBy(array, iteratee2) {
        return baseMean(array, getIteratee(iteratee2, 2));
      }
      function min(array) {
        return array && array.length ? baseExtremum(array, identity2, baseLt) : undefined$1;
      }
      function minBy(array, iteratee2) {
        return array && array.length ? baseExtremum(array, getIteratee(iteratee2, 2), baseLt) : undefined$1;
      }
      var multiply = createMathOperation(function(multiplier, multiplicand) {
        return multiplier * multiplicand;
      }, 1);
      var round = createRound("round");
      var subtract = createMathOperation(function(minuend, subtrahend) {
        return minuend - subtrahend;
      }, 0);
      function sum(array) {
        return array && array.length ? baseSum(array, identity2) : 0;
      }
      function sumBy(array, iteratee2) {
        return array && array.length ? baseSum(array, getIteratee(iteratee2, 2)) : 0;
      }
      lodash2.after = after;
      lodash2.ary = ary;
      lodash2.assign = assign;
      lodash2.assignIn = assignIn;
      lodash2.assignInWith = assignInWith;
      lodash2.assignWith = assignWith;
      lodash2.at = at;
      lodash2.before = before;
      lodash2.bind = bind;
      lodash2.bindAll = bindAll;
      lodash2.bindKey = bindKey;
      lodash2.castArray = castArray;
      lodash2.chain = chain;
      lodash2.chunk = chunk;
      lodash2.compact = compact;
      lodash2.concat = concat;
      lodash2.cond = cond;
      lodash2.conforms = conforms;
      lodash2.constant = constant;
      lodash2.countBy = countBy;
      lodash2.create = create;
      lodash2.curry = curry;
      lodash2.curryRight = curryRight;
      lodash2.debounce = debounce2;
      lodash2.defaults = defaults;
      lodash2.defaultsDeep = defaultsDeep;
      lodash2.defer = defer;
      lodash2.delay = delay;
      lodash2.difference = difference;
      lodash2.differenceBy = differenceBy;
      lodash2.differenceWith = differenceWith;
      lodash2.drop = drop;
      lodash2.dropRight = dropRight;
      lodash2.dropRightWhile = dropRightWhile;
      lodash2.dropWhile = dropWhile;
      lodash2.fill = fill2;
      lodash2.filter = filter;
      lodash2.flatMap = flatMap;
      lodash2.flatMapDeep = flatMapDeep;
      lodash2.flatMapDepth = flatMapDepth;
      lodash2.flatten = flatten;
      lodash2.flattenDeep = flattenDeep;
      lodash2.flattenDepth = flattenDepth;
      lodash2.flip = flip;
      lodash2.flow = flow;
      lodash2.flowRight = flowRight;
      lodash2.fromPairs = fromPairs;
      lodash2.functions = functions;
      lodash2.functionsIn = functionsIn;
      lodash2.groupBy = groupBy2;
      lodash2.initial = initial;
      lodash2.intersection = intersection;
      lodash2.intersectionBy = intersectionBy;
      lodash2.intersectionWith = intersectionWith;
      lodash2.invert = invert;
      lodash2.invertBy = invertBy;
      lodash2.invokeMap = invokeMap;
      lodash2.iteratee = iteratee;
      lodash2.keyBy = keyBy2;
      lodash2.keys = keys2;
      lodash2.keysIn = keysIn;
      lodash2.map = map2;
      lodash2.mapKeys = mapKeys;
      lodash2.mapValues = mapValues;
      lodash2.matches = matches;
      lodash2.matchesProperty = matchesProperty;
      lodash2.memoize = memoize2;
      lodash2.merge = merge;
      lodash2.mergeWith = mergeWith;
      lodash2.method = method;
      lodash2.methodOf = methodOf;
      lodash2.mixin = mixin;
      lodash2.negate = negate;
      lodash2.nthArg = nthArg;
      lodash2.omit = omit;
      lodash2.omitBy = omitBy;
      lodash2.once = once;
      lodash2.orderBy = orderBy;
      lodash2.over = over;
      lodash2.overArgs = overArgs;
      lodash2.overEvery = overEvery;
      lodash2.overSome = overSome;
      lodash2.partial = partial;
      lodash2.partialRight = partialRight;
      lodash2.partition = partition;
      lodash2.pick = pick;
      lodash2.pickBy = pickBy;
      lodash2.property = property2;
      lodash2.propertyOf = propertyOf;
      lodash2.pull = pull;
      lodash2.pullAll = pullAll;
      lodash2.pullAllBy = pullAllBy;
      lodash2.pullAllWith = pullAllWith;
      lodash2.pullAt = pullAt;
      lodash2.range = range2;
      lodash2.rangeRight = rangeRight;
      lodash2.rearg = rearg;
      lodash2.reject = reject;
      lodash2.remove = remove;
      lodash2.rest = rest;
      lodash2.reverse = reverse;
      lodash2.sampleSize = sampleSize;
      lodash2.set = set2;
      lodash2.setWith = setWith;
      lodash2.shuffle = shuffle;
      lodash2.slice = slice2;
      lodash2.sortBy = sortBy;
      lodash2.sortedUniq = sortedUniq;
      lodash2.sortedUniqBy = sortedUniqBy;
      lodash2.split = split;
      lodash2.spread = spread;
      lodash2.tail = tail;
      lodash2.take = take;
      lodash2.takeRight = takeRight;
      lodash2.takeRightWhile = takeRightWhile;
      lodash2.takeWhile = takeWhile;
      lodash2.tap = tap;
      lodash2.throttle = throttle2;
      lodash2.thru = thru;
      lodash2.toArray = toArray;
      lodash2.toPairs = toPairs;
      lodash2.toPairsIn = toPairsIn;
      lodash2.toPath = toPath;
      lodash2.toPlainObject = toPlainObject;
      lodash2.transform = transform;
      lodash2.unary = unary;
      lodash2.union = union;
      lodash2.unionBy = unionBy;
      lodash2.unionWith = unionWith;
      lodash2.uniq = uniq;
      lodash2.uniqBy = uniqBy;
      lodash2.uniqWith = uniqWith;
      lodash2.unset = unset;
      lodash2.unzip = unzip;
      lodash2.unzipWith = unzipWith;
      lodash2.update = update;
      lodash2.updateWith = updateWith;
      lodash2.values = values2;
      lodash2.valuesIn = valuesIn;
      lodash2.without = without;
      lodash2.words = words;
      lodash2.wrap = wrap;
      lodash2.xor = xor;
      lodash2.xorBy = xorBy;
      lodash2.xorWith = xorWith;
      lodash2.zip = zip;
      lodash2.zipObject = zipObject;
      lodash2.zipObjectDeep = zipObjectDeep;
      lodash2.zipWith = zipWith;
      lodash2.entries = toPairs;
      lodash2.entriesIn = toPairsIn;
      lodash2.extend = assignIn;
      lodash2.extendWith = assignInWith;
      mixin(lodash2, lodash2);
      lodash2.add = add;
      lodash2.attempt = attempt;
      lodash2.camelCase = camelCase;
      lodash2.capitalize = capitalize;
      lodash2.ceil = ceil;
      lodash2.clamp = clamp;
      lodash2.clone = clone;
      lodash2.cloneDeep = cloneDeep;
      lodash2.cloneDeepWith = cloneDeepWith;
      lodash2.cloneWith = cloneWith;
      lodash2.conformsTo = conformsTo;
      lodash2.deburr = deburr;
      lodash2.defaultTo = defaultTo;
      lodash2.divide = divide;
      lodash2.endsWith = endsWith;
      lodash2.eq = eq2;
      lodash2.escape = escape;
      lodash2.escapeRegExp = escapeRegExp;
      lodash2.every = every;
      lodash2.find = find2;
      lodash2.findIndex = findIndex2;
      lodash2.findKey = findKey;
      lodash2.findLast = findLast;
      lodash2.findLastIndex = findLastIndex;
      lodash2.findLastKey = findLastKey;
      lodash2.floor = floor;
      lodash2.forEach = forEach2;
      lodash2.forEachRight = forEachRight;
      lodash2.forIn = forIn;
      lodash2.forInRight = forInRight;
      lodash2.forOwn = forOwn;
      lodash2.forOwnRight = forOwnRight;
      lodash2.get = get2;
      lodash2.gt = gt;
      lodash2.gte = gte;
      lodash2.has = has;
      lodash2.hasIn = hasIn2;
      lodash2.head = head;
      lodash2.identity = identity2;
      lodash2.includes = includes2;
      lodash2.indexOf = indexOf;
      lodash2.inRange = inRange;
      lodash2.invoke = invoke;
      lodash2.isArguments = isArguments2;
      lodash2.isArray = isArray2;
      lodash2.isArrayBuffer = isArrayBuffer;
      lodash2.isArrayLike = isArrayLike2;
      lodash2.isArrayLikeObject = isArrayLikeObject;
      lodash2.isBoolean = isBoolean;
      lodash2.isBuffer = isBuffer;
      lodash2.isDate = isDate;
      lodash2.isElement = isElement;
      lodash2.isEmpty = isEmpty;
      lodash2.isEqual = isEqual;
      lodash2.isEqualWith = isEqualWith;
      lodash2.isError = isError;
      lodash2.isFinite = isFinite;
      lodash2.isFunction = isFunction2;
      lodash2.isInteger = isInteger;
      lodash2.isLength = isLength2;
      lodash2.isMap = isMap;
      lodash2.isMatch = isMatch;
      lodash2.isMatchWith = isMatchWith;
      lodash2.isNaN = isNaN2;
      lodash2.isNative = isNative;
      lodash2.isNil = isNil;
      lodash2.isNull = isNull;
      lodash2.isNumber = isNumber;
      lodash2.isObject = isObject2;
      lodash2.isObjectLike = isObjectLike2;
      lodash2.isPlainObject = isPlainObject;
      lodash2.isRegExp = isRegExp;
      lodash2.isSafeInteger = isSafeInteger;
      lodash2.isSet = isSet;
      lodash2.isString = isString2;
      lodash2.isSymbol = isSymbol2;
      lodash2.isTypedArray = isTypedArray2;
      lodash2.isUndefined = isUndefined;
      lodash2.isWeakMap = isWeakMap;
      lodash2.isWeakSet = isWeakSet;
      lodash2.join = join;
      lodash2.kebabCase = kebabCase;
      lodash2.last = last;
      lodash2.lastIndexOf = lastIndexOf;
      lodash2.lowerCase = lowerCase;
      lodash2.lowerFirst = lowerFirst;
      lodash2.lt = lt2;
      lodash2.lte = lte;
      lodash2.max = max;
      lodash2.maxBy = maxBy;
      lodash2.mean = mean;
      lodash2.meanBy = meanBy;
      lodash2.min = min;
      lodash2.minBy = minBy;
      lodash2.stubArray = stubArray2;
      lodash2.stubFalse = stubFalse2;
      lodash2.stubObject = stubObject;
      lodash2.stubString = stubString;
      lodash2.stubTrue = stubTrue;
      lodash2.multiply = multiply;
      lodash2.nth = nth;
      lodash2.noConflict = noConflict;
      lodash2.noop = noop;
      lodash2.now = now2;
      lodash2.pad = pad;
      lodash2.padEnd = padEnd;
      lodash2.padStart = padStart;
      lodash2.parseInt = parseInt2;
      lodash2.random = random;
      lodash2.reduce = reduce2;
      lodash2.reduceRight = reduceRight;
      lodash2.repeat = repeat;
      lodash2.replace = replace;
      lodash2.result = result;
      lodash2.round = round;
      lodash2.runInContext = runInContext2;
      lodash2.sample = sample;
      lodash2.size = size2;
      lodash2.snakeCase = snakeCase;
      lodash2.some = some;
      lodash2.sortedIndex = sortedIndex2;
      lodash2.sortedIndexBy = sortedIndexBy;
      lodash2.sortedIndexOf = sortedIndexOf;
      lodash2.sortedLastIndex = sortedLastIndex;
      lodash2.sortedLastIndexBy = sortedLastIndexBy;
      lodash2.sortedLastIndexOf = sortedLastIndexOf;
      lodash2.startCase = startCase;
      lodash2.startsWith = startsWith;
      lodash2.subtract = subtract;
      lodash2.sum = sum;
      lodash2.sumBy = sumBy;
      lodash2.template = template;
      lodash2.times = times;
      lodash2.toFinite = toFinite2;
      lodash2.toInteger = toInteger2;
      lodash2.toLength = toLength2;
      lodash2.toLower = toLower;
      lodash2.toNumber = toNumber2;
      lodash2.toSafeInteger = toSafeInteger;
      lodash2.toString = toString2;
      lodash2.toUpper = toUpper;
      lodash2.trim = trim;
      lodash2.trimEnd = trimEnd;
      lodash2.trimStart = trimStart;
      lodash2.truncate = truncate;
      lodash2.unescape = unescape;
      lodash2.uniqueId = uniqueId;
      lodash2.upperCase = upperCase;
      lodash2.upperFirst = upperFirst;
      lodash2.each = forEach2;
      lodash2.eachRight = forEachRight;
      lodash2.first = head;
      mixin(lodash2, function() {
        var source = {};
        baseForOwn2(lodash2, function(func, methodName) {
          if (!hasOwnProperty2.call(lodash2.prototype, methodName)) {
            source[methodName] = func;
          }
        });
        return source;
      }(), { "chain": false });
      lodash2.VERSION = VERSION;
      arrayEach2(["bind", "bindKey", "curry", "curryRight", "partial", "partialRight"], function(methodName) {
        lodash2[methodName].placeholder = lodash2;
      });
      arrayEach2(["drop", "take"], function(methodName, index) {
        LazyWrapper.prototype[methodName] = function(n) {
          n = n === undefined$1 ? 1 : nativeMax2(toInteger2(n), 0);
          var result2 = this.__filtered__ && !index ? new LazyWrapper(this) : this.clone();
          if (result2.__filtered__) {
            result2.__takeCount__ = nativeMin2(n, result2.__takeCount__);
          } else {
            result2.__views__.push({
              "size": nativeMin2(n, MAX_ARRAY_LENGTH2),
              "type": methodName + (result2.__dir__ < 0 ? "Right" : "")
            });
          }
          return result2;
        };
        LazyWrapper.prototype[methodName + "Right"] = function(n) {
          return this.reverse()[methodName](n).reverse();
        };
      });
      arrayEach2(["filter", "map", "takeWhile"], function(methodName, index) {
        var type = index + 1, isFilter = type == LAZY_FILTER_FLAG || type == LAZY_WHILE_FLAG;
        LazyWrapper.prototype[methodName] = function(iteratee2) {
          var result2 = this.clone();
          result2.__iteratees__.push({
            "iteratee": getIteratee(iteratee2, 3),
            "type": type
          });
          result2.__filtered__ = result2.__filtered__ || isFilter;
          return result2;
        };
      });
      arrayEach2(["head", "last"], function(methodName, index) {
        var takeName = "take" + (index ? "Right" : "");
        LazyWrapper.prototype[methodName] = function() {
          return this[takeName](1).value()[0];
        };
      });
      arrayEach2(["initial", "tail"], function(methodName, index) {
        var dropName = "drop" + (index ? "" : "Right");
        LazyWrapper.prototype[methodName] = function() {
          return this.__filtered__ ? new LazyWrapper(this) : this[dropName](1);
        };
      });
      LazyWrapper.prototype.compact = function() {
        return this.filter(identity2);
      };
      LazyWrapper.prototype.find = function(predicate) {
        return this.filter(predicate).head();
      };
      LazyWrapper.prototype.findLast = function(predicate) {
        return this.reverse().find(predicate);
      };
      LazyWrapper.prototype.invokeMap = baseRest(function(path, args) {
        if (typeof path == "function") {
          return new LazyWrapper(this);
        }
        return this.map(function(value) {
          return baseInvoke(value, path, args);
        });
      });
      LazyWrapper.prototype.reject = function(predicate) {
        return this.filter(negate(getIteratee(predicate)));
      };
      LazyWrapper.prototype.slice = function(start, end) {
        start = toInteger2(start);
        var result2 = this;
        if (result2.__filtered__ && (start > 0 || end < 0)) {
          return new LazyWrapper(result2);
        }
        if (start < 0) {
          result2 = result2.takeRight(-start);
        } else if (start) {
          result2 = result2.drop(start);
        }
        if (end !== undefined$1) {
          end = toInteger2(end);
          result2 = end < 0 ? result2.dropRight(-end) : result2.take(end - start);
        }
        return result2;
      };
      LazyWrapper.prototype.takeRightWhile = function(predicate) {
        return this.reverse().takeWhile(predicate).reverse();
      };
      LazyWrapper.prototype.toArray = function() {
        return this.take(MAX_ARRAY_LENGTH2);
      };
      baseForOwn2(LazyWrapper.prototype, function(func, methodName) {
        var checkIteratee = /^(?:filter|find|map|reject)|While$/.test(methodName), isTaker = /^(?:head|last)$/.test(methodName), lodashFunc = lodash2[isTaker ? "take" + (methodName == "last" ? "Right" : "") : methodName], retUnwrapped = isTaker || /^find/.test(methodName);
        if (!lodashFunc) {
          return;
        }
        lodash2.prototype[methodName] = function() {
          var value = this.__wrapped__, args = isTaker ? [1] : arguments, isLazy = value instanceof LazyWrapper, iteratee2 = args[0], useLazy = isLazy || isArray2(value);
          var interceptor = function(value2) {
            var result3 = lodashFunc.apply(lodash2, arrayPush2([value2], args));
            return isTaker && chainAll ? result3[0] : result3;
          };
          if (useLazy && checkIteratee && typeof iteratee2 == "function" && iteratee2.length != 1) {
            isLazy = useLazy = false;
          }
          var chainAll = this.__chain__, isHybrid = !!this.__actions__.length, isUnwrapped = retUnwrapped && !chainAll, onlyLazy = isLazy && !isHybrid;
          if (!retUnwrapped && useLazy) {
            value = onlyLazy ? value : new LazyWrapper(this);
            var result2 = func.apply(value, args);
            result2.__actions__.push({ "func": thru, "args": [interceptor], "thisArg": undefined$1 });
            return new LodashWrapper(result2, chainAll);
          }
          if (isUnwrapped && onlyLazy) {
            return func.apply(this, args);
          }
          result2 = this.thru(interceptor);
          return isUnwrapped ? isTaker ? result2.value()[0] : result2.value() : result2;
        };
      });
      arrayEach2(["pop", "push", "shift", "sort", "splice", "unshift"], function(methodName) {
        var func = arrayProto2[methodName], chainName = /^(?:push|sort|unshift)$/.test(methodName) ? "tap" : "thru", retUnwrapped = /^(?:pop|shift)$/.test(methodName);
        lodash2.prototype[methodName] = function() {
          var args = arguments;
          if (retUnwrapped && !this.__chain__) {
            var value = this.value();
            return func.apply(isArray2(value) ? value : [], args);
          }
          return this[chainName](function(value2) {
            return func.apply(isArray2(value2) ? value2 : [], args);
          });
        };
      });
      baseForOwn2(LazyWrapper.prototype, function(func, methodName) {
        var lodashFunc = lodash2[methodName];
        if (lodashFunc) {
          var key = lodashFunc.name + "";
          if (!hasOwnProperty2.call(realNames, key)) {
            realNames[key] = [];
          }
          realNames[key].push({ "name": methodName, "func": lodashFunc });
        }
      });
      realNames[createHybrid(undefined$1, WRAP_BIND_KEY_FLAG).name] = [{
        "name": "wrapper",
        "func": undefined$1
      }];
      LazyWrapper.prototype.clone = lazyClone;
      LazyWrapper.prototype.reverse = lazyReverse;
      LazyWrapper.prototype.value = lazyValue;
      lodash2.prototype.at = wrapperAt;
      lodash2.prototype.chain = wrapperChain;
      lodash2.prototype.commit = wrapperCommit;
      lodash2.prototype.next = wrapperNext;
      lodash2.prototype.plant = wrapperPlant;
      lodash2.prototype.reverse = wrapperReverse;
      lodash2.prototype.toJSON = lodash2.prototype.valueOf = lodash2.prototype.value = wrapperValue;
      lodash2.prototype.first = lodash2.prototype.head;
      if (symIterator) {
        lodash2.prototype[symIterator] = wrapperToIterator;
      }
      return lodash2;
    };
    var _ = runInContext();
    if (freeModule) {
      (freeModule.exports = _)._ = _;
      freeExports._ = _;
    } else {
      root2._ = _;
    }
  }).call(commonjsGlobal);
});
class ViewportService {
  constructor(sv, contentHeight) {
    var _a, _b;
    this.sv = sv;
    this.storesByType = {};
    this.storesXToType = {};
    this.storesYToType = {};
    (_a = this.sv.selectionStoreConnector) === null || _a === void 0 ? void 0 : _a.beforeUpdate();
    this.columns = this.getViewportColumnData(contentHeight);
    (_b = this.sv.scrollingService) === null || _b === void 0 ? void 0 : _b.unregister();
  }
  onColumnResize(type, e, store) {
    var _a;
    (_a = this.sv.dimensionProvider) === null || _a === void 0 ? void 0 : _a.setDimensionSize(type, e.detail);
    const changedItems = lodash.reduce(e.detail || {}, (r, size2, index) => {
      const item = getSourceItem(store, parseInt(index, 10));
      if (item) {
        r[item.prop] = Object.assign(Object.assign({}, item), { size: size2 });
      }
      return r;
    }, {});
    this.sv.resize(changedItems);
  }
  getViewportColumnData(contentHeight) {
    const columns = [];
    let x = 0;
    columnTypes.forEach((val) => {
      const colStore = this.sv.columnProvider.stores[val].store;
      if (!colStore.get("items").length) {
        return;
      }
      const column = {
        colType: val,
        position: { x, y: 1 },
        contentHeight,
        fixWidth: val !== "rgCol",
        uuid: `${this.sv.uuid}-${x}`,
        viewports: this.sv.viewportProvider.stores,
        dimensions: this.sv.dimensionProvider.stores,
        rowStores: this.sv.dataProvider.stores,
        colStore,
        onHeaderresize: (e) => this.onColumnResize(val, e, colStore)
      };
      if (val === "rgCol") {
        column.onResizeViewport = (e) => {
          var _a;
          return (_a = this.sv.viewportProvider) === null || _a === void 0 ? void 0 : _a.setViewport(e.detail.dimension, { virtualSize: e.detail.size });
        };
      }
      const colData = this.gatherColumnData(column);
      const columnSelectionStore = this.registerCol(colData.position.x, val);
      const dataPorts = this.dataViewPort(column).reduce((r, rgRow) => {
        const segmentSelection = this.registerSegment(rgRow.position);
        segmentSelection.setLastCell(rgRow.lastCell);
        const rowSelectionStore = this.registerRow(rgRow.position.y, rgRow.type);
        const rowDef = Object.assign(Object.assign({}, rgRow), { rowSelectionStore, segmentSelectionStore: segmentSelection.store, ref: (e) => this.sv.selectionStoreConnector.registerSection(e), onSetRange: (e) => segmentSelection.setRangeArea(e.detail), onSetTempRange: (e) => segmentSelection.setTempArea(e.detail), onFocusCell: (e) => {
          segmentSelection.clearFocus();
          this.sv.selectionStoreConnector.focus(segmentSelection, e.detail);
        } });
        r.push(rowDef);
        return r;
      }, []);
      columns.push(Object.assign(Object.assign({}, colData), {
        columnSelectionStore,
        dataPorts
      }));
      x++;
    });
    return columns;
  }
  registerSegment(position) {
    return this.sv.selectionStoreConnector.register(position);
  }
  registerRow(y, type) {
    this.storesByType[type] = y;
    this.storesYToType[y] = type;
    return this.sv.selectionStoreConnector.registerRow(y).store;
  }
  registerCol(x, type) {
    this.storesByType[type] = x;
    this.storesXToType[x] = type;
    return this.sv.selectionStoreConnector.registerColumn(x).store;
  }
  gatherColumnData(data) {
    const parent = data.uuid;
    const realSize = data.dimensions[data.colType].store.get("realSize");
    const prop = {
      contentWidth: realSize,
      class: data.colType,
      [`${UUID}`]: data.uuid,
      contentHeight: data.contentHeight,
      key: data.colType,
      onResizeViewport: data.onResizeViewport
    };
    if (data.fixWidth) {
      prop.style = { minWidth: `${realSize}px` };
    }
    const headerProp = {
      parent,
      colData: getVisibleSourceItem(data.colStore),
      dimensionCol: data.dimensions[data.colType].store,
      groups: data.colStore.get("groups"),
      groupingDepth: data.colStore.get("groupingDepth"),
      onHeaderresize: data.onHeaderresize
    };
    return {
      prop,
      position: data.position,
      headerProp,
      parent,
      viewportCol: data.viewports[data.colType].store
    };
  }
  dataViewPort(data) {
    const slots = {
      rowPinStart: HEADER_SLOT,
      rgRow: CONTENT_SLOT,
      rowPinEnd: FOOTER_SLOT
    };
    let y = 0;
    return rowTypes.reduce((r, type) => {
      const isPresent = data.viewports[type].store.get("realCount") || type === "rgRow";
      const rgCol = Object.assign(Object.assign({}, data), { position: Object.assign(Object.assign({}, data.position), { y: isPresent ? y : EMPTY_INDEX }) });
      r.push(this.dataPartition(rgCol, type, slots[type], type !== "rgRow"));
      if (isPresent) {
        y++;
      }
      return r;
    }, []);
  }
  dataPartition(data, type, slot, fixed) {
    return {
      colData: data.colStore,
      viewportCol: data.viewports[data.colType].store,
      viewportRow: data.viewports[type].store,
      lastCell: getLastCell(data, type),
      slot,
      type,
      canDrag: !fixed,
      position: data.position,
      uuid: `${data.uuid}-${data.position.x}-${data.position.y}`,
      dataStore: data.rowStores[type].store,
      dimensionCol: data.dimensions[data.colType].store,
      dimensionRow: data.dimensions[type].store,
      style: fixed ? { height: `${data.dimensions[type].store.get("realSize")}px` } : void 0
    };
  }
  scrollToCell(cell) {
    for (let key in cell) {
      const coordinate = cell[key];
      this.sv.scrollingService.onScroll({ dimension: key === "x" ? "rgCol" : "rgRow", coordinate });
    }
  }
  clearFocused() {
    this.sv.selectionStoreConnector.clearAll();
  }
  clearEdit() {
    this.sv.selectionStoreConnector.setEdit(false);
  }
  getFocused() {
    const focused = this.sv.selectionStoreConnector.focusedStore;
    if (!focused) {
      return null;
    }
    const colType = this.storesXToType[focused.position.x];
    const column = this.sv.columnProvider.getColumn(focused.cell.x, colType);
    const rowType = this.storesYToType[focused.position.x];
    const model = this.sv.dataProvider.getModel(focused.cell.x, rowType);
    return {
      column,
      model,
      cell: focused.cell,
      colType,
      rowType
    };
  }
  getSelectedRange() {
    return this.sv.selectionStoreConnector.selectedRange;
  }
  setEdit(rowIndex, colIndex, colType, rowType) {
    var _a;
    const stores = this.storesByType;
    const storeCoordinate = {
      x: stores[colType],
      y: stores[rowType]
    };
    (_a = this.sv.selectionStoreConnector) === null || _a === void 0 ? void 0 : _a.setEditByCell(storeCoordinate, { x: colIndex, y: rowIndex });
  }
}
const ViewPortSections = ({ resize, editors, rowClass, readonly, range: range2, columns, useClipboard, columnFilter, registerElement, onEdit, onScroll }) => {
  const viewPortHtml = [];
  for (let view of columns) {
    const dataViews = [
      h("revogr-header", Object.assign({ viewportCol: view.viewportCol }, view.headerProp, { selectionStore: view.columnSelectionStore, slot: HEADER_SLOT, columnFilter, canResize: resize }))
    ];
    view.dataPorts.forEach((data, j) => {
      const key = view.prop.key + (j + 1);
      const dataView = h(
        "revogr-overlay-selection",
        Object.assign({}, data, { slot: data.slot, selectionStore: data.segmentSelectionStore, editors, readonly, range: range2, useClipboard, onSetEdit: ({ detail }) => onEdit(detail) }),
        h("revogr-data", Object.assign({}, data, { [UUID]: data.uuid }, { key, readonly, range: range2, rowClass, rowSelectionStore: data.rowSelectionStore, slot: DATA_SLOT })),
        h("revogr-temp-range", { selectionStore: data.segmentSelectionStore, dimensionRow: data.dimensionRow, dimensionCol: data.dimensionCol }),
        h("revogr-focus", { selectionStore: data.segmentSelectionStore, dimensionRow: data.dimensionRow, dimensionCol: data.dimensionCol })
      );
      dataViews.push(dataView);
    });
    viewPortHtml.push(h("revogr-viewport-scroll", Object.assign({}, view.prop, { ref: (el) => registerElement(el, view.prop.key), onScrollViewport: (e) => onScroll(e.detail, view.prop.key) }), dataViews));
  }
  return viewPortHtml;
};
class GridScrollingService {
  constructor(setViewport) {
    this.setViewport = setViewport;
    this.elements = {};
  }
  async onScroll(e, key) {
    let newEvent;
    for (let elKey in this.elements) {
      if (this.isPinnedColumn(key) && e.dimension === "rgCol") {
        if (elKey === key || !e.delta) {
          continue;
        }
        for (let el of this.elements[elKey]) {
          el.changeScroll && (newEvent = el.changeScroll(e));
        }
      } else if (e.dimension === "rgCol" && elKey === "headerRow") {
        continue;
      } else {
        for (let el of this.elements[elKey]) {
          el.setScroll(e);
        }
      }
    }
    let event = e;
    if (newEvent) {
      event = await newEvent;
    }
    this.setViewport(event);
  }
  isPinnedColumn(key) {
    return ["colPinStart", "colPinEnd"].indexOf(key) > -1;
  }
  registerElements(els) {
    this.elements = els;
  }
  registerElement(el, key) {
    if (!this.elements[key]) {
      this.elements[key] = [];
    }
    if (el) {
      this.elements[key].push(el);
    } else if (this.elements[key]) {
      delete this.elements[key];
    }
  }
  unregister() {
    delete this.elements;
    this.elements = {};
  }
}
class StretchColumn extends BasePlugin {
  constructor(revogrid, dimensionProvider) {
    super(revogrid);
    this.dimensionProvider = dimensionProvider;
    this.stretchedColumn = null;
    this.scrollSize = getScrollbarWidth(document);
    const beforecolumnapplied = ({ detail: { columns } }) => this.applyStretch(columns);
    this.addEventListener("beforecolumnapplied", beforecolumnapplied);
  }
  setScroll({ type, hasScroll }) {
    var _a;
    if (type === "rgRow" && this.stretchedColumn && ((_a = this.stretchedColumn) === null || _a === void 0 ? void 0 : _a.initialSize) === this.stretchedColumn.size) {
      if (hasScroll) {
        this.stretchedColumn.size -= this.scrollSize;
        this.apply();
        this.dropChanges();
      }
    }
  }
  activateChanges() {
    const setScroll = ({ detail }) => this.setScroll(detail);
    this.addEventListener("scrollchange", setScroll);
  }
  dropChanges() {
    this.stretchedColumn = null;
    this.removeEventListener("scrollchange");
  }
  apply() {
    if (!this.stretchedColumn) {
      return;
    }
    const type = "rgCol";
    this.dimensionProvider.setDimensionSize(type, { [this.stretchedColumn.index]: this.stretchedColumn.size });
  }
  applyStretch(columns) {
    this.dropChanges();
    let sizeDifference = this.revogrid.clientWidth - 1;
    lodash.each(columns, (_c, type) => {
      const realSize = this.dimensionProvider.stores[type].store.get("realSize");
      sizeDifference -= realSize;
    });
    if (sizeDifference > 0) {
      const index = columns.rgCol.length - 1;
      const last = columns.rgCol[index];
      const colSize = (last === null || last === void 0 ? void 0 : last.size) || this.revogrid.colSize || 0;
      const size2 = sizeDifference + colSize - 1;
      if (last && !last.autoSize && colSize < size2) {
        this.stretchedColumn = {
          initialSize: size2,
          index,
          size: size2
        };
        this.apply();
        this.activateChanges();
      }
    }
  }
}
function isStretchPlugin(plugin) {
  return !!plugin.applyStretch;
}
const revoGridStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revo-grid[theme=default]{font-size:12px}revo-grid[theme=default] revogr-header{text-align:center;line-height:30px;background-color:#f8f9fa}revo-grid[theme=default] revogr-header .group-rgRow{box-shadow:none}revo-grid[theme=default] revogr-header .header-rgRow,revo-grid[theme=default] revogr-header .group-rgRow{text-transform:uppercase;font-size:12px;color:#61656a}revo-grid[theme=default] revogr-header .header-rgRow{height:30px;box-shadow:0 -1px 0 0 #c0c0c0 inset}revo-grid[theme=default] revogr-header .rgHeaderCell{box-shadow:-1px 0 0 0 #c0c0c0, -1px 0 0 0 #c0c0c0 inset, 0 -1px 0 0 #c0c0c0, 0 -1px 0 0 #c0c0c0 inset}revo-grid[theme=default] revogr-header .rgHeaderCell.focused-cell{background:rgba(233, 234, 237, 0.5)}revo-grid[theme=default] .rowHeaders{background-color:#f8f9fa}revo-grid[theme=default] .rowHeaders revogr-data .rgCell{color:#61656a;box-shadow:0 -1px 0 0 #c0c0c0 inset, -1px 0 0 0 #c0c0c0 inset}revo-grid[theme=default] .rowHeaders revogr-header{box-shadow:0 -1px 0 0 #c0c0c0 inset, -1px 0 0 0 #c0c0c0 inset}revo-grid[theme=default] revogr-viewport-scroll.colPinStart revogr-data .rgRow .rgCell:last-child{box-shadow:0 -1px 0 0 #e2e3e3 inset, -1px 0 0 0 #c0c0c0 inset}revo-grid[theme=default] revogr-viewport-scroll.colPinStart .footer-wrapper revogr-data .rgRow:first-child .rgCell{box-shadow:0 1px 0 0 #c0c0c0 inset, -1px 0 0 0 #c0c0c0 inset}revo-grid[theme=default] revogr-viewport-scroll.colPinEnd,revo-grid[theme=default] revogr-viewport-scroll.colPinEnd revogr-header{box-shadow:1px 0 0 #c0c0c0 inset}revo-grid[theme=default] .footer-wrapper revogr-data .rgRow:first-child .rgCell{box-shadow:0 1px 0 0 #e2e3e3 inset, -1px 0 0 0 #e2e3e3 inset, 0 -1px 0 0 #e2e3e3 inset}revo-grid[theme=default] revogr-data{text-align:center}revo-grid[theme=default] revogr-data .rgRow{line-height:27px;box-shadow:0 -1px 0 0 #e2e3e3 inset, -1px 0 0 0 #e2e3e3 inset}revo-grid[theme=default] revogr-data .rgRow.focused-rgRow{background-color:rgba(233, 234, 237, 0.5)}revo-grid[theme=default] revogr-data .rgCell{box-shadow:0 -1px 0 0 #e2e3e3 inset, -1px 0 0 0 #e2e3e3 inset}revo-grid[theme=default] revogr-data .rgCell.disabled{background-color:0 -1px 0 0 #e2e3e3 inset, -1px 0 0 0 #e2e3e3 inset}revo-grid[theme=material]{font-family:Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"}revo-grid[theme=material] revogr-header{line-height:50px;font-weight:600;text-align:left}revo-grid[theme=material] revogr-header .rgHeaderCell{padding:0 15px;text-overflow:ellipsis}revo-grid[theme=material] revogr-header .header-rgRow{height:50px}revo-grid[theme=material] revogr-data{text-align:left}revo-grid[theme=material] revogr-data .rgRow{line-height:42px}revo-grid[theme=material] revogr-data .rgCell{padding:0 15px}revo-grid[theme=material] .viewports{width:100%}revo-grid[theme=material] .rowHeaders{background-color:#f7faff}revo-grid[theme=material] .rowHeaders revogr-data .rgCell{color:#757a82}revo-grid[theme=material] revogr-header .header-rgRow.group{box-shadow:0 -1px 0 0 #f1f1f1 inset}revo-grid[theme=material] revogr-header .header-rgRow:not(.group){box-shadow:0 -1px 0 0 #f1f1f1, 0 -1px 0 0 #f1f1f1 inset}revo-grid[theme=material] revogr-header .rgHeaderCell.sortable:hover{background-color:#f1f1f1}revo-grid[theme=material] revogr-header .rgHeaderCell.focused-cell{background:rgba(233, 234, 237, 0.5)}revo-grid[theme=material] .footer-wrapper revogr-data{box-shadow:0 -1px 0 #f1f1f1}revo-grid[theme=material] revogr-viewport-scroll.colPinStart{box-shadow:-1px 0 0 #f1f1f1 inset}revo-grid[theme=material] revogr-viewport-scroll.colPinEnd{box-shadow:-1px 0 0 #f1f1f1}revo-grid[theme=material] revogr-data .rgRow{box-shadow:0 -1px 0 0 #f1f1f1 inset}revo-grid[theme=material] revogr-data .rgRow.focused-rgRow{background-color:rgba(233, 234, 237, 0.5)}revo-grid[theme=material] revogr-data .rgCell{color:rgba(0, 0, 0, 0.87)}revo-grid[theme=material] revogr-data .rgCell.disabled{background-color:#f7f7f7}revo-grid[theme=material] revogr-data .revo-draggable>.revo-drag-icon{background-color:#d4d4d4}revo-grid[theme=material] revogr-data .revo-draggable:hover>.revo-drag-icon{background-color:black}revo-grid[theme=darkMaterial]{font-family:Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";color:#d8d8d8}revo-grid[theme=darkMaterial] revogr-header{line-height:50px;font-weight:600;text-align:left}revo-grid[theme=darkMaterial] revogr-header .rgHeaderCell{padding:0 15px;text-overflow:ellipsis}revo-grid[theme=darkMaterial] revogr-header .header-rgRow{height:50px}revo-grid[theme=darkMaterial] revogr-data{text-align:left}revo-grid[theme=darkMaterial] revogr-data .rgRow{line-height:42px}revo-grid[theme=darkMaterial] revogr-data .rgCell{padding:0 15px}revo-grid[theme=darkMaterial] .viewports{width:100%}revo-grid[theme=darkMaterial] .rowHeaders{background-color:rgba(40, 39, 43, 0.8)}revo-grid[theme=darkMaterial] .rowHeaders revogr-data .rgCell{color:rgba(216, 216, 216, 0.8)}revo-grid[theme=darkMaterial] revogr-header .header-rgRow.group{box-shadow:0 -1px 0 0 #404040 inset}revo-grid[theme=darkMaterial] revogr-header .header-rgRow:not(.group){box-shadow:0 -1px 0 0 #404040, 0 -1px 0 0 #404040 inset}revo-grid[theme=darkMaterial] revogr-header .rgHeaderCell.sortable:hover{background-color:rgba(64, 64, 64, 0.5)}revo-grid[theme=darkMaterial] revogr-header .rgHeaderCell.focused-cell{background:rgba(115, 148, 160, 0.15)}revo-grid[theme=darkMaterial] .footer-wrapper revogr-data{box-shadow:0 -1px 0 #404040}revo-grid[theme=darkMaterial] revogr-data .rgCell{color:rgba(216, 216, 216, 0.9)}revo-grid[theme=darkMaterial] revogr-data .rgRow{box-shadow:0 -1px 0 0 #404040 inset}revo-grid[theme=darkMaterial] revogr-data .rgRow.focused-rgRow{background-color:rgba(115, 148, 160, 0.15)}revo-grid[theme=darkMaterial] revogr-data .revo-draggable>.revo-drag-icon{background-color:rgba(216, 216, 216, 0.5)}revo-grid[theme=darkMaterial] revogr-data .revo-draggable:hover>.revo-drag-icon{background-color:rgba(216, 216, 216, 0.7)}revo-grid[theme=darkMaterial] revogr-viewport-scroll.colPinStart{box-shadow:-1px 0 0 #404040 inset}revo-grid[theme=darkMaterial] revogr-viewport-scroll.colPinEnd{box-shadow:-1px 0 0 #404040}revo-grid[theme=darkCompact]{font-family:Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";color:#d8d8d8}revo-grid[theme=darkCompact] revogr-header{line-height:45px;font-weight:600;text-align:left}revo-grid[theme=darkCompact] revogr-header .rgHeaderCell{padding:0 15px;text-overflow:ellipsis}revo-grid[theme=darkCompact] revogr-header .header-rgRow{height:45px}revo-grid[theme=darkCompact] revogr-data{text-align:left}revo-grid[theme=darkCompact] revogr-data .rgRow{line-height:32px}revo-grid[theme=darkCompact] revogr-data .rgCell{padding:0 15px}revo-grid[theme=darkCompact] .viewports{width:100%}revo-grid[theme=darkCompact] .rowHeaders{background-color:rgba(40, 39, 43, 0.8)}revo-grid[theme=darkCompact] .rowHeaders revogr-data .rgCell{color:rgba(216, 216, 216, 0.8)}revo-grid[theme=darkCompact] revogr-header .header-rgRow.group{box-shadow:0 -1px 0 0 #404040 inset}revo-grid[theme=darkCompact] revogr-header .header-rgRow:not(.group){box-shadow:0 -1px 0 0 #404040, 0 -1px 0 0 #404040 inset}revo-grid[theme=darkCompact] revogr-header .rgHeaderCell.sortable:hover{background-color:rgba(64, 64, 64, 0.5)}revo-grid[theme=darkCompact] revogr-header .rgHeaderCell.focused-cell{background:rgba(115, 148, 160, 0.15)}revo-grid[theme=darkCompact] .footer-wrapper revogr-data{box-shadow:0 -1px 0 #404040}revo-grid[theme=darkCompact] revogr-data .rgCell{color:rgba(216, 216, 216, 0.9)}revo-grid[theme=darkCompact] revogr-data .rgRow{box-shadow:0 -1px 0 0 #404040 inset}revo-grid[theme=darkCompact] revogr-data .rgRow.focused-rgRow{background-color:rgba(115, 148, 160, 0.15)}revo-grid[theme=darkCompact] revogr-data .revo-draggable>.revo-drag-icon{background-color:rgba(216, 216, 216, 0.5)}revo-grid[theme=darkCompact] revogr-data .revo-draggable:hover>.revo-drag-icon{background-color:rgba(216, 216, 216, 0.7)}revo-grid[theme=darkCompact] revogr-viewport-scroll.colPinStart{box-shadow:-1px 0 0 #404040 inset}revo-grid[theme=darkCompact] revogr-viewport-scroll.colPinEnd{box-shadow:-1px 0 0 #404040}revo-grid[theme=compact]{font-family:Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"}revo-grid[theme=compact] revogr-header{line-height:45px;font-weight:600;text-align:left}revo-grid[theme=compact] revogr-header .rgHeaderCell{padding:0 15px;text-overflow:ellipsis}revo-grid[theme=compact] revogr-header .header-rgRow{height:45px}revo-grid[theme=compact] revogr-data{text-align:left}revo-grid[theme=compact] revogr-data .rgRow{line-height:32px}revo-grid[theme=compact] revogr-data .rgCell{padding:0 15px}revo-grid[theme=compact] .viewports{width:100%}revo-grid[theme=compact] .rowHeaders{background-color:#f7faff}revo-grid[theme=compact] .rowHeaders revogr-data .rgCell{color:#757a82}revo-grid[theme=compact] revogr-header .header-rgRow.group{box-shadow:0 -1px 0 0 #f1f1f1 inset}revo-grid[theme=compact] revogr-header .header-rgRow:not(.group){box-shadow:0 -1px 0 0 #f1f1f1, 0 -1px 0 0 #f1f1f1 inset}revo-grid[theme=compact] revogr-header .rgHeaderCell.sortable:hover{background-color:#f1f1f1}revo-grid[theme=compact] revogr-header .rgHeaderCell.focused-cell{background:rgba(233, 234, 237, 0.5)}revo-grid[theme=compact] .footer-wrapper revogr-data{box-shadow:0 -1px 0 #f1f1f1}revo-grid[theme=compact] revogr-viewport-scroll.colPinStart{box-shadow:-1px 0 0 #f1f1f1 inset}revo-grid[theme=compact] revogr-viewport-scroll.colPinEnd{box-shadow:-1px 0 0 #f1f1f1}revo-grid[theme=compact] revogr-data .rgRow{box-shadow:0 -1px 0 0 #f1f1f1 inset}revo-grid[theme=compact] revogr-data .rgRow.focused-rgRow{background-color:rgba(233, 234, 237, 0.5)}revo-grid[theme=compact] revogr-data .rgCell{color:rgba(0, 0, 0, 0.87)}revo-grid[theme=compact] revogr-data .rgCell.disabled{background-color:#f7f7f7}revo-grid[theme=compact] revogr-data .revo-draggable>.revo-drag-icon{background-color:#d4d4d4}revo-grid[theme=compact] revogr-data .revo-draggable:hover>.revo-drag-icon{background-color:black}revo-grid[theme=compact] revo-dropdown .rv-dr-root{padding:0px 9px}revo-grid{display:block;height:100%;font-family:Helvetica, Arial, Sans-Serif, serif;font-size:14px;position:relative;-webkit-touch-callout:none;-webkit-user-select:none;-khtml-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;display:flex;flex-direction:column;width:100%;height:100%}revo-grid .footer-wrapper,revo-grid .header-wrapper{width:100%}revo-grid .footer-wrapper revogr-data,revo-grid .header-wrapper revogr-data{z-index:3}revo-grid revo-dropdown{width:100%}revo-grid revo-dropdown .rv-dr-root{max-height:100%}revo-grid revo-dropdown.shrink label{opacity:0}revo-grid .viewports{max-height:100%;display:flex;flex-direction:row;align-items:flex-start;max-width:100%}revo-grid .main-viewport{flex-grow:1;height:0;display:flex;flex-direction:row}revo-grid .draggable{position:fixed;height:30px;line-height:30px;background:#fff;border-radius:3px;display:block;z-index:100;margin-top:5px;margin-right:-20px;box-shadow:0 4px 20px 0 rgba(0, 0, 0, 0.15);padding-left:20px;padding-right:5px}revo-grid .draggable.hidden{display:none}revo-grid .draggable .revo-alt-icon{background-color:black;position:absolute;left:5px;top:10px}revo-grid .draggable-wrapper.hidden{display:none}revo-grid .drag-position{position:absolute;left:0;right:0;height:1px;z-index:2;background:red}revo-grid .clipboard{position:absolute;left:0;top:0}revo-grid revogr-scroll-virtual{position:relative}revo-grid revogr-scroll-virtual.vertical,revo-grid revogr-scroll-virtual.horizontal{z-index:3}`;
const RevoGridComponent = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.beforeedit = createEvent(this, "beforeedit", 7);
    this.beforerangeedit = createEvent(this, "beforerangeedit", 7);
    this.afteredit = createEvent(this, "afteredit", 7);
    this.beforeautofill = createEvent(this, "beforeautofill", 7);
    this.beforeaange = createEvent(this, "beforeaange", 7);
    this.roworderchanged = createEvent(this, "roworderchanged", 7);
    this.beforesourcesortingapply = createEvent(this, "beforesourcesortingapply", 7);
    this.beforesortingapply = createEvent(this, "beforesortingapply", 7);
    this.beforesorting = createEvent(this, "beforesorting", 7);
    this.rowdragstart = createEvent(this, "rowdragstart", 7);
    this.headerclick = createEvent(this, "headerclick", 7);
    this.beforecellfocus = createEvent(this, "beforecellfocus", 7);
    this.beforefocuslost = createEvent(this, "beforefocuslost", 7);
    this.beforesourceset = createEvent(this, "beforesourceset", 7);
    this.aftersourceset = createEvent(this, "aftersourceset", 7);
    this.beforecolumnsset = createEvent(this, "beforecolumnsset", 7);
    this.beforecolumnapplied = createEvent(this, "beforecolumnapplied", 7);
    this.aftercolumnsset = createEvent(this, "aftercolumnsset", 7);
    this.beforefilterapply = createEvent(this, "beforefilterapply", 7);
    this.beforefiltertrimmed = createEvent(this, "beforefiltertrimmed", 7);
    this.beforetrimmed = createEvent(this, "beforetrimmed", 7);
    this.aftertrimmed = createEvent(this, "aftertrimmed", 7);
    this.viewportscroll = createEvent(this, "viewportscroll", 7);
    this.beforeexport = createEvent(this, "beforeexport", 7);
    this.beforeeditstart = createEvent(this, "beforeeditstart", 7);
    this.aftercolumnresize = createEvent(this, "aftercolumnresize", 7);
    this.frameSize = 1;
    this.rowSize = 0;
    this.colSize = 100;
    this.range = false;
    this.readonly = false;
    this.resize = false;
    this.canFocus = true;
    this.useClipboard = true;
    this.columns = [];
    this.source = [];
    this.pinnedTopSource = [];
    this.pinnedBottomSource = [];
    this.rowDefinitions = [];
    this.editors = {};
    this.columnTypes = {};
    this.theme = "default";
    this.rowClass = "";
    this.autoSizeColumn = false;
    this.filter = false;
    this.trimmedRows = {};
    this.exporting = false;
    this.stretch = true;
    this.extraElements = [];
    this.uuid = null;
    this.viewport = null;
    this.internalPlugins = [];
    this.subscribers = {};
  }
  async refresh(type = "all") {
    this.dataProvider.refresh(type);
  }
  async scrollToRow(coordinate = 0) {
    const y = this.dimensionProvider.getViewPortPos({
      coordinate,
      dimension: "rgRow"
    });
    await this.scrollToCoordinate({ y });
  }
  async scrollToColumnIndex(coordinate = 0) {
    const x = this.dimensionProvider.getViewPortPos({
      coordinate,
      dimension: "rgCol"
    });
    await this.scrollToCoordinate({ x });
  }
  async scrollToColumnProp(prop) {
    const coordinate = this.columnProvider.getColumnIndexByProp(prop, "rgCol");
    if (coordinate < 0) {
      return;
    }
    const x = this.dimensionProvider.getViewPortPos({
      coordinate,
      dimension: "rgCol"
    });
    await this.scrollToCoordinate({ x });
  }
  async updateColumns(cols) {
    this.columnProvider.updateColumns(cols);
  }
  async addTrimmed(trimmed, trimmedType = "external", type = "rgRow") {
    const event = this.beforetrimmed.emit({
      trimmed,
      trimmedType,
      type
    });
    if (event.defaultPrevented) {
      return event;
    }
    this.dataProvider.setTrimmed({ [trimmedType]: event.detail.trimmed }, type);
    this.aftertrimmed.emit();
    return event;
  }
  async scrollToCoordinate(cell) {
    var _a;
    (_a = this.viewport) === null || _a === void 0 ? void 0 : _a.scrollToCell(cell);
  }
  async setCellEdit(rgRow, prop, rowSource = "rgRow") {
    var _a;
    const rgCol = ColumnDataProvider.getColumnByProp(this.columns, prop);
    if (!rgCol) {
      return;
    }
    await timeout();
    (_a = this.viewport) === null || _a === void 0 ? void 0 : _a.setEdit(rgRow, this.columnProvider.getColumnIndexByProp(prop, "rgCol"), rgCol.pin || "rgCol", rowSource);
  }
  async registerVNode(elements) {
    this.extraElements.push(...elements);
    this.extraElements = [...this.extraElements];
  }
  async getSource(type = "rgRow") {
    return this.dataProvider.stores[type].store.get("source");
  }
  async getVisibleSource(type = "rgRow") {
    return getVisibleSourceItem(this.dataProvider.stores[type].store);
  }
  async getSourceStore(type = "rgRow") {
    return this.dataProvider.stores[type].store;
  }
  async getColumnStore(type = "rgCol") {
    return this.columnProvider.stores[type].store;
  }
  async updateColumnSorting(column, index, order, additive) {
    return this.columnProvider.updateColumnSorting(column, index, order, additive);
  }
  async clearSorting() {
    this.columnProvider.clearSorting();
  }
  async getColumns() {
    return this.columnProvider.getColumns();
  }
  async clearFocus() {
    var _a;
    const focused = await this.getFocused();
    const event = this.beforefocuslost.emit(focused);
    if (event.defaultPrevented) {
      return;
    }
    this.selectionStoreConnector.clearAll();
    (_a = this.viewport) === null || _a === void 0 ? void 0 : _a.clearFocused();
  }
  async getPlugins() {
    return [...this.internalPlugins];
  }
  async getFocused() {
    var _a;
    return (_a = this.viewport) === null || _a === void 0 ? void 0 : _a.getFocused();
  }
  async getSelectedRange() {
    var _a;
    return (_a = this.viewport) === null || _a === void 0 ? void 0 : _a.getSelectedRange();
  }
  handleOutsideClick({ target }) {
    if (!(target === null || target === void 0 ? void 0 : target.closest(`[${UUID}="${this.uuid}"]`))) {
      this.clearFocus();
    }
  }
  onRowDragStarted(e) {
    var _a;
    e.cancelBubble = true;
    const dragStart = this.rowdragstart.emit(e.detail);
    if (dragStart.defaultPrevented) {
      e.preventDefault();
      return;
    }
    (_a = this.orderService) === null || _a === void 0 ? void 0 : _a.start(this.element, Object.assign(Object.assign({}, e.detail), dragStart.detail));
  }
  onRowDragEnd() {
    var _a;
    (_a = this.orderService) === null || _a === void 0 ? void 0 : _a.end();
  }
  onRowDrag({ detail }) {
    var _a;
    (_a = this.orderService) === null || _a === void 0 ? void 0 : _a.move(detail);
  }
  onRowMouseMove(e) {
    var _a;
    e.cancelBubble = true;
    (_a = this.orderService) === null || _a === void 0 ? void 0 : _a.moveTip(e.detail);
  }
  async onBeforeEdit(e) {
    e.cancelBubble = true;
    const { defaultPrevented, detail } = this.beforeedit.emit(e.detail);
    await timeout();
    if (!defaultPrevented) {
      this.dataProvider.setCellData(detail);
      this.afteredit.emit(detail);
    }
  }
  onBeforeRangeEdit(e) {
    e.cancelBubble = true;
    const { defaultPrevented } = this.beforerangeedit.emit(e.detail);
    if (defaultPrevented) {
      e.preventDefault();
      return;
    }
    this.afteredit.emit(e.detail);
  }
  onRangeChanged(e) {
    e.cancelBubble = true;
    const beforeaange = this.beforeaange.emit(e.detail);
    if (beforeaange.defaultPrevented) {
      e.preventDefault();
    }
    const beforeFill = this.beforeautofill.emit(e.detail);
    if (beforeFill.defaultPrevented) {
      return;
    }
  }
  onRowDropped(e) {
    e.cancelBubble = true;
    const { defaultPrevented } = this.roworderchanged.emit(e.detail);
    if (defaultPrevented) {
      e.preventDefault();
    }
  }
  onHeaderClick(e) {
    const { defaultPrevented } = this.headerclick.emit(Object.assign(Object.assign({}, e.detail.column), { originalEvent: e.detail.originalEvent }));
    if (defaultPrevented) {
      e.preventDefault();
    }
  }
  onCellFocus(e) {
    e.cancelBubble = true;
    const { defaultPrevented } = this.beforecellfocus.emit(e.detail);
    if (!this.canFocus || defaultPrevented) {
      e.preventDefault();
    }
  }
  columnChanged(newVal = []) {
    this.dimensionProvider.drop();
    const columnGather = ColumnDataProvider.getColumns(newVal, 0, this.columnTypes);
    this.beforecolumnsset.emit(columnGather);
    for (let type of columnTypes) {
      const items = columnGather.columns[type];
      this.dimensionProvider.setRealSize(items.length, type);
      this.dimensionProvider.setColumns(type, ColumnDataProvider.getSizes(items), type !== "rgCol");
    }
    this.beforecolumnapplied.emit(columnGather);
    const columns = this.columnProvider.setColumns(columnGather);
    this.aftercolumnsset.emit({
      columns,
      order: this.columnProvider.order
    });
  }
  themeChanged(t) {
    this.themeService.register(t);
    this.dimensionProvider.setSettings({ originItemSize: this.themeService.rowSize, frameOffset: this.frameSize || 0 }, "rgRow");
    this.dimensionProvider.setSettings({ originItemSize: this.colSize, frameOffset: this.frameSize || 0 }, "rgCol");
  }
  dataChanged(source = []) {
    let newSource = [...source];
    const beforesourceset = this.beforesourceset.emit({
      type: "rgRow",
      source: newSource
    });
    newSource = beforesourceset.detail.source;
    newSource = this.dataProvider.setData(newSource, "rgRow");
    this.aftersourceset.emit({
      type: "rgRow",
      source: newSource
    });
  }
  dataBottomChanged(newVal = []) {
    this.dataProvider.setData(newVal, "rowPinEnd");
  }
  dataTopChanged(newVal = []) {
    this.dataProvider.setData(newVal, "rowPinStart");
  }
  rowDefChanged(newVal = []) {
    if (!newVal.length) {
      return;
    }
    const rows = reduce_1(newVal, (r, v) => {
      if (!r[v.type]) {
        r[v.type] = {};
      }
      if (v.size) {
        if (!r[v.type].sizes) {
          r[v.type].sizes = {};
        }
        r[v.type].sizes[v.index] = v.size;
      }
      return r;
    }, {});
    each(rows, (r, k) => {
      if (r.sizes) {
        this.dimensionProvider.setDimensionSize(k, r.sizes);
      }
    });
  }
  trimmedRowsChanged(newVal = {}) {
    this.addTrimmed(newVal);
  }
  groupingChanged(newVal = {}) {
    let grPlugin;
    for (let p of this.internalPlugins) {
      const isGrouping2 = p;
      if (isGrouping2.setGrouping) {
        grPlugin = isGrouping2;
        break;
      }
    }
    if (!grPlugin) {
      return;
    }
    grPlugin.setGrouping(newVal || {});
  }
  applyStretch(isStretch) {
    if (isStretch === "false") {
      isStretch = false;
    }
    let stretch = this.internalPlugins.filter((p) => isStretchPlugin(p))[0];
    if (isStretch) {
      if (!stretch) {
        this.internalPlugins.push(new StretchColumn(this.element, this.dimensionProvider));
      } else {
        stretch.applyStretch(this.columnProvider.getRawColumns());
      }
    } else if (stretch) {
      const index = this.internalPlugins.indexOf(stretch);
      this.internalPlugins.splice(index, 1);
    }
  }
  connectedCallback() {
    this.viewportProvider = new ViewportProvider();
    this.themeService = new ThemeService({
      rowSize: this.rowSize
    });
    this.dimensionProvider = new DimensionProvider(this.viewportProvider);
    this.columnProvider = new ColumnDataProvider();
    this.dataProvider = new DataProvider(this.dimensionProvider);
    this.uuid = `${new Date().getTime()}-rvgrid`;
    if (this.autoSizeColumn) {
      this.internalPlugins.push(new AutoSizeColumn(this.element, {
        dataProvider: this.dataProvider,
        columnProvider: this.columnProvider,
        dimensionProvider: this.dimensionProvider
      }, typeof this.autoSizeColumn === "object" ? this.autoSizeColumn : void 0));
    }
    if (this.filter) {
      this.internalPlugins.push(new FilterPlugin(this.element, this.uuid, typeof this.filter === "object" ? this.filter : void 0));
    }
    if (this.exporting) {
      this.internalPlugins.push(new ExportFilePlugin(this.element));
    }
    this.internalPlugins.push(new SortingPlugin(this.element));
    if (this.plugins) {
      this.plugins.forEach((p) => {
        this.internalPlugins.push(new p(this.element));
      });
    }
    this.internalPlugins.push(new GroupingRowPlugin(this.element, {
      dataProvider: this.dataProvider,
      columnProvider: this.columnProvider
    }));
    this.applyStretch(this.stretch);
    this.themeChanged(this.theme);
    this.columnChanged(this.columns);
    this.dataChanged(this.source);
    this.dataTopChanged(this.pinnedTopSource);
    this.dataBottomChanged(this.pinnedBottomSource);
    this.trimmedRowsChanged(this.trimmedRows);
    this.rowDefChanged(this.rowDefinitions);
    this.groupingChanged(this.grouping);
    this.selectionStoreConnector = new SelectionStoreConnector();
    this.scrollingService = new GridScrollingService((e) => {
      this.dimensionProvider.setViewPortCoordinate({
        coordinate: e.coordinate,
        type: e.dimension
      });
      this.viewportscroll.emit(e);
    });
    this.subscribers = { "click": this.handleOutsideClick.bind(this) };
    for (let type in this.subscribers) {
      document.addEventListener(type, this.subscribers[type]);
    }
  }
  disconnectedCallback() {
    each(this.internalPlugins, (p) => p.destroy());
    this.internalPlugins = [];
    for (let type in this.subscribers) {
      document.removeEventListener(type, this.subscribers[type]);
      delete this.subscribers[type];
    }
  }
  render() {
    const contentHeight = this.dimensionProvider.stores["rgRow"].store.get("realSize");
    this.viewport = new ViewportService({
      columnProvider: this.columnProvider,
      dataProvider: this.dataProvider,
      dimensionProvider: this.dimensionProvider,
      viewportProvider: this.viewportProvider,
      uuid: this.uuid,
      scrollingService: this.scrollingService,
      orderService: this.orderService,
      selectionStoreConnector: this.selectionStoreConnector,
      resize: (c) => this.aftercolumnresize.emit(c)
    }, contentHeight);
    const views = [];
    if (this.rowHeaders) {
      const anyView = this.viewport.columns[0];
      views.push(h("revogr-row-headers", { height: contentHeight, resize: this.resize, dataPorts: anyView.dataPorts, headerProp: anyView.headerProp, uiid: anyView.prop[UUID], rowHeaderColumn: typeof this.rowHeaders === "object" ? this.rowHeaders : void 0, onScrollViewport: ({ detail: e }) => this.scrollingService.onScroll(e, "headerRow"), onElementToScroll: ({ detail: e }) => this.scrollingService.registerElement(e, "headerRow") }));
    }
    views.push(h(ViewPortSections, { columnFilter: !!this.filter, resize: this.resize, readonly: this.readonly, range: this.range, rowClass: this.rowClass, editors: this.editors, useClipboard: this.useClipboard, columns: this.viewport.columns, onEdit: (detail) => {
      const event = this.beforeeditstart.emit(detail);
      if (!event.defaultPrevented) {
        this.selectionStoreConnector.setEdit(detail.isCancel ? false : detail.val);
      }
    }, registerElement: (e, k) => this.scrollingService.registerElement(e, k), onScroll: (details) => this.scrollingService.onScroll(details) }));
    return h(Host, Object.assign({}, { [`${UUID}`]: this.uuid }), h(RevoViewPort, { viewports: this.viewportProvider.stores, dimensions: this.dimensionProvider.stores, orderRef: (e) => this.orderService = e, registerElement: (e, k) => this.scrollingService.registerElement(e, k), nakedClick: () => this.viewport.clearEdit(), onScroll: (details) => this.scrollingService.onScroll(details) }, views), this.extraElements);
  }
  get element() {
    return this;
  }
  static get watchers() {
    return {
      "columns": ["columnChanged"],
      "theme": ["themeChanged"],
      "source": ["dataChanged"],
      "pinnedBottomSource": ["dataBottomChanged"],
      "pinnedTopSource": ["dataTopChanged"],
      "rowDefinitions": ["rowDefChanged"],
      "trimmedRows": ["trimmedRowsChanged"],
      "grouping": ["groupingChanged"],
      "stretch": ["applyStretch"]
    };
  }
  static get style() {
    return revoGridStyleCss;
  }
};
const Clipboard = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.copyRegion = createEvent(this, "copyRegion", 3);
    this.pasteRegion = createEvent(this, "pasteRegion", 3);
  }
  onPaste(e) {
    const clipboardData = this.getData(e);
    const isHTML = clipboardData.types.indexOf("text/html") > -1;
    const data = isHTML ? clipboardData.getData("text/html") : clipboardData.getData("text");
    const parsedData = isHTML ? this.htmlParse(data) : this.textParse(data);
    this.pasteRegion.emit(parsedData);
    e.preventDefault();
  }
  copyStarted(e) {
    this.copyRegion.emit(this.getData(e));
    e.preventDefault();
  }
  async doCopy(e, data) {
    e.setData("text/plain", data ? this.parserCopy(data) : "");
  }
  parserCopy(data) {
    return data.map((rgRow) => rgRow.join("	")).join("\n");
  }
  textParse(data) {
    const result = [];
    const rows = data.split(/\r\n|\n|\r/);
    for (let y in rows) {
      result.push(rows[y].split("	"));
    }
    return result;
  }
  htmlParse(data) {
    const result = [];
    const table = document.createRange().createContextualFragment(data).querySelector("table");
    for (const rgRow of Array.from(table.rows)) {
      result.push(Array.from(rgRow.cells).map((cell) => cell.innerText));
    }
    return result;
  }
  getData(e) {
    var _a;
    return e.clipboardData || ((_a = window) === null || _a === void 0 ? void 0 : _a.clipboardData);
  }
};
class ColumnService {
  constructor(dataStore, source) {
    this.dataStore = dataStore;
    this.source = source;
    this.unsubscribe = [];
    this.hasGrouping = false;
    this.unsubscribe.push(source.onChange("source", (s) => this.checkGrouping(s)));
    this.checkGrouping(source.get("source"));
  }
  get columns() {
    return getVisibleSourceItem(this.source);
  }
  checkGrouping(cols) {
    for (let rgCol of cols) {
      if (isGroupingColumn(rgCol)) {
        this.hasGrouping = true;
        return;
      }
      this.hasGrouping = false;
    }
  }
  isReadOnly(r, c) {
    var _a;
    const readOnly = (_a = this.columns[c]) === null || _a === void 0 ? void 0 : _a.readonly;
    if (typeof readOnly === "function") {
      const data = this.rowDataModel(r, c);
      return readOnly(data);
    }
    return readOnly;
  }
  static doMerge(existing, extra) {
    let props = Object.assign(Object.assign({}, extra), existing);
    if (extra.class) {
      if (typeof extra.class === "object" && typeof props.class === "object") {
        props.class = Object.assign(Object.assign({}, extra.class), props.class);
      } else if (typeof extra.class === "string" && typeof props.class === "object") {
        props.class[extra.class] = true;
      } else if (typeof props.class === "string") {
        props.class += " " + extra.class;
      }
    }
    if (extra.style) {
      props.style = Object.assign(Object.assign({}, extra.style), props.style);
    }
    return props;
  }
  mergeProperties(r, c, defaultProps2) {
    var _a;
    const cellClass = {
      [CELL_CLASS]: true,
      [DISABLED_CLASS]: this.isReadOnly(r, c)
    };
    let props = Object.assign(Object.assign({}, defaultProps2), { class: cellClass });
    const extraPropsFunc = (_a = this.columns[c]) === null || _a === void 0 ? void 0 : _a.cellProperties;
    if (extraPropsFunc) {
      const data = this.rowDataModel(r, c);
      const extra = extraPropsFunc(data);
      if (!extra) {
        return props;
      }
      return ColumnService.doMerge(props, extra);
    }
    return props;
  }
  customRenderer(_r, c, model) {
    var _a;
    const tpl = (_a = this.columns[c]) === null || _a === void 0 ? void 0 : _a.cellTemplate;
    if (tpl) {
      return tpl(h, model);
    }
    return;
  }
  getRowClass(r, prop) {
    const model = getSourceItem(this.dataStore, r) || {};
    return model[prop] || "";
  }
  getCellData(r, c) {
    const data = this.rowDataModel(r, c);
    return ColumnService.getData(data.model[data.prop]);
  }
  getSaveData(rowIndex, c, val) {
    if (typeof val === "undefined") {
      val = this.getCellData(rowIndex, c);
    }
    const data = this.rowDataModel(rowIndex, c);
    return {
      prop: data.prop,
      rowIndex,
      val,
      model: data.model,
      type: this.dataStore.get("type")
    };
  }
  getCellEditor(_r, c, editors) {
    var _a;
    const editor = (_a = this.columns[c]) === null || _a === void 0 ? void 0 : _a.editor;
    if (!editor) {
      return void 0;
    }
    if (typeof editor === "string") {
      return editors[editor];
    }
    return editor;
  }
  rowDataModel(rowIndex, c) {
    const column = this.columns[c];
    const prop = column === null || column === void 0 ? void 0 : column.prop;
    const model = getSourceItem(this.dataStore, rowIndex) || {};
    return {
      prop,
      model,
      data: this.dataStore.get("source"),
      column,
      rowIndex
    };
  }
  getRangeData(d) {
    const changed = {};
    const copyColLength = d.oldProps.length;
    const copyFrom = this.copyRangeArray(d.oldRange, d.oldProps, this.dataStore);
    const copyRowLength = copyFrom.length;
    for (let rowIndex = d.newRange.y, i = 0; rowIndex < d.newRange.y1 + 1; rowIndex++, i++) {
      const copyRow = copyFrom[i % copyRowLength];
      for (let colIndex = d.newRange.x, j = 0; colIndex < d.newRange.x1 + 1; colIndex++, j++) {
        if (rowIndex >= d.oldRange.y && rowIndex <= d.oldRange.y1 && colIndex >= d.oldRange.x && colIndex <= d.oldRange.x1) {
          continue;
        }
        const p = this.columns[colIndex].prop;
        const currentCol = j % copyColLength;
        if (!this.isReadOnly(rowIndex, colIndex)) {
          if (!changed[rowIndex]) {
            changed[rowIndex] = {};
          }
          changed[rowIndex][p] = copyRow[currentCol];
        }
      }
    }
    return changed;
  }
  getTransformedDataToApply(start, data) {
    const changed = {};
    const copyRowLength = data.length;
    const colLength = this.columns.length;
    const rowLength = this.dataStore.get("items").length;
    let rowIndex = start.y;
    let maxCol = 0;
    for (let i = 0; rowIndex < rowLength && i < copyRowLength; rowIndex++, i++) {
      const copyRow = data[i % copyRowLength];
      const copyColLength = (copyRow === null || copyRow === void 0 ? void 0 : copyRow.length) || 0;
      let colIndex = start.x;
      for (let j = 0; colIndex < colLength && j < copyColLength; colIndex++, j++) {
        const p = this.columns[colIndex].prop;
        const currentCol = j % colLength;
        if (!this.isReadOnly(rowIndex, colIndex)) {
          if (!changed[rowIndex]) {
            changed[rowIndex] = {};
          }
          changed[rowIndex][p] = copyRow[currentCol];
        }
      }
      maxCol = Math.max(maxCol, colIndex - 1);
    }
    const range2 = getRange(start, {
      y: rowIndex - 1,
      x: maxCol
    });
    return {
      changed,
      range: range2
    };
  }
  applyRangeData(data) {
    const items = {};
    for (let rowIndex in data) {
      const oldModel = items[rowIndex] = getSourceItem(this.dataStore, parseInt(rowIndex, 10));
      for (let prop in data[rowIndex]) {
        oldModel[prop] = data[rowIndex][prop];
      }
    }
    setSourceByVirtualIndex(this.dataStore, items);
  }
  getRangeStaticData(d, value) {
    const changed = {};
    for (let rowIndex = d.y, i = 0; rowIndex < d.y1 + 1; rowIndex++, i++) {
      for (let colIndex = d.x, j = 0; colIndex < d.x1 + 1; colIndex++, j++) {
        const p = this.columns[colIndex].prop;
        if (!this.isReadOnly(rowIndex, colIndex)) {
          if (!changed[rowIndex]) {
            changed[rowIndex] = {};
          }
          changed[rowIndex][p] = value;
        }
      }
    }
    return changed;
  }
  copyRangeArray(range2, rangeProps, store) {
    const toCopy = [];
    for (let i = range2.y; i < range2.y1 + 1; i++) {
      const rgRow = [];
      for (let prop of rangeProps) {
        const item = getSourceItem(store, i);
        rgRow.push(item[prop]);
      }
      toCopy.push(rgRow);
    }
    return toCopy;
  }
  static getData(val) {
    if (typeof val === "undefined" || val === null) {
      return "";
    }
    return val.toString();
  }
  destroy() {
    this.unsubscribe.forEach((f) => f());
  }
}
const CellRenderer = ({ model, canDrag, onDragStart }) => {
  const els = [];
  if (model.column.rowDrag && isRowDragService(model.column.rowDrag, model)) {
    if (canDrag) {
      els.push(h(
        "span",
        { class: DRAGGABLE_CLASS, onMouseDown: (e) => onDragStart(e) },
        h("span", { class: DRAG_ICON_CLASS })
      ));
    } else {
      els.push(h("span", { class: DRAGGABLE_CLASS }));
    }
  }
  els.push(`${ColumnService.getData(model.model[model.prop])}`);
  return els;
};
function isRowDragService(rowDrag, model) {
  if (typeof rowDrag === "function") {
    return rowDrag(model);
  }
  return !!rowDrag;
}
const PADDING_DEPTH = 10;
const RowRenderer = ({ rowClass, size: size2, start, style, depth }, cells) => {
  return h("div", { class: `rgRow ${rowClass || ""}`, style: Object.assign(Object.assign({}, style), { height: `${size2}px`, transform: `translateY(${start}px)`, paddingLeft: depth ? `${PADDING_DEPTH * depth}px` : void 0 }) }, cells);
};
function expandEvent(e, model, virtualIndex) {
  const event = new CustomEvent(GROUP_EXPAND_EVENT, {
    detail: {
      model,
      virtualIndex
    },
    cancelable: true,
    bubbles: true
  });
  e.target.dispatchEvent(event);
}
const GroupingRowRenderer = (props) => {
  const { model, itemIndex, hasExpand } = props;
  const name = model[PSEUDO_GROUP_ITEM];
  const expanded = model[GROUP_EXPANDED];
  const depth = parseInt(model[GROUP_DEPTH], 10) || 0;
  if (!hasExpand) {
    return h(RowRenderer, Object.assign({}, props, { rowClass: "groupingRow", depth }));
  }
  return h(
    RowRenderer,
    Object.assign({}, props, { rowClass: "groupingRow", depth }),
    h(
      "button",
      { class: { [GROUP_EXPAND_BTN]: true }, onClick: (e) => expandEvent(e, model, itemIndex) },
      h(
        "svg",
        { "aria-hidden": "true", style: { transform: `rotate(${!expanded ? -90 : 0}deg)` }, focusable: "false", viewBox: "0 0 448 512" },
        h("path", { fill: "currentColor", d: "M207.029 381.476L12.686 187.132c-9.373-9.373-9.373-24.569 0-33.941l22.667-22.667c9.357-9.357 24.522-9.375 33.901-.04L224 284.505l154.745-154.021c9.379-9.335 24.544-9.317 33.901.04l22.667 22.667c9.373 9.373 9.373 24.569 0 33.941L240.971 381.476c-9.373 9.372-24.569 9.372-33.942 0z" })
      )
    ),
    name
  );
};
const revogrDataStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revogr-data{display:block;width:100%;position:relative}revogr-data .rgRow{position:absolute;width:100%;left:0}revogr-data .rgRow.groupingRow{font-weight:600}revogr-data .rgRow.groupingRow .group-expand{width:25px;height:100%;max-height:25px;margin-right:2px;background-color:transparent;border-color:transparent}revogr-data .rgRow.groupingRow .group-expand svg{width:7px}revogr-data .revo-draggable{border:none;height:32px;display:inline-flex;outline:0;padding:0;font-size:0.8125rem;box-sizing:border-box;align-items:center;white-space:nowrap;vertical-align:middle;justify-content:center;text-decoration:none;width:24px;height:100%;cursor:pointer}revogr-data .revo-draggable>.revo-drag-icon{vertical-align:middle;display:inline-block;pointer-events:none;transition:background-color 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms}revogr-data .rgCell{top:0;position:absolute;box-sizing:border-box;height:100%;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}revogr-data .rgCell.align-center{text-align:center}revogr-data .rgCell.align-left{text-align:left}revogr-data .rgCell.align-right{text-align:right}`;
const RevogrData$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.dragStartCell = createEvent(this, "dragStartCell", 7);
  }
  onStoreChange() {
    var _a;
    (_a = this.columnService) === null || _a === void 0 ? void 0 : _a.destroy();
    this.columnService = new ColumnService(this.dataStore, this.colData);
  }
  connectedCallback() {
    this.onStoreChange();
  }
  disconnectedCallback() {
    var _a;
    (_a = this.columnService) === null || _a === void 0 ? void 0 : _a.destroy();
  }
  render() {
    var _a;
    const rows = this.viewportRow.get("items");
    const cols = this.viewportCol.get("items");
    if (!this.columnService.columns.length || !rows.length || !cols.length) {
      return "";
    }
    const range2 = (_a = this.rowSelectionStore) === null || _a === void 0 ? void 0 : _a.get("range");
    const rowsEls = [];
    const depth = this.dataStore.get("groupingDepth");
    for (let rgRow of rows) {
      const dataRow = getSourceItem(this.dataStore, rgRow.itemIndex);
      if (isGrouping(dataRow)) {
        rowsEls.push(h(GroupingRowRenderer, Object.assign({}, rgRow, { model: dataRow, hasExpand: this.columnService.hasGrouping })));
        continue;
      }
      const cells = [];
      let rowClass = this.rowClass ? this.columnService.getRowClass(rgRow.itemIndex, this.rowClass) : "";
      if (range2 && rgRow.itemIndex >= range2.y && rgRow.itemIndex <= range2.y1) {
        rowClass += " focused-rgRow";
      }
      for (let rgCol of cols) {
        cells.push(this.getCellRenderer(rgRow, rgCol, this.canDrag, this.columnService.hasGrouping ? depth : 0));
      }
      rowsEls.push(h(RowRenderer, { rowClass, size: rgRow.size, start: rgRow.start }, cells));
    }
    return rowsEls;
  }
  getCellRenderer(rgRow, rgCol, draggable = false, depth = 0) {
    const model = this.columnService.rowDataModel(rgRow.itemIndex, rgCol.itemIndex);
    const defaultProps2 = {
      [DATA_COL]: rgCol.itemIndex,
      [DATA_ROW]: rgRow.itemIndex,
      style: {
        width: `${rgCol.size}px`,
        transform: `translateX(${rgCol.start}px)`
      }
    };
    if (depth && !rgCol.itemIndex) {
      defaultProps2.style.paddingLeft = `${PADDING_DEPTH * depth}px`;
    }
    const props = this.columnService.mergeProperties(rgRow.itemIndex, rgCol.itemIndex, defaultProps2);
    const custom = this.columnService.customRenderer(rgRow.itemIndex, rgCol.itemIndex, model);
    if (typeof custom !== "undefined") {
      return h("div", Object.assign({}, props), custom);
    }
    if (!model.column) {
      console.error("Investigate column problem");
      return;
    }
    return h("div", Object.assign({}, props), h(CellRenderer, { model, canDrag: draggable, onDragStart: (e) => this.dragStartCell.emit(e) }));
  }
  get element() {
    return this;
  }
  static get watchers() {
    return {
      "dataStore": ["onStoreChange"],
      "colData": ["onStoreChange"]
    };
  }
  static get style() {
    return revogrDataStyleCss;
  }
};
var codes;
(function(codes2) {
  codes2[codes2["MOUSE_LEFT"] = 1] = "MOUSE_LEFT";
  codes2[codes2["MOUSE_RIGHT"] = 3] = "MOUSE_RIGHT";
  codes2[codes2["MOUSE_MIDDLE"] = 2] = "MOUSE_MIDDLE";
  codes2[codes2["BACKSPACE"] = 8] = "BACKSPACE";
  codes2[codes2["COMMA"] = 188] = "COMMA";
  codes2[codes2["INSERT"] = 45] = "INSERT";
  codes2[codes2["DELETE"] = 46] = "DELETE";
  codes2[codes2["END"] = 35] = "END";
  codes2[codes2["ENTER"] = 13] = "ENTER";
  codes2[codes2["ESCAPE"] = 27] = "ESCAPE";
  codes2[codes2["CONTROL"] = 17] = "CONTROL";
  codes2[codes2["COMMAND_LEFT"] = 91] = "COMMAND_LEFT";
  codes2[codes2["COMMAND_RIGHT"] = 93] = "COMMAND_RIGHT";
  codes2[codes2["COMMAND_FIREFOX"] = 224] = "COMMAND_FIREFOX";
  codes2[codes2["ALT"] = 18] = "ALT";
  codes2[codes2["HOME"] = 36] = "HOME";
  codes2[codes2["PAGE_DOWN"] = 34] = "PAGE_DOWN";
  codes2[codes2["PAGE_UP"] = 33] = "PAGE_UP";
  codes2[codes2["PERIOD"] = 190] = "PERIOD";
  codes2[codes2["SPACE"] = 32] = "SPACE";
  codes2[codes2["SHIFT"] = 16] = "SHIFT";
  codes2[codes2["CAPS_LOCK"] = 20] = "CAPS_LOCK";
  codes2[codes2["TAB"] = 9] = "TAB";
  codes2[codes2["ARROW_RIGHT"] = 39] = "ARROW_RIGHT";
  codes2[codes2["ARROW_LEFT"] = 37] = "ARROW_LEFT";
  codes2[codes2["ARROW_UP"] = 38] = "ARROW_UP";
  codes2[codes2["ARROW_DOWN"] = 40] = "ARROW_DOWN";
  codes2[codes2["F1"] = 112] = "F1";
  codes2[codes2["F2"] = 113] = "F2";
  codes2[codes2["F3"] = 114] = "F3";
  codes2[codes2["F4"] = 115] = "F4";
  codes2[codes2["F5"] = 116] = "F5";
  codes2[codes2["F6"] = 117] = "F6";
  codes2[codes2["F7"] = 118] = "F7";
  codes2[codes2["F8"] = 119] = "F8";
  codes2[codes2["F9"] = 120] = "F9";
  codes2[codes2["F10"] = 121] = "F10";
  codes2[codes2["F11"] = 122] = "F11";
  codes2[codes2["F12"] = 123] = "F12";
  codes2[codes2["A"] = 65] = "A";
  codes2[codes2["C"] = 67] = "C";
  codes2[codes2["D"] = 68] = "D";
  codes2[codes2["F"] = 70] = "F";
  codes2[codes2["L"] = 76] = "L";
  codes2[codes2["O"] = 79] = "O";
  codes2[codes2["P"] = 80] = "P";
  codes2[codes2["S"] = 83] = "S";
  codes2[codes2["V"] = 86] = "V";
  codes2[codes2["X"] = 88] = "X";
})(codes || (codes = {}));
var codesLetter;
(function(codesLetter2) {
  codesLetter2["ENTER"] = "Enter";
  codesLetter2["ENTER_NUM"] = "NumpadEnter";
  codesLetter2["V"] = "KeyV";
  codesLetter2["C"] = "KeyC";
  codesLetter2["ESCAPE"] = "Escape";
  codesLetter2["TAB"] = "Tab";
  codesLetter2["BACKSPACE"] = "Backspace";
  codesLetter2["DELETE"] = "Delete";
  codesLetter2["ARROW_RIGHT"] = "ArrowRight";
  codesLetter2["ARROW_LEFT"] = "ArrowLeft";
  codesLetter2["ARROW_UP"] = "ArrowUp";
  codesLetter2["ARROW_DOWN"] = "ArrowDown";
  codesLetter2["SHIFT"] = "Shift";
})(codesLetter || (codesLetter = {}));
const KeyCodesEnum = codes;
var osPlatform;
(function(osPlatform2) {
  osPlatform2["mac"] = "Mac";
})(osPlatform || (osPlatform = {}));
const OsPlatform = osPlatform;
function baseIsNaN(value) {
  return value !== value;
}
var _baseIsNaN = baseIsNaN;
function strictIndexOf(array, value, fromIndex) {
  var index = fromIndex - 1, length = array.length;
  while (++index < length) {
    if (array[index] === value) {
      return index;
    }
  }
  return -1;
}
var _strictIndexOf = strictIndexOf;
function baseIndexOf(array, value, fromIndex) {
  return value === value ? _strictIndexOf(array, value, fromIndex) : _baseFindIndex(array, _baseIsNaN, fromIndex);
}
var _baseIndexOf = baseIndexOf;
function baseValues(object, props) {
  return _arrayMap(props, function(key) {
    return object[key];
  });
}
var _baseValues = baseValues;
function values(object) {
  return object == null ? [] : _baseValues(object, keys_1(object));
}
var values_1 = values;
var nativeMax$1 = Math.max;
function includes(collection, value, fromIndex, guard) {
  collection = isArrayLike_1(collection) ? collection : values_1(collection);
  fromIndex = fromIndex && !guard ? toInteger_1(fromIndex) : 0;
  var length = collection.length;
  if (fromIndex < 0) {
    fromIndex = nativeMax$1(length + fromIndex, 0);
  }
  return isString_1(collection) ? fromIndex <= length && collection.indexOf(value, fromIndex) > -1 : !!length && _baseIndexOf(collection, value, fromIndex) > -1;
}
var includes_1 = includes;
function isLetterKey(code) {
  return code === 32 || code >= 48 && code <= 57 || code >= 96 && code <= 111 || code >= 186 && code <= 192 || code >= 219 && code <= 222 || code >= 226 || code >= 65 && code <= 90;
}
function isCtrlKey(code, platform) {
  if (platform.includes(OsPlatform.mac)) {
    return includes_1([KeyCodesEnum.COMMAND_LEFT, KeyCodesEnum.COMMAND_RIGHT, KeyCodesEnum.COMMAND_FIREFOX], code);
  }
  return KeyCodesEnum.CONTROL === code;
}
function isClear(code) {
  return codesLetter.BACKSPACE === code || codesLetter.DELETE === code;
}
function isTab(code) {
  return codesLetter.TAB === code;
}
function isEnterKey(code) {
  return code === codesLetter.ENTER || code === codesLetter.ENTER_NUM;
}
class TextEditor {
  constructor(column, saveCallback) {
    this.column = column;
    this.saveCallback = saveCallback;
    this.element = null;
    this.editCell = null;
  }
  async componentDidRender() {
    var _a;
    if (this.editInput) {
      await timeout();
      (_a = this.editInput) === null || _a === void 0 ? void 0 : _a.focus();
    }
  }
  onKeyDown(e) {
    const isEnter = isEnterKey(e.code);
    const isKeyTab = isTab(e.code);
    if ((isKeyTab || isEnter) && e.target && this.saveCallback && !e.isComposing) {
      this.editInput.blur();
      this.saveCallback(e.target.value, isKeyTab);
    }
  }
  render() {
    var _a;
    return h("input", { type: "text", value: ((_a = this.editCell) === null || _a === void 0 ? void 0 : _a.val) || "", ref: (el) => {
      this.editInput = el;
    }, onKeyDown: (e) => this.onKeyDown(e) });
  }
}
const revogrEditStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revogr-edit{display:block;position:absolute;background-color:#fff}revogr-edit input{height:100%;width:100%;box-sizing:border-box}revogr-edit revo-dropdown{height:100%}revogr-edit revo-dropdown.shrink fieldset legend>span{display:none}`;
const Edit = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.cellEdit = createEvent(this, "cellEdit", 3);
    this.closeEdit = createEvent(this, "closeEdit", 3);
    this.currentEditor = null;
  }
  onSave(val, preventFocus) {
    if (this.editCell) {
      this.cellEdit.emit({
        rgCol: this.editCell.x,
        rgRow: this.editCell.y,
        val,
        preventFocus
      });
    }
  }
  componentWillRender() {
    if (!this.currentEditor) {
      if (this.editor) {
        this.currentEditor = new this.editor(this.column, (e, preventFocus) => this.onSave(e, preventFocus), (focusNext) => this.closeEdit.emit(focusNext));
      } else {
        this.currentEditor = new TextEditor(this.column, (e, preventFocus) => this.onSave(e, preventFocus));
      }
    }
  }
  componentDidRender() {
    if (!this.currentEditor) {
      return;
    }
    this.currentEditor.element = this.element.firstElementChild;
    this.currentEditor.componentDidRender && this.currentEditor.componentDidRender();
  }
  disconnectedCallback() {
    if (!this.currentEditor) {
      return;
    }
    this.currentEditor.disconnectedCallback && this.currentEditor.disconnectedCallback();
    if (this.currentEditor.element) {
      this.currentEditor.element = null;
    }
    this.currentEditor = null;
  }
  render() {
    if (this.currentEditor) {
      this.currentEditor.editCell = this.editCell;
      return h(Host, { class: EDIT_INPUT_WR }, this.currentEditor.render(h));
    }
    return "";
  }
  get element() {
    return this;
  }
  static get style() {
    return revogrEditStyleCss;
  }
};
const RevoButton = (props, children) => {
  return h("button", Object.assign({}, props, { class: Object.assign(Object.assign({}, typeof props.class === "object" ? props.class : props.class ? { [props.class]: true } : ""), { ["revo-button"]: true }) }), children);
};
(function closest() {
  if (!Element.prototype.matches) {
    Element.prototype.matches = Element.prototype.msMatchesSelector || Element.prototype.webkitMatchesSelector;
  }
  if (!Element.prototype.closest) {
    Element.prototype.closest = function(s) {
      let el = this;
      do {
        if (Element.prototype.matches.call(el, s)) {
          return el;
        }
        el = el.parentElement || el.parentNode;
      } while (el !== null && el.nodeType === 1);
      return null;
    };
  }
})();
var now = function() {
  return _root.Date.now();
};
var now_1 = now;
var FUNC_ERROR_TEXT$1 = "Expected a function";
var nativeMax = Math.max, nativeMin = Math.min;
function debounce(func, wait, options) {
  var lastArgs, lastThis, maxWait, result, timerId, lastCallTime, lastInvokeTime = 0, leading = false, maxing = false, trailing = true;
  if (typeof func != "function") {
    throw new TypeError(FUNC_ERROR_TEXT$1);
  }
  wait = toNumber_1(wait) || 0;
  if (isObject_1(options)) {
    leading = !!options.leading;
    maxing = "maxWait" in options;
    maxWait = maxing ? nativeMax(toNumber_1(options.maxWait) || 0, wait) : maxWait;
    trailing = "trailing" in options ? !!options.trailing : trailing;
  }
  function invokeFunc(time) {
    var args = lastArgs, thisArg = lastThis;
    lastArgs = lastThis = void 0;
    lastInvokeTime = time;
    result = func.apply(thisArg, args);
    return result;
  }
  function leadingEdge(time) {
    lastInvokeTime = time;
    timerId = setTimeout(timerExpired, wait);
    return leading ? invokeFunc(time) : result;
  }
  function remainingWait(time) {
    var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime, timeWaiting = wait - timeSinceLastCall;
    return maxing ? nativeMin(timeWaiting, maxWait - timeSinceLastInvoke) : timeWaiting;
  }
  function shouldInvoke(time) {
    var timeSinceLastCall = time - lastCallTime, timeSinceLastInvoke = time - lastInvokeTime;
    return lastCallTime === void 0 || timeSinceLastCall >= wait || timeSinceLastCall < 0 || maxing && timeSinceLastInvoke >= maxWait;
  }
  function timerExpired() {
    var time = now_1();
    if (shouldInvoke(time)) {
      return trailingEdge(time);
    }
    timerId = setTimeout(timerExpired, remainingWait(time));
  }
  function trailingEdge(time) {
    timerId = void 0;
    if (trailing && lastArgs) {
      return invokeFunc(time);
    }
    lastArgs = lastThis = void 0;
    return result;
  }
  function cancel() {
    if (timerId !== void 0) {
      clearTimeout(timerId);
    }
    lastInvokeTime = 0;
    lastArgs = lastCallTime = lastThis = timerId = void 0;
  }
  function flush2() {
    return timerId === void 0 ? result : trailingEdge(now_1());
  }
  function debounced() {
    var time = now_1(), isInvoking = shouldInvoke(time);
    lastArgs = arguments;
    lastThis = this;
    lastCallTime = time;
    if (isInvoking) {
      if (timerId === void 0) {
        return leadingEdge(lastCallTime);
      }
      if (maxing) {
        clearTimeout(timerId);
        timerId = setTimeout(timerExpired, wait);
        return invokeFunc(lastCallTime);
      }
    }
    if (timerId === void 0) {
      timerId = setTimeout(timerExpired, wait);
    }
    return result;
  }
  debounced.cancel = cancel;
  debounced.flush = flush2;
  return debounced;
}
var debounce_1 = debounce;
const filterStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revogr-filter-panel{position:absolute;display:block;top:0;left:0;z-index:100;opacity:1;transform:none;background-color:#fff;transform-origin:62px 0px;box-shadow:0 5px 18px -2px rgba(0, 0, 0, 0.2);padding:10px;border-radius:4px;min-width:220px;text-align:left}revogr-filter-panel .filter-holder>div{display:flex;flex-direction:column}revogr-filter-panel label{color:gray;font-size:13px;font-weight:600;display:block;padding:8px 0}revogr-filter-panel select{width:100%}revogr-filter-panel input[type=text]{border:0;min-height:34px;margin:5px 0;background:#f3f3f3;border-radius:5px;padding:0 10px;box-sizing:border-box;width:100%}revogr-filter-panel button{margin-top:10px;margin-right:5px}revogr-filter-panel .filter-actions{text-align:right;margin-right:-5px}.rgHeaderCell:hover .rv-filter{transition:opacity 267ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, transform 178ms cubic-bezier(0.4, 0, 0.2, 1) 0ms}.rgHeaderCell:hover .rv-filter,.rgHeaderCell .rv-filter.active{opacity:1}.rgHeaderCell .rv-filter{height:24px;width:24px;background:none;border:0;opacity:0;visibility:visible;cursor:pointer;border-radius:4px}.rgHeaderCell .rv-filter.active{color:#10224a}.rgHeaderCell .rv-filter .filter-img{color:gray;width:11px}.select-css{display:block;font-family:sans-serif;font-weight:600;color:#444;line-height:1.3;padding:0.6em 1.4em 0.5em 0.8em;width:100%;max-width:100%;box-sizing:border-box;margin:0;border:1px solid #f1f1f1;box-shadow:transparent;border-radius:0.5em;appearance:none;background-color:#fff;background-image:url("data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E"), linear-gradient(to bottom, #ffffff 0%, #ffffff 100%);background-repeat:no-repeat, repeat;background-position:right 0.7em top 50%, 0 0;background-size:0.65em auto, 100%;}.select-css::-ms-expand{display:none}.select-css:hover{border-color:#c5c5c5}.select-css:focus{border-color:#f1f1f1;box-shadow:0 0 1px 3px rgba(59, 153, 252, 0.7);box-shadow:0 0 0 3px -moz-mac-focusring;color:#222;outline:none}.select-css option{font-weight:normal}.select-css:disabled,.select-css[aria-disabled=true]{color:gray;background-image:url("data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22graytext%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E"), linear-gradient(to bottom, #ffffff 0%, #ffffff 100%)}.select-css:disabled:hover,.select-css[aria-disabled=true]{border-color:#f1f1f1}.multi-filter-list{margin-top:5px;margin-bottom:5px}.multi-filter-list div{white-space:nowrap}.multi-filter-list .multi-filter-list-action{display:flex;justify-content:space-between;align-items:center}.multi-filter-list .and-or-button{margin:0 0 0 10px;min-width:58px;cursor:pointer}.multi-filter-list .trash-button{margin:0 0 -2px 6px;cursor:pointer;width:22px;height:22px;color:gray;font-size:18px}.multi-filter-list .trash-button .trash-img{width:1em}.add-filter-divider{display:block;margin:0 -10px 10px -10px;border-bottom:1px solid #d9d9d9;height:10px;box-shadow:0 4px 5px rgba(0, 0, 0, 0.05)}.select-input{display:flex;justify-content:space-between;align-items:center}`;
const defaultType = "none";
const FILTER_LIST_CLASS = "multi-filter-list";
const FILTER_LIST_CLASS_ACTION = "multi-filter-list-action";
const FilterPanel = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.filterChange = createEvent(this, "filterChange", 7);
    this.filterCaptionsInternal = {
      title: "Filter by condition",
      save: "Save",
      reset: "Reset",
      cancel: "Close"
    };
    this.isFilterIdSet = false;
    this.filterId = 0;
    this.currentFilterId = -1;
    this.currentFilterType = defaultType;
    this.filterItems = {};
    this.filterTypes = {};
    this.filterNames = {};
    this.filterEntities = {};
    this.disableDynamicFiltering = false;
    this.debouncedApplyFilter = debounce_1(() => {
      this.filterChange.emit(this.filterItems);
    }, 400);
  }
  onMouseDown(e) {
    if (this.changes && !e.defaultPrevented) {
      const el = e.target;
      if (this.isOutside(el) && !isFilterBtn(el)) {
        this.changes = void 0;
      }
    }
  }
  async show(newEntity) {
    this.changes = newEntity;
    if (this.changes) {
      this.changes.type = this.changes.type || defaultType;
    }
  }
  async getChanges() {
    return this.changes;
  }
  componentWillRender() {
    if (!this.isFilterIdSet) {
      this.isFilterIdSet = true;
      const filterItems = Object.keys(this.filterItems);
      for (const prop of filterItems) {
        this.filterId += this.filterItems[prop].length;
      }
    }
  }
  renderSelectOptions(type, isDefaultTypeRemoved = false) {
    var _a;
    const options = [];
    const prop = (_a = this.changes) === null || _a === void 0 ? void 0 : _a.prop;
    if (!isDefaultTypeRemoved) {
      options.push(h("option", { selected: this.currentFilterType === defaultType, value: defaultType }, prop && this.filterItems[prop] && this.filterItems[prop].length > 0 ? "Add more condition..." : this.filterNames[defaultType]));
    }
    for (let gIndex in this.filterTypes) {
      options.push(...this.filterTypes[gIndex].map((k) => h("option", { value: k, selected: type === k }, this.filterNames[k])));
      options.push(h("option", { disabled: true }));
    }
    return options;
  }
  renderExtra(prop, index) {
    const currentFilter = this.filterItems[prop];
    if (!currentFilter)
      return "";
    if (this.filterEntities[currentFilter[index].type].extra !== "input")
      return "";
    return h("input", { id: `filter-input-${currentFilter[index].id}`, placeholder: "Enter value...", type: "text", value: currentFilter[index].value, onInput: this.onUserInput.bind(this, index, prop), onKeyDown: (e) => this.onKeyDown(e) });
  }
  getFilterItemsList() {
    var _a;
    const prop = (_a = this.changes) === null || _a === void 0 ? void 0 : _a.prop;
    if (!(prop || prop === 0))
      return "";
    const propFilters = this.filterItems[prop] || [];
    return h("div", { key: this.filterId }, propFilters.map((d, index) => {
      let andOrButton;
      if (index !== this.filterItems[prop].length - 1) {
        andOrButton = h("div", { onClick: () => this.toggleFilterAndOr(d.id) }, h(AndOrButton, { isAnd: d.relation === "and" }));
      }
      return h("div", { key: d.id, class: FILTER_LIST_CLASS }, h("div", { class: { "select-input": true } }, h("select", { class: "select-css select-filter", onChange: (e) => this.onFilterTypeChange(e, prop, index) }, this.renderSelectOptions(this.filterItems[prop][index].type, true)), h("div", { class: FILTER_LIST_CLASS_ACTION }, andOrButton), h("div", { onClick: () => this.onRemoveFilter(d.id) }, h(TrashButton, null))), h("div", null, this.renderExtra(prop, index)));
    }), propFilters.length > 0 ? h("div", { class: "add-filter-divider" }) : "");
  }
  render() {
    if (!this.changes) {
      return h(Host, { style: { display: "none" } });
    }
    const style = {
      display: "block",
      left: `${this.changes.x}px`,
      top: `${this.changes.y}px`
    };
    const capts = Object.assign(this.filterCaptionsInternal, this.filterCaptions);
    return h(Host, { style }, h("label", null, capts.title), h("div", { class: "filter-holder" }, this.getFilterItemsList()), h("div", { class: "add-filter" }, h("select", { id: "add-filter", class: "select-css", onChange: (e) => this.onAddNewFilter(e) }, this.renderSelectOptions(this.currentFilterType))), h("div", { class: "filter-actions" }, this.disableDynamicFiltering && h(RevoButton, { class: { red: true, save: true }, onClick: () => this.onSave() }, capts.save), h(RevoButton, { class: { red: true, reset: true }, onClick: () => this.onReset() }, capts.reset), h(RevoButton, { class: { light: true, cancel: true }, onClick: () => this.onCancel() }, capts.cancel)));
  }
  onFilterTypeChange(e, prop, index) {
    const el = e.target;
    const type = el.value;
    this.filterItems[prop][index].type = type;
    this.filterId++;
    setTimeout(() => {
      const input = document.getElementById("filter-input-" + this.filterItems[prop][index].id);
      if (input)
        input.focus();
    }, 0);
    if (!this.disableDynamicFiltering)
      this.debouncedApplyFilter();
  }
  onAddNewFilter(e) {
    const el = e.target;
    const type = el.value;
    this.currentFilterType = type;
    this.addNewFilterToProp();
    const select = document.getElementById("add-filter");
    if (select) {
      select.value = defaultType;
      this.currentFilterType = defaultType;
    }
    if (!this.disableDynamicFiltering)
      this.debouncedApplyFilter();
  }
  addNewFilterToProp() {
    var _a;
    const prop = (_a = this.changes) === null || _a === void 0 ? void 0 : _a.prop;
    if (!(prop || prop === 0))
      return;
    if (!this.filterItems[prop]) {
      this.filterItems[prop] = [];
    }
    if (this.currentFilterType === "none")
      return;
    this.filterId++;
    this.currentFilterId = this.filterId;
    this.filterItems[prop].push({
      id: this.currentFilterId,
      type: this.currentFilterType,
      value: "",
      relation: "and"
    });
    setTimeout(() => {
      const input = document.getElementById("filter-input-" + this.currentFilterId);
      if (input)
        input.focus();
    }, 0);
  }
  onUserInput(index, prop, event) {
    this.filterItems[prop][index].value = event.target.value;
    if (!this.disableDynamicFiltering)
      this.debouncedApplyFilter();
  }
  onKeyDown(e) {
    if (e.key.toLowerCase() === "enter") {
      const select = document.getElementById("add-filter");
      if (select) {
        select.value = defaultType;
        this.currentFilterType = defaultType;
        this.addNewFilterToProp();
        select.focus();
      }
      return;
    }
    e.stopPropagation();
  }
  onSave() {
    this.filterChange.emit(this.filterItems);
  }
  onCancel() {
    this.changes = void 0;
  }
  onReset() {
    this.assertChanges();
    delete this.filterItems[this.changes.prop];
    this.filterId++;
    this.filterChange.emit(this.filterItems);
  }
  onRemoveFilter(id) {
    this.assertChanges();
    this.filterId++;
    const prop = this.changes.prop;
    const items = this.filterItems[prop];
    if (!items)
      return;
    const index = items.findIndex((d) => d.id === id);
    if (index === -1)
      return;
    items.splice(index, 1);
    if (items.length === 0)
      delete this.filterItems[prop];
    if (!this.disableDynamicFiltering)
      this.debouncedApplyFilter();
  }
  toggleFilterAndOr(id) {
    this.assertChanges();
    this.filterId++;
    const prop = this.changes.prop;
    const items = this.filterItems[prop];
    if (!items)
      return;
    const index = items.findIndex((d) => d.id === id);
    if (index === -1)
      return;
    items[index].relation = items[index].relation === "and" ? "or" : "and";
    if (!this.disableDynamicFiltering)
      this.debouncedApplyFilter();
  }
  assertChanges() {
    if (!this.changes) {
      throw new Error("Changes required per edit");
    }
  }
  isOutside(e) {
    const select = document.getElementById("add-filter");
    if (select)
      select.value = defaultType;
    this.currentFilterType = defaultType;
    this.changes.type = defaultType;
    this.currentFilterId = -1;
    if (e.classList.contains(`[uuid="${this.uuid}"]`)) {
      return false;
    }
    return !(e === null || e === void 0 ? void 0 : e.closest(`[uuid="${this.uuid}"]`));
  }
  static get style() {
    return filterStyleCss;
  }
};
function getCurrentCell({ x, y }, { el, rows, cols }) {
  const { top, left, height, width } = el.getBoundingClientRect();
  let cellY = y - top;
  if (cellY >= height) {
    cellY = height - 1;
  }
  let cellX = x - left;
  if (cellX >= width) {
    cellX = width - 1;
  }
  const rgRow = getItemByPosition(rows, cellY);
  const rgCol = getItemByPosition(cols, cellX);
  if (rgCol.itemIndex < 0) {
    rgCol.itemIndex = 0;
  }
  if (rgRow.itemIndex < 0) {
    rgRow.itemIndex = 0;
  }
  return { x: rgCol.itemIndex, y: rgRow.itemIndex };
}
function getCoordinate(range2, focus, changes, isMulti = false) {
  const updateCoordinate = (c) => {
    const start = { x: range2.x, y: range2.y };
    const end = isMulti ? { x: range2.x1, y: range2.y1 } : start;
    const point = end[c] > focus[c] ? end : start;
    point[c] += changes[c];
    return { start, end };
  };
  if (changes.x) {
    return updateCoordinate("x");
  }
  if (changes.y) {
    return updateCoordinate("y");
  }
  return null;
}
function isAfterLast({ x, y }, { lastCell }) {
  return x >= lastCell.x || y >= lastCell.y;
}
function isBeforeFirst({ x, y }) {
  return x < 0 || y < 0;
}
function getDirectionCoordinate(initial, last) {
  const c = ["x", "y"];
  for (let k of c) {
    if (initial[k] !== last[k]) {
      return { [k]: 1 };
    }
  }
  return null;
}
function getLargestAxis(initial, last) {
  const cell = {};
  const c = ["x", "y"];
  for (let k of c) {
    cell[k] = Math.abs(initial[k] - last[k]);
  }
  if (cell.x > cell.y) {
    return { x: 1 };
  }
  if (cell.y > cell.x) {
    return { y: 1 };
  }
  return null;
}
function styleByCellProps(styles2) {
  return {
    left: `${styles2.left}px`,
    top: `${styles2.top}px`,
    width: `${styles2.width}px`,
    height: `${styles2.height}px`
  };
}
function getCell({ x, y, x1, y1 }, dimensionRow, dimensionCol) {
  const top = getItemByIndex(dimensionRow, y).start;
  const left = getItemByIndex(dimensionCol, x).start;
  const bottom = getItemByIndex(dimensionRow, y1).end;
  const right = getItemByIndex(dimensionCol, x1).end;
  return {
    left,
    right,
    top,
    bottom,
    width: right - left,
    height: bottom - top
  };
}
function getElStyle(range2, dimensionRow, dimensionCol) {
  const styles2 = getCell(range2, dimensionRow, dimensionCol);
  return styleByCellProps(styles2);
}
const revogrFocusStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revogr-focus.focused-cell{box-shadow:-1px 0 0 #0d63e8 inset, 1px 0 0 #0d63e8 inset, 0 -1px 0 #0d63e8 inset, 0 1px 0 #0d63e8 inset;position:absolute;pointer-events:none;z-index:9;display:block}`;
const RevogrFocus$2 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  changed(e) {
    e === null || e === void 0 ? void 0 : e.scrollIntoView({
      block: "nearest",
      inline: "nearest"
    });
  }
  componentDidRender() {
    this.el && this.changed(this.el);
  }
  render() {
    const data = this.selectionStore.get("focus");
    if (data) {
      const style = getElStyle(Object.assign(Object.assign({}, data), { x1: data.x, y1: data.y }), this.dimensionRow.state, this.dimensionCol.state);
      return h(Host, { class: FOCUS_CLASS, style });
    }
  }
  get el() {
    return this;
  }
  static get style() {
    return revogrFocusStyleCss;
  }
};
var defineProperty = function() {
  try {
    var func = _getNative(Object, "defineProperty");
    func({}, "", {});
    return func;
  } catch (e) {
  }
}();
var _defineProperty = defineProperty;
function baseAssignValue(object, key, value) {
  if (key == "__proto__" && _defineProperty) {
    _defineProperty(object, key, {
      "configurable": true,
      "enumerable": true,
      "value": value,
      "writable": true
    });
  } else {
    object[key] = value;
  }
}
var _baseAssignValue = baseAssignValue;
function arrayAggregator(array, setter, iteratee, accumulator) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    var value = array[index];
    setter(accumulator, value, iteratee(value), array);
  }
  return accumulator;
}
var _arrayAggregator = arrayAggregator;
function baseAggregator(collection, setter, iteratee, accumulator) {
  _baseEach(collection, function(value, key, collection2) {
    setter(accumulator, value, iteratee(value), collection2);
  });
  return accumulator;
}
var _baseAggregator = baseAggregator;
function createAggregator(setter, initializer) {
  return function(collection, iteratee) {
    var func = isArray_1(collection) ? _arrayAggregator : _baseAggregator, accumulator = initializer ? initializer() : {};
    return func(collection, setter, _baseIteratee(iteratee), accumulator);
  };
}
var _createAggregator = createAggregator;
var keyBy = _createAggregator(function(result, value, key) {
  _baseAssignValue(result, key, value);
});
var keyBy_1 = keyBy;
const SortingSign = ({ column }) => {
  return h("i", { class: column.order });
};
var ResizeEvents;
(function(ResizeEvents2) {
  ResizeEvents2["start"] = "resize:start";
  ResizeEvents2["move"] = "resize:move";
  ResizeEvents2["end"] = "resize:end";
})(ResizeEvents || (ResizeEvents = {}));
const RESIZE_MASK = {
  "resizable-r": { bit: 1, cursor: "ew-resize" },
  "resizable-rb": { bit: 3, cursor: "se-resize" },
  "resizable-b": { bit: 2, cursor: "s-resize" },
  "resizable-lb": { bit: 6, cursor: "sw-resize" },
  "resizable-l": { bit: 4, cursor: "w-resize" },
  "resizable-lt": { bit: 12, cursor: "nw-resize" },
  "resizable-t": { bit: 8, cursor: "n-resize" },
  "resizable-rt": { bit: 9, cursor: "ne-resize" }
};
const DISABLE_MASK = {
  l: 1,
  t: 2,
  w: 4,
  h: 8
};
const defaultProps = (props) => {
  return Object.assign(Object.assign({}, props), { fitParent: props.fitParent || false, active: props.active || [], disableAttributes: props.disableAttributes || [], minWidth: props.minWidth || 0, minHeight: props.minHeight || 0 });
};
class ResizeDirective {
  constructor(initialProps, $event) {
    this.initialProps = initialProps;
    this.$event = $event;
    this.mouseX = 0;
    this.mouseY = 0;
    this.width = 0;
    this.height = 0;
    this.changeX = 0;
    this.changeY = 0;
    this.disableCalcMap = 15;
    this.props = defaultProps(initialProps);
    this.mouseMoveFunc = this.handleMove.bind(this);
    this.mouseUpFunc = this.handleUp.bind(this);
    this.minW = this.props.minWidth;
    this.minH = this.props.minHeight;
    this.maxW = this.props.maxWidth;
    this.maxH = this.props.maxHeight;
    this.parent = { width: 0, height: 0 };
    this.resizeState = 0;
  }
  set($el) {
    this.$el = $el;
    this.props.disableAttributes.forEach((attr) => {
      switch (attr) {
        case "l":
          this.disableCalcMap &= ~DISABLE_MASK.l;
          break;
        case "t":
          this.disableCalcMap &= ~DISABLE_MASK.t;
          break;
        case "w":
          this.disableCalcMap &= ~DISABLE_MASK.w;
          break;
        case "h":
          this.disableCalcMap &= ~DISABLE_MASK.h;
      }
    });
  }
  emitEvent(eventName, additionalOptions) {
    if (!this.$event) {
      return;
    }
    this.$event(Object.assign({ eventName, width: this.width + this.changeX, height: this.height + this.changeY, changedX: this.changeX, changedY: this.changeY }, additionalOptions));
  }
  static isTouchEvent(e) {
    var _a;
    const event = e;
    return ((_a = event.touches) === null || _a === void 0 ? void 0 : _a.length) >= 0;
  }
  handleMove(event) {
    if (!this.resizeState) {
      return;
    }
    let eventY, eventX;
    if (ResizeDirective.isTouchEvent(event)) {
      eventY = event.touches[0].clientY;
      eventX = event.touches[0].clientX;
    } else {
      eventY = event.clientY;
      eventX = event.clientX;
    }
    let isX = this.resizeState & RESIZE_MASK["resizable-r"].bit || this.resizeState & RESIZE_MASK["resizable-l"].bit;
    let isY = this.resizeState & RESIZE_MASK["resizable-t"].bit || this.resizeState & RESIZE_MASK["resizable-b"].bit;
    if (isY && this.disableCalcMap & DISABLE_MASK.h) {
      let diffY = eventY - this.mouseY;
      let changedY = this.changeY + diffY;
      const newHeight = this.height + changedY;
      if (newHeight < this.minH) {
        changedY = -(this.height - this.minH);
      }
      if (this.maxH && newHeight > this.maxH) {
        changedY = this.maxH - this.height;
      }
      this.changeY = changedY;
      this.mouseY = eventY;
      if (this.activeResizer) {
        this.activeResizer.style.bottom = `${-this.changeY}px`;
      }
    }
    if (isX && this.disableCalcMap & DISABLE_MASK.w) {
      let diffX = eventX - this.mouseX;
      let changedX = this.changeX + diffX;
      const newWidth = this.width + changedX;
      if (newWidth < this.minW) {
        changedX = -(this.width - this.minW);
      }
      if (this.maxW && newWidth > this.maxW) {
        changedX = this.maxW - this.width;
      }
      this.changeX = changedX;
      this.mouseX = eventX;
      if (this.activeResizer) {
        this.activeResizer.style.right = `${-this.changeX}px`;
      }
    }
    this.emitEvent(ResizeEvents.move);
  }
  handleDown(event) {
    if (event.defaultPrevented) {
      return;
    }
    this.dropInitial();
    for (let elClass in RESIZE_MASK) {
      const target = event.target;
      if (this.$el.contains(target) && (target === null || target === void 0 ? void 0 : target.classList.contains(elClass))) {
        document.body.style.cursor = RESIZE_MASK[elClass].cursor;
        if (ResizeDirective.isTouchEvent(event)) {
          this.setInitials(event.touches[0], target);
        } else {
          event.preventDefault && event.preventDefault();
          this.setInitials(event, target);
        }
        this.resizeState = RESIZE_MASK[elClass].bit;
        const eventName = ResizeEvents.start;
        this.emitEvent(eventName);
        break;
      }
    }
    this.bindMove();
  }
  handleUp(e) {
    e.preventDefault();
    if (this.resizeState !== 0) {
      this.resizeState = 0;
      document.body.style.cursor = "";
      const eventName = ResizeEvents.end;
      this.emitEvent(eventName);
    }
    this.dropInitial();
    this.unbindMove();
  }
  setInitials({ clientX, clientY }, target) {
    const computedStyle = getComputedStyle(this.$el);
    this.$el.classList.add("active");
    this.activeResizer = target;
    if (this.disableCalcMap & DISABLE_MASK.w) {
      this.mouseX = clientX;
      this.width = this.$el.clientWidth;
      this.parent.width = this.$el.parentElement.clientWidth;
      const minPaddingX = parseFloat(computedStyle.paddingLeft) + parseFloat(computedStyle.paddingRight);
      this.minW = Math.max(minPaddingX, this.initialProps.minWidth || 0);
      if (this.initialProps.maxWidth) {
        this.maxW = Math.max(this.width, this.initialProps.maxWidth);
      }
    }
    if (this.disableCalcMap & DISABLE_MASK.h) {
      this.mouseY = clientY;
      this.height = this.$el.clientHeight;
      this.parent.height = this.$el.parentElement.clientHeight;
      const minPaddingY = parseFloat(computedStyle.paddingTop) + parseFloat(computedStyle.paddingBottom);
      this.minH = Math.max(minPaddingY, this.initialProps.minHeight || 0);
      if (this.initialProps.maxHeight) {
        this.maxH = Math.max(this.height, this.initialProps.maxHeight);
      }
    }
  }
  dropInitial() {
    this.changeX = this.changeY = this.minW = this.minH;
    this.width = this.height = 0;
    if (this.activeResizer) {
      this.activeResizer.removeAttribute("style");
    }
    this.$el.classList.remove("active");
    this.activeResizer = null;
  }
  bindMove() {
    document.documentElement.addEventListener("mouseup", this.mouseUpFunc, true);
    document.documentElement.addEventListener("touchend", this.mouseUpFunc, true);
    document.documentElement.addEventListener("mousemove", this.mouseMoveFunc, true);
    document.documentElement.addEventListener("touchmove", this.mouseMoveFunc, true);
    document.documentElement.addEventListener("mouseleave", this.mouseUpFunc);
  }
  unbindMove() {
    document.documentElement.removeEventListener("mouseup", this.mouseUpFunc, true);
    document.documentElement.removeEventListener("touchend", this.mouseUpFunc, true);
    document.documentElement.removeEventListener("mousemove", this.mouseMoveFunc, true);
    document.documentElement.removeEventListener("touchmove", this.mouseMoveFunc, true);
    document.documentElement.removeEventListener("mouseleave", this.mouseUpFunc);
  }
}
const ResizableElement = (props, children) => {
  const resizeEls = [];
  const directive = props.canResize && new ResizeDirective(props, (e) => {
    if (e.eventName === ResizeEvents.end) {
      props.onResize && props.onResize(e);
    }
  }) || null;
  if (props.canResize) {
    if (props.active) {
      for (let p in props.active) {
        resizeEls.push(h("div", { onClick: (e) => e.preventDefault(), onDblClick: (e) => {
          e.preventDefault();
          props.onDoubleClick && props.onDoubleClick();
        }, onMouseDown: (e) => directive === null || directive === void 0 ? void 0 : directive.handleDown(e), onTouchStart: (e) => directive === null || directive === void 0 ? void 0 : directive.handleDown(e), class: `resizable resizable-${props.active[p]}` }));
      }
    }
  } else {
    if (props.active) {
      for (let p in props.active) {
        resizeEls.push(h("div", { onClick: (e) => e.preventDefault(), onDblClick: (e) => {
          e.preventDefault();
          props.onDoubleClick && props.onDoubleClick();
        }, class: `no-resize resizable resizable-${props.active[p]}` }));
      }
    }
  }
  return h(
    "div",
    Object.assign({}, props, { ref: (e) => directive === null || directive === void 0 ? void 0 : directive.set(e) }),
    children,
    resizeEls
  );
};
const HeaderCellRenderer = ({ data, props }, children) => {
  let colTemplate = (data === null || data === void 0 ? void 0 : data.name) || "";
  let cellProps = props;
  if (data === null || data === void 0 ? void 0 : data.columnTemplate) {
    colTemplate = data.columnTemplate(h, data);
  }
  if (data === null || data === void 0 ? void 0 : data.columnProperties) {
    const extra = data.columnProperties(data);
    if (extra && typeof extra === "object") {
      cellProps = ColumnService.doMerge(props, extra);
    }
  }
  return h(
    ResizableElement,
    Object.assign({}, cellProps),
    h("div", { class: "header-content" }, colTemplate),
    children
  );
};
const HeaderRenderer = (p) => {
  var _a, _b, _c, _d, _e, _f;
  const cellClass = {
    [HEADER_CLASS]: true,
    [HEADER_SORTABLE_CLASS]: !!((_a = p.data) === null || _a === void 0 ? void 0 : _a.sortable)
  };
  if ((_b = p.data) === null || _b === void 0 ? void 0 : _b.order) {
    cellClass[p.data.order] = true;
  }
  const dataProps = {
    [DATA_COL]: p.column.itemIndex,
    canResize: p.canResize,
    minWidth: ((_c = p.data) === null || _c === void 0 ? void 0 : _c.minSize) || MIN_COL_SIZE,
    maxWidth: (_d = p.data) === null || _d === void 0 ? void 0 : _d.maxSize,
    active: ["r"],
    class: cellClass,
    style: { width: `${p.column.size}px`, transform: `translateX(${p.column.start}px)` },
    onResize: p.onResize,
    onDoubleClick(originalEvent) {
      p.onDoubleClick({ column: p.data, index: p.column.itemIndex, originalEvent });
    },
    onClick(originalEvent) {
      if (originalEvent.defaultPrevented || !p.onClick) {
        return;
      }
      p.onClick({ column: p.data, index: p.column.itemIndex, originalEvent });
    }
  };
  if (p.range) {
    if (p.column.itemIndex >= p.range.x && p.column.itemIndex <= p.range.x1) {
      if (typeof dataProps.class === "object") {
        dataProps.class[FOCUS_CLASS] = true;
      }
    }
  }
  return h(
    HeaderCellRenderer,
    { data: p.data, props: dataProps },
    ((_e = p.data) === null || _e === void 0 ? void 0 : _e.order) ? h(SortingSign, { column: p.data }) : "",
    p.canFilter && ((_f = p.data) === null || _f === void 0 ? void 0 : _f.filter) !== false ? h(FilterButton, { column: p.data }) : ""
  );
};
const GroupHeaderRenderer = (p) => {
  const groupProps = {
    canResize: p.canResize,
    minWidth: p.group.ids.length * MIN_COL_SIZE,
    maxWidth: 0,
    active: ["r"],
    class: {
      [HEADER_CLASS]: true
    },
    style: {
      transform: `translateX(${p.start}px)`,
      width: `${p.end - p.start}px`
    },
    onResize: p.onResize
  };
  return h(HeaderCellRenderer, { data: p.group, props: groupProps });
};
const ColumnGroupsRenderer = ({ depth, groups, visibleProps, dimensionCol, canResize, onResize }) => {
  const groupRow = [];
  for (let i = 0; i < depth; i++) {
    if (groups[i]) {
      for (let group of groups[i]) {
        const indexFirstVisibleCol = findIndex_1(group.ids, (id) => typeof visibleProps[id] === "number");
        if (indexFirstVisibleCol > -1) {
          const colVisibleIndex = visibleProps[group.ids[indexFirstVisibleCol]];
          const groupStartIndex = colVisibleIndex - indexFirstVisibleCol;
          const groupEndIndex = groupStartIndex + group.ids.length - 1;
          const groupStart = getItemByIndex(dimensionCol, groupStartIndex).start;
          const groupEnd = getItemByIndex(dimensionCol, groupEndIndex).end;
          groupRow.push(h(GroupHeaderRenderer, { start: groupStart, end: groupEnd, group, canResize, onResize: (e) => onResize(e.changedX, groupStartIndex, groupEndIndex) }));
        }
      }
    }
    groupRow.push(h("div", { class: `${HEADER_ROW_CLASS} group` }));
  }
  return groupRow;
};
const revogrHeaderStyleCss = `@charset "UTF-8";.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revogr-header{position:relative;z-index:5;display:block}revogr-header .rgHeaderCell{display:flex}revogr-header .rgHeaderCell.align-center{text-align:center}revogr-header .rgHeaderCell.align-left{text-align:left}revogr-header .rgHeaderCell.align-right{text-align:right}revogr-header .rgHeaderCell.sortable{cursor:pointer}revogr-header .rgHeaderCell i.asc:after,revogr-header .rgHeaderCell i.desc:after{font-size:13px}revogr-header .rgHeaderCell i.asc:after{content:"\u2191"}revogr-header .rgHeaderCell i.desc:after{content:"\u2193"}revogr-header .rgHeaderCell,revogr-header .grouped-cell{position:absolute;box-sizing:border-box;height:100%;z-index:1}revogr-header .header-rgRow{display:block;position:relative}revogr-header .header-rgRow.group{z-index:0}revogr-header .group-rgRow{position:relative}revogr-header .rgHeaderCell.active{z-index:10}revogr-header .rgHeaderCell.active .resizable{background-color:deepskyblue}revogr-header .rgHeaderCell .header-content{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;flex-grow:1}revogr-header .rgHeaderCell .resizable{display:block;position:absolute;z-index:90;touch-action:none;user-select:none}revogr-header .rgHeaderCell .resizable:hover{background-color:deepskyblue}revogr-header .rgHeaderCell>.resizable-r{cursor:ew-resize;width:6px;right:0;top:0;height:100%}revogr-header .rgHeaderCell>.resizable-rb{cursor:se-resize;width:6px;height:6px;right:0;bottom:0}revogr-header .rgHeaderCell>.resizable-b{cursor:s-resize;height:6px;bottom:0;width:100%;left:0}revogr-header .rgHeaderCell>.resizable-lb{cursor:sw-resize;width:6px;height:6px;left:0;bottom:0}revogr-header .rgHeaderCell>.resizable-l{cursor:w-resize;width:6px;left:0;height:100%;top:0}revogr-header .rgHeaderCell>.resizable-lt{cursor:nw-resize;width:6px;height:6px;left:0;top:0}revogr-header .rgHeaderCell>.resizable-t{cursor:n-resize;height:6px;top:0;width:100%;left:0}revogr-header .rgHeaderCell>.resizable-rt{cursor:ne-resize;width:6px;height:6px;right:0;top:0}revogr-header .rv-filter{visibility:hidden}`;
const RevogrHeaderComponent = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.initialHeaderClick = createEvent(this, "initialHeaderClick", 7);
    this.headerresize = createEvent(this, "headerresize", 7);
    this.headerdblClick = createEvent(this, "headerdblClick", 7);
    this.parent = "";
    this.groupingDepth = 0;
  }
  onResize({ width }, index) {
    this.headerresize.emit({ [index]: width || 0 });
  }
  onResizeGroup(changedX, startIndex, endIndex) {
    const sizes = {};
    const cols = keyBy_1(this.viewportCol.get("items"), "itemIndex");
    const change = changedX / (endIndex - startIndex + 1);
    for (let i = startIndex; i <= endIndex; i++) {
      const item = cols[i];
      if (item) {
        sizes[i] = item.size + change;
      }
    }
    this.headerresize.emit(sizes);
  }
  render() {
    var _a;
    const cols = this.viewportCol.get("items");
    const range2 = (_a = this.selectionStore) === null || _a === void 0 ? void 0 : _a.get("range");
    const cells = [];
    const visibleProps = {};
    for (let rgCol of cols) {
      const colData = this.colData[rgCol.itemIndex];
      cells.push(h(HeaderRenderer, { range: range2, column: rgCol, data: colData, canFilter: !!this.columnFilter, canResize: this.canResize, onResize: (e) => this.onResize(e, rgCol.itemIndex), onDoubleClick: (e) => this.headerdblClick.emit(e), onClick: (e) => this.initialHeaderClick.emit(e) }));
      visibleProps[colData === null || colData === void 0 ? void 0 : colData.prop] = rgCol.itemIndex;
    }
    return [
      h("div", { class: "group-rgRow" }, h(ColumnGroupsRenderer, { canResize: this.canResize, visibleProps, groups: this.groups, dimensionCol: this.dimensionCol.state, depth: this.groupingDepth, onResize: (changedX, startIndex, endIndex) => this.onResizeGroup(changedX, startIndex, endIndex) })),
      h("div", { class: `${HEADER_ROW_CLASS} ${HEADER_ACTUAL_ROW_CLASS}` }, cells)
    ];
  }
  get element() {
    return this;
  }
  static get style() {
    return revogrHeaderStyleCss;
  }
};
class RowOrderService {
  constructor(config) {
    this.config = config;
    this.currentCell = null;
    this.previousRow = null;
  }
  endOrder(e, data) {
    if (this.currentCell === null) {
      return;
    }
    const newRow = this.getCell(e, data);
    if (newRow.y !== this.currentCell.y) {
      if (newRow.y < 0) {
        newRow.y = 0;
      } else if (newRow.y < this.currentCell.y) {
        newRow.y++;
      }
      this.config.positionChanged(this.currentCell.y, newRow.y);
    }
    this.clear();
  }
  startOrder(e, data) {
    this.currentCell = this.getCell(e, data);
    return this.currentCell;
  }
  move(y, data) {
    const rgRow = this.getRow(y, data);
    if (this.previousRow === rgRow.itemIndex || rgRow.itemIndex < -1) {
      return null;
    }
    this.previousRow = rgRow.itemIndex;
    return rgRow;
  }
  clear() {
    this.currentCell = null;
    this.previousRow = null;
  }
  getRow(y, { el, rows }) {
    const { top } = el.getBoundingClientRect();
    const topRelative = y - top;
    const rgRow = getItemByPosition(rows, topRelative);
    const absolutePosition = {
      itemIndex: rgRow.itemIndex,
      start: rgRow.start + top,
      end: rgRow.end + top
    };
    return absolutePosition;
  }
  getCell({ x, y }, { el, rows, cols }) {
    const { top, left } = el.getBoundingClientRect();
    const topRelative = y - top;
    const leftRelative = x - left;
    const rgRow = getItemByPosition(rows, topRelative);
    const rgCol = getItemByPosition(cols, leftRelative);
    return { x: rgCol.itemIndex, y: rgRow.itemIndex };
  }
}
const OrderEditor = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.internalRowDragStart = createEvent(this, "internalRowDragStart", 7);
    this.internalRowDragEnd = createEvent(this, "internalRowDragEnd", 7);
    this.internalRowDrag = createEvent(this, "internalRowDrag", 7);
    this.internalRowMouseMove = createEvent(this, "internalRowMouseMove", 7);
    this.initialRowDropped = createEvent(this, "initialRowDropped", 7);
    this.rowMoveFunc = debounce_1((y) => {
      const rgRow = this.rowOrderService.move(y, this.getData());
      if (rgRow !== null) {
        this.internalRowDrag.emit(rgRow);
      }
    }, 5);
  }
  onMouseOut() {
    this.clearOrder();
  }
  onMouseUp(e) {
    this.endOrder(e);
  }
  async dragStart(e) {
    e.preventDefault();
    if (this.moveFunc) {
      this.clearOrder();
    }
    const data = this.getData();
    const cell = this.rowOrderService.startOrder(e, data);
    const pos = this.rowOrderService.getRow(e.y, data);
    const dragStartEvent = this.internalRowDragStart.emit({ cell, text: DRAGG_TEXT, pos, event: e });
    if (dragStartEvent.defaultPrevented) {
      return;
    }
    this.moveFunc = (e2) => this.move(e2);
    document.addEventListener("mousemove", this.moveFunc);
  }
  async endOrder(e) {
    this.rowOrderService.endOrder(e, this.getData());
    this.clearOrder();
  }
  async clearOrder() {
    this.rowOrderService.clear();
    document.removeEventListener("mousemove", this.moveFunc);
    this.moveFunc = null;
    this.internalRowDragEnd.emit();
  }
  move({ x, y }) {
    this.internalRowMouseMove.emit({ x, y });
    this.rowMoveFunc(y);
  }
  connectedCallback() {
    this.rowOrderService = new RowOrderService({ positionChanged: (f, t) => this.onPositionChanged(f, t) });
  }
  onPositionChanged(from, to) {
    const dropEvent = this.initialRowDropped.emit({ from, to });
    if (dropEvent.defaultPrevented) {
      return;
    }
    const items = [...this.dataStore.get("items")];
    const toMove = items.splice(from, 1);
    items.splice(to, 0, ...toMove);
    setItems(this.dataStore, items);
  }
  getData() {
    return {
      el: this.parent,
      rows: this.dimensionRow.state,
      cols: this.dimensionCol.state
    };
  }
};
class SelectionStoreService {
  constructor(store, config) {
    this.store = store;
    this.config = config;
    this.store = store;
  }
  get edited() {
    return this.store.get("edit");
  }
  get focused() {
    return this.store.get("focus");
  }
  get ranged() {
    return this.store.get("range");
  }
  changeRange(range2) {
    return this.config.changeRange(range2);
  }
  focus(cell, isMulti = false) {
    if (!cell) {
      return false;
    }
    let end = cell;
    if (isMulti) {
      let start = this.store.get("focus");
      if (start) {
        return this.config.changeRange(getRange(start, end));
      }
    }
    return this.config.focus(cell, end);
  }
}
function isEditInput(el) {
  return !!(el === null || el === void 0 ? void 0 : el.closest(`.${EDIT_INPUT_WR}`));
}
class KeyboardService {
  constructor(sv) {
    this.sv = sv;
    this.ctrlDown = false;
  }
  async keyDown(e, canRange) {
    if (!this.sv.selectionStoreService.focused) {
      return;
    }
    if (isCtrlKey(e.keyCode, navigator.platform)) {
      this.ctrlDown = true;
    }
    if (codesLetter.TAB === e.code) {
      this.keyChangeSelection(e, canRange);
      return;
    }
    if (this.sv.selectionStoreService.edited) {
      switch (e.code) {
        case codesLetter.ESCAPE:
          this.sv.doEdit(void 0, true);
          break;
      }
      return;
    }
    if (isClear(e.code)) {
      this.sv.clearCell();
      return;
    }
    if (isEnterKey(e.code)) {
      this.sv.doEdit();
      return;
    }
    if (this.isCopy(e)) {
      return;
    }
    if (this.isPaste(e)) {
      this.sv.internalPaste();
      return;
    }
    if (isLetterKey(e.keyCode)) {
      this.sv.doEdit(e.key);
      return;
    }
    if (await this.keyChangeSelection(e, canRange)) {
      return;
    }
  }
  async keyChangeSelection(e, canRange) {
    const data = this.changeDirectionKey(e, canRange);
    if (!data) {
      return false;
    }
    await timeout();
    const range2 = this.sv.selectionStore.get("range");
    const focus = this.sv.selectionStore.get("focus");
    return this.keyPositionChange(data.changes, this.sv.getData(), range2, focus, data.isMulti);
  }
  keyPositionChange(changes, eData, range2, focus, isMulti = false) {
    if (!range2 || !focus) {
      return false;
    }
    const data = getCoordinate(range2, focus, changes, isMulti);
    if (!data) {
      return false;
    }
    if (isMulti) {
      if (isAfterLast(data.end, eData) || isBeforeFirst(data.start)) {
        return false;
      }
      const range3 = getRange(data.start, data.end);
      return this.sv.selectionStoreService.changeRange(range3);
    }
    return this.sv.selectionStoreService.focus(data.start);
  }
  keyUp(e) {
    if (isCtrlKey(e.keyCode, navigator.platform)) {
      this.ctrlDown = false;
    }
  }
  isCopy(e) {
    return this.ctrlDown && e.code == codesLetter.C;
  }
  isPaste(e) {
    return this.ctrlDown && e.code == codesLetter.V;
  }
  changeDirectionKey(e, canRange) {
    const isMulti = canRange && e.shiftKey;
    switch (e.code) {
      case codesLetter.TAB:
      case codesLetter.ARROW_UP:
      case codesLetter.ARROW_DOWN:
      case codesLetter.ARROW_LEFT:
      case codesLetter.ARROW_RIGHT:
        e.preventDefault();
        break;
    }
    switch (e.code) {
      case codesLetter.ARROW_UP:
        return { changes: { y: -1 }, isMulti };
      case codesLetter.ARROW_DOWN:
        return { changes: { y: 1 }, isMulti };
      case codesLetter.ARROW_LEFT:
        return { changes: { x: -1 }, isMulti };
      case codesLetter.TAB:
      case codesLetter.ARROW_RIGHT:
        return { changes: { x: 1 }, isMulti };
    }
  }
}
function baseSlice(array, start, end) {
  var index = -1, length = array.length;
  if (start < 0) {
    start = -start > length ? 0 : length + start;
  }
  end = end > length ? length : end;
  if (end < 0) {
    end += length;
  }
  length = start > end ? 0 : end - start >>> 0;
  start >>>= 0;
  var result = Array(length);
  while (++index < length) {
    result[index] = array[index + start];
  }
  return result;
}
var _baseSlice = baseSlice;
function slice(array, start, end) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  if (end && typeof end != "number" && _isIterateeCall(array, start, end)) {
    start = 0;
    end = length;
  } else {
    start = start == null ? 0 : toInteger_1(start);
    end = end === void 0 ? length : toInteger_1(end);
  }
  return _baseSlice(array, start, end);
}
var slice_1 = slice;
var AutoFillType;
(function(AutoFillType2) {
  AutoFillType2["selection"] = "Selection";
  AutoFillType2["autoFill"] = "AutoFill";
})(AutoFillType || (AutoFillType = {}));
class AutoFillService {
  constructor(sv) {
    this.sv = sv;
    this.autoFillType = null;
    this.autoFillInitial = null;
    this.autoFillStart = null;
    this.autoFillLast = null;
  }
  renderAutofill(range2, selectionFocus) {
    let handlerStyle;
    if (range2) {
      handlerStyle = getCell(range2, this.sv.dimensionRow.state, this.sv.dimensionCol.state);
    } else {
      handlerStyle = getCell(Object.assign(Object.assign({}, selectionFocus), { x1: selectionFocus.x, y1: selectionFocus.y }), this.sv.dimensionRow.state, this.sv.dimensionCol.state);
    }
    return h("div", { class: CELL_HANDLER_CLASS, style: { left: `${handlerStyle.right}px`, top: `${handlerStyle.bottom}px` }, onMouseDown: (e) => this.selectionStart(e, this.sv.getData(), AutoFillType.autoFill) });
  }
  get isAutoFill() {
    return !!this.autoFillType;
  }
  selectionMouseMove(e) {
    if (!this.onMouseMoveAutofill) {
      this.onMouseMoveAutofill = debounce_1((e2, data) => this.doAutofillMouseMove(e2, data), 5);
    }
    if (this.isAutoFill) {
      this.onMouseMoveAutofill(e, this.sv.getData());
    }
  }
  getFocus() {
    let focus = this.sv.selectionStoreService.focused;
    const range2 = this.sv.selectionStoreService.ranged;
    if (range2) {
      focus = { x: range2.x, y: range2.y };
    }
    if (!focus && !range2) {
      return null;
    }
    return focus;
  }
  doAutofillMouseMove({ x, y }, data) {
    if (!this.autoFillInitial) {
      return;
    }
    let current = getCurrentCell({ x, y }, data);
    let direction;
    if (this.autoFillLast) {
      direction = getDirectionCoordinate(this.autoFillStart, this.autoFillLast);
    }
    if (!this.autoFillLast || !direction) {
      direction = getLargestAxis(this.autoFillStart, current);
      if (!this.autoFillLast) {
        this.autoFillLast = this.autoFillStart;
      }
    }
    if (!direction) {
      return;
    }
    each(direction, (v, k) => {
      if (v) {
        current = Object.assign(Object.assign({}, this.autoFillLast), { [k]: current[k] });
      }
    });
    if (isAfterLast(current, data)) {
      return;
    }
    this.autoFillLast = current;
    this.sv.setTempRange({
      area: getRange(this.autoFillInitial, this.autoFillLast),
      type: this.autoFillType
    });
  }
  selectionStart(e, data, type = AutoFillType.selection) {
    const { top, left } = e.target.getBoundingClientRect();
    this.autoFillInitial = this.getFocus();
    this.autoFillType = type;
    this.autoFillStart = getCurrentCell({ x: left, y: top }, data);
    e.preventDefault();
  }
  clearAutoFillSelection() {
    if (this.autoFillInitial) {
      this.autoFillInitial = this.getFocus();
      if (this.autoFillType === AutoFillType.autoFill) {
        this.applyRangeWithData(this.autoFillInitial, this.autoFillLast);
      } else {
        this.applyRangeOnly(this.autoFillInitial, this.autoFillLast);
      }
    }
    this.autoFillType = null;
    this.autoFillInitial = null;
    this.autoFillLast = null;
    this.autoFillStart = null;
  }
  onRangeApply(data, range2) {
    const models = {};
    for (let rowIndex in data) {
      models[rowIndex] = getSourceItem(this.sv.dataStore, parseInt(rowIndex, 10));
    }
    const dataEvent = this.sv.internalRangeDataApply({
      data,
      models,
      type: this.sv.dataStore.get("type")
    });
    if (!dataEvent.defaultPrevented) {
      this.sv.columnService.applyRangeData(data);
    }
    this.sv.setRange(range2);
  }
  applyRangeWithData(start, end) {
    if (!start || !end) {
      return;
    }
    const oldRange = this.sv.selectionStoreService.ranged;
    const newRange = getRange(start, end);
    const columns = [...this.sv.columnService.columns];
    const rangeData = {
      type: this.sv.dataStore.get("type"),
      newData: {},
      newRange,
      oldRange,
      newProps: slice_1(columns, newRange.x, newRange.x1 + 1).map((v) => v.prop),
      oldProps: slice_1(columns, oldRange.x, oldRange.x1 + 1).map((v) => v.prop)
    };
    rangeData.newData = this.sv.columnService.getRangeData(rangeData);
    const selectionEndEvent = this.sv.internalSelectionChanged(rangeData);
    if (selectionEndEvent.defaultPrevented) {
      this.sv.setTempRange(null);
      return;
    }
    this.onRangeApply(rangeData.newData, newRange);
  }
  applyRangeOnly(start, end) {
    if (!start || !end) {
      return;
    }
    const newRange = getRange(start, end);
    this.sv.setRange(newRange);
  }
}
class ClipboardService {
  constructor(sv) {
    this.sv = sv;
  }
  onCopy(e) {
    const canCopy = this.sv.internalCopy();
    if (canCopy.defaultPrevented) {
      return false;
    }
    let focus = this.sv.selectionStoreService.focused;
    let range2 = this.sv.selectionStoreService.ranged;
    let data;
    if (!range2) {
      range2 = getRange(focus, focus);
    }
    if (range2) {
      const columns = [...this.sv.columnService.columns];
      const props = slice_1(columns, range2.x, range2.x1 + 1).map((v) => v.prop);
      data = this.sv.columnService.copyRangeArray(range2, props, this.sv.dataStore);
    }
    this.clipboard.doCopy(e, data);
    return true;
  }
  renderClipboard() {
    return h("revogr-clipboard", { onCopyRegion: (e) => this.onCopy(e.detail), ref: (e) => this.clipboard = e, onPasteRegion: (e) => this.onPaste(e.detail) });
  }
  onPaste(data) {
    const focus = this.sv.selectionStoreService.focused;
    const isEditing = this.sv.selectionStoreService.edited !== null;
    if (!focus || isEditing) {
      return;
    }
    const { changed, range: range2 } = this.sv.columnService.getTransformedDataToApply(focus, data);
    this.sv.onRangeApply(changed, range2);
  }
}
const revogrOverlayStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revogr-overlay-selection{display:block;position:relative;width:100%}revogr-overlay-selection .autofill-handle{position:absolute;width:10px;height:10px;background:#0d63e8;margin-left:-9px;margin-top:-9px;border:1px solid white;box-sizing:border-box;z-index:10;cursor:crosshair}revogr-overlay-selection .selection-border-range{position:absolute;pointer-events:none;z-index:9}revogr-overlay-selection .selection-border-range{box-shadow:-1px 0 0 #0d63e8 inset, 1px 0 0 #0d63e8 inset, 0 -1px 0 #0d63e8 inset, 0 1px 0 #0d63e8 inset}revogr-overlay-selection revogr-edit{z-index:10}`;
const OverlaySelection = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.internalCopy = createEvent(this, "internalCopy", 7);
    this.internalPaste = createEvent(this, "internalPaste", 7);
    this.internalCellEdit = createEvent(this, "internalCellEdit", 7);
    this.internalFocusCell = createEvent(this, "internalFocusCell", 7);
    this.setEdit = createEvent(this, "setEdit", 3);
    this.setRange = createEvent(this, "setRange", 7);
    this.setTempRange = createEvent(this, "setTempRange", 7);
    this.focusCell = createEvent(this, "focusCell", 3);
    this.internalSelectionChanged = createEvent(this, "internalSelectionChanged", 7);
    this.internalRangeDataApply = createEvent(this, "internalRangeDataApply", 7);
    this.keyboardService = null;
    this.autoFillService = null;
    this.clipboardService = null;
  }
  onMouseMove(e) {
    if (this.selectionStoreService.focused) {
      this.autoFillService.selectionMouseMove(e);
    }
  }
  onMouseOut() {
    this.autoFillService.clearAutoFillSelection();
  }
  onMouseUp() {
    this.autoFillService.clearAutoFillSelection();
  }
  onCellDrag(e) {
    var _a;
    (_a = this.orderEditor) === null || _a === void 0 ? void 0 : _a.dragStart(e.detail);
  }
  onKeyUp(e) {
    var _a;
    (_a = this.keyboardService) === null || _a === void 0 ? void 0 : _a.keyUp(e);
  }
  onKeyDown(e) {
    var _a;
    if (e.defaultPrevented) {
      return;
    }
    (_a = this.keyboardService) === null || _a === void 0 ? void 0 : _a.keyDown(e, this.range);
  }
  selectionServiceSet(s) {
    this.selectionStoreService = new SelectionStoreService(s, {
      changeRange: (range2) => {
        var _a;
        return !((_a = this.setRange.emit(range2)) === null || _a === void 0 ? void 0 : _a.defaultPrevented);
      },
      focus: (focus, end) => {
        var _a;
        const focused = { focus, end };
        const { defaultPrevented } = this.internalFocusCell.emit(this.columnService.getSaveData(focus.y, focus.x));
        if (defaultPrevented) {
          return false;
        }
        return !((_a = this.focusCell.emit(focused)) === null || _a === void 0 ? void 0 : _a.defaultPrevented);
      }
    });
    this.keyboardService = new KeyboardService({
      selectionStoreService: this.selectionStoreService,
      selectionStore: s,
      doEdit: (v, c) => this.doEdit(v, c),
      clearCell: () => this.clearCell(),
      getData: () => this.getData(),
      internalPaste: () => this.internalPaste.emit()
    });
    this.createAutoFillService();
    this.createClipboardService();
  }
  createAutoFillService() {
    this.autoFillService = new AutoFillService({
      selectionStoreService: this.selectionStoreService,
      dimensionRow: this.dimensionRow,
      dimensionCol: this.dimensionCol,
      columnService: this.columnService,
      dataStore: this.dataStore,
      setTempRange: (e) => this.setTempRange.emit(e),
      internalSelectionChanged: (e) => this.internalSelectionChanged.emit(e),
      internalRangeDataApply: (e) => this.internalRangeDataApply.emit(e),
      setRange: (e) => this.setRange.emit(e),
      getData: () => this.getData()
    });
  }
  columnServiceSet() {
    var _a;
    (_a = this.columnService) === null || _a === void 0 ? void 0 : _a.destroy();
    this.columnService = new ColumnService(this.dataStore, this.colData);
    this.createAutoFillService();
    this.createClipboardService();
  }
  createClipboardService() {
    this.clipboardService = new ClipboardService({
      selectionStoreService: this.selectionStoreService,
      columnService: this.columnService,
      dataStore: this.dataStore,
      onRangeApply: (d, r) => this.autoFillService.onRangeApply(d, r),
      internalCopy: () => this.internalCopy.emit()
    });
  }
  connectedCallback() {
    this.columnServiceSet();
    this.selectionServiceSet(this.selectionStore);
  }
  disconnectedCallback() {
    var _a;
    (_a = this.columnService) === null || _a === void 0 ? void 0 : _a.destroy();
  }
  renderRange(range2) {
    const style = getElStyle(range2, this.dimensionRow.state, this.dimensionCol.state);
    return [h("div", { class: SELECTION_BORDER_CLASS, style })];
  }
  renderEditCell() {
    const editCell = this.selectionStore.get("edit");
    if (this.readonly || !editCell) {
      return;
    }
    const val = editCell.val || this.columnService.getCellData(editCell.y, editCell.x);
    const editable = Object.assign(Object.assign({}, editCell), this.columnService.getSaveData(editCell.y, editCell.x, val));
    const style = getElStyle(Object.assign(Object.assign({}, editCell), { x1: editCell.x, y1: editCell.y }), this.dimensionRow.state, this.dimensionCol.state);
    return h("revogr-edit", { onCellEdit: (e) => this.onCellEdit(e.detail), onCloseEdit: (e) => this.closeEdit(e), editCell: editable, column: this.columnService.columns[editCell.x], editor: this.columnService.getCellEditor(editCell.y, editCell.x, this.editors), style });
  }
  render() {
    const range2 = this.selectionStoreService.ranged;
    const selectionFocus = this.selectionStoreService.focused;
    const els = [];
    if ((range2 || selectionFocus) && this.useClipboard) {
      els.push(this.clipboardService.renderClipboard());
    }
    if (range2) {
      els.push(...this.renderRange(range2));
    }
    const editCell = this.renderEditCell();
    if (editCell) {
      els.push(editCell);
    }
    if (selectionFocus && !this.readonly && !editCell && this.range) {
      els.push(this.autoFillService.renderAutofill(range2, selectionFocus));
    }
    if (this.canDrag) {
      els.push(h("revogr-order-editor", { ref: (e) => this.orderEditor = e, dataStore: this.dataStore, dimensionRow: this.dimensionRow, dimensionCol: this.dimensionCol, parent: this.element, onInternalRowDragStart: (e) => this.onRowDragStart(e) }));
    }
    return h(Host, { onDblClick: () => this.doEdit(), onMouseDown: (e) => this.onElementMouseDown(e) }, els, h("slot", { name: "data" }));
  }
  onElementMouseDown(e) {
    if (isEditInput(e.target)) {
      return;
    }
    const data = this.getData();
    if (e.defaultPrevented) {
      return;
    }
    const focusCell = getCurrentCell({ x: e.x, y: e.y }, data);
    this.selectionStoreService.focus(focusCell, this.range && e.shiftKey);
    if (this.range) {
      this.autoFillService.selectionStart(e, data);
    }
  }
  doEdit(val = "", isCancel = false) {
    var _a;
    if (this.canEdit()) {
      const editCell = this.selectionStore.get("focus");
      const data = this.columnService.getSaveData(editCell.y, editCell.x);
      (_a = this.setEdit) === null || _a === void 0 ? void 0 : _a.emit(Object.assign(Object.assign({}, data), {
        isCancel,
        val
      }));
    }
  }
  closeEdit(e) {
    this.doEdit(void 0, true);
    if (e === null || e === void 0 ? void 0 : e.detail) {
      this.focusNext();
    }
  }
  async focusNext() {
    const canFocus = await this.keyboardService.keyChangeSelection(new KeyboardEvent("keydown", {
      code: codesLetter.ARROW_DOWN
    }), this.range);
    if (!canFocus) {
      this.closeEdit();
    }
  }
  clearCell() {
    if (this.selectionStoreService.ranged && !isRangeSingleCell(this.selectionStoreService.ranged)) {
      const data = this.columnService.getRangeStaticData(this.selectionStoreService.ranged, "");
      this.autoFillService.onRangeApply(data, this.selectionStoreService.ranged);
    } else if (this.canEdit()) {
      const focused = this.selectionStoreService.focused;
      this.onCellEdit({ rgRow: focused.y, rgCol: focused.x, val: "" }, true);
    }
  }
  onCellEdit(e, clear = false) {
    const dataToSave = this.columnService.getSaveData(e.rgRow, e.rgCol, e.val);
    this.internalCellEdit.emit(dataToSave);
    if (!clear && !e.preventFocus) {
      this.focusNext();
    }
  }
  onRowDragStart({ detail }) {
    detail.text = this.columnService.getCellData(detail.cell.y, detail.cell.x);
  }
  canEdit() {
    var _a;
    if (this.readonly) {
      return false;
    }
    const editCell = this.selectionStoreService.focused;
    return editCell && !((_a = this.columnService) === null || _a === void 0 ? void 0 : _a.isReadOnly(editCell.y, editCell.x));
  }
  getData() {
    return {
      el: this.element,
      rows: this.dimensionRow.state,
      cols: this.dimensionCol.state,
      lastCell: this.lastCell
    };
  }
  get element() {
    return this;
  }
  static get watchers() {
    return {
      "selectionStore": ["selectionServiceSet"],
      "dimensionRow": ["createAutoFillService"],
      "dimensionCol": ["createAutoFillService"],
      "dataStore": ["columnServiceSet"],
      "colData": ["columnServiceSet"]
    };
  }
  static get style() {
    return revogrOverlayStyleCss;
  }
};
const RowHeaderRender = (s) => (__, { rowIndex: i }) => s + i;
const LETTER_BLOCK_SIZE = 10;
const RevogrRowHeaders$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.scrollViewport = createEvent(this, "scrollViewport", 3);
    this.elementToScroll = createEvent(this, "elementToScroll", 3);
  }
  render() {
    var _a;
    const dataViews = [];
    const viewport = new ViewportStore();
    let totalLength = 1;
    for (let data of this.dataPorts) {
      const itemCount = data.dataStore.get("items").length;
      const dataStore = new DataStore(data.type);
      dataStore.updateData(data.dataStore.get("source"));
      const colData = new DataStore("colPinStart");
      const column = Object.assign({ cellTemplate: RowHeaderRender(totalLength) }, this.rowHeaderColumn);
      colData.updateData([column]);
      const viewData = Object.assign(Object.assign({}, data), { dataStore: dataStore.store, colData: colData.store, viewportCol: viewport.store, readonly: true, range: false });
      dataViews.push(h("revogr-data", Object.assign({}, viewData)));
      totalLength += itemCount;
    }
    const colSize = ((_a = this.rowHeaderColumn) === null || _a === void 0 ? void 0 : _a.size) || (totalLength.toString().length + 1) * LETTER_BLOCK_SIZE;
    viewport.setViewport({
      realCount: 1,
      virtualSize: 0,
      items: [
        {
          size: colSize,
          start: 0,
          end: colSize,
          itemIndex: 0
        }
      ]
    });
    const parent = `${this.uiid}-rowHeaders`;
    const viewportScroll = {
      [UUID]: parent,
      contentHeight: this.height,
      contentWidth: 0,
      style: { minWidth: `${colSize}px` },
      ref: (el) => this.elementToScroll.emit(el),
      onScrollViewport: (e) => this.scrollViewport.emit(e.detail)
    };
    const viewportHeader = Object.assign(Object.assign({}, this.headerProp), { colData: typeof this.rowHeaderColumn === "object" ? [this.rowHeaderColumn] : [], viewportCol: viewport.store, canResize: false, parent, slot: "header" });
    return h(Host, { class: "rowHeaders", key: "rowHeaders" }, h("revogr-viewport-scroll", Object.assign({}, viewportScroll), h("revogr-header", Object.assign({}, viewportHeader)), dataViews));
  }
};
const initialParams = {
  contentSize: 0,
  clientSize: 0,
  virtualSize: 0,
  maxSize: 0
};
class LocalScrollService {
  constructor(cfg) {
    this.cfg = cfg;
    this.preventArtificialScroll = { rgRow: null, rgCol: null };
    this.previousScroll = { rgRow: 0, rgCol: 0 };
    this.params = { rgRow: Object.assign({}, initialParams), rgCol: Object.assign({}, initialParams) };
  }
  static getVirtualContentSize(contentSize, clientSize, virtualSize = 0) {
    return contentSize + (virtualSize ? clientSize - virtualSize : 0);
  }
  setParams(params, dimension) {
    const virtualContentSize = LocalScrollService.getVirtualContentSize(params.contentSize, params.clientSize, params.virtualSize);
    this.params[dimension] = Object.assign(Object.assign({}, params), { maxSize: virtualContentSize - params.clientSize, virtualContentSize });
  }
  setScroll(e) {
    this.cancelScroll(e.dimension);
    this.preventArtificialScroll[e.dimension] = window.requestAnimationFrame(() => {
      const params = this.getParams(e.dimension);
      e.coordinate = Math.ceil(e.coordinate);
      this.previousScroll[e.dimension] = this.wrapCoordinate(e.coordinate, params);
      this.preventArtificialScroll[e.dimension] = null;
      this.cfg.afterScroll(Object.assign(Object.assign({}, e), { coordinate: params.virtualSize ? this.convert(e.coordinate, params, false) : e.coordinate }));
    });
  }
  scroll(coordinate, dimension, force = false, delta) {
    this.cancelScroll(dimension);
    if (!force && this.previousScroll[dimension] === coordinate) {
      this.previousScroll[dimension] = 0;
      return;
    }
    const param = this.getParams(dimension);
    this.cfg.beforeScroll({
      dimension,
      coordinate: param.virtualSize ? this.convert(coordinate, param) : coordinate,
      delta
    });
  }
  getParams(dimension) {
    return this.params[dimension];
  }
  wrapCoordinate(c, param) {
    if (c < 0) {
      return 0;
    }
    if (c > param.maxSize) {
      return param.maxSize;
    }
    return c;
  }
  cancelScroll(dimension) {
    if (typeof this.preventArtificialScroll[dimension] === "number") {
      window.cancelAnimationFrame(this.preventArtificialScroll[dimension]);
      this.preventArtificialScroll[dimension] = null;
      return true;
    }
    return false;
  }
  convert(pos, param, toReal = true) {
    const minRange = param.clientSize;
    const from = [0, param.virtualContentSize - minRange];
    const to = [0, param.contentSize - param.virtualSize];
    if (toReal) {
      return scaleValue(pos, from, to);
    }
    return scaleValue(pos, to, from);
  }
}
const revogrScrollStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}revogr-scroll-virtual[auto-hide]{position:absolute;z-index:100}revogr-scroll-virtual[auto-hide].vertical{right:0;top:0}revogr-scroll-virtual[auto-hide].vertical:hover{min-width:20px}revogr-scroll-virtual[auto-hide].horizontal{bottom:0;left:0}revogr-scroll-virtual[auto-hide].horizontal:hover{min-height:20px}revogr-scroll-virtual.vertical{overflow-y:auto;overflow-x:hidden;height:100%}revogr-scroll-virtual.vertical>div{width:1px}revogr-scroll-virtual.horizontal{overflow-x:auto;overflow-y:hidden;width:100%}revogr-scroll-virtual.horizontal>div{height:1px}`;
const RevogrScrollVirtual$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.scrollVirtual = createEvent(this, "scrollVirtual", 7);
    this.scrollSize = 0;
    this.isAutoHide = false;
    this.autoHideTimeout = 0;
    this.dimension = "rgRow";
  }
  async setScroll(e) {
    var _a;
    if (this.dimension !== e.dimension) {
      return;
    }
    (_a = this.scrollService) === null || _a === void 0 ? void 0 : _a.setScroll(e);
  }
  async changeScroll(e) {
    if (e.delta) {
      switch (e.dimension) {
        case "rgCol":
          e.coordinate = this.element.scrollLeft + e.delta;
          break;
        case "rgRow":
          e.coordinate = this.element.scrollTop + e.delta;
          break;
      }
      this.setScroll(e);
    }
    return e;
  }
  set size(s) {
    if (this.dimension === "rgRow") {
      this.element.style.minWidth = `${s}px`;
      return;
    }
    this.element.style.minHeight = `${s}px`;
  }
  get size() {
    if (this.dimension === "rgRow") {
      return this.element.clientHeight;
    }
    return this.element.clientWidth;
  }
  connectedCallback() {
    this.scrollService = new LocalScrollService({
      beforeScroll: (e) => this.scrollVirtual.emit(e),
      afterScroll: (e) => {
        const type = e.dimension === "rgRow" ? "scrollTop" : "scrollLeft";
        this.element[type] = e.coordinate;
      }
    });
  }
  disconnectedCallback() {
    clearTimeout(this.autoHideTimeout);
  }
  componentWillLoad() {
    this.scrollSize = getScrollbarWidth(document);
    this.isAutoHide = !this.scrollSize;
  }
  componentDidRender() {
    const type = this.dimension === "rgRow" ? "scrollHeight" : "scrollWidth";
    if (this.element[type] > this.size) {
      this.size = this.scrollSize;
    } else {
      this.size = 0;
    }
    this.scrollService.setParams({
      contentSize: this.dimensionStore.get("realSize"),
      clientSize: this.size,
      virtualSize: this.viewportStore.get("virtualSize")
    }, this.dimension);
  }
  onScroll(e) {
    var _a;
    let type = "scrollLeft";
    if (this.dimension === "rgRow") {
      type = "scrollTop";
    }
    if (this.isAutoHide) {
      this.size = 20;
      this.autoHideTimeout = this.autoHide(this.autoHideTimeout);
    }
    const target = e.target;
    (_a = this.scrollService) === null || _a === void 0 ? void 0 : _a.scroll(target[type] || 0, this.dimension);
  }
  autoHide(timeout2) {
    clearTimeout(timeout2);
    return setTimeout(() => {
      this.size = 0;
    }, 6e3);
  }
  render() {
    const sizeType = this.dimension === "rgRow" ? "height" : "width";
    return h(Host, Object.assign({}, { "auto-hide": this.isAutoHide }, { onScroll: (e) => this.onScroll(e) }), h("div", { style: { [sizeType]: `${this.extContentSize(this.viewportStore.get("virtualSize"), this.dimensionStore.get("realSize"))}px` } }));
  }
  extContentSize(vsize, contentSize) {
    return LocalScrollService.getVirtualContentSize(contentSize, this.size, vsize);
  }
  get element() {
    return this;
  }
  static get style() {
    return revogrScrollStyleCss;
  }
};
const revogrTempRangeStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}.temp-bg-range{display:block;position:absolute;pointer-events:none;z-index:9;border:1px solid #ff5e00;box-sizing:border-box}.temp-bg-range.Selection{border:1px dashed gray}.temp-bg-range>div{width:1px;height:1px;position:absolute}.temp-bg-range>div.top{top:-1px}.temp-bg-range>div.bottom{bottom:-1px}.temp-bg-range>div.left{left:-1px}.temp-bg-range>div.right{right:-1px}`;
const RevogrFocus$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.onChange = lodash.throttle((e) => this.doChange(e), 300);
  }
  doChange(e) {
    e === null || e === void 0 ? void 0 : e.scrollIntoView({
      block: "nearest",
      inline: "nearest"
    });
  }
  componentDidRender() {
    if (this.el) {
      this.onChange(this.el);
    }
  }
  render() {
    const data = this.selectionStore.get("tempRange");
    const type = this.selectionStore.get("tempRangeType");
    if (!data) {
      return;
    }
    let directionY = "bottom";
    let derectionX = "right";
    const range2 = this.getRange();
    if (!range2) {
      return;
    }
    if (data.y < range2.y) {
      directionY = "top";
    }
    if (data.x < range2.x) {
      derectionX = "left";
    }
    const directionClass = `${derectionX} ${directionY}`;
    const style = getElStyle(data, this.dimensionRow.state, this.dimensionCol.state);
    return h(Host, { class: {
      [TMP_SELECTION_BG_CLASS]: true,
      [type || ""]: true
    }, style }, h("div", { class: directionClass, ref: (e) => this.el = e }));
  }
  getRange() {
    const range2 = this.selectionStore.get("range");
    if (range2) {
      return range2;
    }
    const focus = this.selectionStore.get("focus");
    if (!focus) {
      return null;
    }
    return Object.assign(Object.assign({}, focus), { x1: focus.x, y1: focus.y });
  }
  static get style() {
    return revogrTempRangeStyleCss;
  }
};
var FUNC_ERROR_TEXT = "Expected a function";
function throttle(func, wait, options) {
  var leading = true, trailing = true;
  if (typeof func != "function") {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  if (isObject_1(options)) {
    leading = "leading" in options ? !!options.leading : leading;
    trailing = "trailing" in options ? !!options.trailing : trailing;
  }
  return debounce_1(func, wait, {
    "leading": leading,
    "maxWait": wait,
    "trailing": trailing
  });
}
var throttle_1 = throttle;
async function resizeObserver() {
  if (!("ResizeObserver" in window)) {
    const module = await import("./resize-observer.js");
    window.ResizeObserver = module.ResizeObserver;
  }
}
class GridResizeService {
  constructor(el, events) {
    this.events = events;
    this.resizeObserver = null;
    this.resize = throttle_1((e, o) => {
      var _a;
      return (_a = this.events) === null || _a === void 0 ? void 0 : _a.resize(e, o);
    }, 10);
    this.init(el);
  }
  async init(el) {
    var _a;
    await resizeObserver();
    this.resizeObserver = new ResizeObserver(this.resize);
    (_a = this.resizeObserver) === null || _a === void 0 ? void 0 : _a.observe(el);
  }
  destroy() {
    var _a;
    (_a = this.resizeObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
    this.resizeObserver = null;
  }
}
const revogrViewportScrollStyleCss = `.revo-drag-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 438 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M421.875,70.40625 C426.432292,70.40625 430.175781,68.9414062 433.105469,66.0117188 C436.035156,63.0820312 437.5,59.3385417 437.5,54.78125 L437.5,54.78125 L437.5,15.71875 C437.5,11.1614583 436.035156,7.41796875 433.105469,4.48828125 C430.175781,1.55859375 426.432292,0.09375 421.875,0.09375 L421.875,0.09375 L15.625,0.09375 C11.0677083,0.09375 7.32421875,1.55859375 4.39453125,4.48828125 C1.46484375,7.41796875 0,11.1614583 0,15.71875 L0,15.71875 L0,54.78125 C0,59.3385417 1.46484375,63.0820312 4.39453125,66.0117188 C7.32421875,68.9414062 11.0677083,70.40625 15.625,70.40625 L15.625,70.40625 L421.875,70.40625 Z M421.875,226.65625 C426.432292,226.65625 430.175781,225.191406 433.105469,222.261719 C436.035156,219.332031 437.5,215.588542 437.5,211.03125 L437.5,211.03125 L437.5,171.96875 C437.5,167.411458 436.035156,163.667969 433.105469,160.738281 C430.175781,157.808594 426.432292,156.34375 421.875,156.34375 L421.875,156.34375 L15.625,156.34375 C11.0677083,156.34375 7.32421875,157.808594 4.39453125,160.738281 C1.46484375,163.667969 0,167.411458 0,171.96875 L0,171.96875 L0,211.03125 C0,215.588542 1.46484375,219.332031 4.39453125,222.261719 C7.32421875,225.191406 11.0677083,226.65625 15.625,226.65625 L15.625,226.65625 L421.875,226.65625 Z M421.875,382.90625 C426.432292,382.90625 430.175781,381.441406 433.105469,378.511719 C436.035156,375.582031 437.5,371.838542 437.5,367.28125 L437.5,367.28125 L437.5,328.21875 C437.5,323.661458 436.035156,319.917969 433.105469,316.988281 C430.175781,314.058594 426.432292,312.59375 421.875,312.59375 L421.875,312.59375 L15.625,312.59375 C11.0677083,312.59375 7.32421875,314.058594 4.39453125,316.988281 C1.46484375,319.917969 0,323.661458 0,328.21875 L0,328.21875 L0,367.28125 C0,371.838542 1.46484375,375.582031 4.39453125,378.511719 C7.32421875,381.441406 11.0677083,382.90625 15.625,382.90625 L15.625,382.90625 L421.875,382.90625 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:7px;background-size:cover;background-repeat:no-repeat}.revo-alt-icon{-webkit-mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");mask-image:url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg viewBox='0 0 384 383' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg%3E%3Cpath d='M192.4375,383 C197.424479,383 201.663411,381.254557 205.154297,377.763672 L205.154297,377.763672 L264.25,318.667969 C270.234375,312.683594 271.605794,306.075846 268.364258,298.844727 C265.122721,291.613607 259.51237,287.998047 251.533203,287.998047 L251.533203,287.998047 L213.382812,287.998047 L213.382812,212.445312 L288.935547,212.445312 L288.935547,250.595703 C288.935547,258.57487 292.551107,264.185221 299.782227,267.426758 C307.013346,270.668294 313.621094,269.296875 319.605469,263.3125 L319.605469,263.3125 L378.701172,204.216797 C382.192057,200.725911 383.9375,196.486979 383.9375,191.5 C383.9375,186.513021 382.192057,182.274089 378.701172,178.783203 L378.701172,178.783203 L319.605469,119.6875 C313.621094,114.201823 307.013346,112.955078 299.782227,115.947266 C292.551107,118.939453 288.935547,124.42513 288.935547,132.404297 L288.935547,132.404297 L288.935547,170.554688 L213.382812,170.554688 L213.382812,95.0019531 L251.533203,95.0019531 C259.51237,95.0019531 264.998047,91.3863932 267.990234,84.1552734 C270.982422,76.9241536 269.735677,70.3164062 264.25,64.3320312 L264.25,64.3320312 L205.154297,5.23632812 C201.663411,1.74544271 197.424479,0 192.4375,0 C187.450521,0 183.211589,1.74544271 179.720703,5.23632812 L179.720703,5.23632812 L120.625,64.3320312 C114.640625,70.3164062 113.269206,76.9241536 116.510742,84.1552734 C119.752279,91.3863932 125.36263,95.0019531 133.341797,95.0019531 L133.341797,95.0019531 L171.492188,95.0019531 L171.492188,170.554688 L95.9394531,170.554688 L95.9394531,132.404297 C95.9394531,124.42513 92.3238932,118.814779 85.0927734,115.573242 C77.8616536,112.331706 71.2539062,113.703125 65.2695312,119.6875 L65.2695312,119.6875 L6.17382812,178.783203 C2.68294271,182.274089 0.9375,186.513021 0.9375,191.5 C0.9375,196.486979 2.68294271,200.725911 6.17382812,204.216797 L6.17382812,204.216797 L65.2695312,263.3125 C71.2539062,268.798177 77.8616536,270.044922 85.0927734,267.052734 C92.3238932,264.060547 95.9394531,258.57487 95.9394531,250.595703 L95.9394531,250.595703 L95.9394531,212.445312 L171.492188,212.445312 L171.492188,287.998047 L133.341797,287.998047 C125.36263,287.998047 119.876953,291.613607 116.884766,298.844727 C113.892578,306.075846 115.139323,312.683594 120.625,318.667969 L120.625,318.667969 L179.720703,377.763672 C183.211589,381.254557 187.450521,383 192.4375,383 Z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");width:11px;height:11px;background-size:cover;background-repeat:no-repeat}.arrow-down{position:absolute;right:5px;top:0}.arrow-down svg{width:8px;margin-top:5px;margin-left:5px;opacity:0.4}.cell-value-wrapper{margin-right:10px;overflow:hidden;text-overflow:ellipsis}.revo-button{position:relative;overflow:hidden;color:#fff;background-color:#6200ee;height:34px;line-height:34px;padding:0 15px;outline:0;border:0;border-radius:7px;box-sizing:border-box;cursor:pointer}.revo-button.green{background-color:#2ee072;border:1px solid #20d565}.revo-button.red{background-color:#E0662E;border:1px solid #d55920}.revo-button:disabled,.revo-button[disabled]{cursor:not-allowed !important;filter:opacity(0.35) !important}.revo-button.light{border:2px solid #cedefa;line-height:32px;background:none;color:#4876ca;box-shadow:none}.rowHeaders{z-index:2;font-size:10px;display:flex;height:100%}.rowHeaders revogr-data .rgCell{text-align:center}.rowHeaders .rgCell{padding:0 1em !important;min-width:100%}revogr-viewport-scroll{-ms-overflow-style:none;scrollbar-width:none;overflow-x:auto;overflow-y:hidden;position:relative;z-index:1;height:100%}revogr-viewport-scroll::-webkit-scrollbar{display:none;-webkit-appearance:none}revogr-viewport-scroll.colPinStart,revogr-viewport-scroll.colPinEnd{z-index:2}revogr-viewport-scroll.rgCol{flex-grow:1}revogr-viewport-scroll .content-wrapper{overflow:hidden}revogr-viewport-scroll .inner-content-table{display:flex;flex-direction:column;max-height:100%;width:100%;min-width:100%;position:relative;z-index:0}revogr-viewport-scroll .vertical-inner{overflow-y:auto;position:relative;width:100%;flex-grow:1;-ms-overflow-style:none;scrollbar-width:none;}revogr-viewport-scroll .vertical-inner::-webkit-scrollbar{display:none;-webkit-appearance:none}revogr-viewport-scroll .vertical-inner revogr-data,revogr-viewport-scroll .vertical-inner revogr-overlay-selection{height:100%}`;
const RevogrViewportScroll$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.scrollViewport = createEvent(this, "scrollViewport", 3);
    this.resizeViewport = createEvent(this, "resizeViewport", 7);
    this.scrollchange = createEvent(this, "scrollchange", 7);
    this.scrollThrottling = 30;
    this.contentWidth = 0;
    this.contentHeight = 0;
    this.oldValY = this.contentHeight;
    this.oldValX = this.contentWidth;
    this.mouseWheelScroll = { rgCol: 0, rgRow: 0 };
  }
  async setScroll(e) {
    var _a;
    this.latestScrollUpdate(e.dimension);
    (_a = this.scrollService) === null || _a === void 0 ? void 0 : _a.setScroll(e);
  }
  async changeScroll(e) {
    if (e.delta) {
      switch (e.dimension) {
        case "rgCol":
          e.coordinate = this.horizontalScroll.scrollLeft + e.delta;
          break;
        case "rgRow":
          e.coordinate = this.verticalScroll.scrollTop + e.delta;
          break;
      }
      this.setScroll(e);
    }
    return e;
  }
  connectedCallback() {
    if ("ontouchstart" in document.documentElement) {
      this.scrollThrottling = 0;
    } else {
      this.verticalMouseWheel = this.onVerticalMouseWheel.bind(this, "rgRow", "deltaY");
      this.horizontalMouseWheel = this.onHorizontalMouseWheel.bind(this, "rgCol", "deltaX");
    }
    this.scrollService = new LocalScrollService({
      beforeScroll: (e) => this.scrollViewport.emit(e),
      afterScroll: (e) => {
        switch (e.dimension) {
          case "rgCol":
            this.horizontalScroll.scrollLeft = e.coordinate;
            break;
          case "rgRow":
            this.verticalScroll.scrollTop = e.coordinate;
            break;
        }
      }
    });
  }
  componentDidLoad() {
    this.horisontalResize = new GridResizeService(this.horizontalScroll, {
      resize: (entries) => {
        var _a, _b;
        let height = ((_a = entries[0]) === null || _a === void 0 ? void 0 : _a.contentRect.height) || 0;
        if (height) {
          height -= this.header.clientHeight + this.footer.clientHeight;
        }
        const els = {
          rgRow: {
            size: height,
            contentSize: this.contentHeight,
            scroll: this.verticalScroll.scrollTop
          },
          rgCol: {
            size: ((_b = entries[0]) === null || _b === void 0 ? void 0 : _b.contentRect.width) || 0,
            contentSize: this.contentWidth,
            scroll: this.horizontalScroll.scrollLeft
          }
        };
        each(els, (item, dimension) => {
          var _a2;
          this.resizeViewport.emit({ dimension, size: item.size });
          (_a2 = this.scrollService) === null || _a2 === void 0 ? void 0 : _a2.scroll(item.scroll, dimension, true);
          this.setScrollVisibility(dimension, item.size, item.contentSize);
        });
      }
    });
  }
  setScrollVisibility(type, size2, innerContentSize) {
    const hasScroll = size2 < innerContentSize;
    let el;
    let event;
    switch (type) {
      case "rgCol":
        el = this.horizontalScroll;
        event = this.horizontalMouseWheel;
        break;
      case "rgRow":
        el = this.verticalScroll;
        event = this.verticalMouseWheel;
        break;
    }
    if (hasScroll) {
      el.classList.add(`scroll-${type}`);
      el.addEventListener("mousewheel", event);
    } else {
      el.classList.remove(`scroll-${type}`);
      el.removeEventListener("mousewheel", event);
    }
    this.scrollchange.emit({ type, hasScroll });
  }
  disconnectedCallback() {
    this.verticalScroll.removeEventListener("mousewheel", this.verticalMouseWheel);
    this.horizontalScroll.removeEventListener("mousewheel", this.horizontalMouseWheel);
    this.horisontalResize.destroy();
  }
  async componentDidRender() {
    if (this.contentHeight < this.oldValY && this.verticalScroll) {
      this.verticalScroll.scrollTop += this.contentHeight - this.oldValY;
    }
    this.oldValY = this.contentHeight;
    if (this.contentWidth < this.oldValX) {
      this.horizontalScroll.scrollLeft += this.contentWidth - this.oldValX;
    }
    this.oldValX = this.contentWidth;
    this.scrollService.setParams({
      contentSize: this.contentHeight,
      clientSize: this.verticalScroll.clientHeight,
      virtualSize: 0
    }, "rgRow");
    this.scrollService.setParams({
      contentSize: this.contentWidth,
      clientSize: this.horizontalScroll.clientWidth,
      virtualSize: 0
    }, "rgCol");
    this.setScrollVisibility("rgRow", this.verticalScroll.clientHeight, this.contentHeight);
    this.setScrollVisibility("rgCol", this.horizontalScroll.clientWidth, this.contentWidth);
  }
  render() {
    return h(Host, { onScroll: (e) => this.onScroll("rgCol", e) }, h("div", { class: "inner-content-table", style: { width: `${this.contentWidth}px` } }, h("div", { class: "header-wrapper", ref: (e) => this.header = e }, h("slot", { name: HEADER_SLOT })), h("div", { class: "vertical-inner", ref: (el) => this.verticalScroll = el, onScroll: (e) => this.onScroll("rgRow", e) }, h("div", { class: "content-wrapper", style: { height: `${this.contentHeight}px` } }, h("slot", { name: CONTENT_SLOT }))), h("div", { class: "footer-wrapper", ref: (e) => this.footer = e }, h("slot", { name: FOOTER_SLOT }))));
  }
  onScroll(dimension, e) {
    var _a;
    const target = e.target;
    let scroll = 0;
    switch (dimension) {
      case "rgCol":
        scroll = target === null || target === void 0 ? void 0 : target.scrollLeft;
        break;
      case "rgRow":
        scroll = target === null || target === void 0 ? void 0 : target.scrollTop;
        break;
    }
    const change = new Date().getTime() - this.mouseWheelScroll[dimension];
    if (change > this.scrollThrottling) {
      (_a = this.scrollService) === null || _a === void 0 ? void 0 : _a.scroll(scroll, dimension);
    }
  }
  latestScrollUpdate(dimension) {
    this.mouseWheelScroll[dimension] = new Date().getTime();
  }
  onVerticalMouseWheel(type, delta, e) {
    var _a;
    e.preventDefault();
    const pos = this.verticalScroll.scrollTop + e[delta];
    (_a = this.scrollService) === null || _a === void 0 ? void 0 : _a.scroll(pos, type, void 0, e[delta]);
    this.latestScrollUpdate(type);
  }
  onHorizontalMouseWheel(type, delta, e) {
    var _a;
    e.preventDefault();
    const pos = this.horizontalScroll.scrollLeft + e[delta];
    (_a = this.scrollService) === null || _a === void 0 ? void 0 : _a.scroll(pos, type, void 0, e[delta]);
    this.latestScrollUpdate(type);
  }
  get horizontalScroll() {
    return this;
  }
  static get style() {
    return revogrViewportScrollStyleCss;
  }
};
const RevoGrid = /* @__PURE__ */ proxyCustomElement(RevoGridComponent, [0, "revo-grid", { "rowHeaders": [4, "row-headers"], "frameSize": [2, "frame-size"], "rowSize": [2, "row-size"], "colSize": [2, "col-size"], "range": [4], "readonly": [4], "resize": [4], "canFocus": [4, "can-focus"], "useClipboard": [4, "use-clipboard"], "columns": [16], "source": [16], "pinnedTopSource": [16], "pinnedBottomSource": [16], "rowDefinitions": [16], "editors": [16], "plugins": [16], "columnTypes": [16], "theme": [1537], "rowClass": [513, "row-class"], "autoSizeColumn": [4, "auto-size-column"], "filter": [4], "trimmedRows": [16], "exporting": [4], "grouping": [16], "stretch": [8], "extraElements": [32] }, [[0, "internalRowDragStart", "onRowDragStarted"], [0, "internalRowDragEnd", "onRowDragEnd"], [0, "internalRowDrag", "onRowDrag"], [0, "internalRowMouseMove", "onRowMouseMove"], [0, "internalCellEdit", "onBeforeEdit"], [0, "internalRangeDataApply", "onBeforeRangeEdit"], [0, "internalSelectionChanged", "onRangeChanged"], [0, "initialRowDropped", "onRowDropped"], [0, "initialHeaderClick", "onHeaderClick"], [0, "internalFocusCell", "onCellFocus"]]]);
const RevogrClipboard = /* @__PURE__ */ proxyCustomElement(Clipboard, [0, "revogr-clipboard", null, [[4, "paste", "onPaste"], [4, "copy", "copyStarted"]]]);
const RevogrData = /* @__PURE__ */ proxyCustomElement(RevogrData$1, [0, "revogr-data", { "readonly": [4], "range": [4], "canDrag": [4, "can-drag"], "rowClass": [1, "row-class"], "rowSelectionStore": [16], "viewportRow": [16], "viewportCol": [16], "dimensionRow": [16], "colData": [16], "dataStore": [16] }]);
const RevogrEdit = /* @__PURE__ */ proxyCustomElement(Edit, [0, "revogr-edit", { "editCell": [16], "column": [16], "editor": [16] }]);
const RevogrFilterPanel = /* @__PURE__ */ proxyCustomElement(FilterPanel, [0, "revogr-filter-panel", { "uuid": [1537], "filterItems": [16], "filterTypes": [16], "filterNames": [16], "filterEntities": [16], "filterCaptions": [16], "disableDynamicFiltering": [4, "disable-dynamic-filtering"], "isFilterIdSet": [32], "filterId": [32], "currentFilterId": [32], "currentFilterType": [32], "changes": [32] }, [[5, "mousedown", "onMouseDown"]]]);
const RevogrFocus = /* @__PURE__ */ proxyCustomElement(RevogrFocus$2, [0, "revogr-focus", { "selectionStore": [16], "dimensionRow": [16], "dimensionCol": [16] }]);
const RevogrHeader = /* @__PURE__ */ proxyCustomElement(RevogrHeaderComponent, [0, "revogr-header", { "viewportCol": [16], "dimensionCol": [16], "selectionStore": [16], "parent": [1], "groups": [16], "groupingDepth": [2, "grouping-depth"], "canResize": [4, "can-resize"], "colData": [16], "columnFilter": [4, "column-filter"] }]);
const RevogrOrderEditor = /* @__PURE__ */ proxyCustomElement(OrderEditor, [0, "revogr-order-editor", { "parent": [16], "dimensionRow": [16], "dimensionCol": [16], "dataStore": [16] }, [[5, "mouseleave", "onMouseOut"], [5, "mouseup", "onMouseUp"]]]);
const RevogrOverlaySelection = /* @__PURE__ */ proxyCustomElement(OverlaySelection, [4, "revogr-overlay-selection", { "readonly": [4], "range": [4], "canDrag": [4, "can-drag"], "useClipboard": [4, "use-clipboard"], "selectionStore": [16], "dimensionRow": [16], "dimensionCol": [16], "dataStore": [16], "colData": [16], "lastCell": [16], "editors": [16] }, [[5, "mousemove", "onMouseMove"], [5, "mouseleave", "onMouseOut"], [5, "mouseup", "onMouseUp"], [0, "dragStartCell", "onCellDrag"], [4, "keyup", "onKeyUp"], [4, "keydown", "onKeyDown"]]]);
const RevogrRowHeaders = /* @__PURE__ */ proxyCustomElement(RevogrRowHeaders$1, [0, "revogr-row-headers", { "height": [2], "dataPorts": [16], "headerProp": [16], "uiid": [1], "resize": [4], "rowHeaderColumn": [16] }]);
const RevogrScrollVirtual = /* @__PURE__ */ proxyCustomElement(RevogrScrollVirtual$1, [0, "revogr-scroll-virtual", { "dimension": [1], "viewportStore": [16], "dimensionStore": [16] }]);
const RevogrTempRange = /* @__PURE__ */ proxyCustomElement(RevogrFocus$1, [0, "revogr-temp-range", { "selectionStore": [16], "dimensionRow": [16], "dimensionCol": [16] }]);
const RevogrViewportScroll = /* @__PURE__ */ proxyCustomElement(RevogrViewportScroll$1, [4, "revogr-viewport-scroll", { "contentWidth": [2, "content-width"], "contentHeight": [2, "content-height"] }]);
const defineCustomElements = (opts) => {
  if (typeof customElements !== "undefined") {
    [
      RevoGrid,
      RevogrClipboard,
      RevogrData,
      RevogrEdit,
      RevogrFilterPanel,
      RevogrFocus,
      RevogrHeader,
      RevogrOrderEditor,
      RevogrOverlaySelection,
      RevogrRowHeaders,
      RevogrScrollVirtual,
      RevogrTempRange,
      RevogrViewportScroll
    ].forEach((cmp) => {
      if (!customElements.get(cmp.is)) {
        customElements.define(cmp.is, cmp, opts);
      }
    });
  }
};
var numeral$1 = { exports: {} };
/*! @preserve
 * numeral.js
 * version : 2.0.6
 * author : Adam Draper
 * license : MIT
 * http://adamwdraper.github.com/Numeral-js/
 */
(function(module) {
  (function(global2, factory) {
    if (module.exports) {
      module.exports = factory();
    } else {
      global2.numeral = factory();
    }
  })(commonjsGlobal$1, function() {
    var numeral2, _, VERSION = "2.0.6", formats = {}, locales = {}, defaults = {
      currentLocale: "en",
      zeroFormat: null,
      nullFormat: null,
      defaultFormat: "0,0",
      scalePercentBy100: true
    }, options = {
      currentLocale: defaults.currentLocale,
      zeroFormat: defaults.zeroFormat,
      nullFormat: defaults.nullFormat,
      defaultFormat: defaults.defaultFormat,
      scalePercentBy100: defaults.scalePercentBy100
    };
    function Numeral(input, number) {
      this._input = input;
      this._value = number;
    }
    numeral2 = function(input) {
      var value, kind, unformatFunction, regexp;
      if (numeral2.isNumeral(input)) {
        value = input.value();
      } else if (input === 0 || typeof input === "undefined") {
        value = 0;
      } else if (input === null || _.isNaN(input)) {
        value = null;
      } else if (typeof input === "string") {
        if (options.zeroFormat && input === options.zeroFormat) {
          value = 0;
        } else if (options.nullFormat && input === options.nullFormat || !input.replace(/[^0-9]+/g, "").length) {
          value = null;
        } else {
          for (kind in formats) {
            regexp = typeof formats[kind].regexps.unformat === "function" ? formats[kind].regexps.unformat() : formats[kind].regexps.unformat;
            if (regexp && input.match(regexp)) {
              unformatFunction = formats[kind].unformat;
              break;
            }
          }
          unformatFunction = unformatFunction || numeral2._.stringToNumber;
          value = unformatFunction(input);
        }
      } else {
        value = Number(input) || null;
      }
      return new Numeral(input, value);
    };
    numeral2.version = VERSION;
    numeral2.isNumeral = function(obj) {
      return obj instanceof Numeral;
    };
    numeral2._ = _ = {
      numberToFormat: function(value, format, roundingFunction) {
        var locale = locales[numeral2.options.currentLocale], negP = false, optDec = false, leadingCount = 0, abbr = "", trillion = 1e12, billion = 1e9, million = 1e6, thousand = 1e3, decimal = "", neg = false, abbrForce, abs, int, precision, signed, thousands, output;
        value = value || 0;
        abs = Math.abs(value);
        if (numeral2._.includes(format, "(")) {
          negP = true;
          format = format.replace(/[\(|\)]/g, "");
        } else if (numeral2._.includes(format, "+") || numeral2._.includes(format, "-")) {
          signed = numeral2._.includes(format, "+") ? format.indexOf("+") : value < 0 ? format.indexOf("-") : -1;
          format = format.replace(/[\+|\-]/g, "");
        }
        if (numeral2._.includes(format, "a")) {
          abbrForce = format.match(/a(k|m|b|t)?/);
          abbrForce = abbrForce ? abbrForce[1] : false;
          if (numeral2._.includes(format, " a")) {
            abbr = " ";
          }
          format = format.replace(new RegExp(abbr + "a[kmbt]?"), "");
          if (abs >= trillion && !abbrForce || abbrForce === "t") {
            abbr += locale.abbreviations.trillion;
            value = value / trillion;
          } else if (abs < trillion && abs >= billion && !abbrForce || abbrForce === "b") {
            abbr += locale.abbreviations.billion;
            value = value / billion;
          } else if (abs < billion && abs >= million && !abbrForce || abbrForce === "m") {
            abbr += locale.abbreviations.million;
            value = value / million;
          } else if (abs < million && abs >= thousand && !abbrForce || abbrForce === "k") {
            abbr += locale.abbreviations.thousand;
            value = value / thousand;
          }
        }
        if (numeral2._.includes(format, "[.]")) {
          optDec = true;
          format = format.replace("[.]", ".");
        }
        int = value.toString().split(".")[0];
        precision = format.split(".")[1];
        thousands = format.indexOf(",");
        leadingCount = (format.split(".")[0].split(",")[0].match(/0/g) || []).length;
        if (precision) {
          if (numeral2._.includes(precision, "[")) {
            precision = precision.replace("]", "");
            precision = precision.split("[");
            decimal = numeral2._.toFixed(value, precision[0].length + precision[1].length, roundingFunction, precision[1].length);
          } else {
            decimal = numeral2._.toFixed(value, precision.length, roundingFunction);
          }
          int = decimal.split(".")[0];
          if (numeral2._.includes(decimal, ".")) {
            decimal = locale.delimiters.decimal + decimal.split(".")[1];
          } else {
            decimal = "";
          }
          if (optDec && Number(decimal.slice(1)) === 0) {
            decimal = "";
          }
        } else {
          int = numeral2._.toFixed(value, 0, roundingFunction);
        }
        if (abbr && !abbrForce && Number(int) >= 1e3 && abbr !== locale.abbreviations.trillion) {
          int = String(Number(int) / 1e3);
          switch (abbr) {
            case locale.abbreviations.thousand:
              abbr = locale.abbreviations.million;
              break;
            case locale.abbreviations.million:
              abbr = locale.abbreviations.billion;
              break;
            case locale.abbreviations.billion:
              abbr = locale.abbreviations.trillion;
              break;
          }
        }
        if (numeral2._.includes(int, "-")) {
          int = int.slice(1);
          neg = true;
        }
        if (int.length < leadingCount) {
          for (var i = leadingCount - int.length; i > 0; i--) {
            int = "0" + int;
          }
        }
        if (thousands > -1) {
          int = int.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1" + locale.delimiters.thousands);
        }
        if (format.indexOf(".") === 0) {
          int = "";
        }
        output = int + decimal + (abbr ? abbr : "");
        if (negP) {
          output = (negP && neg ? "(" : "") + output + (negP && neg ? ")" : "");
        } else {
          if (signed >= 0) {
            output = signed === 0 ? (neg ? "-" : "+") + output : output + (neg ? "-" : "+");
          } else if (neg) {
            output = "-" + output;
          }
        }
        return output;
      },
      stringToNumber: function(string) {
        var locale = locales[options.currentLocale], stringOriginal = string, abbreviations = {
          thousand: 3,
          million: 6,
          billion: 9,
          trillion: 12
        }, abbreviation, value, regexp;
        if (options.zeroFormat && string === options.zeroFormat) {
          value = 0;
        } else if (options.nullFormat && string === options.nullFormat || !string.replace(/[^0-9]+/g, "").length) {
          value = null;
        } else {
          value = 1;
          if (locale.delimiters.decimal !== ".") {
            string = string.replace(/\./g, "").replace(locale.delimiters.decimal, ".");
          }
          for (abbreviation in abbreviations) {
            regexp = new RegExp("[^a-zA-Z]" + locale.abbreviations[abbreviation] + "(?:\\)|(\\" + locale.currency.symbol + ")?(?:\\))?)?$");
            if (stringOriginal.match(regexp)) {
              value *= Math.pow(10, abbreviations[abbreviation]);
              break;
            }
          }
          value *= (string.split("-").length + Math.min(string.split("(").length - 1, string.split(")").length - 1)) % 2 ? 1 : -1;
          string = string.replace(/[^0-9\.]+/g, "");
          value *= Number(string);
        }
        return value;
      },
      isNaN: function(value) {
        return typeof value === "number" && isNaN(value);
      },
      includes: function(string, search) {
        return string.indexOf(search) !== -1;
      },
      insert: function(string, subString, start) {
        return string.slice(0, start) + subString + string.slice(start);
      },
      reduce: function(array, callback) {
        if (this === null) {
          throw new TypeError("Array.prototype.reduce called on null or undefined");
        }
        if (typeof callback !== "function") {
          throw new TypeError(callback + " is not a function");
        }
        var t = Object(array), len = t.length >>> 0, k = 0, value;
        if (arguments.length === 3) {
          value = arguments[2];
        } else {
          while (k < len && !(k in t)) {
            k++;
          }
          if (k >= len) {
            throw new TypeError("Reduce of empty array with no initial value");
          }
          value = t[k++];
        }
        for (; k < len; k++) {
          if (k in t) {
            value = callback(value, t[k], k, t);
          }
        }
        return value;
      },
      multiplier: function(x) {
        var parts = x.toString().split(".");
        return parts.length < 2 ? 1 : Math.pow(10, parts[1].length);
      },
      correctionFactor: function() {
        var args = Array.prototype.slice.call(arguments);
        return args.reduce(function(accum, next) {
          var mn = _.multiplier(next);
          return accum > mn ? accum : mn;
        }, 1);
      },
      toFixed: function(value, maxDecimals, roundingFunction, optionals) {
        var splitValue = value.toString().split("."), minDecimals = maxDecimals - (optionals || 0), boundedPrecision, optionalsRegExp, power, output;
        if (splitValue.length === 2) {
          boundedPrecision = Math.min(Math.max(splitValue[1].length, minDecimals), maxDecimals);
        } else {
          boundedPrecision = minDecimals;
        }
        power = Math.pow(10, boundedPrecision);
        output = (roundingFunction(value + "e+" + boundedPrecision) / power).toFixed(boundedPrecision);
        if (optionals > maxDecimals - boundedPrecision) {
          optionalsRegExp = new RegExp("\\.?0{1," + (optionals - (maxDecimals - boundedPrecision)) + "}$");
          output = output.replace(optionalsRegExp, "");
        }
        return output;
      }
    };
    numeral2.options = options;
    numeral2.formats = formats;
    numeral2.locales = locales;
    numeral2.locale = function(key) {
      if (key) {
        options.currentLocale = key.toLowerCase();
      }
      return options.currentLocale;
    };
    numeral2.localeData = function(key) {
      if (!key) {
        return locales[options.currentLocale];
      }
      key = key.toLowerCase();
      if (!locales[key]) {
        throw new Error("Unknown locale : " + key);
      }
      return locales[key];
    };
    numeral2.reset = function() {
      for (var property2 in defaults) {
        options[property2] = defaults[property2];
      }
    };
    numeral2.zeroFormat = function(format) {
      options.zeroFormat = typeof format === "string" ? format : null;
    };
    numeral2.nullFormat = function(format) {
      options.nullFormat = typeof format === "string" ? format : null;
    };
    numeral2.defaultFormat = function(format) {
      options.defaultFormat = typeof format === "string" ? format : "0.0";
    };
    numeral2.register = function(type, name, format) {
      name = name.toLowerCase();
      if (this[type + "s"][name]) {
        throw new TypeError(name + " " + type + " already registered.");
      }
      this[type + "s"][name] = format;
      return format;
    };
    numeral2.validate = function(val, culture) {
      var _decimalSep, _thousandSep, _currSymbol, _valArray, _abbrObj, _thousandRegEx, localeData, temp;
      if (typeof val !== "string") {
        val += "";
        if (console.warn) {
          console.warn("Numeral.js: Value is not string. It has been co-erced to: ", val);
        }
      }
      val = val.trim();
      if (!!val.match(/^\d+$/)) {
        return true;
      }
      if (val === "") {
        return false;
      }
      try {
        localeData = numeral2.localeData(culture);
      } catch (e) {
        localeData = numeral2.localeData(numeral2.locale());
      }
      _currSymbol = localeData.currency.symbol;
      _abbrObj = localeData.abbreviations;
      _decimalSep = localeData.delimiters.decimal;
      if (localeData.delimiters.thousands === ".") {
        _thousandSep = "\\.";
      } else {
        _thousandSep = localeData.delimiters.thousands;
      }
      temp = val.match(/^[^\d]+/);
      if (temp !== null) {
        val = val.substr(1);
        if (temp[0] !== _currSymbol) {
          return false;
        }
      }
      temp = val.match(/[^\d]+$/);
      if (temp !== null) {
        val = val.slice(0, -1);
        if (temp[0] !== _abbrObj.thousand && temp[0] !== _abbrObj.million && temp[0] !== _abbrObj.billion && temp[0] !== _abbrObj.trillion) {
          return false;
        }
      }
      _thousandRegEx = new RegExp(_thousandSep + "{2}");
      if (!val.match(/[^\d.,]/g)) {
        _valArray = val.split(_decimalSep);
        if (_valArray.length > 2) {
          return false;
        } else {
          if (_valArray.length < 2) {
            return !!_valArray[0].match(/^\d+.*\d$/) && !_valArray[0].match(_thousandRegEx);
          } else {
            if (_valArray[0].length === 1) {
              return !!_valArray[0].match(/^\d+$/) && !_valArray[0].match(_thousandRegEx) && !!_valArray[1].match(/^\d+$/);
            } else {
              return !!_valArray[0].match(/^\d+.*\d$/) && !_valArray[0].match(_thousandRegEx) && !!_valArray[1].match(/^\d+$/);
            }
          }
        }
      }
      return false;
    };
    numeral2.fn = Numeral.prototype = {
      clone: function() {
        return numeral2(this);
      },
      format: function(inputString, roundingFunction) {
        var value = this._value, format = inputString || options.defaultFormat, kind, output, formatFunction;
        roundingFunction = roundingFunction || Math.round;
        if (value === 0 && options.zeroFormat !== null) {
          output = options.zeroFormat;
        } else if (value === null && options.nullFormat !== null) {
          output = options.nullFormat;
        } else {
          for (kind in formats) {
            if (format.match(formats[kind].regexps.format)) {
              formatFunction = formats[kind].format;
              break;
            }
          }
          formatFunction = formatFunction || numeral2._.numberToFormat;
          output = formatFunction(value, format, roundingFunction);
        }
        return output;
      },
      value: function() {
        return this._value;
      },
      input: function() {
        return this._input;
      },
      set: function(value) {
        this._value = Number(value);
        return this;
      },
      add: function(value) {
        var corrFactor = _.correctionFactor.call(null, this._value, value);
        function cback(accum, curr, currI, O) {
          return accum + Math.round(corrFactor * curr);
        }
        this._value = _.reduce([this._value, value], cback, 0) / corrFactor;
        return this;
      },
      subtract: function(value) {
        var corrFactor = _.correctionFactor.call(null, this._value, value);
        function cback(accum, curr, currI, O) {
          return accum - Math.round(corrFactor * curr);
        }
        this._value = _.reduce([value], cback, Math.round(this._value * corrFactor)) / corrFactor;
        return this;
      },
      multiply: function(value) {
        function cback(accum, curr, currI, O) {
          var corrFactor = _.correctionFactor(accum, curr);
          return Math.round(accum * corrFactor) * Math.round(curr * corrFactor) / Math.round(corrFactor * corrFactor);
        }
        this._value = _.reduce([this._value, value], cback, 1);
        return this;
      },
      divide: function(value) {
        function cback(accum, curr, currI, O) {
          var corrFactor = _.correctionFactor(accum, curr);
          return Math.round(accum * corrFactor) / Math.round(curr * corrFactor);
        }
        this._value = _.reduce([this._value, value], cback);
        return this;
      },
      difference: function(value) {
        return Math.abs(numeral2(this._value).subtract(value).value());
      }
    };
    numeral2.register("locale", "en", {
      delimiters: {
        thousands: ",",
        decimal: "."
      },
      abbreviations: {
        thousand: "k",
        million: "m",
        billion: "b",
        trillion: "t"
      },
      ordinal: function(number) {
        var b = number % 10;
        return ~~(number % 100 / 10) === 1 ? "th" : b === 1 ? "st" : b === 2 ? "nd" : b === 3 ? "rd" : "th";
      },
      currency: {
        symbol: "$"
      }
    });
    (function() {
      numeral2.register("format", "bps", {
        regexps: {
          format: /(BPS)/,
          unformat: /(BPS)/
        },
        format: function(value, format, roundingFunction) {
          var space = numeral2._.includes(format, " BPS") ? " " : "", output;
          value = value * 1e4;
          format = format.replace(/\s?BPS/, "");
          output = numeral2._.numberToFormat(value, format, roundingFunction);
          if (numeral2._.includes(output, ")")) {
            output = output.split("");
            output.splice(-1, 0, space + "BPS");
            output = output.join("");
          } else {
            output = output + space + "BPS";
          }
          return output;
        },
        unformat: function(string) {
          return +(numeral2._.stringToNumber(string) * 1e-4).toFixed(15);
        }
      });
    })();
    (function() {
      var decimal = {
        base: 1e3,
        suffixes: ["B", "KB", "MB", "GB", "TB", "PB", "EB", "ZB", "YB"]
      }, binary = {
        base: 1024,
        suffixes: ["B", "KiB", "MiB", "GiB", "TiB", "PiB", "EiB", "ZiB", "YiB"]
      };
      var allSuffixes = decimal.suffixes.concat(binary.suffixes.filter(function(item) {
        return decimal.suffixes.indexOf(item) < 0;
      }));
      var unformatRegex = allSuffixes.join("|");
      unformatRegex = "(" + unformatRegex.replace("B", "B(?!PS)") + ")";
      numeral2.register("format", "bytes", {
        regexps: {
          format: /([0\s]i?b)/,
          unformat: new RegExp(unformatRegex)
        },
        format: function(value, format, roundingFunction) {
          var output, bytes = numeral2._.includes(format, "ib") ? binary : decimal, suffix = numeral2._.includes(format, " b") || numeral2._.includes(format, " ib") ? " " : "", power, min, max;
          format = format.replace(/\s?i?b/, "");
          for (power = 0; power <= bytes.suffixes.length; power++) {
            min = Math.pow(bytes.base, power);
            max = Math.pow(bytes.base, power + 1);
            if (value === null || value === 0 || value >= min && value < max) {
              suffix += bytes.suffixes[power];
              if (min > 0) {
                value = value / min;
              }
              break;
            }
          }
          output = numeral2._.numberToFormat(value, format, roundingFunction);
          return output + suffix;
        },
        unformat: function(string) {
          var value = numeral2._.stringToNumber(string), power, bytesMultiplier;
          if (value) {
            for (power = decimal.suffixes.length - 1; power >= 0; power--) {
              if (numeral2._.includes(string, decimal.suffixes[power])) {
                bytesMultiplier = Math.pow(decimal.base, power);
                break;
              }
              if (numeral2._.includes(string, binary.suffixes[power])) {
                bytesMultiplier = Math.pow(binary.base, power);
                break;
              }
            }
            value *= bytesMultiplier || 1;
          }
          return value;
        }
      });
    })();
    (function() {
      numeral2.register("format", "currency", {
        regexps: {
          format: /(\$)/
        },
        format: function(value, format, roundingFunction) {
          var locale = numeral2.locales[numeral2.options.currentLocale], symbols = {
            before: format.match(/^([\+|\-|\(|\s|\$]*)/)[0],
            after: format.match(/([\+|\-|\)|\s|\$]*)$/)[0]
          }, output, symbol, i;
          format = format.replace(/\s?\$\s?/, "");
          output = numeral2._.numberToFormat(value, format, roundingFunction);
          if (value >= 0) {
            symbols.before = symbols.before.replace(/[\-\(]/, "");
            symbols.after = symbols.after.replace(/[\-\)]/, "");
          } else if (value < 0 && (!numeral2._.includes(symbols.before, "-") && !numeral2._.includes(symbols.before, "("))) {
            symbols.before = "-" + symbols.before;
          }
          for (i = 0; i < symbols.before.length; i++) {
            symbol = symbols.before[i];
            switch (symbol) {
              case "$":
                output = numeral2._.insert(output, locale.currency.symbol, i);
                break;
              case " ":
                output = numeral2._.insert(output, " ", i + locale.currency.symbol.length - 1);
                break;
            }
          }
          for (i = symbols.after.length - 1; i >= 0; i--) {
            symbol = symbols.after[i];
            switch (symbol) {
              case "$":
                output = i === symbols.after.length - 1 ? output + locale.currency.symbol : numeral2._.insert(output, locale.currency.symbol, -(symbols.after.length - (1 + i)));
                break;
              case " ":
                output = i === symbols.after.length - 1 ? output + " " : numeral2._.insert(output, " ", -(symbols.after.length - (1 + i) + locale.currency.symbol.length - 1));
                break;
            }
          }
          return output;
        }
      });
    })();
    (function() {
      numeral2.register("format", "exponential", {
        regexps: {
          format: /(e\+|e-)/,
          unformat: /(e\+|e-)/
        },
        format: function(value, format, roundingFunction) {
          var output, exponential = typeof value === "number" && !numeral2._.isNaN(value) ? value.toExponential() : "0e+0", parts = exponential.split("e");
          format = format.replace(/e[\+|\-]{1}0/, "");
          output = numeral2._.numberToFormat(Number(parts[0]), format, roundingFunction);
          return output + "e" + parts[1];
        },
        unformat: function(string) {
          var parts = numeral2._.includes(string, "e+") ? string.split("e+") : string.split("e-"), value = Number(parts[0]), power = Number(parts[1]);
          power = numeral2._.includes(string, "e-") ? power *= -1 : power;
          function cback(accum, curr, currI, O) {
            var corrFactor = numeral2._.correctionFactor(accum, curr), num = accum * corrFactor * (curr * corrFactor) / (corrFactor * corrFactor);
            return num;
          }
          return numeral2._.reduce([value, Math.pow(10, power)], cback, 1);
        }
      });
    })();
    (function() {
      numeral2.register("format", "ordinal", {
        regexps: {
          format: /(o)/
        },
        format: function(value, format, roundingFunction) {
          var locale = numeral2.locales[numeral2.options.currentLocale], output, ordinal = numeral2._.includes(format, " o") ? " " : "";
          format = format.replace(/\s?o/, "");
          ordinal += locale.ordinal(value);
          output = numeral2._.numberToFormat(value, format, roundingFunction);
          return output + ordinal;
        }
      });
    })();
    (function() {
      numeral2.register("format", "percentage", {
        regexps: {
          format: /(%)/,
          unformat: /(%)/
        },
        format: function(value, format, roundingFunction) {
          var space = numeral2._.includes(format, " %") ? " " : "", output;
          if (numeral2.options.scalePercentBy100) {
            value = value * 100;
          }
          format = format.replace(/\s?\%/, "");
          output = numeral2._.numberToFormat(value, format, roundingFunction);
          if (numeral2._.includes(output, ")")) {
            output = output.split("");
            output.splice(-1, 0, space + "%");
            output = output.join("");
          } else {
            output = output + space + "%";
          }
          return output;
        },
        unformat: function(string) {
          var number = numeral2._.stringToNumber(string);
          if (numeral2.options.scalePercentBy100) {
            return number * 0.01;
          }
          return number;
        }
      });
    })();
    (function() {
      numeral2.register("format", "time", {
        regexps: {
          format: /(:)/,
          unformat: /(:)/
        },
        format: function(value, format, roundingFunction) {
          var hours = Math.floor(value / 60 / 60), minutes = Math.floor((value - hours * 60 * 60) / 60), seconds = Math.round(value - hours * 60 * 60 - minutes * 60);
          return hours + ":" + (minutes < 10 ? "0" + minutes : minutes) + ":" + (seconds < 10 ? "0" + seconds : seconds);
        },
        unformat: function(string) {
          var timeArray = string.split(":"), seconds = 0;
          if (timeArray.length === 3) {
            seconds = seconds + Number(timeArray[0]) * 60 * 60;
            seconds = seconds + Number(timeArray[1]) * 60;
            seconds = seconds + Number(timeArray[2]);
          } else if (timeArray.length === 2) {
            seconds = seconds + Number(timeArray[0]) * 60;
            seconds = seconds + Number(timeArray[1]);
          }
          return Number(seconds);
        }
      });
    })();
    return numeral2;
  });
})(numeral$1);
var numeral = numeral$1.exports;
const formatNumber = (n) => {
  return numeral(n).format("0[.][0]a");
};
const _hoisted_1$4 = { class: "px-2.5 py-0.5 mr-0 flex items-center inline-flex items-center md:rounded text-xs font-medium leading-4 bg-gray-200 text-gray-700" };
const _hoisted_2$4 = { className: "hidden md:inline" };
const _sfc_main$4 = /* @__PURE__ */ defineComponent({
  __name: "DataTag",
  props: {
    value: null,
    unit: null,
    icon: null
  },
  setup(__props) {
    const p = __props;
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$4, [
        createElementVNode("div", null, [
          createElementVNode("i", {
            class: normalizeClass(`pr-2 fa ${p.icon}`)
          }, null, 2)
        ]),
        createElementVNode("div", null, [
          createElementVNode("span", null, toDisplayString(unref(formatNumber)(+p.value)), 1),
          createElementVNode("span", _hoisted_2$4, toDisplayString(" ") + toDisplayString(p.unit), 1)
        ])
      ]);
    };
  }
});
const _hoisted_1$3 = ["data-cy"];
const _hoisted_2$3 = /* @__PURE__ */ createElementVNode("svg", {
  class: "-mr-1 ml-1 h-5 w-5",
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 20 20",
  fill: "currentColor",
  "aria-hidden": "true"
}, [
  /* @__PURE__ */ createElementVNode("path", {
    fillRule: "evenodd",
    d: "M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z",
    clipRule: "evenodd"
  })
], -1);
const _hoisted_3$2 = {
  key: 0,
  class: "text-xs pl-2 py-2 font-semibold"
};
const _hoisted_4$2 = ["data-cy", "id", "onClick"];
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "DPDropdown",
  props: {
    name: null,
    sections: null,
    orientation: null
  },
  setup(__props) {
    const p = __props;
    const open = ref(false);
    const toggleOpen = () => void (open.value = !open.value);
    const closeWithDelay = () => void setTimeout(() => open.value = false, 200);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        "data-cy": `dropdown-${p.name.toLowerCase()}`,
        style: { zIndex: 5 },
        class: "relative inline-block text-left"
      }, [
        createElementVNode("div", null, [
          createElementVNode("button", {
            type: "button",
            class: "dp-btn-sm px-1 sm:px-2 sm:px-2 py-0",
            id: "options-menu",
            onClick: toggleOpen,
            onBlur: closeWithDelay
          }, [
            createTextVNode(toDisplayString(p.name) + " ", 1),
            _hoisted_2$3
          ], 32)
        ]),
        createElementVNode("div", {
          class: normalizeClass([
            "absolute  w-56 rounded-md shadow-lg bg-white ring-1 ring-black ring-opacity-5 divide-y divide-gray-100",
            {
              hidden: !open.value,
              "origin-top-left left-0": p.orientation === "left",
              "origin-top-right right-0": p.orientation !== "left"
            }
          ]),
          role: "menu",
          "aria-orientation": "vertical",
          "aria-labelledby": "options-menu"
        }, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(p.sections, (section, sectionIdx) => {
            return openBlock(), createElementBlock("div", {
              class: "py-1",
              key: sectionIdx
            }, [
              section.title ? (openBlock(), createElementBlock("div", _hoisted_3$2, toDisplayString(section.title), 1)) : createCommentVNode("", true),
              (openBlock(true), createElementBlock(Fragment, null, renderList(section.options, (option, optionIdx) => {
                return openBlock(), createElementBlock("a", {
                  key: `${sectionIdx}-${optionIdx}`,
                  "data-cy": `dropdown-option-${option.id}`,
                  id: option.id,
                  onClick: option.onClick,
                  class: "block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100 hover:text-gray-900 cursor-pointer",
                  role: "menuitem"
                }, toDisplayString(option.name), 9, _hoisted_4$2);
              }), 128))
            ]);
          }), 128))
        ], 2)
      ], 8, _hoisted_1$3);
    };
  }
});
const _hoisted_1$2 = {
  class: "bg-gray-100 py-2",
  "data-cy": "block-datatable"
};
const _hoisted_2$2 = { class: "flex justify-between items-center flex-wrap" };
const _hoisted_3$1 = { class: "flex justify-end md:space-x-2 ml-2" };
const _hoisted_4$1 = {
  key: 0,
  class: "min-w-0 flex items-center pr-2 sm:divide-x flex-wrap"
};
const _hoisted_5$1 = { class: "pr-2 sm:flex hidden space-x-2" };
const _hoisted_6$1 = /* @__PURE__ */ createTextVNode(" Run SQL Query ");
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "Header",
  props: {
    previewMode: { type: Boolean },
    queryOpen: { type: Boolean },
    rows: null,
    columns: null,
    cells: null,
    getCsvText: null,
    downloadLocal: null,
    downloadRemote: null
  },
  emits: ["toggle-query-open"],
  setup(__props, { emit }) {
    const p = __props;
    const withErrHandling = function(f) {
      return function(...args) {
        return f.apply(this, args).catch((e) => {
          console.error(e);
        });
      };
    };
    const localActionSections = [
      {
        title: "Current State",
        options: [
          {
            name: "Copy CSV to clipboard",
            onClick: async () => DPClipboard.copyOnce(await p.getCsvText()),
            id: "copy-clipboard"
          },
          {
            name: "Download CSV",
            onClick: withErrHandling(p.downloadLocal),
            id: "download-csv"
          }
        ]
      }
    ];
    const remoteActionSections = [
      {
        title: "Original Data",
        options: [
          {
            name: "Download CSV",
            onClick: withErrHandling(() => p.downloadRemote("CSV")),
            id: "download-original-csv"
          },
          {
            name: "Download Excel",
            onClick: withErrHandling(() => p.downloadRemote("EXCEL")),
            id: "download-original-excel"
          }
        ]
      }
    ];
    const actionSections = [
      ...localActionSections,
      ...window.dpLocal ? [] : remoteActionSections
    ];
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$2, [
        createElementVNode("div", _hoisted_2$2, [
          createElementVNode("div", _hoisted_3$1, [
            createVNode(_sfc_main$4, {
              value: p.rows,
              icon: "fa-bars",
              unit: "rows"
            }, null, 8, ["value"]),
            createVNode(_sfc_main$4, {
              value: p.columns,
              icon: "fa-columns",
              unit: "columns"
            }, null, 8, ["value"]),
            createVNode(_sfc_main$4, {
              value: p.cells,
              icon: "fa-th-large",
              unit: "cells"
            }, null, 8, ["value"])
          ]),
          !p.previewMode ? (openBlock(), createElementBlock("div", _hoisted_4$1, [
            createElementVNode("div", _hoisted_5$1, [
              createVNode(_sfc_main$5, {
                onClick: _cache[0] || (_cache[0] = ($event) => emit("toggle-query-open")),
                icon: `fa ${p.queryOpen ? "fa-caret-up" : "fa-caret-down"}`,
                disabled: p.previewMode,
                "data-cy": "btn-open-query",
                class: "dp-btn-info"
              }, {
                default: withCtx(() => [
                  _hoisted_6$1
                ]),
                _: 1
              }, 8, ["icon", "disabled"])
            ]),
            createVNode(_sfc_main$3, {
              name: "Export",
              sections: actionSections
            })
          ])) : createCommentVNode("", true)
        ])
      ]);
    };
  }
});
var codemirror = { exports: {} };
(function(module, exports) {
  (function(global2, factory) {
    module.exports = factory();
  })(commonjsGlobal$1, function() {
    var userAgent = navigator.userAgent;
    var platform = navigator.platform;
    var gecko = /gecko\/\d/i.test(userAgent);
    var ie_upto10 = /MSIE \d/.test(userAgent);
    var ie_11up = /Trident\/(?:[7-9]|\d{2,})\..*rv:(\d+)/.exec(userAgent);
    var edge = /Edge\/(\d+)/.exec(userAgent);
    var ie = ie_upto10 || ie_11up || edge;
    var ie_version = ie && (ie_upto10 ? document.documentMode || 6 : +(edge || ie_11up)[1]);
    var webkit = !edge && /WebKit\//.test(userAgent);
    var qtwebkit = webkit && /Qt\/\d+\.\d+/.test(userAgent);
    var chrome = !edge && /Chrome\/(\d+)/.exec(userAgent);
    var chrome_version = chrome && +chrome[1];
    var presto = /Opera\//.test(userAgent);
    var safari = /Apple Computer/.test(navigator.vendor);
    var mac_geMountainLion = /Mac OS X 1\d\D([8-9]|\d\d)\D/.test(userAgent);
    var phantom = /PhantomJS/.test(userAgent);
    var ios = safari && (/Mobile\/\w+/.test(userAgent) || navigator.maxTouchPoints > 2);
    var android = /Android/.test(userAgent);
    var mobile = ios || android || /webOS|BlackBerry|Opera Mini|Opera Mobi|IEMobile/i.test(userAgent);
    var mac = ios || /Mac/.test(platform);
    var chromeOS = /\bCrOS\b/.test(userAgent);
    var windows = /win/i.test(platform);
    var presto_version = presto && userAgent.match(/Version\/(\d*\.\d*)/);
    if (presto_version) {
      presto_version = Number(presto_version[1]);
    }
    if (presto_version && presto_version >= 15) {
      presto = false;
      webkit = true;
    }
    var flipCtrlCmd = mac && (qtwebkit || presto && (presto_version == null || presto_version < 12.11));
    var captureRightClick = gecko || ie && ie_version >= 9;
    function classTest(cls) {
      return new RegExp("(^|\\s)" + cls + "(?:$|\\s)\\s*");
    }
    var rmClass = function(node, cls) {
      var current = node.className;
      var match = classTest(cls).exec(current);
      if (match) {
        var after = current.slice(match.index + match[0].length);
        node.className = current.slice(0, match.index) + (after ? match[1] + after : "");
      }
    };
    function removeChildren(e) {
      for (var count = e.childNodes.length; count > 0; --count) {
        e.removeChild(e.firstChild);
      }
      return e;
    }
    function removeChildrenAndAdd(parent, e) {
      return removeChildren(parent).appendChild(e);
    }
    function elt(tag, content, className, style) {
      var e = document.createElement(tag);
      if (className) {
        e.className = className;
      }
      if (style) {
        e.style.cssText = style;
      }
      if (typeof content == "string") {
        e.appendChild(document.createTextNode(content));
      } else if (content) {
        for (var i2 = 0; i2 < content.length; ++i2) {
          e.appendChild(content[i2]);
        }
      }
      return e;
    }
    function eltP(tag, content, className, style) {
      var e = elt(tag, content, className, style);
      e.setAttribute("role", "presentation");
      return e;
    }
    var range2;
    if (document.createRange) {
      range2 = function(node, start, end, endNode) {
        var r = document.createRange();
        r.setEnd(endNode || node, end);
        r.setStart(node, start);
        return r;
      };
    } else {
      range2 = function(node, start, end) {
        var r = document.body.createTextRange();
        try {
          r.moveToElementText(node.parentNode);
        } catch (e) {
          return r;
        }
        r.collapse(true);
        r.moveEnd("character", end);
        r.moveStart("character", start);
        return r;
      };
    }
    function contains2(parent, child) {
      if (child.nodeType == 3) {
        child = child.parentNode;
      }
      if (parent.contains) {
        return parent.contains(child);
      }
      do {
        if (child.nodeType == 11) {
          child = child.host;
        }
        if (child == parent) {
          return true;
        }
      } while (child = child.parentNode);
    }
    function activeElt() {
      var activeElement;
      try {
        activeElement = document.activeElement;
      } catch (e) {
        activeElement = document.body || null;
      }
      while (activeElement && activeElement.shadowRoot && activeElement.shadowRoot.activeElement) {
        activeElement = activeElement.shadowRoot.activeElement;
      }
      return activeElement;
    }
    function addClass(node, cls) {
      var current = node.className;
      if (!classTest(cls).test(current)) {
        node.className += (current ? " " : "") + cls;
      }
    }
    function joinClasses(a, b) {
      var as = a.split(" ");
      for (var i2 = 0; i2 < as.length; i2++) {
        if (as[i2] && !classTest(as[i2]).test(b)) {
          b += " " + as[i2];
        }
      }
      return b;
    }
    var selectInput = function(node) {
      node.select();
    };
    if (ios) {
      selectInput = function(node) {
        node.selectionStart = 0;
        node.selectionEnd = node.value.length;
      };
    } else if (ie) {
      selectInput = function(node) {
        try {
          node.select();
        } catch (_e) {
        }
      };
    }
    function bind(f) {
      var args = Array.prototype.slice.call(arguments, 1);
      return function() {
        return f.apply(null, args);
      };
    }
    function copyObj(obj, target, overwrite) {
      if (!target) {
        target = {};
      }
      for (var prop2 in obj) {
        if (obj.hasOwnProperty(prop2) && (overwrite !== false || !target.hasOwnProperty(prop2))) {
          target[prop2] = obj[prop2];
        }
      }
      return target;
    }
    function countColumn(string, end, tabSize, startIndex, startValue) {
      if (end == null) {
        end = string.search(/[^\s\u00a0]/);
        if (end == -1) {
          end = string.length;
        }
      }
      for (var i2 = startIndex || 0, n = startValue || 0; ; ) {
        var nextTab = string.indexOf("	", i2);
        if (nextTab < 0 || nextTab >= end) {
          return n + (end - i2);
        }
        n += nextTab - i2;
        n += tabSize - n % tabSize;
        i2 = nextTab + 1;
      }
    }
    var Delayed = function() {
      this.id = null;
      this.f = null;
      this.time = 0;
      this.handler = bind(this.onTimeout, this);
    };
    Delayed.prototype.onTimeout = function(self2) {
      self2.id = 0;
      if (self2.time <= +new Date()) {
        self2.f();
      } else {
        setTimeout(self2.handler, self2.time - +new Date());
      }
    };
    Delayed.prototype.set = function(ms, f) {
      this.f = f;
      var time = +new Date() + ms;
      if (!this.id || time < this.time) {
        clearTimeout(this.id);
        this.id = setTimeout(this.handler, ms);
        this.time = time;
      }
    };
    function indexOf(array, elt2) {
      for (var i2 = 0; i2 < array.length; ++i2) {
        if (array[i2] == elt2) {
          return i2;
        }
      }
      return -1;
    }
    var scrollerGap = 50;
    var Pass = { toString: function() {
      return "CodeMirror.Pass";
    } };
    var sel_dontScroll = { scroll: false }, sel_mouse = { origin: "*mouse" }, sel_move = { origin: "+move" };
    function findColumn(string, goal, tabSize) {
      for (var pos = 0, col = 0; ; ) {
        var nextTab = string.indexOf("	", pos);
        if (nextTab == -1) {
          nextTab = string.length;
        }
        var skipped = nextTab - pos;
        if (nextTab == string.length || col + skipped >= goal) {
          return pos + Math.min(skipped, goal - col);
        }
        col += nextTab - pos;
        col += tabSize - col % tabSize;
        pos = nextTab + 1;
        if (col >= goal) {
          return pos;
        }
      }
    }
    var spaceStrs = [""];
    function spaceStr(n) {
      while (spaceStrs.length <= n) {
        spaceStrs.push(lst(spaceStrs) + " ");
      }
      return spaceStrs[n];
    }
    function lst(arr) {
      return arr[arr.length - 1];
    }
    function map2(array, f) {
      var out = [];
      for (var i2 = 0; i2 < array.length; i2++) {
        out[i2] = f(array[i2], i2);
      }
      return out;
    }
    function insertSorted(array, value, score) {
      var pos = 0, priority = score(value);
      while (pos < array.length && score(array[pos]) <= priority) {
        pos++;
      }
      array.splice(pos, 0, value);
    }
    function nothing() {
    }
    function createObj(base, props) {
      var inst;
      if (Object.create) {
        inst = Object.create(base);
      } else {
        nothing.prototype = base;
        inst = new nothing();
      }
      if (props) {
        copyObj(props, inst);
      }
      return inst;
    }
    var nonASCIISingleCaseWordChar = /[\u00df\u0587\u0590-\u05f4\u0600-\u06ff\u3040-\u309f\u30a0-\u30ff\u3400-\u4db5\u4e00-\u9fcc\uac00-\ud7af]/;
    function isWordCharBasic(ch) {
      return /\w/.test(ch) || ch > "\x80" && (ch.toUpperCase() != ch.toLowerCase() || nonASCIISingleCaseWordChar.test(ch));
    }
    function isWordChar(ch, helper) {
      if (!helper) {
        return isWordCharBasic(ch);
      }
      if (helper.source.indexOf("\\w") > -1 && isWordCharBasic(ch)) {
        return true;
      }
      return helper.test(ch);
    }
    function isEmpty(obj) {
      for (var n in obj) {
        if (obj.hasOwnProperty(n) && obj[n]) {
          return false;
        }
      }
      return true;
    }
    var extendingChars = /[\u0300-\u036f\u0483-\u0489\u0591-\u05bd\u05bf\u05c1\u05c2\u05c4\u05c5\u05c7\u0610-\u061a\u064b-\u065e\u0670\u06d6-\u06dc\u06de-\u06e4\u06e7\u06e8\u06ea-\u06ed\u0711\u0730-\u074a\u07a6-\u07b0\u07eb-\u07f3\u0816-\u0819\u081b-\u0823\u0825-\u0827\u0829-\u082d\u0900-\u0902\u093c\u0941-\u0948\u094d\u0951-\u0955\u0962\u0963\u0981\u09bc\u09be\u09c1-\u09c4\u09cd\u09d7\u09e2\u09e3\u0a01\u0a02\u0a3c\u0a41\u0a42\u0a47\u0a48\u0a4b-\u0a4d\u0a51\u0a70\u0a71\u0a75\u0a81\u0a82\u0abc\u0ac1-\u0ac5\u0ac7\u0ac8\u0acd\u0ae2\u0ae3\u0b01\u0b3c\u0b3e\u0b3f\u0b41-\u0b44\u0b4d\u0b56\u0b57\u0b62\u0b63\u0b82\u0bbe\u0bc0\u0bcd\u0bd7\u0c3e-\u0c40\u0c46-\u0c48\u0c4a-\u0c4d\u0c55\u0c56\u0c62\u0c63\u0cbc\u0cbf\u0cc2\u0cc6\u0ccc\u0ccd\u0cd5\u0cd6\u0ce2\u0ce3\u0d3e\u0d41-\u0d44\u0d4d\u0d57\u0d62\u0d63\u0dca\u0dcf\u0dd2-\u0dd4\u0dd6\u0ddf\u0e31\u0e34-\u0e3a\u0e47-\u0e4e\u0eb1\u0eb4-\u0eb9\u0ebb\u0ebc\u0ec8-\u0ecd\u0f18\u0f19\u0f35\u0f37\u0f39\u0f71-\u0f7e\u0f80-\u0f84\u0f86\u0f87\u0f90-\u0f97\u0f99-\u0fbc\u0fc6\u102d-\u1030\u1032-\u1037\u1039\u103a\u103d\u103e\u1058\u1059\u105e-\u1060\u1071-\u1074\u1082\u1085\u1086\u108d\u109d\u135f\u1712-\u1714\u1732-\u1734\u1752\u1753\u1772\u1773\u17b7-\u17bd\u17c6\u17c9-\u17d3\u17dd\u180b-\u180d\u18a9\u1920-\u1922\u1927\u1928\u1932\u1939-\u193b\u1a17\u1a18\u1a56\u1a58-\u1a5e\u1a60\u1a62\u1a65-\u1a6c\u1a73-\u1a7c\u1a7f\u1b00-\u1b03\u1b34\u1b36-\u1b3a\u1b3c\u1b42\u1b6b-\u1b73\u1b80\u1b81\u1ba2-\u1ba5\u1ba8\u1ba9\u1c2c-\u1c33\u1c36\u1c37\u1cd0-\u1cd2\u1cd4-\u1ce0\u1ce2-\u1ce8\u1ced\u1dc0-\u1de6\u1dfd-\u1dff\u200c\u200d\u20d0-\u20f0\u2cef-\u2cf1\u2de0-\u2dff\u302a-\u302f\u3099\u309a\ua66f-\ua672\ua67c\ua67d\ua6f0\ua6f1\ua802\ua806\ua80b\ua825\ua826\ua8c4\ua8e0-\ua8f1\ua926-\ua92d\ua947-\ua951\ua980-\ua982\ua9b3\ua9b6-\ua9b9\ua9bc\uaa29-\uaa2e\uaa31\uaa32\uaa35\uaa36\uaa43\uaa4c\uaab0\uaab2-\uaab4\uaab7\uaab8\uaabe\uaabf\uaac1\uabe5\uabe8\uabed\udc00-\udfff\ufb1e\ufe00-\ufe0f\ufe20-\ufe26\uff9e\uff9f]/;
    function isExtendingChar(ch) {
      return ch.charCodeAt(0) >= 768 && extendingChars.test(ch);
    }
    function skipExtendingChars(str, pos, dir) {
      while ((dir < 0 ? pos > 0 : pos < str.length) && isExtendingChar(str.charAt(pos))) {
        pos += dir;
      }
      return pos;
    }
    function findFirst(pred, from, to) {
      var dir = from > to ? -1 : 1;
      for (; ; ) {
        if (from == to) {
          return from;
        }
        var midF = (from + to) / 2, mid = dir < 0 ? Math.ceil(midF) : Math.floor(midF);
        if (mid == from) {
          return pred(mid) ? from : to;
        }
        if (pred(mid)) {
          to = mid;
        } else {
          from = mid + dir;
        }
      }
    }
    function iterateBidiSections(order, from, to, f) {
      if (!order) {
        return f(from, to, "ltr", 0);
      }
      var found = false;
      for (var i2 = 0; i2 < order.length; ++i2) {
        var part = order[i2];
        if (part.from < to && part.to > from || from == to && part.to == from) {
          f(Math.max(part.from, from), Math.min(part.to, to), part.level == 1 ? "rtl" : "ltr", i2);
          found = true;
        }
      }
      if (!found) {
        f(from, to, "ltr");
      }
    }
    var bidiOther = null;
    function getBidiPartAt(order, ch, sticky) {
      var found;
      bidiOther = null;
      for (var i2 = 0; i2 < order.length; ++i2) {
        var cur = order[i2];
        if (cur.from < ch && cur.to > ch) {
          return i2;
        }
        if (cur.to == ch) {
          if (cur.from != cur.to && sticky == "before") {
            found = i2;
          } else {
            bidiOther = i2;
          }
        }
        if (cur.from == ch) {
          if (cur.from != cur.to && sticky != "before") {
            found = i2;
          } else {
            bidiOther = i2;
          }
        }
      }
      return found != null ? found : bidiOther;
    }
    var bidiOrdering = function() {
      var lowTypes = "bbbbbbbbbtstwsbbbbbbbbbbbbbbssstwNN%%%NNNNNN,N,N1111111111NNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNbbbbbbsbbbbbbbbbbbbbbbbbbbbbbbbbb,N%%%%NNNNLNNNNN%%11NLNNN1LNNNNNLLLLLLLLLLLLLLLLLLLLLLLNLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLN";
      var arabicTypes = "nnnnnnNNr%%r,rNNmmmmmmmmmmmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmmmmmmmmmmmmmmmnnnnnnnnnn%nnrrrmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmnNmmmmmmrrmmNmmmmrr1111111111";
      function charType(code) {
        if (code <= 247) {
          return lowTypes.charAt(code);
        } else if (1424 <= code && code <= 1524) {
          return "R";
        } else if (1536 <= code && code <= 1785) {
          return arabicTypes.charAt(code - 1536);
        } else if (1774 <= code && code <= 2220) {
          return "r";
        } else if (8192 <= code && code <= 8203) {
          return "w";
        } else if (code == 8204) {
          return "b";
        } else {
          return "L";
        }
      }
      var bidiRE = /[\u0590-\u05f4\u0600-\u06ff\u0700-\u08ac]/;
      var isNeutral = /[stwN]/, isStrong = /[LRr]/, countsAsLeft = /[Lb1n]/, countsAsNum = /[1n]/;
      function BidiSpan(level, from, to) {
        this.level = level;
        this.from = from;
        this.to = to;
      }
      return function(str, direction) {
        var outerType = direction == "ltr" ? "L" : "R";
        if (str.length == 0 || direction == "ltr" && !bidiRE.test(str)) {
          return false;
        }
        var len = str.length, types = [];
        for (var i2 = 0; i2 < len; ++i2) {
          types.push(charType(str.charCodeAt(i2)));
        }
        for (var i$12 = 0, prev = outerType; i$12 < len; ++i$12) {
          var type = types[i$12];
          if (type == "m") {
            types[i$12] = prev;
          } else {
            prev = type;
          }
        }
        for (var i$22 = 0, cur = outerType; i$22 < len; ++i$22) {
          var type$1 = types[i$22];
          if (type$1 == "1" && cur == "r") {
            types[i$22] = "n";
          } else if (isStrong.test(type$1)) {
            cur = type$1;
            if (type$1 == "r") {
              types[i$22] = "R";
            }
          }
        }
        for (var i$3 = 1, prev$1 = types[0]; i$3 < len - 1; ++i$3) {
          var type$2 = types[i$3];
          if (type$2 == "+" && prev$1 == "1" && types[i$3 + 1] == "1") {
            types[i$3] = "1";
          } else if (type$2 == "," && prev$1 == types[i$3 + 1] && (prev$1 == "1" || prev$1 == "n")) {
            types[i$3] = prev$1;
          }
          prev$1 = type$2;
        }
        for (var i$4 = 0; i$4 < len; ++i$4) {
          var type$3 = types[i$4];
          if (type$3 == ",") {
            types[i$4] = "N";
          } else if (type$3 == "%") {
            var end = void 0;
            for (end = i$4 + 1; end < len && types[end] == "%"; ++end) {
            }
            var replace = i$4 && types[i$4 - 1] == "!" || end < len && types[end] == "1" ? "1" : "N";
            for (var j = i$4; j < end; ++j) {
              types[j] = replace;
            }
            i$4 = end - 1;
          }
        }
        for (var i$5 = 0, cur$1 = outerType; i$5 < len; ++i$5) {
          var type$4 = types[i$5];
          if (cur$1 == "L" && type$4 == "1") {
            types[i$5] = "L";
          } else if (isStrong.test(type$4)) {
            cur$1 = type$4;
          }
        }
        for (var i$6 = 0; i$6 < len; ++i$6) {
          if (isNeutral.test(types[i$6])) {
            var end$1 = void 0;
            for (end$1 = i$6 + 1; end$1 < len && isNeutral.test(types[end$1]); ++end$1) {
            }
            var before = (i$6 ? types[i$6 - 1] : outerType) == "L";
            var after = (end$1 < len ? types[end$1] : outerType) == "L";
            var replace$1 = before == after ? before ? "L" : "R" : outerType;
            for (var j$1 = i$6; j$1 < end$1; ++j$1) {
              types[j$1] = replace$1;
            }
            i$6 = end$1 - 1;
          }
        }
        var order = [], m;
        for (var i$7 = 0; i$7 < len; ) {
          if (countsAsLeft.test(types[i$7])) {
            var start = i$7;
            for (++i$7; i$7 < len && countsAsLeft.test(types[i$7]); ++i$7) {
            }
            order.push(new BidiSpan(0, start, i$7));
          } else {
            var pos = i$7, at = order.length, isRTL = direction == "rtl" ? 1 : 0;
            for (++i$7; i$7 < len && types[i$7] != "L"; ++i$7) {
            }
            for (var j$2 = pos; j$2 < i$7; ) {
              if (countsAsNum.test(types[j$2])) {
                if (pos < j$2) {
                  order.splice(at, 0, new BidiSpan(1, pos, j$2));
                  at += isRTL;
                }
                var nstart = j$2;
                for (++j$2; j$2 < i$7 && countsAsNum.test(types[j$2]); ++j$2) {
                }
                order.splice(at, 0, new BidiSpan(2, nstart, j$2));
                at += isRTL;
                pos = j$2;
              } else {
                ++j$2;
              }
            }
            if (pos < i$7) {
              order.splice(at, 0, new BidiSpan(1, pos, i$7));
            }
          }
        }
        if (direction == "ltr") {
          if (order[0].level == 1 && (m = str.match(/^\s+/))) {
            order[0].from = m[0].length;
            order.unshift(new BidiSpan(0, 0, m[0].length));
          }
          if (lst(order).level == 1 && (m = str.match(/\s+$/))) {
            lst(order).to -= m[0].length;
            order.push(new BidiSpan(0, len - m[0].length, len));
          }
        }
        return direction == "rtl" ? order.reverse() : order;
      };
    }();
    function getOrder(line, direction) {
      var order = line.order;
      if (order == null) {
        order = line.order = bidiOrdering(line.text, direction);
      }
      return order;
    }
    var noHandlers = [];
    var on = function(emitter, type, f) {
      if (emitter.addEventListener) {
        emitter.addEventListener(type, f, false);
      } else if (emitter.attachEvent) {
        emitter.attachEvent("on" + type, f);
      } else {
        var map3 = emitter._handlers || (emitter._handlers = {});
        map3[type] = (map3[type] || noHandlers).concat(f);
      }
    };
    function getHandlers(emitter, type) {
      return emitter._handlers && emitter._handlers[type] || noHandlers;
    }
    function off(emitter, type, f) {
      if (emitter.removeEventListener) {
        emitter.removeEventListener(type, f, false);
      } else if (emitter.detachEvent) {
        emitter.detachEvent("on" + type, f);
      } else {
        var map3 = emitter._handlers, arr = map3 && map3[type];
        if (arr) {
          var index = indexOf(arr, f);
          if (index > -1) {
            map3[type] = arr.slice(0, index).concat(arr.slice(index + 1));
          }
        }
      }
    }
    function signal(emitter, type) {
      var handlers = getHandlers(emitter, type);
      if (!handlers.length) {
        return;
      }
      var args = Array.prototype.slice.call(arguments, 2);
      for (var i2 = 0; i2 < handlers.length; ++i2) {
        handlers[i2].apply(null, args);
      }
    }
    function signalDOMEvent(cm, e, override) {
      if (typeof e == "string") {
        e = { type: e, preventDefault: function() {
          this.defaultPrevented = true;
        } };
      }
      signal(cm, override || e.type, cm, e);
      return e_defaultPrevented(e) || e.codemirrorIgnore;
    }
    function signalCursorActivity(cm) {
      var arr = cm._handlers && cm._handlers.cursorActivity;
      if (!arr) {
        return;
      }
      var set2 = cm.curOp.cursorActivityHandlers || (cm.curOp.cursorActivityHandlers = []);
      for (var i2 = 0; i2 < arr.length; ++i2) {
        if (indexOf(set2, arr[i2]) == -1) {
          set2.push(arr[i2]);
        }
      }
    }
    function hasHandler(emitter, type) {
      return getHandlers(emitter, type).length > 0;
    }
    function eventMixin(ctor) {
      ctor.prototype.on = function(type, f) {
        on(this, type, f);
      };
      ctor.prototype.off = function(type, f) {
        off(this, type, f);
      };
    }
    function e_preventDefault(e) {
      if (e.preventDefault) {
        e.preventDefault();
      } else {
        e.returnValue = false;
      }
    }
    function e_stopPropagation(e) {
      if (e.stopPropagation) {
        e.stopPropagation();
      } else {
        e.cancelBubble = true;
      }
    }
    function e_defaultPrevented(e) {
      return e.defaultPrevented != null ? e.defaultPrevented : e.returnValue == false;
    }
    function e_stop(e) {
      e_preventDefault(e);
      e_stopPropagation(e);
    }
    function e_target(e) {
      return e.target || e.srcElement;
    }
    function e_button(e) {
      var b = e.which;
      if (b == null) {
        if (e.button & 1) {
          b = 1;
        } else if (e.button & 2) {
          b = 3;
        } else if (e.button & 4) {
          b = 2;
        }
      }
      if (mac && e.ctrlKey && b == 1) {
        b = 3;
      }
      return b;
    }
    var dragAndDrop = function() {
      if (ie && ie_version < 9) {
        return false;
      }
      var div = elt("div");
      return "draggable" in div || "dragDrop" in div;
    }();
    var zwspSupported;
    function zeroWidthElement(measure) {
      if (zwspSupported == null) {
        var test = elt("span", "\u200B");
        removeChildrenAndAdd(measure, elt("span", [test, document.createTextNode("x")]));
        if (measure.firstChild.offsetHeight != 0) {
          zwspSupported = test.offsetWidth <= 1 && test.offsetHeight > 2 && !(ie && ie_version < 8);
        }
      }
      var node = zwspSupported ? elt("span", "\u200B") : elt("span", "\xA0", null, "display: inline-block; width: 1px; margin-right: -1px");
      node.setAttribute("cm-text", "");
      return node;
    }
    var badBidiRects;
    function hasBadBidiRects(measure) {
      if (badBidiRects != null) {
        return badBidiRects;
      }
      var txt = removeChildrenAndAdd(measure, document.createTextNode("A\u062EA"));
      var r0 = range2(txt, 0, 1).getBoundingClientRect();
      var r1 = range2(txt, 1, 2).getBoundingClientRect();
      removeChildren(measure);
      if (!r0 || r0.left == r0.right) {
        return false;
      }
      return badBidiRects = r1.right - r0.right < 3;
    }
    var splitLinesAuto = "\n\nb".split(/\n/).length != 3 ? function(string) {
      var pos = 0, result = [], l = string.length;
      while (pos <= l) {
        var nl = string.indexOf("\n", pos);
        if (nl == -1) {
          nl = string.length;
        }
        var line = string.slice(pos, string.charAt(nl - 1) == "\r" ? nl - 1 : nl);
        var rt = line.indexOf("\r");
        if (rt != -1) {
          result.push(line.slice(0, rt));
          pos += rt + 1;
        } else {
          result.push(line);
          pos = nl + 1;
        }
      }
      return result;
    } : function(string) {
      return string.split(/\r\n?|\n/);
    };
    var hasSelection = window.getSelection ? function(te) {
      try {
        return te.selectionStart != te.selectionEnd;
      } catch (e) {
        return false;
      }
    } : function(te) {
      var range3;
      try {
        range3 = te.ownerDocument.selection.createRange();
      } catch (e) {
      }
      if (!range3 || range3.parentElement() != te) {
        return false;
      }
      return range3.compareEndPoints("StartToEnd", range3) != 0;
    };
    var hasCopyEvent = function() {
      var e = elt("div");
      if ("oncopy" in e) {
        return true;
      }
      e.setAttribute("oncopy", "return;");
      return typeof e.oncopy == "function";
    }();
    var badZoomedRects = null;
    function hasBadZoomedRects(measure) {
      if (badZoomedRects != null) {
        return badZoomedRects;
      }
      var node = removeChildrenAndAdd(measure, elt("span", "x"));
      var normal = node.getBoundingClientRect();
      var fromRange = range2(node, 0, 1).getBoundingClientRect();
      return badZoomedRects = Math.abs(normal.left - fromRange.left) > 1;
    }
    var modes = {}, mimeModes = {};
    function defineMode(name, mode) {
      if (arguments.length > 2) {
        mode.dependencies = Array.prototype.slice.call(arguments, 2);
      }
      modes[name] = mode;
    }
    function defineMIME(mime, spec) {
      mimeModes[mime] = spec;
    }
    function resolveMode(spec) {
      if (typeof spec == "string" && mimeModes.hasOwnProperty(spec)) {
        spec = mimeModes[spec];
      } else if (spec && typeof spec.name == "string" && mimeModes.hasOwnProperty(spec.name)) {
        var found = mimeModes[spec.name];
        if (typeof found == "string") {
          found = { name: found };
        }
        spec = createObj(found, spec);
        spec.name = found.name;
      } else if (typeof spec == "string" && /^[\w\-]+\/[\w\-]+\+xml$/.test(spec)) {
        return resolveMode("application/xml");
      } else if (typeof spec == "string" && /^[\w\-]+\/[\w\-]+\+json$/.test(spec)) {
        return resolveMode("application/json");
      }
      if (typeof spec == "string") {
        return { name: spec };
      } else {
        return spec || { name: "null" };
      }
    }
    function getMode(options, spec) {
      spec = resolveMode(spec);
      var mfactory = modes[spec.name];
      if (!mfactory) {
        return getMode(options, "text/plain");
      }
      var modeObj = mfactory(options, spec);
      if (modeExtensions.hasOwnProperty(spec.name)) {
        var exts = modeExtensions[spec.name];
        for (var prop2 in exts) {
          if (!exts.hasOwnProperty(prop2)) {
            continue;
          }
          if (modeObj.hasOwnProperty(prop2)) {
            modeObj["_" + prop2] = modeObj[prop2];
          }
          modeObj[prop2] = exts[prop2];
        }
      }
      modeObj.name = spec.name;
      if (spec.helperType) {
        modeObj.helperType = spec.helperType;
      }
      if (spec.modeProps) {
        for (var prop$1 in spec.modeProps) {
          modeObj[prop$1] = spec.modeProps[prop$1];
        }
      }
      return modeObj;
    }
    var modeExtensions = {};
    function extendMode(mode, properties) {
      var exts = modeExtensions.hasOwnProperty(mode) ? modeExtensions[mode] : modeExtensions[mode] = {};
      copyObj(properties, exts);
    }
    function copyState(mode, state) {
      if (state === true) {
        return state;
      }
      if (mode.copyState) {
        return mode.copyState(state);
      }
      var nstate = {};
      for (var n in state) {
        var val = state[n];
        if (val instanceof Array) {
          val = val.concat([]);
        }
        nstate[n] = val;
      }
      return nstate;
    }
    function innerMode(mode, state) {
      var info;
      while (mode.innerMode) {
        info = mode.innerMode(state);
        if (!info || info.mode == mode) {
          break;
        }
        state = info.state;
        mode = info.mode;
      }
      return info || { mode, state };
    }
    function startState(mode, a1, a2) {
      return mode.startState ? mode.startState(a1, a2) : true;
    }
    var StringStream = function(string, tabSize, lineOracle) {
      this.pos = this.start = 0;
      this.string = string;
      this.tabSize = tabSize || 8;
      this.lastColumnPos = this.lastColumnValue = 0;
      this.lineStart = 0;
      this.lineOracle = lineOracle;
    };
    StringStream.prototype.eol = function() {
      return this.pos >= this.string.length;
    };
    StringStream.prototype.sol = function() {
      return this.pos == this.lineStart;
    };
    StringStream.prototype.peek = function() {
      return this.string.charAt(this.pos) || void 0;
    };
    StringStream.prototype.next = function() {
      if (this.pos < this.string.length) {
        return this.string.charAt(this.pos++);
      }
    };
    StringStream.prototype.eat = function(match) {
      var ch = this.string.charAt(this.pos);
      var ok;
      if (typeof match == "string") {
        ok = ch == match;
      } else {
        ok = ch && (match.test ? match.test(ch) : match(ch));
      }
      if (ok) {
        ++this.pos;
        return ch;
      }
    };
    StringStream.prototype.eatWhile = function(match) {
      var start = this.pos;
      while (this.eat(match)) {
      }
      return this.pos > start;
    };
    StringStream.prototype.eatSpace = function() {
      var start = this.pos;
      while (/[\s\u00a0]/.test(this.string.charAt(this.pos))) {
        ++this.pos;
      }
      return this.pos > start;
    };
    StringStream.prototype.skipToEnd = function() {
      this.pos = this.string.length;
    };
    StringStream.prototype.skipTo = function(ch) {
      var found = this.string.indexOf(ch, this.pos);
      if (found > -1) {
        this.pos = found;
        return true;
      }
    };
    StringStream.prototype.backUp = function(n) {
      this.pos -= n;
    };
    StringStream.prototype.column = function() {
      if (this.lastColumnPos < this.start) {
        this.lastColumnValue = countColumn(this.string, this.start, this.tabSize, this.lastColumnPos, this.lastColumnValue);
        this.lastColumnPos = this.start;
      }
      return this.lastColumnValue - (this.lineStart ? countColumn(this.string, this.lineStart, this.tabSize) : 0);
    };
    StringStream.prototype.indentation = function() {
      return countColumn(this.string, null, this.tabSize) - (this.lineStart ? countColumn(this.string, this.lineStart, this.tabSize) : 0);
    };
    StringStream.prototype.match = function(pattern, consume2, caseInsensitive) {
      if (typeof pattern == "string") {
        var cased = function(str) {
          return caseInsensitive ? str.toLowerCase() : str;
        };
        var substr = this.string.substr(this.pos, pattern.length);
        if (cased(substr) == cased(pattern)) {
          if (consume2 !== false) {
            this.pos += pattern.length;
          }
          return true;
        }
      } else {
        var match = this.string.slice(this.pos).match(pattern);
        if (match && match.index > 0) {
          return null;
        }
        if (match && consume2 !== false) {
          this.pos += match[0].length;
        }
        return match;
      }
    };
    StringStream.prototype.current = function() {
      return this.string.slice(this.start, this.pos);
    };
    StringStream.prototype.hideFirstChars = function(n, inner) {
      this.lineStart += n;
      try {
        return inner();
      } finally {
        this.lineStart -= n;
      }
    };
    StringStream.prototype.lookAhead = function(n) {
      var oracle = this.lineOracle;
      return oracle && oracle.lookAhead(n);
    };
    StringStream.prototype.baseToken = function() {
      var oracle = this.lineOracle;
      return oracle && oracle.baseToken(this.pos);
    };
    function getLine(doc2, n) {
      n -= doc2.first;
      if (n < 0 || n >= doc2.size) {
        throw new Error("There is no line " + (n + doc2.first) + " in the document.");
      }
      var chunk = doc2;
      while (!chunk.lines) {
        for (var i2 = 0; ; ++i2) {
          var child = chunk.children[i2], sz = child.chunkSize();
          if (n < sz) {
            chunk = child;
            break;
          }
          n -= sz;
        }
      }
      return chunk.lines[n];
    }
    function getBetween(doc2, start, end) {
      var out = [], n = start.line;
      doc2.iter(start.line, end.line + 1, function(line) {
        var text = line.text;
        if (n == end.line) {
          text = text.slice(0, end.ch);
        }
        if (n == start.line) {
          text = text.slice(start.ch);
        }
        out.push(text);
        ++n;
      });
      return out;
    }
    function getLines(doc2, from, to) {
      var out = [];
      doc2.iter(from, to, function(line) {
        out.push(line.text);
      });
      return out;
    }
    function updateLineHeight(line, height) {
      var diff = height - line.height;
      if (diff) {
        for (var n = line; n; n = n.parent) {
          n.height += diff;
        }
      }
    }
    function lineNo(line) {
      if (line.parent == null) {
        return null;
      }
      var cur = line.parent, no = indexOf(cur.lines, line);
      for (var chunk = cur.parent; chunk; cur = chunk, chunk = chunk.parent) {
        for (var i2 = 0; ; ++i2) {
          if (chunk.children[i2] == cur) {
            break;
          }
          no += chunk.children[i2].chunkSize();
        }
      }
      return no + cur.first;
    }
    function lineAtHeight(chunk, h2) {
      var n = chunk.first;
      outer:
        do {
          for (var i$12 = 0; i$12 < chunk.children.length; ++i$12) {
            var child = chunk.children[i$12], ch = child.height;
            if (h2 < ch) {
              chunk = child;
              continue outer;
            }
            h2 -= ch;
            n += child.chunkSize();
          }
          return n;
        } while (!chunk.lines);
      var i2 = 0;
      for (; i2 < chunk.lines.length; ++i2) {
        var line = chunk.lines[i2], lh = line.height;
        if (h2 < lh) {
          break;
        }
        h2 -= lh;
      }
      return n + i2;
    }
    function isLine(doc2, l) {
      return l >= doc2.first && l < doc2.first + doc2.size;
    }
    function lineNumberFor(options, i2) {
      return String(options.lineNumberFormatter(i2 + options.firstLineNumber));
    }
    function Pos(line, ch, sticky) {
      if (sticky === void 0)
        sticky = null;
      if (!(this instanceof Pos)) {
        return new Pos(line, ch, sticky);
      }
      this.line = line;
      this.ch = ch;
      this.sticky = sticky;
    }
    function cmp(a, b) {
      return a.line - b.line || a.ch - b.ch;
    }
    function equalCursorPos(a, b) {
      return a.sticky == b.sticky && cmp(a, b) == 0;
    }
    function copyPos(x) {
      return Pos(x.line, x.ch);
    }
    function maxPos(a, b) {
      return cmp(a, b) < 0 ? b : a;
    }
    function minPos(a, b) {
      return cmp(a, b) < 0 ? a : b;
    }
    function clipLine(doc2, n) {
      return Math.max(doc2.first, Math.min(n, doc2.first + doc2.size - 1));
    }
    function clipPos(doc2, pos) {
      if (pos.line < doc2.first) {
        return Pos(doc2.first, 0);
      }
      var last = doc2.first + doc2.size - 1;
      if (pos.line > last) {
        return Pos(last, getLine(doc2, last).text.length);
      }
      return clipToLen(pos, getLine(doc2, pos.line).text.length);
    }
    function clipToLen(pos, linelen) {
      var ch = pos.ch;
      if (ch == null || ch > linelen) {
        return Pos(pos.line, linelen);
      } else if (ch < 0) {
        return Pos(pos.line, 0);
      } else {
        return pos;
      }
    }
    function clipPosArray(doc2, array) {
      var out = [];
      for (var i2 = 0; i2 < array.length; i2++) {
        out[i2] = clipPos(doc2, array[i2]);
      }
      return out;
    }
    var SavedContext = function(state, lookAhead) {
      this.state = state;
      this.lookAhead = lookAhead;
    };
    var Context = function(doc2, state, line, lookAhead) {
      this.state = state;
      this.doc = doc2;
      this.line = line;
      this.maxLookAhead = lookAhead || 0;
      this.baseTokens = null;
      this.baseTokenPos = 1;
    };
    Context.prototype.lookAhead = function(n) {
      var line = this.doc.getLine(this.line + n);
      if (line != null && n > this.maxLookAhead) {
        this.maxLookAhead = n;
      }
      return line;
    };
    Context.prototype.baseToken = function(n) {
      if (!this.baseTokens) {
        return null;
      }
      while (this.baseTokens[this.baseTokenPos] <= n) {
        this.baseTokenPos += 2;
      }
      var type = this.baseTokens[this.baseTokenPos + 1];
      return {
        type: type && type.replace(/( |^)overlay .*/, ""),
        size: this.baseTokens[this.baseTokenPos] - n
      };
    };
    Context.prototype.nextLine = function() {
      this.line++;
      if (this.maxLookAhead > 0) {
        this.maxLookAhead--;
      }
    };
    Context.fromSaved = function(doc2, saved, line) {
      if (saved instanceof SavedContext) {
        return new Context(doc2, copyState(doc2.mode, saved.state), line, saved.lookAhead);
      } else {
        return new Context(doc2, copyState(doc2.mode, saved), line);
      }
    };
    Context.prototype.save = function(copy) {
      var state = copy !== false ? copyState(this.doc.mode, this.state) : this.state;
      return this.maxLookAhead > 0 ? new SavedContext(state, this.maxLookAhead) : state;
    };
    function highlightLine(cm, line, context, forceToEnd) {
      var st = [cm.state.modeGen], lineClasses = {};
      runMode(
        cm,
        line.text,
        cm.doc.mode,
        context,
        function(end, style) {
          return st.push(end, style);
        },
        lineClasses,
        forceToEnd
      );
      var state = context.state;
      var loop = function(o2) {
        context.baseTokens = st;
        var overlay = cm.state.overlays[o2], i2 = 1, at = 0;
        context.state = true;
        runMode(cm, line.text, overlay.mode, context, function(end, style) {
          var start = i2;
          while (at < end) {
            var i_end = st[i2];
            if (i_end > end) {
              st.splice(i2, 1, end, st[i2 + 1], i_end);
            }
            i2 += 2;
            at = Math.min(end, i_end);
          }
          if (!style) {
            return;
          }
          if (overlay.opaque) {
            st.splice(start, i2 - start, end, "overlay " + style);
            i2 = start + 2;
          } else {
            for (; start < i2; start += 2) {
              var cur = st[start + 1];
              st[start + 1] = (cur ? cur + " " : "") + "overlay " + style;
            }
          }
        }, lineClasses);
        context.state = state;
        context.baseTokens = null;
        context.baseTokenPos = 1;
      };
      for (var o = 0; o < cm.state.overlays.length; ++o)
        loop(o);
      return { styles: st, classes: lineClasses.bgClass || lineClasses.textClass ? lineClasses : null };
    }
    function getLineStyles(cm, line, updateFrontier) {
      if (!line.styles || line.styles[0] != cm.state.modeGen) {
        var context = getContextBefore(cm, lineNo(line));
        var resetState = line.text.length > cm.options.maxHighlightLength && copyState(cm.doc.mode, context.state);
        var result = highlightLine(cm, line, context);
        if (resetState) {
          context.state = resetState;
        }
        line.stateAfter = context.save(!resetState);
        line.styles = result.styles;
        if (result.classes) {
          line.styleClasses = result.classes;
        } else if (line.styleClasses) {
          line.styleClasses = null;
        }
        if (updateFrontier === cm.doc.highlightFrontier) {
          cm.doc.modeFrontier = Math.max(cm.doc.modeFrontier, ++cm.doc.highlightFrontier);
        }
      }
      return line.styles;
    }
    function getContextBefore(cm, n, precise) {
      var doc2 = cm.doc, display = cm.display;
      if (!doc2.mode.startState) {
        return new Context(doc2, true, n);
      }
      var start = findStartLine(cm, n, precise);
      var saved = start > doc2.first && getLine(doc2, start - 1).stateAfter;
      var context = saved ? Context.fromSaved(doc2, saved, start) : new Context(doc2, startState(doc2.mode), start);
      doc2.iter(start, n, function(line) {
        processLine(cm, line.text, context);
        var pos = context.line;
        line.stateAfter = pos == n - 1 || pos % 5 == 0 || pos >= display.viewFrom && pos < display.viewTo ? context.save() : null;
        context.nextLine();
      });
      if (precise) {
        doc2.modeFrontier = context.line;
      }
      return context;
    }
    function processLine(cm, text, context, startAt) {
      var mode = cm.doc.mode;
      var stream = new StringStream(text, cm.options.tabSize, context);
      stream.start = stream.pos = startAt || 0;
      if (text == "") {
        callBlankLine(mode, context.state);
      }
      while (!stream.eol()) {
        readToken(mode, stream, context.state);
        stream.start = stream.pos;
      }
    }
    function callBlankLine(mode, state) {
      if (mode.blankLine) {
        return mode.blankLine(state);
      }
      if (!mode.innerMode) {
        return;
      }
      var inner = innerMode(mode, state);
      if (inner.mode.blankLine) {
        return inner.mode.blankLine(inner.state);
      }
    }
    function readToken(mode, stream, state, inner) {
      for (var i2 = 0; i2 < 10; i2++) {
        if (inner) {
          inner[0] = innerMode(mode, state).mode;
        }
        var style = mode.token(stream, state);
        if (stream.pos > stream.start) {
          return style;
        }
      }
      throw new Error("Mode " + mode.name + " failed to advance stream.");
    }
    var Token = function(stream, type, state) {
      this.start = stream.start;
      this.end = stream.pos;
      this.string = stream.current();
      this.type = type || null;
      this.state = state;
    };
    function takeToken(cm, pos, precise, asArray) {
      var doc2 = cm.doc, mode = doc2.mode, style;
      pos = clipPos(doc2, pos);
      var line = getLine(doc2, pos.line), context = getContextBefore(cm, pos.line, precise);
      var stream = new StringStream(line.text, cm.options.tabSize, context), tokens;
      if (asArray) {
        tokens = [];
      }
      while ((asArray || stream.pos < pos.ch) && !stream.eol()) {
        stream.start = stream.pos;
        style = readToken(mode, stream, context.state);
        if (asArray) {
          tokens.push(new Token(stream, style, copyState(doc2.mode, context.state)));
        }
      }
      return asArray ? tokens : new Token(stream, style, context.state);
    }
    function extractLineClasses(type, output) {
      if (type) {
        for (; ; ) {
          var lineClass = type.match(/(?:^|\s+)line-(background-)?(\S+)/);
          if (!lineClass) {
            break;
          }
          type = type.slice(0, lineClass.index) + type.slice(lineClass.index + lineClass[0].length);
          var prop2 = lineClass[1] ? "bgClass" : "textClass";
          if (output[prop2] == null) {
            output[prop2] = lineClass[2];
          } else if (!new RegExp("(?:^|\\s)" + lineClass[2] + "(?:$|\\s)").test(output[prop2])) {
            output[prop2] += " " + lineClass[2];
          }
        }
      }
      return type;
    }
    function runMode(cm, text, mode, context, f, lineClasses, forceToEnd) {
      var flattenSpans = mode.flattenSpans;
      if (flattenSpans == null) {
        flattenSpans = cm.options.flattenSpans;
      }
      var curStart = 0, curStyle = null;
      var stream = new StringStream(text, cm.options.tabSize, context), style;
      var inner = cm.options.addModeClass && [null];
      if (text == "") {
        extractLineClasses(callBlankLine(mode, context.state), lineClasses);
      }
      while (!stream.eol()) {
        if (stream.pos > cm.options.maxHighlightLength) {
          flattenSpans = false;
          if (forceToEnd) {
            processLine(cm, text, context, stream.pos);
          }
          stream.pos = text.length;
          style = null;
        } else {
          style = extractLineClasses(readToken(mode, stream, context.state, inner), lineClasses);
        }
        if (inner) {
          var mName = inner[0].name;
          if (mName) {
            style = "m-" + (style ? mName + " " + style : mName);
          }
        }
        if (!flattenSpans || curStyle != style) {
          while (curStart < stream.start) {
            curStart = Math.min(stream.start, curStart + 5e3);
            f(curStart, curStyle);
          }
          curStyle = style;
        }
        stream.start = stream.pos;
      }
      while (curStart < stream.pos) {
        var pos = Math.min(stream.pos, curStart + 5e3);
        f(pos, curStyle);
        curStart = pos;
      }
    }
    function findStartLine(cm, n, precise) {
      var minindent, minline, doc2 = cm.doc;
      var lim = precise ? -1 : n - (cm.doc.mode.innerMode ? 1e3 : 100);
      for (var search = n; search > lim; --search) {
        if (search <= doc2.first) {
          return doc2.first;
        }
        var line = getLine(doc2, search - 1), after = line.stateAfter;
        if (after && (!precise || search + (after instanceof SavedContext ? after.lookAhead : 0) <= doc2.modeFrontier)) {
          return search;
        }
        var indented = countColumn(line.text, null, cm.options.tabSize);
        if (minline == null || minindent > indented) {
          minline = search - 1;
          minindent = indented;
        }
      }
      return minline;
    }
    function retreatFrontier(doc2, n) {
      doc2.modeFrontier = Math.min(doc2.modeFrontier, n);
      if (doc2.highlightFrontier < n - 10) {
        return;
      }
      var start = doc2.first;
      for (var line = n - 1; line > start; line--) {
        var saved = getLine(doc2, line).stateAfter;
        if (saved && (!(saved instanceof SavedContext) || line + saved.lookAhead < n)) {
          start = line + 1;
          break;
        }
      }
      doc2.highlightFrontier = Math.min(doc2.highlightFrontier, start);
    }
    var sawReadOnlySpans = false, sawCollapsedSpans = false;
    function seeReadOnlySpans() {
      sawReadOnlySpans = true;
    }
    function seeCollapsedSpans() {
      sawCollapsedSpans = true;
    }
    function MarkedSpan(marker, from, to) {
      this.marker = marker;
      this.from = from;
      this.to = to;
    }
    function getMarkedSpanFor(spans, marker) {
      if (spans) {
        for (var i2 = 0; i2 < spans.length; ++i2) {
          var span = spans[i2];
          if (span.marker == marker) {
            return span;
          }
        }
      }
    }
    function removeMarkedSpan(spans, span) {
      var r;
      for (var i2 = 0; i2 < spans.length; ++i2) {
        if (spans[i2] != span) {
          (r || (r = [])).push(spans[i2]);
        }
      }
      return r;
    }
    function addMarkedSpan(line, span, op) {
      var inThisOp = op && window.WeakSet && (op.markedSpans || (op.markedSpans = /* @__PURE__ */ new WeakSet()));
      if (inThisOp && line.markedSpans && inThisOp.has(line.markedSpans)) {
        line.markedSpans.push(span);
      } else {
        line.markedSpans = line.markedSpans ? line.markedSpans.concat([span]) : [span];
        if (inThisOp) {
          inThisOp.add(line.markedSpans);
        }
      }
      span.marker.attachLine(line);
    }
    function markedSpansBefore(old, startCh, isInsert) {
      var nw;
      if (old) {
        for (var i2 = 0; i2 < old.length; ++i2) {
          var span = old[i2], marker = span.marker;
          var startsBefore = span.from == null || (marker.inclusiveLeft ? span.from <= startCh : span.from < startCh);
          if (startsBefore || span.from == startCh && marker.type == "bookmark" && (!isInsert || !span.marker.insertLeft)) {
            var endsAfter = span.to == null || (marker.inclusiveRight ? span.to >= startCh : span.to > startCh);
            (nw || (nw = [])).push(new MarkedSpan(marker, span.from, endsAfter ? null : span.to));
          }
        }
      }
      return nw;
    }
    function markedSpansAfter(old, endCh, isInsert) {
      var nw;
      if (old) {
        for (var i2 = 0; i2 < old.length; ++i2) {
          var span = old[i2], marker = span.marker;
          var endsAfter = span.to == null || (marker.inclusiveRight ? span.to >= endCh : span.to > endCh);
          if (endsAfter || span.from == endCh && marker.type == "bookmark" && (!isInsert || span.marker.insertLeft)) {
            var startsBefore = span.from == null || (marker.inclusiveLeft ? span.from <= endCh : span.from < endCh);
            (nw || (nw = [])).push(new MarkedSpan(
              marker,
              startsBefore ? null : span.from - endCh,
              span.to == null ? null : span.to - endCh
            ));
          }
        }
      }
      return nw;
    }
    function stretchSpansOverChange(doc2, change) {
      if (change.full) {
        return null;
      }
      var oldFirst = isLine(doc2, change.from.line) && getLine(doc2, change.from.line).markedSpans;
      var oldLast = isLine(doc2, change.to.line) && getLine(doc2, change.to.line).markedSpans;
      if (!oldFirst && !oldLast) {
        return null;
      }
      var startCh = change.from.ch, endCh = change.to.ch, isInsert = cmp(change.from, change.to) == 0;
      var first = markedSpansBefore(oldFirst, startCh, isInsert);
      var last = markedSpansAfter(oldLast, endCh, isInsert);
      var sameLine = change.text.length == 1, offset = lst(change.text).length + (sameLine ? startCh : 0);
      if (first) {
        for (var i2 = 0; i2 < first.length; ++i2) {
          var span = first[i2];
          if (span.to == null) {
            var found = getMarkedSpanFor(last, span.marker);
            if (!found) {
              span.to = startCh;
            } else if (sameLine) {
              span.to = found.to == null ? null : found.to + offset;
            }
          }
        }
      }
      if (last) {
        for (var i$12 = 0; i$12 < last.length; ++i$12) {
          var span$1 = last[i$12];
          if (span$1.to != null) {
            span$1.to += offset;
          }
          if (span$1.from == null) {
            var found$1 = getMarkedSpanFor(first, span$1.marker);
            if (!found$1) {
              span$1.from = offset;
              if (sameLine) {
                (first || (first = [])).push(span$1);
              }
            }
          } else {
            span$1.from += offset;
            if (sameLine) {
              (first || (first = [])).push(span$1);
            }
          }
        }
      }
      if (first) {
        first = clearEmptySpans(first);
      }
      if (last && last != first) {
        last = clearEmptySpans(last);
      }
      var newMarkers = [first];
      if (!sameLine) {
        var gap = change.text.length - 2, gapMarkers;
        if (gap > 0 && first) {
          for (var i$22 = 0; i$22 < first.length; ++i$22) {
            if (first[i$22].to == null) {
              (gapMarkers || (gapMarkers = [])).push(new MarkedSpan(first[i$22].marker, null, null));
            }
          }
        }
        for (var i$3 = 0; i$3 < gap; ++i$3) {
          newMarkers.push(gapMarkers);
        }
        newMarkers.push(last);
      }
      return newMarkers;
    }
    function clearEmptySpans(spans) {
      for (var i2 = 0; i2 < spans.length; ++i2) {
        var span = spans[i2];
        if (span.from != null && span.from == span.to && span.marker.clearWhenEmpty !== false) {
          spans.splice(i2--, 1);
        }
      }
      if (!spans.length) {
        return null;
      }
      return spans;
    }
    function removeReadOnlyRanges(doc2, from, to) {
      var markers = null;
      doc2.iter(from.line, to.line + 1, function(line) {
        if (line.markedSpans) {
          for (var i3 = 0; i3 < line.markedSpans.length; ++i3) {
            var mark = line.markedSpans[i3].marker;
            if (mark.readOnly && (!markers || indexOf(markers, mark) == -1)) {
              (markers || (markers = [])).push(mark);
            }
          }
        }
      });
      if (!markers) {
        return null;
      }
      var parts = [{ from, to }];
      for (var i2 = 0; i2 < markers.length; ++i2) {
        var mk = markers[i2], m = mk.find(0);
        for (var j = 0; j < parts.length; ++j) {
          var p = parts[j];
          if (cmp(p.to, m.from) < 0 || cmp(p.from, m.to) > 0) {
            continue;
          }
          var newParts = [j, 1], dfrom = cmp(p.from, m.from), dto = cmp(p.to, m.to);
          if (dfrom < 0 || !mk.inclusiveLeft && !dfrom) {
            newParts.push({ from: p.from, to: m.from });
          }
          if (dto > 0 || !mk.inclusiveRight && !dto) {
            newParts.push({ from: m.to, to: p.to });
          }
          parts.splice.apply(parts, newParts);
          j += newParts.length - 3;
        }
      }
      return parts;
    }
    function detachMarkedSpans(line) {
      var spans = line.markedSpans;
      if (!spans) {
        return;
      }
      for (var i2 = 0; i2 < spans.length; ++i2) {
        spans[i2].marker.detachLine(line);
      }
      line.markedSpans = null;
    }
    function attachMarkedSpans(line, spans) {
      if (!spans) {
        return;
      }
      for (var i2 = 0; i2 < spans.length; ++i2) {
        spans[i2].marker.attachLine(line);
      }
      line.markedSpans = spans;
    }
    function extraLeft(marker) {
      return marker.inclusiveLeft ? -1 : 0;
    }
    function extraRight(marker) {
      return marker.inclusiveRight ? 1 : 0;
    }
    function compareCollapsedMarkers(a, b) {
      var lenDiff = a.lines.length - b.lines.length;
      if (lenDiff != 0) {
        return lenDiff;
      }
      var aPos = a.find(), bPos = b.find();
      var fromCmp = cmp(aPos.from, bPos.from) || extraLeft(a) - extraLeft(b);
      if (fromCmp) {
        return -fromCmp;
      }
      var toCmp = cmp(aPos.to, bPos.to) || extraRight(a) - extraRight(b);
      if (toCmp) {
        return toCmp;
      }
      return b.id - a.id;
    }
    function collapsedSpanAtSide(line, start) {
      var sps = sawCollapsedSpans && line.markedSpans, found;
      if (sps) {
        for (var sp = void 0, i2 = 0; i2 < sps.length; ++i2) {
          sp = sps[i2];
          if (sp.marker.collapsed && (start ? sp.from : sp.to) == null && (!found || compareCollapsedMarkers(found, sp.marker) < 0)) {
            found = sp.marker;
          }
        }
      }
      return found;
    }
    function collapsedSpanAtStart(line) {
      return collapsedSpanAtSide(line, true);
    }
    function collapsedSpanAtEnd(line) {
      return collapsedSpanAtSide(line, false);
    }
    function collapsedSpanAround(line, ch) {
      var sps = sawCollapsedSpans && line.markedSpans, found;
      if (sps) {
        for (var i2 = 0; i2 < sps.length; ++i2) {
          var sp = sps[i2];
          if (sp.marker.collapsed && (sp.from == null || sp.from < ch) && (sp.to == null || sp.to > ch) && (!found || compareCollapsedMarkers(found, sp.marker) < 0)) {
            found = sp.marker;
          }
        }
      }
      return found;
    }
    function conflictingCollapsedRange(doc2, lineNo2, from, to, marker) {
      var line = getLine(doc2, lineNo2);
      var sps = sawCollapsedSpans && line.markedSpans;
      if (sps) {
        for (var i2 = 0; i2 < sps.length; ++i2) {
          var sp = sps[i2];
          if (!sp.marker.collapsed) {
            continue;
          }
          var found = sp.marker.find(0);
          var fromCmp = cmp(found.from, from) || extraLeft(sp.marker) - extraLeft(marker);
          var toCmp = cmp(found.to, to) || extraRight(sp.marker) - extraRight(marker);
          if (fromCmp >= 0 && toCmp <= 0 || fromCmp <= 0 && toCmp >= 0) {
            continue;
          }
          if (fromCmp <= 0 && (sp.marker.inclusiveRight && marker.inclusiveLeft ? cmp(found.to, from) >= 0 : cmp(found.to, from) > 0) || fromCmp >= 0 && (sp.marker.inclusiveRight && marker.inclusiveLeft ? cmp(found.from, to) <= 0 : cmp(found.from, to) < 0)) {
            return true;
          }
        }
      }
    }
    function visualLine(line) {
      var merged;
      while (merged = collapsedSpanAtStart(line)) {
        line = merged.find(-1, true).line;
      }
      return line;
    }
    function visualLineEnd(line) {
      var merged;
      while (merged = collapsedSpanAtEnd(line)) {
        line = merged.find(1, true).line;
      }
      return line;
    }
    function visualLineContinued(line) {
      var merged, lines;
      while (merged = collapsedSpanAtEnd(line)) {
        line = merged.find(1, true).line;
        (lines || (lines = [])).push(line);
      }
      return lines;
    }
    function visualLineNo(doc2, lineN) {
      var line = getLine(doc2, lineN), vis = visualLine(line);
      if (line == vis) {
        return lineN;
      }
      return lineNo(vis);
    }
    function visualLineEndNo(doc2, lineN) {
      if (lineN > doc2.lastLine()) {
        return lineN;
      }
      var line = getLine(doc2, lineN), merged;
      if (!lineIsHidden(doc2, line)) {
        return lineN;
      }
      while (merged = collapsedSpanAtEnd(line)) {
        line = merged.find(1, true).line;
      }
      return lineNo(line) + 1;
    }
    function lineIsHidden(doc2, line) {
      var sps = sawCollapsedSpans && line.markedSpans;
      if (sps) {
        for (var sp = void 0, i2 = 0; i2 < sps.length; ++i2) {
          sp = sps[i2];
          if (!sp.marker.collapsed) {
            continue;
          }
          if (sp.from == null) {
            return true;
          }
          if (sp.marker.widgetNode) {
            continue;
          }
          if (sp.from == 0 && sp.marker.inclusiveLeft && lineIsHiddenInner(doc2, line, sp)) {
            return true;
          }
        }
      }
    }
    function lineIsHiddenInner(doc2, line, span) {
      if (span.to == null) {
        var end = span.marker.find(1, true);
        return lineIsHiddenInner(doc2, end.line, getMarkedSpanFor(end.line.markedSpans, span.marker));
      }
      if (span.marker.inclusiveRight && span.to == line.text.length) {
        return true;
      }
      for (var sp = void 0, i2 = 0; i2 < line.markedSpans.length; ++i2) {
        sp = line.markedSpans[i2];
        if (sp.marker.collapsed && !sp.marker.widgetNode && sp.from == span.to && (sp.to == null || sp.to != span.from) && (sp.marker.inclusiveLeft || span.marker.inclusiveRight) && lineIsHiddenInner(doc2, line, sp)) {
          return true;
        }
      }
    }
    function heightAtLine(lineObj) {
      lineObj = visualLine(lineObj);
      var h2 = 0, chunk = lineObj.parent;
      for (var i2 = 0; i2 < chunk.lines.length; ++i2) {
        var line = chunk.lines[i2];
        if (line == lineObj) {
          break;
        } else {
          h2 += line.height;
        }
      }
      for (var p = chunk.parent; p; chunk = p, p = chunk.parent) {
        for (var i$12 = 0; i$12 < p.children.length; ++i$12) {
          var cur = p.children[i$12];
          if (cur == chunk) {
            break;
          } else {
            h2 += cur.height;
          }
        }
      }
      return h2;
    }
    function lineLength(line) {
      if (line.height == 0) {
        return 0;
      }
      var len = line.text.length, merged, cur = line;
      while (merged = collapsedSpanAtStart(cur)) {
        var found = merged.find(0, true);
        cur = found.from.line;
        len += found.from.ch - found.to.ch;
      }
      cur = line;
      while (merged = collapsedSpanAtEnd(cur)) {
        var found$1 = merged.find(0, true);
        len -= cur.text.length - found$1.from.ch;
        cur = found$1.to.line;
        len += cur.text.length - found$1.to.ch;
      }
      return len;
    }
    function findMaxLine(cm) {
      var d = cm.display, doc2 = cm.doc;
      d.maxLine = getLine(doc2, doc2.first);
      d.maxLineLength = lineLength(d.maxLine);
      d.maxLineChanged = true;
      doc2.iter(function(line) {
        var len = lineLength(line);
        if (len > d.maxLineLength) {
          d.maxLineLength = len;
          d.maxLine = line;
        }
      });
    }
    var Line = function(text, markedSpans, estimateHeight2) {
      this.text = text;
      attachMarkedSpans(this, markedSpans);
      this.height = estimateHeight2 ? estimateHeight2(this) : 1;
    };
    Line.prototype.lineNo = function() {
      return lineNo(this);
    };
    eventMixin(Line);
    function updateLine(line, text, markedSpans, estimateHeight2) {
      line.text = text;
      if (line.stateAfter) {
        line.stateAfter = null;
      }
      if (line.styles) {
        line.styles = null;
      }
      if (line.order != null) {
        line.order = null;
      }
      detachMarkedSpans(line);
      attachMarkedSpans(line, markedSpans);
      var estHeight = estimateHeight2 ? estimateHeight2(line) : 1;
      if (estHeight != line.height) {
        updateLineHeight(line, estHeight);
      }
    }
    function cleanUpLine(line) {
      line.parent = null;
      detachMarkedSpans(line);
    }
    var styleToClassCache = {}, styleToClassCacheWithMode = {};
    function interpretTokenStyle(style, options) {
      if (!style || /^\s*$/.test(style)) {
        return null;
      }
      var cache = options.addModeClass ? styleToClassCacheWithMode : styleToClassCache;
      return cache[style] || (cache[style] = style.replace(/\S+/g, "cm-$&"));
    }
    function buildLineContent(cm, lineView) {
      var content = eltP("span", null, null, webkit ? "padding-right: .1px" : null);
      var builder = {
        pre: eltP("pre", [content], "CodeMirror-line"),
        content,
        col: 0,
        pos: 0,
        cm,
        trailingSpace: false,
        splitSpaces: cm.getOption("lineWrapping")
      };
      lineView.measure = {};
      for (var i2 = 0; i2 <= (lineView.rest ? lineView.rest.length : 0); i2++) {
        var line = i2 ? lineView.rest[i2 - 1] : lineView.line, order = void 0;
        builder.pos = 0;
        builder.addToken = buildToken;
        if (hasBadBidiRects(cm.display.measure) && (order = getOrder(line, cm.doc.direction))) {
          builder.addToken = buildTokenBadBidi(builder.addToken, order);
        }
        builder.map = [];
        var allowFrontierUpdate = lineView != cm.display.externalMeasured && lineNo(line);
        insertLineContent(line, builder, getLineStyles(cm, line, allowFrontierUpdate));
        if (line.styleClasses) {
          if (line.styleClasses.bgClass) {
            builder.bgClass = joinClasses(line.styleClasses.bgClass, builder.bgClass || "");
          }
          if (line.styleClasses.textClass) {
            builder.textClass = joinClasses(line.styleClasses.textClass, builder.textClass || "");
          }
        }
        if (builder.map.length == 0) {
          builder.map.push(0, 0, builder.content.appendChild(zeroWidthElement(cm.display.measure)));
        }
        if (i2 == 0) {
          lineView.measure.map = builder.map;
          lineView.measure.cache = {};
        } else {
          (lineView.measure.maps || (lineView.measure.maps = [])).push(builder.map);
          (lineView.measure.caches || (lineView.measure.caches = [])).push({});
        }
      }
      if (webkit) {
        var last = builder.content.lastChild;
        if (/\bcm-tab\b/.test(last.className) || last.querySelector && last.querySelector(".cm-tab")) {
          builder.content.className = "cm-tab-wrap-hack";
        }
      }
      signal(cm, "renderLine", cm, lineView.line, builder.pre);
      if (builder.pre.className) {
        builder.textClass = joinClasses(builder.pre.className, builder.textClass || "");
      }
      return builder;
    }
    function defaultSpecialCharPlaceholder(ch) {
      var token = elt("span", "\u2022", "cm-invalidchar");
      token.title = "\\u" + ch.charCodeAt(0).toString(16);
      token.setAttribute("aria-label", token.title);
      return token;
    }
    function buildToken(builder, text, style, startStyle, endStyle, css, attributes) {
      if (!text) {
        return;
      }
      var displayText = builder.splitSpaces ? splitSpaces(text, builder.trailingSpace) : text;
      var special = builder.cm.state.specialChars, mustWrap = false;
      var content;
      if (!special.test(text)) {
        builder.col += text.length;
        content = document.createTextNode(displayText);
        builder.map.push(builder.pos, builder.pos + text.length, content);
        if (ie && ie_version < 9) {
          mustWrap = true;
        }
        builder.pos += text.length;
      } else {
        content = document.createDocumentFragment();
        var pos = 0;
        while (true) {
          special.lastIndex = pos;
          var m = special.exec(text);
          var skipped = m ? m.index - pos : text.length - pos;
          if (skipped) {
            var txt = document.createTextNode(displayText.slice(pos, pos + skipped));
            if (ie && ie_version < 9) {
              content.appendChild(elt("span", [txt]));
            } else {
              content.appendChild(txt);
            }
            builder.map.push(builder.pos, builder.pos + skipped, txt);
            builder.col += skipped;
            builder.pos += skipped;
          }
          if (!m) {
            break;
          }
          pos += skipped + 1;
          var txt$1 = void 0;
          if (m[0] == "	") {
            var tabSize = builder.cm.options.tabSize, tabWidth = tabSize - builder.col % tabSize;
            txt$1 = content.appendChild(elt("span", spaceStr(tabWidth), "cm-tab"));
            txt$1.setAttribute("role", "presentation");
            txt$1.setAttribute("cm-text", "	");
            builder.col += tabWidth;
          } else if (m[0] == "\r" || m[0] == "\n") {
            txt$1 = content.appendChild(elt("span", m[0] == "\r" ? "\u240D" : "\u2424", "cm-invalidchar"));
            txt$1.setAttribute("cm-text", m[0]);
            builder.col += 1;
          } else {
            txt$1 = builder.cm.options.specialCharPlaceholder(m[0]);
            txt$1.setAttribute("cm-text", m[0]);
            if (ie && ie_version < 9) {
              content.appendChild(elt("span", [txt$1]));
            } else {
              content.appendChild(txt$1);
            }
            builder.col += 1;
          }
          builder.map.push(builder.pos, builder.pos + 1, txt$1);
          builder.pos++;
        }
      }
      builder.trailingSpace = displayText.charCodeAt(text.length - 1) == 32;
      if (style || startStyle || endStyle || mustWrap || css || attributes) {
        var fullStyle = style || "";
        if (startStyle) {
          fullStyle += startStyle;
        }
        if (endStyle) {
          fullStyle += endStyle;
        }
        var token = elt("span", [content], fullStyle, css);
        if (attributes) {
          for (var attr in attributes) {
            if (attributes.hasOwnProperty(attr) && attr != "style" && attr != "class") {
              token.setAttribute(attr, attributes[attr]);
            }
          }
        }
        return builder.content.appendChild(token);
      }
      builder.content.appendChild(content);
    }
    function splitSpaces(text, trailingBefore) {
      if (text.length > 1 && !/  /.test(text)) {
        return text;
      }
      var spaceBefore = trailingBefore, result = "";
      for (var i2 = 0; i2 < text.length; i2++) {
        var ch = text.charAt(i2);
        if (ch == " " && spaceBefore && (i2 == text.length - 1 || text.charCodeAt(i2 + 1) == 32)) {
          ch = "\xA0";
        }
        result += ch;
        spaceBefore = ch == " ";
      }
      return result;
    }
    function buildTokenBadBidi(inner, order) {
      return function(builder, text, style, startStyle, endStyle, css, attributes) {
        style = style ? style + " cm-force-border" : "cm-force-border";
        var start = builder.pos, end = start + text.length;
        for (; ; ) {
          var part = void 0;
          for (var i2 = 0; i2 < order.length; i2++) {
            part = order[i2];
            if (part.to > start && part.from <= start) {
              break;
            }
          }
          if (part.to >= end) {
            return inner(builder, text, style, startStyle, endStyle, css, attributes);
          }
          inner(builder, text.slice(0, part.to - start), style, startStyle, null, css, attributes);
          startStyle = null;
          text = text.slice(part.to - start);
          start = part.to;
        }
      };
    }
    function buildCollapsedSpan(builder, size2, marker, ignoreWidget) {
      var widget = !ignoreWidget && marker.widgetNode;
      if (widget) {
        builder.map.push(builder.pos, builder.pos + size2, widget);
      }
      if (!ignoreWidget && builder.cm.display.input.needsContentAttribute) {
        if (!widget) {
          widget = builder.content.appendChild(document.createElement("span"));
        }
        widget.setAttribute("cm-marker", marker.id);
      }
      if (widget) {
        builder.cm.display.input.setUneditable(widget);
        builder.content.appendChild(widget);
      }
      builder.pos += size2;
      builder.trailingSpace = false;
    }
    function insertLineContent(line, builder, styles2) {
      var spans = line.markedSpans, allText = line.text, at = 0;
      if (!spans) {
        for (var i$12 = 1; i$12 < styles2.length; i$12 += 2) {
          builder.addToken(builder, allText.slice(at, at = styles2[i$12]), interpretTokenStyle(styles2[i$12 + 1], builder.cm.options));
        }
        return;
      }
      var len = allText.length, pos = 0, i2 = 1, text = "", style, css;
      var nextChange = 0, spanStyle, spanEndStyle, spanStartStyle, collapsed, attributes;
      for (; ; ) {
        if (nextChange == pos) {
          spanStyle = spanEndStyle = spanStartStyle = css = "";
          attributes = null;
          collapsed = null;
          nextChange = Infinity;
          var foundBookmarks = [], endStyles = void 0;
          for (var j = 0; j < spans.length; ++j) {
            var sp = spans[j], m = sp.marker;
            if (m.type == "bookmark" && sp.from == pos && m.widgetNode) {
              foundBookmarks.push(m);
            } else if (sp.from <= pos && (sp.to == null || sp.to > pos || m.collapsed && sp.to == pos && sp.from == pos)) {
              if (sp.to != null && sp.to != pos && nextChange > sp.to) {
                nextChange = sp.to;
                spanEndStyle = "";
              }
              if (m.className) {
                spanStyle += " " + m.className;
              }
              if (m.css) {
                css = (css ? css + ";" : "") + m.css;
              }
              if (m.startStyle && sp.from == pos) {
                spanStartStyle += " " + m.startStyle;
              }
              if (m.endStyle && sp.to == nextChange) {
                (endStyles || (endStyles = [])).push(m.endStyle, sp.to);
              }
              if (m.title) {
                (attributes || (attributes = {})).title = m.title;
              }
              if (m.attributes) {
                for (var attr in m.attributes) {
                  (attributes || (attributes = {}))[attr] = m.attributes[attr];
                }
              }
              if (m.collapsed && (!collapsed || compareCollapsedMarkers(collapsed.marker, m) < 0)) {
                collapsed = sp;
              }
            } else if (sp.from > pos && nextChange > sp.from) {
              nextChange = sp.from;
            }
          }
          if (endStyles) {
            for (var j$1 = 0; j$1 < endStyles.length; j$1 += 2) {
              if (endStyles[j$1 + 1] == nextChange) {
                spanEndStyle += " " + endStyles[j$1];
              }
            }
          }
          if (!collapsed || collapsed.from == pos) {
            for (var j$2 = 0; j$2 < foundBookmarks.length; ++j$2) {
              buildCollapsedSpan(builder, 0, foundBookmarks[j$2]);
            }
          }
          if (collapsed && (collapsed.from || 0) == pos) {
            buildCollapsedSpan(
              builder,
              (collapsed.to == null ? len + 1 : collapsed.to) - pos,
              collapsed.marker,
              collapsed.from == null
            );
            if (collapsed.to == null) {
              return;
            }
            if (collapsed.to == pos) {
              collapsed = false;
            }
          }
        }
        if (pos >= len) {
          break;
        }
        var upto = Math.min(len, nextChange);
        while (true) {
          if (text) {
            var end = pos + text.length;
            if (!collapsed) {
              var tokenText = end > upto ? text.slice(0, upto - pos) : text;
              builder.addToken(
                builder,
                tokenText,
                style ? style + spanStyle : spanStyle,
                spanStartStyle,
                pos + tokenText.length == nextChange ? spanEndStyle : "",
                css,
                attributes
              );
            }
            if (end >= upto) {
              text = text.slice(upto - pos);
              pos = upto;
              break;
            }
            pos = end;
            spanStartStyle = "";
          }
          text = allText.slice(at, at = styles2[i2++]);
          style = interpretTokenStyle(styles2[i2++], builder.cm.options);
        }
      }
    }
    function LineView(doc2, line, lineN) {
      this.line = line;
      this.rest = visualLineContinued(line);
      this.size = this.rest ? lineNo(lst(this.rest)) - lineN + 1 : 1;
      this.node = this.text = null;
      this.hidden = lineIsHidden(doc2, line);
    }
    function buildViewArray(cm, from, to) {
      var array = [], nextPos;
      for (var pos = from; pos < to; pos = nextPos) {
        var view = new LineView(cm.doc, getLine(cm.doc, pos), pos);
        nextPos = pos + view.size;
        array.push(view);
      }
      return array;
    }
    var operationGroup = null;
    function pushOperation(op) {
      if (operationGroup) {
        operationGroup.ops.push(op);
      } else {
        op.ownsGroup = operationGroup = {
          ops: [op],
          delayedCallbacks: []
        };
      }
    }
    function fireCallbacksForOps(group) {
      var callbacks = group.delayedCallbacks, i2 = 0;
      do {
        for (; i2 < callbacks.length; i2++) {
          callbacks[i2].call(null);
        }
        for (var j = 0; j < group.ops.length; j++) {
          var op = group.ops[j];
          if (op.cursorActivityHandlers) {
            while (op.cursorActivityCalled < op.cursorActivityHandlers.length) {
              op.cursorActivityHandlers[op.cursorActivityCalled++].call(null, op.cm);
            }
          }
        }
      } while (i2 < callbacks.length);
    }
    function finishOperation(op, endCb) {
      var group = op.ownsGroup;
      if (!group) {
        return;
      }
      try {
        fireCallbacksForOps(group);
      } finally {
        operationGroup = null;
        endCb(group);
      }
    }
    var orphanDelayedCallbacks = null;
    function signalLater(emitter, type) {
      var arr = getHandlers(emitter, type);
      if (!arr.length) {
        return;
      }
      var args = Array.prototype.slice.call(arguments, 2), list;
      if (operationGroup) {
        list = operationGroup.delayedCallbacks;
      } else if (orphanDelayedCallbacks) {
        list = orphanDelayedCallbacks;
      } else {
        list = orphanDelayedCallbacks = [];
        setTimeout(fireOrphanDelayed, 0);
      }
      var loop = function(i3) {
        list.push(function() {
          return arr[i3].apply(null, args);
        });
      };
      for (var i2 = 0; i2 < arr.length; ++i2)
        loop(i2);
    }
    function fireOrphanDelayed() {
      var delayed = orphanDelayedCallbacks;
      orphanDelayedCallbacks = null;
      for (var i2 = 0; i2 < delayed.length; ++i2) {
        delayed[i2]();
      }
    }
    function updateLineForChanges(cm, lineView, lineN, dims) {
      for (var j = 0; j < lineView.changes.length; j++) {
        var type = lineView.changes[j];
        if (type == "text") {
          updateLineText(cm, lineView);
        } else if (type == "gutter") {
          updateLineGutter(cm, lineView, lineN, dims);
        } else if (type == "class") {
          updateLineClasses(cm, lineView);
        } else if (type == "widget") {
          updateLineWidgets(cm, lineView, dims);
        }
      }
      lineView.changes = null;
    }
    function ensureLineWrapped(lineView) {
      if (lineView.node == lineView.text) {
        lineView.node = elt("div", null, null, "position: relative");
        if (lineView.text.parentNode) {
          lineView.text.parentNode.replaceChild(lineView.node, lineView.text);
        }
        lineView.node.appendChild(lineView.text);
        if (ie && ie_version < 8) {
          lineView.node.style.zIndex = 2;
        }
      }
      return lineView.node;
    }
    function updateLineBackground(cm, lineView) {
      var cls = lineView.bgClass ? lineView.bgClass + " " + (lineView.line.bgClass || "") : lineView.line.bgClass;
      if (cls) {
        cls += " CodeMirror-linebackground";
      }
      if (lineView.background) {
        if (cls) {
          lineView.background.className = cls;
        } else {
          lineView.background.parentNode.removeChild(lineView.background);
          lineView.background = null;
        }
      } else if (cls) {
        var wrap = ensureLineWrapped(lineView);
        lineView.background = wrap.insertBefore(elt("div", null, cls), wrap.firstChild);
        cm.display.input.setUneditable(lineView.background);
      }
    }
    function getLineContent(cm, lineView) {
      var ext = cm.display.externalMeasured;
      if (ext && ext.line == lineView.line) {
        cm.display.externalMeasured = null;
        lineView.measure = ext.measure;
        return ext.built;
      }
      return buildLineContent(cm, lineView);
    }
    function updateLineText(cm, lineView) {
      var cls = lineView.text.className;
      var built = getLineContent(cm, lineView);
      if (lineView.text == lineView.node) {
        lineView.node = built.pre;
      }
      lineView.text.parentNode.replaceChild(built.pre, lineView.text);
      lineView.text = built.pre;
      if (built.bgClass != lineView.bgClass || built.textClass != lineView.textClass) {
        lineView.bgClass = built.bgClass;
        lineView.textClass = built.textClass;
        updateLineClasses(cm, lineView);
      } else if (cls) {
        lineView.text.className = cls;
      }
    }
    function updateLineClasses(cm, lineView) {
      updateLineBackground(cm, lineView);
      if (lineView.line.wrapClass) {
        ensureLineWrapped(lineView).className = lineView.line.wrapClass;
      } else if (lineView.node != lineView.text) {
        lineView.node.className = "";
      }
      var textClass = lineView.textClass ? lineView.textClass + " " + (lineView.line.textClass || "") : lineView.line.textClass;
      lineView.text.className = textClass || "";
    }
    function updateLineGutter(cm, lineView, lineN, dims) {
      if (lineView.gutter) {
        lineView.node.removeChild(lineView.gutter);
        lineView.gutter = null;
      }
      if (lineView.gutterBackground) {
        lineView.node.removeChild(lineView.gutterBackground);
        lineView.gutterBackground = null;
      }
      if (lineView.line.gutterClass) {
        var wrap = ensureLineWrapped(lineView);
        lineView.gutterBackground = elt(
          "div",
          null,
          "CodeMirror-gutter-background " + lineView.line.gutterClass,
          "left: " + (cm.options.fixedGutter ? dims.fixedPos : -dims.gutterTotalWidth) + "px; width: " + dims.gutterTotalWidth + "px"
        );
        cm.display.input.setUneditable(lineView.gutterBackground);
        wrap.insertBefore(lineView.gutterBackground, lineView.text);
      }
      var markers = lineView.line.gutterMarkers;
      if (cm.options.lineNumbers || markers) {
        var wrap$1 = ensureLineWrapped(lineView);
        var gutterWrap = lineView.gutter = elt("div", null, "CodeMirror-gutter-wrapper", "left: " + (cm.options.fixedGutter ? dims.fixedPos : -dims.gutterTotalWidth) + "px");
        gutterWrap.setAttribute("aria-hidden", "true");
        cm.display.input.setUneditable(gutterWrap);
        wrap$1.insertBefore(gutterWrap, lineView.text);
        if (lineView.line.gutterClass) {
          gutterWrap.className += " " + lineView.line.gutterClass;
        }
        if (cm.options.lineNumbers && (!markers || !markers["CodeMirror-linenumbers"])) {
          lineView.lineNumber = gutterWrap.appendChild(
            elt(
              "div",
              lineNumberFor(cm.options, lineN),
              "CodeMirror-linenumber CodeMirror-gutter-elt",
              "left: " + dims.gutterLeft["CodeMirror-linenumbers"] + "px; width: " + cm.display.lineNumInnerWidth + "px"
            )
          );
        }
        if (markers) {
          for (var k = 0; k < cm.display.gutterSpecs.length; ++k) {
            var id = cm.display.gutterSpecs[k].className, found = markers.hasOwnProperty(id) && markers[id];
            if (found) {
              gutterWrap.appendChild(elt(
                "div",
                [found],
                "CodeMirror-gutter-elt",
                "left: " + dims.gutterLeft[id] + "px; width: " + dims.gutterWidth[id] + "px"
              ));
            }
          }
        }
      }
    }
    function updateLineWidgets(cm, lineView, dims) {
      if (lineView.alignable) {
        lineView.alignable = null;
      }
      var isWidget = classTest("CodeMirror-linewidget");
      for (var node = lineView.node.firstChild, next = void 0; node; node = next) {
        next = node.nextSibling;
        if (isWidget.test(node.className)) {
          lineView.node.removeChild(node);
        }
      }
      insertLineWidgets(cm, lineView, dims);
    }
    function buildLineElement(cm, lineView, lineN, dims) {
      var built = getLineContent(cm, lineView);
      lineView.text = lineView.node = built.pre;
      if (built.bgClass) {
        lineView.bgClass = built.bgClass;
      }
      if (built.textClass) {
        lineView.textClass = built.textClass;
      }
      updateLineClasses(cm, lineView);
      updateLineGutter(cm, lineView, lineN, dims);
      insertLineWidgets(cm, lineView, dims);
      return lineView.node;
    }
    function insertLineWidgets(cm, lineView, dims) {
      insertLineWidgetsFor(cm, lineView.line, lineView, dims, true);
      if (lineView.rest) {
        for (var i2 = 0; i2 < lineView.rest.length; i2++) {
          insertLineWidgetsFor(cm, lineView.rest[i2], lineView, dims, false);
        }
      }
    }
    function insertLineWidgetsFor(cm, line, lineView, dims, allowAbove) {
      if (!line.widgets) {
        return;
      }
      var wrap = ensureLineWrapped(lineView);
      for (var i2 = 0, ws = line.widgets; i2 < ws.length; ++i2) {
        var widget = ws[i2], node = elt("div", [widget.node], "CodeMirror-linewidget" + (widget.className ? " " + widget.className : ""));
        if (!widget.handleMouseEvents) {
          node.setAttribute("cm-ignore-events", "true");
        }
        positionLineWidget(widget, node, lineView, dims);
        cm.display.input.setUneditable(node);
        if (allowAbove && widget.above) {
          wrap.insertBefore(node, lineView.gutter || lineView.text);
        } else {
          wrap.appendChild(node);
        }
        signalLater(widget, "redraw");
      }
    }
    function positionLineWidget(widget, node, lineView, dims) {
      if (widget.noHScroll) {
        (lineView.alignable || (lineView.alignable = [])).push(node);
        var width = dims.wrapperWidth;
        node.style.left = dims.fixedPos + "px";
        if (!widget.coverGutter) {
          width -= dims.gutterTotalWidth;
          node.style.paddingLeft = dims.gutterTotalWidth + "px";
        }
        node.style.width = width + "px";
      }
      if (widget.coverGutter) {
        node.style.zIndex = 5;
        node.style.position = "relative";
        if (!widget.noHScroll) {
          node.style.marginLeft = -dims.gutterTotalWidth + "px";
        }
      }
    }
    function widgetHeight(widget) {
      if (widget.height != null) {
        return widget.height;
      }
      var cm = widget.doc.cm;
      if (!cm) {
        return 0;
      }
      if (!contains2(document.body, widget.node)) {
        var parentStyle = "position: relative;";
        if (widget.coverGutter) {
          parentStyle += "margin-left: -" + cm.display.gutters.offsetWidth + "px;";
        }
        if (widget.noHScroll) {
          parentStyle += "width: " + cm.display.wrapper.clientWidth + "px;";
        }
        removeChildrenAndAdd(cm.display.measure, elt("div", [widget.node], null, parentStyle));
      }
      return widget.height = widget.node.parentNode.offsetHeight;
    }
    function eventInWidget(display, e) {
      for (var n = e_target(e); n != display.wrapper; n = n.parentNode) {
        if (!n || n.nodeType == 1 && n.getAttribute("cm-ignore-events") == "true" || n.parentNode == display.sizer && n != display.mover) {
          return true;
        }
      }
    }
    function paddingTop(display) {
      return display.lineSpace.offsetTop;
    }
    function paddingVert(display) {
      return display.mover.offsetHeight - display.lineSpace.offsetHeight;
    }
    function paddingH(display) {
      if (display.cachedPaddingH) {
        return display.cachedPaddingH;
      }
      var e = removeChildrenAndAdd(display.measure, elt("pre", "x", "CodeMirror-line-like"));
      var style = window.getComputedStyle ? window.getComputedStyle(e) : e.currentStyle;
      var data = { left: parseInt(style.paddingLeft), right: parseInt(style.paddingRight) };
      if (!isNaN(data.left) && !isNaN(data.right)) {
        display.cachedPaddingH = data;
      }
      return data;
    }
    function scrollGap(cm) {
      return scrollerGap - cm.display.nativeBarWidth;
    }
    function displayWidth(cm) {
      return cm.display.scroller.clientWidth - scrollGap(cm) - cm.display.barWidth;
    }
    function displayHeight(cm) {
      return cm.display.scroller.clientHeight - scrollGap(cm) - cm.display.barHeight;
    }
    function ensureLineHeights(cm, lineView, rect) {
      var wrapping = cm.options.lineWrapping;
      var curWidth = wrapping && displayWidth(cm);
      if (!lineView.measure.heights || wrapping && lineView.measure.width != curWidth) {
        var heights = lineView.measure.heights = [];
        if (wrapping) {
          lineView.measure.width = curWidth;
          var rects = lineView.text.firstChild.getClientRects();
          for (var i2 = 0; i2 < rects.length - 1; i2++) {
            var cur = rects[i2], next = rects[i2 + 1];
            if (Math.abs(cur.bottom - next.bottom) > 2) {
              heights.push((cur.bottom + next.top) / 2 - rect.top);
            }
          }
        }
        heights.push(rect.bottom - rect.top);
      }
    }
    function mapFromLineView(lineView, line, lineN) {
      if (lineView.line == line) {
        return { map: lineView.measure.map, cache: lineView.measure.cache };
      }
      if (lineView.rest) {
        for (var i2 = 0; i2 < lineView.rest.length; i2++) {
          if (lineView.rest[i2] == line) {
            return { map: lineView.measure.maps[i2], cache: lineView.measure.caches[i2] };
          }
        }
        for (var i$12 = 0; i$12 < lineView.rest.length; i$12++) {
          if (lineNo(lineView.rest[i$12]) > lineN) {
            return { map: lineView.measure.maps[i$12], cache: lineView.measure.caches[i$12], before: true };
          }
        }
      }
    }
    function updateExternalMeasurement(cm, line) {
      line = visualLine(line);
      var lineN = lineNo(line);
      var view = cm.display.externalMeasured = new LineView(cm.doc, line, lineN);
      view.lineN = lineN;
      var built = view.built = buildLineContent(cm, view);
      view.text = built.pre;
      removeChildrenAndAdd(cm.display.lineMeasure, built.pre);
      return view;
    }
    function measureChar(cm, line, ch, bias) {
      return measureCharPrepared(cm, prepareMeasureForLine(cm, line), ch, bias);
    }
    function findViewForLine(cm, lineN) {
      if (lineN >= cm.display.viewFrom && lineN < cm.display.viewTo) {
        return cm.display.view[findViewIndex(cm, lineN)];
      }
      var ext = cm.display.externalMeasured;
      if (ext && lineN >= ext.lineN && lineN < ext.lineN + ext.size) {
        return ext;
      }
    }
    function prepareMeasureForLine(cm, line) {
      var lineN = lineNo(line);
      var view = findViewForLine(cm, lineN);
      if (view && !view.text) {
        view = null;
      } else if (view && view.changes) {
        updateLineForChanges(cm, view, lineN, getDimensions(cm));
        cm.curOp.forceUpdate = true;
      }
      if (!view) {
        view = updateExternalMeasurement(cm, line);
      }
      var info = mapFromLineView(view, line, lineN);
      return {
        line,
        view,
        rect: null,
        map: info.map,
        cache: info.cache,
        before: info.before,
        hasHeights: false
      };
    }
    function measureCharPrepared(cm, prepared, ch, bias, varHeight) {
      if (prepared.before) {
        ch = -1;
      }
      var key = ch + (bias || ""), found;
      if (prepared.cache.hasOwnProperty(key)) {
        found = prepared.cache[key];
      } else {
        if (!prepared.rect) {
          prepared.rect = prepared.view.text.getBoundingClientRect();
        }
        if (!prepared.hasHeights) {
          ensureLineHeights(cm, prepared.view, prepared.rect);
          prepared.hasHeights = true;
        }
        found = measureCharInner(cm, prepared, ch, bias);
        if (!found.bogus) {
          prepared.cache[key] = found;
        }
      }
      return {
        left: found.left,
        right: found.right,
        top: varHeight ? found.rtop : found.top,
        bottom: varHeight ? found.rbottom : found.bottom
      };
    }
    var nullRect = { left: 0, right: 0, top: 0, bottom: 0 };
    function nodeAndOffsetInLineMap(map3, ch, bias) {
      var node, start, end, collapse, mStart, mEnd;
      for (var i2 = 0; i2 < map3.length; i2 += 3) {
        mStart = map3[i2];
        mEnd = map3[i2 + 1];
        if (ch < mStart) {
          start = 0;
          end = 1;
          collapse = "left";
        } else if (ch < mEnd) {
          start = ch - mStart;
          end = start + 1;
        } else if (i2 == map3.length - 3 || ch == mEnd && map3[i2 + 3] > ch) {
          end = mEnd - mStart;
          start = end - 1;
          if (ch >= mEnd) {
            collapse = "right";
          }
        }
        if (start != null) {
          node = map3[i2 + 2];
          if (mStart == mEnd && bias == (node.insertLeft ? "left" : "right")) {
            collapse = bias;
          }
          if (bias == "left" && start == 0) {
            while (i2 && map3[i2 - 2] == map3[i2 - 3] && map3[i2 - 1].insertLeft) {
              node = map3[(i2 -= 3) + 2];
              collapse = "left";
            }
          }
          if (bias == "right" && start == mEnd - mStart) {
            while (i2 < map3.length - 3 && map3[i2 + 3] == map3[i2 + 4] && !map3[i2 + 5].insertLeft) {
              node = map3[(i2 += 3) + 2];
              collapse = "right";
            }
          }
          break;
        }
      }
      return { node, start, end, collapse, coverStart: mStart, coverEnd: mEnd };
    }
    function getUsefulRect(rects, bias) {
      var rect = nullRect;
      if (bias == "left") {
        for (var i2 = 0; i2 < rects.length; i2++) {
          if ((rect = rects[i2]).left != rect.right) {
            break;
          }
        }
      } else {
        for (var i$12 = rects.length - 1; i$12 >= 0; i$12--) {
          if ((rect = rects[i$12]).left != rect.right) {
            break;
          }
        }
      }
      return rect;
    }
    function measureCharInner(cm, prepared, ch, bias) {
      var place = nodeAndOffsetInLineMap(prepared.map, ch, bias);
      var node = place.node, start = place.start, end = place.end, collapse = place.collapse;
      var rect;
      if (node.nodeType == 3) {
        for (var i$12 = 0; i$12 < 4; i$12++) {
          while (start && isExtendingChar(prepared.line.text.charAt(place.coverStart + start))) {
            --start;
          }
          while (place.coverStart + end < place.coverEnd && isExtendingChar(prepared.line.text.charAt(place.coverStart + end))) {
            ++end;
          }
          if (ie && ie_version < 9 && start == 0 && end == place.coverEnd - place.coverStart) {
            rect = node.parentNode.getBoundingClientRect();
          } else {
            rect = getUsefulRect(range2(node, start, end).getClientRects(), bias);
          }
          if (rect.left || rect.right || start == 0) {
            break;
          }
          end = start;
          start = start - 1;
          collapse = "right";
        }
        if (ie && ie_version < 11) {
          rect = maybeUpdateRectForZooming(cm.display.measure, rect);
        }
      } else {
        if (start > 0) {
          collapse = bias = "right";
        }
        var rects;
        if (cm.options.lineWrapping && (rects = node.getClientRects()).length > 1) {
          rect = rects[bias == "right" ? rects.length - 1 : 0];
        } else {
          rect = node.getBoundingClientRect();
        }
      }
      if (ie && ie_version < 9 && !start && (!rect || !rect.left && !rect.right)) {
        var rSpan = node.parentNode.getClientRects()[0];
        if (rSpan) {
          rect = { left: rSpan.left, right: rSpan.left + charWidth(cm.display), top: rSpan.top, bottom: rSpan.bottom };
        } else {
          rect = nullRect;
        }
      }
      var rtop = rect.top - prepared.rect.top, rbot = rect.bottom - prepared.rect.top;
      var mid = (rtop + rbot) / 2;
      var heights = prepared.view.measure.heights;
      var i2 = 0;
      for (; i2 < heights.length - 1; i2++) {
        if (mid < heights[i2]) {
          break;
        }
      }
      var top = i2 ? heights[i2 - 1] : 0, bot = heights[i2];
      var result = {
        left: (collapse == "right" ? rect.right : rect.left) - prepared.rect.left,
        right: (collapse == "left" ? rect.left : rect.right) - prepared.rect.left,
        top,
        bottom: bot
      };
      if (!rect.left && !rect.right) {
        result.bogus = true;
      }
      if (!cm.options.singleCursorHeightPerLine) {
        result.rtop = rtop;
        result.rbottom = rbot;
      }
      return result;
    }
    function maybeUpdateRectForZooming(measure, rect) {
      if (!window.screen || screen.logicalXDPI == null || screen.logicalXDPI == screen.deviceXDPI || !hasBadZoomedRects(measure)) {
        return rect;
      }
      var scaleX = screen.logicalXDPI / screen.deviceXDPI;
      var scaleY = screen.logicalYDPI / screen.deviceYDPI;
      return {
        left: rect.left * scaleX,
        right: rect.right * scaleX,
        top: rect.top * scaleY,
        bottom: rect.bottom * scaleY
      };
    }
    function clearLineMeasurementCacheFor(lineView) {
      if (lineView.measure) {
        lineView.measure.cache = {};
        lineView.measure.heights = null;
        if (lineView.rest) {
          for (var i2 = 0; i2 < lineView.rest.length; i2++) {
            lineView.measure.caches[i2] = {};
          }
        }
      }
    }
    function clearLineMeasurementCache(cm) {
      cm.display.externalMeasure = null;
      removeChildren(cm.display.lineMeasure);
      for (var i2 = 0; i2 < cm.display.view.length; i2++) {
        clearLineMeasurementCacheFor(cm.display.view[i2]);
      }
    }
    function clearCaches(cm) {
      clearLineMeasurementCache(cm);
      cm.display.cachedCharWidth = cm.display.cachedTextHeight = cm.display.cachedPaddingH = null;
      if (!cm.options.lineWrapping) {
        cm.display.maxLineChanged = true;
      }
      cm.display.lineNumChars = null;
    }
    function pageScrollX() {
      if (chrome && android) {
        return -(document.body.getBoundingClientRect().left - parseInt(getComputedStyle(document.body).marginLeft));
      }
      return window.pageXOffset || (document.documentElement || document.body).scrollLeft;
    }
    function pageScrollY() {
      if (chrome && android) {
        return -(document.body.getBoundingClientRect().top - parseInt(getComputedStyle(document.body).marginTop));
      }
      return window.pageYOffset || (document.documentElement || document.body).scrollTop;
    }
    function widgetTopHeight(lineObj) {
      var ref2 = visualLine(lineObj);
      var widgets = ref2.widgets;
      var height = 0;
      if (widgets) {
        for (var i2 = 0; i2 < widgets.length; ++i2) {
          if (widgets[i2].above) {
            height += widgetHeight(widgets[i2]);
          }
        }
      }
      return height;
    }
    function intoCoordSystem(cm, lineObj, rect, context, includeWidgets) {
      if (!includeWidgets) {
        var height = widgetTopHeight(lineObj);
        rect.top += height;
        rect.bottom += height;
      }
      if (context == "line") {
        return rect;
      }
      if (!context) {
        context = "local";
      }
      var yOff = heightAtLine(lineObj);
      if (context == "local") {
        yOff += paddingTop(cm.display);
      } else {
        yOff -= cm.display.viewOffset;
      }
      if (context == "page" || context == "window") {
        var lOff = cm.display.lineSpace.getBoundingClientRect();
        yOff += lOff.top + (context == "window" ? 0 : pageScrollY());
        var xOff = lOff.left + (context == "window" ? 0 : pageScrollX());
        rect.left += xOff;
        rect.right += xOff;
      }
      rect.top += yOff;
      rect.bottom += yOff;
      return rect;
    }
    function fromCoordSystem(cm, coords, context) {
      if (context == "div") {
        return coords;
      }
      var left = coords.left, top = coords.top;
      if (context == "page") {
        left -= pageScrollX();
        top -= pageScrollY();
      } else if (context == "local" || !context) {
        var localBox = cm.display.sizer.getBoundingClientRect();
        left += localBox.left;
        top += localBox.top;
      }
      var lineSpaceBox = cm.display.lineSpace.getBoundingClientRect();
      return { left: left - lineSpaceBox.left, top: top - lineSpaceBox.top };
    }
    function charCoords(cm, pos, context, lineObj, bias) {
      if (!lineObj) {
        lineObj = getLine(cm.doc, pos.line);
      }
      return intoCoordSystem(cm, lineObj, measureChar(cm, lineObj, pos.ch, bias), context);
    }
    function cursorCoords(cm, pos, context, lineObj, preparedMeasure, varHeight) {
      lineObj = lineObj || getLine(cm.doc, pos.line);
      if (!preparedMeasure) {
        preparedMeasure = prepareMeasureForLine(cm, lineObj);
      }
      function get2(ch2, right) {
        var m = measureCharPrepared(cm, preparedMeasure, ch2, right ? "right" : "left", varHeight);
        if (right) {
          m.left = m.right;
        } else {
          m.right = m.left;
        }
        return intoCoordSystem(cm, lineObj, m, context);
      }
      var order = getOrder(lineObj, cm.doc.direction), ch = pos.ch, sticky = pos.sticky;
      if (ch >= lineObj.text.length) {
        ch = lineObj.text.length;
        sticky = "before";
      } else if (ch <= 0) {
        ch = 0;
        sticky = "after";
      }
      if (!order) {
        return get2(sticky == "before" ? ch - 1 : ch, sticky == "before");
      }
      function getBidi(ch2, partPos2, invert) {
        var part = order[partPos2], right = part.level == 1;
        return get2(invert ? ch2 - 1 : ch2, right != invert);
      }
      var partPos = getBidiPartAt(order, ch, sticky);
      var other = bidiOther;
      var val = getBidi(ch, partPos, sticky == "before");
      if (other != null) {
        val.other = getBidi(ch, other, sticky != "before");
      }
      return val;
    }
    function estimateCoords(cm, pos) {
      var left = 0;
      pos = clipPos(cm.doc, pos);
      if (!cm.options.lineWrapping) {
        left = charWidth(cm.display) * pos.ch;
      }
      var lineObj = getLine(cm.doc, pos.line);
      var top = heightAtLine(lineObj) + paddingTop(cm.display);
      return { left, right: left, top, bottom: top + lineObj.height };
    }
    function PosWithInfo(line, ch, sticky, outside, xRel) {
      var pos = Pos(line, ch, sticky);
      pos.xRel = xRel;
      if (outside) {
        pos.outside = outside;
      }
      return pos;
    }
    function coordsChar(cm, x, y) {
      var doc2 = cm.doc;
      y += cm.display.viewOffset;
      if (y < 0) {
        return PosWithInfo(doc2.first, 0, null, -1, -1);
      }
      var lineN = lineAtHeight(doc2, y), last = doc2.first + doc2.size - 1;
      if (lineN > last) {
        return PosWithInfo(doc2.first + doc2.size - 1, getLine(doc2, last).text.length, null, 1, 1);
      }
      if (x < 0) {
        x = 0;
      }
      var lineObj = getLine(doc2, lineN);
      for (; ; ) {
        var found = coordsCharInner(cm, lineObj, lineN, x, y);
        var collapsed = collapsedSpanAround(lineObj, found.ch + (found.xRel > 0 || found.outside > 0 ? 1 : 0));
        if (!collapsed) {
          return found;
        }
        var rangeEnd = collapsed.find(1);
        if (rangeEnd.line == lineN) {
          return rangeEnd;
        }
        lineObj = getLine(doc2, lineN = rangeEnd.line);
      }
    }
    function wrappedLineExtent(cm, lineObj, preparedMeasure, y) {
      y -= widgetTopHeight(lineObj);
      var end = lineObj.text.length;
      var begin = findFirst(function(ch) {
        return measureCharPrepared(cm, preparedMeasure, ch - 1).bottom <= y;
      }, end, 0);
      end = findFirst(function(ch) {
        return measureCharPrepared(cm, preparedMeasure, ch).top > y;
      }, begin, end);
      return { begin, end };
    }
    function wrappedLineExtentChar(cm, lineObj, preparedMeasure, target) {
      if (!preparedMeasure) {
        preparedMeasure = prepareMeasureForLine(cm, lineObj);
      }
      var targetTop = intoCoordSystem(cm, lineObj, measureCharPrepared(cm, preparedMeasure, target), "line").top;
      return wrappedLineExtent(cm, lineObj, preparedMeasure, targetTop);
    }
    function boxIsAfter(box, x, y, left) {
      return box.bottom <= y ? false : box.top > y ? true : (left ? box.left : box.right) > x;
    }
    function coordsCharInner(cm, lineObj, lineNo2, x, y) {
      y -= heightAtLine(lineObj);
      var preparedMeasure = prepareMeasureForLine(cm, lineObj);
      var widgetHeight2 = widgetTopHeight(lineObj);
      var begin = 0, end = lineObj.text.length, ltr = true;
      var order = getOrder(lineObj, cm.doc.direction);
      if (order) {
        var part = (cm.options.lineWrapping ? coordsBidiPartWrapped : coordsBidiPart)(cm, lineObj, lineNo2, preparedMeasure, order, x, y);
        ltr = part.level != 1;
        begin = ltr ? part.from : part.to - 1;
        end = ltr ? part.to : part.from - 1;
      }
      var chAround = null, boxAround = null;
      var ch = findFirst(function(ch2) {
        var box = measureCharPrepared(cm, preparedMeasure, ch2);
        box.top += widgetHeight2;
        box.bottom += widgetHeight2;
        if (!boxIsAfter(box, x, y, false)) {
          return false;
        }
        if (box.top <= y && box.left <= x) {
          chAround = ch2;
          boxAround = box;
        }
        return true;
      }, begin, end);
      var baseX, sticky, outside = false;
      if (boxAround) {
        var atLeft = x - boxAround.left < boxAround.right - x, atStart = atLeft == ltr;
        ch = chAround + (atStart ? 0 : 1);
        sticky = atStart ? "after" : "before";
        baseX = atLeft ? boxAround.left : boxAround.right;
      } else {
        if (!ltr && (ch == end || ch == begin)) {
          ch++;
        }
        sticky = ch == 0 ? "after" : ch == lineObj.text.length ? "before" : measureCharPrepared(cm, preparedMeasure, ch - (ltr ? 1 : 0)).bottom + widgetHeight2 <= y == ltr ? "after" : "before";
        var coords = cursorCoords(cm, Pos(lineNo2, ch, sticky), "line", lineObj, preparedMeasure);
        baseX = coords.left;
        outside = y < coords.top ? -1 : y >= coords.bottom ? 1 : 0;
      }
      ch = skipExtendingChars(lineObj.text, ch, 1);
      return PosWithInfo(lineNo2, ch, sticky, outside, x - baseX);
    }
    function coordsBidiPart(cm, lineObj, lineNo2, preparedMeasure, order, x, y) {
      var index = findFirst(function(i2) {
        var part2 = order[i2], ltr2 = part2.level != 1;
        return boxIsAfter(cursorCoords(
          cm,
          Pos(lineNo2, ltr2 ? part2.to : part2.from, ltr2 ? "before" : "after"),
          "line",
          lineObj,
          preparedMeasure
        ), x, y, true);
      }, 0, order.length - 1);
      var part = order[index];
      if (index > 0) {
        var ltr = part.level != 1;
        var start = cursorCoords(
          cm,
          Pos(lineNo2, ltr ? part.from : part.to, ltr ? "after" : "before"),
          "line",
          lineObj,
          preparedMeasure
        );
        if (boxIsAfter(start, x, y, true) && start.top > y) {
          part = order[index - 1];
        }
      }
      return part;
    }
    function coordsBidiPartWrapped(cm, lineObj, _lineNo, preparedMeasure, order, x, y) {
      var ref2 = wrappedLineExtent(cm, lineObj, preparedMeasure, y);
      var begin = ref2.begin;
      var end = ref2.end;
      if (/\s/.test(lineObj.text.charAt(end - 1))) {
        end--;
      }
      var part = null, closestDist = null;
      for (var i2 = 0; i2 < order.length; i2++) {
        var p = order[i2];
        if (p.from >= end || p.to <= begin) {
          continue;
        }
        var ltr = p.level != 1;
        var endX = measureCharPrepared(cm, preparedMeasure, ltr ? Math.min(end, p.to) - 1 : Math.max(begin, p.from)).right;
        var dist = endX < x ? x - endX + 1e9 : endX - x;
        if (!part || closestDist > dist) {
          part = p;
          closestDist = dist;
        }
      }
      if (!part) {
        part = order[order.length - 1];
      }
      if (part.from < begin) {
        part = { from: begin, to: part.to, level: part.level };
      }
      if (part.to > end) {
        part = { from: part.from, to: end, level: part.level };
      }
      return part;
    }
    var measureText;
    function textHeight(display) {
      if (display.cachedTextHeight != null) {
        return display.cachedTextHeight;
      }
      if (measureText == null) {
        measureText = elt("pre", null, "CodeMirror-line-like");
        for (var i2 = 0; i2 < 49; ++i2) {
          measureText.appendChild(document.createTextNode("x"));
          measureText.appendChild(elt("br"));
        }
        measureText.appendChild(document.createTextNode("x"));
      }
      removeChildrenAndAdd(display.measure, measureText);
      var height = measureText.offsetHeight / 50;
      if (height > 3) {
        display.cachedTextHeight = height;
      }
      removeChildren(display.measure);
      return height || 1;
    }
    function charWidth(display) {
      if (display.cachedCharWidth != null) {
        return display.cachedCharWidth;
      }
      var anchor = elt("span", "xxxxxxxxxx");
      var pre = elt("pre", [anchor], "CodeMirror-line-like");
      removeChildrenAndAdd(display.measure, pre);
      var rect = anchor.getBoundingClientRect(), width = (rect.right - rect.left) / 10;
      if (width > 2) {
        display.cachedCharWidth = width;
      }
      return width || 10;
    }
    function getDimensions(cm) {
      var d = cm.display, left = {}, width = {};
      var gutterLeft = d.gutters.clientLeft;
      for (var n = d.gutters.firstChild, i2 = 0; n; n = n.nextSibling, ++i2) {
        var id = cm.display.gutterSpecs[i2].className;
        left[id] = n.offsetLeft + n.clientLeft + gutterLeft;
        width[id] = n.clientWidth;
      }
      return {
        fixedPos: compensateForHScroll(d),
        gutterTotalWidth: d.gutters.offsetWidth,
        gutterLeft: left,
        gutterWidth: width,
        wrapperWidth: d.wrapper.clientWidth
      };
    }
    function compensateForHScroll(display) {
      return display.scroller.getBoundingClientRect().left - display.sizer.getBoundingClientRect().left;
    }
    function estimateHeight(cm) {
      var th = textHeight(cm.display), wrapping = cm.options.lineWrapping;
      var perLine = wrapping && Math.max(5, cm.display.scroller.clientWidth / charWidth(cm.display) - 3);
      return function(line) {
        if (lineIsHidden(cm.doc, line)) {
          return 0;
        }
        var widgetsHeight = 0;
        if (line.widgets) {
          for (var i2 = 0; i2 < line.widgets.length; i2++) {
            if (line.widgets[i2].height) {
              widgetsHeight += line.widgets[i2].height;
            }
          }
        }
        if (wrapping) {
          return widgetsHeight + (Math.ceil(line.text.length / perLine) || 1) * th;
        } else {
          return widgetsHeight + th;
        }
      };
    }
    function estimateLineHeights(cm) {
      var doc2 = cm.doc, est = estimateHeight(cm);
      doc2.iter(function(line) {
        var estHeight = est(line);
        if (estHeight != line.height) {
          updateLineHeight(line, estHeight);
        }
      });
    }
    function posFromMouse(cm, e, liberal, forRect) {
      var display = cm.display;
      if (!liberal && e_target(e).getAttribute("cm-not-content") == "true") {
        return null;
      }
      var x, y, space = display.lineSpace.getBoundingClientRect();
      try {
        x = e.clientX - space.left;
        y = e.clientY - space.top;
      } catch (e$1) {
        return null;
      }
      var coords = coordsChar(cm, x, y), line;
      if (forRect && coords.xRel > 0 && (line = getLine(cm.doc, coords.line).text).length == coords.ch) {
        var colDiff = countColumn(line, line.length, cm.options.tabSize) - line.length;
        coords = Pos(coords.line, Math.max(0, Math.round((x - paddingH(cm.display).left) / charWidth(cm.display)) - colDiff));
      }
      return coords;
    }
    function findViewIndex(cm, n) {
      if (n >= cm.display.viewTo) {
        return null;
      }
      n -= cm.display.viewFrom;
      if (n < 0) {
        return null;
      }
      var view = cm.display.view;
      for (var i2 = 0; i2 < view.length; i2++) {
        n -= view[i2].size;
        if (n < 0) {
          return i2;
        }
      }
    }
    function regChange(cm, from, to, lendiff) {
      if (from == null) {
        from = cm.doc.first;
      }
      if (to == null) {
        to = cm.doc.first + cm.doc.size;
      }
      if (!lendiff) {
        lendiff = 0;
      }
      var display = cm.display;
      if (lendiff && to < display.viewTo && (display.updateLineNumbers == null || display.updateLineNumbers > from)) {
        display.updateLineNumbers = from;
      }
      cm.curOp.viewChanged = true;
      if (from >= display.viewTo) {
        if (sawCollapsedSpans && visualLineNo(cm.doc, from) < display.viewTo) {
          resetView(cm);
        }
      } else if (to <= display.viewFrom) {
        if (sawCollapsedSpans && visualLineEndNo(cm.doc, to + lendiff) > display.viewFrom) {
          resetView(cm);
        } else {
          display.viewFrom += lendiff;
          display.viewTo += lendiff;
        }
      } else if (from <= display.viewFrom && to >= display.viewTo) {
        resetView(cm);
      } else if (from <= display.viewFrom) {
        var cut = viewCuttingPoint(cm, to, to + lendiff, 1);
        if (cut) {
          display.view = display.view.slice(cut.index);
          display.viewFrom = cut.lineN;
          display.viewTo += lendiff;
        } else {
          resetView(cm);
        }
      } else if (to >= display.viewTo) {
        var cut$1 = viewCuttingPoint(cm, from, from, -1);
        if (cut$1) {
          display.view = display.view.slice(0, cut$1.index);
          display.viewTo = cut$1.lineN;
        } else {
          resetView(cm);
        }
      } else {
        var cutTop = viewCuttingPoint(cm, from, from, -1);
        var cutBot = viewCuttingPoint(cm, to, to + lendiff, 1);
        if (cutTop && cutBot) {
          display.view = display.view.slice(0, cutTop.index).concat(buildViewArray(cm, cutTop.lineN, cutBot.lineN)).concat(display.view.slice(cutBot.index));
          display.viewTo += lendiff;
        } else {
          resetView(cm);
        }
      }
      var ext = display.externalMeasured;
      if (ext) {
        if (to < ext.lineN) {
          ext.lineN += lendiff;
        } else if (from < ext.lineN + ext.size) {
          display.externalMeasured = null;
        }
      }
    }
    function regLineChange(cm, line, type) {
      cm.curOp.viewChanged = true;
      var display = cm.display, ext = cm.display.externalMeasured;
      if (ext && line >= ext.lineN && line < ext.lineN + ext.size) {
        display.externalMeasured = null;
      }
      if (line < display.viewFrom || line >= display.viewTo) {
        return;
      }
      var lineView = display.view[findViewIndex(cm, line)];
      if (lineView.node == null) {
        return;
      }
      var arr = lineView.changes || (lineView.changes = []);
      if (indexOf(arr, type) == -1) {
        arr.push(type);
      }
    }
    function resetView(cm) {
      cm.display.viewFrom = cm.display.viewTo = cm.doc.first;
      cm.display.view = [];
      cm.display.viewOffset = 0;
    }
    function viewCuttingPoint(cm, oldN, newN, dir) {
      var index = findViewIndex(cm, oldN), diff, view = cm.display.view;
      if (!sawCollapsedSpans || newN == cm.doc.first + cm.doc.size) {
        return { index, lineN: newN };
      }
      var n = cm.display.viewFrom;
      for (var i2 = 0; i2 < index; i2++) {
        n += view[i2].size;
      }
      if (n != oldN) {
        if (dir > 0) {
          if (index == view.length - 1) {
            return null;
          }
          diff = n + view[index].size - oldN;
          index++;
        } else {
          diff = n - oldN;
        }
        oldN += diff;
        newN += diff;
      }
      while (visualLineNo(cm.doc, newN) != newN) {
        if (index == (dir < 0 ? 0 : view.length - 1)) {
          return null;
        }
        newN += dir * view[index - (dir < 0 ? 1 : 0)].size;
        index += dir;
      }
      return { index, lineN: newN };
    }
    function adjustView(cm, from, to) {
      var display = cm.display, view = display.view;
      if (view.length == 0 || from >= display.viewTo || to <= display.viewFrom) {
        display.view = buildViewArray(cm, from, to);
        display.viewFrom = from;
      } else {
        if (display.viewFrom > from) {
          display.view = buildViewArray(cm, from, display.viewFrom).concat(display.view);
        } else if (display.viewFrom < from) {
          display.view = display.view.slice(findViewIndex(cm, from));
        }
        display.viewFrom = from;
        if (display.viewTo < to) {
          display.view = display.view.concat(buildViewArray(cm, display.viewTo, to));
        } else if (display.viewTo > to) {
          display.view = display.view.slice(0, findViewIndex(cm, to));
        }
      }
      display.viewTo = to;
    }
    function countDirtyView(cm) {
      var view = cm.display.view, dirty = 0;
      for (var i2 = 0; i2 < view.length; i2++) {
        var lineView = view[i2];
        if (!lineView.hidden && (!lineView.node || lineView.changes)) {
          ++dirty;
        }
      }
      return dirty;
    }
    function updateSelection(cm) {
      cm.display.input.showSelection(cm.display.input.prepareSelection());
    }
    function prepareSelection(cm, primary) {
      if (primary === void 0)
        primary = true;
      var doc2 = cm.doc, result = {};
      var curFragment = result.cursors = document.createDocumentFragment();
      var selFragment = result.selection = document.createDocumentFragment();
      var customCursor = cm.options.$customCursor;
      if (customCursor) {
        primary = true;
      }
      for (var i2 = 0; i2 < doc2.sel.ranges.length; i2++) {
        if (!primary && i2 == doc2.sel.primIndex) {
          continue;
        }
        var range3 = doc2.sel.ranges[i2];
        if (range3.from().line >= cm.display.viewTo || range3.to().line < cm.display.viewFrom) {
          continue;
        }
        var collapsed = range3.empty();
        if (customCursor) {
          var head = customCursor(cm, range3);
          if (head) {
            drawSelectionCursor(cm, head, curFragment);
          }
        } else if (collapsed || cm.options.showCursorWhenSelecting) {
          drawSelectionCursor(cm, range3.head, curFragment);
        }
        if (!collapsed) {
          drawSelectionRange(cm, range3, selFragment);
        }
      }
      return result;
    }
    function drawSelectionCursor(cm, head, output) {
      var pos = cursorCoords(cm, head, "div", null, null, !cm.options.singleCursorHeightPerLine);
      var cursor = output.appendChild(elt("div", "\xA0", "CodeMirror-cursor"));
      cursor.style.left = pos.left + "px";
      cursor.style.top = pos.top + "px";
      cursor.style.height = Math.max(0, pos.bottom - pos.top) * cm.options.cursorHeight + "px";
      if (/\bcm-fat-cursor\b/.test(cm.getWrapperElement().className)) {
        var charPos = charCoords(cm, head, "div", null, null);
        var width = charPos.right - charPos.left;
        cursor.style.width = (width > 0 ? width : cm.defaultCharWidth()) + "px";
      }
      if (pos.other) {
        var otherCursor = output.appendChild(elt("div", "\xA0", "CodeMirror-cursor CodeMirror-secondarycursor"));
        otherCursor.style.display = "";
        otherCursor.style.left = pos.other.left + "px";
        otherCursor.style.top = pos.other.top + "px";
        otherCursor.style.height = (pos.other.bottom - pos.other.top) * 0.85 + "px";
      }
    }
    function cmpCoords(a, b) {
      return a.top - b.top || a.left - b.left;
    }
    function drawSelectionRange(cm, range3, output) {
      var display = cm.display, doc2 = cm.doc;
      var fragment = document.createDocumentFragment();
      var padding = paddingH(cm.display), leftSide = padding.left;
      var rightSide = Math.max(display.sizerWidth, displayWidth(cm) - display.sizer.offsetLeft) - padding.right;
      var docLTR = doc2.direction == "ltr";
      function add(left, top, width, bottom) {
        if (top < 0) {
          top = 0;
        }
        top = Math.round(top);
        bottom = Math.round(bottom);
        fragment.appendChild(elt("div", null, "CodeMirror-selected", "position: absolute; left: " + left + "px;\n                             top: " + top + "px; width: " + (width == null ? rightSide - left : width) + "px;\n                             height: " + (bottom - top) + "px"));
      }
      function drawForLine(line, fromArg, toArg) {
        var lineObj = getLine(doc2, line);
        var lineLen = lineObj.text.length;
        var start, end;
        function coords(ch, bias) {
          return charCoords(cm, Pos(line, ch), "div", lineObj, bias);
        }
        function wrapX(pos, dir, side) {
          var extent = wrappedLineExtentChar(cm, lineObj, null, pos);
          var prop2 = dir == "ltr" == (side == "after") ? "left" : "right";
          var ch = side == "after" ? extent.begin : extent.end - (/\s/.test(lineObj.text.charAt(extent.end - 1)) ? 2 : 1);
          return coords(ch, prop2)[prop2];
        }
        var order = getOrder(lineObj, doc2.direction);
        iterateBidiSections(order, fromArg || 0, toArg == null ? lineLen : toArg, function(from, to, dir, i2) {
          var ltr = dir == "ltr";
          var fromPos = coords(from, ltr ? "left" : "right");
          var toPos = coords(to - 1, ltr ? "right" : "left");
          var openStart = fromArg == null && from == 0, openEnd = toArg == null && to == lineLen;
          var first = i2 == 0, last = !order || i2 == order.length - 1;
          if (toPos.top - fromPos.top <= 3) {
            var openLeft = (docLTR ? openStart : openEnd) && first;
            var openRight = (docLTR ? openEnd : openStart) && last;
            var left = openLeft ? leftSide : (ltr ? fromPos : toPos).left;
            var right = openRight ? rightSide : (ltr ? toPos : fromPos).right;
            add(left, fromPos.top, right - left, fromPos.bottom);
          } else {
            var topLeft, topRight, botLeft, botRight;
            if (ltr) {
              topLeft = docLTR && openStart && first ? leftSide : fromPos.left;
              topRight = docLTR ? rightSide : wrapX(from, dir, "before");
              botLeft = docLTR ? leftSide : wrapX(to, dir, "after");
              botRight = docLTR && openEnd && last ? rightSide : toPos.right;
            } else {
              topLeft = !docLTR ? leftSide : wrapX(from, dir, "before");
              topRight = !docLTR && openStart && first ? rightSide : fromPos.right;
              botLeft = !docLTR && openEnd && last ? leftSide : toPos.left;
              botRight = !docLTR ? rightSide : wrapX(to, dir, "after");
            }
            add(topLeft, fromPos.top, topRight - topLeft, fromPos.bottom);
            if (fromPos.bottom < toPos.top) {
              add(leftSide, fromPos.bottom, null, toPos.top);
            }
            add(botLeft, toPos.top, botRight - botLeft, toPos.bottom);
          }
          if (!start || cmpCoords(fromPos, start) < 0) {
            start = fromPos;
          }
          if (cmpCoords(toPos, start) < 0) {
            start = toPos;
          }
          if (!end || cmpCoords(fromPos, end) < 0) {
            end = fromPos;
          }
          if (cmpCoords(toPos, end) < 0) {
            end = toPos;
          }
        });
        return { start, end };
      }
      var sFrom = range3.from(), sTo = range3.to();
      if (sFrom.line == sTo.line) {
        drawForLine(sFrom.line, sFrom.ch, sTo.ch);
      } else {
        var fromLine = getLine(doc2, sFrom.line), toLine = getLine(doc2, sTo.line);
        var singleVLine = visualLine(fromLine) == visualLine(toLine);
        var leftEnd = drawForLine(sFrom.line, sFrom.ch, singleVLine ? fromLine.text.length + 1 : null).end;
        var rightStart = drawForLine(sTo.line, singleVLine ? 0 : null, sTo.ch).start;
        if (singleVLine) {
          if (leftEnd.top < rightStart.top - 2) {
            add(leftEnd.right, leftEnd.top, null, leftEnd.bottom);
            add(leftSide, rightStart.top, rightStart.left, rightStart.bottom);
          } else {
            add(leftEnd.right, leftEnd.top, rightStart.left - leftEnd.right, leftEnd.bottom);
          }
        }
        if (leftEnd.bottom < rightStart.top) {
          add(leftSide, leftEnd.bottom, null, rightStart.top);
        }
      }
      output.appendChild(fragment);
    }
    function restartBlink(cm) {
      if (!cm.state.focused) {
        return;
      }
      var display = cm.display;
      clearInterval(display.blinker);
      var on2 = true;
      display.cursorDiv.style.visibility = "";
      if (cm.options.cursorBlinkRate > 0) {
        display.blinker = setInterval(function() {
          if (!cm.hasFocus()) {
            onBlur(cm);
          }
          display.cursorDiv.style.visibility = (on2 = !on2) ? "" : "hidden";
        }, cm.options.cursorBlinkRate);
      } else if (cm.options.cursorBlinkRate < 0) {
        display.cursorDiv.style.visibility = "hidden";
      }
    }
    function ensureFocus(cm) {
      if (!cm.hasFocus()) {
        cm.display.input.focus();
        if (!cm.state.focused) {
          onFocus(cm);
        }
      }
    }
    function delayBlurEvent(cm) {
      cm.state.delayingBlurEvent = true;
      setTimeout(function() {
        if (cm.state.delayingBlurEvent) {
          cm.state.delayingBlurEvent = false;
          if (cm.state.focused) {
            onBlur(cm);
          }
        }
      }, 100);
    }
    function onFocus(cm, e) {
      if (cm.state.delayingBlurEvent && !cm.state.draggingText) {
        cm.state.delayingBlurEvent = false;
      }
      if (cm.options.readOnly == "nocursor") {
        return;
      }
      if (!cm.state.focused) {
        signal(cm, "focus", cm, e);
        cm.state.focused = true;
        addClass(cm.display.wrapper, "CodeMirror-focused");
        if (!cm.curOp && cm.display.selForContextMenu != cm.doc.sel) {
          cm.display.input.reset();
          if (webkit) {
            setTimeout(function() {
              return cm.display.input.reset(true);
            }, 20);
          }
        }
        cm.display.input.receivedFocus();
      }
      restartBlink(cm);
    }
    function onBlur(cm, e) {
      if (cm.state.delayingBlurEvent) {
        return;
      }
      if (cm.state.focused) {
        signal(cm, "blur", cm, e);
        cm.state.focused = false;
        rmClass(cm.display.wrapper, "CodeMirror-focused");
      }
      clearInterval(cm.display.blinker);
      setTimeout(function() {
        if (!cm.state.focused) {
          cm.display.shift = false;
        }
      }, 150);
    }
    function updateHeightsInViewport(cm) {
      var display = cm.display;
      var prevBottom = display.lineDiv.offsetTop;
      var viewTop = Math.max(0, display.scroller.getBoundingClientRect().top);
      var oldHeight = display.lineDiv.getBoundingClientRect().top;
      var mustScroll = 0;
      for (var i2 = 0; i2 < display.view.length; i2++) {
        var cur = display.view[i2], wrapping = cm.options.lineWrapping;
        var height = void 0, width = 0;
        if (cur.hidden) {
          continue;
        }
        oldHeight += cur.line.height;
        if (ie && ie_version < 8) {
          var bot = cur.node.offsetTop + cur.node.offsetHeight;
          height = bot - prevBottom;
          prevBottom = bot;
        } else {
          var box = cur.node.getBoundingClientRect();
          height = box.bottom - box.top;
          if (!wrapping && cur.text.firstChild) {
            width = cur.text.firstChild.getBoundingClientRect().right - box.left - 1;
          }
        }
        var diff = cur.line.height - height;
        if (diff > 5e-3 || diff < -5e-3) {
          if (oldHeight < viewTop) {
            mustScroll -= diff;
          }
          updateLineHeight(cur.line, height);
          updateWidgetHeight(cur.line);
          if (cur.rest) {
            for (var j = 0; j < cur.rest.length; j++) {
              updateWidgetHeight(cur.rest[j]);
            }
          }
        }
        if (width > cm.display.sizerWidth) {
          var chWidth = Math.ceil(width / charWidth(cm.display));
          if (chWidth > cm.display.maxLineLength) {
            cm.display.maxLineLength = chWidth;
            cm.display.maxLine = cur.line;
            cm.display.maxLineChanged = true;
          }
        }
      }
      if (Math.abs(mustScroll) > 2) {
        display.scroller.scrollTop += mustScroll;
      }
    }
    function updateWidgetHeight(line) {
      if (line.widgets) {
        for (var i2 = 0; i2 < line.widgets.length; ++i2) {
          var w = line.widgets[i2], parent = w.node.parentNode;
          if (parent) {
            w.height = parent.offsetHeight;
          }
        }
      }
    }
    function visibleLines(display, doc2, viewport) {
      var top = viewport && viewport.top != null ? Math.max(0, viewport.top) : display.scroller.scrollTop;
      top = Math.floor(top - paddingTop(display));
      var bottom = viewport && viewport.bottom != null ? viewport.bottom : top + display.wrapper.clientHeight;
      var from = lineAtHeight(doc2, top), to = lineAtHeight(doc2, bottom);
      if (viewport && viewport.ensure) {
        var ensureFrom = viewport.ensure.from.line, ensureTo = viewport.ensure.to.line;
        if (ensureFrom < from) {
          from = ensureFrom;
          to = lineAtHeight(doc2, heightAtLine(getLine(doc2, ensureFrom)) + display.wrapper.clientHeight);
        } else if (Math.min(ensureTo, doc2.lastLine()) >= to) {
          from = lineAtHeight(doc2, heightAtLine(getLine(doc2, ensureTo)) - display.wrapper.clientHeight);
          to = ensureTo;
        }
      }
      return { from, to: Math.max(to, from + 1) };
    }
    function maybeScrollWindow(cm, rect) {
      if (signalDOMEvent(cm, "scrollCursorIntoView")) {
        return;
      }
      var display = cm.display, box = display.sizer.getBoundingClientRect(), doScroll = null;
      if (rect.top + box.top < 0) {
        doScroll = true;
      } else if (rect.bottom + box.top > (window.innerHeight || document.documentElement.clientHeight)) {
        doScroll = false;
      }
      if (doScroll != null && !phantom) {
        var scrollNode = elt("div", "\u200B", null, "position: absolute;\n                         top: " + (rect.top - display.viewOffset - paddingTop(cm.display)) + "px;\n                         height: " + (rect.bottom - rect.top + scrollGap(cm) + display.barHeight) + "px;\n                         left: " + rect.left + "px; width: " + Math.max(2, rect.right - rect.left) + "px;");
        cm.display.lineSpace.appendChild(scrollNode);
        scrollNode.scrollIntoView(doScroll);
        cm.display.lineSpace.removeChild(scrollNode);
      }
    }
    function scrollPosIntoView(cm, pos, end, margin) {
      if (margin == null) {
        margin = 0;
      }
      var rect;
      if (!cm.options.lineWrapping && pos == end) {
        end = pos.sticky == "before" ? Pos(pos.line, pos.ch + 1, "before") : pos;
        pos = pos.ch ? Pos(pos.line, pos.sticky == "before" ? pos.ch - 1 : pos.ch, "after") : pos;
      }
      for (var limit = 0; limit < 5; limit++) {
        var changed = false;
        var coords = cursorCoords(cm, pos);
        var endCoords = !end || end == pos ? coords : cursorCoords(cm, end);
        rect = {
          left: Math.min(coords.left, endCoords.left),
          top: Math.min(coords.top, endCoords.top) - margin,
          right: Math.max(coords.left, endCoords.left),
          bottom: Math.max(coords.bottom, endCoords.bottom) + margin
        };
        var scrollPos = calculateScrollPos(cm, rect);
        var startTop = cm.doc.scrollTop, startLeft = cm.doc.scrollLeft;
        if (scrollPos.scrollTop != null) {
          updateScrollTop(cm, scrollPos.scrollTop);
          if (Math.abs(cm.doc.scrollTop - startTop) > 1) {
            changed = true;
          }
        }
        if (scrollPos.scrollLeft != null) {
          setScrollLeft(cm, scrollPos.scrollLeft);
          if (Math.abs(cm.doc.scrollLeft - startLeft) > 1) {
            changed = true;
          }
        }
        if (!changed) {
          break;
        }
      }
      return rect;
    }
    function scrollIntoView(cm, rect) {
      var scrollPos = calculateScrollPos(cm, rect);
      if (scrollPos.scrollTop != null) {
        updateScrollTop(cm, scrollPos.scrollTop);
      }
      if (scrollPos.scrollLeft != null) {
        setScrollLeft(cm, scrollPos.scrollLeft);
      }
    }
    function calculateScrollPos(cm, rect) {
      var display = cm.display, snapMargin = textHeight(cm.display);
      if (rect.top < 0) {
        rect.top = 0;
      }
      var screentop = cm.curOp && cm.curOp.scrollTop != null ? cm.curOp.scrollTop : display.scroller.scrollTop;
      var screen2 = displayHeight(cm), result = {};
      if (rect.bottom - rect.top > screen2) {
        rect.bottom = rect.top + screen2;
      }
      var docBottom = cm.doc.height + paddingVert(display);
      var atTop = rect.top < snapMargin, atBottom = rect.bottom > docBottom - snapMargin;
      if (rect.top < screentop) {
        result.scrollTop = atTop ? 0 : rect.top;
      } else if (rect.bottom > screentop + screen2) {
        var newTop = Math.min(rect.top, (atBottom ? docBottom : rect.bottom) - screen2);
        if (newTop != screentop) {
          result.scrollTop = newTop;
        }
      }
      var gutterSpace = cm.options.fixedGutter ? 0 : display.gutters.offsetWidth;
      var screenleft = cm.curOp && cm.curOp.scrollLeft != null ? cm.curOp.scrollLeft : display.scroller.scrollLeft - gutterSpace;
      var screenw = displayWidth(cm) - display.gutters.offsetWidth;
      var tooWide = rect.right - rect.left > screenw;
      if (tooWide) {
        rect.right = rect.left + screenw;
      }
      if (rect.left < 10) {
        result.scrollLeft = 0;
      } else if (rect.left < screenleft) {
        result.scrollLeft = Math.max(0, rect.left + gutterSpace - (tooWide ? 0 : 10));
      } else if (rect.right > screenw + screenleft - 3) {
        result.scrollLeft = rect.right + (tooWide ? 0 : 10) - screenw;
      }
      return result;
    }
    function addToScrollTop(cm, top) {
      if (top == null) {
        return;
      }
      resolveScrollToPos(cm);
      cm.curOp.scrollTop = (cm.curOp.scrollTop == null ? cm.doc.scrollTop : cm.curOp.scrollTop) + top;
    }
    function ensureCursorVisible(cm) {
      resolveScrollToPos(cm);
      var cur = cm.getCursor();
      cm.curOp.scrollToPos = { from: cur, to: cur, margin: cm.options.cursorScrollMargin };
    }
    function scrollToCoords(cm, x, y) {
      if (x != null || y != null) {
        resolveScrollToPos(cm);
      }
      if (x != null) {
        cm.curOp.scrollLeft = x;
      }
      if (y != null) {
        cm.curOp.scrollTop = y;
      }
    }
    function scrollToRange(cm, range3) {
      resolveScrollToPos(cm);
      cm.curOp.scrollToPos = range3;
    }
    function resolveScrollToPos(cm) {
      var range3 = cm.curOp.scrollToPos;
      if (range3) {
        cm.curOp.scrollToPos = null;
        var from = estimateCoords(cm, range3.from), to = estimateCoords(cm, range3.to);
        scrollToCoordsRange(cm, from, to, range3.margin);
      }
    }
    function scrollToCoordsRange(cm, from, to, margin) {
      var sPos = calculateScrollPos(cm, {
        left: Math.min(from.left, to.left),
        top: Math.min(from.top, to.top) - margin,
        right: Math.max(from.right, to.right),
        bottom: Math.max(from.bottom, to.bottom) + margin
      });
      scrollToCoords(cm, sPos.scrollLeft, sPos.scrollTop);
    }
    function updateScrollTop(cm, val) {
      if (Math.abs(cm.doc.scrollTop - val) < 2) {
        return;
      }
      if (!gecko) {
        updateDisplaySimple(cm, { top: val });
      }
      setScrollTop(cm, val, true);
      if (gecko) {
        updateDisplaySimple(cm);
      }
      startWorker(cm, 100);
    }
    function setScrollTop(cm, val, forceScroll) {
      val = Math.max(0, Math.min(cm.display.scroller.scrollHeight - cm.display.scroller.clientHeight, val));
      if (cm.display.scroller.scrollTop == val && !forceScroll) {
        return;
      }
      cm.doc.scrollTop = val;
      cm.display.scrollbars.setScrollTop(val);
      if (cm.display.scroller.scrollTop != val) {
        cm.display.scroller.scrollTop = val;
      }
    }
    function setScrollLeft(cm, val, isScroller, forceScroll) {
      val = Math.max(0, Math.min(val, cm.display.scroller.scrollWidth - cm.display.scroller.clientWidth));
      if ((isScroller ? val == cm.doc.scrollLeft : Math.abs(cm.doc.scrollLeft - val) < 2) && !forceScroll) {
        return;
      }
      cm.doc.scrollLeft = val;
      alignHorizontally(cm);
      if (cm.display.scroller.scrollLeft != val) {
        cm.display.scroller.scrollLeft = val;
      }
      cm.display.scrollbars.setScrollLeft(val);
    }
    function measureForScrollbars(cm) {
      var d = cm.display, gutterW = d.gutters.offsetWidth;
      var docH = Math.round(cm.doc.height + paddingVert(cm.display));
      return {
        clientHeight: d.scroller.clientHeight,
        viewHeight: d.wrapper.clientHeight,
        scrollWidth: d.scroller.scrollWidth,
        clientWidth: d.scroller.clientWidth,
        viewWidth: d.wrapper.clientWidth,
        barLeft: cm.options.fixedGutter ? gutterW : 0,
        docHeight: docH,
        scrollHeight: docH + scrollGap(cm) + d.barHeight,
        nativeBarWidth: d.nativeBarWidth,
        gutterWidth: gutterW
      };
    }
    var NativeScrollbars = function(place, scroll, cm) {
      this.cm = cm;
      var vert = this.vert = elt("div", [elt("div", null, null, "min-width: 1px")], "CodeMirror-vscrollbar");
      var horiz = this.horiz = elt("div", [elt("div", null, null, "height: 100%; min-height: 1px")], "CodeMirror-hscrollbar");
      vert.tabIndex = horiz.tabIndex = -1;
      place(vert);
      place(horiz);
      on(vert, "scroll", function() {
        if (vert.clientHeight) {
          scroll(vert.scrollTop, "vertical");
        }
      });
      on(horiz, "scroll", function() {
        if (horiz.clientWidth) {
          scroll(horiz.scrollLeft, "horizontal");
        }
      });
      this.checkedZeroWidth = false;
      if (ie && ie_version < 8) {
        this.horiz.style.minHeight = this.vert.style.minWidth = "18px";
      }
    };
    NativeScrollbars.prototype.update = function(measure) {
      var needsH = measure.scrollWidth > measure.clientWidth + 1;
      var needsV = measure.scrollHeight > measure.clientHeight + 1;
      var sWidth = measure.nativeBarWidth;
      if (needsV) {
        this.vert.style.display = "block";
        this.vert.style.bottom = needsH ? sWidth + "px" : "0";
        var totalHeight = measure.viewHeight - (needsH ? sWidth : 0);
        this.vert.firstChild.style.height = Math.max(0, measure.scrollHeight - measure.clientHeight + totalHeight) + "px";
      } else {
        this.vert.scrollTop = 0;
        this.vert.style.display = "";
        this.vert.firstChild.style.height = "0";
      }
      if (needsH) {
        this.horiz.style.display = "block";
        this.horiz.style.right = needsV ? sWidth + "px" : "0";
        this.horiz.style.left = measure.barLeft + "px";
        var totalWidth = measure.viewWidth - measure.barLeft - (needsV ? sWidth : 0);
        this.horiz.firstChild.style.width = Math.max(0, measure.scrollWidth - measure.clientWidth + totalWidth) + "px";
      } else {
        this.horiz.style.display = "";
        this.horiz.firstChild.style.width = "0";
      }
      if (!this.checkedZeroWidth && measure.clientHeight > 0) {
        if (sWidth == 0) {
          this.zeroWidthHack();
        }
        this.checkedZeroWidth = true;
      }
      return { right: needsV ? sWidth : 0, bottom: needsH ? sWidth : 0 };
    };
    NativeScrollbars.prototype.setScrollLeft = function(pos) {
      if (this.horiz.scrollLeft != pos) {
        this.horiz.scrollLeft = pos;
      }
      if (this.disableHoriz) {
        this.enableZeroWidthBar(this.horiz, this.disableHoriz, "horiz");
      }
    };
    NativeScrollbars.prototype.setScrollTop = function(pos) {
      if (this.vert.scrollTop != pos) {
        this.vert.scrollTop = pos;
      }
      if (this.disableVert) {
        this.enableZeroWidthBar(this.vert, this.disableVert, "vert");
      }
    };
    NativeScrollbars.prototype.zeroWidthHack = function() {
      var w = mac && !mac_geMountainLion ? "12px" : "18px";
      this.horiz.style.height = this.vert.style.width = w;
      this.horiz.style.visibility = this.vert.style.visibility = "hidden";
      this.disableHoriz = new Delayed();
      this.disableVert = new Delayed();
    };
    NativeScrollbars.prototype.enableZeroWidthBar = function(bar, delay, type) {
      bar.style.visibility = "";
      function maybeDisable() {
        var box = bar.getBoundingClientRect();
        var elt2 = type == "vert" ? document.elementFromPoint(box.right - 1, (box.top + box.bottom) / 2) : document.elementFromPoint((box.right + box.left) / 2, box.bottom - 1);
        if (elt2 != bar) {
          bar.style.visibility = "hidden";
        } else {
          delay.set(1e3, maybeDisable);
        }
      }
      delay.set(1e3, maybeDisable);
    };
    NativeScrollbars.prototype.clear = function() {
      var parent = this.horiz.parentNode;
      parent.removeChild(this.horiz);
      parent.removeChild(this.vert);
    };
    var NullScrollbars = function() {
    };
    NullScrollbars.prototype.update = function() {
      return { bottom: 0, right: 0 };
    };
    NullScrollbars.prototype.setScrollLeft = function() {
    };
    NullScrollbars.prototype.setScrollTop = function() {
    };
    NullScrollbars.prototype.clear = function() {
    };
    function updateScrollbars(cm, measure) {
      if (!measure) {
        measure = measureForScrollbars(cm);
      }
      var startWidth = cm.display.barWidth, startHeight = cm.display.barHeight;
      updateScrollbarsInner(cm, measure);
      for (var i2 = 0; i2 < 4 && startWidth != cm.display.barWidth || startHeight != cm.display.barHeight; i2++) {
        if (startWidth != cm.display.barWidth && cm.options.lineWrapping) {
          updateHeightsInViewport(cm);
        }
        updateScrollbarsInner(cm, measureForScrollbars(cm));
        startWidth = cm.display.barWidth;
        startHeight = cm.display.barHeight;
      }
    }
    function updateScrollbarsInner(cm, measure) {
      var d = cm.display;
      var sizes = d.scrollbars.update(measure);
      d.sizer.style.paddingRight = (d.barWidth = sizes.right) + "px";
      d.sizer.style.paddingBottom = (d.barHeight = sizes.bottom) + "px";
      d.heightForcer.style.borderBottom = sizes.bottom + "px solid transparent";
      if (sizes.right && sizes.bottom) {
        d.scrollbarFiller.style.display = "block";
        d.scrollbarFiller.style.height = sizes.bottom + "px";
        d.scrollbarFiller.style.width = sizes.right + "px";
      } else {
        d.scrollbarFiller.style.display = "";
      }
      if (sizes.bottom && cm.options.coverGutterNextToScrollbar && cm.options.fixedGutter) {
        d.gutterFiller.style.display = "block";
        d.gutterFiller.style.height = sizes.bottom + "px";
        d.gutterFiller.style.width = measure.gutterWidth + "px";
      } else {
        d.gutterFiller.style.display = "";
      }
    }
    var scrollbarModel = { "native": NativeScrollbars, "null": NullScrollbars };
    function initScrollbars(cm) {
      if (cm.display.scrollbars) {
        cm.display.scrollbars.clear();
        if (cm.display.scrollbars.addClass) {
          rmClass(cm.display.wrapper, cm.display.scrollbars.addClass);
        }
      }
      cm.display.scrollbars = new scrollbarModel[cm.options.scrollbarStyle](function(node) {
        cm.display.wrapper.insertBefore(node, cm.display.scrollbarFiller);
        on(node, "mousedown", function() {
          if (cm.state.focused) {
            setTimeout(function() {
              return cm.display.input.focus();
            }, 0);
          }
        });
        node.setAttribute("cm-not-content", "true");
      }, function(pos, axis) {
        if (axis == "horizontal") {
          setScrollLeft(cm, pos);
        } else {
          updateScrollTop(cm, pos);
        }
      }, cm);
      if (cm.display.scrollbars.addClass) {
        addClass(cm.display.wrapper, cm.display.scrollbars.addClass);
      }
    }
    var nextOpId = 0;
    function startOperation(cm) {
      cm.curOp = {
        cm,
        viewChanged: false,
        startHeight: cm.doc.height,
        forceUpdate: false,
        updateInput: 0,
        typing: false,
        changeObjs: null,
        cursorActivityHandlers: null,
        cursorActivityCalled: 0,
        selectionChanged: false,
        updateMaxLine: false,
        scrollLeft: null,
        scrollTop: null,
        scrollToPos: null,
        focus: false,
        id: ++nextOpId,
        markArrays: null
      };
      pushOperation(cm.curOp);
    }
    function endOperation(cm) {
      var op = cm.curOp;
      if (op) {
        finishOperation(op, function(group) {
          for (var i2 = 0; i2 < group.ops.length; i2++) {
            group.ops[i2].cm.curOp = null;
          }
          endOperations(group);
        });
      }
    }
    function endOperations(group) {
      var ops = group.ops;
      for (var i2 = 0; i2 < ops.length; i2++) {
        endOperation_R1(ops[i2]);
      }
      for (var i$12 = 0; i$12 < ops.length; i$12++) {
        endOperation_W1(ops[i$12]);
      }
      for (var i$22 = 0; i$22 < ops.length; i$22++) {
        endOperation_R2(ops[i$22]);
      }
      for (var i$3 = 0; i$3 < ops.length; i$3++) {
        endOperation_W2(ops[i$3]);
      }
      for (var i$4 = 0; i$4 < ops.length; i$4++) {
        endOperation_finish(ops[i$4]);
      }
    }
    function endOperation_R1(op) {
      var cm = op.cm, display = cm.display;
      maybeClipScrollbars(cm);
      if (op.updateMaxLine) {
        findMaxLine(cm);
      }
      op.mustUpdate = op.viewChanged || op.forceUpdate || op.scrollTop != null || op.scrollToPos && (op.scrollToPos.from.line < display.viewFrom || op.scrollToPos.to.line >= display.viewTo) || display.maxLineChanged && cm.options.lineWrapping;
      op.update = op.mustUpdate && new DisplayUpdate(cm, op.mustUpdate && { top: op.scrollTop, ensure: op.scrollToPos }, op.forceUpdate);
    }
    function endOperation_W1(op) {
      op.updatedDisplay = op.mustUpdate && updateDisplayIfNeeded(op.cm, op.update);
    }
    function endOperation_R2(op) {
      var cm = op.cm, display = cm.display;
      if (op.updatedDisplay) {
        updateHeightsInViewport(cm);
      }
      op.barMeasure = measureForScrollbars(cm);
      if (display.maxLineChanged && !cm.options.lineWrapping) {
        op.adjustWidthTo = measureChar(cm, display.maxLine, display.maxLine.text.length).left + 3;
        cm.display.sizerWidth = op.adjustWidthTo;
        op.barMeasure.scrollWidth = Math.max(display.scroller.clientWidth, display.sizer.offsetLeft + op.adjustWidthTo + scrollGap(cm) + cm.display.barWidth);
        op.maxScrollLeft = Math.max(0, display.sizer.offsetLeft + op.adjustWidthTo - displayWidth(cm));
      }
      if (op.updatedDisplay || op.selectionChanged) {
        op.preparedSelection = display.input.prepareSelection();
      }
    }
    function endOperation_W2(op) {
      var cm = op.cm;
      if (op.adjustWidthTo != null) {
        cm.display.sizer.style.minWidth = op.adjustWidthTo + "px";
        if (op.maxScrollLeft < cm.doc.scrollLeft) {
          setScrollLeft(cm, Math.min(cm.display.scroller.scrollLeft, op.maxScrollLeft), true);
        }
        cm.display.maxLineChanged = false;
      }
      var takeFocus = op.focus && op.focus == activeElt();
      if (op.preparedSelection) {
        cm.display.input.showSelection(op.preparedSelection, takeFocus);
      }
      if (op.updatedDisplay || op.startHeight != cm.doc.height) {
        updateScrollbars(cm, op.barMeasure);
      }
      if (op.updatedDisplay) {
        setDocumentHeight(cm, op.barMeasure);
      }
      if (op.selectionChanged) {
        restartBlink(cm);
      }
      if (cm.state.focused && op.updateInput) {
        cm.display.input.reset(op.typing);
      }
      if (takeFocus) {
        ensureFocus(op.cm);
      }
    }
    function endOperation_finish(op) {
      var cm = op.cm, display = cm.display, doc2 = cm.doc;
      if (op.updatedDisplay) {
        postUpdateDisplay(cm, op.update);
      }
      if (display.wheelStartX != null && (op.scrollTop != null || op.scrollLeft != null || op.scrollToPos)) {
        display.wheelStartX = display.wheelStartY = null;
      }
      if (op.scrollTop != null) {
        setScrollTop(cm, op.scrollTop, op.forceScroll);
      }
      if (op.scrollLeft != null) {
        setScrollLeft(cm, op.scrollLeft, true, true);
      }
      if (op.scrollToPos) {
        var rect = scrollPosIntoView(
          cm,
          clipPos(doc2, op.scrollToPos.from),
          clipPos(doc2, op.scrollToPos.to),
          op.scrollToPos.margin
        );
        maybeScrollWindow(cm, rect);
      }
      var hidden = op.maybeHiddenMarkers, unhidden = op.maybeUnhiddenMarkers;
      if (hidden) {
        for (var i2 = 0; i2 < hidden.length; ++i2) {
          if (!hidden[i2].lines.length) {
            signal(hidden[i2], "hide");
          }
        }
      }
      if (unhidden) {
        for (var i$12 = 0; i$12 < unhidden.length; ++i$12) {
          if (unhidden[i$12].lines.length) {
            signal(unhidden[i$12], "unhide");
          }
        }
      }
      if (display.wrapper.offsetHeight) {
        doc2.scrollTop = cm.display.scroller.scrollTop;
      }
      if (op.changeObjs) {
        signal(cm, "changes", cm, op.changeObjs);
      }
      if (op.update) {
        op.update.finish();
      }
    }
    function runInOp(cm, f) {
      if (cm.curOp) {
        return f();
      }
      startOperation(cm);
      try {
        return f();
      } finally {
        endOperation(cm);
      }
    }
    function operation(cm, f) {
      return function() {
        if (cm.curOp) {
          return f.apply(cm, arguments);
        }
        startOperation(cm);
        try {
          return f.apply(cm, arguments);
        } finally {
          endOperation(cm);
        }
      };
    }
    function methodOp(f) {
      return function() {
        if (this.curOp) {
          return f.apply(this, arguments);
        }
        startOperation(this);
        try {
          return f.apply(this, arguments);
        } finally {
          endOperation(this);
        }
      };
    }
    function docMethodOp(f) {
      return function() {
        var cm = this.cm;
        if (!cm || cm.curOp) {
          return f.apply(this, arguments);
        }
        startOperation(cm);
        try {
          return f.apply(this, arguments);
        } finally {
          endOperation(cm);
        }
      };
    }
    function startWorker(cm, time) {
      if (cm.doc.highlightFrontier < cm.display.viewTo) {
        cm.state.highlight.set(time, bind(highlightWorker, cm));
      }
    }
    function highlightWorker(cm) {
      var doc2 = cm.doc;
      if (doc2.highlightFrontier >= cm.display.viewTo) {
        return;
      }
      var end = +new Date() + cm.options.workTime;
      var context = getContextBefore(cm, doc2.highlightFrontier);
      var changedLines = [];
      doc2.iter(context.line, Math.min(doc2.first + doc2.size, cm.display.viewTo + 500), function(line) {
        if (context.line >= cm.display.viewFrom) {
          var oldStyles = line.styles;
          var resetState = line.text.length > cm.options.maxHighlightLength ? copyState(doc2.mode, context.state) : null;
          var highlighted = highlightLine(cm, line, context, true);
          if (resetState) {
            context.state = resetState;
          }
          line.styles = highlighted.styles;
          var oldCls = line.styleClasses, newCls = highlighted.classes;
          if (newCls) {
            line.styleClasses = newCls;
          } else if (oldCls) {
            line.styleClasses = null;
          }
          var ischange = !oldStyles || oldStyles.length != line.styles.length || oldCls != newCls && (!oldCls || !newCls || oldCls.bgClass != newCls.bgClass || oldCls.textClass != newCls.textClass);
          for (var i2 = 0; !ischange && i2 < oldStyles.length; ++i2) {
            ischange = oldStyles[i2] != line.styles[i2];
          }
          if (ischange) {
            changedLines.push(context.line);
          }
          line.stateAfter = context.save();
          context.nextLine();
        } else {
          if (line.text.length <= cm.options.maxHighlightLength) {
            processLine(cm, line.text, context);
          }
          line.stateAfter = context.line % 5 == 0 ? context.save() : null;
          context.nextLine();
        }
        if (+new Date() > end) {
          startWorker(cm, cm.options.workDelay);
          return true;
        }
      });
      doc2.highlightFrontier = context.line;
      doc2.modeFrontier = Math.max(doc2.modeFrontier, context.line);
      if (changedLines.length) {
        runInOp(cm, function() {
          for (var i2 = 0; i2 < changedLines.length; i2++) {
            regLineChange(cm, changedLines[i2], "text");
          }
        });
      }
    }
    var DisplayUpdate = function(cm, viewport, force) {
      var display = cm.display;
      this.viewport = viewport;
      this.visible = visibleLines(display, cm.doc, viewport);
      this.editorIsHidden = !display.wrapper.offsetWidth;
      this.wrapperHeight = display.wrapper.clientHeight;
      this.wrapperWidth = display.wrapper.clientWidth;
      this.oldDisplayWidth = displayWidth(cm);
      this.force = force;
      this.dims = getDimensions(cm);
      this.events = [];
    };
    DisplayUpdate.prototype.signal = function(emitter, type) {
      if (hasHandler(emitter, type)) {
        this.events.push(arguments);
      }
    };
    DisplayUpdate.prototype.finish = function() {
      for (var i2 = 0; i2 < this.events.length; i2++) {
        signal.apply(null, this.events[i2]);
      }
    };
    function maybeClipScrollbars(cm) {
      var display = cm.display;
      if (!display.scrollbarsClipped && display.scroller.offsetWidth) {
        display.nativeBarWidth = display.scroller.offsetWidth - display.scroller.clientWidth;
        display.heightForcer.style.height = scrollGap(cm) + "px";
        display.sizer.style.marginBottom = -display.nativeBarWidth + "px";
        display.sizer.style.borderRightWidth = scrollGap(cm) + "px";
        display.scrollbarsClipped = true;
      }
    }
    function selectionSnapshot(cm) {
      if (cm.hasFocus()) {
        return null;
      }
      var active = activeElt();
      if (!active || !contains2(cm.display.lineDiv, active)) {
        return null;
      }
      var result = { activeElt: active };
      if (window.getSelection) {
        var sel = window.getSelection();
        if (sel.anchorNode && sel.extend && contains2(cm.display.lineDiv, sel.anchorNode)) {
          result.anchorNode = sel.anchorNode;
          result.anchorOffset = sel.anchorOffset;
          result.focusNode = sel.focusNode;
          result.focusOffset = sel.focusOffset;
        }
      }
      return result;
    }
    function restoreSelection(snapshot) {
      if (!snapshot || !snapshot.activeElt || snapshot.activeElt == activeElt()) {
        return;
      }
      snapshot.activeElt.focus();
      if (!/^(INPUT|TEXTAREA)$/.test(snapshot.activeElt.nodeName) && snapshot.anchorNode && contains2(document.body, snapshot.anchorNode) && contains2(document.body, snapshot.focusNode)) {
        var sel = window.getSelection(), range3 = document.createRange();
        range3.setEnd(snapshot.anchorNode, snapshot.anchorOffset);
        range3.collapse(false);
        sel.removeAllRanges();
        sel.addRange(range3);
        sel.extend(snapshot.focusNode, snapshot.focusOffset);
      }
    }
    function updateDisplayIfNeeded(cm, update) {
      var display = cm.display, doc2 = cm.doc;
      if (update.editorIsHidden) {
        resetView(cm);
        return false;
      }
      if (!update.force && update.visible.from >= display.viewFrom && update.visible.to <= display.viewTo && (display.updateLineNumbers == null || display.updateLineNumbers >= display.viewTo) && display.renderedView == display.view && countDirtyView(cm) == 0) {
        return false;
      }
      if (maybeUpdateLineNumberWidth(cm)) {
        resetView(cm);
        update.dims = getDimensions(cm);
      }
      var end = doc2.first + doc2.size;
      var from = Math.max(update.visible.from - cm.options.viewportMargin, doc2.first);
      var to = Math.min(end, update.visible.to + cm.options.viewportMargin);
      if (display.viewFrom < from && from - display.viewFrom < 20) {
        from = Math.max(doc2.first, display.viewFrom);
      }
      if (display.viewTo > to && display.viewTo - to < 20) {
        to = Math.min(end, display.viewTo);
      }
      if (sawCollapsedSpans) {
        from = visualLineNo(cm.doc, from);
        to = visualLineEndNo(cm.doc, to);
      }
      var different = from != display.viewFrom || to != display.viewTo || display.lastWrapHeight != update.wrapperHeight || display.lastWrapWidth != update.wrapperWidth;
      adjustView(cm, from, to);
      display.viewOffset = heightAtLine(getLine(cm.doc, display.viewFrom));
      cm.display.mover.style.top = display.viewOffset + "px";
      var toUpdate = countDirtyView(cm);
      if (!different && toUpdate == 0 && !update.force && display.renderedView == display.view && (display.updateLineNumbers == null || display.updateLineNumbers >= display.viewTo)) {
        return false;
      }
      var selSnapshot = selectionSnapshot(cm);
      if (toUpdate > 4) {
        display.lineDiv.style.display = "none";
      }
      patchDisplay(cm, display.updateLineNumbers, update.dims);
      if (toUpdate > 4) {
        display.lineDiv.style.display = "";
      }
      display.renderedView = display.view;
      restoreSelection(selSnapshot);
      removeChildren(display.cursorDiv);
      removeChildren(display.selectionDiv);
      display.gutters.style.height = display.sizer.style.minHeight = 0;
      if (different) {
        display.lastWrapHeight = update.wrapperHeight;
        display.lastWrapWidth = update.wrapperWidth;
        startWorker(cm, 400);
      }
      display.updateLineNumbers = null;
      return true;
    }
    function postUpdateDisplay(cm, update) {
      var viewport = update.viewport;
      for (var first = true; ; first = false) {
        if (!first || !cm.options.lineWrapping || update.oldDisplayWidth == displayWidth(cm)) {
          if (viewport && viewport.top != null) {
            viewport = { top: Math.min(cm.doc.height + paddingVert(cm.display) - displayHeight(cm), viewport.top) };
          }
          update.visible = visibleLines(cm.display, cm.doc, viewport);
          if (update.visible.from >= cm.display.viewFrom && update.visible.to <= cm.display.viewTo) {
            break;
          }
        } else if (first) {
          update.visible = visibleLines(cm.display, cm.doc, viewport);
        }
        if (!updateDisplayIfNeeded(cm, update)) {
          break;
        }
        updateHeightsInViewport(cm);
        var barMeasure = measureForScrollbars(cm);
        updateSelection(cm);
        updateScrollbars(cm, barMeasure);
        setDocumentHeight(cm, barMeasure);
        update.force = false;
      }
      update.signal(cm, "update", cm);
      if (cm.display.viewFrom != cm.display.reportedViewFrom || cm.display.viewTo != cm.display.reportedViewTo) {
        update.signal(cm, "viewportChange", cm, cm.display.viewFrom, cm.display.viewTo);
        cm.display.reportedViewFrom = cm.display.viewFrom;
        cm.display.reportedViewTo = cm.display.viewTo;
      }
    }
    function updateDisplaySimple(cm, viewport) {
      var update = new DisplayUpdate(cm, viewport);
      if (updateDisplayIfNeeded(cm, update)) {
        updateHeightsInViewport(cm);
        postUpdateDisplay(cm, update);
        var barMeasure = measureForScrollbars(cm);
        updateSelection(cm);
        updateScrollbars(cm, barMeasure);
        setDocumentHeight(cm, barMeasure);
        update.finish();
      }
    }
    function patchDisplay(cm, updateNumbersFrom, dims) {
      var display = cm.display, lineNumbers = cm.options.lineNumbers;
      var container = display.lineDiv, cur = container.firstChild;
      function rm(node2) {
        var next = node2.nextSibling;
        if (webkit && mac && cm.display.currentWheelTarget == node2) {
          node2.style.display = "none";
        } else {
          node2.parentNode.removeChild(node2);
        }
        return next;
      }
      var view = display.view, lineN = display.viewFrom;
      for (var i2 = 0; i2 < view.length; i2++) {
        var lineView = view[i2];
        if (lineView.hidden)
          ;
        else if (!lineView.node || lineView.node.parentNode != container) {
          var node = buildLineElement(cm, lineView, lineN, dims);
          container.insertBefore(node, cur);
        } else {
          while (cur != lineView.node) {
            cur = rm(cur);
          }
          var updateNumber = lineNumbers && updateNumbersFrom != null && updateNumbersFrom <= lineN && lineView.lineNumber;
          if (lineView.changes) {
            if (indexOf(lineView.changes, "gutter") > -1) {
              updateNumber = false;
            }
            updateLineForChanges(cm, lineView, lineN, dims);
          }
          if (updateNumber) {
            removeChildren(lineView.lineNumber);
            lineView.lineNumber.appendChild(document.createTextNode(lineNumberFor(cm.options, lineN)));
          }
          cur = lineView.node.nextSibling;
        }
        lineN += lineView.size;
      }
      while (cur) {
        cur = rm(cur);
      }
    }
    function updateGutterSpace(display) {
      var width = display.gutters.offsetWidth;
      display.sizer.style.marginLeft = width + "px";
      signalLater(display, "gutterChanged", display);
    }
    function setDocumentHeight(cm, measure) {
      cm.display.sizer.style.minHeight = measure.docHeight + "px";
      cm.display.heightForcer.style.top = measure.docHeight + "px";
      cm.display.gutters.style.height = measure.docHeight + cm.display.barHeight + scrollGap(cm) + "px";
    }
    function alignHorizontally(cm) {
      var display = cm.display, view = display.view;
      if (!display.alignWidgets && (!display.gutters.firstChild || !cm.options.fixedGutter)) {
        return;
      }
      var comp = compensateForHScroll(display) - display.scroller.scrollLeft + cm.doc.scrollLeft;
      var gutterW = display.gutters.offsetWidth, left = comp + "px";
      for (var i2 = 0; i2 < view.length; i2++) {
        if (!view[i2].hidden) {
          if (cm.options.fixedGutter) {
            if (view[i2].gutter) {
              view[i2].gutter.style.left = left;
            }
            if (view[i2].gutterBackground) {
              view[i2].gutterBackground.style.left = left;
            }
          }
          var align = view[i2].alignable;
          if (align) {
            for (var j = 0; j < align.length; j++) {
              align[j].style.left = left;
            }
          }
        }
      }
      if (cm.options.fixedGutter) {
        display.gutters.style.left = comp + gutterW + "px";
      }
    }
    function maybeUpdateLineNumberWidth(cm) {
      if (!cm.options.lineNumbers) {
        return false;
      }
      var doc2 = cm.doc, last = lineNumberFor(cm.options, doc2.first + doc2.size - 1), display = cm.display;
      if (last.length != display.lineNumChars) {
        var test = display.measure.appendChild(elt(
          "div",
          [elt("div", last)],
          "CodeMirror-linenumber CodeMirror-gutter-elt"
        ));
        var innerW = test.firstChild.offsetWidth, padding = test.offsetWidth - innerW;
        display.lineGutter.style.width = "";
        display.lineNumInnerWidth = Math.max(innerW, display.lineGutter.offsetWidth - padding) + 1;
        display.lineNumWidth = display.lineNumInnerWidth + padding;
        display.lineNumChars = display.lineNumInnerWidth ? last.length : -1;
        display.lineGutter.style.width = display.lineNumWidth + "px";
        updateGutterSpace(cm.display);
        return true;
      }
      return false;
    }
    function getGutters(gutters, lineNumbers) {
      var result = [], sawLineNumbers = false;
      for (var i2 = 0; i2 < gutters.length; i2++) {
        var name = gutters[i2], style = null;
        if (typeof name != "string") {
          style = name.style;
          name = name.className;
        }
        if (name == "CodeMirror-linenumbers") {
          if (!lineNumbers) {
            continue;
          } else {
            sawLineNumbers = true;
          }
        }
        result.push({ className: name, style });
      }
      if (lineNumbers && !sawLineNumbers) {
        result.push({ className: "CodeMirror-linenumbers", style: null });
      }
      return result;
    }
    function renderGutters(display) {
      var gutters = display.gutters, specs = display.gutterSpecs;
      removeChildren(gutters);
      display.lineGutter = null;
      for (var i2 = 0; i2 < specs.length; ++i2) {
        var ref2 = specs[i2];
        var className = ref2.className;
        var style = ref2.style;
        var gElt = gutters.appendChild(elt("div", null, "CodeMirror-gutter " + className));
        if (style) {
          gElt.style.cssText = style;
        }
        if (className == "CodeMirror-linenumbers") {
          display.lineGutter = gElt;
          gElt.style.width = (display.lineNumWidth || 1) + "px";
        }
      }
      gutters.style.display = specs.length ? "" : "none";
      updateGutterSpace(display);
    }
    function updateGutters(cm) {
      renderGutters(cm.display);
      regChange(cm);
      alignHorizontally(cm);
    }
    function Display(place, doc2, input, options) {
      var d = this;
      this.input = input;
      d.scrollbarFiller = elt("div", null, "CodeMirror-scrollbar-filler");
      d.scrollbarFiller.setAttribute("cm-not-content", "true");
      d.gutterFiller = elt("div", null, "CodeMirror-gutter-filler");
      d.gutterFiller.setAttribute("cm-not-content", "true");
      d.lineDiv = eltP("div", null, "CodeMirror-code");
      d.selectionDiv = elt("div", null, null, "position: relative; z-index: 1");
      d.cursorDiv = elt("div", null, "CodeMirror-cursors");
      d.measure = elt("div", null, "CodeMirror-measure");
      d.lineMeasure = elt("div", null, "CodeMirror-measure");
      d.lineSpace = eltP(
        "div",
        [d.measure, d.lineMeasure, d.selectionDiv, d.cursorDiv, d.lineDiv],
        null,
        "position: relative; outline: none"
      );
      var lines = eltP("div", [d.lineSpace], "CodeMirror-lines");
      d.mover = elt("div", [lines], null, "position: relative");
      d.sizer = elt("div", [d.mover], "CodeMirror-sizer");
      d.sizerWidth = null;
      d.heightForcer = elt("div", null, null, "position: absolute; height: " + scrollerGap + "px; width: 1px;");
      d.gutters = elt("div", null, "CodeMirror-gutters");
      d.lineGutter = null;
      d.scroller = elt("div", [d.sizer, d.heightForcer, d.gutters], "CodeMirror-scroll");
      d.scroller.setAttribute("tabIndex", "-1");
      d.wrapper = elt("div", [d.scrollbarFiller, d.gutterFiller, d.scroller], "CodeMirror");
      d.wrapper.setAttribute("translate", "no");
      if (ie && ie_version < 8) {
        d.gutters.style.zIndex = -1;
        d.scroller.style.paddingRight = 0;
      }
      if (!webkit && !(gecko && mobile)) {
        d.scroller.draggable = true;
      }
      if (place) {
        if (place.appendChild) {
          place.appendChild(d.wrapper);
        } else {
          place(d.wrapper);
        }
      }
      d.viewFrom = d.viewTo = doc2.first;
      d.reportedViewFrom = d.reportedViewTo = doc2.first;
      d.view = [];
      d.renderedView = null;
      d.externalMeasured = null;
      d.viewOffset = 0;
      d.lastWrapHeight = d.lastWrapWidth = 0;
      d.updateLineNumbers = null;
      d.nativeBarWidth = d.barHeight = d.barWidth = 0;
      d.scrollbarsClipped = false;
      d.lineNumWidth = d.lineNumInnerWidth = d.lineNumChars = null;
      d.alignWidgets = false;
      d.cachedCharWidth = d.cachedTextHeight = d.cachedPaddingH = null;
      d.maxLine = null;
      d.maxLineLength = 0;
      d.maxLineChanged = false;
      d.wheelDX = d.wheelDY = d.wheelStartX = d.wheelStartY = null;
      d.shift = false;
      d.selForContextMenu = null;
      d.activeTouch = null;
      d.gutterSpecs = getGutters(options.gutters, options.lineNumbers);
      renderGutters(d);
      input.init(d);
    }
    var wheelSamples = 0, wheelPixelsPerUnit = null;
    if (ie) {
      wheelPixelsPerUnit = -0.53;
    } else if (gecko) {
      wheelPixelsPerUnit = 15;
    } else if (chrome) {
      wheelPixelsPerUnit = -0.7;
    } else if (safari) {
      wheelPixelsPerUnit = -1 / 3;
    }
    function wheelEventDelta(e) {
      var dx = e.wheelDeltaX, dy = e.wheelDeltaY;
      if (dx == null && e.detail && e.axis == e.HORIZONTAL_AXIS) {
        dx = e.detail;
      }
      if (dy == null && e.detail && e.axis == e.VERTICAL_AXIS) {
        dy = e.detail;
      } else if (dy == null) {
        dy = e.wheelDelta;
      }
      return { x: dx, y: dy };
    }
    function wheelEventPixels(e) {
      var delta = wheelEventDelta(e);
      delta.x *= wheelPixelsPerUnit;
      delta.y *= wheelPixelsPerUnit;
      return delta;
    }
    function onScrollWheel(cm, e) {
      if (chrome && chrome_version >= 102) {
        if (cm.display.chromeScrollHack == null) {
          cm.display.sizer.style.pointerEvents = "none";
        } else {
          clearTimeout(cm.display.chromeScrollHack);
        }
        cm.display.chromeScrollHack = setTimeout(function() {
          cm.display.chromeScrollHack = null;
          cm.display.sizer.style.pointerEvents = "";
        }, 100);
      }
      var delta = wheelEventDelta(e), dx = delta.x, dy = delta.y;
      var pixelsPerUnit = wheelPixelsPerUnit;
      if (e.deltaMode === 0) {
        dx = e.deltaX;
        dy = e.deltaY;
        pixelsPerUnit = 1;
      }
      var display = cm.display, scroll = display.scroller;
      var canScrollX = scroll.scrollWidth > scroll.clientWidth;
      var canScrollY = scroll.scrollHeight > scroll.clientHeight;
      if (!(dx && canScrollX || dy && canScrollY)) {
        return;
      }
      if (dy && mac && webkit) {
        outer:
          for (var cur = e.target, view = display.view; cur != scroll; cur = cur.parentNode) {
            for (var i2 = 0; i2 < view.length; i2++) {
              if (view[i2].node == cur) {
                cm.display.currentWheelTarget = cur;
                break outer;
              }
            }
          }
      }
      if (dx && !gecko && !presto && pixelsPerUnit != null) {
        if (dy && canScrollY) {
          updateScrollTop(cm, Math.max(0, scroll.scrollTop + dy * pixelsPerUnit));
        }
        setScrollLeft(cm, Math.max(0, scroll.scrollLeft + dx * pixelsPerUnit));
        if (!dy || dy && canScrollY) {
          e_preventDefault(e);
        }
        display.wheelStartX = null;
        return;
      }
      if (dy && pixelsPerUnit != null) {
        var pixels = dy * pixelsPerUnit;
        var top = cm.doc.scrollTop, bot = top + display.wrapper.clientHeight;
        if (pixels < 0) {
          top = Math.max(0, top + pixels - 50);
        } else {
          bot = Math.min(cm.doc.height, bot + pixels + 50);
        }
        updateDisplaySimple(cm, { top, bottom: bot });
      }
      if (wheelSamples < 20 && e.deltaMode !== 0) {
        if (display.wheelStartX == null) {
          display.wheelStartX = scroll.scrollLeft;
          display.wheelStartY = scroll.scrollTop;
          display.wheelDX = dx;
          display.wheelDY = dy;
          setTimeout(function() {
            if (display.wheelStartX == null) {
              return;
            }
            var movedX = scroll.scrollLeft - display.wheelStartX;
            var movedY = scroll.scrollTop - display.wheelStartY;
            var sample = movedY && display.wheelDY && movedY / display.wheelDY || movedX && display.wheelDX && movedX / display.wheelDX;
            display.wheelStartX = display.wheelStartY = null;
            if (!sample) {
              return;
            }
            wheelPixelsPerUnit = (wheelPixelsPerUnit * wheelSamples + sample) / (wheelSamples + 1);
            ++wheelSamples;
          }, 200);
        } else {
          display.wheelDX += dx;
          display.wheelDY += dy;
        }
      }
    }
    var Selection = function(ranges, primIndex) {
      this.ranges = ranges;
      this.primIndex = primIndex;
    };
    Selection.prototype.primary = function() {
      return this.ranges[this.primIndex];
    };
    Selection.prototype.equals = function(other) {
      if (other == this) {
        return true;
      }
      if (other.primIndex != this.primIndex || other.ranges.length != this.ranges.length) {
        return false;
      }
      for (var i2 = 0; i2 < this.ranges.length; i2++) {
        var here = this.ranges[i2], there = other.ranges[i2];
        if (!equalCursorPos(here.anchor, there.anchor) || !equalCursorPos(here.head, there.head)) {
          return false;
        }
      }
      return true;
    };
    Selection.prototype.deepCopy = function() {
      var out = [];
      for (var i2 = 0; i2 < this.ranges.length; i2++) {
        out[i2] = new Range(copyPos(this.ranges[i2].anchor), copyPos(this.ranges[i2].head));
      }
      return new Selection(out, this.primIndex);
    };
    Selection.prototype.somethingSelected = function() {
      for (var i2 = 0; i2 < this.ranges.length; i2++) {
        if (!this.ranges[i2].empty()) {
          return true;
        }
      }
      return false;
    };
    Selection.prototype.contains = function(pos, end) {
      if (!end) {
        end = pos;
      }
      for (var i2 = 0; i2 < this.ranges.length; i2++) {
        var range3 = this.ranges[i2];
        if (cmp(end, range3.from()) >= 0 && cmp(pos, range3.to()) <= 0) {
          return i2;
        }
      }
      return -1;
    };
    var Range = function(anchor, head) {
      this.anchor = anchor;
      this.head = head;
    };
    Range.prototype.from = function() {
      return minPos(this.anchor, this.head);
    };
    Range.prototype.to = function() {
      return maxPos(this.anchor, this.head);
    };
    Range.prototype.empty = function() {
      return this.head.line == this.anchor.line && this.head.ch == this.anchor.ch;
    };
    function normalizeSelection(cm, ranges, primIndex) {
      var mayTouch = cm && cm.options.selectionsMayTouch;
      var prim = ranges[primIndex];
      ranges.sort(function(a, b) {
        return cmp(a.from(), b.from());
      });
      primIndex = indexOf(ranges, prim);
      for (var i2 = 1; i2 < ranges.length; i2++) {
        var cur = ranges[i2], prev = ranges[i2 - 1];
        var diff = cmp(prev.to(), cur.from());
        if (mayTouch && !cur.empty() ? diff > 0 : diff >= 0) {
          var from = minPos(prev.from(), cur.from()), to = maxPos(prev.to(), cur.to());
          var inv = prev.empty() ? cur.from() == cur.head : prev.from() == prev.head;
          if (i2 <= primIndex) {
            --primIndex;
          }
          ranges.splice(--i2, 2, new Range(inv ? to : from, inv ? from : to));
        }
      }
      return new Selection(ranges, primIndex);
    }
    function simpleSelection(anchor, head) {
      return new Selection([new Range(anchor, head || anchor)], 0);
    }
    function changeEnd(change) {
      if (!change.text) {
        return change.to;
      }
      return Pos(
        change.from.line + change.text.length - 1,
        lst(change.text).length + (change.text.length == 1 ? change.from.ch : 0)
      );
    }
    function adjustForChange(pos, change) {
      if (cmp(pos, change.from) < 0) {
        return pos;
      }
      if (cmp(pos, change.to) <= 0) {
        return changeEnd(change);
      }
      var line = pos.line + change.text.length - (change.to.line - change.from.line) - 1, ch = pos.ch;
      if (pos.line == change.to.line) {
        ch += changeEnd(change).ch - change.to.ch;
      }
      return Pos(line, ch);
    }
    function computeSelAfterChange(doc2, change) {
      var out = [];
      for (var i2 = 0; i2 < doc2.sel.ranges.length; i2++) {
        var range3 = doc2.sel.ranges[i2];
        out.push(new Range(
          adjustForChange(range3.anchor, change),
          adjustForChange(range3.head, change)
        ));
      }
      return normalizeSelection(doc2.cm, out, doc2.sel.primIndex);
    }
    function offsetPos(pos, old, nw) {
      if (pos.line == old.line) {
        return Pos(nw.line, pos.ch - old.ch + nw.ch);
      } else {
        return Pos(nw.line + (pos.line - old.line), pos.ch);
      }
    }
    function computeReplacedSel(doc2, changes, hint) {
      var out = [];
      var oldPrev = Pos(doc2.first, 0), newPrev = oldPrev;
      for (var i2 = 0; i2 < changes.length; i2++) {
        var change = changes[i2];
        var from = offsetPos(change.from, oldPrev, newPrev);
        var to = offsetPos(changeEnd(change), oldPrev, newPrev);
        oldPrev = change.to;
        newPrev = to;
        if (hint == "around") {
          var range3 = doc2.sel.ranges[i2], inv = cmp(range3.head, range3.anchor) < 0;
          out[i2] = new Range(inv ? to : from, inv ? from : to);
        } else {
          out[i2] = new Range(from, from);
        }
      }
      return new Selection(out, doc2.sel.primIndex);
    }
    function loadMode(cm) {
      cm.doc.mode = getMode(cm.options, cm.doc.modeOption);
      resetModeState(cm);
    }
    function resetModeState(cm) {
      cm.doc.iter(function(line) {
        if (line.stateAfter) {
          line.stateAfter = null;
        }
        if (line.styles) {
          line.styles = null;
        }
      });
      cm.doc.modeFrontier = cm.doc.highlightFrontier = cm.doc.first;
      startWorker(cm, 100);
      cm.state.modeGen++;
      if (cm.curOp) {
        regChange(cm);
      }
    }
    function isWholeLineUpdate(doc2, change) {
      return change.from.ch == 0 && change.to.ch == 0 && lst(change.text) == "" && (!doc2.cm || doc2.cm.options.wholeLineUpdateBefore);
    }
    function updateDoc(doc2, change, markedSpans, estimateHeight2) {
      function spansFor(n) {
        return markedSpans ? markedSpans[n] : null;
      }
      function update(line, text2, spans) {
        updateLine(line, text2, spans, estimateHeight2);
        signalLater(line, "change", line, change);
      }
      function linesFor(start, end) {
        var result = [];
        for (var i2 = start; i2 < end; ++i2) {
          result.push(new Line(text[i2], spansFor(i2), estimateHeight2));
        }
        return result;
      }
      var from = change.from, to = change.to, text = change.text;
      var firstLine = getLine(doc2, from.line), lastLine = getLine(doc2, to.line);
      var lastText = lst(text), lastSpans = spansFor(text.length - 1), nlines = to.line - from.line;
      if (change.full) {
        doc2.insert(0, linesFor(0, text.length));
        doc2.remove(text.length, doc2.size - text.length);
      } else if (isWholeLineUpdate(doc2, change)) {
        var added = linesFor(0, text.length - 1);
        update(lastLine, lastLine.text, lastSpans);
        if (nlines) {
          doc2.remove(from.line, nlines);
        }
        if (added.length) {
          doc2.insert(from.line, added);
        }
      } else if (firstLine == lastLine) {
        if (text.length == 1) {
          update(firstLine, firstLine.text.slice(0, from.ch) + lastText + firstLine.text.slice(to.ch), lastSpans);
        } else {
          var added$1 = linesFor(1, text.length - 1);
          added$1.push(new Line(lastText + firstLine.text.slice(to.ch), lastSpans, estimateHeight2));
          update(firstLine, firstLine.text.slice(0, from.ch) + text[0], spansFor(0));
          doc2.insert(from.line + 1, added$1);
        }
      } else if (text.length == 1) {
        update(firstLine, firstLine.text.slice(0, from.ch) + text[0] + lastLine.text.slice(to.ch), spansFor(0));
        doc2.remove(from.line + 1, nlines);
      } else {
        update(firstLine, firstLine.text.slice(0, from.ch) + text[0], spansFor(0));
        update(lastLine, lastText + lastLine.text.slice(to.ch), lastSpans);
        var added$2 = linesFor(1, text.length - 1);
        if (nlines > 1) {
          doc2.remove(from.line + 1, nlines - 1);
        }
        doc2.insert(from.line + 1, added$2);
      }
      signalLater(doc2, "change", doc2, change);
    }
    function linkedDocs(doc2, f, sharedHistOnly) {
      function propagate(doc3, skip, sharedHist) {
        if (doc3.linked) {
          for (var i2 = 0; i2 < doc3.linked.length; ++i2) {
            var rel = doc3.linked[i2];
            if (rel.doc == skip) {
              continue;
            }
            var shared = sharedHist && rel.sharedHist;
            if (sharedHistOnly && !shared) {
              continue;
            }
            f(rel.doc, shared);
            propagate(rel.doc, doc3, shared);
          }
        }
      }
      propagate(doc2, null, true);
    }
    function attachDoc(cm, doc2) {
      if (doc2.cm) {
        throw new Error("This document is already in use.");
      }
      cm.doc = doc2;
      doc2.cm = cm;
      estimateLineHeights(cm);
      loadMode(cm);
      setDirectionClass(cm);
      cm.options.direction = doc2.direction;
      if (!cm.options.lineWrapping) {
        findMaxLine(cm);
      }
      cm.options.mode = doc2.modeOption;
      regChange(cm);
    }
    function setDirectionClass(cm) {
      (cm.doc.direction == "rtl" ? addClass : rmClass)(cm.display.lineDiv, "CodeMirror-rtl");
    }
    function directionChanged(cm) {
      runInOp(cm, function() {
        setDirectionClass(cm);
        regChange(cm);
      });
    }
    function History(prev) {
      this.done = [];
      this.undone = [];
      this.undoDepth = prev ? prev.undoDepth : Infinity;
      this.lastModTime = this.lastSelTime = 0;
      this.lastOp = this.lastSelOp = null;
      this.lastOrigin = this.lastSelOrigin = null;
      this.generation = this.maxGeneration = prev ? prev.maxGeneration : 1;
    }
    function historyChangeFromChange(doc2, change) {
      var histChange = { from: copyPos(change.from), to: changeEnd(change), text: getBetween(doc2, change.from, change.to) };
      attachLocalSpans(doc2, histChange, change.from.line, change.to.line + 1);
      linkedDocs(doc2, function(doc3) {
        return attachLocalSpans(doc3, histChange, change.from.line, change.to.line + 1);
      }, true);
      return histChange;
    }
    function clearSelectionEvents(array) {
      while (array.length) {
        var last = lst(array);
        if (last.ranges) {
          array.pop();
        } else {
          break;
        }
      }
    }
    function lastChangeEvent(hist, force) {
      if (force) {
        clearSelectionEvents(hist.done);
        return lst(hist.done);
      } else if (hist.done.length && !lst(hist.done).ranges) {
        return lst(hist.done);
      } else if (hist.done.length > 1 && !hist.done[hist.done.length - 2].ranges) {
        hist.done.pop();
        return lst(hist.done);
      }
    }
    function addChangeToHistory(doc2, change, selAfter, opId) {
      var hist = doc2.history;
      hist.undone.length = 0;
      var time = +new Date(), cur;
      var last;
      if ((hist.lastOp == opId || hist.lastOrigin == change.origin && change.origin && (change.origin.charAt(0) == "+" && hist.lastModTime > time - (doc2.cm ? doc2.cm.options.historyEventDelay : 500) || change.origin.charAt(0) == "*")) && (cur = lastChangeEvent(hist, hist.lastOp == opId))) {
        last = lst(cur.changes);
        if (cmp(change.from, change.to) == 0 && cmp(change.from, last.to) == 0) {
          last.to = changeEnd(change);
        } else {
          cur.changes.push(historyChangeFromChange(doc2, change));
        }
      } else {
        var before = lst(hist.done);
        if (!before || !before.ranges) {
          pushSelectionToHistory(doc2.sel, hist.done);
        }
        cur = {
          changes: [historyChangeFromChange(doc2, change)],
          generation: hist.generation
        };
        hist.done.push(cur);
        while (hist.done.length > hist.undoDepth) {
          hist.done.shift();
          if (!hist.done[0].ranges) {
            hist.done.shift();
          }
        }
      }
      hist.done.push(selAfter);
      hist.generation = ++hist.maxGeneration;
      hist.lastModTime = hist.lastSelTime = time;
      hist.lastOp = hist.lastSelOp = opId;
      hist.lastOrigin = hist.lastSelOrigin = change.origin;
      if (!last) {
        signal(doc2, "historyAdded");
      }
    }
    function selectionEventCanBeMerged(doc2, origin, prev, sel) {
      var ch = origin.charAt(0);
      return ch == "*" || ch == "+" && prev.ranges.length == sel.ranges.length && prev.somethingSelected() == sel.somethingSelected() && new Date() - doc2.history.lastSelTime <= (doc2.cm ? doc2.cm.options.historyEventDelay : 500);
    }
    function addSelectionToHistory(doc2, sel, opId, options) {
      var hist = doc2.history, origin = options && options.origin;
      if (opId == hist.lastSelOp || origin && hist.lastSelOrigin == origin && (hist.lastModTime == hist.lastSelTime && hist.lastOrigin == origin || selectionEventCanBeMerged(doc2, origin, lst(hist.done), sel))) {
        hist.done[hist.done.length - 1] = sel;
      } else {
        pushSelectionToHistory(sel, hist.done);
      }
      hist.lastSelTime = +new Date();
      hist.lastSelOrigin = origin;
      hist.lastSelOp = opId;
      if (options && options.clearRedo !== false) {
        clearSelectionEvents(hist.undone);
      }
    }
    function pushSelectionToHistory(sel, dest) {
      var top = lst(dest);
      if (!(top && top.ranges && top.equals(sel))) {
        dest.push(sel);
      }
    }
    function attachLocalSpans(doc2, change, from, to) {
      var existing = change["spans_" + doc2.id], n = 0;
      doc2.iter(Math.max(doc2.first, from), Math.min(doc2.first + doc2.size, to), function(line) {
        if (line.markedSpans) {
          (existing || (existing = change["spans_" + doc2.id] = {}))[n] = line.markedSpans;
        }
        ++n;
      });
    }
    function removeClearedSpans(spans) {
      if (!spans) {
        return null;
      }
      var out;
      for (var i2 = 0; i2 < spans.length; ++i2) {
        if (spans[i2].marker.explicitlyCleared) {
          if (!out) {
            out = spans.slice(0, i2);
          }
        } else if (out) {
          out.push(spans[i2]);
        }
      }
      return !out ? spans : out.length ? out : null;
    }
    function getOldSpans(doc2, change) {
      var found = change["spans_" + doc2.id];
      if (!found) {
        return null;
      }
      var nw = [];
      for (var i2 = 0; i2 < change.text.length; ++i2) {
        nw.push(removeClearedSpans(found[i2]));
      }
      return nw;
    }
    function mergeOldSpans(doc2, change) {
      var old = getOldSpans(doc2, change);
      var stretched = stretchSpansOverChange(doc2, change);
      if (!old) {
        return stretched;
      }
      if (!stretched) {
        return old;
      }
      for (var i2 = 0; i2 < old.length; ++i2) {
        var oldCur = old[i2], stretchCur = stretched[i2];
        if (oldCur && stretchCur) {
          spans:
            for (var j = 0; j < stretchCur.length; ++j) {
              var span = stretchCur[j];
              for (var k = 0; k < oldCur.length; ++k) {
                if (oldCur[k].marker == span.marker) {
                  continue spans;
                }
              }
              oldCur.push(span);
            }
        } else if (stretchCur) {
          old[i2] = stretchCur;
        }
      }
      return old;
    }
    function copyHistoryArray(events, newGroup, instantiateSel) {
      var copy = [];
      for (var i2 = 0; i2 < events.length; ++i2) {
        var event = events[i2];
        if (event.ranges) {
          copy.push(instantiateSel ? Selection.prototype.deepCopy.call(event) : event);
          continue;
        }
        var changes = event.changes, newChanges = [];
        copy.push({ changes: newChanges });
        for (var j = 0; j < changes.length; ++j) {
          var change = changes[j], m = void 0;
          newChanges.push({ from: change.from, to: change.to, text: change.text });
          if (newGroup) {
            for (var prop2 in change) {
              if (m = prop2.match(/^spans_(\d+)$/)) {
                if (indexOf(newGroup, Number(m[1])) > -1) {
                  lst(newChanges)[prop2] = change[prop2];
                  delete change[prop2];
                }
              }
            }
          }
        }
      }
      return copy;
    }
    function extendRange(range3, head, other, extend) {
      if (extend) {
        var anchor = range3.anchor;
        if (other) {
          var posBefore = cmp(head, anchor) < 0;
          if (posBefore != cmp(other, anchor) < 0) {
            anchor = head;
            head = other;
          } else if (posBefore != cmp(head, other) < 0) {
            head = other;
          }
        }
        return new Range(anchor, head);
      } else {
        return new Range(other || head, head);
      }
    }
    function extendSelection(doc2, head, other, options, extend) {
      if (extend == null) {
        extend = doc2.cm && (doc2.cm.display.shift || doc2.extend);
      }
      setSelection(doc2, new Selection([extendRange(doc2.sel.primary(), head, other, extend)], 0), options);
    }
    function extendSelections(doc2, heads, options) {
      var out = [];
      var extend = doc2.cm && (doc2.cm.display.shift || doc2.extend);
      for (var i2 = 0; i2 < doc2.sel.ranges.length; i2++) {
        out[i2] = extendRange(doc2.sel.ranges[i2], heads[i2], null, extend);
      }
      var newSel = normalizeSelection(doc2.cm, out, doc2.sel.primIndex);
      setSelection(doc2, newSel, options);
    }
    function replaceOneSelection(doc2, i2, range3, options) {
      var ranges = doc2.sel.ranges.slice(0);
      ranges[i2] = range3;
      setSelection(doc2, normalizeSelection(doc2.cm, ranges, doc2.sel.primIndex), options);
    }
    function setSimpleSelection(doc2, anchor, head, options) {
      setSelection(doc2, simpleSelection(anchor, head), options);
    }
    function filterSelectionChange(doc2, sel, options) {
      var obj = {
        ranges: sel.ranges,
        update: function(ranges) {
          this.ranges = [];
          for (var i2 = 0; i2 < ranges.length; i2++) {
            this.ranges[i2] = new Range(
              clipPos(doc2, ranges[i2].anchor),
              clipPos(doc2, ranges[i2].head)
            );
          }
        },
        origin: options && options.origin
      };
      signal(doc2, "beforeSelectionChange", doc2, obj);
      if (doc2.cm) {
        signal(doc2.cm, "beforeSelectionChange", doc2.cm, obj);
      }
      if (obj.ranges != sel.ranges) {
        return normalizeSelection(doc2.cm, obj.ranges, obj.ranges.length - 1);
      } else {
        return sel;
      }
    }
    function setSelectionReplaceHistory(doc2, sel, options) {
      var done = doc2.history.done, last = lst(done);
      if (last && last.ranges) {
        done[done.length - 1] = sel;
        setSelectionNoUndo(doc2, sel, options);
      } else {
        setSelection(doc2, sel, options);
      }
    }
    function setSelection(doc2, sel, options) {
      setSelectionNoUndo(doc2, sel, options);
      addSelectionToHistory(doc2, doc2.sel, doc2.cm ? doc2.cm.curOp.id : NaN, options);
    }
    function setSelectionNoUndo(doc2, sel, options) {
      if (hasHandler(doc2, "beforeSelectionChange") || doc2.cm && hasHandler(doc2.cm, "beforeSelectionChange")) {
        sel = filterSelectionChange(doc2, sel, options);
      }
      var bias = options && options.bias || (cmp(sel.primary().head, doc2.sel.primary().head) < 0 ? -1 : 1);
      setSelectionInner(doc2, skipAtomicInSelection(doc2, sel, bias, true));
      if (!(options && options.scroll === false) && doc2.cm && doc2.cm.getOption("readOnly") != "nocursor") {
        ensureCursorVisible(doc2.cm);
      }
    }
    function setSelectionInner(doc2, sel) {
      if (sel.equals(doc2.sel)) {
        return;
      }
      doc2.sel = sel;
      if (doc2.cm) {
        doc2.cm.curOp.updateInput = 1;
        doc2.cm.curOp.selectionChanged = true;
        signalCursorActivity(doc2.cm);
      }
      signalLater(doc2, "cursorActivity", doc2);
    }
    function reCheckSelection(doc2) {
      setSelectionInner(doc2, skipAtomicInSelection(doc2, doc2.sel, null, false));
    }
    function skipAtomicInSelection(doc2, sel, bias, mayClear) {
      var out;
      for (var i2 = 0; i2 < sel.ranges.length; i2++) {
        var range3 = sel.ranges[i2];
        var old = sel.ranges.length == doc2.sel.ranges.length && doc2.sel.ranges[i2];
        var newAnchor = skipAtomic(doc2, range3.anchor, old && old.anchor, bias, mayClear);
        var newHead = range3.head == range3.anchor ? newAnchor : skipAtomic(doc2, range3.head, old && old.head, bias, mayClear);
        if (out || newAnchor != range3.anchor || newHead != range3.head) {
          if (!out) {
            out = sel.ranges.slice(0, i2);
          }
          out[i2] = new Range(newAnchor, newHead);
        }
      }
      return out ? normalizeSelection(doc2.cm, out, sel.primIndex) : sel;
    }
    function skipAtomicInner(doc2, pos, oldPos, dir, mayClear) {
      var line = getLine(doc2, pos.line);
      if (line.markedSpans) {
        for (var i2 = 0; i2 < line.markedSpans.length; ++i2) {
          var sp = line.markedSpans[i2], m = sp.marker;
          var preventCursorLeft = "selectLeft" in m ? !m.selectLeft : m.inclusiveLeft;
          var preventCursorRight = "selectRight" in m ? !m.selectRight : m.inclusiveRight;
          if ((sp.from == null || (preventCursorLeft ? sp.from <= pos.ch : sp.from < pos.ch)) && (sp.to == null || (preventCursorRight ? sp.to >= pos.ch : sp.to > pos.ch))) {
            if (mayClear) {
              signal(m, "beforeCursorEnter");
              if (m.explicitlyCleared) {
                if (!line.markedSpans) {
                  break;
                } else {
                  --i2;
                  continue;
                }
              }
            }
            if (!m.atomic) {
              continue;
            }
            if (oldPos) {
              var near = m.find(dir < 0 ? 1 : -1), diff = void 0;
              if (dir < 0 ? preventCursorRight : preventCursorLeft) {
                near = movePos(doc2, near, -dir, near && near.line == pos.line ? line : null);
              }
              if (near && near.line == pos.line && (diff = cmp(near, oldPos)) && (dir < 0 ? diff < 0 : diff > 0)) {
                return skipAtomicInner(doc2, near, pos, dir, mayClear);
              }
            }
            var far = m.find(dir < 0 ? -1 : 1);
            if (dir < 0 ? preventCursorLeft : preventCursorRight) {
              far = movePos(doc2, far, dir, far.line == pos.line ? line : null);
            }
            return far ? skipAtomicInner(doc2, far, pos, dir, mayClear) : null;
          }
        }
      }
      return pos;
    }
    function skipAtomic(doc2, pos, oldPos, bias, mayClear) {
      var dir = bias || 1;
      var found = skipAtomicInner(doc2, pos, oldPos, dir, mayClear) || !mayClear && skipAtomicInner(doc2, pos, oldPos, dir, true) || skipAtomicInner(doc2, pos, oldPos, -dir, mayClear) || !mayClear && skipAtomicInner(doc2, pos, oldPos, -dir, true);
      if (!found) {
        doc2.cantEdit = true;
        return Pos(doc2.first, 0);
      }
      return found;
    }
    function movePos(doc2, pos, dir, line) {
      if (dir < 0 && pos.ch == 0) {
        if (pos.line > doc2.first) {
          return clipPos(doc2, Pos(pos.line - 1));
        } else {
          return null;
        }
      } else if (dir > 0 && pos.ch == (line || getLine(doc2, pos.line)).text.length) {
        if (pos.line < doc2.first + doc2.size - 1) {
          return Pos(pos.line + 1, 0);
        } else {
          return null;
        }
      } else {
        return new Pos(pos.line, pos.ch + dir);
      }
    }
    function selectAll(cm) {
      cm.setSelection(Pos(cm.firstLine(), 0), Pos(cm.lastLine()), sel_dontScroll);
    }
    function filterChange(doc2, change, update) {
      var obj = {
        canceled: false,
        from: change.from,
        to: change.to,
        text: change.text,
        origin: change.origin,
        cancel: function() {
          return obj.canceled = true;
        }
      };
      if (update) {
        obj.update = function(from, to, text, origin) {
          if (from) {
            obj.from = clipPos(doc2, from);
          }
          if (to) {
            obj.to = clipPos(doc2, to);
          }
          if (text) {
            obj.text = text;
          }
          if (origin !== void 0) {
            obj.origin = origin;
          }
        };
      }
      signal(doc2, "beforeChange", doc2, obj);
      if (doc2.cm) {
        signal(doc2.cm, "beforeChange", doc2.cm, obj);
      }
      if (obj.canceled) {
        if (doc2.cm) {
          doc2.cm.curOp.updateInput = 2;
        }
        return null;
      }
      return { from: obj.from, to: obj.to, text: obj.text, origin: obj.origin };
    }
    function makeChange(doc2, change, ignoreReadOnly) {
      if (doc2.cm) {
        if (!doc2.cm.curOp) {
          return operation(doc2.cm, makeChange)(doc2, change, ignoreReadOnly);
        }
        if (doc2.cm.state.suppressEdits) {
          return;
        }
      }
      if (hasHandler(doc2, "beforeChange") || doc2.cm && hasHandler(doc2.cm, "beforeChange")) {
        change = filterChange(doc2, change, true);
        if (!change) {
          return;
        }
      }
      var split = sawReadOnlySpans && !ignoreReadOnly && removeReadOnlyRanges(doc2, change.from, change.to);
      if (split) {
        for (var i2 = split.length - 1; i2 >= 0; --i2) {
          makeChangeInner(doc2, { from: split[i2].from, to: split[i2].to, text: i2 ? [""] : change.text, origin: change.origin });
        }
      } else {
        makeChangeInner(doc2, change);
      }
    }
    function makeChangeInner(doc2, change) {
      if (change.text.length == 1 && change.text[0] == "" && cmp(change.from, change.to) == 0) {
        return;
      }
      var selAfter = computeSelAfterChange(doc2, change);
      addChangeToHistory(doc2, change, selAfter, doc2.cm ? doc2.cm.curOp.id : NaN);
      makeChangeSingleDoc(doc2, change, selAfter, stretchSpansOverChange(doc2, change));
      var rebased = [];
      linkedDocs(doc2, function(doc3, sharedHist) {
        if (!sharedHist && indexOf(rebased, doc3.history) == -1) {
          rebaseHist(doc3.history, change);
          rebased.push(doc3.history);
        }
        makeChangeSingleDoc(doc3, change, null, stretchSpansOverChange(doc3, change));
      });
    }
    function makeChangeFromHistory(doc2, type, allowSelectionOnly) {
      var suppress = doc2.cm && doc2.cm.state.suppressEdits;
      if (suppress && !allowSelectionOnly) {
        return;
      }
      var hist = doc2.history, event, selAfter = doc2.sel;
      var source = type == "undo" ? hist.done : hist.undone, dest = type == "undo" ? hist.undone : hist.done;
      var i2 = 0;
      for (; i2 < source.length; i2++) {
        event = source[i2];
        if (allowSelectionOnly ? event.ranges && !event.equals(doc2.sel) : !event.ranges) {
          break;
        }
      }
      if (i2 == source.length) {
        return;
      }
      hist.lastOrigin = hist.lastSelOrigin = null;
      for (; ; ) {
        event = source.pop();
        if (event.ranges) {
          pushSelectionToHistory(event, dest);
          if (allowSelectionOnly && !event.equals(doc2.sel)) {
            setSelection(doc2, event, { clearRedo: false });
            return;
          }
          selAfter = event;
        } else if (suppress) {
          source.push(event);
          return;
        } else {
          break;
        }
      }
      var antiChanges = [];
      pushSelectionToHistory(selAfter, dest);
      dest.push({ changes: antiChanges, generation: hist.generation });
      hist.generation = event.generation || ++hist.maxGeneration;
      var filter = hasHandler(doc2, "beforeChange") || doc2.cm && hasHandler(doc2.cm, "beforeChange");
      var loop = function(i3) {
        var change = event.changes[i3];
        change.origin = type;
        if (filter && !filterChange(doc2, change, false)) {
          source.length = 0;
          return {};
        }
        antiChanges.push(historyChangeFromChange(doc2, change));
        var after = i3 ? computeSelAfterChange(doc2, change) : lst(source);
        makeChangeSingleDoc(doc2, change, after, mergeOldSpans(doc2, change));
        if (!i3 && doc2.cm) {
          doc2.cm.scrollIntoView({ from: change.from, to: changeEnd(change) });
        }
        var rebased = [];
        linkedDocs(doc2, function(doc3, sharedHist) {
          if (!sharedHist && indexOf(rebased, doc3.history) == -1) {
            rebaseHist(doc3.history, change);
            rebased.push(doc3.history);
          }
          makeChangeSingleDoc(doc3, change, null, mergeOldSpans(doc3, change));
        });
      };
      for (var i$12 = event.changes.length - 1; i$12 >= 0; --i$12) {
        var returned = loop(i$12);
        if (returned)
          return returned.v;
      }
    }
    function shiftDoc(doc2, distance) {
      if (distance == 0) {
        return;
      }
      doc2.first += distance;
      doc2.sel = new Selection(map2(doc2.sel.ranges, function(range3) {
        return new Range(
          Pos(range3.anchor.line + distance, range3.anchor.ch),
          Pos(range3.head.line + distance, range3.head.ch)
        );
      }), doc2.sel.primIndex);
      if (doc2.cm) {
        regChange(doc2.cm, doc2.first, doc2.first - distance, distance);
        for (var d = doc2.cm.display, l = d.viewFrom; l < d.viewTo; l++) {
          regLineChange(doc2.cm, l, "gutter");
        }
      }
    }
    function makeChangeSingleDoc(doc2, change, selAfter, spans) {
      if (doc2.cm && !doc2.cm.curOp) {
        return operation(doc2.cm, makeChangeSingleDoc)(doc2, change, selAfter, spans);
      }
      if (change.to.line < doc2.first) {
        shiftDoc(doc2, change.text.length - 1 - (change.to.line - change.from.line));
        return;
      }
      if (change.from.line > doc2.lastLine()) {
        return;
      }
      if (change.from.line < doc2.first) {
        var shift = change.text.length - 1 - (doc2.first - change.from.line);
        shiftDoc(doc2, shift);
        change = {
          from: Pos(doc2.first, 0),
          to: Pos(change.to.line + shift, change.to.ch),
          text: [lst(change.text)],
          origin: change.origin
        };
      }
      var last = doc2.lastLine();
      if (change.to.line > last) {
        change = {
          from: change.from,
          to: Pos(last, getLine(doc2, last).text.length),
          text: [change.text[0]],
          origin: change.origin
        };
      }
      change.removed = getBetween(doc2, change.from, change.to);
      if (!selAfter) {
        selAfter = computeSelAfterChange(doc2, change);
      }
      if (doc2.cm) {
        makeChangeSingleDocInEditor(doc2.cm, change, spans);
      } else {
        updateDoc(doc2, change, spans);
      }
      setSelectionNoUndo(doc2, selAfter, sel_dontScroll);
      if (doc2.cantEdit && skipAtomic(doc2, Pos(doc2.firstLine(), 0))) {
        doc2.cantEdit = false;
      }
    }
    function makeChangeSingleDocInEditor(cm, change, spans) {
      var doc2 = cm.doc, display = cm.display, from = change.from, to = change.to;
      var recomputeMaxLength = false, checkWidthStart = from.line;
      if (!cm.options.lineWrapping) {
        checkWidthStart = lineNo(visualLine(getLine(doc2, from.line)));
        doc2.iter(checkWidthStart, to.line + 1, function(line) {
          if (line == display.maxLine) {
            recomputeMaxLength = true;
            return true;
          }
        });
      }
      if (doc2.sel.contains(change.from, change.to) > -1) {
        signalCursorActivity(cm);
      }
      updateDoc(doc2, change, spans, estimateHeight(cm));
      if (!cm.options.lineWrapping) {
        doc2.iter(checkWidthStart, from.line + change.text.length, function(line) {
          var len = lineLength(line);
          if (len > display.maxLineLength) {
            display.maxLine = line;
            display.maxLineLength = len;
            display.maxLineChanged = true;
            recomputeMaxLength = false;
          }
        });
        if (recomputeMaxLength) {
          cm.curOp.updateMaxLine = true;
        }
      }
      retreatFrontier(doc2, from.line);
      startWorker(cm, 400);
      var lendiff = change.text.length - (to.line - from.line) - 1;
      if (change.full) {
        regChange(cm);
      } else if (from.line == to.line && change.text.length == 1 && !isWholeLineUpdate(cm.doc, change)) {
        regLineChange(cm, from.line, "text");
      } else {
        regChange(cm, from.line, to.line + 1, lendiff);
      }
      var changesHandler = hasHandler(cm, "changes"), changeHandler = hasHandler(cm, "change");
      if (changeHandler || changesHandler) {
        var obj = {
          from,
          to,
          text: change.text,
          removed: change.removed,
          origin: change.origin
        };
        if (changeHandler) {
          signalLater(cm, "change", cm, obj);
        }
        if (changesHandler) {
          (cm.curOp.changeObjs || (cm.curOp.changeObjs = [])).push(obj);
        }
      }
      cm.display.selForContextMenu = null;
    }
    function replaceRange(doc2, code, from, to, origin) {
      var assign;
      if (!to) {
        to = from;
      }
      if (cmp(to, from) < 0) {
        assign = [to, from], from = assign[0], to = assign[1];
      }
      if (typeof code == "string") {
        code = doc2.splitLines(code);
      }
      makeChange(doc2, { from, to, text: code, origin });
    }
    function rebaseHistSelSingle(pos, from, to, diff) {
      if (to < pos.line) {
        pos.line += diff;
      } else if (from < pos.line) {
        pos.line = from;
        pos.ch = 0;
      }
    }
    function rebaseHistArray(array, from, to, diff) {
      for (var i2 = 0; i2 < array.length; ++i2) {
        var sub = array[i2], ok = true;
        if (sub.ranges) {
          if (!sub.copied) {
            sub = array[i2] = sub.deepCopy();
            sub.copied = true;
          }
          for (var j = 0; j < sub.ranges.length; j++) {
            rebaseHistSelSingle(sub.ranges[j].anchor, from, to, diff);
            rebaseHistSelSingle(sub.ranges[j].head, from, to, diff);
          }
          continue;
        }
        for (var j$1 = 0; j$1 < sub.changes.length; ++j$1) {
          var cur = sub.changes[j$1];
          if (to < cur.from.line) {
            cur.from = Pos(cur.from.line + diff, cur.from.ch);
            cur.to = Pos(cur.to.line + diff, cur.to.ch);
          } else if (from <= cur.to.line) {
            ok = false;
            break;
          }
        }
        if (!ok) {
          array.splice(0, i2 + 1);
          i2 = 0;
        }
      }
    }
    function rebaseHist(hist, change) {
      var from = change.from.line, to = change.to.line, diff = change.text.length - (to - from) - 1;
      rebaseHistArray(hist.done, from, to, diff);
      rebaseHistArray(hist.undone, from, to, diff);
    }
    function changeLine(doc2, handle, changeType, op) {
      var no = handle, line = handle;
      if (typeof handle == "number") {
        line = getLine(doc2, clipLine(doc2, handle));
      } else {
        no = lineNo(handle);
      }
      if (no == null) {
        return null;
      }
      if (op(line, no) && doc2.cm) {
        regLineChange(doc2.cm, no, changeType);
      }
      return line;
    }
    function LeafChunk(lines) {
      this.lines = lines;
      this.parent = null;
      var height = 0;
      for (var i2 = 0; i2 < lines.length; ++i2) {
        lines[i2].parent = this;
        height += lines[i2].height;
      }
      this.height = height;
    }
    LeafChunk.prototype = {
      chunkSize: function() {
        return this.lines.length;
      },
      removeInner: function(at, n) {
        for (var i2 = at, e = at + n; i2 < e; ++i2) {
          var line = this.lines[i2];
          this.height -= line.height;
          cleanUpLine(line);
          signalLater(line, "delete");
        }
        this.lines.splice(at, n);
      },
      collapse: function(lines) {
        lines.push.apply(lines, this.lines);
      },
      insertInner: function(at, lines, height) {
        this.height += height;
        this.lines = this.lines.slice(0, at).concat(lines).concat(this.lines.slice(at));
        for (var i2 = 0; i2 < lines.length; ++i2) {
          lines[i2].parent = this;
        }
      },
      iterN: function(at, n, op) {
        for (var e = at + n; at < e; ++at) {
          if (op(this.lines[at])) {
            return true;
          }
        }
      }
    };
    function BranchChunk(children) {
      this.children = children;
      var size2 = 0, height = 0;
      for (var i2 = 0; i2 < children.length; ++i2) {
        var ch = children[i2];
        size2 += ch.chunkSize();
        height += ch.height;
        ch.parent = this;
      }
      this.size = size2;
      this.height = height;
      this.parent = null;
    }
    BranchChunk.prototype = {
      chunkSize: function() {
        return this.size;
      },
      removeInner: function(at, n) {
        this.size -= n;
        for (var i2 = 0; i2 < this.children.length; ++i2) {
          var child = this.children[i2], sz = child.chunkSize();
          if (at < sz) {
            var rm = Math.min(n, sz - at), oldHeight = child.height;
            child.removeInner(at, rm);
            this.height -= oldHeight - child.height;
            if (sz == rm) {
              this.children.splice(i2--, 1);
              child.parent = null;
            }
            if ((n -= rm) == 0) {
              break;
            }
            at = 0;
          } else {
            at -= sz;
          }
        }
        if (this.size - n < 25 && (this.children.length > 1 || !(this.children[0] instanceof LeafChunk))) {
          var lines = [];
          this.collapse(lines);
          this.children = [new LeafChunk(lines)];
          this.children[0].parent = this;
        }
      },
      collapse: function(lines) {
        for (var i2 = 0; i2 < this.children.length; ++i2) {
          this.children[i2].collapse(lines);
        }
      },
      insertInner: function(at, lines, height) {
        this.size += lines.length;
        this.height += height;
        for (var i2 = 0; i2 < this.children.length; ++i2) {
          var child = this.children[i2], sz = child.chunkSize();
          if (at <= sz) {
            child.insertInner(at, lines, height);
            if (child.lines && child.lines.length > 50) {
              var remaining = child.lines.length % 25 + 25;
              for (var pos = remaining; pos < child.lines.length; ) {
                var leaf = new LeafChunk(child.lines.slice(pos, pos += 25));
                child.height -= leaf.height;
                this.children.splice(++i2, 0, leaf);
                leaf.parent = this;
              }
              child.lines = child.lines.slice(0, remaining);
              this.maybeSpill();
            }
            break;
          }
          at -= sz;
        }
      },
      maybeSpill: function() {
        if (this.children.length <= 10) {
          return;
        }
        var me = this;
        do {
          var spilled = me.children.splice(me.children.length - 5, 5);
          var sibling = new BranchChunk(spilled);
          if (!me.parent) {
            var copy = new BranchChunk(me.children);
            copy.parent = me;
            me.children = [copy, sibling];
            me = copy;
          } else {
            me.size -= sibling.size;
            me.height -= sibling.height;
            var myIndex = indexOf(me.parent.children, me);
            me.parent.children.splice(myIndex + 1, 0, sibling);
          }
          sibling.parent = me.parent;
        } while (me.children.length > 10);
        me.parent.maybeSpill();
      },
      iterN: function(at, n, op) {
        for (var i2 = 0; i2 < this.children.length; ++i2) {
          var child = this.children[i2], sz = child.chunkSize();
          if (at < sz) {
            var used = Math.min(n, sz - at);
            if (child.iterN(at, used, op)) {
              return true;
            }
            if ((n -= used) == 0) {
              break;
            }
            at = 0;
          } else {
            at -= sz;
          }
        }
      }
    };
    var LineWidget = function(doc2, node, options) {
      if (options) {
        for (var opt in options) {
          if (options.hasOwnProperty(opt)) {
            this[opt] = options[opt];
          }
        }
      }
      this.doc = doc2;
      this.node = node;
    };
    LineWidget.prototype.clear = function() {
      var cm = this.doc.cm, ws = this.line.widgets, line = this.line, no = lineNo(line);
      if (no == null || !ws) {
        return;
      }
      for (var i2 = 0; i2 < ws.length; ++i2) {
        if (ws[i2] == this) {
          ws.splice(i2--, 1);
        }
      }
      if (!ws.length) {
        line.widgets = null;
      }
      var height = widgetHeight(this);
      updateLineHeight(line, Math.max(0, line.height - height));
      if (cm) {
        runInOp(cm, function() {
          adjustScrollWhenAboveVisible(cm, line, -height);
          regLineChange(cm, no, "widget");
        });
        signalLater(cm, "lineWidgetCleared", cm, this, no);
      }
    };
    LineWidget.prototype.changed = function() {
      var this$1$1 = this;
      var oldH = this.height, cm = this.doc.cm, line = this.line;
      this.height = null;
      var diff = widgetHeight(this) - oldH;
      if (!diff) {
        return;
      }
      if (!lineIsHidden(this.doc, line)) {
        updateLineHeight(line, line.height + diff);
      }
      if (cm) {
        runInOp(cm, function() {
          cm.curOp.forceUpdate = true;
          adjustScrollWhenAboveVisible(cm, line, diff);
          signalLater(cm, "lineWidgetChanged", cm, this$1$1, lineNo(line));
        });
      }
    };
    eventMixin(LineWidget);
    function adjustScrollWhenAboveVisible(cm, line, diff) {
      if (heightAtLine(line) < (cm.curOp && cm.curOp.scrollTop || cm.doc.scrollTop)) {
        addToScrollTop(cm, diff);
      }
    }
    function addLineWidget(doc2, handle, node, options) {
      var widget = new LineWidget(doc2, node, options);
      var cm = doc2.cm;
      if (cm && widget.noHScroll) {
        cm.display.alignWidgets = true;
      }
      changeLine(doc2, handle, "widget", function(line) {
        var widgets = line.widgets || (line.widgets = []);
        if (widget.insertAt == null) {
          widgets.push(widget);
        } else {
          widgets.splice(Math.min(widgets.length, Math.max(0, widget.insertAt)), 0, widget);
        }
        widget.line = line;
        if (cm && !lineIsHidden(doc2, line)) {
          var aboveVisible = heightAtLine(line) < doc2.scrollTop;
          updateLineHeight(line, line.height + widgetHeight(widget));
          if (aboveVisible) {
            addToScrollTop(cm, widget.height);
          }
          cm.curOp.forceUpdate = true;
        }
        return true;
      });
      if (cm) {
        signalLater(cm, "lineWidgetAdded", cm, widget, typeof handle == "number" ? handle : lineNo(handle));
      }
      return widget;
    }
    var nextMarkerId = 0;
    var TextMarker = function(doc2, type) {
      this.lines = [];
      this.type = type;
      this.doc = doc2;
      this.id = ++nextMarkerId;
    };
    TextMarker.prototype.clear = function() {
      if (this.explicitlyCleared) {
        return;
      }
      var cm = this.doc.cm, withOp = cm && !cm.curOp;
      if (withOp) {
        startOperation(cm);
      }
      if (hasHandler(this, "clear")) {
        var found = this.find();
        if (found) {
          signalLater(this, "clear", found.from, found.to);
        }
      }
      var min = null, max = null;
      for (var i2 = 0; i2 < this.lines.length; ++i2) {
        var line = this.lines[i2];
        var span = getMarkedSpanFor(line.markedSpans, this);
        if (cm && !this.collapsed) {
          regLineChange(cm, lineNo(line), "text");
        } else if (cm) {
          if (span.to != null) {
            max = lineNo(line);
          }
          if (span.from != null) {
            min = lineNo(line);
          }
        }
        line.markedSpans = removeMarkedSpan(line.markedSpans, span);
        if (span.from == null && this.collapsed && !lineIsHidden(this.doc, line) && cm) {
          updateLineHeight(line, textHeight(cm.display));
        }
      }
      if (cm && this.collapsed && !cm.options.lineWrapping) {
        for (var i$12 = 0; i$12 < this.lines.length; ++i$12) {
          var visual = visualLine(this.lines[i$12]), len = lineLength(visual);
          if (len > cm.display.maxLineLength) {
            cm.display.maxLine = visual;
            cm.display.maxLineLength = len;
            cm.display.maxLineChanged = true;
          }
        }
      }
      if (min != null && cm && this.collapsed) {
        regChange(cm, min, max + 1);
      }
      this.lines.length = 0;
      this.explicitlyCleared = true;
      if (this.atomic && this.doc.cantEdit) {
        this.doc.cantEdit = false;
        if (cm) {
          reCheckSelection(cm.doc);
        }
      }
      if (cm) {
        signalLater(cm, "markerCleared", cm, this, min, max);
      }
      if (withOp) {
        endOperation(cm);
      }
      if (this.parent) {
        this.parent.clear();
      }
    };
    TextMarker.prototype.find = function(side, lineObj) {
      if (side == null && this.type == "bookmark") {
        side = 1;
      }
      var from, to;
      for (var i2 = 0; i2 < this.lines.length; ++i2) {
        var line = this.lines[i2];
        var span = getMarkedSpanFor(line.markedSpans, this);
        if (span.from != null) {
          from = Pos(lineObj ? line : lineNo(line), span.from);
          if (side == -1) {
            return from;
          }
        }
        if (span.to != null) {
          to = Pos(lineObj ? line : lineNo(line), span.to);
          if (side == 1) {
            return to;
          }
        }
      }
      return from && { from, to };
    };
    TextMarker.prototype.changed = function() {
      var this$1$1 = this;
      var pos = this.find(-1, true), widget = this, cm = this.doc.cm;
      if (!pos || !cm) {
        return;
      }
      runInOp(cm, function() {
        var line = pos.line, lineN = lineNo(pos.line);
        var view = findViewForLine(cm, lineN);
        if (view) {
          clearLineMeasurementCacheFor(view);
          cm.curOp.selectionChanged = cm.curOp.forceUpdate = true;
        }
        cm.curOp.updateMaxLine = true;
        if (!lineIsHidden(widget.doc, line) && widget.height != null) {
          var oldHeight = widget.height;
          widget.height = null;
          var dHeight = widgetHeight(widget) - oldHeight;
          if (dHeight) {
            updateLineHeight(line, line.height + dHeight);
          }
        }
        signalLater(cm, "markerChanged", cm, this$1$1);
      });
    };
    TextMarker.prototype.attachLine = function(line) {
      if (!this.lines.length && this.doc.cm) {
        var op = this.doc.cm.curOp;
        if (!op.maybeHiddenMarkers || indexOf(op.maybeHiddenMarkers, this) == -1) {
          (op.maybeUnhiddenMarkers || (op.maybeUnhiddenMarkers = [])).push(this);
        }
      }
      this.lines.push(line);
    };
    TextMarker.prototype.detachLine = function(line) {
      this.lines.splice(indexOf(this.lines, line), 1);
      if (!this.lines.length && this.doc.cm) {
        var op = this.doc.cm.curOp;
        (op.maybeHiddenMarkers || (op.maybeHiddenMarkers = [])).push(this);
      }
    };
    eventMixin(TextMarker);
    function markText(doc2, from, to, options, type) {
      if (options && options.shared) {
        return markTextShared(doc2, from, to, options, type);
      }
      if (doc2.cm && !doc2.cm.curOp) {
        return operation(doc2.cm, markText)(doc2, from, to, options, type);
      }
      var marker = new TextMarker(doc2, type), diff = cmp(from, to);
      if (options) {
        copyObj(options, marker, false);
      }
      if (diff > 0 || diff == 0 && marker.clearWhenEmpty !== false) {
        return marker;
      }
      if (marker.replacedWith) {
        marker.collapsed = true;
        marker.widgetNode = eltP("span", [marker.replacedWith], "CodeMirror-widget");
        if (!options.handleMouseEvents) {
          marker.widgetNode.setAttribute("cm-ignore-events", "true");
        }
        if (options.insertLeft) {
          marker.widgetNode.insertLeft = true;
        }
      }
      if (marker.collapsed) {
        if (conflictingCollapsedRange(doc2, from.line, from, to, marker) || from.line != to.line && conflictingCollapsedRange(doc2, to.line, from, to, marker)) {
          throw new Error("Inserting collapsed marker partially overlapping an existing one");
        }
        seeCollapsedSpans();
      }
      if (marker.addToHistory) {
        addChangeToHistory(doc2, { from, to, origin: "markText" }, doc2.sel, NaN);
      }
      var curLine = from.line, cm = doc2.cm, updateMaxLine;
      doc2.iter(curLine, to.line + 1, function(line) {
        if (cm && marker.collapsed && !cm.options.lineWrapping && visualLine(line) == cm.display.maxLine) {
          updateMaxLine = true;
        }
        if (marker.collapsed && curLine != from.line) {
          updateLineHeight(line, 0);
        }
        addMarkedSpan(line, new MarkedSpan(
          marker,
          curLine == from.line ? from.ch : null,
          curLine == to.line ? to.ch : null
        ), doc2.cm && doc2.cm.curOp);
        ++curLine;
      });
      if (marker.collapsed) {
        doc2.iter(from.line, to.line + 1, function(line) {
          if (lineIsHidden(doc2, line)) {
            updateLineHeight(line, 0);
          }
        });
      }
      if (marker.clearOnEnter) {
        on(marker, "beforeCursorEnter", function() {
          return marker.clear();
        });
      }
      if (marker.readOnly) {
        seeReadOnlySpans();
        if (doc2.history.done.length || doc2.history.undone.length) {
          doc2.clearHistory();
        }
      }
      if (marker.collapsed) {
        marker.id = ++nextMarkerId;
        marker.atomic = true;
      }
      if (cm) {
        if (updateMaxLine) {
          cm.curOp.updateMaxLine = true;
        }
        if (marker.collapsed) {
          regChange(cm, from.line, to.line + 1);
        } else if (marker.className || marker.startStyle || marker.endStyle || marker.css || marker.attributes || marker.title) {
          for (var i2 = from.line; i2 <= to.line; i2++) {
            regLineChange(cm, i2, "text");
          }
        }
        if (marker.atomic) {
          reCheckSelection(cm.doc);
        }
        signalLater(cm, "markerAdded", cm, marker);
      }
      return marker;
    }
    var SharedTextMarker = function(markers, primary) {
      this.markers = markers;
      this.primary = primary;
      for (var i2 = 0; i2 < markers.length; ++i2) {
        markers[i2].parent = this;
      }
    };
    SharedTextMarker.prototype.clear = function() {
      if (this.explicitlyCleared) {
        return;
      }
      this.explicitlyCleared = true;
      for (var i2 = 0; i2 < this.markers.length; ++i2) {
        this.markers[i2].clear();
      }
      signalLater(this, "clear");
    };
    SharedTextMarker.prototype.find = function(side, lineObj) {
      return this.primary.find(side, lineObj);
    };
    eventMixin(SharedTextMarker);
    function markTextShared(doc2, from, to, options, type) {
      options = copyObj(options);
      options.shared = false;
      var markers = [markText(doc2, from, to, options, type)], primary = markers[0];
      var widget = options.widgetNode;
      linkedDocs(doc2, function(doc3) {
        if (widget) {
          options.widgetNode = widget.cloneNode(true);
        }
        markers.push(markText(doc3, clipPos(doc3, from), clipPos(doc3, to), options, type));
        for (var i2 = 0; i2 < doc3.linked.length; ++i2) {
          if (doc3.linked[i2].isParent) {
            return;
          }
        }
        primary = lst(markers);
      });
      return new SharedTextMarker(markers, primary);
    }
    function findSharedMarkers(doc2) {
      return doc2.findMarks(Pos(doc2.first, 0), doc2.clipPos(Pos(doc2.lastLine())), function(m) {
        return m.parent;
      });
    }
    function copySharedMarkers(doc2, markers) {
      for (var i2 = 0; i2 < markers.length; i2++) {
        var marker = markers[i2], pos = marker.find();
        var mFrom = doc2.clipPos(pos.from), mTo = doc2.clipPos(pos.to);
        if (cmp(mFrom, mTo)) {
          var subMark = markText(doc2, mFrom, mTo, marker.primary, marker.primary.type);
          marker.markers.push(subMark);
          subMark.parent = marker;
        }
      }
    }
    function detachSharedMarkers(markers) {
      var loop = function(i3) {
        var marker = markers[i3], linked = [marker.primary.doc];
        linkedDocs(marker.primary.doc, function(d) {
          return linked.push(d);
        });
        for (var j = 0; j < marker.markers.length; j++) {
          var subMarker = marker.markers[j];
          if (indexOf(linked, subMarker.doc) == -1) {
            subMarker.parent = null;
            marker.markers.splice(j--, 1);
          }
        }
      };
      for (var i2 = 0; i2 < markers.length; i2++)
        loop(i2);
    }
    var nextDocId = 0;
    var Doc = function(text, mode, firstLine, lineSep, direction) {
      if (!(this instanceof Doc)) {
        return new Doc(text, mode, firstLine, lineSep, direction);
      }
      if (firstLine == null) {
        firstLine = 0;
      }
      BranchChunk.call(this, [new LeafChunk([new Line("", null)])]);
      this.first = firstLine;
      this.scrollTop = this.scrollLeft = 0;
      this.cantEdit = false;
      this.cleanGeneration = 1;
      this.modeFrontier = this.highlightFrontier = firstLine;
      var start = Pos(firstLine, 0);
      this.sel = simpleSelection(start);
      this.history = new History(null);
      this.id = ++nextDocId;
      this.modeOption = mode;
      this.lineSep = lineSep;
      this.direction = direction == "rtl" ? "rtl" : "ltr";
      this.extend = false;
      if (typeof text == "string") {
        text = this.splitLines(text);
      }
      updateDoc(this, { from: start, to: start, text });
      setSelection(this, simpleSelection(start), sel_dontScroll);
    };
    Doc.prototype = createObj(BranchChunk.prototype, {
      constructor: Doc,
      iter: function(from, to, op) {
        if (op) {
          this.iterN(from - this.first, to - from, op);
        } else {
          this.iterN(this.first, this.first + this.size, from);
        }
      },
      insert: function(at, lines) {
        var height = 0;
        for (var i2 = 0; i2 < lines.length; ++i2) {
          height += lines[i2].height;
        }
        this.insertInner(at - this.first, lines, height);
      },
      remove: function(at, n) {
        this.removeInner(at - this.first, n);
      },
      getValue: function(lineSep) {
        var lines = getLines(this, this.first, this.first + this.size);
        if (lineSep === false) {
          return lines;
        }
        return lines.join(lineSep || this.lineSeparator());
      },
      setValue: docMethodOp(function(code) {
        var top = Pos(this.first, 0), last = this.first + this.size - 1;
        makeChange(this, {
          from: top,
          to: Pos(last, getLine(this, last).text.length),
          text: this.splitLines(code),
          origin: "setValue",
          full: true
        }, true);
        if (this.cm) {
          scrollToCoords(this.cm, 0, 0);
        }
        setSelection(this, simpleSelection(top), sel_dontScroll);
      }),
      replaceRange: function(code, from, to, origin) {
        from = clipPos(this, from);
        to = to ? clipPos(this, to) : from;
        replaceRange(this, code, from, to, origin);
      },
      getRange: function(from, to, lineSep) {
        var lines = getBetween(this, clipPos(this, from), clipPos(this, to));
        if (lineSep === false) {
          return lines;
        }
        if (lineSep === "") {
          return lines.join("");
        }
        return lines.join(lineSep || this.lineSeparator());
      },
      getLine: function(line) {
        var l = this.getLineHandle(line);
        return l && l.text;
      },
      getLineHandle: function(line) {
        if (isLine(this, line)) {
          return getLine(this, line);
        }
      },
      getLineNumber: function(line) {
        return lineNo(line);
      },
      getLineHandleVisualStart: function(line) {
        if (typeof line == "number") {
          line = getLine(this, line);
        }
        return visualLine(line);
      },
      lineCount: function() {
        return this.size;
      },
      firstLine: function() {
        return this.first;
      },
      lastLine: function() {
        return this.first + this.size - 1;
      },
      clipPos: function(pos) {
        return clipPos(this, pos);
      },
      getCursor: function(start) {
        var range3 = this.sel.primary(), pos;
        if (start == null || start == "head") {
          pos = range3.head;
        } else if (start == "anchor") {
          pos = range3.anchor;
        } else if (start == "end" || start == "to" || start === false) {
          pos = range3.to();
        } else {
          pos = range3.from();
        }
        return pos;
      },
      listSelections: function() {
        return this.sel.ranges;
      },
      somethingSelected: function() {
        return this.sel.somethingSelected();
      },
      setCursor: docMethodOp(function(line, ch, options) {
        setSimpleSelection(this, clipPos(this, typeof line == "number" ? Pos(line, ch || 0) : line), null, options);
      }),
      setSelection: docMethodOp(function(anchor, head, options) {
        setSimpleSelection(this, clipPos(this, anchor), clipPos(this, head || anchor), options);
      }),
      extendSelection: docMethodOp(function(head, other, options) {
        extendSelection(this, clipPos(this, head), other && clipPos(this, other), options);
      }),
      extendSelections: docMethodOp(function(heads, options) {
        extendSelections(this, clipPosArray(this, heads), options);
      }),
      extendSelectionsBy: docMethodOp(function(f, options) {
        var heads = map2(this.sel.ranges, f);
        extendSelections(this, clipPosArray(this, heads), options);
      }),
      setSelections: docMethodOp(function(ranges, primary, options) {
        if (!ranges.length) {
          return;
        }
        var out = [];
        for (var i2 = 0; i2 < ranges.length; i2++) {
          out[i2] = new Range(
            clipPos(this, ranges[i2].anchor),
            clipPos(this, ranges[i2].head || ranges[i2].anchor)
          );
        }
        if (primary == null) {
          primary = Math.min(ranges.length - 1, this.sel.primIndex);
        }
        setSelection(this, normalizeSelection(this.cm, out, primary), options);
      }),
      addSelection: docMethodOp(function(anchor, head, options) {
        var ranges = this.sel.ranges.slice(0);
        ranges.push(new Range(clipPos(this, anchor), clipPos(this, head || anchor)));
        setSelection(this, normalizeSelection(this.cm, ranges, ranges.length - 1), options);
      }),
      getSelection: function(lineSep) {
        var ranges = this.sel.ranges, lines;
        for (var i2 = 0; i2 < ranges.length; i2++) {
          var sel = getBetween(this, ranges[i2].from(), ranges[i2].to());
          lines = lines ? lines.concat(sel) : sel;
        }
        if (lineSep === false) {
          return lines;
        } else {
          return lines.join(lineSep || this.lineSeparator());
        }
      },
      getSelections: function(lineSep) {
        var parts = [], ranges = this.sel.ranges;
        for (var i2 = 0; i2 < ranges.length; i2++) {
          var sel = getBetween(this, ranges[i2].from(), ranges[i2].to());
          if (lineSep !== false) {
            sel = sel.join(lineSep || this.lineSeparator());
          }
          parts[i2] = sel;
        }
        return parts;
      },
      replaceSelection: function(code, collapse, origin) {
        var dup = [];
        for (var i2 = 0; i2 < this.sel.ranges.length; i2++) {
          dup[i2] = code;
        }
        this.replaceSelections(dup, collapse, origin || "+input");
      },
      replaceSelections: docMethodOp(function(code, collapse, origin) {
        var changes = [], sel = this.sel;
        for (var i2 = 0; i2 < sel.ranges.length; i2++) {
          var range3 = sel.ranges[i2];
          changes[i2] = { from: range3.from(), to: range3.to(), text: this.splitLines(code[i2]), origin };
        }
        var newSel = collapse && collapse != "end" && computeReplacedSel(this, changes, collapse);
        for (var i$12 = changes.length - 1; i$12 >= 0; i$12--) {
          makeChange(this, changes[i$12]);
        }
        if (newSel) {
          setSelectionReplaceHistory(this, newSel);
        } else if (this.cm) {
          ensureCursorVisible(this.cm);
        }
      }),
      undo: docMethodOp(function() {
        makeChangeFromHistory(this, "undo");
      }),
      redo: docMethodOp(function() {
        makeChangeFromHistory(this, "redo");
      }),
      undoSelection: docMethodOp(function() {
        makeChangeFromHistory(this, "undo", true);
      }),
      redoSelection: docMethodOp(function() {
        makeChangeFromHistory(this, "redo", true);
      }),
      setExtending: function(val) {
        this.extend = val;
      },
      getExtending: function() {
        return this.extend;
      },
      historySize: function() {
        var hist = this.history, done = 0, undone = 0;
        for (var i2 = 0; i2 < hist.done.length; i2++) {
          if (!hist.done[i2].ranges) {
            ++done;
          }
        }
        for (var i$12 = 0; i$12 < hist.undone.length; i$12++) {
          if (!hist.undone[i$12].ranges) {
            ++undone;
          }
        }
        return { undo: done, redo: undone };
      },
      clearHistory: function() {
        var this$1$1 = this;
        this.history = new History(this.history);
        linkedDocs(this, function(doc2) {
          return doc2.history = this$1$1.history;
        }, true);
      },
      markClean: function() {
        this.cleanGeneration = this.changeGeneration(true);
      },
      changeGeneration: function(forceSplit) {
        if (forceSplit) {
          this.history.lastOp = this.history.lastSelOp = this.history.lastOrigin = null;
        }
        return this.history.generation;
      },
      isClean: function(gen) {
        return this.history.generation == (gen || this.cleanGeneration);
      },
      getHistory: function() {
        return {
          done: copyHistoryArray(this.history.done),
          undone: copyHistoryArray(this.history.undone)
        };
      },
      setHistory: function(histData) {
        var hist = this.history = new History(this.history);
        hist.done = copyHistoryArray(histData.done.slice(0), null, true);
        hist.undone = copyHistoryArray(histData.undone.slice(0), null, true);
      },
      setGutterMarker: docMethodOp(function(line, gutterID, value) {
        return changeLine(this, line, "gutter", function(line2) {
          var markers = line2.gutterMarkers || (line2.gutterMarkers = {});
          markers[gutterID] = value;
          if (!value && isEmpty(markers)) {
            line2.gutterMarkers = null;
          }
          return true;
        });
      }),
      clearGutter: docMethodOp(function(gutterID) {
        var this$1$1 = this;
        this.iter(function(line) {
          if (line.gutterMarkers && line.gutterMarkers[gutterID]) {
            changeLine(this$1$1, line, "gutter", function() {
              line.gutterMarkers[gutterID] = null;
              if (isEmpty(line.gutterMarkers)) {
                line.gutterMarkers = null;
              }
              return true;
            });
          }
        });
      }),
      lineInfo: function(line) {
        var n;
        if (typeof line == "number") {
          if (!isLine(this, line)) {
            return null;
          }
          n = line;
          line = getLine(this, line);
          if (!line) {
            return null;
          }
        } else {
          n = lineNo(line);
          if (n == null) {
            return null;
          }
        }
        return {
          line: n,
          handle: line,
          text: line.text,
          gutterMarkers: line.gutterMarkers,
          textClass: line.textClass,
          bgClass: line.bgClass,
          wrapClass: line.wrapClass,
          widgets: line.widgets
        };
      },
      addLineClass: docMethodOp(function(handle, where, cls) {
        return changeLine(this, handle, where == "gutter" ? "gutter" : "class", function(line) {
          var prop2 = where == "text" ? "textClass" : where == "background" ? "bgClass" : where == "gutter" ? "gutterClass" : "wrapClass";
          if (!line[prop2]) {
            line[prop2] = cls;
          } else if (classTest(cls).test(line[prop2])) {
            return false;
          } else {
            line[prop2] += " " + cls;
          }
          return true;
        });
      }),
      removeLineClass: docMethodOp(function(handle, where, cls) {
        return changeLine(this, handle, where == "gutter" ? "gutter" : "class", function(line) {
          var prop2 = where == "text" ? "textClass" : where == "background" ? "bgClass" : where == "gutter" ? "gutterClass" : "wrapClass";
          var cur = line[prop2];
          if (!cur) {
            return false;
          } else if (cls == null) {
            line[prop2] = null;
          } else {
            var found = cur.match(classTest(cls));
            if (!found) {
              return false;
            }
            var end = found.index + found[0].length;
            line[prop2] = cur.slice(0, found.index) + (!found.index || end == cur.length ? "" : " ") + cur.slice(end) || null;
          }
          return true;
        });
      }),
      addLineWidget: docMethodOp(function(handle, node, options) {
        return addLineWidget(this, handle, node, options);
      }),
      removeLineWidget: function(widget) {
        widget.clear();
      },
      markText: function(from, to, options) {
        return markText(this, clipPos(this, from), clipPos(this, to), options, options && options.type || "range");
      },
      setBookmark: function(pos, options) {
        var realOpts = {
          replacedWith: options && (options.nodeType == null ? options.widget : options),
          insertLeft: options && options.insertLeft,
          clearWhenEmpty: false,
          shared: options && options.shared,
          handleMouseEvents: options && options.handleMouseEvents
        };
        pos = clipPos(this, pos);
        return markText(this, pos, pos, realOpts, "bookmark");
      },
      findMarksAt: function(pos) {
        pos = clipPos(this, pos);
        var markers = [], spans = getLine(this, pos.line).markedSpans;
        if (spans) {
          for (var i2 = 0; i2 < spans.length; ++i2) {
            var span = spans[i2];
            if ((span.from == null || span.from <= pos.ch) && (span.to == null || span.to >= pos.ch)) {
              markers.push(span.marker.parent || span.marker);
            }
          }
        }
        return markers;
      },
      findMarks: function(from, to, filter) {
        from = clipPos(this, from);
        to = clipPos(this, to);
        var found = [], lineNo2 = from.line;
        this.iter(from.line, to.line + 1, function(line) {
          var spans = line.markedSpans;
          if (spans) {
            for (var i2 = 0; i2 < spans.length; i2++) {
              var span = spans[i2];
              if (!(span.to != null && lineNo2 == from.line && from.ch >= span.to || span.from == null && lineNo2 != from.line || span.from != null && lineNo2 == to.line && span.from >= to.ch) && (!filter || filter(span.marker))) {
                found.push(span.marker.parent || span.marker);
              }
            }
          }
          ++lineNo2;
        });
        return found;
      },
      getAllMarks: function() {
        var markers = [];
        this.iter(function(line) {
          var sps = line.markedSpans;
          if (sps) {
            for (var i2 = 0; i2 < sps.length; ++i2) {
              if (sps[i2].from != null) {
                markers.push(sps[i2].marker);
              }
            }
          }
        });
        return markers;
      },
      posFromIndex: function(off2) {
        var ch, lineNo2 = this.first, sepSize = this.lineSeparator().length;
        this.iter(function(line) {
          var sz = line.text.length + sepSize;
          if (sz > off2) {
            ch = off2;
            return true;
          }
          off2 -= sz;
          ++lineNo2;
        });
        return clipPos(this, Pos(lineNo2, ch));
      },
      indexFromPos: function(coords) {
        coords = clipPos(this, coords);
        var index = coords.ch;
        if (coords.line < this.first || coords.ch < 0) {
          return 0;
        }
        var sepSize = this.lineSeparator().length;
        this.iter(this.first, coords.line, function(line) {
          index += line.text.length + sepSize;
        });
        return index;
      },
      copy: function(copyHistory) {
        var doc2 = new Doc(
          getLines(this, this.first, this.first + this.size),
          this.modeOption,
          this.first,
          this.lineSep,
          this.direction
        );
        doc2.scrollTop = this.scrollTop;
        doc2.scrollLeft = this.scrollLeft;
        doc2.sel = this.sel;
        doc2.extend = false;
        if (copyHistory) {
          doc2.history.undoDepth = this.history.undoDepth;
          doc2.setHistory(this.getHistory());
        }
        return doc2;
      },
      linkedDoc: function(options) {
        if (!options) {
          options = {};
        }
        var from = this.first, to = this.first + this.size;
        if (options.from != null && options.from > from) {
          from = options.from;
        }
        if (options.to != null && options.to < to) {
          to = options.to;
        }
        var copy = new Doc(getLines(this, from, to), options.mode || this.modeOption, from, this.lineSep, this.direction);
        if (options.sharedHist) {
          copy.history = this.history;
        }
        (this.linked || (this.linked = [])).push({ doc: copy, sharedHist: options.sharedHist });
        copy.linked = [{ doc: this, isParent: true, sharedHist: options.sharedHist }];
        copySharedMarkers(copy, findSharedMarkers(this));
        return copy;
      },
      unlinkDoc: function(other) {
        if (other instanceof CodeMirror2) {
          other = other.doc;
        }
        if (this.linked) {
          for (var i2 = 0; i2 < this.linked.length; ++i2) {
            var link = this.linked[i2];
            if (link.doc != other) {
              continue;
            }
            this.linked.splice(i2, 1);
            other.unlinkDoc(this);
            detachSharedMarkers(findSharedMarkers(this));
            break;
          }
        }
        if (other.history == this.history) {
          var splitIds = [other.id];
          linkedDocs(other, function(doc2) {
            return splitIds.push(doc2.id);
          }, true);
          other.history = new History(null);
          other.history.done = copyHistoryArray(this.history.done, splitIds);
          other.history.undone = copyHistoryArray(this.history.undone, splitIds);
        }
      },
      iterLinkedDocs: function(f) {
        linkedDocs(this, f);
      },
      getMode: function() {
        return this.mode;
      },
      getEditor: function() {
        return this.cm;
      },
      splitLines: function(str) {
        if (this.lineSep) {
          return str.split(this.lineSep);
        }
        return splitLinesAuto(str);
      },
      lineSeparator: function() {
        return this.lineSep || "\n";
      },
      setDirection: docMethodOp(function(dir) {
        if (dir != "rtl") {
          dir = "ltr";
        }
        if (dir == this.direction) {
          return;
        }
        this.direction = dir;
        this.iter(function(line) {
          return line.order = null;
        });
        if (this.cm) {
          directionChanged(this.cm);
        }
      })
    });
    Doc.prototype.eachLine = Doc.prototype.iter;
    var lastDrop = 0;
    function onDrop(e) {
      var cm = this;
      clearDragCursor(cm);
      if (signalDOMEvent(cm, e) || eventInWidget(cm.display, e)) {
        return;
      }
      e_preventDefault(e);
      if (ie) {
        lastDrop = +new Date();
      }
      var pos = posFromMouse(cm, e, true), files = e.dataTransfer.files;
      if (!pos || cm.isReadOnly()) {
        return;
      }
      if (files && files.length && window.FileReader && window.File) {
        var n = files.length, text = Array(n), read = 0;
        var markAsReadAndPasteIfAllFilesAreRead = function() {
          if (++read == n) {
            operation(cm, function() {
              pos = clipPos(cm.doc, pos);
              var change = {
                from: pos,
                to: pos,
                text: cm.doc.splitLines(
                  text.filter(function(t) {
                    return t != null;
                  }).join(cm.doc.lineSeparator())
                ),
                origin: "paste"
              };
              makeChange(cm.doc, change);
              setSelectionReplaceHistory(cm.doc, simpleSelection(clipPos(cm.doc, pos), clipPos(cm.doc, changeEnd(change))));
            })();
          }
        };
        var readTextFromFile = function(file, i3) {
          if (cm.options.allowDropFileTypes && indexOf(cm.options.allowDropFileTypes, file.type) == -1) {
            markAsReadAndPasteIfAllFilesAreRead();
            return;
          }
          var reader = new FileReader();
          reader.onerror = function() {
            return markAsReadAndPasteIfAllFilesAreRead();
          };
          reader.onload = function() {
            var content = reader.result;
            if (/[\x00-\x08\x0e-\x1f]{2}/.test(content)) {
              markAsReadAndPasteIfAllFilesAreRead();
              return;
            }
            text[i3] = content;
            markAsReadAndPasteIfAllFilesAreRead();
          };
          reader.readAsText(file);
        };
        for (var i2 = 0; i2 < files.length; i2++) {
          readTextFromFile(files[i2], i2);
        }
      } else {
        if (cm.state.draggingText && cm.doc.sel.contains(pos) > -1) {
          cm.state.draggingText(e);
          setTimeout(function() {
            return cm.display.input.focus();
          }, 20);
          return;
        }
        try {
          var text$1 = e.dataTransfer.getData("Text");
          if (text$1) {
            var selected;
            if (cm.state.draggingText && !cm.state.draggingText.copy) {
              selected = cm.listSelections();
            }
            setSelectionNoUndo(cm.doc, simpleSelection(pos, pos));
            if (selected) {
              for (var i$12 = 0; i$12 < selected.length; ++i$12) {
                replaceRange(cm.doc, "", selected[i$12].anchor, selected[i$12].head, "drag");
              }
            }
            cm.replaceSelection(text$1, "around", "paste");
            cm.display.input.focus();
          }
        } catch (e$1) {
        }
      }
    }
    function onDragStart(cm, e) {
      if (ie && (!cm.state.draggingText || +new Date() - lastDrop < 100)) {
        e_stop(e);
        return;
      }
      if (signalDOMEvent(cm, e) || eventInWidget(cm.display, e)) {
        return;
      }
      e.dataTransfer.setData("Text", cm.getSelection());
      e.dataTransfer.effectAllowed = "copyMove";
      if (e.dataTransfer.setDragImage && !safari) {
        var img = elt("img", null, null, "position: fixed; left: 0; top: 0;");
        img.src = "data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==";
        if (presto) {
          img.width = img.height = 1;
          cm.display.wrapper.appendChild(img);
          img._top = img.offsetTop;
        }
        e.dataTransfer.setDragImage(img, 0, 0);
        if (presto) {
          img.parentNode.removeChild(img);
        }
      }
    }
    function onDragOver(cm, e) {
      var pos = posFromMouse(cm, e);
      if (!pos) {
        return;
      }
      var frag = document.createDocumentFragment();
      drawSelectionCursor(cm, pos, frag);
      if (!cm.display.dragCursor) {
        cm.display.dragCursor = elt("div", null, "CodeMirror-cursors CodeMirror-dragcursors");
        cm.display.lineSpace.insertBefore(cm.display.dragCursor, cm.display.cursorDiv);
      }
      removeChildrenAndAdd(cm.display.dragCursor, frag);
    }
    function clearDragCursor(cm) {
      if (cm.display.dragCursor) {
        cm.display.lineSpace.removeChild(cm.display.dragCursor);
        cm.display.dragCursor = null;
      }
    }
    function forEachCodeMirror(f) {
      if (!document.getElementsByClassName) {
        return;
      }
      var byClass = document.getElementsByClassName("CodeMirror"), editors = [];
      for (var i2 = 0; i2 < byClass.length; i2++) {
        var cm = byClass[i2].CodeMirror;
        if (cm) {
          editors.push(cm);
        }
      }
      if (editors.length) {
        editors[0].operation(function() {
          for (var i3 = 0; i3 < editors.length; i3++) {
            f(editors[i3]);
          }
        });
      }
    }
    var globalsRegistered = false;
    function ensureGlobalHandlers() {
      if (globalsRegistered) {
        return;
      }
      registerGlobalHandlers();
      globalsRegistered = true;
    }
    function registerGlobalHandlers() {
      var resizeTimer;
      on(window, "resize", function() {
        if (resizeTimer == null) {
          resizeTimer = setTimeout(function() {
            resizeTimer = null;
            forEachCodeMirror(onResize);
          }, 100);
        }
      });
      on(window, "blur", function() {
        return forEachCodeMirror(onBlur);
      });
    }
    function onResize(cm) {
      var d = cm.display;
      d.cachedCharWidth = d.cachedTextHeight = d.cachedPaddingH = null;
      d.scrollbarsClipped = false;
      cm.setSize();
    }
    var keyNames = {
      3: "Pause",
      8: "Backspace",
      9: "Tab",
      13: "Enter",
      16: "Shift",
      17: "Ctrl",
      18: "Alt",
      19: "Pause",
      20: "CapsLock",
      27: "Esc",
      32: "Space",
      33: "PageUp",
      34: "PageDown",
      35: "End",
      36: "Home",
      37: "Left",
      38: "Up",
      39: "Right",
      40: "Down",
      44: "PrintScrn",
      45: "Insert",
      46: "Delete",
      59: ";",
      61: "=",
      91: "Mod",
      92: "Mod",
      93: "Mod",
      106: "*",
      107: "=",
      109: "-",
      110: ".",
      111: "/",
      145: "ScrollLock",
      173: "-",
      186: ";",
      187: "=",
      188: ",",
      189: "-",
      190: ".",
      191: "/",
      192: "`",
      219: "[",
      220: "\\",
      221: "]",
      222: "'",
      224: "Mod",
      63232: "Up",
      63233: "Down",
      63234: "Left",
      63235: "Right",
      63272: "Delete",
      63273: "Home",
      63275: "End",
      63276: "PageUp",
      63277: "PageDown",
      63302: "Insert"
    };
    for (var i = 0; i < 10; i++) {
      keyNames[i + 48] = keyNames[i + 96] = String(i);
    }
    for (var i$1 = 65; i$1 <= 90; i$1++) {
      keyNames[i$1] = String.fromCharCode(i$1);
    }
    for (var i$2 = 1; i$2 <= 12; i$2++) {
      keyNames[i$2 + 111] = keyNames[i$2 + 63235] = "F" + i$2;
    }
    var keyMap = {};
    keyMap.basic = {
      "Left": "goCharLeft",
      "Right": "goCharRight",
      "Up": "goLineUp",
      "Down": "goLineDown",
      "End": "goLineEnd",
      "Home": "goLineStartSmart",
      "PageUp": "goPageUp",
      "PageDown": "goPageDown",
      "Delete": "delCharAfter",
      "Backspace": "delCharBefore",
      "Shift-Backspace": "delCharBefore",
      "Tab": "defaultTab",
      "Shift-Tab": "indentAuto",
      "Enter": "newlineAndIndent",
      "Insert": "toggleOverwrite",
      "Esc": "singleSelection"
    };
    keyMap.pcDefault = {
      "Ctrl-A": "selectAll",
      "Ctrl-D": "deleteLine",
      "Ctrl-Z": "undo",
      "Shift-Ctrl-Z": "redo",
      "Ctrl-Y": "redo",
      "Ctrl-Home": "goDocStart",
      "Ctrl-End": "goDocEnd",
      "Ctrl-Up": "goLineUp",
      "Ctrl-Down": "goLineDown",
      "Ctrl-Left": "goGroupLeft",
      "Ctrl-Right": "goGroupRight",
      "Alt-Left": "goLineStart",
      "Alt-Right": "goLineEnd",
      "Ctrl-Backspace": "delGroupBefore",
      "Ctrl-Delete": "delGroupAfter",
      "Ctrl-S": "save",
      "Ctrl-F": "find",
      "Ctrl-G": "findNext",
      "Shift-Ctrl-G": "findPrev",
      "Shift-Ctrl-F": "replace",
      "Shift-Ctrl-R": "replaceAll",
      "Ctrl-[": "indentLess",
      "Ctrl-]": "indentMore",
      "Ctrl-U": "undoSelection",
      "Shift-Ctrl-U": "redoSelection",
      "Alt-U": "redoSelection",
      "fallthrough": "basic"
    };
    keyMap.emacsy = {
      "Ctrl-F": "goCharRight",
      "Ctrl-B": "goCharLeft",
      "Ctrl-P": "goLineUp",
      "Ctrl-N": "goLineDown",
      "Ctrl-A": "goLineStart",
      "Ctrl-E": "goLineEnd",
      "Ctrl-V": "goPageDown",
      "Shift-Ctrl-V": "goPageUp",
      "Ctrl-D": "delCharAfter",
      "Ctrl-H": "delCharBefore",
      "Alt-Backspace": "delWordBefore",
      "Ctrl-K": "killLine",
      "Ctrl-T": "transposeChars",
      "Ctrl-O": "openLine"
    };
    keyMap.macDefault = {
      "Cmd-A": "selectAll",
      "Cmd-D": "deleteLine",
      "Cmd-Z": "undo",
      "Shift-Cmd-Z": "redo",
      "Cmd-Y": "redo",
      "Cmd-Home": "goDocStart",
      "Cmd-Up": "goDocStart",
      "Cmd-End": "goDocEnd",
      "Cmd-Down": "goDocEnd",
      "Alt-Left": "goGroupLeft",
      "Alt-Right": "goGroupRight",
      "Cmd-Left": "goLineLeft",
      "Cmd-Right": "goLineRight",
      "Alt-Backspace": "delGroupBefore",
      "Ctrl-Alt-Backspace": "delGroupAfter",
      "Alt-Delete": "delGroupAfter",
      "Cmd-S": "save",
      "Cmd-F": "find",
      "Cmd-G": "findNext",
      "Shift-Cmd-G": "findPrev",
      "Cmd-Alt-F": "replace",
      "Shift-Cmd-Alt-F": "replaceAll",
      "Cmd-[": "indentLess",
      "Cmd-]": "indentMore",
      "Cmd-Backspace": "delWrappedLineLeft",
      "Cmd-Delete": "delWrappedLineRight",
      "Cmd-U": "undoSelection",
      "Shift-Cmd-U": "redoSelection",
      "Ctrl-Up": "goDocStart",
      "Ctrl-Down": "goDocEnd",
      "fallthrough": ["basic", "emacsy"]
    };
    keyMap["default"] = mac ? keyMap.macDefault : keyMap.pcDefault;
    function normalizeKeyName(name) {
      var parts = name.split(/-(?!$)/);
      name = parts[parts.length - 1];
      var alt, ctrl, shift, cmd;
      for (var i2 = 0; i2 < parts.length - 1; i2++) {
        var mod = parts[i2];
        if (/^(cmd|meta|m)$/i.test(mod)) {
          cmd = true;
        } else if (/^a(lt)?$/i.test(mod)) {
          alt = true;
        } else if (/^(c|ctrl|control)$/i.test(mod)) {
          ctrl = true;
        } else if (/^s(hift)?$/i.test(mod)) {
          shift = true;
        } else {
          throw new Error("Unrecognized modifier name: " + mod);
        }
      }
      if (alt) {
        name = "Alt-" + name;
      }
      if (ctrl) {
        name = "Ctrl-" + name;
      }
      if (cmd) {
        name = "Cmd-" + name;
      }
      if (shift) {
        name = "Shift-" + name;
      }
      return name;
    }
    function normalizeKeyMap(keymap) {
      var copy = {};
      for (var keyname in keymap) {
        if (keymap.hasOwnProperty(keyname)) {
          var value = keymap[keyname];
          if (/^(name|fallthrough|(de|at)tach)$/.test(keyname)) {
            continue;
          }
          if (value == "...") {
            delete keymap[keyname];
            continue;
          }
          var keys2 = map2(keyname.split(" "), normalizeKeyName);
          for (var i2 = 0; i2 < keys2.length; i2++) {
            var val = void 0, name = void 0;
            if (i2 == keys2.length - 1) {
              name = keys2.join(" ");
              val = value;
            } else {
              name = keys2.slice(0, i2 + 1).join(" ");
              val = "...";
            }
            var prev = copy[name];
            if (!prev) {
              copy[name] = val;
            } else if (prev != val) {
              throw new Error("Inconsistent bindings for " + name);
            }
          }
          delete keymap[keyname];
        }
      }
      for (var prop2 in copy) {
        keymap[prop2] = copy[prop2];
      }
      return keymap;
    }
    function lookupKey(key, map3, handle, context) {
      map3 = getKeyMap(map3);
      var found = map3.call ? map3.call(key, context) : map3[key];
      if (found === false) {
        return "nothing";
      }
      if (found === "...") {
        return "multi";
      }
      if (found != null && handle(found)) {
        return "handled";
      }
      if (map3.fallthrough) {
        if (Object.prototype.toString.call(map3.fallthrough) != "[object Array]") {
          return lookupKey(key, map3.fallthrough, handle, context);
        }
        for (var i2 = 0; i2 < map3.fallthrough.length; i2++) {
          var result = lookupKey(key, map3.fallthrough[i2], handle, context);
          if (result) {
            return result;
          }
        }
      }
    }
    function isModifierKey(value) {
      var name = typeof value == "string" ? value : keyNames[value.keyCode];
      return name == "Ctrl" || name == "Alt" || name == "Shift" || name == "Mod";
    }
    function addModifierNames(name, event, noShift) {
      var base = name;
      if (event.altKey && base != "Alt") {
        name = "Alt-" + name;
      }
      if ((flipCtrlCmd ? event.metaKey : event.ctrlKey) && base != "Ctrl") {
        name = "Ctrl-" + name;
      }
      if ((flipCtrlCmd ? event.ctrlKey : event.metaKey) && base != "Mod") {
        name = "Cmd-" + name;
      }
      if (!noShift && event.shiftKey && base != "Shift") {
        name = "Shift-" + name;
      }
      return name;
    }
    function keyName(event, noShift) {
      if (presto && event.keyCode == 34 && event["char"]) {
        return false;
      }
      var name = keyNames[event.keyCode];
      if (name == null || event.altGraphKey) {
        return false;
      }
      if (event.keyCode == 3 && event.code) {
        name = event.code;
      }
      return addModifierNames(name, event, noShift);
    }
    function getKeyMap(val) {
      return typeof val == "string" ? keyMap[val] : val;
    }
    function deleteNearSelection(cm, compute) {
      var ranges = cm.doc.sel.ranges, kill = [];
      for (var i2 = 0; i2 < ranges.length; i2++) {
        var toKill = compute(ranges[i2]);
        while (kill.length && cmp(toKill.from, lst(kill).to) <= 0) {
          var replaced = kill.pop();
          if (cmp(replaced.from, toKill.from) < 0) {
            toKill.from = replaced.from;
            break;
          }
        }
        kill.push(toKill);
      }
      runInOp(cm, function() {
        for (var i3 = kill.length - 1; i3 >= 0; i3--) {
          replaceRange(cm.doc, "", kill[i3].from, kill[i3].to, "+delete");
        }
        ensureCursorVisible(cm);
      });
    }
    function moveCharLogically(line, ch, dir) {
      var target = skipExtendingChars(line.text, ch + dir, dir);
      return target < 0 || target > line.text.length ? null : target;
    }
    function moveLogically(line, start, dir) {
      var ch = moveCharLogically(line, start.ch, dir);
      return ch == null ? null : new Pos(start.line, ch, dir < 0 ? "after" : "before");
    }
    function endOfLine(visually, cm, lineObj, lineNo2, dir) {
      if (visually) {
        if (cm.doc.direction == "rtl") {
          dir = -dir;
        }
        var order = getOrder(lineObj, cm.doc.direction);
        if (order) {
          var part = dir < 0 ? lst(order) : order[0];
          var moveInStorageOrder = dir < 0 == (part.level == 1);
          var sticky = moveInStorageOrder ? "after" : "before";
          var ch;
          if (part.level > 0 || cm.doc.direction == "rtl") {
            var prep = prepareMeasureForLine(cm, lineObj);
            ch = dir < 0 ? lineObj.text.length - 1 : 0;
            var targetTop = measureCharPrepared(cm, prep, ch).top;
            ch = findFirst(function(ch2) {
              return measureCharPrepared(cm, prep, ch2).top == targetTop;
            }, dir < 0 == (part.level == 1) ? part.from : part.to - 1, ch);
            if (sticky == "before") {
              ch = moveCharLogically(lineObj, ch, 1);
            }
          } else {
            ch = dir < 0 ? part.to : part.from;
          }
          return new Pos(lineNo2, ch, sticky);
        }
      }
      return new Pos(lineNo2, dir < 0 ? lineObj.text.length : 0, dir < 0 ? "before" : "after");
    }
    function moveVisually(cm, line, start, dir) {
      var bidi = getOrder(line, cm.doc.direction);
      if (!bidi) {
        return moveLogically(line, start, dir);
      }
      if (start.ch >= line.text.length) {
        start.ch = line.text.length;
        start.sticky = "before";
      } else if (start.ch <= 0) {
        start.ch = 0;
        start.sticky = "after";
      }
      var partPos = getBidiPartAt(bidi, start.ch, start.sticky), part = bidi[partPos];
      if (cm.doc.direction == "ltr" && part.level % 2 == 0 && (dir > 0 ? part.to > start.ch : part.from < start.ch)) {
        return moveLogically(line, start, dir);
      }
      var mv = function(pos, dir2) {
        return moveCharLogically(line, pos instanceof Pos ? pos.ch : pos, dir2);
      };
      var prep;
      var getWrappedLineExtent = function(ch2) {
        if (!cm.options.lineWrapping) {
          return { begin: 0, end: line.text.length };
        }
        prep = prep || prepareMeasureForLine(cm, line);
        return wrappedLineExtentChar(cm, line, prep, ch2);
      };
      var wrappedLineExtent2 = getWrappedLineExtent(start.sticky == "before" ? mv(start, -1) : start.ch);
      if (cm.doc.direction == "rtl" || part.level == 1) {
        var moveInStorageOrder = part.level == 1 == dir < 0;
        var ch = mv(start, moveInStorageOrder ? 1 : -1);
        if (ch != null && (!moveInStorageOrder ? ch >= part.from && ch >= wrappedLineExtent2.begin : ch <= part.to && ch <= wrappedLineExtent2.end)) {
          var sticky = moveInStorageOrder ? "before" : "after";
          return new Pos(start.line, ch, sticky);
        }
      }
      var searchInVisualLine = function(partPos2, dir2, wrappedLineExtent3) {
        var getRes = function(ch3, moveInStorageOrder3) {
          return moveInStorageOrder3 ? new Pos(start.line, mv(ch3, 1), "before") : new Pos(start.line, ch3, "after");
        };
        for (; partPos2 >= 0 && partPos2 < bidi.length; partPos2 += dir2) {
          var part2 = bidi[partPos2];
          var moveInStorageOrder2 = dir2 > 0 == (part2.level != 1);
          var ch2 = moveInStorageOrder2 ? wrappedLineExtent3.begin : mv(wrappedLineExtent3.end, -1);
          if (part2.from <= ch2 && ch2 < part2.to) {
            return getRes(ch2, moveInStorageOrder2);
          }
          ch2 = moveInStorageOrder2 ? part2.from : mv(part2.to, -1);
          if (wrappedLineExtent3.begin <= ch2 && ch2 < wrappedLineExtent3.end) {
            return getRes(ch2, moveInStorageOrder2);
          }
        }
      };
      var res = searchInVisualLine(partPos + dir, dir, wrappedLineExtent2);
      if (res) {
        return res;
      }
      var nextCh = dir > 0 ? wrappedLineExtent2.end : mv(wrappedLineExtent2.begin, -1);
      if (nextCh != null && !(dir > 0 && nextCh == line.text.length)) {
        res = searchInVisualLine(dir > 0 ? 0 : bidi.length - 1, dir, getWrappedLineExtent(nextCh));
        if (res) {
          return res;
        }
      }
      return null;
    }
    var commands = {
      selectAll,
      singleSelection: function(cm) {
        return cm.setSelection(cm.getCursor("anchor"), cm.getCursor("head"), sel_dontScroll);
      },
      killLine: function(cm) {
        return deleteNearSelection(cm, function(range3) {
          if (range3.empty()) {
            var len = getLine(cm.doc, range3.head.line).text.length;
            if (range3.head.ch == len && range3.head.line < cm.lastLine()) {
              return { from: range3.head, to: Pos(range3.head.line + 1, 0) };
            } else {
              return { from: range3.head, to: Pos(range3.head.line, len) };
            }
          } else {
            return { from: range3.from(), to: range3.to() };
          }
        });
      },
      deleteLine: function(cm) {
        return deleteNearSelection(cm, function(range3) {
          return {
            from: Pos(range3.from().line, 0),
            to: clipPos(cm.doc, Pos(range3.to().line + 1, 0))
          };
        });
      },
      delLineLeft: function(cm) {
        return deleteNearSelection(cm, function(range3) {
          return {
            from: Pos(range3.from().line, 0),
            to: range3.from()
          };
        });
      },
      delWrappedLineLeft: function(cm) {
        return deleteNearSelection(cm, function(range3) {
          var top = cm.charCoords(range3.head, "div").top + 5;
          var leftPos = cm.coordsChar({ left: 0, top }, "div");
          return { from: leftPos, to: range3.from() };
        });
      },
      delWrappedLineRight: function(cm) {
        return deleteNearSelection(cm, function(range3) {
          var top = cm.charCoords(range3.head, "div").top + 5;
          var rightPos = cm.coordsChar({ left: cm.display.lineDiv.offsetWidth + 100, top }, "div");
          return { from: range3.from(), to: rightPos };
        });
      },
      undo: function(cm) {
        return cm.undo();
      },
      redo: function(cm) {
        return cm.redo();
      },
      undoSelection: function(cm) {
        return cm.undoSelection();
      },
      redoSelection: function(cm) {
        return cm.redoSelection();
      },
      goDocStart: function(cm) {
        return cm.extendSelection(Pos(cm.firstLine(), 0));
      },
      goDocEnd: function(cm) {
        return cm.extendSelection(Pos(cm.lastLine()));
      },
      goLineStart: function(cm) {
        return cm.extendSelectionsBy(
          function(range3) {
            return lineStart(cm, range3.head.line);
          },
          { origin: "+move", bias: 1 }
        );
      },
      goLineStartSmart: function(cm) {
        return cm.extendSelectionsBy(
          function(range3) {
            return lineStartSmart(cm, range3.head);
          },
          { origin: "+move", bias: 1 }
        );
      },
      goLineEnd: function(cm) {
        return cm.extendSelectionsBy(
          function(range3) {
            return lineEnd(cm, range3.head.line);
          },
          { origin: "+move", bias: -1 }
        );
      },
      goLineRight: function(cm) {
        return cm.extendSelectionsBy(function(range3) {
          var top = cm.cursorCoords(range3.head, "div").top + 5;
          return cm.coordsChar({ left: cm.display.lineDiv.offsetWidth + 100, top }, "div");
        }, sel_move);
      },
      goLineLeft: function(cm) {
        return cm.extendSelectionsBy(function(range3) {
          var top = cm.cursorCoords(range3.head, "div").top + 5;
          return cm.coordsChar({ left: 0, top }, "div");
        }, sel_move);
      },
      goLineLeftSmart: function(cm) {
        return cm.extendSelectionsBy(function(range3) {
          var top = cm.cursorCoords(range3.head, "div").top + 5;
          var pos = cm.coordsChar({ left: 0, top }, "div");
          if (pos.ch < cm.getLine(pos.line).search(/\S/)) {
            return lineStartSmart(cm, range3.head);
          }
          return pos;
        }, sel_move);
      },
      goLineUp: function(cm) {
        return cm.moveV(-1, "line");
      },
      goLineDown: function(cm) {
        return cm.moveV(1, "line");
      },
      goPageUp: function(cm) {
        return cm.moveV(-1, "page");
      },
      goPageDown: function(cm) {
        return cm.moveV(1, "page");
      },
      goCharLeft: function(cm) {
        return cm.moveH(-1, "char");
      },
      goCharRight: function(cm) {
        return cm.moveH(1, "char");
      },
      goColumnLeft: function(cm) {
        return cm.moveH(-1, "column");
      },
      goColumnRight: function(cm) {
        return cm.moveH(1, "column");
      },
      goWordLeft: function(cm) {
        return cm.moveH(-1, "word");
      },
      goGroupRight: function(cm) {
        return cm.moveH(1, "group");
      },
      goGroupLeft: function(cm) {
        return cm.moveH(-1, "group");
      },
      goWordRight: function(cm) {
        return cm.moveH(1, "word");
      },
      delCharBefore: function(cm) {
        return cm.deleteH(-1, "codepoint");
      },
      delCharAfter: function(cm) {
        return cm.deleteH(1, "char");
      },
      delWordBefore: function(cm) {
        return cm.deleteH(-1, "word");
      },
      delWordAfter: function(cm) {
        return cm.deleteH(1, "word");
      },
      delGroupBefore: function(cm) {
        return cm.deleteH(-1, "group");
      },
      delGroupAfter: function(cm) {
        return cm.deleteH(1, "group");
      },
      indentAuto: function(cm) {
        return cm.indentSelection("smart");
      },
      indentMore: function(cm) {
        return cm.indentSelection("add");
      },
      indentLess: function(cm) {
        return cm.indentSelection("subtract");
      },
      insertTab: function(cm) {
        return cm.replaceSelection("	");
      },
      insertSoftTab: function(cm) {
        var spaces = [], ranges = cm.listSelections(), tabSize = cm.options.tabSize;
        for (var i2 = 0; i2 < ranges.length; i2++) {
          var pos = ranges[i2].from();
          var col = countColumn(cm.getLine(pos.line), pos.ch, tabSize);
          spaces.push(spaceStr(tabSize - col % tabSize));
        }
        cm.replaceSelections(spaces);
      },
      defaultTab: function(cm) {
        if (cm.somethingSelected()) {
          cm.indentSelection("add");
        } else {
          cm.execCommand("insertTab");
        }
      },
      transposeChars: function(cm) {
        return runInOp(cm, function() {
          var ranges = cm.listSelections(), newSel = [];
          for (var i2 = 0; i2 < ranges.length; i2++) {
            if (!ranges[i2].empty()) {
              continue;
            }
            var cur = ranges[i2].head, line = getLine(cm.doc, cur.line).text;
            if (line) {
              if (cur.ch == line.length) {
                cur = new Pos(cur.line, cur.ch - 1);
              }
              if (cur.ch > 0) {
                cur = new Pos(cur.line, cur.ch + 1);
                cm.replaceRange(
                  line.charAt(cur.ch - 1) + line.charAt(cur.ch - 2),
                  Pos(cur.line, cur.ch - 2),
                  cur,
                  "+transpose"
                );
              } else if (cur.line > cm.doc.first) {
                var prev = getLine(cm.doc, cur.line - 1).text;
                if (prev) {
                  cur = new Pos(cur.line, 1);
                  cm.replaceRange(
                    line.charAt(0) + cm.doc.lineSeparator() + prev.charAt(prev.length - 1),
                    Pos(cur.line - 1, prev.length - 1),
                    cur,
                    "+transpose"
                  );
                }
              }
            }
            newSel.push(new Range(cur, cur));
          }
          cm.setSelections(newSel);
        });
      },
      newlineAndIndent: function(cm) {
        return runInOp(cm, function() {
          var sels = cm.listSelections();
          for (var i2 = sels.length - 1; i2 >= 0; i2--) {
            cm.replaceRange(cm.doc.lineSeparator(), sels[i2].anchor, sels[i2].head, "+input");
          }
          sels = cm.listSelections();
          for (var i$12 = 0; i$12 < sels.length; i$12++) {
            cm.indentLine(sels[i$12].from().line, null, true);
          }
          ensureCursorVisible(cm);
        });
      },
      openLine: function(cm) {
        return cm.replaceSelection("\n", "start");
      },
      toggleOverwrite: function(cm) {
        return cm.toggleOverwrite();
      }
    };
    function lineStart(cm, lineN) {
      var line = getLine(cm.doc, lineN);
      var visual = visualLine(line);
      if (visual != line) {
        lineN = lineNo(visual);
      }
      return endOfLine(true, cm, visual, lineN, 1);
    }
    function lineEnd(cm, lineN) {
      var line = getLine(cm.doc, lineN);
      var visual = visualLineEnd(line);
      if (visual != line) {
        lineN = lineNo(visual);
      }
      return endOfLine(true, cm, line, lineN, -1);
    }
    function lineStartSmart(cm, pos) {
      var start = lineStart(cm, pos.line);
      var line = getLine(cm.doc, start.line);
      var order = getOrder(line, cm.doc.direction);
      if (!order || order[0].level == 0) {
        var firstNonWS = Math.max(start.ch, line.text.search(/\S/));
        var inWS = pos.line == start.line && pos.ch <= firstNonWS && pos.ch;
        return Pos(start.line, inWS ? 0 : firstNonWS, start.sticky);
      }
      return start;
    }
    function doHandleBinding(cm, bound, dropShift) {
      if (typeof bound == "string") {
        bound = commands[bound];
        if (!bound) {
          return false;
        }
      }
      cm.display.input.ensurePolled();
      var prevShift = cm.display.shift, done = false;
      try {
        if (cm.isReadOnly()) {
          cm.state.suppressEdits = true;
        }
        if (dropShift) {
          cm.display.shift = false;
        }
        done = bound(cm) != Pass;
      } finally {
        cm.display.shift = prevShift;
        cm.state.suppressEdits = false;
      }
      return done;
    }
    function lookupKeyForEditor(cm, name, handle) {
      for (var i2 = 0; i2 < cm.state.keyMaps.length; i2++) {
        var result = lookupKey(name, cm.state.keyMaps[i2], handle, cm);
        if (result) {
          return result;
        }
      }
      return cm.options.extraKeys && lookupKey(name, cm.options.extraKeys, handle, cm) || lookupKey(name, cm.options.keyMap, handle, cm);
    }
    var stopSeq = new Delayed();
    function dispatchKey(cm, name, e, handle) {
      var seq = cm.state.keySeq;
      if (seq) {
        if (isModifierKey(name)) {
          return "handled";
        }
        if (/\'$/.test(name)) {
          cm.state.keySeq = null;
        } else {
          stopSeq.set(50, function() {
            if (cm.state.keySeq == seq) {
              cm.state.keySeq = null;
              cm.display.input.reset();
            }
          });
        }
        if (dispatchKeyInner(cm, seq + " " + name, e, handle)) {
          return true;
        }
      }
      return dispatchKeyInner(cm, name, e, handle);
    }
    function dispatchKeyInner(cm, name, e, handle) {
      var result = lookupKeyForEditor(cm, name, handle);
      if (result == "multi") {
        cm.state.keySeq = name;
      }
      if (result == "handled") {
        signalLater(cm, "keyHandled", cm, name, e);
      }
      if (result == "handled" || result == "multi") {
        e_preventDefault(e);
        restartBlink(cm);
      }
      return !!result;
    }
    function handleKeyBinding(cm, e) {
      var name = keyName(e, true);
      if (!name) {
        return false;
      }
      if (e.shiftKey && !cm.state.keySeq) {
        return dispatchKey(cm, "Shift-" + name, e, function(b) {
          return doHandleBinding(cm, b, true);
        }) || dispatchKey(cm, name, e, function(b) {
          if (typeof b == "string" ? /^go[A-Z]/.test(b) : b.motion) {
            return doHandleBinding(cm, b);
          }
        });
      } else {
        return dispatchKey(cm, name, e, function(b) {
          return doHandleBinding(cm, b);
        });
      }
    }
    function handleCharBinding(cm, e, ch) {
      return dispatchKey(cm, "'" + ch + "'", e, function(b) {
        return doHandleBinding(cm, b, true);
      });
    }
    var lastStoppedKey = null;
    function onKeyDown(e) {
      var cm = this;
      if (e.target && e.target != cm.display.input.getField()) {
        return;
      }
      cm.curOp.focus = activeElt();
      if (signalDOMEvent(cm, e)) {
        return;
      }
      if (ie && ie_version < 11 && e.keyCode == 27) {
        e.returnValue = false;
      }
      var code = e.keyCode;
      cm.display.shift = code == 16 || e.shiftKey;
      var handled = handleKeyBinding(cm, e);
      if (presto) {
        lastStoppedKey = handled ? code : null;
        if (!handled && code == 88 && !hasCopyEvent && (mac ? e.metaKey : e.ctrlKey)) {
          cm.replaceSelection("", null, "cut");
        }
      }
      if (gecko && !mac && !handled && code == 46 && e.shiftKey && !e.ctrlKey && document.execCommand) {
        document.execCommand("cut");
      }
      if (code == 18 && !/\bCodeMirror-crosshair\b/.test(cm.display.lineDiv.className)) {
        showCrossHair(cm);
      }
    }
    function showCrossHair(cm) {
      var lineDiv = cm.display.lineDiv;
      addClass(lineDiv, "CodeMirror-crosshair");
      function up(e) {
        if (e.keyCode == 18 || !e.altKey) {
          rmClass(lineDiv, "CodeMirror-crosshair");
          off(document, "keyup", up);
          off(document, "mouseover", up);
        }
      }
      on(document, "keyup", up);
      on(document, "mouseover", up);
    }
    function onKeyUp(e) {
      if (e.keyCode == 16) {
        this.doc.sel.shift = false;
      }
      signalDOMEvent(this, e);
    }
    function onKeyPress(e) {
      var cm = this;
      if (e.target && e.target != cm.display.input.getField()) {
        return;
      }
      if (eventInWidget(cm.display, e) || signalDOMEvent(cm, e) || e.ctrlKey && !e.altKey || mac && e.metaKey) {
        return;
      }
      var keyCode = e.keyCode, charCode = e.charCode;
      if (presto && keyCode == lastStoppedKey) {
        lastStoppedKey = null;
        e_preventDefault(e);
        return;
      }
      if (presto && (!e.which || e.which < 10) && handleKeyBinding(cm, e)) {
        return;
      }
      var ch = String.fromCharCode(charCode == null ? keyCode : charCode);
      if (ch == "\b") {
        return;
      }
      if (handleCharBinding(cm, e, ch)) {
        return;
      }
      cm.display.input.onKeyPress(e);
    }
    var DOUBLECLICK_DELAY = 400;
    var PastClick = function(time, pos, button) {
      this.time = time;
      this.pos = pos;
      this.button = button;
    };
    PastClick.prototype.compare = function(time, pos, button) {
      return this.time + DOUBLECLICK_DELAY > time && cmp(pos, this.pos) == 0 && button == this.button;
    };
    var lastClick, lastDoubleClick;
    function clickRepeat(pos, button) {
      var now2 = +new Date();
      if (lastDoubleClick && lastDoubleClick.compare(now2, pos, button)) {
        lastClick = lastDoubleClick = null;
        return "triple";
      } else if (lastClick && lastClick.compare(now2, pos, button)) {
        lastDoubleClick = new PastClick(now2, pos, button);
        lastClick = null;
        return "double";
      } else {
        lastClick = new PastClick(now2, pos, button);
        lastDoubleClick = null;
        return "single";
      }
    }
    function onMouseDown(e) {
      var cm = this, display = cm.display;
      if (signalDOMEvent(cm, e) || display.activeTouch && display.input.supportsTouch()) {
        return;
      }
      display.input.ensurePolled();
      display.shift = e.shiftKey;
      if (eventInWidget(display, e)) {
        if (!webkit) {
          display.scroller.draggable = false;
          setTimeout(function() {
            return display.scroller.draggable = true;
          }, 100);
        }
        return;
      }
      if (clickInGutter(cm, e)) {
        return;
      }
      var pos = posFromMouse(cm, e), button = e_button(e), repeat = pos ? clickRepeat(pos, button) : "single";
      window.focus();
      if (button == 1 && cm.state.selectingText) {
        cm.state.selectingText(e);
      }
      if (pos && handleMappedButton(cm, button, pos, repeat, e)) {
        return;
      }
      if (button == 1) {
        if (pos) {
          leftButtonDown(cm, pos, repeat, e);
        } else if (e_target(e) == display.scroller) {
          e_preventDefault(e);
        }
      } else if (button == 2) {
        if (pos) {
          extendSelection(cm.doc, pos);
        }
        setTimeout(function() {
          return display.input.focus();
        }, 20);
      } else if (button == 3) {
        if (captureRightClick) {
          cm.display.input.onContextMenu(e);
        } else {
          delayBlurEvent(cm);
        }
      }
    }
    function handleMappedButton(cm, button, pos, repeat, event) {
      var name = "Click";
      if (repeat == "double") {
        name = "Double" + name;
      } else if (repeat == "triple") {
        name = "Triple" + name;
      }
      name = (button == 1 ? "Left" : button == 2 ? "Middle" : "Right") + name;
      return dispatchKey(cm, addModifierNames(name, event), event, function(bound) {
        if (typeof bound == "string") {
          bound = commands[bound];
        }
        if (!bound) {
          return false;
        }
        var done = false;
        try {
          if (cm.isReadOnly()) {
            cm.state.suppressEdits = true;
          }
          done = bound(cm, pos) != Pass;
        } finally {
          cm.state.suppressEdits = false;
        }
        return done;
      });
    }
    function configureMouse(cm, repeat, event) {
      var option = cm.getOption("configureMouse");
      var value = option ? option(cm, repeat, event) : {};
      if (value.unit == null) {
        var rect = chromeOS ? event.shiftKey && event.metaKey : event.altKey;
        value.unit = rect ? "rectangle" : repeat == "single" ? "char" : repeat == "double" ? "word" : "line";
      }
      if (value.extend == null || cm.doc.extend) {
        value.extend = cm.doc.extend || event.shiftKey;
      }
      if (value.addNew == null) {
        value.addNew = mac ? event.metaKey : event.ctrlKey;
      }
      if (value.moveOnDrag == null) {
        value.moveOnDrag = !(mac ? event.altKey : event.ctrlKey);
      }
      return value;
    }
    function leftButtonDown(cm, pos, repeat, event) {
      if (ie) {
        setTimeout(bind(ensureFocus, cm), 0);
      } else {
        cm.curOp.focus = activeElt();
      }
      var behavior = configureMouse(cm, repeat, event);
      var sel = cm.doc.sel, contained;
      if (cm.options.dragDrop && dragAndDrop && !cm.isReadOnly() && repeat == "single" && (contained = sel.contains(pos)) > -1 && (cmp((contained = sel.ranges[contained]).from(), pos) < 0 || pos.xRel > 0) && (cmp(contained.to(), pos) > 0 || pos.xRel < 0)) {
        leftButtonStartDrag(cm, event, pos, behavior);
      } else {
        leftButtonSelect(cm, event, pos, behavior);
      }
    }
    function leftButtonStartDrag(cm, event, pos, behavior) {
      var display = cm.display, moved = false;
      var dragEnd = operation(cm, function(e) {
        if (webkit) {
          display.scroller.draggable = false;
        }
        cm.state.draggingText = false;
        if (cm.state.delayingBlurEvent) {
          if (cm.hasFocus()) {
            cm.state.delayingBlurEvent = false;
          } else {
            delayBlurEvent(cm);
          }
        }
        off(display.wrapper.ownerDocument, "mouseup", dragEnd);
        off(display.wrapper.ownerDocument, "mousemove", mouseMove);
        off(display.scroller, "dragstart", dragStart);
        off(display.scroller, "drop", dragEnd);
        if (!moved) {
          e_preventDefault(e);
          if (!behavior.addNew) {
            extendSelection(cm.doc, pos, null, null, behavior.extend);
          }
          if (webkit && !safari || ie && ie_version == 9) {
            setTimeout(function() {
              display.wrapper.ownerDocument.body.focus({ preventScroll: true });
              display.input.focus();
            }, 20);
          } else {
            display.input.focus();
          }
        }
      });
      var mouseMove = function(e2) {
        moved = moved || Math.abs(event.clientX - e2.clientX) + Math.abs(event.clientY - e2.clientY) >= 10;
      };
      var dragStart = function() {
        return moved = true;
      };
      if (webkit) {
        display.scroller.draggable = true;
      }
      cm.state.draggingText = dragEnd;
      dragEnd.copy = !behavior.moveOnDrag;
      on(display.wrapper.ownerDocument, "mouseup", dragEnd);
      on(display.wrapper.ownerDocument, "mousemove", mouseMove);
      on(display.scroller, "dragstart", dragStart);
      on(display.scroller, "drop", dragEnd);
      cm.state.delayingBlurEvent = true;
      setTimeout(function() {
        return display.input.focus();
      }, 20);
      if (display.scroller.dragDrop) {
        display.scroller.dragDrop();
      }
    }
    function rangeForUnit(cm, pos, unit) {
      if (unit == "char") {
        return new Range(pos, pos);
      }
      if (unit == "word") {
        return cm.findWordAt(pos);
      }
      if (unit == "line") {
        return new Range(Pos(pos.line, 0), clipPos(cm.doc, Pos(pos.line + 1, 0)));
      }
      var result = unit(cm, pos);
      return new Range(result.from, result.to);
    }
    function leftButtonSelect(cm, event, start, behavior) {
      if (ie) {
        delayBlurEvent(cm);
      }
      var display = cm.display, doc2 = cm.doc;
      e_preventDefault(event);
      var ourRange, ourIndex, startSel = doc2.sel, ranges = startSel.ranges;
      if (behavior.addNew && !behavior.extend) {
        ourIndex = doc2.sel.contains(start);
        if (ourIndex > -1) {
          ourRange = ranges[ourIndex];
        } else {
          ourRange = new Range(start, start);
        }
      } else {
        ourRange = doc2.sel.primary();
        ourIndex = doc2.sel.primIndex;
      }
      if (behavior.unit == "rectangle") {
        if (!behavior.addNew) {
          ourRange = new Range(start, start);
        }
        start = posFromMouse(cm, event, true, true);
        ourIndex = -1;
      } else {
        var range3 = rangeForUnit(cm, start, behavior.unit);
        if (behavior.extend) {
          ourRange = extendRange(ourRange, range3.anchor, range3.head, behavior.extend);
        } else {
          ourRange = range3;
        }
      }
      if (!behavior.addNew) {
        ourIndex = 0;
        setSelection(doc2, new Selection([ourRange], 0), sel_mouse);
        startSel = doc2.sel;
      } else if (ourIndex == -1) {
        ourIndex = ranges.length;
        setSelection(
          doc2,
          normalizeSelection(cm, ranges.concat([ourRange]), ourIndex),
          { scroll: false, origin: "*mouse" }
        );
      } else if (ranges.length > 1 && ranges[ourIndex].empty() && behavior.unit == "char" && !behavior.extend) {
        setSelection(
          doc2,
          normalizeSelection(cm, ranges.slice(0, ourIndex).concat(ranges.slice(ourIndex + 1)), 0),
          { scroll: false, origin: "*mouse" }
        );
        startSel = doc2.sel;
      } else {
        replaceOneSelection(doc2, ourIndex, ourRange, sel_mouse);
      }
      var lastPos = start;
      function extendTo(pos) {
        if (cmp(lastPos, pos) == 0) {
          return;
        }
        lastPos = pos;
        if (behavior.unit == "rectangle") {
          var ranges2 = [], tabSize = cm.options.tabSize;
          var startCol = countColumn(getLine(doc2, start.line).text, start.ch, tabSize);
          var posCol = countColumn(getLine(doc2, pos.line).text, pos.ch, tabSize);
          var left = Math.min(startCol, posCol), right = Math.max(startCol, posCol);
          for (var line = Math.min(start.line, pos.line), end = Math.min(cm.lastLine(), Math.max(start.line, pos.line)); line <= end; line++) {
            var text = getLine(doc2, line).text, leftPos = findColumn(text, left, tabSize);
            if (left == right) {
              ranges2.push(new Range(Pos(line, leftPos), Pos(line, leftPos)));
            } else if (text.length > leftPos) {
              ranges2.push(new Range(Pos(line, leftPos), Pos(line, findColumn(text, right, tabSize))));
            }
          }
          if (!ranges2.length) {
            ranges2.push(new Range(start, start));
          }
          setSelection(
            doc2,
            normalizeSelection(cm, startSel.ranges.slice(0, ourIndex).concat(ranges2), ourIndex),
            { origin: "*mouse", scroll: false }
          );
          cm.scrollIntoView(pos);
        } else {
          var oldRange = ourRange;
          var range4 = rangeForUnit(cm, pos, behavior.unit);
          var anchor = oldRange.anchor, head;
          if (cmp(range4.anchor, anchor) > 0) {
            head = range4.head;
            anchor = minPos(oldRange.from(), range4.anchor);
          } else {
            head = range4.anchor;
            anchor = maxPos(oldRange.to(), range4.head);
          }
          var ranges$1 = startSel.ranges.slice(0);
          ranges$1[ourIndex] = bidiSimplify(cm, new Range(clipPos(doc2, anchor), head));
          setSelection(doc2, normalizeSelection(cm, ranges$1, ourIndex), sel_mouse);
        }
      }
      var editorSize = display.wrapper.getBoundingClientRect();
      var counter = 0;
      function extend(e) {
        var curCount = ++counter;
        var cur = posFromMouse(cm, e, true, behavior.unit == "rectangle");
        if (!cur) {
          return;
        }
        if (cmp(cur, lastPos) != 0) {
          cm.curOp.focus = activeElt();
          extendTo(cur);
          var visible = visibleLines(display, doc2);
          if (cur.line >= visible.to || cur.line < visible.from) {
            setTimeout(operation(cm, function() {
              if (counter == curCount) {
                extend(e);
              }
            }), 150);
          }
        } else {
          var outside = e.clientY < editorSize.top ? -20 : e.clientY > editorSize.bottom ? 20 : 0;
          if (outside) {
            setTimeout(operation(cm, function() {
              if (counter != curCount) {
                return;
              }
              display.scroller.scrollTop += outside;
              extend(e);
            }), 50);
          }
        }
      }
      function done(e) {
        cm.state.selectingText = false;
        counter = Infinity;
        if (e) {
          e_preventDefault(e);
          display.input.focus();
        }
        off(display.wrapper.ownerDocument, "mousemove", move);
        off(display.wrapper.ownerDocument, "mouseup", up);
        doc2.history.lastSelOrigin = null;
      }
      var move = operation(cm, function(e) {
        if (e.buttons === 0 || !e_button(e)) {
          done(e);
        } else {
          extend(e);
        }
      });
      var up = operation(cm, done);
      cm.state.selectingText = up;
      on(display.wrapper.ownerDocument, "mousemove", move);
      on(display.wrapper.ownerDocument, "mouseup", up);
    }
    function bidiSimplify(cm, range3) {
      var anchor = range3.anchor;
      var head = range3.head;
      var anchorLine = getLine(cm.doc, anchor.line);
      if (cmp(anchor, head) == 0 && anchor.sticky == head.sticky) {
        return range3;
      }
      var order = getOrder(anchorLine);
      if (!order) {
        return range3;
      }
      var index = getBidiPartAt(order, anchor.ch, anchor.sticky), part = order[index];
      if (part.from != anchor.ch && part.to != anchor.ch) {
        return range3;
      }
      var boundary = index + (part.from == anchor.ch == (part.level != 1) ? 0 : 1);
      if (boundary == 0 || boundary == order.length) {
        return range3;
      }
      var leftSide;
      if (head.line != anchor.line) {
        leftSide = (head.line - anchor.line) * (cm.doc.direction == "ltr" ? 1 : -1) > 0;
      } else {
        var headIndex = getBidiPartAt(order, head.ch, head.sticky);
        var dir = headIndex - index || (head.ch - anchor.ch) * (part.level == 1 ? -1 : 1);
        if (headIndex == boundary - 1 || headIndex == boundary) {
          leftSide = dir < 0;
        } else {
          leftSide = dir > 0;
        }
      }
      var usePart = order[boundary + (leftSide ? -1 : 0)];
      var from = leftSide == (usePart.level == 1);
      var ch = from ? usePart.from : usePart.to, sticky = from ? "after" : "before";
      return anchor.ch == ch && anchor.sticky == sticky ? range3 : new Range(new Pos(anchor.line, ch, sticky), head);
    }
    function gutterEvent(cm, e, type, prevent) {
      var mX, mY;
      if (e.touches) {
        mX = e.touches[0].clientX;
        mY = e.touches[0].clientY;
      } else {
        try {
          mX = e.clientX;
          mY = e.clientY;
        } catch (e$1) {
          return false;
        }
      }
      if (mX >= Math.floor(cm.display.gutters.getBoundingClientRect().right)) {
        return false;
      }
      if (prevent) {
        e_preventDefault(e);
      }
      var display = cm.display;
      var lineBox = display.lineDiv.getBoundingClientRect();
      if (mY > lineBox.bottom || !hasHandler(cm, type)) {
        return e_defaultPrevented(e);
      }
      mY -= lineBox.top - display.viewOffset;
      for (var i2 = 0; i2 < cm.display.gutterSpecs.length; ++i2) {
        var g = display.gutters.childNodes[i2];
        if (g && g.getBoundingClientRect().right >= mX) {
          var line = lineAtHeight(cm.doc, mY);
          var gutter = cm.display.gutterSpecs[i2];
          signal(cm, type, cm, line, gutter.className, e);
          return e_defaultPrevented(e);
        }
      }
    }
    function clickInGutter(cm, e) {
      return gutterEvent(cm, e, "gutterClick", true);
    }
    function onContextMenu(cm, e) {
      if (eventInWidget(cm.display, e) || contextMenuInGutter(cm, e)) {
        return;
      }
      if (signalDOMEvent(cm, e, "contextmenu")) {
        return;
      }
      if (!captureRightClick) {
        cm.display.input.onContextMenu(e);
      }
    }
    function contextMenuInGutter(cm, e) {
      if (!hasHandler(cm, "gutterContextMenu")) {
        return false;
      }
      return gutterEvent(cm, e, "gutterContextMenu", false);
    }
    function themeChanged(cm) {
      cm.display.wrapper.className = cm.display.wrapper.className.replace(/\s*cm-s-\S+/g, "") + cm.options.theme.replace(/(^|\s)\s*/g, " cm-s-");
      clearCaches(cm);
    }
    var Init = { toString: function() {
      return "CodeMirror.Init";
    } };
    var defaults = {};
    var optionHandlers = {};
    function defineOptions(CodeMirror3) {
      var optionHandlers2 = CodeMirror3.optionHandlers;
      function option(name, deflt, handle, notOnInit) {
        CodeMirror3.defaults[name] = deflt;
        if (handle) {
          optionHandlers2[name] = notOnInit ? function(cm, val, old) {
            if (old != Init) {
              handle(cm, val, old);
            }
          } : handle;
        }
      }
      CodeMirror3.defineOption = option;
      CodeMirror3.Init = Init;
      option("value", "", function(cm, val) {
        return cm.setValue(val);
      }, true);
      option("mode", null, function(cm, val) {
        cm.doc.modeOption = val;
        loadMode(cm);
      }, true);
      option("indentUnit", 2, loadMode, true);
      option("indentWithTabs", false);
      option("smartIndent", true);
      option("tabSize", 4, function(cm) {
        resetModeState(cm);
        clearCaches(cm);
        regChange(cm);
      }, true);
      option("lineSeparator", null, function(cm, val) {
        cm.doc.lineSep = val;
        if (!val) {
          return;
        }
        var newBreaks = [], lineNo2 = cm.doc.first;
        cm.doc.iter(function(line) {
          for (var pos = 0; ; ) {
            var found = line.text.indexOf(val, pos);
            if (found == -1) {
              break;
            }
            pos = found + val.length;
            newBreaks.push(Pos(lineNo2, found));
          }
          lineNo2++;
        });
        for (var i2 = newBreaks.length - 1; i2 >= 0; i2--) {
          replaceRange(cm.doc, val, newBreaks[i2], Pos(newBreaks[i2].line, newBreaks[i2].ch + val.length));
        }
      });
      option("specialChars", /[\u0000-\u001f\u007f-\u009f\u00ad\u061c\u200b\u200e\u200f\u2028\u2029\ufeff\ufff9-\ufffc]/g, function(cm, val, old) {
        cm.state.specialChars = new RegExp(val.source + (val.test("	") ? "" : "|	"), "g");
        if (old != Init) {
          cm.refresh();
        }
      });
      option("specialCharPlaceholder", defaultSpecialCharPlaceholder, function(cm) {
        return cm.refresh();
      }, true);
      option("electricChars", true);
      option("inputStyle", mobile ? "contenteditable" : "textarea", function() {
        throw new Error("inputStyle can not (yet) be changed in a running editor");
      }, true);
      option("spellcheck", false, function(cm, val) {
        return cm.getInputField().spellcheck = val;
      }, true);
      option("autocorrect", false, function(cm, val) {
        return cm.getInputField().autocorrect = val;
      }, true);
      option("autocapitalize", false, function(cm, val) {
        return cm.getInputField().autocapitalize = val;
      }, true);
      option("rtlMoveVisually", !windows);
      option("wholeLineUpdateBefore", true);
      option("theme", "default", function(cm) {
        themeChanged(cm);
        updateGutters(cm);
      }, true);
      option("keyMap", "default", function(cm, val, old) {
        var next = getKeyMap(val);
        var prev = old != Init && getKeyMap(old);
        if (prev && prev.detach) {
          prev.detach(cm, next);
        }
        if (next.attach) {
          next.attach(cm, prev || null);
        }
      });
      option("extraKeys", null);
      option("configureMouse", null);
      option("lineWrapping", false, wrappingChanged, true);
      option("gutters", [], function(cm, val) {
        cm.display.gutterSpecs = getGutters(val, cm.options.lineNumbers);
        updateGutters(cm);
      }, true);
      option("fixedGutter", true, function(cm, val) {
        cm.display.gutters.style.left = val ? compensateForHScroll(cm.display) + "px" : "0";
        cm.refresh();
      }, true);
      option("coverGutterNextToScrollbar", false, function(cm) {
        return updateScrollbars(cm);
      }, true);
      option("scrollbarStyle", "native", function(cm) {
        initScrollbars(cm);
        updateScrollbars(cm);
        cm.display.scrollbars.setScrollTop(cm.doc.scrollTop);
        cm.display.scrollbars.setScrollLeft(cm.doc.scrollLeft);
      }, true);
      option("lineNumbers", false, function(cm, val) {
        cm.display.gutterSpecs = getGutters(cm.options.gutters, val);
        updateGutters(cm);
      }, true);
      option("firstLineNumber", 1, updateGutters, true);
      option("lineNumberFormatter", function(integer) {
        return integer;
      }, updateGutters, true);
      option("showCursorWhenSelecting", false, updateSelection, true);
      option("resetSelectionOnContextMenu", true);
      option("lineWiseCopyCut", true);
      option("pasteLinesPerSelection", true);
      option("selectionsMayTouch", false);
      option("readOnly", false, function(cm, val) {
        if (val == "nocursor") {
          onBlur(cm);
          cm.display.input.blur();
        }
        cm.display.input.readOnlyChanged(val);
      });
      option("screenReaderLabel", null, function(cm, val) {
        val = val === "" ? null : val;
        cm.display.input.screenReaderLabelChanged(val);
      });
      option("disableInput", false, function(cm, val) {
        if (!val) {
          cm.display.input.reset();
        }
      }, true);
      option("dragDrop", true, dragDropChanged);
      option("allowDropFileTypes", null);
      option("cursorBlinkRate", 530);
      option("cursorScrollMargin", 0);
      option("cursorHeight", 1, updateSelection, true);
      option("singleCursorHeightPerLine", true, updateSelection, true);
      option("workTime", 100);
      option("workDelay", 100);
      option("flattenSpans", true, resetModeState, true);
      option("addModeClass", false, resetModeState, true);
      option("pollInterval", 100);
      option("undoDepth", 200, function(cm, val) {
        return cm.doc.history.undoDepth = val;
      });
      option("historyEventDelay", 1250);
      option("viewportMargin", 10, function(cm) {
        return cm.refresh();
      }, true);
      option("maxHighlightLength", 1e4, resetModeState, true);
      option("moveInputWithCursor", true, function(cm, val) {
        if (!val) {
          cm.display.input.resetPosition();
        }
      });
      option("tabindex", null, function(cm, val) {
        return cm.display.input.getField().tabIndex = val || "";
      });
      option("autofocus", null);
      option("direction", "ltr", function(cm, val) {
        return cm.doc.setDirection(val);
      }, true);
      option("phrases", null);
    }
    function dragDropChanged(cm, value, old) {
      var wasOn = old && old != Init;
      if (!value != !wasOn) {
        var funcs = cm.display.dragFunctions;
        var toggle = value ? on : off;
        toggle(cm.display.scroller, "dragstart", funcs.start);
        toggle(cm.display.scroller, "dragenter", funcs.enter);
        toggle(cm.display.scroller, "dragover", funcs.over);
        toggle(cm.display.scroller, "dragleave", funcs.leave);
        toggle(cm.display.scroller, "drop", funcs.drop);
      }
    }
    function wrappingChanged(cm) {
      if (cm.options.lineWrapping) {
        addClass(cm.display.wrapper, "CodeMirror-wrap");
        cm.display.sizer.style.minWidth = "";
        cm.display.sizerWidth = null;
      } else {
        rmClass(cm.display.wrapper, "CodeMirror-wrap");
        findMaxLine(cm);
      }
      estimateLineHeights(cm);
      regChange(cm);
      clearCaches(cm);
      setTimeout(function() {
        return updateScrollbars(cm);
      }, 100);
    }
    function CodeMirror2(place, options) {
      var this$1$1 = this;
      if (!(this instanceof CodeMirror2)) {
        return new CodeMirror2(place, options);
      }
      this.options = options = options ? copyObj(options) : {};
      copyObj(defaults, options, false);
      var doc2 = options.value;
      if (typeof doc2 == "string") {
        doc2 = new Doc(doc2, options.mode, null, options.lineSeparator, options.direction);
      } else if (options.mode) {
        doc2.modeOption = options.mode;
      }
      this.doc = doc2;
      var input = new CodeMirror2.inputStyles[options.inputStyle](this);
      var display = this.display = new Display(place, doc2, input, options);
      display.wrapper.CodeMirror = this;
      themeChanged(this);
      if (options.lineWrapping) {
        this.display.wrapper.className += " CodeMirror-wrap";
      }
      initScrollbars(this);
      this.state = {
        keyMaps: [],
        overlays: [],
        modeGen: 0,
        overwrite: false,
        delayingBlurEvent: false,
        focused: false,
        suppressEdits: false,
        pasteIncoming: -1,
        cutIncoming: -1,
        selectingText: false,
        draggingText: false,
        highlight: new Delayed(),
        keySeq: null,
        specialChars: null
      };
      if (options.autofocus && !mobile) {
        display.input.focus();
      }
      if (ie && ie_version < 11) {
        setTimeout(function() {
          return this$1$1.display.input.reset(true);
        }, 20);
      }
      registerEventHandlers(this);
      ensureGlobalHandlers();
      startOperation(this);
      this.curOp.forceUpdate = true;
      attachDoc(this, doc2);
      if (options.autofocus && !mobile || this.hasFocus()) {
        setTimeout(function() {
          if (this$1$1.hasFocus() && !this$1$1.state.focused) {
            onFocus(this$1$1);
          }
        }, 20);
      } else {
        onBlur(this);
      }
      for (var opt in optionHandlers) {
        if (optionHandlers.hasOwnProperty(opt)) {
          optionHandlers[opt](this, options[opt], Init);
        }
      }
      maybeUpdateLineNumberWidth(this);
      if (options.finishInit) {
        options.finishInit(this);
      }
      for (var i2 = 0; i2 < initHooks.length; ++i2) {
        initHooks[i2](this);
      }
      endOperation(this);
      if (webkit && options.lineWrapping && getComputedStyle(display.lineDiv).textRendering == "optimizelegibility") {
        display.lineDiv.style.textRendering = "auto";
      }
    }
    CodeMirror2.defaults = defaults;
    CodeMirror2.optionHandlers = optionHandlers;
    function registerEventHandlers(cm) {
      var d = cm.display;
      on(d.scroller, "mousedown", operation(cm, onMouseDown));
      if (ie && ie_version < 11) {
        on(d.scroller, "dblclick", operation(cm, function(e) {
          if (signalDOMEvent(cm, e)) {
            return;
          }
          var pos = posFromMouse(cm, e);
          if (!pos || clickInGutter(cm, e) || eventInWidget(cm.display, e)) {
            return;
          }
          e_preventDefault(e);
          var word = cm.findWordAt(pos);
          extendSelection(cm.doc, word.anchor, word.head);
        }));
      } else {
        on(d.scroller, "dblclick", function(e) {
          return signalDOMEvent(cm, e) || e_preventDefault(e);
        });
      }
      on(d.scroller, "contextmenu", function(e) {
        return onContextMenu(cm, e);
      });
      on(d.input.getField(), "contextmenu", function(e) {
        if (!d.scroller.contains(e.target)) {
          onContextMenu(cm, e);
        }
      });
      var touchFinished, prevTouch = { end: 0 };
      function finishTouch() {
        if (d.activeTouch) {
          touchFinished = setTimeout(function() {
            return d.activeTouch = null;
          }, 1e3);
          prevTouch = d.activeTouch;
          prevTouch.end = +new Date();
        }
      }
      function isMouseLikeTouchEvent(e) {
        if (e.touches.length != 1) {
          return false;
        }
        var touch = e.touches[0];
        return touch.radiusX <= 1 && touch.radiusY <= 1;
      }
      function farAway(touch, other) {
        if (other.left == null) {
          return true;
        }
        var dx = other.left - touch.left, dy = other.top - touch.top;
        return dx * dx + dy * dy > 20 * 20;
      }
      on(d.scroller, "touchstart", function(e) {
        if (!signalDOMEvent(cm, e) && !isMouseLikeTouchEvent(e) && !clickInGutter(cm, e)) {
          d.input.ensurePolled();
          clearTimeout(touchFinished);
          var now2 = +new Date();
          d.activeTouch = {
            start: now2,
            moved: false,
            prev: now2 - prevTouch.end <= 300 ? prevTouch : null
          };
          if (e.touches.length == 1) {
            d.activeTouch.left = e.touches[0].pageX;
            d.activeTouch.top = e.touches[0].pageY;
          }
        }
      });
      on(d.scroller, "touchmove", function() {
        if (d.activeTouch) {
          d.activeTouch.moved = true;
        }
      });
      on(d.scroller, "touchend", function(e) {
        var touch = d.activeTouch;
        if (touch && !eventInWidget(d, e) && touch.left != null && !touch.moved && new Date() - touch.start < 300) {
          var pos = cm.coordsChar(d.activeTouch, "page"), range3;
          if (!touch.prev || farAway(touch, touch.prev)) {
            range3 = new Range(pos, pos);
          } else if (!touch.prev.prev || farAway(touch, touch.prev.prev)) {
            range3 = cm.findWordAt(pos);
          } else {
            range3 = new Range(Pos(pos.line, 0), clipPos(cm.doc, Pos(pos.line + 1, 0)));
          }
          cm.setSelection(range3.anchor, range3.head);
          cm.focus();
          e_preventDefault(e);
        }
        finishTouch();
      });
      on(d.scroller, "touchcancel", finishTouch);
      on(d.scroller, "scroll", function() {
        if (d.scroller.clientHeight) {
          updateScrollTop(cm, d.scroller.scrollTop);
          setScrollLeft(cm, d.scroller.scrollLeft, true);
          signal(cm, "scroll", cm);
        }
      });
      on(d.scroller, "mousewheel", function(e) {
        return onScrollWheel(cm, e);
      });
      on(d.scroller, "DOMMouseScroll", function(e) {
        return onScrollWheel(cm, e);
      });
      on(d.wrapper, "scroll", function() {
        return d.wrapper.scrollTop = d.wrapper.scrollLeft = 0;
      });
      d.dragFunctions = {
        enter: function(e) {
          if (!signalDOMEvent(cm, e)) {
            e_stop(e);
          }
        },
        over: function(e) {
          if (!signalDOMEvent(cm, e)) {
            onDragOver(cm, e);
            e_stop(e);
          }
        },
        start: function(e) {
          return onDragStart(cm, e);
        },
        drop: operation(cm, onDrop),
        leave: function(e) {
          if (!signalDOMEvent(cm, e)) {
            clearDragCursor(cm);
          }
        }
      };
      var inp = d.input.getField();
      on(inp, "keyup", function(e) {
        return onKeyUp.call(cm, e);
      });
      on(inp, "keydown", operation(cm, onKeyDown));
      on(inp, "keypress", operation(cm, onKeyPress));
      on(inp, "focus", function(e) {
        return onFocus(cm, e);
      });
      on(inp, "blur", function(e) {
        return onBlur(cm, e);
      });
    }
    var initHooks = [];
    CodeMirror2.defineInitHook = function(f) {
      return initHooks.push(f);
    };
    function indentLine(cm, n, how, aggressive) {
      var doc2 = cm.doc, state;
      if (how == null) {
        how = "add";
      }
      if (how == "smart") {
        if (!doc2.mode.indent) {
          how = "prev";
        } else {
          state = getContextBefore(cm, n).state;
        }
      }
      var tabSize = cm.options.tabSize;
      var line = getLine(doc2, n), curSpace = countColumn(line.text, null, tabSize);
      if (line.stateAfter) {
        line.stateAfter = null;
      }
      var curSpaceString = line.text.match(/^\s*/)[0], indentation;
      if (!aggressive && !/\S/.test(line.text)) {
        indentation = 0;
        how = "not";
      } else if (how == "smart") {
        indentation = doc2.mode.indent(state, line.text.slice(curSpaceString.length), line.text);
        if (indentation == Pass || indentation > 150) {
          if (!aggressive) {
            return;
          }
          how = "prev";
        }
      }
      if (how == "prev") {
        if (n > doc2.first) {
          indentation = countColumn(getLine(doc2, n - 1).text, null, tabSize);
        } else {
          indentation = 0;
        }
      } else if (how == "add") {
        indentation = curSpace + cm.options.indentUnit;
      } else if (how == "subtract") {
        indentation = curSpace - cm.options.indentUnit;
      } else if (typeof how == "number") {
        indentation = curSpace + how;
      }
      indentation = Math.max(0, indentation);
      var indentString = "", pos = 0;
      if (cm.options.indentWithTabs) {
        for (var i2 = Math.floor(indentation / tabSize); i2; --i2) {
          pos += tabSize;
          indentString += "	";
        }
      }
      if (pos < indentation) {
        indentString += spaceStr(indentation - pos);
      }
      if (indentString != curSpaceString) {
        replaceRange(doc2, indentString, Pos(n, 0), Pos(n, curSpaceString.length), "+input");
        line.stateAfter = null;
        return true;
      } else {
        for (var i$12 = 0; i$12 < doc2.sel.ranges.length; i$12++) {
          var range3 = doc2.sel.ranges[i$12];
          if (range3.head.line == n && range3.head.ch < curSpaceString.length) {
            var pos$1 = Pos(n, curSpaceString.length);
            replaceOneSelection(doc2, i$12, new Range(pos$1, pos$1));
            break;
          }
        }
      }
    }
    var lastCopied = null;
    function setLastCopied(newLastCopied) {
      lastCopied = newLastCopied;
    }
    function applyTextInput(cm, inserted, deleted, sel, origin) {
      var doc2 = cm.doc;
      cm.display.shift = false;
      if (!sel) {
        sel = doc2.sel;
      }
      var recent = +new Date() - 200;
      var paste = origin == "paste" || cm.state.pasteIncoming > recent;
      var textLines = splitLinesAuto(inserted), multiPaste = null;
      if (paste && sel.ranges.length > 1) {
        if (lastCopied && lastCopied.text.join("\n") == inserted) {
          if (sel.ranges.length % lastCopied.text.length == 0) {
            multiPaste = [];
            for (var i2 = 0; i2 < lastCopied.text.length; i2++) {
              multiPaste.push(doc2.splitLines(lastCopied.text[i2]));
            }
          }
        } else if (textLines.length == sel.ranges.length && cm.options.pasteLinesPerSelection) {
          multiPaste = map2(textLines, function(l) {
            return [l];
          });
        }
      }
      var updateInput = cm.curOp.updateInput;
      for (var i$12 = sel.ranges.length - 1; i$12 >= 0; i$12--) {
        var range3 = sel.ranges[i$12];
        var from = range3.from(), to = range3.to();
        if (range3.empty()) {
          if (deleted && deleted > 0) {
            from = Pos(from.line, from.ch - deleted);
          } else if (cm.state.overwrite && !paste) {
            to = Pos(to.line, Math.min(getLine(doc2, to.line).text.length, to.ch + lst(textLines).length));
          } else if (paste && lastCopied && lastCopied.lineWise && lastCopied.text.join("\n") == textLines.join("\n")) {
            from = to = Pos(from.line, 0);
          }
        }
        var changeEvent = {
          from,
          to,
          text: multiPaste ? multiPaste[i$12 % multiPaste.length] : textLines,
          origin: origin || (paste ? "paste" : cm.state.cutIncoming > recent ? "cut" : "+input")
        };
        makeChange(cm.doc, changeEvent);
        signalLater(cm, "inputRead", cm, changeEvent);
      }
      if (inserted && !paste) {
        triggerElectric(cm, inserted);
      }
      ensureCursorVisible(cm);
      if (cm.curOp.updateInput < 2) {
        cm.curOp.updateInput = updateInput;
      }
      cm.curOp.typing = true;
      cm.state.pasteIncoming = cm.state.cutIncoming = -1;
    }
    function handlePaste(e, cm) {
      var pasted = e.clipboardData && e.clipboardData.getData("Text");
      if (pasted) {
        e.preventDefault();
        if (!cm.isReadOnly() && !cm.options.disableInput && cm.hasFocus()) {
          runInOp(cm, function() {
            return applyTextInput(cm, pasted, 0, null, "paste");
          });
        }
        return true;
      }
    }
    function triggerElectric(cm, inserted) {
      if (!cm.options.electricChars || !cm.options.smartIndent) {
        return;
      }
      var sel = cm.doc.sel;
      for (var i2 = sel.ranges.length - 1; i2 >= 0; i2--) {
        var range3 = sel.ranges[i2];
        if (range3.head.ch > 100 || i2 && sel.ranges[i2 - 1].head.line == range3.head.line) {
          continue;
        }
        var mode = cm.getModeAt(range3.head);
        var indented = false;
        if (mode.electricChars) {
          for (var j = 0; j < mode.electricChars.length; j++) {
            if (inserted.indexOf(mode.electricChars.charAt(j)) > -1) {
              indented = indentLine(cm, range3.head.line, "smart");
              break;
            }
          }
        } else if (mode.electricInput) {
          if (mode.electricInput.test(getLine(cm.doc, range3.head.line).text.slice(0, range3.head.ch))) {
            indented = indentLine(cm, range3.head.line, "smart");
          }
        }
        if (indented) {
          signalLater(cm, "electricInput", cm, range3.head.line);
        }
      }
    }
    function copyableRanges(cm) {
      var text = [], ranges = [];
      for (var i2 = 0; i2 < cm.doc.sel.ranges.length; i2++) {
        var line = cm.doc.sel.ranges[i2].head.line;
        var lineRange = { anchor: Pos(line, 0), head: Pos(line + 1, 0) };
        ranges.push(lineRange);
        text.push(cm.getRange(lineRange.anchor, lineRange.head));
      }
      return { text, ranges };
    }
    function disableBrowserMagic(field, spellcheck, autocorrect, autocapitalize) {
      field.setAttribute("autocorrect", autocorrect ? "" : "off");
      field.setAttribute("autocapitalize", autocapitalize ? "" : "off");
      field.setAttribute("spellcheck", !!spellcheck);
    }
    function hiddenTextarea() {
      var te = elt("textarea", null, null, "position: absolute; bottom: -1em; padding: 0; width: 1px; height: 1em; min-height: 1em; outline: none");
      var div = elt("div", [te], null, "overflow: hidden; position: relative; width: 3px; height: 0px;");
      if (webkit) {
        te.style.width = "1000px";
      } else {
        te.setAttribute("wrap", "off");
      }
      if (ios) {
        te.style.border = "1px solid black";
      }
      disableBrowserMagic(te);
      return div;
    }
    function addEditorMethods(CodeMirror3) {
      var optionHandlers2 = CodeMirror3.optionHandlers;
      var helpers = CodeMirror3.helpers = {};
      CodeMirror3.prototype = {
        constructor: CodeMirror3,
        focus: function() {
          window.focus();
          this.display.input.focus();
        },
        setOption: function(option, value) {
          var options = this.options, old = options[option];
          if (options[option] == value && option != "mode") {
            return;
          }
          options[option] = value;
          if (optionHandlers2.hasOwnProperty(option)) {
            operation(this, optionHandlers2[option])(this, value, old);
          }
          signal(this, "optionChange", this, option);
        },
        getOption: function(option) {
          return this.options[option];
        },
        getDoc: function() {
          return this.doc;
        },
        addKeyMap: function(map3, bottom) {
          this.state.keyMaps[bottom ? "push" : "unshift"](getKeyMap(map3));
        },
        removeKeyMap: function(map3) {
          var maps = this.state.keyMaps;
          for (var i2 = 0; i2 < maps.length; ++i2) {
            if (maps[i2] == map3 || maps[i2].name == map3) {
              maps.splice(i2, 1);
              return true;
            }
          }
        },
        addOverlay: methodOp(function(spec, options) {
          var mode = spec.token ? spec : CodeMirror3.getMode(this.options, spec);
          if (mode.startState) {
            throw new Error("Overlays may not be stateful.");
          }
          insertSorted(
            this.state.overlays,
            {
              mode,
              modeSpec: spec,
              opaque: options && options.opaque,
              priority: options && options.priority || 0
            },
            function(overlay) {
              return overlay.priority;
            }
          );
          this.state.modeGen++;
          regChange(this);
        }),
        removeOverlay: methodOp(function(spec) {
          var overlays = this.state.overlays;
          for (var i2 = 0; i2 < overlays.length; ++i2) {
            var cur = overlays[i2].modeSpec;
            if (cur == spec || typeof spec == "string" && cur.name == spec) {
              overlays.splice(i2, 1);
              this.state.modeGen++;
              regChange(this);
              return;
            }
          }
        }),
        indentLine: methodOp(function(n, dir, aggressive) {
          if (typeof dir != "string" && typeof dir != "number") {
            if (dir == null) {
              dir = this.options.smartIndent ? "smart" : "prev";
            } else {
              dir = dir ? "add" : "subtract";
            }
          }
          if (isLine(this.doc, n)) {
            indentLine(this, n, dir, aggressive);
          }
        }),
        indentSelection: methodOp(function(how) {
          var ranges = this.doc.sel.ranges, end = -1;
          for (var i2 = 0; i2 < ranges.length; i2++) {
            var range3 = ranges[i2];
            if (!range3.empty()) {
              var from = range3.from(), to = range3.to();
              var start = Math.max(end, from.line);
              end = Math.min(this.lastLine(), to.line - (to.ch ? 0 : 1)) + 1;
              for (var j = start; j < end; ++j) {
                indentLine(this, j, how);
              }
              var newRanges = this.doc.sel.ranges;
              if (from.ch == 0 && ranges.length == newRanges.length && newRanges[i2].from().ch > 0) {
                replaceOneSelection(this.doc, i2, new Range(from, newRanges[i2].to()), sel_dontScroll);
              }
            } else if (range3.head.line > end) {
              indentLine(this, range3.head.line, how, true);
              end = range3.head.line;
              if (i2 == this.doc.sel.primIndex) {
                ensureCursorVisible(this);
              }
            }
          }
        }),
        getTokenAt: function(pos, precise) {
          return takeToken(this, pos, precise);
        },
        getLineTokens: function(line, precise) {
          return takeToken(this, Pos(line), precise, true);
        },
        getTokenTypeAt: function(pos) {
          pos = clipPos(this.doc, pos);
          var styles2 = getLineStyles(this, getLine(this.doc, pos.line));
          var before = 0, after = (styles2.length - 1) / 2, ch = pos.ch;
          var type;
          if (ch == 0) {
            type = styles2[2];
          } else {
            for (; ; ) {
              var mid = before + after >> 1;
              if ((mid ? styles2[mid * 2 - 1] : 0) >= ch) {
                after = mid;
              } else if (styles2[mid * 2 + 1] < ch) {
                before = mid + 1;
              } else {
                type = styles2[mid * 2 + 2];
                break;
              }
            }
          }
          var cut = type ? type.indexOf("overlay ") : -1;
          return cut < 0 ? type : cut == 0 ? null : type.slice(0, cut - 1);
        },
        getModeAt: function(pos) {
          var mode = this.doc.mode;
          if (!mode.innerMode) {
            return mode;
          }
          return CodeMirror3.innerMode(mode, this.getTokenAt(pos).state).mode;
        },
        getHelper: function(pos, type) {
          return this.getHelpers(pos, type)[0];
        },
        getHelpers: function(pos, type) {
          var found = [];
          if (!helpers.hasOwnProperty(type)) {
            return found;
          }
          var help = helpers[type], mode = this.getModeAt(pos);
          if (typeof mode[type] == "string") {
            if (help[mode[type]]) {
              found.push(help[mode[type]]);
            }
          } else if (mode[type]) {
            for (var i2 = 0; i2 < mode[type].length; i2++) {
              var val = help[mode[type][i2]];
              if (val) {
                found.push(val);
              }
            }
          } else if (mode.helperType && help[mode.helperType]) {
            found.push(help[mode.helperType]);
          } else if (help[mode.name]) {
            found.push(help[mode.name]);
          }
          for (var i$12 = 0; i$12 < help._global.length; i$12++) {
            var cur = help._global[i$12];
            if (cur.pred(mode, this) && indexOf(found, cur.val) == -1) {
              found.push(cur.val);
            }
          }
          return found;
        },
        getStateAfter: function(line, precise) {
          var doc2 = this.doc;
          line = clipLine(doc2, line == null ? doc2.first + doc2.size - 1 : line);
          return getContextBefore(this, line + 1, precise).state;
        },
        cursorCoords: function(start, mode) {
          var pos, range3 = this.doc.sel.primary();
          if (start == null) {
            pos = range3.head;
          } else if (typeof start == "object") {
            pos = clipPos(this.doc, start);
          } else {
            pos = start ? range3.from() : range3.to();
          }
          return cursorCoords(this, pos, mode || "page");
        },
        charCoords: function(pos, mode) {
          return charCoords(this, clipPos(this.doc, pos), mode || "page");
        },
        coordsChar: function(coords, mode) {
          coords = fromCoordSystem(this, coords, mode || "page");
          return coordsChar(this, coords.left, coords.top);
        },
        lineAtHeight: function(height, mode) {
          height = fromCoordSystem(this, { top: height, left: 0 }, mode || "page").top;
          return lineAtHeight(this.doc, height + this.display.viewOffset);
        },
        heightAtLine: function(line, mode, includeWidgets) {
          var end = false, lineObj;
          if (typeof line == "number") {
            var last = this.doc.first + this.doc.size - 1;
            if (line < this.doc.first) {
              line = this.doc.first;
            } else if (line > last) {
              line = last;
              end = true;
            }
            lineObj = getLine(this.doc, line);
          } else {
            lineObj = line;
          }
          return intoCoordSystem(this, lineObj, { top: 0, left: 0 }, mode || "page", includeWidgets || end).top + (end ? this.doc.height - heightAtLine(lineObj) : 0);
        },
        defaultTextHeight: function() {
          return textHeight(this.display);
        },
        defaultCharWidth: function() {
          return charWidth(this.display);
        },
        getViewport: function() {
          return { from: this.display.viewFrom, to: this.display.viewTo };
        },
        addWidget: function(pos, node, scroll, vert, horiz) {
          var display = this.display;
          pos = cursorCoords(this, clipPos(this.doc, pos));
          var top = pos.bottom, left = pos.left;
          node.style.position = "absolute";
          node.setAttribute("cm-ignore-events", "true");
          this.display.input.setUneditable(node);
          display.sizer.appendChild(node);
          if (vert == "over") {
            top = pos.top;
          } else if (vert == "above" || vert == "near") {
            var vspace = Math.max(display.wrapper.clientHeight, this.doc.height), hspace = Math.max(display.sizer.clientWidth, display.lineSpace.clientWidth);
            if ((vert == "above" || pos.bottom + node.offsetHeight > vspace) && pos.top > node.offsetHeight) {
              top = pos.top - node.offsetHeight;
            } else if (pos.bottom + node.offsetHeight <= vspace) {
              top = pos.bottom;
            }
            if (left + node.offsetWidth > hspace) {
              left = hspace - node.offsetWidth;
            }
          }
          node.style.top = top + "px";
          node.style.left = node.style.right = "";
          if (horiz == "right") {
            left = display.sizer.clientWidth - node.offsetWidth;
            node.style.right = "0px";
          } else {
            if (horiz == "left") {
              left = 0;
            } else if (horiz == "middle") {
              left = (display.sizer.clientWidth - node.offsetWidth) / 2;
            }
            node.style.left = left + "px";
          }
          if (scroll) {
            scrollIntoView(this, { left, top, right: left + node.offsetWidth, bottom: top + node.offsetHeight });
          }
        },
        triggerOnKeyDown: methodOp(onKeyDown),
        triggerOnKeyPress: methodOp(onKeyPress),
        triggerOnKeyUp: onKeyUp,
        triggerOnMouseDown: methodOp(onMouseDown),
        execCommand: function(cmd) {
          if (commands.hasOwnProperty(cmd)) {
            return commands[cmd].call(null, this);
          }
        },
        triggerElectric: methodOp(function(text) {
          triggerElectric(this, text);
        }),
        findPosH: function(from, amount, unit, visually) {
          var dir = 1;
          if (amount < 0) {
            dir = -1;
            amount = -amount;
          }
          var cur = clipPos(this.doc, from);
          for (var i2 = 0; i2 < amount; ++i2) {
            cur = findPosH(this.doc, cur, dir, unit, visually);
            if (cur.hitSide) {
              break;
            }
          }
          return cur;
        },
        moveH: methodOp(function(dir, unit) {
          var this$1$1 = this;
          this.extendSelectionsBy(function(range3) {
            if (this$1$1.display.shift || this$1$1.doc.extend || range3.empty()) {
              return findPosH(this$1$1.doc, range3.head, dir, unit, this$1$1.options.rtlMoveVisually);
            } else {
              return dir < 0 ? range3.from() : range3.to();
            }
          }, sel_move);
        }),
        deleteH: methodOp(function(dir, unit) {
          var sel = this.doc.sel, doc2 = this.doc;
          if (sel.somethingSelected()) {
            doc2.replaceSelection("", null, "+delete");
          } else {
            deleteNearSelection(this, function(range3) {
              var other = findPosH(doc2, range3.head, dir, unit, false);
              return dir < 0 ? { from: other, to: range3.head } : { from: range3.head, to: other };
            });
          }
        }),
        findPosV: function(from, amount, unit, goalColumn) {
          var dir = 1, x = goalColumn;
          if (amount < 0) {
            dir = -1;
            amount = -amount;
          }
          var cur = clipPos(this.doc, from);
          for (var i2 = 0; i2 < amount; ++i2) {
            var coords = cursorCoords(this, cur, "div");
            if (x == null) {
              x = coords.left;
            } else {
              coords.left = x;
            }
            cur = findPosV(this, coords, dir, unit);
            if (cur.hitSide) {
              break;
            }
          }
          return cur;
        },
        moveV: methodOp(function(dir, unit) {
          var this$1$1 = this;
          var doc2 = this.doc, goals = [];
          var collapse = !this.display.shift && !doc2.extend && doc2.sel.somethingSelected();
          doc2.extendSelectionsBy(function(range3) {
            if (collapse) {
              return dir < 0 ? range3.from() : range3.to();
            }
            var headPos = cursorCoords(this$1$1, range3.head, "div");
            if (range3.goalColumn != null) {
              headPos.left = range3.goalColumn;
            }
            goals.push(headPos.left);
            var pos = findPosV(this$1$1, headPos, dir, unit);
            if (unit == "page" && range3 == doc2.sel.primary()) {
              addToScrollTop(this$1$1, charCoords(this$1$1, pos, "div").top - headPos.top);
            }
            return pos;
          }, sel_move);
          if (goals.length) {
            for (var i2 = 0; i2 < doc2.sel.ranges.length; i2++) {
              doc2.sel.ranges[i2].goalColumn = goals[i2];
            }
          }
        }),
        findWordAt: function(pos) {
          var doc2 = this.doc, line = getLine(doc2, pos.line).text;
          var start = pos.ch, end = pos.ch;
          if (line) {
            var helper = this.getHelper(pos, "wordChars");
            if ((pos.sticky == "before" || end == line.length) && start) {
              --start;
            } else {
              ++end;
            }
            var startChar = line.charAt(start);
            var check = isWordChar(startChar, helper) ? function(ch) {
              return isWordChar(ch, helper);
            } : /\s/.test(startChar) ? function(ch) {
              return /\s/.test(ch);
            } : function(ch) {
              return !/\s/.test(ch) && !isWordChar(ch);
            };
            while (start > 0 && check(line.charAt(start - 1))) {
              --start;
            }
            while (end < line.length && check(line.charAt(end))) {
              ++end;
            }
          }
          return new Range(Pos(pos.line, start), Pos(pos.line, end));
        },
        toggleOverwrite: function(value) {
          if (value != null && value == this.state.overwrite) {
            return;
          }
          if (this.state.overwrite = !this.state.overwrite) {
            addClass(this.display.cursorDiv, "CodeMirror-overwrite");
          } else {
            rmClass(this.display.cursorDiv, "CodeMirror-overwrite");
          }
          signal(this, "overwriteToggle", this, this.state.overwrite);
        },
        hasFocus: function() {
          return this.display.input.getField() == activeElt();
        },
        isReadOnly: function() {
          return !!(this.options.readOnly || this.doc.cantEdit);
        },
        scrollTo: methodOp(function(x, y) {
          scrollToCoords(this, x, y);
        }),
        getScrollInfo: function() {
          var scroller = this.display.scroller;
          return {
            left: scroller.scrollLeft,
            top: scroller.scrollTop,
            height: scroller.scrollHeight - scrollGap(this) - this.display.barHeight,
            width: scroller.scrollWidth - scrollGap(this) - this.display.barWidth,
            clientHeight: displayHeight(this),
            clientWidth: displayWidth(this)
          };
        },
        scrollIntoView: methodOp(function(range3, margin) {
          if (range3 == null) {
            range3 = { from: this.doc.sel.primary().head, to: null };
            if (margin == null) {
              margin = this.options.cursorScrollMargin;
            }
          } else if (typeof range3 == "number") {
            range3 = { from: Pos(range3, 0), to: null };
          } else if (range3.from == null) {
            range3 = { from: range3, to: null };
          }
          if (!range3.to) {
            range3.to = range3.from;
          }
          range3.margin = margin || 0;
          if (range3.from.line != null) {
            scrollToRange(this, range3);
          } else {
            scrollToCoordsRange(this, range3.from, range3.to, range3.margin);
          }
        }),
        setSize: methodOp(function(width, height) {
          var this$1$1 = this;
          var interpret = function(val) {
            return typeof val == "number" || /^\d+$/.test(String(val)) ? val + "px" : val;
          };
          if (width != null) {
            this.display.wrapper.style.width = interpret(width);
          }
          if (height != null) {
            this.display.wrapper.style.height = interpret(height);
          }
          if (this.options.lineWrapping) {
            clearLineMeasurementCache(this);
          }
          var lineNo2 = this.display.viewFrom;
          this.doc.iter(lineNo2, this.display.viewTo, function(line) {
            if (line.widgets) {
              for (var i2 = 0; i2 < line.widgets.length; i2++) {
                if (line.widgets[i2].noHScroll) {
                  regLineChange(this$1$1, lineNo2, "widget");
                  break;
                }
              }
            }
            ++lineNo2;
          });
          this.curOp.forceUpdate = true;
          signal(this, "refresh", this);
        }),
        operation: function(f) {
          return runInOp(this, f);
        },
        startOperation: function() {
          return startOperation(this);
        },
        endOperation: function() {
          return endOperation(this);
        },
        refresh: methodOp(function() {
          var oldHeight = this.display.cachedTextHeight;
          regChange(this);
          this.curOp.forceUpdate = true;
          clearCaches(this);
          scrollToCoords(this, this.doc.scrollLeft, this.doc.scrollTop);
          updateGutterSpace(this.display);
          if (oldHeight == null || Math.abs(oldHeight - textHeight(this.display)) > 0.5 || this.options.lineWrapping) {
            estimateLineHeights(this);
          }
          signal(this, "refresh", this);
        }),
        swapDoc: methodOp(function(doc2) {
          var old = this.doc;
          old.cm = null;
          if (this.state.selectingText) {
            this.state.selectingText();
          }
          attachDoc(this, doc2);
          clearCaches(this);
          this.display.input.reset();
          scrollToCoords(this, doc2.scrollLeft, doc2.scrollTop);
          this.curOp.forceScroll = true;
          signalLater(this, "swapDoc", this, old);
          return old;
        }),
        phrase: function(phraseText) {
          var phrases = this.options.phrases;
          return phrases && Object.prototype.hasOwnProperty.call(phrases, phraseText) ? phrases[phraseText] : phraseText;
        },
        getInputField: function() {
          return this.display.input.getField();
        },
        getWrapperElement: function() {
          return this.display.wrapper;
        },
        getScrollerElement: function() {
          return this.display.scroller;
        },
        getGutterElement: function() {
          return this.display.gutters;
        }
      };
      eventMixin(CodeMirror3);
      CodeMirror3.registerHelper = function(type, name, value) {
        if (!helpers.hasOwnProperty(type)) {
          helpers[type] = CodeMirror3[type] = { _global: [] };
        }
        helpers[type][name] = value;
      };
      CodeMirror3.registerGlobalHelper = function(type, name, predicate, value) {
        CodeMirror3.registerHelper(type, name, value);
        helpers[type]._global.push({ pred: predicate, val: value });
      };
    }
    function findPosH(doc2, pos, dir, unit, visually) {
      var oldPos = pos;
      var origDir = dir;
      var lineObj = getLine(doc2, pos.line);
      var lineDir = visually && doc2.direction == "rtl" ? -dir : dir;
      function findNextLine() {
        var l = pos.line + lineDir;
        if (l < doc2.first || l >= doc2.first + doc2.size) {
          return false;
        }
        pos = new Pos(l, pos.ch, pos.sticky);
        return lineObj = getLine(doc2, l);
      }
      function moveOnce(boundToLine) {
        var next;
        if (unit == "codepoint") {
          var ch = lineObj.text.charCodeAt(pos.ch + (dir > 0 ? 0 : -1));
          if (isNaN(ch)) {
            next = null;
          } else {
            var astral = dir > 0 ? ch >= 55296 && ch < 56320 : ch >= 56320 && ch < 57343;
            next = new Pos(pos.line, Math.max(0, Math.min(lineObj.text.length, pos.ch + dir * (astral ? 2 : 1))), -dir);
          }
        } else if (visually) {
          next = moveVisually(doc2.cm, lineObj, pos, dir);
        } else {
          next = moveLogically(lineObj, pos, dir);
        }
        if (next == null) {
          if (!boundToLine && findNextLine()) {
            pos = endOfLine(visually, doc2.cm, lineObj, pos.line, lineDir);
          } else {
            return false;
          }
        } else {
          pos = next;
        }
        return true;
      }
      if (unit == "char" || unit == "codepoint") {
        moveOnce();
      } else if (unit == "column") {
        moveOnce(true);
      } else if (unit == "word" || unit == "group") {
        var sawType = null, group = unit == "group";
        var helper = doc2.cm && doc2.cm.getHelper(pos, "wordChars");
        for (var first = true; ; first = false) {
          if (dir < 0 && !moveOnce(!first)) {
            break;
          }
          var cur = lineObj.text.charAt(pos.ch) || "\n";
          var type = isWordChar(cur, helper) ? "w" : group && cur == "\n" ? "n" : !group || /\s/.test(cur) ? null : "p";
          if (group && !first && !type) {
            type = "s";
          }
          if (sawType && sawType != type) {
            if (dir < 0) {
              dir = 1;
              moveOnce();
              pos.sticky = "after";
            }
            break;
          }
          if (type) {
            sawType = type;
          }
          if (dir > 0 && !moveOnce(!first)) {
            break;
          }
        }
      }
      var result = skipAtomic(doc2, pos, oldPos, origDir, true);
      if (equalCursorPos(oldPos, result)) {
        result.hitSide = true;
      }
      return result;
    }
    function findPosV(cm, pos, dir, unit) {
      var doc2 = cm.doc, x = pos.left, y;
      if (unit == "page") {
        var pageSize = Math.min(cm.display.wrapper.clientHeight, window.innerHeight || document.documentElement.clientHeight);
        var moveAmount = Math.max(pageSize - 0.5 * textHeight(cm.display), 3);
        y = (dir > 0 ? pos.bottom : pos.top) + dir * moveAmount;
      } else if (unit == "line") {
        y = dir > 0 ? pos.bottom + 3 : pos.top - 3;
      }
      var target;
      for (; ; ) {
        target = coordsChar(cm, x, y);
        if (!target.outside) {
          break;
        }
        if (dir < 0 ? y <= 0 : y >= doc2.height) {
          target.hitSide = true;
          break;
        }
        y += dir * 5;
      }
      return target;
    }
    var ContentEditableInput = function(cm) {
      this.cm = cm;
      this.lastAnchorNode = this.lastAnchorOffset = this.lastFocusNode = this.lastFocusOffset = null;
      this.polling = new Delayed();
      this.composing = null;
      this.gracePeriod = false;
      this.readDOMTimeout = null;
    };
    ContentEditableInput.prototype.init = function(display) {
      var this$1$1 = this;
      var input = this, cm = input.cm;
      var div = input.div = display.lineDiv;
      div.contentEditable = true;
      disableBrowserMagic(div, cm.options.spellcheck, cm.options.autocorrect, cm.options.autocapitalize);
      function belongsToInput(e) {
        for (var t = e.target; t; t = t.parentNode) {
          if (t == div) {
            return true;
          }
          if (/\bCodeMirror-(?:line)?widget\b/.test(t.className)) {
            break;
          }
        }
        return false;
      }
      on(div, "paste", function(e) {
        if (!belongsToInput(e) || signalDOMEvent(cm, e) || handlePaste(e, cm)) {
          return;
        }
        if (ie_version <= 11) {
          setTimeout(operation(cm, function() {
            return this$1$1.updateFromDOM();
          }), 20);
        }
      });
      on(div, "compositionstart", function(e) {
        this$1$1.composing = { data: e.data, done: false };
      });
      on(div, "compositionupdate", function(e) {
        if (!this$1$1.composing) {
          this$1$1.composing = { data: e.data, done: false };
        }
      });
      on(div, "compositionend", function(e) {
        if (this$1$1.composing) {
          if (e.data != this$1$1.composing.data) {
            this$1$1.readFromDOMSoon();
          }
          this$1$1.composing.done = true;
        }
      });
      on(div, "touchstart", function() {
        return input.forceCompositionEnd();
      });
      on(div, "input", function() {
        if (!this$1$1.composing) {
          this$1$1.readFromDOMSoon();
        }
      });
      function onCopyCut(e) {
        if (!belongsToInput(e) || signalDOMEvent(cm, e)) {
          return;
        }
        if (cm.somethingSelected()) {
          setLastCopied({ lineWise: false, text: cm.getSelections() });
          if (e.type == "cut") {
            cm.replaceSelection("", null, "cut");
          }
        } else if (!cm.options.lineWiseCopyCut) {
          return;
        } else {
          var ranges = copyableRanges(cm);
          setLastCopied({ lineWise: true, text: ranges.text });
          if (e.type == "cut") {
            cm.operation(function() {
              cm.setSelections(ranges.ranges, 0, sel_dontScroll);
              cm.replaceSelection("", null, "cut");
            });
          }
        }
        if (e.clipboardData) {
          e.clipboardData.clearData();
          var content = lastCopied.text.join("\n");
          e.clipboardData.setData("Text", content);
          if (e.clipboardData.getData("Text") == content) {
            e.preventDefault();
            return;
          }
        }
        var kludge = hiddenTextarea(), te = kludge.firstChild;
        cm.display.lineSpace.insertBefore(kludge, cm.display.lineSpace.firstChild);
        te.value = lastCopied.text.join("\n");
        var hadFocus = activeElt();
        selectInput(te);
        setTimeout(function() {
          cm.display.lineSpace.removeChild(kludge);
          hadFocus.focus();
          if (hadFocus == div) {
            input.showPrimarySelection();
          }
        }, 50);
      }
      on(div, "copy", onCopyCut);
      on(div, "cut", onCopyCut);
    };
    ContentEditableInput.prototype.screenReaderLabelChanged = function(label) {
      if (label) {
        this.div.setAttribute("aria-label", label);
      } else {
        this.div.removeAttribute("aria-label");
      }
    };
    ContentEditableInput.prototype.prepareSelection = function() {
      var result = prepareSelection(this.cm, false);
      result.focus = activeElt() == this.div;
      return result;
    };
    ContentEditableInput.prototype.showSelection = function(info, takeFocus) {
      if (!info || !this.cm.display.view.length) {
        return;
      }
      if (info.focus || takeFocus) {
        this.showPrimarySelection();
      }
      this.showMultipleSelections(info);
    };
    ContentEditableInput.prototype.getSelection = function() {
      return this.cm.display.wrapper.ownerDocument.getSelection();
    };
    ContentEditableInput.prototype.showPrimarySelection = function() {
      var sel = this.getSelection(), cm = this.cm, prim = cm.doc.sel.primary();
      var from = prim.from(), to = prim.to();
      if (cm.display.viewTo == cm.display.viewFrom || from.line >= cm.display.viewTo || to.line < cm.display.viewFrom) {
        sel.removeAllRanges();
        return;
      }
      var curAnchor = domToPos(cm, sel.anchorNode, sel.anchorOffset);
      var curFocus = domToPos(cm, sel.focusNode, sel.focusOffset);
      if (curAnchor && !curAnchor.bad && curFocus && !curFocus.bad && cmp(minPos(curAnchor, curFocus), from) == 0 && cmp(maxPos(curAnchor, curFocus), to) == 0) {
        return;
      }
      var view = cm.display.view;
      var start = from.line >= cm.display.viewFrom && posToDOM(cm, from) || { node: view[0].measure.map[2], offset: 0 };
      var end = to.line < cm.display.viewTo && posToDOM(cm, to);
      if (!end) {
        var measure = view[view.length - 1].measure;
        var map3 = measure.maps ? measure.maps[measure.maps.length - 1] : measure.map;
        end = { node: map3[map3.length - 1], offset: map3[map3.length - 2] - map3[map3.length - 3] };
      }
      if (!start || !end) {
        sel.removeAllRanges();
        return;
      }
      var old = sel.rangeCount && sel.getRangeAt(0), rng;
      try {
        rng = range2(start.node, start.offset, end.offset, end.node);
      } catch (e) {
      }
      if (rng) {
        if (!gecko && cm.state.focused) {
          sel.collapse(start.node, start.offset);
          if (!rng.collapsed) {
            sel.removeAllRanges();
            sel.addRange(rng);
          }
        } else {
          sel.removeAllRanges();
          sel.addRange(rng);
        }
        if (old && sel.anchorNode == null) {
          sel.addRange(old);
        } else if (gecko) {
          this.startGracePeriod();
        }
      }
      this.rememberSelection();
    };
    ContentEditableInput.prototype.startGracePeriod = function() {
      var this$1$1 = this;
      clearTimeout(this.gracePeriod);
      this.gracePeriod = setTimeout(function() {
        this$1$1.gracePeriod = false;
        if (this$1$1.selectionChanged()) {
          this$1$1.cm.operation(function() {
            return this$1$1.cm.curOp.selectionChanged = true;
          });
        }
      }, 20);
    };
    ContentEditableInput.prototype.showMultipleSelections = function(info) {
      removeChildrenAndAdd(this.cm.display.cursorDiv, info.cursors);
      removeChildrenAndAdd(this.cm.display.selectionDiv, info.selection);
    };
    ContentEditableInput.prototype.rememberSelection = function() {
      var sel = this.getSelection();
      this.lastAnchorNode = sel.anchorNode;
      this.lastAnchorOffset = sel.anchorOffset;
      this.lastFocusNode = sel.focusNode;
      this.lastFocusOffset = sel.focusOffset;
    };
    ContentEditableInput.prototype.selectionInEditor = function() {
      var sel = this.getSelection();
      if (!sel.rangeCount) {
        return false;
      }
      var node = sel.getRangeAt(0).commonAncestorContainer;
      return contains2(this.div, node);
    };
    ContentEditableInput.prototype.focus = function() {
      if (this.cm.options.readOnly != "nocursor") {
        if (!this.selectionInEditor() || activeElt() != this.div) {
          this.showSelection(this.prepareSelection(), true);
        }
        this.div.focus();
      }
    };
    ContentEditableInput.prototype.blur = function() {
      this.div.blur();
    };
    ContentEditableInput.prototype.getField = function() {
      return this.div;
    };
    ContentEditableInput.prototype.supportsTouch = function() {
      return true;
    };
    ContentEditableInput.prototype.receivedFocus = function() {
      var this$1$1 = this;
      var input = this;
      if (this.selectionInEditor()) {
        setTimeout(function() {
          return this$1$1.pollSelection();
        }, 20);
      } else {
        runInOp(this.cm, function() {
          return input.cm.curOp.selectionChanged = true;
        });
      }
      function poll() {
        if (input.cm.state.focused) {
          input.pollSelection();
          input.polling.set(input.cm.options.pollInterval, poll);
        }
      }
      this.polling.set(this.cm.options.pollInterval, poll);
    };
    ContentEditableInput.prototype.selectionChanged = function() {
      var sel = this.getSelection();
      return sel.anchorNode != this.lastAnchorNode || sel.anchorOffset != this.lastAnchorOffset || sel.focusNode != this.lastFocusNode || sel.focusOffset != this.lastFocusOffset;
    };
    ContentEditableInput.prototype.pollSelection = function() {
      if (this.readDOMTimeout != null || this.gracePeriod || !this.selectionChanged()) {
        return;
      }
      var sel = this.getSelection(), cm = this.cm;
      if (android && chrome && this.cm.display.gutterSpecs.length && isInGutter(sel.anchorNode)) {
        this.cm.triggerOnKeyDown({ type: "keydown", keyCode: 8, preventDefault: Math.abs });
        this.blur();
        this.focus();
        return;
      }
      if (this.composing) {
        return;
      }
      this.rememberSelection();
      var anchor = domToPos(cm, sel.anchorNode, sel.anchorOffset);
      var head = domToPos(cm, sel.focusNode, sel.focusOffset);
      if (anchor && head) {
        runInOp(cm, function() {
          setSelection(cm.doc, simpleSelection(anchor, head), sel_dontScroll);
          if (anchor.bad || head.bad) {
            cm.curOp.selectionChanged = true;
          }
        });
      }
    };
    ContentEditableInput.prototype.pollContent = function() {
      if (this.readDOMTimeout != null) {
        clearTimeout(this.readDOMTimeout);
        this.readDOMTimeout = null;
      }
      var cm = this.cm, display = cm.display, sel = cm.doc.sel.primary();
      var from = sel.from(), to = sel.to();
      if (from.ch == 0 && from.line > cm.firstLine()) {
        from = Pos(from.line - 1, getLine(cm.doc, from.line - 1).length);
      }
      if (to.ch == getLine(cm.doc, to.line).text.length && to.line < cm.lastLine()) {
        to = Pos(to.line + 1, 0);
      }
      if (from.line < display.viewFrom || to.line > display.viewTo - 1) {
        return false;
      }
      var fromIndex, fromLine, fromNode;
      if (from.line == display.viewFrom || (fromIndex = findViewIndex(cm, from.line)) == 0) {
        fromLine = lineNo(display.view[0].line);
        fromNode = display.view[0].node;
      } else {
        fromLine = lineNo(display.view[fromIndex].line);
        fromNode = display.view[fromIndex - 1].node.nextSibling;
      }
      var toIndex = findViewIndex(cm, to.line);
      var toLine, toNode;
      if (toIndex == display.view.length - 1) {
        toLine = display.viewTo - 1;
        toNode = display.lineDiv.lastChild;
      } else {
        toLine = lineNo(display.view[toIndex + 1].line) - 1;
        toNode = display.view[toIndex + 1].node.previousSibling;
      }
      if (!fromNode) {
        return false;
      }
      var newText = cm.doc.splitLines(domTextBetween(cm, fromNode, toNode, fromLine, toLine));
      var oldText = getBetween(cm.doc, Pos(fromLine, 0), Pos(toLine, getLine(cm.doc, toLine).text.length));
      while (newText.length > 1 && oldText.length > 1) {
        if (lst(newText) == lst(oldText)) {
          newText.pop();
          oldText.pop();
          toLine--;
        } else if (newText[0] == oldText[0]) {
          newText.shift();
          oldText.shift();
          fromLine++;
        } else {
          break;
        }
      }
      var cutFront = 0, cutEnd = 0;
      var newTop = newText[0], oldTop = oldText[0], maxCutFront = Math.min(newTop.length, oldTop.length);
      while (cutFront < maxCutFront && newTop.charCodeAt(cutFront) == oldTop.charCodeAt(cutFront)) {
        ++cutFront;
      }
      var newBot = lst(newText), oldBot = lst(oldText);
      var maxCutEnd = Math.min(
        newBot.length - (newText.length == 1 ? cutFront : 0),
        oldBot.length - (oldText.length == 1 ? cutFront : 0)
      );
      while (cutEnd < maxCutEnd && newBot.charCodeAt(newBot.length - cutEnd - 1) == oldBot.charCodeAt(oldBot.length - cutEnd - 1)) {
        ++cutEnd;
      }
      if (newText.length == 1 && oldText.length == 1 && fromLine == from.line) {
        while (cutFront && cutFront > from.ch && newBot.charCodeAt(newBot.length - cutEnd - 1) == oldBot.charCodeAt(oldBot.length - cutEnd - 1)) {
          cutFront--;
          cutEnd++;
        }
      }
      newText[newText.length - 1] = newBot.slice(0, newBot.length - cutEnd).replace(/^\u200b+/, "");
      newText[0] = newText[0].slice(cutFront).replace(/\u200b+$/, "");
      var chFrom = Pos(fromLine, cutFront);
      var chTo = Pos(toLine, oldText.length ? lst(oldText).length - cutEnd : 0);
      if (newText.length > 1 || newText[0] || cmp(chFrom, chTo)) {
        replaceRange(cm.doc, newText, chFrom, chTo, "+input");
        return true;
      }
    };
    ContentEditableInput.prototype.ensurePolled = function() {
      this.forceCompositionEnd();
    };
    ContentEditableInput.prototype.reset = function() {
      this.forceCompositionEnd();
    };
    ContentEditableInput.prototype.forceCompositionEnd = function() {
      if (!this.composing) {
        return;
      }
      clearTimeout(this.readDOMTimeout);
      this.composing = null;
      this.updateFromDOM();
      this.div.blur();
      this.div.focus();
    };
    ContentEditableInput.prototype.readFromDOMSoon = function() {
      var this$1$1 = this;
      if (this.readDOMTimeout != null) {
        return;
      }
      this.readDOMTimeout = setTimeout(function() {
        this$1$1.readDOMTimeout = null;
        if (this$1$1.composing) {
          if (this$1$1.composing.done) {
            this$1$1.composing = null;
          } else {
            return;
          }
        }
        this$1$1.updateFromDOM();
      }, 80);
    };
    ContentEditableInput.prototype.updateFromDOM = function() {
      var this$1$1 = this;
      if (this.cm.isReadOnly() || !this.pollContent()) {
        runInOp(this.cm, function() {
          return regChange(this$1$1.cm);
        });
      }
    };
    ContentEditableInput.prototype.setUneditable = function(node) {
      node.contentEditable = "false";
    };
    ContentEditableInput.prototype.onKeyPress = function(e) {
      if (e.charCode == 0 || this.composing) {
        return;
      }
      e.preventDefault();
      if (!this.cm.isReadOnly()) {
        operation(this.cm, applyTextInput)(this.cm, String.fromCharCode(e.charCode == null ? e.keyCode : e.charCode), 0);
      }
    };
    ContentEditableInput.prototype.readOnlyChanged = function(val) {
      this.div.contentEditable = String(val != "nocursor");
    };
    ContentEditableInput.prototype.onContextMenu = function() {
    };
    ContentEditableInput.prototype.resetPosition = function() {
    };
    ContentEditableInput.prototype.needsContentAttribute = true;
    function posToDOM(cm, pos) {
      var view = findViewForLine(cm, pos.line);
      if (!view || view.hidden) {
        return null;
      }
      var line = getLine(cm.doc, pos.line);
      var info = mapFromLineView(view, line, pos.line);
      var order = getOrder(line, cm.doc.direction), side = "left";
      if (order) {
        var partPos = getBidiPartAt(order, pos.ch);
        side = partPos % 2 ? "right" : "left";
      }
      var result = nodeAndOffsetInLineMap(info.map, pos.ch, side);
      result.offset = result.collapse == "right" ? result.end : result.start;
      return result;
    }
    function isInGutter(node) {
      for (var scan = node; scan; scan = scan.parentNode) {
        if (/CodeMirror-gutter-wrapper/.test(scan.className)) {
          return true;
        }
      }
      return false;
    }
    function badPos(pos, bad) {
      if (bad) {
        pos.bad = true;
      }
      return pos;
    }
    function domTextBetween(cm, from, to, fromLine, toLine) {
      var text = "", closing = false, lineSep = cm.doc.lineSeparator(), extraLinebreak = false;
      function recognizeMarker(id) {
        return function(marker) {
          return marker.id == id;
        };
      }
      function close() {
        if (closing) {
          text += lineSep;
          if (extraLinebreak) {
            text += lineSep;
          }
          closing = extraLinebreak = false;
        }
      }
      function addText(str) {
        if (str) {
          close();
          text += str;
        }
      }
      function walk(node) {
        if (node.nodeType == 1) {
          var cmText = node.getAttribute("cm-text");
          if (cmText) {
            addText(cmText);
            return;
          }
          var markerID = node.getAttribute("cm-marker"), range3;
          if (markerID) {
            var found = cm.findMarks(Pos(fromLine, 0), Pos(toLine + 1, 0), recognizeMarker(+markerID));
            if (found.length && (range3 = found[0].find(0))) {
              addText(getBetween(cm.doc, range3.from, range3.to).join(lineSep));
            }
            return;
          }
          if (node.getAttribute("contenteditable") == "false") {
            return;
          }
          var isBlock = /^(pre|div|p|li|table|br)$/i.test(node.nodeName);
          if (!/^br$/i.test(node.nodeName) && node.textContent.length == 0) {
            return;
          }
          if (isBlock) {
            close();
          }
          for (var i2 = 0; i2 < node.childNodes.length; i2++) {
            walk(node.childNodes[i2]);
          }
          if (/^(pre|p)$/i.test(node.nodeName)) {
            extraLinebreak = true;
          }
          if (isBlock) {
            closing = true;
          }
        } else if (node.nodeType == 3) {
          addText(node.nodeValue.replace(/\u200b/g, "").replace(/\u00a0/g, " "));
        }
      }
      for (; ; ) {
        walk(from);
        if (from == to) {
          break;
        }
        from = from.nextSibling;
        extraLinebreak = false;
      }
      return text;
    }
    function domToPos(cm, node, offset) {
      var lineNode;
      if (node == cm.display.lineDiv) {
        lineNode = cm.display.lineDiv.childNodes[offset];
        if (!lineNode) {
          return badPos(cm.clipPos(Pos(cm.display.viewTo - 1)), true);
        }
        node = null;
        offset = 0;
      } else {
        for (lineNode = node; ; lineNode = lineNode.parentNode) {
          if (!lineNode || lineNode == cm.display.lineDiv) {
            return null;
          }
          if (lineNode.parentNode && lineNode.parentNode == cm.display.lineDiv) {
            break;
          }
        }
      }
      for (var i2 = 0; i2 < cm.display.view.length; i2++) {
        var lineView = cm.display.view[i2];
        if (lineView.node == lineNode) {
          return locateNodeInLineView(lineView, node, offset);
        }
      }
    }
    function locateNodeInLineView(lineView, node, offset) {
      var wrapper = lineView.text.firstChild, bad = false;
      if (!node || !contains2(wrapper, node)) {
        return badPos(Pos(lineNo(lineView.line), 0), true);
      }
      if (node == wrapper) {
        bad = true;
        node = wrapper.childNodes[offset];
        offset = 0;
        if (!node) {
          var line = lineView.rest ? lst(lineView.rest) : lineView.line;
          return badPos(Pos(lineNo(line), line.text.length), bad);
        }
      }
      var textNode = node.nodeType == 3 ? node : null, topNode = node;
      if (!textNode && node.childNodes.length == 1 && node.firstChild.nodeType == 3) {
        textNode = node.firstChild;
        if (offset) {
          offset = textNode.nodeValue.length;
        }
      }
      while (topNode.parentNode != wrapper) {
        topNode = topNode.parentNode;
      }
      var measure = lineView.measure, maps = measure.maps;
      function find2(textNode2, topNode2, offset2) {
        for (var i2 = -1; i2 < (maps ? maps.length : 0); i2++) {
          var map3 = i2 < 0 ? measure.map : maps[i2];
          for (var j = 0; j < map3.length; j += 3) {
            var curNode = map3[j + 2];
            if (curNode == textNode2 || curNode == topNode2) {
              var line2 = lineNo(i2 < 0 ? lineView.line : lineView.rest[i2]);
              var ch = map3[j] + offset2;
              if (offset2 < 0 || curNode != textNode2) {
                ch = map3[j + (offset2 ? 1 : 0)];
              }
              return Pos(line2, ch);
            }
          }
        }
      }
      var found = find2(textNode, topNode, offset);
      if (found) {
        return badPos(found, bad);
      }
      for (var after = topNode.nextSibling, dist = textNode ? textNode.nodeValue.length - offset : 0; after; after = after.nextSibling) {
        found = find2(after, after.firstChild, 0);
        if (found) {
          return badPos(Pos(found.line, found.ch - dist), bad);
        } else {
          dist += after.textContent.length;
        }
      }
      for (var before = topNode.previousSibling, dist$1 = offset; before; before = before.previousSibling) {
        found = find2(before, before.firstChild, -1);
        if (found) {
          return badPos(Pos(found.line, found.ch + dist$1), bad);
        } else {
          dist$1 += before.textContent.length;
        }
      }
    }
    var TextareaInput = function(cm) {
      this.cm = cm;
      this.prevInput = "";
      this.pollingFast = false;
      this.polling = new Delayed();
      this.hasSelection = false;
      this.composing = null;
    };
    TextareaInput.prototype.init = function(display) {
      var this$1$1 = this;
      var input = this, cm = this.cm;
      this.createField(display);
      var te = this.textarea;
      display.wrapper.insertBefore(this.wrapper, display.wrapper.firstChild);
      if (ios) {
        te.style.width = "0px";
      }
      on(te, "input", function() {
        if (ie && ie_version >= 9 && this$1$1.hasSelection) {
          this$1$1.hasSelection = null;
        }
        input.poll();
      });
      on(te, "paste", function(e) {
        if (signalDOMEvent(cm, e) || handlePaste(e, cm)) {
          return;
        }
        cm.state.pasteIncoming = +new Date();
        input.fastPoll();
      });
      function prepareCopyCut(e) {
        if (signalDOMEvent(cm, e)) {
          return;
        }
        if (cm.somethingSelected()) {
          setLastCopied({ lineWise: false, text: cm.getSelections() });
        } else if (!cm.options.lineWiseCopyCut) {
          return;
        } else {
          var ranges = copyableRanges(cm);
          setLastCopied({ lineWise: true, text: ranges.text });
          if (e.type == "cut") {
            cm.setSelections(ranges.ranges, null, sel_dontScroll);
          } else {
            input.prevInput = "";
            te.value = ranges.text.join("\n");
            selectInput(te);
          }
        }
        if (e.type == "cut") {
          cm.state.cutIncoming = +new Date();
        }
      }
      on(te, "cut", prepareCopyCut);
      on(te, "copy", prepareCopyCut);
      on(display.scroller, "paste", function(e) {
        if (eventInWidget(display, e) || signalDOMEvent(cm, e)) {
          return;
        }
        if (!te.dispatchEvent) {
          cm.state.pasteIncoming = +new Date();
          input.focus();
          return;
        }
        var event = new Event("paste");
        event.clipboardData = e.clipboardData;
        te.dispatchEvent(event);
      });
      on(display.lineSpace, "selectstart", function(e) {
        if (!eventInWidget(display, e)) {
          e_preventDefault(e);
        }
      });
      on(te, "compositionstart", function() {
        var start = cm.getCursor("from");
        if (input.composing) {
          input.composing.range.clear();
        }
        input.composing = {
          start,
          range: cm.markText(start, cm.getCursor("to"), { className: "CodeMirror-composing" })
        };
      });
      on(te, "compositionend", function() {
        if (input.composing) {
          input.poll();
          input.composing.range.clear();
          input.composing = null;
        }
      });
    };
    TextareaInput.prototype.createField = function(_display) {
      this.wrapper = hiddenTextarea();
      this.textarea = this.wrapper.firstChild;
    };
    TextareaInput.prototype.screenReaderLabelChanged = function(label) {
      if (label) {
        this.textarea.setAttribute("aria-label", label);
      } else {
        this.textarea.removeAttribute("aria-label");
      }
    };
    TextareaInput.prototype.prepareSelection = function() {
      var cm = this.cm, display = cm.display, doc2 = cm.doc;
      var result = prepareSelection(cm);
      if (cm.options.moveInputWithCursor) {
        var headPos = cursorCoords(cm, doc2.sel.primary().head, "div");
        var wrapOff = display.wrapper.getBoundingClientRect(), lineOff = display.lineDiv.getBoundingClientRect();
        result.teTop = Math.max(0, Math.min(
          display.wrapper.clientHeight - 10,
          headPos.top + lineOff.top - wrapOff.top
        ));
        result.teLeft = Math.max(0, Math.min(
          display.wrapper.clientWidth - 10,
          headPos.left + lineOff.left - wrapOff.left
        ));
      }
      return result;
    };
    TextareaInput.prototype.showSelection = function(drawn) {
      var cm = this.cm, display = cm.display;
      removeChildrenAndAdd(display.cursorDiv, drawn.cursors);
      removeChildrenAndAdd(display.selectionDiv, drawn.selection);
      if (drawn.teTop != null) {
        this.wrapper.style.top = drawn.teTop + "px";
        this.wrapper.style.left = drawn.teLeft + "px";
      }
    };
    TextareaInput.prototype.reset = function(typing) {
      if (this.contextMenuPending || this.composing) {
        return;
      }
      var cm = this.cm;
      if (cm.somethingSelected()) {
        this.prevInput = "";
        var content = cm.getSelection();
        this.textarea.value = content;
        if (cm.state.focused) {
          selectInput(this.textarea);
        }
        if (ie && ie_version >= 9) {
          this.hasSelection = content;
        }
      } else if (!typing) {
        this.prevInput = this.textarea.value = "";
        if (ie && ie_version >= 9) {
          this.hasSelection = null;
        }
      }
    };
    TextareaInput.prototype.getField = function() {
      return this.textarea;
    };
    TextareaInput.prototype.supportsTouch = function() {
      return false;
    };
    TextareaInput.prototype.focus = function() {
      if (this.cm.options.readOnly != "nocursor" && (!mobile || activeElt() != this.textarea)) {
        try {
          this.textarea.focus();
        } catch (e) {
        }
      }
    };
    TextareaInput.prototype.blur = function() {
      this.textarea.blur();
    };
    TextareaInput.prototype.resetPosition = function() {
      this.wrapper.style.top = this.wrapper.style.left = 0;
    };
    TextareaInput.prototype.receivedFocus = function() {
      this.slowPoll();
    };
    TextareaInput.prototype.slowPoll = function() {
      var this$1$1 = this;
      if (this.pollingFast) {
        return;
      }
      this.polling.set(this.cm.options.pollInterval, function() {
        this$1$1.poll();
        if (this$1$1.cm.state.focused) {
          this$1$1.slowPoll();
        }
      });
    };
    TextareaInput.prototype.fastPoll = function() {
      var missed = false, input = this;
      input.pollingFast = true;
      function p() {
        var changed = input.poll();
        if (!changed && !missed) {
          missed = true;
          input.polling.set(60, p);
        } else {
          input.pollingFast = false;
          input.slowPoll();
        }
      }
      input.polling.set(20, p);
    };
    TextareaInput.prototype.poll = function() {
      var this$1$1 = this;
      var cm = this.cm, input = this.textarea, prevInput = this.prevInput;
      if (this.contextMenuPending || !cm.state.focused || hasSelection(input) && !prevInput && !this.composing || cm.isReadOnly() || cm.options.disableInput || cm.state.keySeq) {
        return false;
      }
      var text = input.value;
      if (text == prevInput && !cm.somethingSelected()) {
        return false;
      }
      if (ie && ie_version >= 9 && this.hasSelection === text || mac && /[\uf700-\uf7ff]/.test(text)) {
        cm.display.input.reset();
        return false;
      }
      if (cm.doc.sel == cm.display.selForContextMenu) {
        var first = text.charCodeAt(0);
        if (first == 8203 && !prevInput) {
          prevInput = "\u200B";
        }
        if (first == 8666) {
          this.reset();
          return this.cm.execCommand("undo");
        }
      }
      var same = 0, l = Math.min(prevInput.length, text.length);
      while (same < l && prevInput.charCodeAt(same) == text.charCodeAt(same)) {
        ++same;
      }
      runInOp(cm, function() {
        applyTextInput(
          cm,
          text.slice(same),
          prevInput.length - same,
          null,
          this$1$1.composing ? "*compose" : null
        );
        if (text.length > 1e3 || text.indexOf("\n") > -1) {
          input.value = this$1$1.prevInput = "";
        } else {
          this$1$1.prevInput = text;
        }
        if (this$1$1.composing) {
          this$1$1.composing.range.clear();
          this$1$1.composing.range = cm.markText(
            this$1$1.composing.start,
            cm.getCursor("to"),
            { className: "CodeMirror-composing" }
          );
        }
      });
      return true;
    };
    TextareaInput.prototype.ensurePolled = function() {
      if (this.pollingFast && this.poll()) {
        this.pollingFast = false;
      }
    };
    TextareaInput.prototype.onKeyPress = function() {
      if (ie && ie_version >= 9) {
        this.hasSelection = null;
      }
      this.fastPoll();
    };
    TextareaInput.prototype.onContextMenu = function(e) {
      var input = this, cm = input.cm, display = cm.display, te = input.textarea;
      if (input.contextMenuPending) {
        input.contextMenuPending();
      }
      var pos = posFromMouse(cm, e), scrollPos = display.scroller.scrollTop;
      if (!pos || presto) {
        return;
      }
      var reset = cm.options.resetSelectionOnContextMenu;
      if (reset && cm.doc.sel.contains(pos) == -1) {
        operation(cm, setSelection)(cm.doc, simpleSelection(pos), sel_dontScroll);
      }
      var oldCSS = te.style.cssText, oldWrapperCSS = input.wrapper.style.cssText;
      var wrapperBox = input.wrapper.offsetParent.getBoundingClientRect();
      input.wrapper.style.cssText = "position: static";
      te.style.cssText = "position: absolute; width: 30px; height: 30px;\n      top: " + (e.clientY - wrapperBox.top - 5) + "px; left: " + (e.clientX - wrapperBox.left - 5) + "px;\n      z-index: 1000; background: " + (ie ? "rgba(255, 255, 255, .05)" : "transparent") + ";\n      outline: none; border-width: 0; outline: none; overflow: hidden; opacity: .05; filter: alpha(opacity=5);";
      var oldScrollY;
      if (webkit) {
        oldScrollY = window.scrollY;
      }
      display.input.focus();
      if (webkit) {
        window.scrollTo(null, oldScrollY);
      }
      display.input.reset();
      if (!cm.somethingSelected()) {
        te.value = input.prevInput = " ";
      }
      input.contextMenuPending = rehide;
      display.selForContextMenu = cm.doc.sel;
      clearTimeout(display.detectingSelectAll);
      function prepareSelectAllHack() {
        if (te.selectionStart != null) {
          var selected = cm.somethingSelected();
          var extval = "\u200B" + (selected ? te.value : "");
          te.value = "\u21DA";
          te.value = extval;
          input.prevInput = selected ? "" : "\u200B";
          te.selectionStart = 1;
          te.selectionEnd = extval.length;
          display.selForContextMenu = cm.doc.sel;
        }
      }
      function rehide() {
        if (input.contextMenuPending != rehide) {
          return;
        }
        input.contextMenuPending = false;
        input.wrapper.style.cssText = oldWrapperCSS;
        te.style.cssText = oldCSS;
        if (ie && ie_version < 9) {
          display.scrollbars.setScrollTop(display.scroller.scrollTop = scrollPos);
        }
        if (te.selectionStart != null) {
          if (!ie || ie && ie_version < 9) {
            prepareSelectAllHack();
          }
          var i2 = 0, poll = function() {
            if (display.selForContextMenu == cm.doc.sel && te.selectionStart == 0 && te.selectionEnd > 0 && input.prevInput == "\u200B") {
              operation(cm, selectAll)(cm);
            } else if (i2++ < 10) {
              display.detectingSelectAll = setTimeout(poll, 500);
            } else {
              display.selForContextMenu = null;
              display.input.reset();
            }
          };
          display.detectingSelectAll = setTimeout(poll, 200);
        }
      }
      if (ie && ie_version >= 9) {
        prepareSelectAllHack();
      }
      if (captureRightClick) {
        e_stop(e);
        var mouseup = function() {
          off(window, "mouseup", mouseup);
          setTimeout(rehide, 20);
        };
        on(window, "mouseup", mouseup);
      } else {
        setTimeout(rehide, 50);
      }
    };
    TextareaInput.prototype.readOnlyChanged = function(val) {
      if (!val) {
        this.reset();
      }
      this.textarea.disabled = val == "nocursor";
      this.textarea.readOnly = !!val;
    };
    TextareaInput.prototype.setUneditable = function() {
    };
    TextareaInput.prototype.needsContentAttribute = false;
    function fromTextArea(textarea, options) {
      options = options ? copyObj(options) : {};
      options.value = textarea.value;
      if (!options.tabindex && textarea.tabIndex) {
        options.tabindex = textarea.tabIndex;
      }
      if (!options.placeholder && textarea.placeholder) {
        options.placeholder = textarea.placeholder;
      }
      if (options.autofocus == null) {
        var hasFocus = activeElt();
        options.autofocus = hasFocus == textarea || textarea.getAttribute("autofocus") != null && hasFocus == document.body;
      }
      function save() {
        textarea.value = cm.getValue();
      }
      var realSubmit;
      if (textarea.form) {
        on(textarea.form, "submit", save);
        if (!options.leaveSubmitMethodAlone) {
          var form = textarea.form;
          realSubmit = form.submit;
          try {
            var wrappedSubmit = form.submit = function() {
              save();
              form.submit = realSubmit;
              form.submit();
              form.submit = wrappedSubmit;
            };
          } catch (e) {
          }
        }
      }
      options.finishInit = function(cm2) {
        cm2.save = save;
        cm2.getTextArea = function() {
          return textarea;
        };
        cm2.toTextArea = function() {
          cm2.toTextArea = isNaN;
          save();
          textarea.parentNode.removeChild(cm2.getWrapperElement());
          textarea.style.display = "";
          if (textarea.form) {
            off(textarea.form, "submit", save);
            if (!options.leaveSubmitMethodAlone && typeof textarea.form.submit == "function") {
              textarea.form.submit = realSubmit;
            }
          }
        };
      };
      textarea.style.display = "none";
      var cm = CodeMirror2(
        function(node) {
          return textarea.parentNode.insertBefore(node, textarea.nextSibling);
        },
        options
      );
      return cm;
    }
    function addLegacyProps(CodeMirror3) {
      CodeMirror3.off = off;
      CodeMirror3.on = on;
      CodeMirror3.wheelEventPixels = wheelEventPixels;
      CodeMirror3.Doc = Doc;
      CodeMirror3.splitLines = splitLinesAuto;
      CodeMirror3.countColumn = countColumn;
      CodeMirror3.findColumn = findColumn;
      CodeMirror3.isWordChar = isWordCharBasic;
      CodeMirror3.Pass = Pass;
      CodeMirror3.signal = signal;
      CodeMirror3.Line = Line;
      CodeMirror3.changeEnd = changeEnd;
      CodeMirror3.scrollbarModel = scrollbarModel;
      CodeMirror3.Pos = Pos;
      CodeMirror3.cmpPos = cmp;
      CodeMirror3.modes = modes;
      CodeMirror3.mimeModes = mimeModes;
      CodeMirror3.resolveMode = resolveMode;
      CodeMirror3.getMode = getMode;
      CodeMirror3.modeExtensions = modeExtensions;
      CodeMirror3.extendMode = extendMode;
      CodeMirror3.copyState = copyState;
      CodeMirror3.startState = startState;
      CodeMirror3.innerMode = innerMode;
      CodeMirror3.commands = commands;
      CodeMirror3.keyMap = keyMap;
      CodeMirror3.keyName = keyName;
      CodeMirror3.isModifierKey = isModifierKey;
      CodeMirror3.lookupKey = lookupKey;
      CodeMirror3.normalizeKeyMap = normalizeKeyMap;
      CodeMirror3.StringStream = StringStream;
      CodeMirror3.SharedTextMarker = SharedTextMarker;
      CodeMirror3.TextMarker = TextMarker;
      CodeMirror3.LineWidget = LineWidget;
      CodeMirror3.e_preventDefault = e_preventDefault;
      CodeMirror3.e_stopPropagation = e_stopPropagation;
      CodeMirror3.e_stop = e_stop;
      CodeMirror3.addClass = addClass;
      CodeMirror3.contains = contains2;
      CodeMirror3.rmClass = rmClass;
      CodeMirror3.keyNames = keyNames;
    }
    defineOptions(CodeMirror2);
    addEditorMethods(CodeMirror2);
    var dontDelegate = "iter insert remove copy getEditor constructor".split(" ");
    for (var prop in Doc.prototype) {
      if (Doc.prototype.hasOwnProperty(prop) && indexOf(dontDelegate, prop) < 0) {
        CodeMirror2.prototype[prop] = function(method) {
          return function() {
            return method.apply(this.doc, arguments);
          };
        }(Doc.prototype[prop]);
      }
    }
    eventMixin(Doc);
    CodeMirror2.inputStyles = { "textarea": TextareaInput, "contenteditable": ContentEditableInput };
    CodeMirror2.defineMode = function(name) {
      if (!CodeMirror2.defaults.mode && name != "null") {
        CodeMirror2.defaults.mode = name;
      }
      defineMode.apply(this, arguments);
    };
    CodeMirror2.defineMIME = defineMIME;
    CodeMirror2.defineMode("null", function() {
      return { token: function(stream) {
        return stream.skipToEnd();
      } };
    });
    CodeMirror2.defineMIME("text/plain", "null");
    CodeMirror2.defineExtension = function(name, func) {
      CodeMirror2.prototype[name] = func;
    };
    CodeMirror2.defineDocExtension = function(name, func) {
      Doc.prototype[name] = func;
    };
    CodeMirror2.fromTextArea = fromTextArea;
    addLegacyProps(CodeMirror2);
    CodeMirror2.version = "5.65.6";
    return CodeMirror2;
  });
})(codemirror);
var CodeMirror = codemirror.exports;
(function(module, exports) {
  (function(mod) {
    mod(codemirror.exports);
  })(function(CodeMirror2) {
    CodeMirror2.defineMode("sql", function(config, parserConfig) {
      var client = parserConfig.client || {}, atoms = parserConfig.atoms || { "false": true, "true": true, "null": true }, builtin = parserConfig.builtin || set2(defaultBuiltin), keywords = parserConfig.keywords || set2(sqlKeywords), operatorChars = parserConfig.operatorChars || /^[*+\-%<>!=&|~^\/]/, support = parserConfig.support || {}, hooks = parserConfig.hooks || {}, dateSQL = parserConfig.dateSQL || { "date": true, "time": true, "timestamp": true }, backslashStringEscapes = parserConfig.backslashStringEscapes !== false, brackets = parserConfig.brackets || /^[\{}\(\)\[\]]/, punctuation = parserConfig.punctuation || /^[;.,:]/;
      function tokenBase(stream, state) {
        var ch = stream.next();
        if (hooks[ch]) {
          var result = hooks[ch](stream, state);
          if (result !== false)
            return result;
        }
        if (support.hexNumber && (ch == "0" && stream.match(/^[xX][0-9a-fA-F]+/) || (ch == "x" || ch == "X") && stream.match(/^'[0-9a-fA-F]+'/))) {
          return "number";
        } else if (support.binaryNumber && ((ch == "b" || ch == "B") && stream.match(/^'[01]+'/) || ch == "0" && stream.match(/^b[01]+/))) {
          return "number";
        } else if (ch.charCodeAt(0) > 47 && ch.charCodeAt(0) < 58) {
          stream.match(/^[0-9]*(\.[0-9]+)?([eE][-+]?[0-9]+)?/);
          support.decimallessFloat && stream.match(/^\.(?!\.)/);
          return "number";
        } else if (ch == "?" && (stream.eatSpace() || stream.eol() || stream.eat(";"))) {
          return "variable-3";
        } else if (ch == "'" || ch == '"' && support.doubleQuote) {
          state.tokenize = tokenLiteral(ch);
          return state.tokenize(stream, state);
        } else if ((support.nCharCast && (ch == "n" || ch == "N") || support.charsetCast && ch == "_" && stream.match(/[a-z][a-z0-9]*/i)) && (stream.peek() == "'" || stream.peek() == '"')) {
          return "keyword";
        } else if (support.escapeConstant && (ch == "e" || ch == "E") && (stream.peek() == "'" || stream.peek() == '"' && support.doubleQuote)) {
          state.tokenize = function(stream2, state2) {
            return (state2.tokenize = tokenLiteral(stream2.next(), true))(stream2, state2);
          };
          return "keyword";
        } else if (support.commentSlashSlash && ch == "/" && stream.eat("/")) {
          stream.skipToEnd();
          return "comment";
        } else if (support.commentHash && ch == "#" || ch == "-" && stream.eat("-") && (!support.commentSpaceRequired || stream.eat(" "))) {
          stream.skipToEnd();
          return "comment";
        } else if (ch == "/" && stream.eat("*")) {
          state.tokenize = tokenComment(1);
          return state.tokenize(stream, state);
        } else if (ch == ".") {
          if (support.zerolessFloat && stream.match(/^(?:\d+(?:e[+-]?\d+)?)/i))
            return "number";
          if (stream.match(/^\.+/))
            return null;
          if (support.ODBCdotTable && stream.match(/^[\w\d_$#]+/))
            return "variable-2";
        } else if (operatorChars.test(ch)) {
          stream.eatWhile(operatorChars);
          return "operator";
        } else if (brackets.test(ch)) {
          return "bracket";
        } else if (punctuation.test(ch)) {
          stream.eatWhile(punctuation);
          return "punctuation";
        } else if (ch == "{" && (stream.match(/^( )*(d|D|t|T|ts|TS)( )*'[^']*'( )*}/) || stream.match(/^( )*(d|D|t|T|ts|TS)( )*"[^"]*"( )*}/))) {
          return "number";
        } else {
          stream.eatWhile(/^[_\w\d]/);
          var word = stream.current().toLowerCase();
          if (dateSQL.hasOwnProperty(word) && (stream.match(/^( )+'[^']*'/) || stream.match(/^( )+"[^"]*"/)))
            return "number";
          if (atoms.hasOwnProperty(word))
            return "atom";
          if (builtin.hasOwnProperty(word))
            return "type";
          if (keywords.hasOwnProperty(word))
            return "keyword";
          if (client.hasOwnProperty(word))
            return "builtin";
          return null;
        }
      }
      function tokenLiteral(quote, backslashEscapes) {
        return function(stream, state) {
          var escaped = false, ch;
          while ((ch = stream.next()) != null) {
            if (ch == quote && !escaped) {
              state.tokenize = tokenBase;
              break;
            }
            escaped = (backslashStringEscapes || backslashEscapes) && !escaped && ch == "\\";
          }
          return "string";
        };
      }
      function tokenComment(depth) {
        return function(stream, state) {
          var m = stream.match(/^.*?(\/\*|\*\/)/);
          if (!m)
            stream.skipToEnd();
          else if (m[1] == "/*")
            state.tokenize = tokenComment(depth + 1);
          else if (depth > 1)
            state.tokenize = tokenComment(depth - 1);
          else
            state.tokenize = tokenBase;
          return "comment";
        };
      }
      function pushContext(stream, state, type) {
        state.context = {
          prev: state.context,
          indent: stream.indentation(),
          col: stream.column(),
          type
        };
      }
      function popContext(state) {
        state.indent = state.context.indent;
        state.context = state.context.prev;
      }
      return {
        startState: function() {
          return { tokenize: tokenBase, context: null };
        },
        token: function(stream, state) {
          if (stream.sol()) {
            if (state.context && state.context.align == null)
              state.context.align = false;
          }
          if (state.tokenize == tokenBase && stream.eatSpace())
            return null;
          var style = state.tokenize(stream, state);
          if (style == "comment")
            return style;
          if (state.context && state.context.align == null)
            state.context.align = true;
          var tok = stream.current();
          if (tok == "(")
            pushContext(stream, state, ")");
          else if (tok == "[")
            pushContext(stream, state, "]");
          else if (state.context && state.context.type == tok)
            popContext(state);
          return style;
        },
        indent: function(state, textAfter) {
          var cx = state.context;
          if (!cx)
            return CodeMirror2.Pass;
          var closing = textAfter.charAt(0) == cx.type;
          if (cx.align)
            return cx.col + (closing ? 0 : 1);
          else
            return cx.indent + (closing ? 0 : config.indentUnit);
        },
        blockCommentStart: "/*",
        blockCommentEnd: "*/",
        lineComment: support.commentSlashSlash ? "//" : support.commentHash ? "#" : "--",
        closeBrackets: "()[]{}''\"\"``"
      };
    });
    function hookIdentifier(stream) {
      var ch;
      while ((ch = stream.next()) != null) {
        if (ch == "`" && !stream.eat("`"))
          return "variable-2";
      }
      stream.backUp(stream.current().length - 1);
      return stream.eatWhile(/\w/) ? "variable-2" : null;
    }
    function hookIdentifierDoublequote(stream) {
      var ch;
      while ((ch = stream.next()) != null) {
        if (ch == '"' && !stream.eat('"'))
          return "variable-2";
      }
      stream.backUp(stream.current().length - 1);
      return stream.eatWhile(/\w/) ? "variable-2" : null;
    }
    function hookVar(stream) {
      if (stream.eat("@")) {
        stream.match("session.");
        stream.match("local.");
        stream.match("global.");
      }
      if (stream.eat("'")) {
        stream.match(/^.*'/);
        return "variable-2";
      } else if (stream.eat('"')) {
        stream.match(/^.*"/);
        return "variable-2";
      } else if (stream.eat("`")) {
        stream.match(/^.*`/);
        return "variable-2";
      } else if (stream.match(/^[0-9a-zA-Z$\.\_]+/)) {
        return "variable-2";
      }
      return null;
    }
    function hookClient(stream) {
      if (stream.eat("N")) {
        return "atom";
      }
      return stream.match(/^[a-zA-Z.#!?]/) ? "variable-2" : null;
    }
    var sqlKeywords = "alter and as asc between by count create delete desc distinct drop from group having in insert into is join like not on or order select set table union update values where limit ";
    function set2(str) {
      var obj = {}, words = str.split(" ");
      for (var i = 0; i < words.length; ++i)
        obj[words[i]] = true;
      return obj;
    }
    var defaultBuiltin = "bool boolean bit blob enum long longblob longtext medium mediumblob mediumint mediumtext time timestamp tinyblob tinyint tinytext text bigint int int1 int2 int3 int4 int8 integer float float4 float8 double char varbinary varchar varcharacter precision real date datetime year unsigned signed decimal numeric";
    CodeMirror2.defineMIME("text/x-sql", {
      name: "sql",
      keywords: set2(sqlKeywords + "begin"),
      builtin: set2(defaultBuiltin),
      atoms: set2("false true null unknown"),
      dateSQL: set2("date time timestamp"),
      support: set2("ODBCdotTable doubleQuote binaryNumber hexNumber")
    });
    CodeMirror2.defineMIME("text/x-mssql", {
      name: "sql",
      client: set2("$partition binary_checksum checksum connectionproperty context_info current_request_id error_line error_message error_number error_procedure error_severity error_state formatmessage get_filestream_transaction_context getansinull host_id host_name isnull isnumeric min_active_rowversion newid newsequentialid rowcount_big xact_state object_id"),
      keywords: set2(sqlKeywords + "begin trigger proc view index for add constraint key primary foreign collate clustered nonclustered declare exec go if use index holdlock nolock nowait paglock readcommitted readcommittedlock readpast readuncommitted repeatableread rowlock serializable snapshot tablock tablockx updlock with"),
      builtin: set2("bigint numeric bit smallint decimal smallmoney int tinyint money float real char varchar text nchar nvarchar ntext binary varbinary image cursor timestamp hierarchyid uniqueidentifier sql_variant xml table "),
      atoms: set2("is not null like and or in left right between inner outer join all any some cross unpivot pivot exists"),
      operatorChars: /^[*+\-%<>!=^\&|\/]/,
      brackets: /^[\{}\(\)]/,
      punctuation: /^[;.,:/]/,
      backslashStringEscapes: false,
      dateSQL: set2("date datetimeoffset datetime2 smalldatetime datetime time"),
      hooks: {
        "@": hookVar
      }
    });
    CodeMirror2.defineMIME("text/x-mysql", {
      name: "sql",
      client: set2("charset clear connect edit ego exit go help nopager notee nowarning pager print prompt quit rehash source status system tee"),
      keywords: set2(sqlKeywords + "accessible action add after algorithm all analyze asensitive at authors auto_increment autocommit avg avg_row_length before binary binlog both btree cache call cascade cascaded case catalog_name chain change changed character check checkpoint checksum class_origin client_statistics close coalesce code collate collation collations column columns comment commit committed completion concurrent condition connection consistent constraint contains continue contributors convert cross current current_date current_time current_timestamp current_user cursor data database databases day_hour day_microsecond day_minute day_second deallocate dec declare default delay_key_write delayed delimiter des_key_file describe deterministic dev_pop dev_samp deviance diagnostics directory disable discard distinctrow div dual dumpfile each elseif enable enclosed end ends engine engines enum errors escape escaped even event events every execute exists exit explain extended fast fetch field fields first flush for force foreign found_rows full fulltext function general get global grant grants group group_concat handler hash help high_priority hosts hour_microsecond hour_minute hour_second if ignore ignore_server_ids import index index_statistics infile inner innodb inout insensitive insert_method install interval invoker isolation iterate key keys kill language last leading leave left level limit linear lines list load local localtime localtimestamp lock logs low_priority master master_heartbeat_period master_ssl_verify_server_cert masters match max max_rows maxvalue message_text middleint migrate min min_rows minute_microsecond minute_second mod mode modifies modify mutex mysql_errno natural next no no_write_to_binlog offline offset one online open optimize option optionally out outer outfile pack_keys parser partition partitions password phase plugin plugins prepare preserve prev primary privileges procedure processlist profile profiles purge query quick range read read_write reads real rebuild recover references regexp relaylog release remove rename reorganize repair repeatable replace require resignal restrict resume return returns revoke right rlike rollback rollup row row_format rtree savepoint schedule schema schema_name schemas second_microsecond security sensitive separator serializable server session share show signal slave slow smallint snapshot soname spatial specific sql sql_big_result sql_buffer_result sql_cache sql_calc_found_rows sql_no_cache sql_small_result sqlexception sqlstate sqlwarning ssl start starting starts status std stddev stddev_pop stddev_samp storage straight_join subclass_origin sum suspend table_name table_statistics tables tablespace temporary terminated to trailing transaction trigger triggers truncate uncommitted undo uninstall unique unlock upgrade usage use use_frm user user_resources user_statistics using utc_date utc_time utc_timestamp value variables varying view views warnings when while with work write xa xor year_month zerofill begin do then else loop repeat"),
      builtin: set2("bool boolean bit blob decimal double float long longblob longtext medium mediumblob mediumint mediumtext time timestamp tinyblob tinyint tinytext text bigint int int1 int2 int3 int4 int8 integer float float4 float8 double char varbinary varchar varcharacter precision date datetime year unsigned signed numeric"),
      atoms: set2("false true null unknown"),
      operatorChars: /^[*+\-%<>!=&|^]/,
      dateSQL: set2("date time timestamp"),
      support: set2("ODBCdotTable decimallessFloat zerolessFloat binaryNumber hexNumber doubleQuote nCharCast charsetCast commentHash commentSpaceRequired"),
      hooks: {
        "@": hookVar,
        "`": hookIdentifier,
        "\\": hookClient
      }
    });
    CodeMirror2.defineMIME("text/x-mariadb", {
      name: "sql",
      client: set2("charset clear connect edit ego exit go help nopager notee nowarning pager print prompt quit rehash source status system tee"),
      keywords: set2(sqlKeywords + "accessible action add after algorithm all always analyze asensitive at authors auto_increment autocommit avg avg_row_length before binary binlog both btree cache call cascade cascaded case catalog_name chain change changed character check checkpoint checksum class_origin client_statistics close coalesce code collate collation collations column columns comment commit committed completion concurrent condition connection consistent constraint contains continue contributors convert cross current current_date current_time current_timestamp current_user cursor data database databases day_hour day_microsecond day_minute day_second deallocate dec declare default delay_key_write delayed delimiter des_key_file describe deterministic dev_pop dev_samp deviance diagnostics directory disable discard distinctrow div dual dumpfile each elseif enable enclosed end ends engine engines enum errors escape escaped even event events every execute exists exit explain extended fast fetch field fields first flush for force foreign found_rows full fulltext function general generated get global grant grants group group_concat handler hard hash help high_priority hosts hour_microsecond hour_minute hour_second if ignore ignore_server_ids import index index_statistics infile inner innodb inout insensitive insert_method install interval invoker isolation iterate key keys kill language last leading leave left level limit linear lines list load local localtime localtimestamp lock logs low_priority master master_heartbeat_period master_ssl_verify_server_cert masters match max max_rows maxvalue message_text middleint migrate min min_rows minute_microsecond minute_second mod mode modifies modify mutex mysql_errno natural next no no_write_to_binlog offline offset one online open optimize option optionally out outer outfile pack_keys parser partition partitions password persistent phase plugin plugins prepare preserve prev primary privileges procedure processlist profile profiles purge query quick range read read_write reads real rebuild recover references regexp relaylog release remove rename reorganize repair repeatable replace require resignal restrict resume return returns revoke right rlike rollback rollup row row_format rtree savepoint schedule schema schema_name schemas second_microsecond security sensitive separator serializable server session share show shutdown signal slave slow smallint snapshot soft soname spatial specific sql sql_big_result sql_buffer_result sql_cache sql_calc_found_rows sql_no_cache sql_small_result sqlexception sqlstate sqlwarning ssl start starting starts status std stddev stddev_pop stddev_samp storage straight_join subclass_origin sum suspend table_name table_statistics tables tablespace temporary terminated to trailing transaction trigger triggers truncate uncommitted undo uninstall unique unlock upgrade usage use use_frm user user_resources user_statistics using utc_date utc_time utc_timestamp value variables varying view views virtual warnings when while with work write xa xor year_month zerofill begin do then else loop repeat"),
      builtin: set2("bool boolean bit blob decimal double float long longblob longtext medium mediumblob mediumint mediumtext time timestamp tinyblob tinyint tinytext text bigint int int1 int2 int3 int4 int8 integer float float4 float8 double char varbinary varchar varcharacter precision date datetime year unsigned signed numeric"),
      atoms: set2("false true null unknown"),
      operatorChars: /^[*+\-%<>!=&|^]/,
      dateSQL: set2("date time timestamp"),
      support: set2("ODBCdotTable decimallessFloat zerolessFloat binaryNumber hexNumber doubleQuote nCharCast charsetCast commentHash commentSpaceRequired"),
      hooks: {
        "@": hookVar,
        "`": hookIdentifier,
        "\\": hookClient
      }
    });
    CodeMirror2.defineMIME("text/x-sqlite", {
      name: "sql",
      client: set2("auth backup bail binary changes check clone databases dbinfo dump echo eqp exit explain fullschema headers help import imposter indexes iotrace limit lint load log mode nullvalue once open output print prompt quit read restore save scanstats schema separator session shell show stats system tables testcase timeout timer trace vfsinfo vfslist vfsname width"),
      keywords: set2(sqlKeywords + "abort action add after all analyze attach autoincrement before begin cascade case cast check collate column commit conflict constraint cross current_date current_time current_timestamp database default deferrable deferred detach each else end escape except exclusive exists explain fail for foreign full glob if ignore immediate index indexed initially inner instead intersect isnull key left limit match natural no notnull null of offset outer plan pragma primary query raise recursive references regexp reindex release rename replace restrict right rollback row savepoint temp temporary then to transaction trigger unique using vacuum view virtual when with without"),
      builtin: set2("bool boolean bit blob decimal double float long longblob longtext medium mediumblob mediumint mediumtext time timestamp tinyblob tinyint tinytext text clob bigint int int2 int8 integer float double char varchar date datetime year unsigned signed numeric real"),
      atoms: set2("null current_date current_time current_timestamp"),
      operatorChars: /^[*+\-%<>!=&|/~]/,
      dateSQL: set2("date time timestamp datetime"),
      support: set2("decimallessFloat zerolessFloat"),
      identifierQuote: '"',
      hooks: {
        "@": hookVar,
        ":": hookVar,
        "?": hookVar,
        "$": hookVar,
        '"': hookIdentifierDoublequote,
        "`": hookIdentifier
      }
    });
    CodeMirror2.defineMIME("text/x-cassandra", {
      name: "sql",
      client: {},
      keywords: set2("add all allow alter and any apply as asc authorize batch begin by clustering columnfamily compact consistency count create custom delete desc distinct drop each_quorum exists filtering from grant if in index insert into key keyspace keyspaces level limit local_one local_quorum modify nan norecursive nosuperuser not of on one order password permission permissions primary quorum rename revoke schema select set storage superuser table three to token truncate ttl two type unlogged update use user users using values where with writetime"),
      builtin: set2("ascii bigint blob boolean counter decimal double float frozen inet int list map static text timestamp timeuuid tuple uuid varchar varint"),
      atoms: set2("false true infinity NaN"),
      operatorChars: /^[<>=]/,
      dateSQL: {},
      support: set2("commentSlashSlash decimallessFloat"),
      hooks: {}
    });
    CodeMirror2.defineMIME("text/x-plsql", {
      name: "sql",
      client: set2("appinfo arraysize autocommit autoprint autorecovery autotrace blockterminator break btitle cmdsep colsep compatibility compute concat copycommit copytypecheck define describe echo editfile embedded escape exec execute feedback flagger flush heading headsep instance linesize lno loboffset logsource long longchunksize markup native newpage numformat numwidth pagesize pause pno recsep recsepchar release repfooter repheader serveroutput shiftinout show showmode size spool sqlblanklines sqlcase sqlcode sqlcontinue sqlnumber sqlpluscompatibility sqlprefix sqlprompt sqlterminator suffix tab term termout time timing trimout trimspool ttitle underline verify version wrap"),
      keywords: set2("abort accept access add all alter and any array arraylen as asc assert assign at attributes audit authorization avg base_table begin between binary_integer body boolean by case cast char char_base check close cluster clusters colauth column comment commit compress connect connected constant constraint crash create current currval cursor data_base database date dba deallocate debugoff debugon decimal declare default definition delay delete desc digits dispose distinct do drop else elseif elsif enable end entry escape exception exception_init exchange exclusive exists exit external fast fetch file for force form from function generic goto grant group having identified if immediate in increment index indexes indicator initial initrans insert interface intersect into is key level library like limited local lock log logging long loop master maxextents maxtrans member minextents minus mislabel mode modify multiset new next no noaudit nocompress nologging noparallel not nowait number_base object of off offline on online only open option or order out package parallel partition pctfree pctincrease pctused pls_integer positive positiven pragma primary prior private privileges procedure public raise range raw read rebuild record ref references refresh release rename replace resource restrict return returning returns reverse revoke rollback row rowid rowlabel rownum rows run savepoint schema segment select separate session set share snapshot some space split sql start statement storage subtype successful synonym tabauth table tables tablespace task terminate then to trigger truncate type union unique unlimited unrecoverable unusable update use using validate value values variable view views when whenever where while with work"),
      builtin: set2("abs acos add_months ascii asin atan atan2 average bfile bfilename bigserial bit blob ceil character chartorowid chr clob concat convert cos cosh count dec decode deref dual dump dup_val_on_index empty error exp false float floor found glb greatest hextoraw initcap instr instrb int integer isopen last_day least length lengthb ln lower lpad ltrim lub make_ref max min mlslabel mod months_between natural naturaln nchar nclob new_time next_day nextval nls_charset_decl_len nls_charset_id nls_charset_name nls_initcap nls_lower nls_sort nls_upper nlssort no_data_found notfound null number numeric nvarchar2 nvl others power rawtohex real reftohex round rowcount rowidtochar rowtype rpad rtrim serial sign signtype sin sinh smallint soundex sqlcode sqlerrm sqrt stddev string substr substrb sum sysdate tan tanh to_char text to_date to_label to_multi_byte to_number to_single_byte translate true trunc uid unlogged upper user userenv varchar varchar2 variance varying vsize xml"),
      operatorChars: /^[*\/+\-%<>!=~]/,
      dateSQL: set2("date time timestamp"),
      support: set2("doubleQuote nCharCast zerolessFloat binaryNumber hexNumber")
    });
    CodeMirror2.defineMIME("text/x-hive", {
      name: "sql",
      keywords: set2("select alter $elem$ $key$ $value$ add after all analyze and archive as asc before between binary both bucket buckets by cascade case cast change cluster clustered clusterstatus collection column columns comment compute concatenate continue create cross cursor data database databases dbproperties deferred delete delimited desc describe directory disable distinct distribute drop else enable end escaped exclusive exists explain export extended external fetch fields fileformat first format formatted from full function functions grant group having hold_ddltime idxproperties if import in index indexes inpath inputdriver inputformat insert intersect into is items join keys lateral left like limit lines load local location lock locks mapjoin materialized minus msck no_drop nocompress not of offline on option or order out outer outputdriver outputformat overwrite partition partitioned partitions percent plus preserve procedure purge range rcfile read readonly reads rebuild recordreader recordwriter recover reduce regexp rename repair replace restrict revoke right rlike row schema schemas semi sequencefile serde serdeproperties set shared show show_database sort sorted ssl statistics stored streamtable table tables tablesample tblproperties temporary terminated textfile then tmp to touch transform trigger unarchive undo union uniquejoin unlock update use using utc utc_tmestamp view when where while with admin authorization char compact compactions conf cube current current_date current_timestamp day decimal defined dependency directories elem_type exchange file following for grouping hour ignore inner interval jar less logical macro minute month more none noscan over owner partialscan preceding pretty principals protection reload rewrite role roles rollup rows second server sets skewed transactions truncate unbounded unset uri user values window year"),
      builtin: set2("bool boolean long timestamp tinyint smallint bigint int float double date datetime unsigned string array struct map uniontype key_type utctimestamp value_type varchar"),
      atoms: set2("false true null unknown"),
      operatorChars: /^[*+\-%<>!=]/,
      dateSQL: set2("date timestamp"),
      support: set2("ODBCdotTable doubleQuote binaryNumber hexNumber")
    });
    CodeMirror2.defineMIME("text/x-pgsql", {
      name: "sql",
      client: set2("source"),
      keywords: set2(sqlKeywords + "a abort abs absent absolute access according action ada add admin after aggregate alias all allocate also alter always analyse analyze and any are array array_agg array_max_cardinality as asc asensitive assert assertion assignment asymmetric at atomic attach attribute attributes authorization avg backward base64 before begin begin_frame begin_partition bernoulli between bigint binary bit bit_length blob blocked bom boolean both breadth by c cache call called cardinality cascade cascaded case cast catalog catalog_name ceil ceiling chain char char_length character character_length character_set_catalog character_set_name character_set_schema characteristics characters check checkpoint class class_origin clob close cluster coalesce cobol collate collation collation_catalog collation_name collation_schema collect column column_name columns command_function command_function_code comment comments commit committed concurrently condition condition_number configuration conflict connect connection connection_name constant constraint constraint_catalog constraint_name constraint_schema constraints constructor contains content continue control conversion convert copy corr corresponding cost count covar_pop covar_samp create cross csv cube cume_dist current current_catalog current_date current_default_transform_group current_path current_role current_row current_schema current_time current_timestamp current_transform_group_for_type current_user cursor cursor_name cycle data database datalink datatype date datetime_interval_code datetime_interval_precision day db deallocate debug dec decimal declare default defaults deferrable deferred defined definer degree delete delimiter delimiters dense_rank depends depth deref derived desc describe descriptor detach detail deterministic diagnostics dictionary disable discard disconnect dispatch distinct dlnewcopy dlpreviouscopy dlurlcomplete dlurlcompleteonly dlurlcompletewrite dlurlpath dlurlpathonly dlurlpathwrite dlurlscheme dlurlserver dlvalue do document domain double drop dump dynamic dynamic_function dynamic_function_code each element else elseif elsif empty enable encoding encrypted end end_frame end_partition endexec enforced enum equals errcode error escape event every except exception exclude excluding exclusive exec execute exists exit exp explain expression extension external extract false family fetch file filter final first first_value flag float floor following for force foreach foreign fortran forward found frame_row free freeze from fs full function functions fusion g general generated get global go goto grant granted greatest group grouping groups handler having header hex hierarchy hint hold hour id identity if ignore ilike immediate immediately immutable implementation implicit import in include including increment indent index indexes indicator info inherit inherits initially inline inner inout input insensitive insert instance instantiable instead int integer integrity intersect intersection interval into invoker is isnull isolation join k key key_member key_type label lag language large last last_value lateral lead leading leakproof least left length level library like like_regex limit link listen ln load local localtime localtimestamp location locator lock locked log logged loop lower m map mapping match matched materialized max max_cardinality maxvalue member merge message message_length message_octet_length message_text method min minute minvalue mod mode modifies module month more move multiset mumps name names namespace national natural nchar nclob nesting new next nfc nfd nfkc nfkd nil no none normalize normalized not nothing notice notify notnull nowait nth_value ntile null nullable nullif nulls number numeric object occurrences_regex octet_length octets of off offset oids old on only open operator option options or order ordering ordinality others out outer output over overlaps overlay overriding owned owner p pad parallel parameter parameter_mode parameter_name parameter_ordinal_position parameter_specific_catalog parameter_specific_name parameter_specific_schema parser partial partition pascal passing passthrough password path percent percent_rank percentile_cont percentile_disc perform period permission pg_context pg_datatype_name pg_exception_context pg_exception_detail pg_exception_hint placing plans pli policy portion position position_regex power precedes preceding precision prepare prepared preserve primary print_strict_params prior privileges procedural procedure procedures program public publication query quote raise range rank read reads real reassign recheck recovery recursive ref references referencing refresh regr_avgx regr_avgy regr_count regr_intercept regr_r2 regr_slope regr_sxx regr_sxy regr_syy reindex relative release rename repeatable replace replica requiring reset respect restart restore restrict result result_oid return returned_cardinality returned_length returned_octet_length returned_sqlstate returning returns reverse revoke right role rollback rollup routine routine_catalog routine_name routine_schema routines row row_count row_number rows rowtype rule savepoint scale schema schema_name schemas scope scope_catalog scope_name scope_schema scroll search second section security select selective self sensitive sequence sequences serializable server server_name session session_user set setof sets share show similar simple size skip slice smallint snapshot some source space specific specific_name specifictype sql sqlcode sqlerror sqlexception sqlstate sqlwarning sqrt stable stacked standalone start state statement static statistics stddev_pop stddev_samp stdin stdout storage strict strip structure style subclass_origin submultiset subscription substring substring_regex succeeds sum symmetric sysid system system_time system_user t table table_name tables tablesample tablespace temp template temporary text then ties time timestamp timezone_hour timezone_minute to token top_level_count trailing transaction transaction_active transactions_committed transactions_rolled_back transform transforms translate translate_regex translation treat trigger trigger_catalog trigger_name trigger_schema trim trim_array true truncate trusted type types uescape unbounded uncommitted under unencrypted union unique unknown unlink unlisten unlogged unnamed unnest until untyped update upper uri usage use_column use_variable user user_defined_type_catalog user_defined_type_code user_defined_type_name user_defined_type_schema using vacuum valid validate validator value value_of values var_pop var_samp varbinary varchar variable_conflict variadic varying verbose version versioning view views volatile warning when whenever where while whitespace width_bucket window with within without work wrapper write xml xmlagg xmlattributes xmlbinary xmlcast xmlcomment xmlconcat xmldeclaration xmldocument xmlelement xmlexists xmlforest xmliterate xmlnamespaces xmlparse xmlpi xmlquery xmlroot xmlschema xmlserialize xmltable xmltext xmlvalidate year yes zone"),
      builtin: set2("bigint int8 bigserial serial8 bit varying varbit boolean bool box bytea character char varchar cidr circle date double precision float8 inet integer int int4 interval json jsonb line lseg macaddr macaddr8 money numeric decimal path pg_lsn point polygon real float4 smallint int2 smallserial serial2 serial serial4 text time without zone with timetz timestamp timestamptz tsquery tsvector txid_snapshot uuid xml"),
      atoms: set2("false true null unknown"),
      operatorChars: /^[*\/+\-%<>!=&|^\/#@?~]/,
      backslashStringEscapes: false,
      dateSQL: set2("date time timestamp"),
      support: set2("ODBCdotTable decimallessFloat zerolessFloat binaryNumber hexNumber nCharCast charsetCast escapeConstant")
    });
    CodeMirror2.defineMIME("text/x-gql", {
      name: "sql",
      keywords: set2("ancestor and asc by contains desc descendant distinct from group has in is limit offset on order select superset where"),
      atoms: set2("false true"),
      builtin: set2("blob datetime first key __key__ string integer double boolean null"),
      operatorChars: /^[*+\-%<>!=]/
    });
    CodeMirror2.defineMIME("text/x-gpsql", {
      name: "sql",
      client: set2("source"),
      keywords: set2("abort absolute access action active add admin after aggregate all also alter always analyse analyze and any array as asc assertion assignment asymmetric at authorization backward before begin between bigint binary bit boolean both by cache called cascade cascaded case cast chain char character characteristics check checkpoint class close cluster coalesce codegen collate column comment commit committed concurrency concurrently configuration connection constraint constraints contains content continue conversion copy cost cpu_rate_limit create createdb createexttable createrole createuser cross csv cube current current_catalog current_date current_role current_schema current_time current_timestamp current_user cursor cycle data database day deallocate dec decimal declare decode default defaults deferrable deferred definer delete delimiter delimiters deny desc dictionary disable discard distinct distributed do document domain double drop dxl each else enable encoding encrypted end enum errors escape every except exchange exclude excluding exclusive execute exists explain extension external extract false family fetch fields filespace fill filter first float following for force foreign format forward freeze from full function global grant granted greatest group group_id grouping handler hash having header hold host hour identity if ignore ilike immediate immutable implicit in including inclusive increment index indexes inherit inherits initially inline inner inout input insensitive insert instead int integer intersect interval into invoker is isnull isolation join key language large last leading least left level like limit list listen load local localtime localtimestamp location lock log login mapping master match maxvalue median merge minute minvalue missing mode modifies modify month move name names national natural nchar new newline next no nocreatedb nocreateexttable nocreaterole nocreateuser noinherit nologin none noovercommit nosuperuser not nothing notify notnull nowait null nullif nulls numeric object of off offset oids old on only operator option options or order ordered others out outer over overcommit overlaps overlay owned owner parser partial partition partitions passing password percent percentile_cont percentile_disc placing plans position preceding precision prepare prepared preserve primary prior privileges procedural procedure protocol queue quote randomly range read readable reads real reassign recheck recursive ref references reindex reject relative release rename repeatable replace replica reset resource restart restrict returning returns revoke right role rollback rollup rootpartition row rows rule savepoint scatter schema scroll search second security segment select sequence serializable session session_user set setof sets share show similar simple smallint some split sql stable standalone start statement statistics stdin stdout storage strict strip subpartition subpartitions substring superuser symmetric sysid system table tablespace temp template temporary text then threshold ties time timestamp to trailing transaction treat trigger trim true truncate trusted type unbounded uncommitted unencrypted union unique unknown unlisten until update user using vacuum valid validation validator value values varchar variadic varying verbose version view volatile web when where whitespace window with within without work writable write xml xmlattributes xmlconcat xmlelement xmlexists xmlforest xmlparse xmlpi xmlroot xmlserialize year yes zone"),
      builtin: set2("bigint int8 bigserial serial8 bit varying varbit boolean bool box bytea character char varchar cidr circle date double precision float float8 inet integer int int4 interval json jsonb line lseg macaddr macaddr8 money numeric decimal path pg_lsn point polygon real float4 smallint int2 smallserial serial2 serial serial4 text time without zone with timetz timestamp timestamptz tsquery tsvector txid_snapshot uuid xml"),
      atoms: set2("false true null unknown"),
      operatorChars: /^[*+\-%<>!=&|^\/#@?~]/,
      dateSQL: set2("date time timestamp"),
      support: set2("ODBCdotTable decimallessFloat zerolessFloat binaryNumber hexNumber nCharCast charsetCast")
    });
    CodeMirror2.defineMIME("text/x-sparksql", {
      name: "sql",
      keywords: set2("add after all alter analyze and anti archive array as asc at between bucket buckets by cache cascade case cast change clear cluster clustered codegen collection column columns comment commit compact compactions compute concatenate cost create cross cube current current_date current_timestamp database databases data dbproperties defined delete delimited deny desc describe dfs directories distinct distribute drop else end escaped except exchange exists explain export extended external false fields fileformat first following for format formatted from full function functions global grant group grouping having if ignore import in index indexes inner inpath inputformat insert intersect interval into is items join keys last lateral lazy left like limit lines list load local location lock locks logical macro map minus msck natural no not null nulls of on optimize option options or order out outer outputformat over overwrite partition partitioned partitions percent preceding principals purge range recordreader recordwriter recover reduce refresh regexp rename repair replace reset restrict revoke right rlike role roles rollback rollup row rows schema schemas select semi separated serde serdeproperties set sets show skewed sort sorted start statistics stored stratify struct table tables tablesample tblproperties temp temporary terminated then to touch transaction transactions transform true truncate unarchive unbounded uncache union unlock unset use using values view when where window with"),
      builtin: set2("abs acos acosh add_months aggregate and any approx_count_distinct approx_percentile array array_contains array_distinct array_except array_intersect array_join array_max array_min array_position array_remove array_repeat array_sort array_union arrays_overlap arrays_zip ascii asin asinh assert_true atan atan2 atanh avg base64 between bigint bin binary bit_and bit_count bit_get bit_length bit_or bit_xor bool_and bool_or boolean bround btrim cardinality case cast cbrt ceil ceiling char char_length character_length chr coalesce collect_list collect_set concat concat_ws conv corr cos cosh cot count count_if count_min_sketch covar_pop covar_samp crc32 cume_dist current_catalog current_database current_date current_timestamp current_timezone current_user date date_add date_format date_from_unix_date date_part date_sub date_trunc datediff day dayofmonth dayofweek dayofyear decimal decode degrees delimited dense_rank div double e element_at elt encode every exists exp explode explode_outer expm1 extract factorial filter find_in_set first first_value flatten float floor forall format_number format_string from_csv from_json from_unixtime from_utc_timestamp get_json_object getbit greatest grouping grouping_id hash hex hour hypot if ifnull in initcap inline inline_outer input_file_block_length input_file_block_start input_file_name inputformat instr int isnan isnotnull isnull java_method json_array_length json_object_keys json_tuple kurtosis lag last last_day last_value lcase lead least left length levenshtein like ln locate log log10 log1p log2 lower lpad ltrim make_date make_dt_interval make_interval make_timestamp make_ym_interval map map_concat map_entries map_filter map_from_arrays map_from_entries map_keys map_values map_zip_with max max_by md5 mean min min_by minute mod monotonically_increasing_id month months_between named_struct nanvl negative next_day not now nth_value ntile nullif nvl nvl2 octet_length or outputformat overlay parse_url percent_rank percentile percentile_approx pi pmod posexplode posexplode_outer position positive pow power printf quarter radians raise_error rand randn random rank rcfile reflect regexp regexp_extract regexp_extract_all regexp_like regexp_replace repeat replace reverse right rint rlike round row_number rpad rtrim schema_of_csv schema_of_json second sentences sequence sequencefile serde session_window sha sha1 sha2 shiftleft shiftright shiftrightunsigned shuffle sign signum sin sinh size skewness slice smallint some sort_array soundex space spark_partition_id split sqrt stack std stddev stddev_pop stddev_samp str_to_map string struct substr substring substring_index sum tan tanh textfile timestamp timestamp_micros timestamp_millis timestamp_seconds tinyint to_csv to_date to_json to_timestamp to_unix_timestamp to_utc_timestamp transform transform_keys transform_values translate trim trunc try_add try_divide typeof ucase unbase64 unhex uniontype unix_date unix_micros unix_millis unix_seconds unix_timestamp upper uuid var_pop var_samp variance version weekday weekofyear when width_bucket window xpath xpath_boolean xpath_double xpath_float xpath_int xpath_long xpath_number xpath_short xpath_string xxhash64 year zip_with"),
      atoms: set2("false true null"),
      operatorChars: /^[*\/+\-%<>!=~&|^]/,
      dateSQL: set2("date time timestamp"),
      support: set2("ODBCdotTable doubleQuote zerolessFloat")
    });
    CodeMirror2.defineMIME("text/x-esper", {
      name: "sql",
      client: set2("source"),
      keywords: set2("alter and as asc between by count create delete desc distinct drop from group having in insert into is join like not on or order select set table union update values where limit after all and as at asc avedev avg between by case cast coalesce count create current_timestamp day days delete define desc distinct else end escape events every exists false first from full group having hour hours in inner insert instanceof into irstream is istream join last lastweekday left limit like max match_recognize matches median measures metadatasql min minute minutes msec millisecond milliseconds not null offset on or order outer output partition pattern prev prior regexp retain-union retain-intersection right rstream sec second seconds select set some snapshot sql stddev sum then true unidirectional until update variable weekday when where window"),
      builtin: {},
      atoms: set2("false true null"),
      operatorChars: /^[*+\-%<>!=&|^\/#@?~]/,
      dateSQL: set2("time"),
      support: set2("decimallessFloat zerolessFloat binaryNumber hexNumber")
    });
  });
})();
(function(module, exports) {
  (function(mod) {
    mod(codemirror.exports);
  })(function(CodeMirror2) {
    CodeMirror2.defineOption("autoRefresh", false, function(cm, val) {
      if (cm.state.autoRefresh) {
        stopListening(cm, cm.state.autoRefresh);
        cm.state.autoRefresh = null;
      }
      if (val && cm.display.wrapper.offsetHeight == 0)
        startListening(cm, cm.state.autoRefresh = { delay: val.delay || 250 });
    });
    function startListening(cm, state) {
      function check() {
        if (cm.display.wrapper.offsetHeight) {
          stopListening(cm, state);
          if (cm.display.lastWrapHeight != cm.display.wrapper.clientHeight)
            cm.refresh();
        } else {
          state.timeout = setTimeout(check, state.delay);
        }
      }
      state.timeout = setTimeout(check, state.delay);
      state.hurry = function() {
        clearTimeout(state.timeout);
        state.timeout = setTimeout(check, 50);
      };
      CodeMirror2.on(window, "mouseup", state.hurry);
      CodeMirror2.on(window, "keyup", state.hurry);
    }
    function stopListening(_cm, state) {
      clearTimeout(state.timeout);
      CodeMirror2.off(window, "mouseup", state.hurry);
      CodeMirror2.off(window, "keyup", state.hurry);
    }
  });
})();
const _hoisted_1$1 = { class: "h-48 flex flex-col justify-start border-b border-gray-200" };
const _hoisted_2$1 = { class: "flex flex-col flex-fixed h-full query-container" };
const _hoisted_3 = ["value"];
const _hoisted_4 = { class: "flex justify-start flex-fixed my-2 px-2" };
const _hoisted_5 = /* @__PURE__ */ createTextVNode(" Run Query ");
const _hoisted_6 = /* @__PURE__ */ createTextVNode(" Reset Data ");
const _hoisted_7 = {
  key: 0,
  class: "w-full bg-red-100",
  "data-cy": "alasql-error-msg"
};
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "QueryArea",
  props: {
    initialQuery: null,
    errors: null
  },
  emits: ["query-change", "run-query", "clear-query"],
  setup(__props, { emit }) {
    const p = __props;
    const CM_OPTIONS = {
      theme: "eclipse",
      mode: "sql",
      lineNumbers: false,
      autoRefresh: true
    };
    const cmEl = ref();
    const cmInstance = ref();
    const emitQueryChange = (query) => void emit("query-change", query);
    onMounted(() => {
      if (cmEl.value) {
        cmInstance.value = CodeMirror.fromTextArea(cmEl.value, CM_OPTIONS);
        cmInstance.value.on("change", (doc2) => {
          emitQueryChange(doc2.getValue());
        });
        emitQueryChange(cmInstance.value.getValue());
      } else {
        console.error("Couldn't find codemirror textarea element");
      }
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        createElementVNode("div", _hoisted_1$1, [
          createElementVNode("div", _hoisted_2$1, [
            createElementVNode("textarea", {
              ref_key: "cmEl",
              ref: cmEl,
              value: p.initialQuery
            }, null, 8, _hoisted_3),
            createElementVNode("div", _hoisted_4, [
              createVNode(_sfc_main$5, {
                onClick: _cache[0] || (_cache[0] = ($event) => emit("run-query")),
                icon: "fa fa-play",
                "data-cy": "btn-run-query",
                class: "w-28 dp-btn-primary"
              }, {
                default: withCtx(() => [
                  _hoisted_5
                ]),
                _: 1
              }),
              createVNode(_sfc_main$5, {
                onClick: _cache[1] || (_cache[1] = ($event) => emit("clear-query")),
                icon: "fa fa-undo",
                class: "ml-2 w-28 dp-btn-secondary-gray",
                "data-cy": "btn-reset-data"
              }, {
                default: withCtx(() => [
                  _hoisted_6
                ]),
                _: 1
              })
            ])
          ])
        ]),
        p.errors ? (openBlock(), createElementBlock("div", _hoisted_7, toDisplayString(p.errors), 1)) : createCommentVNode("", true)
      ], 64);
    };
  }
});
var alasql_min = { exports: {} };
(function(module, exports) {
  !function(e, t) {
    module.exports = t();
  }(commonjsGlobal$1, function() {
    var bi = function(e2, t2, n2, r2) {
      if (t2 = t2 || [], "function" != typeof importScripts && bi.webworker) {
        var s2 = bi.lastid++;
        return bi.buffer[s2] = n2, void bi.webworker.postMessage({ id: s2, sql: e2, params: t2 });
      }
      return 0 === arguments.length ? new k.Select({ columns: [new k.Column({ columnid: "*" })], from: [new k.ParamValue({ param: 0 })] }) : 1 === arguments.length && e2.constructor === Array ? bi.promise(e2) : ("function" == typeof t2 && (r2 = n2, n2 = t2, t2 = []), "object" != typeof t2 && (t2 = [t2]), "string" == typeof e2 && "#" === e2[0] && "object" == typeof document ? e2 = document.querySelector(e2).textContent : "object" == typeof e2 && e2 instanceof HTMLElement ? e2 = e2.textContent : "function" == typeof e2 && (e2 = e2.toString(), e2 = (/\/\*([\S\s]+)\*\//m.exec(e2) || ["", "Function given as SQL. Plese Provide SQL string or have a /* ... */ syle comment with SQL in the function."])[1]), bi.exec(e2, t2, n2, r2));
    };
    bi.version = "1.7.3-develop-0be167bcundefined", bi.debug = void 0;
    function H() {
      return null;
    }
    var t = function() {
      var e2 = function(e3, t3, n3, r3) {
        for (n3 = n3 || {}, r3 = e3.length; r3--; n3[e3[r3]] = t3)
          ;
        return n3;
      }, t2 = [2, 13], n2 = [1, 104], r2 = [1, 102], s2 = [1, 103], a2 = [1, 6], i2 = [1, 42], o2 = [1, 79], u2 = [1, 76], c2 = [1, 94], l2 = [1, 93], h3 = [1, 69], d2 = [1, 101], f2 = [1, 85], p2 = [1, 64], b2 = [1, 71], E2 = [1, 84], g2 = [1, 66], m2 = [1, 70], S2 = [1, 68], T2 = [1, 61], v2 = [1, 74], A2 = [1, 62], y2 = [1, 67], N2 = [1, 83], C2 = [1, 77], R2 = [1, 86], O2 = [1, 87], w2 = [1, 81], I2 = [1, 82], x2 = [1, 80], k2 = [1, 88], D2 = [1, 89], L2 = [1, 90], $2 = [1, 91], M2 = [1, 92], U2 = [1, 98], _2 = [1, 65], F2 = [1, 78], P2 = [1, 72], q2 = [1, 96], G2 = [1, 97], V2 = [1, 63], B2 = [1, 73], j2 = [1, 108], H2 = [1, 107], J2 = [10, 308, 604, 765], Y2 = [10, 308, 312, 604, 765], W2 = [1, 115], X2 = [1, 116], K2 = [1, 117], Q2 = [1, 118], z2 = [1, 119], Z2 = [130, 355, 412], ee2 = [1, 127], te2 = [1, 126], ne2 = [1, 134], re = [1, 164], se = [1, 175], ae = [1, 178], ie = [1, 173], oe = [1, 181], ue = [1, 185], ce = [1, 160], le = [1, 182], he = [1, 169], de = [1, 171], fe = [1, 174], pe = [1, 183], be = [1, 199], Ee = [1, 200], ge = [1, 166], me = [1, 193], Se = [1, 188], Te = [1, 189], ve = [1, 194], Ae = [1, 195], ye = [1, 196], Ne = [1, 197], Ce = [1, 198], Re = [1, 201], Oe = [1, 202], we = [1, 176], Ie = [1, 177], xe = [1, 179], ke = [1, 180], De = [1, 186], Le = [1, 192], $e = [1, 184], Me = [1, 187], Ue = [1, 172], _e = [1, 170], Fe = [1, 191], Pe = [1, 203], qe = [2, 4, 5], Ge = [2, 474], Ve = [1, 206], Be = [1, 211], je = [1, 220], He = [1, 216], Je = [10, 72, 78, 93, 98, 118, 128, 162, 168, 169, 183, 198, 232, 249, 251, 308, 312, 604, 765], Ye = [2, 4, 5, 10, 72, 76, 77, 78, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 183, 185, 187, 198, 244, 245, 284, 285, 286, 287, 288, 289, 290, 308, 312, 422, 426, 604, 765], We = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Xe = [1, 249], Ke = [1, 256], Qe = [1, 265], ze = [1, 270], Ze = [1, 269], et = [2, 4, 5, 10, 72, 77, 78, 93, 98, 107, 118, 128, 131, 132, 137, 143, 145, 149, 152, 154, 156, 162, 168, 169, 179, 180, 181, 183, 198, 232, 244, 245, 249, 251, 269, 270, 274, 275, 277, 284, 285, 286, 287, 288, 289, 290, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 304, 305, 308, 312, 314, 319, 422, 426, 604, 765], tt = [2, 162], nt = [1, 281], rt = [10, 74, 78, 308, 312, 507, 604, 765], st = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 193, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 299, 302, 304, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 345, 346, 358, 370, 371, 372, 375, 376, 388, 391, 398, 402, 403, 404, 405, 406, 407, 408, 410, 411, 419, 420, 422, 426, 428, 435, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 516, 517, 518, 519, 604, 765], at = [2, 4, 5, 10, 53, 72, 89, 124, 146, 156, 189, 270, 271, 292, 308, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 507, 509, 510, 519, 604, 765], it = [1, 562], ot = [1, 564], ut = [2, 506], ct = [1, 569], lt2 = [1, 580], ht = [1, 583], dt = [1, 584], ft = [10, 78, 89, 132, 137, 146, 189, 298, 308, 312, 472, 604, 765], pt = [10, 74, 308, 312, 604, 765], bt = [2, 570], Et = [1, 602], gt = [2, 4, 5, 156], mt = [1, 640], St = [1, 612], Tt = [1, 646], vt = [1, 647], At = [1, 620], yt = [1, 631], Nt = [1, 618], Ct = [1, 626], Rt = [1, 619], Ot = [1, 627], wt = [1, 629], It = [1, 621], xt = [1, 622], kt = [1, 641], Dt = [1, 638], Lt = [1, 639], $t = [1, 615], Mt = [1, 617], Ut = [1, 609], _t = [1, 610], Ft = [1, 611], Pt = [1, 613], qt = [1, 614], Gt = [1, 616], Vt = [1, 623], Bt = [1, 624], jt = [1, 628], Ht = [1, 630], Jt = [1, 632], Yt = [1, 633], Wt = [1, 634], Xt = [1, 635], Kt = [1, 636], Qt = [1, 642], zt = [1, 643], Zt = [1, 644], en = [1, 645], tn = [2, 290], nn = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 299, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 345, 358, 370, 371, 375, 376, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 428, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], rn = [2, 362], sn = [1, 668], an = [1, 678], on = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 428, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], un = [1, 694], cn = [1, 703], ln = [1, 702], hn = [2, 4, 5, 10, 72, 74, 78, 93, 98, 118, 128, 162, 168, 169, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 249, 251, 308, 312, 604, 765], dn = [10, 72, 74, 78, 93, 98, 118, 128, 162, 168, 169, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 249, 251, 308, 312, 604, 765], fn = [2, 202], pn = [1, 725], bn = [10, 72, 78, 93, 98, 118, 128, 162, 168, 169, 183, 232, 249, 251, 308, 312, 604, 765], En = [2, 163], gn = [1, 728], mn = [2, 4, 5, 112], Sn = [1, 741], Tn = [1, 760], vn = [1, 740], An = [1, 739], yn = [1, 734], Nn = [1, 735], Cn = [1, 737], Rn = [1, 738], On = [1, 742], wn = [1, 743], In = [1, 744], xn = [1, 745], kn = [1, 746], Dn = [1, 747], Ln = [1, 748], $n = [1, 749], Mn = [1, 750], Un = [1, 751], _n = [1, 752], Fn = [1, 753], Pn = [1, 754], qn = [1, 755], Gn = [1, 756], Vn = [1, 757], Bn = [1, 759], jn = [1, 761], Hn = [1, 762], Jn = [1, 763], Yn = [1, 764], Wn = [1, 765], Xn = [1, 766], Kn = [1, 767], Qn = [1, 770], zn = [1, 771], Zn = [1, 772], er = [1, 773], tr = [1, 774], nr = [1, 775], rr = [1, 776], sr = [1, 777], ar = [1, 778], ir = [1, 779], or = [1, 780], ur = [1, 781], cr = [74, 89, 189], lr = [10, 74, 78, 154, 187, 230, 299, 308, 312, 345, 358, 370, 371, 375, 376, 604, 765], hr = [1, 798], dr = [10, 74, 78, 302, 308, 312, 604, 765], fr = [1, 799], pr = [1, 805], br = [1, 806], Er = [1, 810], gr = [10, 74, 78, 308, 312, 604, 765], mr = [2, 4, 5, 77, 131, 132, 137, 143, 145, 149, 152, 154, 156, 179, 180, 181, 244, 245, 269, 270, 274, 275, 277, 284, 285, 286, 287, 288, 289, 290, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 304, 305, 314, 319, 422, 426], Sr = [10, 72, 78, 93, 98, 107, 118, 128, 162, 168, 169, 183, 198, 232, 249, 251, 308, 312, 604, 765], Tr = [2, 4, 5, 10, 72, 77, 78, 93, 98, 107, 118, 128, 131, 132, 137, 143, 145, 149, 152, 154, 156, 162, 164, 168, 169, 179, 180, 181, 183, 185, 187, 195, 198, 232, 244, 245, 249, 251, 269, 270, 274, 275, 277, 284, 285, 286, 287, 288, 289, 290, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 304, 305, 308, 312, 314, 319, 422, 426, 604, 765], vr = [2, 4, 5, 132, 298], Ar = [1, 844], yr = [10, 74, 76, 78, 308, 312, 604, 765], Nr = [2, 741], Cr = [10, 74, 76, 78, 132, 139, 141, 145, 152, 308, 312, 422, 426, 604, 765], Rr = [2, 1164], Or = [10, 74, 76, 78, 139, 141, 145, 152, 308, 312, 422, 426, 604, 765], wr = [10, 74, 76, 78, 139, 141, 145, 308, 312, 422, 426, 604, 765], Ir = [10, 74, 78, 139, 141, 308, 312, 604, 765], xr = [10, 78, 89, 132, 146, 189, 298, 308, 312, 472, 604, 765], kr = [337, 340, 341], Dr = [2, 767], Lr = [1, 869], $r = [1, 870], Mr = [1, 871], Ur = [1, 872], _r = [1, 881], Fr = [1, 880], Pr = [164, 166, 336], qr = [2, 447], Gr = [1, 936], Vr = [2, 4, 5, 77, 131, 156, 292, 293, 294, 295], Br = [1, 951], jr = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 315, 316, 317, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Hr = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Jr = [2, 378], Yr = [1, 958], Wr = [308, 310, 312], Xr = [74, 302], Kr = [74, 302, 428], Qr = [1, 965], zr = [2, 4, 5, 10, 53, 72, 74, 76, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Zr = [74, 428], es = [1, 978], ts = [1, 977], ns = [1, 984], rs = [10, 72, 78, 93, 98, 118, 128, 162, 168, 169, 232, 249, 251, 308, 312, 604, 765], ss = [1, 1010], as = [10, 72, 78, 308, 312, 604, 765], is = [1, 1016], os = [1, 1017], us = [1, 1018], cs = [2, 4, 5, 10, 72, 74, 76, 77, 78, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 198, 244, 245, 284, 285, 286, 287, 288, 289, 290, 308, 312, 422, 426, 604, 765], ls = [1, 1068], hs = [1, 1067], ds = [1, 1081], fs = [1, 1080], ps = [1, 1088], bs = [10, 72, 74, 78, 93, 98, 107, 118, 128, 162, 168, 169, 183, 198, 232, 249, 251, 308, 312, 604, 765], Es = [1, 1119], gs = [10, 78, 89, 146, 189, 308, 312, 472, 604, 765], ms = [1, 1139], Ss = [1, 1138], Ts = [1, 1137], vs = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 299, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 345, 358, 370, 371, 375, 376, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], As = [1, 1153], ys = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 315, 316, 317, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Ns = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 315, 317, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Cs = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 118, 122, 124, 128, 129, 130, 131, 132, 133, 134, 135, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 315, 316, 317, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Rs = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 315, 316, 317, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Os = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 316, 322, 323, 324, 325, 326, 327, 328, 332, 333, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], ws = [2, 409], Is = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 107, 118, 122, 128, 129, 130, 131, 132, 134, 135, 137, 143, 145, 146, 148, 149, 150, 152, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 316, 332, 333, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], xs = [2, 288], ks = [2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 428, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], Ds = [10, 78, 308, 312, 604, 765], Ls = [1, 1189], $s = [10, 77, 78, 143, 145, 152, 181, 304, 308, 312, 422, 426, 604, 765], Ms = [10, 74, 78, 308, 310, 312, 466, 604, 765], Us = [1, 1200], _s = [10, 72, 78, 118, 128, 162, 168, 169, 232, 249, 251, 308, 312, 604, 765], Fs = [10, 72, 74, 78, 93, 98, 118, 128, 162, 168, 169, 183, 198, 232, 249, 251, 308, 312, 604, 765], Ps = [2, 4, 5, 72, 76, 77, 78, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 185, 187, 244, 245, 284, 285, 286, 287, 288, 289, 290, 422, 426], qs = [2, 4, 5, 72, 74, 76, 77, 78, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 185, 187, 244, 245, 284, 285, 286, 287, 288, 289, 290, 422, 426], Gs = [2, 1088], Vs = [2, 4, 5, 72, 74, 76, 77, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 185, 187, 244, 245, 284, 285, 286, 287, 288, 289, 290, 422, 426], Bs = [1, 1252], js = [10, 74, 78, 128, 308, 310, 312, 466, 604, 765], Hs = [115, 116, 124], Js = [2, 587], Ys = [1, 1280], Ws = [76, 139], Xs = [2, 727], Ks = [1, 1297], Qs = [1, 1298], zs = [2, 4, 5, 10, 53, 72, 76, 89, 124, 146, 156, 189, 230, 270, 271, 292, 308, 312, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 507, 509, 510, 519, 604, 765], Zs = [2, 333], ea = [1, 1322], ta = [1, 1336], na = [1, 1338], ra = [2, 490], sa = [74, 78], aa = [10, 308, 310, 312, 466, 604, 765], ia = [10, 72, 78, 118, 162, 168, 169, 232, 249, 251, 308, 312, 604, 765], oa = [1, 1354], ua = [1, 1358], ca = [1, 1359], la = [1, 1361], ha = [1, 1362], da = [1, 1363], fa = [1, 1364], pa = [1, 1365], ba = [1, 1366], Ea = [1, 1367], ga = [1, 1368], ma = [10, 72, 74, 78, 93, 98, 118, 128, 162, 168, 169, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 249, 251, 308, 312, 604, 765], Sa = [1, 1393], Ta = [10, 72, 78, 118, 162, 168, 169, 249, 251, 308, 312, 604, 765], va = [10, 72, 78, 93, 98, 118, 128, 162, 168, 169, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 249, 251, 308, 312, 604, 765], Aa = [1, 1490], ya = [1, 1492], Na = [2, 4, 5, 77, 143, 145, 152, 156, 181, 292, 293, 294, 295, 304, 422, 426], Ca = [1, 1506], Ra = [10, 72, 74, 78, 162, 168, 169, 249, 251, 308, 312, 604, 765], Oa = [1, 1524], wa = [1, 1526], Ia = [1, 1527], xa = [1, 1523], ka = [1, 1522], Da = [1, 1521], La = [1, 1528], $a = [1, 1518], Ma = [1, 1519], Ua = [1, 1520], _a = [1, 1545], Fa = [2, 4, 5, 10, 53, 72, 89, 124, 146, 156, 189, 270, 271, 292, 308, 312, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 507, 509, 510, 519, 604, 765], Pa = [1, 1556], qa = [1, 1564], Ga = [1, 1563], Va = [10, 72, 78, 162, 168, 169, 249, 251, 308, 312, 604, 765], Ba = [10, 72, 78, 93, 98, 118, 128, 162, 168, 169, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 249, 251, 308, 312, 604, 765], ja = [2, 4, 5, 10, 72, 78, 93, 98, 118, 128, 162, 168, 169, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 249, 251, 308, 312, 604, 765], Ha = [1, 1623], Ja = [1, 1625], Ya = [1, 1622], Wa = [1, 1624], Xa = [187, 193, 370, 371, 372, 375], Ka = [2, 518], Qa = [1, 1630], za = [1, 1649], Za = [10, 72, 78, 162, 168, 169, 308, 312, 604, 765], ei = [1, 1659], ti = [1, 1660], ni = [1, 1661], ri = [1, 1682], si = [4, 10, 247, 308, 312, 345, 358, 604, 765], ai = [1, 1730], ii = [10, 72, 74, 78, 118, 162, 168, 169, 239, 249, 251, 308, 312, 604, 765], oi = [2, 4, 5, 77], ui = [1, 1824], ci = [1, 1836], li = [1, 1855], hi = [10, 72, 78, 162, 168, 169, 308, 312, 417, 604, 765], di = [10, 74, 78, 230, 308, 312, 604, 765], e2 = { trace: function() {
      }, yy: {}, symbols_: { error: 2, Literal: 3, LITERAL: 4, BRALITERAL: 5, NonReserved: 6, LiteralWithSpaces: 7, main: 8, Statements: 9, EOF: 10, Statements_group0: 11, AStatement: 12, ExplainStatement: 13, EXPLAIN: 14, QUERY: 15, PLAN: 16, Statement: 17, AlterTable: 18, AttachDatabase: 19, Call: 20, CreateDatabase: 21, CreateIndex: 22, CreateGraph: 23, CreateTable: 24, CreateView: 25, CreateEdge: 26, CreateVertex: 27, Declare: 28, Delete: 29, DetachDatabase: 30, DropDatabase: 31, DropIndex: 32, DropTable: 33, DropView: 34, If: 35, Insert: 36, Merge: 37, Reindex: 38, RenameTable: 39, Select: 40, ShowCreateTable: 41, ShowColumns: 42, ShowDatabases: 43, ShowIndex: 44, ShowTables: 45, TruncateTable: 46, WithSelect: 47, CreateTrigger: 48, DropTrigger: 49, BeginTransaction: 50, CommitTransaction: 51, RollbackTransaction: 52, EndTransaction: 53, UseDatabase: 54, Update: 55, JavaScript: 56, Source: 57, Assert: 58, While: 59, Continue: 60, Break: 61, BeginEnd: 62, Print: 63, Require: 64, SetVariable: 65, ExpressionStatement: 66, AddRule: 67, Query: 68, Echo: 69, CreateFunction: 70, CreateAggregate: 71, WITH: 72, WithTablesList: 73, COMMA: 74, WithTable: 75, AS: 76, LPAR: 77, RPAR: 78, SelectClause: 79, Select_option0: 80, IntoClause: 81, FromClause: 82, Select_option1: 83, WhereClause: 84, GroupClause: 85, OrderClause: 86, LimitClause: 87, UnionClause: 88, SEARCH: 89, Select_repetition0: 90, Select_option2: 91, PivotClause: 92, PIVOT: 93, Expression: 94, FOR: 95, PivotClause_option0: 96, PivotClause_option1: 97, UNPIVOT: 98, IN: 99, ColumnsList: 100, PivotClause_option2: 101, PivotClause2: 102, AsList: 103, AsLiteral: 104, AsPart: 105, RemoveClause: 106, REMOVE: 107, RemoveClause_option0: 108, RemoveColumnsList: 109, RemoveColumn: 110, Column: 111, LIKE: 112, StringValue: 113, ArrowDot: 114, ARROW: 115, DOT: 116, SearchSelector: 117, ORDER: 118, BY: 119, OrderExpressionsList: 120, SearchSelector_option0: 121, DOTDOT: 122, CARET: 123, EQ: 124, SearchSelector_repetition_plus0: 125, SearchSelector_repetition_plus1: 126, SearchSelector_option1: 127, WHERE: 128, OF: 129, CLASS: 130, NUMBER: 131, STRING: 132, SLASH: 133, VERTEX: 134, EDGE: 135, EXCLAMATION: 136, SHARP: 137, MODULO: 138, GT: 139, LT: 140, GTGT: 141, LTLT: 142, DOLLAR: 143, Json: 144, AT: 145, SET: 146, SetColumnsList: 147, TO: 148, VALUE: 149, ROW: 150, ExprList: 151, COLON: 152, PlusStar: 153, NOT: 154, SearchSelector_repetition2: 155, IF: 156, SearchSelector_repetition3: 157, Aggregator: 158, SearchSelector_repetition4: 159, SearchSelector_group0: 160, SearchSelector_repetition5: 161, UNION: 162, SearchSelectorList: 163, ALL: 164, SearchSelector_repetition6: 165, ANY: 166, SearchSelector_repetition7: 167, INTERSECT: 168, EXCEPT: 169, AND: 170, OR: 171, PATH: 172, RETURN: 173, ResultColumns: 174, REPEAT: 175, SearchSelector_repetition8: 176, SearchSelectorList_repetition0: 177, SearchSelectorList_repetition1: 178, PLUS: 179, STAR: 180, QUESTION: 181, SearchFrom: 182, FROM: 183, SelectModifier: 184, DISTINCT: 185, TopClause: 186, UNIQUE: 187, SelectClause_option0: 188, SELECT: 189, COLUMN: 190, MATRIX: 191, TEXTSTRING: 192, INDEX: 193, RECORDSET: 194, TOP: 195, NumValue: 196, TopClause_option0: 197, INTO: 198, Table: 199, FuncValue: 200, ParamValue: 201, VarValue: 202, FromTablesList: 203, JoinTablesList: 204, ApplyClause: 205, CROSS: 206, APPLY: 207, OUTER: 208, FromTable: 209, FromTable_option0: 210, FromTable_option1: 211, INDEXED: 212, INSERTED: 213, FromString: 214, JoinTable: 215, JoinMode: 216, JoinTableAs: 217, OnClause: 218, JoinTableAs_option0: 219, JoinTableAs_option1: 220, JoinModeMode: 221, NATURAL: 222, JOIN: 223, INNER: 224, LEFT: 225, RIGHT: 226, FULL: 227, SEMI: 228, ANTI: 229, ON: 230, USING: 231, GROUP: 232, GroupExpressionsList: 233, HavingClause: 234, GroupExpression: 235, GROUPING: 236, ROLLUP: 237, CUBE: 238, HAVING: 239, CORRESPONDING: 240, OrderExpression: 241, NullsOrder: 242, NULLS: 243, FIRST: 244, LAST: 245, DIRECTION: 246, COLLATE: 247, NOCASE: 248, LIMIT: 249, OffsetClause: 250, OFFSET: 251, LimitClause_option0: 252, FETCH: 253, LimitClause_option1: 254, LimitClause_option2: 255, LimitClause_option3: 256, ResultColumn: 257, Star: 258, AggrValue: 259, Op: 260, LogicValue: 261, NullValue: 262, ExistsValue: 263, CaseValue: 264, CastClause: 265, ArrayValue: 266, NewClause: 267, Expression_group0: 268, CURRENT_TIMESTAMP: 269, JAVASCRIPT: 270, CREATE: 271, FUNCTION: 272, AGGREGATE: 273, NEW: 274, CAST: 275, ColumnType: 276, CONVERT: 277, PrimitiveValue: 278, OverClause: 279, OVER: 280, OverPartitionClause: 281, OverOrderByClause: 282, PARTITION: 283, SUM: 284, COUNT: 285, MIN: 286, MAX: 287, AVG: 288, AGGR: 289, ARRAY: 290, FuncValue_option0: 291, REPLACE: 292, DATEADD: 293, DATEDIFF: 294, INTERVAL: 295, TRUE: 296, FALSE: 297, NSTRING: 298, NULL: 299, EXISTS: 300, ARRAYLBRA: 301, RBRA: 302, ParamValue_group0: 303, BRAQUESTION: 304, CASE: 305, WhensList: 306, ElseClause: 307, END: 308, When: 309, WHEN: 310, THEN: 311, ELSE: 312, REGEXP: 313, TILDA: 314, GLOB: 315, ESCAPE: 316, NOT_LIKE: 317, BARBAR: 318, MINUS: 319, AMPERSAND: 320, BAR: 321, GE: 322, LE: 323, EQEQ: 324, EQEQEQ: 325, NE: 326, NEEQEQ: 327, NEEQEQEQ: 328, CondOp: 329, AllSome: 330, ColFunc: 331, BETWEEN: 332, NOT_BETWEEN: 333, IS: 334, DOUBLECOLON: 335, SOME: 336, UPDATE: 337, SetColumn: 338, SetColumn_group0: 339, DELETE: 340, INSERT: 341, Into: 342, Values: 343, ValuesListsList: 344, DEFAULT: 345, VALUES: 346, ValuesList: 347, Value: 348, DateValue: 349, TemporaryClause: 350, TableClass: 351, IfNotExists: 352, CreateTableDefClause: 353, CreateTableOptionsClause: 354, TABLE: 355, CreateTableOptions: 356, CreateTableOption: 357, IDENTITY: 358, TEMP: 359, ColumnDefsList: 360, ConstraintsList: 361, Constraint: 362, ConstraintName: 363, PrimaryKey: 364, ForeignKey: 365, UniqueKey: 366, IndexKey: 367, Check: 368, CONSTRAINT: 369, CHECK: 370, PRIMARY: 371, KEY: 372, PrimaryKey_option0: 373, ColsList: 374, FOREIGN: 375, REFERENCES: 376, ForeignKey_option0: 377, OnForeignKeyClause: 378, ParColsList: 379, OnDeleteClause: 380, OnUpdateClause: 381, NO: 382, ACTION: 383, UniqueKey_option0: 384, UniqueKey_option1: 385, ColumnDef: 386, ColumnConstraintsClause: 387, ColumnConstraints: 388, SingularColumnType: 389, NumberMax: 390, ENUM: 391, MAXNUM: 392, ColumnConstraintsList: 393, ColumnConstraint: 394, ParLiteral: 395, ColumnConstraint_option0: 396, ColumnConstraint_option1: 397, DROP: 398, DropTable_group0: 399, IfExists: 400, TablesList: 401, ALTER: 402, RENAME: 403, ADD: 404, MODIFY: 405, ATTACH: 406, DATABASE: 407, DETACH: 408, AsClause: 409, USE: 410, SHOW: 411, VIEW: 412, CreateView_option0: 413, CreateView_option1: 414, SubqueryRestriction: 415, READ: 416, ONLY: 417, OPTION: 418, SOURCE: 419, ASSERT: 420, JsonObject: 421, ATLBRA: 422, JsonArray: 423, JsonValue: 424, JsonPrimitiveValue: 425, LCUR: 426, JsonPropertiesList: 427, RCUR: 428, JsonElementsList: 429, JsonProperty: 430, OnOff: 431, SetPropsList: 432, AtDollar: 433, SetProp: 434, OFF: 435, COMMIT: 436, TRANSACTION: 437, ROLLBACK: 438, BEGIN: 439, ElseStatement: 440, WHILE: 441, CONTINUE: 442, BREAK: 443, PRINT: 444, REQUIRE: 445, StringValuesList: 446, PluginsList: 447, Plugin: 448, ECHO: 449, DECLARE: 450, DeclaresList: 451, DeclareItem: 452, TRUNCATE: 453, MERGE: 454, MergeInto: 455, MergeUsing: 456, MergeOn: 457, MergeMatchedList: 458, OutputClause: 459, MergeMatched: 460, MergeNotMatched: 461, MATCHED: 462, MergeMatchedAction: 463, MergeNotMatchedAction: 464, TARGET: 465, OUTPUT: 466, CreateVertex_option0: 467, CreateVertex_option1: 468, CreateVertex_option2: 469, CreateVertexSet: 470, SharpValue: 471, CONTENT: 472, CreateEdge_option0: 473, GRAPH: 474, GraphList: 475, GraphVertexEdge: 476, GraphElement: 477, GraphVertexEdge_option0: 478, GraphVertexEdge_option1: 479, GraphElementVar: 480, GraphVertexEdge_option2: 481, GraphVertexEdge_option3: 482, GraphVertexEdge_option4: 483, GraphVar: 484, GraphAsClause: 485, GraphAtClause: 486, GraphElement2: 487, GraphElement2_option0: 488, GraphElement2_option1: 489, GraphElement2_option2: 490, GraphElement2_option3: 491, GraphElement_option0: 492, GraphElement_option1: 493, GraphElement_option2: 494, SharpLiteral: 495, GraphElement_option3: 496, GraphElement_option4: 497, GraphElement_option5: 498, ColonLiteral: 499, DeleteVertex: 500, DeleteVertex_option0: 501, DeleteEdge: 502, DeleteEdge_option0: 503, DeleteEdge_option1: 504, DeleteEdge_option2: 505, Term: 506, COLONDASH: 507, TermsList: 508, QUESTIONDASH: 509, CALL: 510, TRIGGER: 511, BeforeAfter: 512, InsertDeleteUpdate: 513, CreateTrigger_option0: 514, CreateTrigger_option1: 515, BEFORE: 516, AFTER: 517, INSTEAD: 518, REINDEX: 519, A: 520, ABSENT: 521, ABSOLUTE: 522, ACCORDING: 523, ADA: 524, ADMIN: 525, ALWAYS: 526, ASC: 527, ASSERTION: 528, ASSIGNMENT: 529, ATTRIBUTE: 530, ATTRIBUTES: 531, BASE64: 532, BERNOULLI: 533, BLOCKED: 534, BOM: 535, BREADTH: 536, C: 537, CASCADE: 538, CATALOG: 539, CATALOG_NAME: 540, CHAIN: 541, CHARACTERISTICS: 542, CHARACTERS: 543, CHARACTER_SET_CATALOG: 544, CHARACTER_SET_NAME: 545, CHARACTER_SET_SCHEMA: 546, CLASS_ORIGIN: 547, COBOL: 548, COLLATION: 549, COLLATION_CATALOG: 550, COLLATION_NAME: 551, COLLATION_SCHEMA: 552, COLUMNS: 553, COLUMN_NAME: 554, COMMAND_FUNCTION: 555, COMMAND_FUNCTION_CODE: 556, COMMITTED: 557, CONDITION_NUMBER: 558, CONNECTION: 559, CONNECTION_NAME: 560, CONSTRAINTS: 561, CONSTRAINT_CATALOG: 562, CONSTRAINT_NAME: 563, CONSTRAINT_SCHEMA: 564, CONSTRUCTOR: 565, CONTROL: 566, CURSOR_NAME: 567, DATA: 568, DATETIME_INTERVAL_CODE: 569, DATETIME_INTERVAL_PRECISION: 570, DB: 571, DEFAULTS: 572, DEFERRABLE: 573, DEFERRED: 574, DEFINED: 575, DEFINER: 576, DEGREE: 577, DEPTH: 578, DERIVED: 579, DESC: 580, DESCRIPTOR: 581, DIAGNOSTICS: 582, DISPATCH: 583, DOCUMENT: 584, DOMAIN: 585, DYNAMIC_FUNCTION: 586, DYNAMIC_FUNCTION_CODE: 587, EMPTY: 588, ENCODING: 589, ENFORCED: 590, EXCLUDE: 591, EXCLUDING: 592, EXPRESSION: 593, FILE: 594, FINAL: 595, FLAG: 596, FOLLOWING: 597, FORTRAN: 598, FOUND: 599, FS: 600, G: 601, GENERAL: 602, GENERATED: 603, GO: 604, GOTO: 605, GRANTED: 606, HEX: 607, HIERARCHY: 608, ID: 609, IGNORE: 610, IMMEDIATE: 611, IMMEDIATELY: 612, IMPLEMENTATION: 613, INCLUDING: 614, INCREMENT: 615, INDENT: 616, INITIALLY: 617, INPUT: 618, INSTANCE: 619, INSTANTIABLE: 620, INTEGRITY: 621, INVOKER: 622, ISOLATION: 623, K: 624, KEY_MEMBER: 625, KEY_TYPE: 626, LENGTH: 627, LEVEL: 628, LIBRARY: 629, LINK: 630, LOCATION: 631, LOCATOR: 632, M: 633, MAP: 634, MAPPING: 635, MAXVALUE: 636, MESSAGE_LENGTH: 637, MESSAGE_OCTET_LENGTH: 638, MESSAGE_TEXT: 639, MINVALUE: 640, MORE: 641, MUMPS: 642, NAME: 643, NAMES: 644, NAMESPACE: 645, NESTING: 646, NEXT: 647, NFC: 648, NFD: 649, NFKC: 650, NFKD: 651, NIL: 652, NORMALIZED: 653, NULLABLE: 654, OBJECT: 655, OCTETS: 656, OPTIONS: 657, ORDERING: 658, ORDINALITY: 659, OTHERS: 660, OVERRIDING: 661, P: 662, PAD: 663, PARAMETER_MODE: 664, PARAMETER_NAME: 665, PARAMETER_ORDINAL_POSITION: 666, PARAMETER_SPECIFIC_CATALOG: 667, PARAMETER_SPECIFIC_NAME: 668, PARAMETER_SPECIFIC_SCHEMA: 669, PARTIAL: 670, PASCAL: 671, PASSING: 672, PASSTHROUGH: 673, PERMISSION: 674, PLACING: 675, PLI: 676, PRECEDING: 677, PRESERVE: 678, PRIOR: 679, PRIVILEGES: 680, PUBLIC: 681, RECOVERY: 682, RELATIVE: 683, REPEATABLE: 684, REQUIRING: 685, RESPECT: 686, RESTART: 687, RESTORE: 688, RESTRICT: 689, RETURNED_CARDINALITY: 690, RETURNED_LENGTH: 691, RETURNED_OCTET_LENGTH: 692, RETURNED_SQLSTATE: 693, RETURNING: 694, ROLE: 695, ROUTINE: 696, ROUTINE_CATALOG: 697, ROUTINE_NAME: 698, ROUTINE_SCHEMA: 699, ROW_COUNT: 700, SCALE: 701, SCHEMA: 702, SCHEMA_NAME: 703, SCOPE_CATALOG: 704, SCOPE_NAME: 705, SCOPE_SCHEMA: 706, SECTION: 707, SECURITY: 708, SELECTIVE: 709, SELF: 710, SEQUENCE: 711, SERIALIZABLE: 712, SERVER: 713, SERVER_NAME: 714, SESSION: 715, SETS: 716, SIMPLE: 717, SIZE: 718, SPACE: 719, SPECIFIC_NAME: 720, STANDALONE: 721, STATE: 722, STATEMENT: 723, STRIP: 724, STRUCTURE: 725, STYLE: 726, SUBCLASS_ORIGIN: 727, T: 728, TABLE_NAME: 729, TEMPORARY: 730, TIES: 731, TOKEN: 732, TOP_LEVEL_COUNT: 733, TRANSACTIONS_COMMITTED: 734, TRANSACTIONS_ROLLED_BACK: 735, TRANSACTION_ACTIVE: 736, TRANSFORM: 737, TRANSFORMS: 738, TRIGGER_CATALOG: 739, TRIGGER_NAME: 740, TRIGGER_SCHEMA: 741, TYPE: 742, UNBOUNDED: 743, UNCOMMITTED: 744, UNDER: 745, UNLINK: 746, UNNAMED: 747, UNTYPED: 748, URI: 749, USAGE: 750, USER_DEFINED_TYPE_CATALOG: 751, USER_DEFINED_TYPE_CODE: 752, USER_DEFINED_TYPE_NAME: 753, USER_DEFINED_TYPE_SCHEMA: 754, VALID: 755, VERSION: 756, WHITESPACE: 757, WORK: 758, WRAPPER: 759, WRITE: 760, XMLDECLARATION: 761, XMLSCHEMA: 762, YES: 763, ZONE: 764, SEMICOLON: 765, PERCENT: 766, ROWS: 767, FuncValue_option0_group0: 768, $accept: 0, $end: 1 }, terminals_: { 2: "error", 4: "LITERAL", 5: "BRALITERAL", 10: "EOF", 14: "EXPLAIN", 15: "QUERY", 16: "PLAN", 53: "EndTransaction", 72: "WITH", 74: "COMMA", 76: "AS", 77: "LPAR", 78: "RPAR", 89: "SEARCH", 93: "PIVOT", 95: "FOR", 98: "UNPIVOT", 99: "IN", 107: "REMOVE", 112: "LIKE", 115: "ARROW", 116: "DOT", 118: "ORDER", 119: "BY", 122: "DOTDOT", 123: "CARET", 124: "EQ", 128: "WHERE", 129: "OF", 130: "CLASS", 131: "NUMBER", 132: "STRING", 133: "SLASH", 134: "VERTEX", 135: "EDGE", 136: "EXCLAMATION", 137: "SHARP", 138: "MODULO", 139: "GT", 140: "LT", 141: "GTGT", 142: "LTLT", 143: "DOLLAR", 145: "AT", 146: "SET", 148: "TO", 149: "VALUE", 150: "ROW", 152: "COLON", 154: "NOT", 156: "IF", 162: "UNION", 164: "ALL", 166: "ANY", 168: "INTERSECT", 169: "EXCEPT", 170: "AND", 171: "OR", 172: "PATH", 173: "RETURN", 175: "REPEAT", 179: "PLUS", 180: "STAR", 181: "QUESTION", 183: "FROM", 185: "DISTINCT", 187: "UNIQUE", 189: "SELECT", 190: "COLUMN", 191: "MATRIX", 192: "TEXTSTRING", 193: "INDEX", 194: "RECORDSET", 195: "TOP", 198: "INTO", 206: "CROSS", 207: "APPLY", 208: "OUTER", 212: "INDEXED", 213: "INSERTED", 222: "NATURAL", 223: "JOIN", 224: "INNER", 225: "LEFT", 226: "RIGHT", 227: "FULL", 228: "SEMI", 229: "ANTI", 230: "ON", 231: "USING", 232: "GROUP", 236: "GROUPING", 237: "ROLLUP", 238: "CUBE", 239: "HAVING", 240: "CORRESPONDING", 243: "NULLS", 244: "FIRST", 245: "LAST", 246: "DIRECTION", 247: "COLLATE", 248: "NOCASE", 249: "LIMIT", 251: "OFFSET", 253: "FETCH", 269: "CURRENT_TIMESTAMP", 270: "JAVASCRIPT", 271: "CREATE", 272: "FUNCTION", 273: "AGGREGATE", 274: "NEW", 275: "CAST", 277: "CONVERT", 280: "OVER", 283: "PARTITION", 284: "SUM", 285: "COUNT", 286: "MIN", 287: "MAX", 288: "AVG", 289: "AGGR", 290: "ARRAY", 292: "REPLACE", 293: "DATEADD", 294: "DATEDIFF", 295: "INTERVAL", 296: "TRUE", 297: "FALSE", 298: "NSTRING", 299: "NULL", 300: "EXISTS", 301: "ARRAYLBRA", 302: "RBRA", 304: "BRAQUESTION", 305: "CASE", 308: "END", 310: "WHEN", 311: "THEN", 312: "ELSE", 313: "REGEXP", 314: "TILDA", 315: "GLOB", 316: "ESCAPE", 317: "NOT_LIKE", 318: "BARBAR", 319: "MINUS", 320: "AMPERSAND", 321: "BAR", 322: "GE", 323: "LE", 324: "EQEQ", 325: "EQEQEQ", 326: "NE", 327: "NEEQEQ", 328: "NEEQEQEQ", 332: "BETWEEN", 333: "NOT_BETWEEN", 334: "IS", 335: "DOUBLECOLON", 336: "SOME", 337: "UPDATE", 340: "DELETE", 341: "INSERT", 345: "DEFAULT", 346: "VALUES", 349: "DateValue", 355: "TABLE", 358: "IDENTITY", 359: "TEMP", 369: "CONSTRAINT", 370: "CHECK", 371: "PRIMARY", 372: "KEY", 375: "FOREIGN", 376: "REFERENCES", 382: "NO", 383: "ACTION", 388: "ColumnConstraints", 391: "ENUM", 392: "MAXNUM", 398: "DROP", 402: "ALTER", 403: "RENAME", 404: "ADD", 405: "MODIFY", 406: "ATTACH", 407: "DATABASE", 408: "DETACH", 410: "USE", 411: "SHOW", 412: "VIEW", 416: "READ", 417: "ONLY", 418: "OPTION", 419: "SOURCE", 420: "ASSERT", 422: "ATLBRA", 426: "LCUR", 428: "RCUR", 435: "OFF", 436: "COMMIT", 437: "TRANSACTION", 438: "ROLLBACK", 439: "BEGIN", 441: "WHILE", 442: "CONTINUE", 443: "BREAK", 444: "PRINT", 445: "REQUIRE", 449: "ECHO", 450: "DECLARE", 453: "TRUNCATE", 454: "MERGE", 462: "MATCHED", 465: "TARGET", 466: "OUTPUT", 472: "CONTENT", 474: "GRAPH", 507: "COLONDASH", 509: "QUESTIONDASH", 510: "CALL", 511: "TRIGGER", 516: "BEFORE", 517: "AFTER", 518: "INSTEAD", 519: "REINDEX", 520: "A", 521: "ABSENT", 522: "ABSOLUTE", 523: "ACCORDING", 524: "ADA", 525: "ADMIN", 526: "ALWAYS", 527: "ASC", 528: "ASSERTION", 529: "ASSIGNMENT", 530: "ATTRIBUTE", 531: "ATTRIBUTES", 532: "BASE64", 533: "BERNOULLI", 534: "BLOCKED", 535: "BOM", 536: "BREADTH", 537: "C", 538: "CASCADE", 539: "CATALOG", 540: "CATALOG_NAME", 541: "CHAIN", 542: "CHARACTERISTICS", 543: "CHARACTERS", 544: "CHARACTER_SET_CATALOG", 545: "CHARACTER_SET_NAME", 546: "CHARACTER_SET_SCHEMA", 547: "CLASS_ORIGIN", 548: "COBOL", 549: "COLLATION", 550: "COLLATION_CATALOG", 551: "COLLATION_NAME", 552: "COLLATION_SCHEMA", 553: "COLUMNS", 554: "COLUMN_NAME", 555: "COMMAND_FUNCTION", 556: "COMMAND_FUNCTION_CODE", 557: "COMMITTED", 558: "CONDITION_NUMBER", 559: "CONNECTION", 560: "CONNECTION_NAME", 561: "CONSTRAINTS", 562: "CONSTRAINT_CATALOG", 563: "CONSTRAINT_NAME", 564: "CONSTRAINT_SCHEMA", 565: "CONSTRUCTOR", 566: "CONTROL", 567: "CURSOR_NAME", 568: "DATA", 569: "DATETIME_INTERVAL_CODE", 570: "DATETIME_INTERVAL_PRECISION", 571: "DB", 572: "DEFAULTS", 573: "DEFERRABLE", 574: "DEFERRED", 575: "DEFINED", 576: "DEFINER", 577: "DEGREE", 578: "DEPTH", 579: "DERIVED", 580: "DESC", 581: "DESCRIPTOR", 582: "DIAGNOSTICS", 583: "DISPATCH", 584: "DOCUMENT", 585: "DOMAIN", 586: "DYNAMIC_FUNCTION", 587: "DYNAMIC_FUNCTION_CODE", 588: "EMPTY", 589: "ENCODING", 590: "ENFORCED", 591: "EXCLUDE", 592: "EXCLUDING", 593: "EXPRESSION", 594: "FILE", 595: "FINAL", 596: "FLAG", 597: "FOLLOWING", 598: "FORTRAN", 599: "FOUND", 600: "FS", 601: "G", 602: "GENERAL", 603: "GENERATED", 604: "GO", 605: "GOTO", 606: "GRANTED", 607: "HEX", 608: "HIERARCHY", 609: "ID", 610: "IGNORE", 611: "IMMEDIATE", 612: "IMMEDIATELY", 613: "IMPLEMENTATION", 614: "INCLUDING", 615: "INCREMENT", 616: "INDENT", 617: "INITIALLY", 618: "INPUT", 619: "INSTANCE", 620: "INSTANTIABLE", 621: "INTEGRITY", 622: "INVOKER", 623: "ISOLATION", 624: "K", 625: "KEY_MEMBER", 626: "KEY_TYPE", 627: "LENGTH", 628: "LEVEL", 629: "LIBRARY", 630: "LINK", 631: "LOCATION", 632: "LOCATOR", 633: "M", 634: "MAP", 635: "MAPPING", 636: "MAXVALUE", 637: "MESSAGE_LENGTH", 638: "MESSAGE_OCTET_LENGTH", 639: "MESSAGE_TEXT", 640: "MINVALUE", 641: "MORE", 642: "MUMPS", 643: "NAME", 644: "NAMES", 645: "NAMESPACE", 646: "NESTING", 647: "NEXT", 648: "NFC", 649: "NFD", 650: "NFKC", 651: "NFKD", 652: "NIL", 653: "NORMALIZED", 654: "NULLABLE", 655: "OBJECT", 656: "OCTETS", 657: "OPTIONS", 658: "ORDERING", 659: "ORDINALITY", 660: "OTHERS", 661: "OVERRIDING", 662: "P", 663: "PAD", 664: "PARAMETER_MODE", 665: "PARAMETER_NAME", 666: "PARAMETER_ORDINAL_POSITION", 667: "PARAMETER_SPECIFIC_CATALOG", 668: "PARAMETER_SPECIFIC_NAME", 669: "PARAMETER_SPECIFIC_SCHEMA", 670: "PARTIAL", 671: "PASCAL", 672: "PASSING", 673: "PASSTHROUGH", 674: "PERMISSION", 675: "PLACING", 676: "PLI", 677: "PRECEDING", 678: "PRESERVE", 679: "PRIOR", 680: "PRIVILEGES", 681: "PUBLIC", 682: "RECOVERY", 683: "RELATIVE", 684: "REPEATABLE", 685: "REQUIRING", 686: "RESPECT", 687: "RESTART", 688: "RESTORE", 689: "RESTRICT", 690: "RETURNED_CARDINALITY", 691: "RETURNED_LENGTH", 692: "RETURNED_OCTET_LENGTH", 693: "RETURNED_SQLSTATE", 694: "RETURNING", 695: "ROLE", 696: "ROUTINE", 697: "ROUTINE_CATALOG", 698: "ROUTINE_NAME", 699: "ROUTINE_SCHEMA", 700: "ROW_COUNT", 701: "SCALE", 702: "SCHEMA", 703: "SCHEMA_NAME", 704: "SCOPE_CATALOG", 705: "SCOPE_NAME", 706: "SCOPE_SCHEMA", 707: "SECTION", 708: "SECURITY", 709: "SELECTIVE", 710: "SELF", 711: "SEQUENCE", 712: "SERIALIZABLE", 713: "SERVER", 714: "SERVER_NAME", 715: "SESSION", 716: "SETS", 717: "SIMPLE", 718: "SIZE", 719: "SPACE", 720: "SPECIFIC_NAME", 721: "STANDALONE", 722: "STATE", 723: "STATEMENT", 724: "STRIP", 725: "STRUCTURE", 726: "STYLE", 727: "SUBCLASS_ORIGIN", 728: "T", 729: "TABLE_NAME", 730: "TEMPORARY", 731: "TIES", 732: "TOKEN", 733: "TOP_LEVEL_COUNT", 734: "TRANSACTIONS_COMMITTED", 735: "TRANSACTIONS_ROLLED_BACK", 736: "TRANSACTION_ACTIVE", 737: "TRANSFORM", 738: "TRANSFORMS", 739: "TRIGGER_CATALOG", 740: "TRIGGER_NAME", 741: "TRIGGER_SCHEMA", 742: "TYPE", 743: "UNBOUNDED", 744: "UNCOMMITTED", 745: "UNDER", 746: "UNLINK", 747: "UNNAMED", 748: "UNTYPED", 749: "URI", 750: "USAGE", 751: "USER_DEFINED_TYPE_CATALOG", 752: "USER_DEFINED_TYPE_CODE", 753: "USER_DEFINED_TYPE_NAME", 754: "USER_DEFINED_TYPE_SCHEMA", 755: "VALID", 756: "VERSION", 757: "WHITESPACE", 758: "WORK", 759: "WRAPPER", 760: "WRITE", 761: "XMLDECLARATION", 762: "XMLSCHEMA", 763: "YES", 764: "ZONE", 765: "SEMICOLON", 766: "PERCENT", 767: "ROWS" }, productions_: [0, [3, 1], [3, 1], [3, 2], [7, 1], [7, 2], [8, 2], [9, 3], [9, 1], [9, 1], [13, 2], [13, 4], [12, 1], [17, 0], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [17, 1], [47, 3], [73, 3], [73, 1], [75, 5], [40, 10], [40, 4], [92, 8], [92, 11], [102, 4], [104, 2], [104, 1], [103, 3], [103, 1], [105, 1], [105, 3], [106, 3], [109, 3], [109, 1], [110, 1], [110, 2], [114, 1], [114, 1], [117, 1], [117, 5], [117, 5], [117, 1], [117, 2], [117, 1], [117, 2], [117, 2], [117, 3], [117, 4], [117, 4], [117, 4], [117, 4], [117, 4], [117, 1], [117, 1], [117, 1], [117, 1], [117, 1], [117, 1], [117, 2], [117, 2], [117, 2], [117, 1], [117, 1], [117, 1], [117, 1], [117, 1], [117, 1], [117, 2], [117, 3], [117, 4], [117, 3], [117, 1], [117, 4], [117, 2], [117, 2], [117, 4], [117, 4], [117, 4], [117, 4], [117, 4], [117, 5], [117, 4], [117, 4], [117, 4], [117, 4], [117, 4], [117, 4], [117, 4], [117, 4], [117, 6], [163, 3], [163, 1], [153, 1], [153, 1], [153, 1], [182, 2], [79, 4], [79, 4], [79, 4], [79, 3], [184, 1], [184, 2], [184, 2], [184, 2], [184, 2], [184, 2], [184, 2], [184, 2], [186, 3], [186, 4], [186, 0], [81, 0], [81, 2], [81, 2], [81, 2], [81, 2], [81, 2], [82, 2], [82, 3], [82, 5], [82, 0], [205, 6], [205, 7], [205, 6], [205, 7], [203, 1], [203, 3], [209, 4], [209, 5], [209, 3], [209, 3], [209, 2], [209, 3], [209, 1], [209, 3], [209, 2], [209, 3], [209, 1], [209, 1], [209, 2], [209, 3], [209, 1], [209, 1], [209, 2], [209, 3], [209, 1], [209, 2], [209, 3], [214, 1], [199, 3], [199, 1], [204, 2], [204, 2], [204, 1], [204, 1], [215, 3], [217, 1], [217, 2], [217, 3], [217, 3], [217, 2], [217, 3], [217, 4], [217, 5], [217, 1], [217, 2], [217, 3], [217, 1], [217, 2], [217, 3], [216, 1], [216, 2], [221, 1], [221, 2], [221, 2], [221, 3], [221, 2], [221, 3], [221, 2], [221, 3], [221, 2], [221, 2], [221, 2], [218, 2], [218, 2], [218, 0], [84, 0], [84, 2], [85, 0], [85, 4], [233, 1], [233, 3], [235, 5], [235, 4], [235, 4], [235, 1], [234, 0], [234, 2], [88, 0], [88, 2], [88, 3], [88, 2], [88, 2], [88, 3], [88, 4], [88, 3], [88, 3], [86, 0], [86, 3], [120, 1], [120, 3], [242, 2], [242, 2], [241, 1], [241, 2], [241, 3], [241, 3], [241, 4], [87, 0], [87, 3], [87, 8], [250, 0], [250, 2], [174, 3], [174, 1], [257, 3], [257, 2], [257, 3], [257, 2], [257, 3], [257, 2], [257, 1], [258, 5], [258, 3], [258, 1], [111, 5], [111, 3], [111, 3], [111, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 1], [94, 3], [94, 3], [94, 3], [94, 1], [94, 1], [56, 1], [70, 5], [71, 5], [267, 2], [267, 2], [265, 6], [265, 8], [265, 6], [265, 8], [278, 1], [278, 1], [278, 1], [278, 1], [278, 1], [278, 1], [278, 1], [259, 5], [259, 6], [259, 6], [279, 0], [279, 4], [279, 4], [279, 5], [281, 3], [282, 3], [158, 1], [158, 1], [158, 1], [158, 1], [158, 1], [158, 1], [158, 1], [158, 1], [158, 1], [200, 5], [200, 3], [200, 4], [200, 4], [200, 8], [200, 8], [200, 8], [200, 8], [200, 3], [151, 1], [151, 3], [196, 1], [261, 1], [261, 1], [113, 1], [113, 1], [262, 1], [202, 2], [263, 4], [266, 3], [201, 2], [201, 2], [201, 1], [201, 1], [264, 5], [264, 4], [306, 2], [306, 1], [309, 4], [307, 2], [307, 0], [260, 3], [260, 3], [260, 3], [260, 3], [260, 5], [260, 3], [260, 5], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 5], [260, 3], [260, 3], [260, 3], [260, 5], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [260, 6], [260, 6], [260, 3], [260, 3], [260, 2], [260, 2], [260, 2], [260, 2], [260, 2], [260, 3], [260, 5], [260, 6], [260, 5], [260, 6], [260, 4], [260, 5], [260, 3], [260, 4], [260, 3], [260, 4], [260, 3], [260, 3], [260, 3], [260, 3], [260, 3], [331, 1], [331, 1], [331, 4], [329, 1], [329, 1], [329, 1], [329, 1], [329, 1], [329, 1], [330, 1], [330, 1], [330, 1], [55, 6], [55, 4], [147, 1], [147, 3], [338, 3], [338, 4], [29, 5], [29, 3], [36, 5], [36, 4], [36, 7], [36, 6], [36, 5], [36, 4], [36, 5], [36, 8], [36, 7], [36, 4], [36, 6], [36, 7], [343, 1], [343, 1], [342, 0], [342, 1], [344, 3], [344, 1], [344, 1], [344, 5], [344, 3], [344, 3], [347, 1], [347, 3], [348, 1], [348, 1], [348, 1], [348, 1], [348, 1], [348, 1], [100, 1], [100, 3], [24, 9], [24, 5], [351, 1], [351, 1], [354, 0], [354, 1], [356, 2], [356, 1], [357, 1], [357, 3], [357, 3], [357, 3], [350, 0], [350, 1], [352, 0], [352, 3], [353, 3], [353, 1], [353, 2], [361, 1], [361, 3], [362, 2], [362, 2], [362, 2], [362, 2], [362, 2], [363, 0], [363, 2], [368, 4], [364, 6], [365, 9], [379, 3], [378, 0], [378, 2], [380, 4], [381, 4], [366, 6], [367, 5], [367, 5], [374, 1], [374, 1], [374, 3], [374, 3], [360, 1], [360, 3], [386, 3], [386, 2], [386, 1], [389, 6], [389, 4], [389, 1], [389, 4], [276, 2], [276, 1], [390, 1], [390, 1], [387, 0], [387, 1], [393, 2], [393, 1], [395, 3], [394, 2], [394, 5], [394, 3], [394, 6], [394, 1], [394, 2], [394, 4], [394, 2], [394, 1], [394, 2], [394, 1], [394, 1], [394, 3], [394, 5], [33, 4], [401, 3], [401, 1], [400, 0], [400, 2], [18, 6], [18, 6], [18, 6], [18, 8], [18, 6], [39, 5], [19, 4], [19, 7], [19, 6], [19, 9], [30, 3], [21, 4], [21, 6], [21, 9], [21, 6], [409, 0], [409, 2], [54, 3], [54, 2], [31, 4], [31, 5], [31, 5], [22, 8], [22, 9], [32, 3], [43, 2], [43, 4], [43, 3], [43, 5], [45, 2], [45, 4], [45, 4], [45, 6], [42, 4], [42, 6], [44, 4], [44, 6], [41, 4], [41, 6], [25, 11], [25, 8], [415, 3], [415, 3], [415, 5], [34, 4], [66, 2], [57, 2], [58, 2], [58, 2], [58, 4], [144, 4], [144, 2], [144, 2], [144, 2], [144, 2], [144, 1], [144, 2], [144, 2], [424, 1], [424, 1], [425, 1], [425, 1], [425, 1], [425, 1], [425, 1], [425, 1], [425, 1], [425, 3], [421, 3], [421, 4], [421, 2], [423, 2], [423, 3], [423, 1], [427, 3], [427, 1], [430, 3], [430, 3], [430, 3], [429, 3], [429, 1], [65, 4], [65, 3], [65, 4], [65, 5], [65, 5], [65, 6], [433, 1], [433, 1], [432, 3], [432, 2], [434, 1], [434, 1], [434, 3], [431, 1], [431, 1], [51, 2], [52, 2], [50, 2], [35, 4], [35, 3], [440, 2], [59, 3], [60, 1], [61, 1], [62, 3], [63, 2], [63, 2], [64, 2], [64, 2], [448, 1], [448, 1], [69, 2], [446, 3], [446, 1], [447, 3], [447, 1], [28, 2], [451, 1], [451, 3], [452, 3], [452, 4], [452, 5], [452, 6], [46, 3], [37, 6], [455, 1], [455, 2], [456, 2], [457, 2], [458, 2], [458, 2], [458, 1], [458, 1], [460, 4], [460, 6], [463, 1], [463, 3], [461, 5], [461, 7], [461, 7], [461, 9], [461, 7], [461, 9], [464, 3], [464, 6], [464, 3], [464, 6], [459, 0], [459, 2], [459, 5], [459, 4], [459, 7], [27, 6], [471, 2], [470, 0], [470, 2], [470, 2], [470, 1], [26, 8], [23, 3], [23, 4], [475, 3], [475, 1], [476, 3], [476, 7], [476, 6], [476, 3], [476, 4], [480, 1], [480, 1], [484, 2], [485, 3], [486, 2], [487, 4], [477, 4], [477, 3], [477, 2], [477, 1], [499, 2], [495, 2], [495, 2], [500, 4], [502, 6], [67, 3], [67, 2], [508, 3], [508, 1], [506, 1], [506, 4], [68, 2], [20, 2], [48, 9], [48, 8], [48, 9], [512, 0], [512, 1], [512, 1], [512, 1], [512, 2], [513, 1], [513, 1], [513, 1], [49, 3], [38, 2], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [6, 1], [11, 1], [11, 1], [80, 0], [80, 1], [83, 0], [83, 1], [90, 0], [90, 2], [91, 0], [91, 1], [96, 0], [96, 1], [97, 0], [97, 1], [101, 0], [101, 1], [108, 0], [108, 1], [121, 0], [121, 1], [125, 1], [125, 2], [126, 1], [126, 2], [127, 0], [127, 1], [155, 0], [155, 2], [157, 0], [157, 2], [159, 0], [159, 2], [160, 1], [160, 1], [161, 0], [161, 2], [165, 0], [165, 2], [167, 0], [167, 2], [176, 0], [176, 2], [177, 0], [177, 2], [178, 0], [178, 2], [188, 0], [188, 1], [197, 0], [197, 1], [210, 0], [210, 1], [211, 0], [211, 1], [219, 0], [219, 1], [220, 0], [220, 1], [252, 0], [252, 1], [254, 0], [254, 1], [255, 0], [255, 1], [256, 0], [256, 1], [268, 1], [268, 1], [768, 1], [768, 1], [291, 0], [291, 1], [303, 1], [303, 1], [339, 1], [339, 1], [373, 0], [373, 1], [377, 0], [377, 1], [384, 0], [384, 1], [385, 0], [385, 1], [396, 0], [396, 1], [397, 0], [397, 1], [399, 1], [399, 1], [413, 0], [413, 1], [414, 0], [414, 1], [467, 0], [467, 1], [468, 0], [468, 1], [469, 0], [469, 1], [473, 0], [473, 1], [478, 0], [478, 1], [479, 0], [479, 1], [481, 0], [481, 1], [482, 0], [482, 1], [483, 0], [483, 1], [488, 0], [488, 1], [489, 0], [489, 1], [490, 0], [490, 1], [491, 0], [491, 1], [492, 0], [492, 1], [493, 0], [493, 1], [494, 0], [494, 1], [496, 0], [496, 1], [497, 0], [497, 1], [498, 0], [498, 1], [501, 0], [501, 2], [503, 0], [503, 2], [504, 0], [504, 2], [505, 0], [505, 2], [514, 0], [514, 1], [515, 0], [515, 1]], performAction: function(e3, t3, n3, r3, s3, a3, i3) {
        var o3 = a3.length - 1;
        switch (s3) {
          case 1:
            bi.options.casesensitive ? this.$ = a3[o3] : this.$ = a3[o3].toLowerCase();
            break;
          case 2:
            this.$ = Ei(a3[o3].substr(1, a3[o3].length - 2));
            break;
          case 3:
            this.$ = a3[o3].toLowerCase();
            break;
          case 4:
            this.$ = a3[o3];
            break;
          case 5:
            this.$ = a3[o3] ? a3[o3 - 1] + " " + a3[o3] : a3[o3 - 1];
            break;
          case 6:
            return new r3.Statements({ statements: a3[o3 - 1] });
          case 7:
            this.$ = a3[o3 - 2], a3[o3] && a3[o3 - 2].push(a3[o3]);
            break;
          case 8:
          case 9:
          case 70:
          case 80:
          case 85:
          case 143:
          case 177:
          case 205:
          case 206:
          case 242:
          case 261:
          case 276:
          case 357:
          case 375:
          case 454:
          case 477:
          case 478:
          case 482:
          case 490:
          case 531:
          case 532:
          case 569:
          case 652:
          case 662:
          case 686:
          case 688:
          case 690:
          case 704:
          case 705:
          case 735:
          case 759:
            this.$ = [a3[o3]];
            break;
          case 10:
          case 11:
            this.$ = a3[o3], a3[o3].explain = true;
            break;
          case 12:
            this.$ = a3[o3], r3.exists && (this.$.exists = r3.exists), delete r3.exists, r3.queries && (this.$.queries = r3.queries), delete r3.queries;
            break;
          case 13:
          case 162:
          case 172:
          case 237:
          case 238:
          case 240:
          case 248:
          case 250:
          case 259:
          case 270:
          case 273:
          case 378:
          case 494:
          case 504:
          case 506:
          case 518:
          case 524:
          case 525:
          case 570:
            this.$ = void 0;
            break;
          case 68:
            this.$ = new r3.WithSelect({ withs: a3[o3 - 1], select: a3[o3] });
            break;
          case 69:
          case 568:
            a3[o3 - 2].push(a3[o3]), this.$ = a3[o3 - 2];
            break;
          case 71:
            this.$ = { name: a3[o3 - 4], select: a3[o3 - 1] };
            break;
          case 72:
            r3.extend(this.$, a3[o3 - 9]), r3.extend(this.$, a3[o3 - 8]), r3.extend(this.$, a3[o3 - 7]), r3.extend(this.$, a3[o3 - 6]), r3.extend(this.$, a3[o3 - 5]), r3.extend(this.$, a3[o3 - 4]), r3.extend(this.$, a3[o3 - 3]), r3.extend(this.$, a3[o3 - 2]), r3.extend(this.$, a3[o3 - 1]), r3.extend(this.$, a3[o3]), this.$ = a3[o3 - 9];
            break;
          case 73:
            this.$ = new r3.Search({ selectors: a3[o3 - 2], from: a3[o3] }), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 74:
            this.$ = { pivot: { expr: a3[o3 - 5], columnid: a3[o3 - 3], inlist: a3[o3 - 2], as: a3[o3] } };
            break;
          case 75:
            this.$ = { unpivot: { tocolumnid: a3[o3 - 8], forcolumnid: a3[o3 - 6], inlist: a3[o3 - 3], as: a3[o3] } };
            break;
          case 76:
          case 523:
          case 552:
          case 588:
          case 622:
          case 639:
          case 640:
          case 643:
          case 665:
            this.$ = a3[o3 - 1];
            break;
          case 77:
          case 78:
          case 86:
          case 147:
          case 185:
          case 247:
          case 283:
          case 291:
          case 292:
          case 293:
          case 294:
          case 295:
          case 296:
          case 297:
          case 298:
          case 299:
          case 300:
          case 301:
          case 302:
          case 303:
          case 304:
          case 307:
          case 308:
          case 323:
          case 324:
          case 325:
          case 326:
          case 327:
          case 328:
          case 377:
          case 443:
          case 444:
          case 445:
          case 446:
          case 447:
          case 448:
          case 519:
          case 545:
          case 549:
          case 551:
          case 626:
          case 627:
          case 628:
          case 629:
          case 630:
          case 631:
          case 635:
          case 637:
          case 638:
          case 647:
          case 663:
          case 664:
          case 726:
          case 741:
          case 742:
          case 744:
          case 745:
          case 751:
          case 752:
            this.$ = a3[o3];
            break;
          case 79:
          case 84:
          case 734:
          case 758:
            this.$ = a3[o3 - 2], this.$.push(a3[o3]);
            break;
          case 81:
            this.$ = { expr: a3[o3] };
            break;
          case 82:
            this.$ = { expr: a3[o3 - 2], as: a3[o3] };
            break;
          case 83:
            this.$ = { removecolumns: a3[o3] };
            break;
          case 87:
            this.$ = { like: a3[o3] };
            break;
          case 90:
          case 104:
            this.$ = { srchid: "PROP", args: [a3[o3]] };
            break;
          case 91:
            this.$ = { srchid: "ORDERBY", args: a3[o3 - 1] };
            break;
          case 92:
            var u3 = (u3 = a3[o3 - 1]) || "ASC";
            this.$ = { srchid: "ORDERBY", args: [{ expression: new r3.Column({ columnid: "_" }), direction: u3 }] };
            break;
          case 93:
            this.$ = { srchid: "PARENT" };
            break;
          case 94:
            this.$ = { srchid: "APROP", args: [a3[o3]] };
            break;
          case 95:
            this.$ = { selid: "ROOT" };
            break;
          case 96:
            this.$ = { srchid: "EQ", args: [a3[o3]] };
            break;
          case 97:
            this.$ = { srchid: "LIKE", args: [a3[o3]] };
            break;
          case 98:
          case 99:
            this.$ = { selid: "WITH", args: a3[o3 - 1] };
            break;
          case 100:
            this.$ = { srchid: a3[o3 - 3].toUpperCase(), args: a3[o3 - 1] };
            break;
          case 101:
            this.$ = { srchid: "WHERE", args: [a3[o3 - 1]] };
            break;
          case 102:
            this.$ = { selid: "OF", args: [a3[o3 - 1]] };
            break;
          case 103:
            this.$ = { srchid: "CLASS", args: [a3[o3 - 1]] };
            break;
          case 105:
            this.$ = { srchid: "NAME", args: [a3[o3].substr(1, a3[o3].length - 2)] };
            break;
          case 106:
            this.$ = { srchid: "CHILD" };
            break;
          case 107:
            this.$ = { srchid: "VERTEX" };
            break;
          case 108:
            this.$ = { srchid: "EDGE" };
            break;
          case 109:
            this.$ = { srchid: "REF" };
            break;
          case 110:
            this.$ = { srchid: "SHARP", args: [a3[o3]] };
            break;
          case 111:
            this.$ = { srchid: "ATTR", args: void 0 === a3[o3] ? void 0 : [a3[o3]] };
            break;
          case 112:
            this.$ = { srchid: "ATTR" };
            break;
          case 113:
            this.$ = { srchid: "OUT" };
            break;
          case 114:
            this.$ = { srchid: "IN" };
            break;
          case 115:
            this.$ = { srchid: "OUTOUT" };
            break;
          case 116:
            this.$ = { srchid: "ININ" };
            break;
          case 117:
            this.$ = { srchid: "CONTENT" };
            break;
          case 118:
            this.$ = { srchid: "EX", args: [new r3.Json({ value: a3[o3] })] };
            break;
          case 119:
            this.$ = { srchid: "AT", args: [a3[o3]] };
            break;
          case 120:
            this.$ = { srchid: "AS", args: [a3[o3]] };
            break;
          case 121:
            this.$ = { srchid: "SET", args: a3[o3 - 1] };
            break;
          case 122:
            this.$ = { selid: "TO", args: [a3[o3]] };
            break;
          case 123:
            this.$ = { srchid: "VALUE" };
            break;
          case 124:
            this.$ = { srchid: "ROW", args: a3[o3 - 1] };
            break;
          case 125:
            this.$ = { srchid: "CLASS", args: [a3[o3]] };
            break;
          case 126:
            this.$ = { selid: a3[o3], args: [a3[o3 - 1]] };
            break;
          case 127:
            this.$ = { selid: "NOT", args: a3[o3 - 1] };
            break;
          case 128:
            this.$ = { selid: "IF", args: a3[o3 - 1] };
            break;
          case 129:
            this.$ = { selid: a3[o3 - 3], args: a3[o3 - 1] };
            break;
          case 130:
            this.$ = { selid: "DISTINCT", args: a3[o3 - 1] };
            break;
          case 131:
            this.$ = { selid: "UNION", args: a3[o3 - 1] };
            break;
          case 132:
            this.$ = { selid: "UNIONALL", args: a3[o3 - 1] };
            break;
          case 133:
            this.$ = { selid: "ALL", args: [a3[o3 - 1]] };
            break;
          case 134:
            this.$ = { selid: "ANY", args: [a3[o3 - 1]] };
            break;
          case 135:
            this.$ = { selid: "INTERSECT", args: a3[o3 - 1] };
            break;
          case 136:
            this.$ = { selid: "EXCEPT", args: a3[o3 - 1] };
            break;
          case 137:
            this.$ = { selid: "AND", args: a3[o3 - 1] };
            break;
          case 138:
            this.$ = { selid: "OR", args: a3[o3 - 1] };
            break;
          case 139:
            this.$ = { selid: "PATH", args: [a3[o3 - 1]] };
            break;
          case 140:
            this.$ = { srchid: "RETURN", args: a3[o3 - 1] };
            break;
          case 141:
            this.$ = { selid: "REPEAT", sels: a3[o3 - 3], args: a3[o3 - 1] };
            break;
          case 142:
            this.$ = a3[o3 - 2], this.$.push(a3[o3]);
            break;
          case 144:
            this.$ = "PLUS";
            break;
          case 145:
            this.$ = "STAR";
            break;
          case 146:
            this.$ = "QUESTION";
            break;
          case 148:
          case 149:
            this.$ = new r3.Select({ columns: a3[o3], distinct: true }), r3.extend(this.$, a3[o3 - 3]), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 150:
            this.$ = new r3.Select({ columns: a3[o3], all: true }), r3.extend(this.$, a3[o3 - 3]), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 151:
            a3[o3] ? (this.$ = new r3.Select({ columns: a3[o3] }), r3.extend(this.$, a3[o3 - 2]), r3.extend(this.$, a3[o3 - 1])) : this.$ = new r3.Select({ columns: [new r3.Column({ columnid: "_" })], modifier: "COLUMN" });
            break;
          case 152:
            "SELECT" == a3[o3] ? this.$ = void 0 : this.$ = { modifier: a3[o3] };
            break;
          case 153:
            this.$ = { modifier: "VALUE" };
            break;
          case 154:
            this.$ = { modifier: "ROW" };
            break;
          case 155:
            this.$ = { modifier: "COLUMN" };
            break;
          case 156:
            this.$ = { modifier: "MATRIX" };
            break;
          case 157:
            this.$ = { modifier: "TEXTSTRING" };
            break;
          case 158:
            this.$ = { modifier: "INDEX" };
            break;
          case 159:
            this.$ = { modifier: "RECORDSET" };
            break;
          case 160:
            this.$ = { top: a3[o3 - 1], percent: void 0 !== a3[o3] || void 0 };
            break;
          case 161:
            this.$ = { top: a3[o3 - 1] };
            break;
          case 163:
          case 333:
          case 526:
          case 527:
          case 727:
            this.$ = void 0;
            break;
          case 164:
          case 165:
          case 166:
          case 167:
            this.$ = { into: a3[o3] };
            break;
          case 168:
            var c3 = (h4 = (h4 = a3[o3]).substr(1, h4.length - 2)).substr(-3).toUpperCase(), l3 = h4.substr(-4).toUpperCase();
            "#" == h4[0] ? this.$ = { into: new r3.FuncValue({ funcid: "HTML", args: [new r3.StringValue({ value: h4 }), new r3.Json({ value: { headers: true } })] }) } : "XLS" == c3 || "CSV" == c3 || "TAB" == c3 ? this.$ = { into: new r3.FuncValue({ funcid: c3, args: [new r3.StringValue({ value: h4 }), new r3.Json({ value: { headers: true } })] }) } : "XLSX" != l3 && "JSON" != l3 || (this.$ = { into: new r3.FuncValue({ funcid: l3, args: [new r3.StringValue({ value: h4 }), new r3.Json({ value: { headers: true } })] }) });
            break;
          case 169:
            this.$ = { from: a3[o3] };
            break;
          case 170:
            this.$ = { from: a3[o3 - 1], joins: a3[o3] };
            break;
          case 171:
            this.$ = { from: a3[o3 - 2], joins: a3[o3 - 1] };
            break;
          case 173:
            this.$ = new r3.Apply({ select: a3[o3 - 2], applymode: "CROSS", as: a3[o3] });
            break;
          case 174:
            this.$ = new r3.Apply({ select: a3[o3 - 3], applymode: "CROSS", as: a3[o3] });
            break;
          case 175:
            this.$ = new r3.Apply({ select: a3[o3 - 2], applymode: "OUTER", as: a3[o3] });
            break;
          case 176:
            this.$ = new r3.Apply({ select: a3[o3 - 3], applymode: "OUTER", as: a3[o3] });
            break;
          case 178:
          case 243:
          case 455:
          case 533:
          case 534:
            this.$ = a3[o3 - 2], a3[o3 - 2].push(a3[o3]);
            break;
          case 179:
            this.$ = a3[o3 - 2], this.$.as = a3[o3];
            break;
          case 180:
            this.$ = a3[o3 - 3], this.$.as = a3[o3];
            break;
          case 181:
            this.$ = a3[o3 - 1], this.$.as = "default";
            break;
          case 182:
            this.$ = new r3.Json({ value: a3[o3 - 2] }), a3[o3 - 2].as = a3[o3];
            break;
          case 183:
            this.$ = a3[o3 - 1], a3[o3 - 1].as = a3[o3];
            break;
          case 184:
            this.$ = a3[o3 - 2], a3[o3 - 2].as = a3[o3];
            break;
          case 186:
          case 641:
          case 644:
            this.$ = a3[o3 - 2];
            break;
          case 187:
          case 191:
          case 195:
          case 198:
            this.$ = a3[o3 - 1], a3[o3 - 1].as = a3[o3];
            break;
          case 188:
          case 192:
          case 196:
          case 199:
            this.$ = a3[o3 - 2], a3[o3 - 2].as = a3[o3];
            break;
          case 189:
          case 190:
          case 194:
          case 197:
            this.$ = a3[o3], a3[o3].as = "default";
            break;
          case 193:
            this.$ = { inserted: true };
            break;
          case 200:
            var h4, c3 = (h4 = (h4 = a3[o3]).substr(1, h4.length - 2)).substr(-3).toUpperCase(), l3 = h4.substr(-4).toUpperCase();
            if ("#" == h4[0])
              d3 = new r3.FuncValue({ funcid: "HTML", args: [new r3.StringValue({ value: h4 }), new r3.Json({ value: { headers: true } })] });
            else if ("XLS" == c3 || "CSV" == c3 || "TAB" == c3)
              d3 = new r3.FuncValue({ funcid: c3, args: [new r3.StringValue({ value: h4 }), new r3.Json({ value: { headers: true } })] });
            else {
              if ("XLSX" != l3 && "JSON" != l3)
                throw new Error("Unknown string in FROM clause");
              d3 = new r3.FuncValue({ funcid: l3, args: [new r3.StringValue({ value: h4 }), new r3.Json({ value: { headers: true } })] });
            }
            this.$ = d3;
            break;
          case 201:
            "INFORMATION_SCHEMA" == a3[o3 - 2] ? this.$ = new r3.FuncValue({ funcid: a3[o3 - 2], args: [new r3.StringValue({ value: a3[o3] })] }) : this.$ = new r3.Table({ databaseid: a3[o3 - 2], tableid: a3[o3] });
            break;
          case 202:
            this.$ = new r3.Table({ tableid: a3[o3] });
            break;
          case 203:
          case 204:
            this.$ = a3[o3 - 1], a3[o3 - 1].push(a3[o3]);
            break;
          case 207:
            this.$ = new r3.Join(a3[o3 - 2]), r3.extend(this.$, a3[o3 - 1]), r3.extend(this.$, a3[o3]);
            break;
          case 208:
            this.$ = { table: a3[o3] };
            break;
          case 209:
            this.$ = { table: a3[o3 - 1], as: a3[o3] };
            break;
          case 210:
            this.$ = { table: a3[o3 - 2], as: a3[o3] };
            break;
          case 211:
            this.$ = { json: new r3.Json({ value: a3[o3 - 2], as: a3[o3] }) };
            break;
          case 212:
            this.$ = { param: a3[o3 - 1], as: a3[o3] };
            break;
          case 213:
            this.$ = { param: a3[o3 - 2], as: a3[o3] };
            break;
          case 214:
            this.$ = { select: a3[o3 - 2], as: a3[o3] };
            break;
          case 215:
            this.$ = { select: a3[o3 - 3], as: a3[o3] };
            break;
          case 216:
            this.$ = { func: a3[o3], as: "default" };
            break;
          case 217:
            this.$ = { func: a3[o3 - 1], as: a3[o3] };
            break;
          case 218:
            this.$ = { func: a3[o3 - 2], as: a3[o3] };
            break;
          case 219:
            this.$ = { variable: a3[o3], as: "default" };
            break;
          case 220:
            this.$ = { variable: a3[o3 - 1], as: a3[o3] };
            break;
          case 221:
            this.$ = { variable: a3[o3 - 2], as: a3[o3] };
            break;
          case 222:
            this.$ = { joinmode: a3[o3] };
            break;
          case 223:
            this.$ = { joinmode: a3[o3 - 1], natural: true };
            break;
          case 224:
          case 225:
            this.$ = "INNER";
            break;
          case 226:
          case 227:
            this.$ = "LEFT";
            break;
          case 228:
          case 229:
            this.$ = "RIGHT";
            break;
          case 230:
          case 231:
            this.$ = "OUTER";
            break;
          case 232:
            this.$ = "SEMI";
            break;
          case 233:
            this.$ = "ANTI";
            break;
          case 234:
            this.$ = "CROSS";
            break;
          case 235:
            this.$ = { on: a3[o3] };
            break;
          case 236:
          case 700:
            this.$ = { using: a3[o3] };
            break;
          case 239:
            this.$ = { where: new r3.Expression({ expression: a3[o3] }) };
            break;
          case 241:
            this.$ = { group: a3[o3 - 1] }, r3.extend(this.$, a3[o3]);
            break;
          case 244:
            this.$ = new r3.GroupExpression({ type: "GROUPING SETS", group: a3[o3 - 1] });
            break;
          case 245:
            this.$ = new r3.GroupExpression({ type: "ROLLUP", group: a3[o3 - 1] });
            break;
          case 246:
            this.$ = new r3.GroupExpression({ type: "CUBE", group: a3[o3 - 1] });
            break;
          case 249:
            this.$ = { having: a3[o3] };
            break;
          case 251:
            this.$ = { union: a3[o3] };
            break;
          case 252:
            this.$ = { unionall: a3[o3] };
            break;
          case 253:
            this.$ = { except: a3[o3] };
            break;
          case 254:
            this.$ = { intersect: a3[o3] };
            break;
          case 255:
            this.$ = { union: a3[o3], corresponding: true };
            break;
          case 256:
            this.$ = { unionall: a3[o3], corresponding: true };
            break;
          case 257:
            this.$ = { except: a3[o3], corresponding: true };
            break;
          case 258:
            this.$ = { intersect: a3[o3], corresponding: true };
            break;
          case 260:
            this.$ = { order: a3[o3] };
            break;
          case 262:
            this.$ = a3[o3 - 2], a3[o3 - 2].push(a3[o3]);
            break;
          case 263:
            this.$ = { nullsOrder: "FIRST" };
            break;
          case 264:
            this.$ = { nullsOrder: "LAST" };
            break;
          case 265:
            this.$ = new r3.Expression({ expression: a3[o3], direction: "ASC" });
            break;
          case 266:
            this.$ = new r3.Expression({ expression: a3[o3 - 1], direction: a3[o3].toUpperCase() });
            break;
          case 267:
            this.$ = new r3.Expression({ expression: a3[o3 - 2], direction: a3[o3 - 1].toUpperCase() }), r3.extend(this.$, a3[o3]);
            break;
          case 268:
            this.$ = new r3.Expression({ expression: a3[o3 - 2], direction: "ASC", nocase: true });
            break;
          case 269:
            this.$ = new r3.Expression({ expression: a3[o3 - 3], direction: a3[o3].toUpperCase(), nocase: true });
            break;
          case 271:
            this.$ = { limit: a3[o3 - 1] }, r3.extend(this.$, a3[o3]);
            break;
          case 272:
            this.$ = { limit: a3[o3 - 2], offset: a3[o3 - 6] };
            break;
          case 274:
            this.$ = { offset: a3[o3] };
            break;
          case 275:
          case 512:
          case 536:
          case 651:
          case 661:
          case 685:
          case 687:
          case 691:
            a3[o3 - 2].push(a3[o3]), this.$ = a3[o3 - 2];
            break;
          case 277:
          case 279:
          case 281:
            a3[o3 - 2].as = a3[o3], this.$ = a3[o3 - 2];
            break;
          case 278:
          case 280:
          case 282:
            a3[o3 - 1].as = a3[o3], this.$ = a3[o3 - 1];
            break;
          case 284:
            this.$ = new r3.Column({ columid: a3[o3], tableid: a3[o3 - 2], databaseid: a3[o3 - 4] });
            break;
          case 285:
            this.$ = new r3.Column({ columnid: a3[o3], tableid: a3[o3 - 2] });
            break;
          case 286:
            this.$ = new r3.Column({ columnid: a3[o3] });
            break;
          case 287:
            this.$ = new r3.Column({ columnid: a3[o3], tableid: a3[o3 - 2], databaseid: a3[o3 - 4] });
            break;
          case 288:
          case 289:
            this.$ = new r3.Column({ columnid: a3[o3], tableid: a3[o3 - 2] });
            break;
          case 290:
            this.$ = new r3.Column({ columnid: a3[o3] });
            break;
          case 305:
            this.$ = new r3.DomainValueValue();
            break;
          case 306:
            this.$ = new r3.Json({ value: a3[o3] });
            break;
          case 309:
          case 310:
          case 311:
            r3.queries || (r3.queries = []), r3.queries.push(a3[o3 - 1]), a3[o3 - 1].queriesidx = r3.queries.length, this.$ = a3[o3 - 1];
            break;
          case 312:
            this.$ = a3[o3];
            break;
          case 313:
            this.$ = new r3.FuncValue({ funcid: "CURRENT_TIMESTAMP" });
            break;
          case 314:
            this.$ = new r3.JavaScript({ value: a3[o3].substr(2, a3[o3].length - 4) });
            break;
          case 315:
            this.$ = new r3.JavaScript({ value: 'alasql.fn["' + a3[o3 - 2] + '"] = ' + a3[o3].substr(2, a3[o3].length - 4) });
            break;
          case 316:
            this.$ = new r3.JavaScript({ value: 'alasql.aggr["' + a3[o3 - 2] + '"] = ' + a3[o3].substr(2, a3[o3].length - 4) });
            break;
          case 317:
            this.$ = new r3.FuncValue({ funcid: a3[o3], newid: true });
            break;
          case 318:
            this.$ = a3[o3], r3.extend(this.$, { newid: true });
            break;
          case 319:
            this.$ = new r3.Convert({ expression: a3[o3 - 3] }), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 320:
            this.$ = new r3.Convert({ expression: a3[o3 - 5], style: a3[o3 - 1] }), r3.extend(this.$, a3[o3 - 3]);
            break;
          case 321:
            this.$ = new r3.Convert({ expression: a3[o3 - 1] }), r3.extend(this.$, a3[o3 - 3]);
            break;
          case 322:
            this.$ = new r3.Convert({ expression: a3[o3 - 3], style: a3[o3 - 1] }), r3.extend(this.$, a3[o3 - 5]);
            break;
          case 329:
            this.$ = new r3.FuncValue({ funcid: "CURRENT_TIMESTAMP" });
            break;
          case 330:
            1 < a3[o3 - 2].length && ("MAX" == a3[o3 - 4].toUpperCase() || "MIN" == a3[o3 - 4].toUpperCase()) ? this.$ = new r3.FuncValue({ funcid: a3[o3 - 4], args: a3[o3 - 2] }) : this.$ = new r3.AggrValue({ aggregatorid: a3[o3 - 4].toUpperCase(), expression: a3[o3 - 2].pop(), over: a3[o3] });
            break;
          case 331:
            this.$ = new r3.AggrValue({ aggregatorid: a3[o3 - 5].toUpperCase(), expression: a3[o3 - 2], distinct: true, over: a3[o3] });
            break;
          case 332:
            this.$ = new r3.AggrValue({ aggregatorid: a3[o3 - 5].toUpperCase(), expression: a3[o3 - 2], over: a3[o3] });
            break;
          case 334:
          case 335:
            this.$ = new r3.Over(), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 336:
            this.$ = new r3.Over(), r3.extend(this.$, a3[o3 - 2]), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 337:
            this.$ = { partition: a3[o3] };
            break;
          case 338:
            this.$ = { order: a3[o3] };
            break;
          case 339:
            this.$ = "SUM";
            break;
          case 340:
            this.$ = "COUNT";
            break;
          case 341:
            this.$ = "MIN";
            break;
          case 342:
          case 547:
            this.$ = "MAX";
            break;
          case 343:
            this.$ = "AVG";
            break;
          case 344:
            this.$ = "FIRST";
            break;
          case 345:
            this.$ = "LAST";
            break;
          case 346:
            this.$ = "AGGR";
            break;
          case 347:
            this.$ = "ARRAY";
            break;
          case 348:
            var d3 = a3[o3 - 4], f3 = a3[o3 - 1];
            (!(1 < f3.length) || "MIN" != d3.toUpperCase() && "MAX" != d3.toUpperCase()) && bi.aggr[a3[o3 - 4]] ? this.$ = new r3.AggrValue({ aggregatorid: "REDUCE", funcid: d3, expression: f3.pop(), distinct: "DISTINCT" == a3[o3 - 2] }) : this.$ = new r3.FuncValue({ funcid: d3, args: f3 });
            break;
          case 349:
            this.$ = new r3.FuncValue({ funcid: a3[o3 - 2] });
            break;
          case 350:
            this.$ = new r3.FuncValue({ funcid: "IIF", args: a3[o3 - 1] });
            break;
          case 351:
            this.$ = new r3.FuncValue({ funcid: "REPLACE", args: a3[o3 - 1] });
            break;
          case 352:
            this.$ = new r3.FuncValue({ funcid: "DATEADD", args: [new r3.StringValue({ value: a3[o3 - 5] }), a3[o3 - 3], a3[o3 - 1]] });
            break;
          case 353:
            this.$ = new r3.FuncValue({ funcid: "DATEADD", args: [a3[o3 - 5], a3[o3 - 3], a3[o3 - 1]] });
            break;
          case 354:
            this.$ = new r3.FuncValue({ funcid: "DATEDIFF", args: [new r3.StringValue({ value: a3[o3 - 5] }), a3[o3 - 3], a3[o3 - 1]] });
            break;
          case 355:
            this.$ = new r3.FuncValue({ funcid: "DATEDIFF", args: [a3[o3 - 5], a3[o3 - 3], a3[o3 - 1]] });
            break;
          case 356:
            this.$ = new r3.FuncValue({ funcid: "INTERVAL", args: [a3[o3 - 1], new r3.StringValue({ value: a3[o3].toLowerCase() })] });
            break;
          case 358:
            a3[o3 - 2].push(a3[o3]), this.$ = a3[o3 - 2];
            break;
          case 359:
            this.$ = new r3.NumValue({ value: +a3[o3] });
            break;
          case 360:
            this.$ = new r3.LogicValue({ value: true });
            break;
          case 361:
            this.$ = new r3.LogicValue({ value: false });
            break;
          case 362:
            this.$ = new r3.StringValue({ value: a3[o3].substr(1, a3[o3].length - 2).replace(/(\\\')/g, "'").replace(/(\'\')/g, "'") });
            break;
          case 363:
            this.$ = new r3.StringValue({ value: a3[o3].substr(2, a3[o3].length - 3).replace(/(\\\')/g, "'").replace(/(\'\')/g, "'") });
            break;
          case 364:
            this.$ = new r3.NullValue({ value: void 0 });
            break;
          case 365:
            this.$ = new r3.VarValue({ variable: a3[o3] });
            break;
          case 366:
            r3.exists || (r3.exists = []), this.$ = new r3.ExistsValue({ value: a3[o3 - 1], existsidx: r3.exists.length }), r3.exists.push(a3[o3 - 1]);
            break;
          case 367:
            this.$ = new r3.ArrayValue({ value: a3[o3 - 1] });
            break;
          case 368:
          case 369:
            this.$ = new r3.ParamValue({ param: a3[o3] });
            break;
          case 370:
            void 0 === r3.question && (r3.question = 0), this.$ = new r3.ParamValue({ param: r3.question++ });
            break;
          case 371:
            void 0 === r3.question && (r3.question = 0), this.$ = new r3.ParamValue({ param: r3.question++, array: true });
            break;
          case 372:
            this.$ = new r3.CaseValue({ expression: a3[o3 - 3], whens: a3[o3 - 2], elses: a3[o3 - 1] });
            break;
          case 373:
            this.$ = new r3.CaseValue({ whens: a3[o3 - 2], elses: a3[o3 - 1] });
            break;
          case 374:
          case 702:
          case 703:
            this.$ = a3[o3 - 1], this.$.push(a3[o3]);
            break;
          case 376:
            this.$ = { when: a3[o3 - 2], then: a3[o3] };
            break;
          case 379:
          case 380:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "REGEXP", right: a3[o3] });
            break;
          case 381:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "GLOB", right: a3[o3] });
            break;
          case 382:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "LIKE", right: a3[o3] });
            break;
          case 383:
            this.$ = new r3.Op({ left: a3[o3 - 4], op: "LIKE", right: a3[o3 - 2], escape: a3[o3] });
            break;
          case 384:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "NOT LIKE", right: a3[o3] });
            break;
          case 385:
            this.$ = new r3.Op({ left: a3[o3 - 4], op: "NOT LIKE", right: a3[o3 - 2], escape: a3[o3] });
            break;
          case 386:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "||", right: a3[o3] });
            break;
          case 387:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "+", right: a3[o3] });
            break;
          case 388:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "-", right: a3[o3] });
            break;
          case 389:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "*", right: a3[o3] });
            break;
          case 390:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "/", right: a3[o3] });
            break;
          case 391:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "%", right: a3[o3] });
            break;
          case 392:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "^", right: a3[o3] });
            break;
          case 393:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: ">>", right: a3[o3] });
            break;
          case 394:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "<<", right: a3[o3] });
            break;
          case 395:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "&", right: a3[o3] });
            break;
          case 396:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "|", right: a3[o3] });
            break;
          case 397:
          case 398:
          case 400:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "->", right: a3[o3] });
            break;
          case 399:
            this.$ = new r3.Op({ left: a3[o3 - 4], op: "->", right: a3[o3 - 1] });
            break;
          case 401:
          case 402:
          case 404:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "!", right: a3[o3] });
            break;
          case 403:
            this.$ = new r3.Op({ left: a3[o3 - 4], op: "!", right: a3[o3 - 1] });
            break;
          case 405:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: ">", right: a3[o3] });
            break;
          case 406:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: ">=", right: a3[o3] });
            break;
          case 407:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "<", right: a3[o3] });
            break;
          case 408:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "<=", right: a3[o3] });
            break;
          case 409:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "=", right: a3[o3] });
            break;
          case 410:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "==", right: a3[o3] });
            break;
          case 411:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "===", right: a3[o3] });
            break;
          case 412:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "!=", right: a3[o3] });
            break;
          case 413:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "!==", right: a3[o3] });
            break;
          case 414:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "!===", right: a3[o3] });
            break;
          case 415:
            r3.queries || (r3.queries = []), this.$ = new r3.Op({ left: a3[o3 - 5], op: a3[o3 - 4], allsome: a3[o3 - 3], right: a3[o3 - 1], queriesidx: r3.queries.length }), r3.queries.push(a3[o3 - 1]);
            break;
          case 416:
            this.$ = new r3.Op({ left: a3[o3 - 5], op: a3[o3 - 4], allsome: a3[o3 - 3], right: a3[o3 - 1] });
            break;
          case 417:
            "BETWEEN1" == a3[o3 - 2].op ? "AND" == a3[o3 - 2].left.op ? this.$ = new r3.Op({ left: a3[o3 - 2].left.left, op: "AND", right: new r3.Op({ left: a3[o3 - 2].left.right, op: "BETWEEN", right1: a3[o3 - 2].right, right2: a3[o3] }) }) : this.$ = new r3.Op({ left: a3[o3 - 2].left, op: "BETWEEN", right1: a3[o3 - 2].right, right2: a3[o3] }) : "NOT BETWEEN1" == a3[o3 - 2].op ? "AND" == a3[o3 - 2].left.op ? this.$ = new r3.Op({ left: a3[o3 - 2].left.left, op: "AND", right: new r3.Op({ left: a3[o3 - 2].left.right, op: "NOT BETWEEN", right1: a3[o3 - 2].right, right2: a3[o3] }) }) : this.$ = new r3.Op({ left: a3[o3 - 2].left, op: "NOT BETWEEN", right1: a3[o3 - 2].right, right2: a3[o3] }) : this.$ = new r3.Op({ left: a3[o3 - 2], op: "AND", right: a3[o3] });
            break;
          case 418:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "OR", right: a3[o3] });
            break;
          case 419:
            this.$ = new r3.UniOp({ op: "NOT", right: a3[o3] });
            break;
          case 420:
            this.$ = new r3.UniOp({ op: "-", right: a3[o3] });
            break;
          case 421:
            this.$ = new r3.UniOp({ op: "+", right: a3[o3] });
            break;
          case 422:
            this.$ = new r3.UniOp({ op: "~", right: a3[o3] });
            break;
          case 423:
            this.$ = new r3.UniOp({ op: "#", right: a3[o3] });
            break;
          case 424:
            this.$ = new r3.UniOp({ right: a3[o3 - 1] });
            break;
          case 425:
            r3.queries || (r3.queries = []), this.$ = new r3.Op({ left: a3[o3 - 4], op: "IN", right: a3[o3 - 1], queriesidx: r3.queries.length }), r3.queries.push(a3[o3 - 1]);
            break;
          case 426:
            r3.queries || (r3.queries = []), this.$ = new r3.Op({ left: a3[o3 - 5], op: "NOT IN", right: a3[o3 - 1], queriesidx: r3.queries.length }), r3.queries.push(a3[o3 - 1]);
            break;
          case 427:
            this.$ = new r3.Op({ left: a3[o3 - 4], op: "IN", right: a3[o3 - 1] });
            break;
          case 428:
            this.$ = new r3.Op({ left: a3[o3 - 5], op: "NOT IN", right: a3[o3 - 1] });
            break;
          case 429:
            this.$ = new r3.Op({ left: a3[o3 - 3], op: "IN", right: [] });
            break;
          case 430:
            this.$ = new r3.Op({ left: a3[o3 - 4], op: "NOT IN", right: [] });
            break;
          case 431:
          case 433:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "IN", right: a3[o3] });
            break;
          case 432:
          case 434:
            this.$ = new r3.Op({ left: a3[o3 - 3], op: "NOT IN", right: a3[o3] });
            break;
          case 435:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "BETWEEN1", right: a3[o3] });
            break;
          case 436:
            this.$ = new r3.Op({ left: a3[o3 - 2], op: "NOT BETWEEN1", right: a3[o3] });
            break;
          case 437:
            this.$ = new r3.Op({ op: "IS", left: a3[o3 - 2], right: a3[o3] });
            break;
          case 438:
            this.$ = new r3.Op({ op: "IS", left: a3[o3 - 2], right: new r3.UniOp({ op: "NOT", right: new r3.NullValue({ value: void 0 }) }) });
            break;
          case 439:
            this.$ = new r3.Convert({ expression: a3[o3 - 2] }), r3.extend(this.$, a3[o3]);
            break;
          case 440:
          case 441:
            this.$ = a3[o3];
            break;
          case 442:
            this.$ = a3[o3 - 1];
            break;
          case 449:
            this.$ = "ALL";
            break;
          case 450:
            this.$ = "SOME";
            break;
          case 451:
            this.$ = "ANY";
            break;
          case 452:
            this.$ = new r3.Update({ table: a3[o3 - 4], columns: a3[o3 - 2], where: a3[o3] });
            break;
          case 453:
            this.$ = new r3.Update({ table: a3[o3 - 2], columns: a3[o3] });
            break;
          case 456:
            this.$ = new r3.SetColumn({ column: a3[o3 - 2], expression: a3[o3] });
            break;
          case 457:
            this.$ = new r3.SetColumn({ variable: a3[o3 - 2], expression: a3[o3], method: a3[o3 - 3] });
            break;
          case 458:
            this.$ = new r3.Delete({ table: a3[o3 - 2], where: a3[o3] });
            break;
          case 459:
            this.$ = new r3.Delete({ table: a3[o3] });
            break;
          case 460:
            this.$ = new r3.Insert({ into: a3[o3 - 2], values: a3[o3] });
            break;
          case 461:
            this.$ = new r3.Insert({ into: a3[o3 - 1], values: a3[o3] });
            break;
          case 462:
          case 464:
            this.$ = new r3.Insert({ into: a3[o3 - 2], values: a3[o3], orreplace: true });
            break;
          case 463:
          case 465:
            this.$ = new r3.Insert({ into: a3[o3 - 1], values: a3[o3], orreplace: true });
            break;
          case 466:
            this.$ = new r3.Insert({ into: a3[o3 - 2], default: true });
            break;
          case 467:
            this.$ = new r3.Insert({ into: a3[o3 - 5], columns: a3[o3 - 3], values: a3[o3] });
            break;
          case 468:
            this.$ = new r3.Insert({ into: a3[o3 - 4], columns: a3[o3 - 2], values: a3[o3] });
            break;
          case 469:
            this.$ = new r3.Insert({ into: a3[o3 - 1], select: a3[o3] });
            break;
          case 470:
            this.$ = new r3.Insert({ into: a3[o3 - 1], select: a3[o3], orreplace: true });
            break;
          case 471:
            this.$ = new r3.Insert({ into: a3[o3 - 4], columns: a3[o3 - 2], select: a3[o3] });
            break;
          case 476:
            this.$ = [a3[o3 - 1]];
            break;
          case 479:
            this.$ = a3[o3 - 4], a3[o3 - 4].push(a3[o3 - 1]);
            break;
          case 480:
          case 481:
          case 483:
          case 491:
            this.$ = a3[o3 - 2], a3[o3 - 2].push(a3[o3]);
            break;
          case 492:
            this.$ = new r3.CreateTable({ table: a3[o3 - 4] }), r3.extend(this.$, a3[o3 - 7]), r3.extend(this.$, a3[o3 - 6]), r3.extend(this.$, a3[o3 - 5]), r3.extend(this.$, a3[o3 - 2]), r3.extend(this.$, a3[o3]);
            break;
          case 493:
            this.$ = new r3.CreateTable({ table: a3[o3] }), r3.extend(this.$, a3[o3 - 3]), r3.extend(this.$, a3[o3 - 2]), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 495:
            this.$ = { class: true };
            break;
          case 505:
            this.$ = { temporary: true };
            break;
          case 507:
            this.$ = { ifnotexists: true };
            break;
          case 508:
            this.$ = { columns: a3[o3 - 2], constraints: a3[o3] };
            break;
          case 509:
            this.$ = { columns: a3[o3] };
            break;
          case 510:
            this.$ = { as: a3[o3] };
            break;
          case 511:
          case 535:
            this.$ = [a3[o3]];
            break;
          case 513:
          case 514:
          case 515:
          case 516:
          case 517:
            a3[o3].constraintid = a3[o3 - 1], this.$ = a3[o3];
            break;
          case 520:
            this.$ = { type: "CHECK", expression: a3[o3 - 1] };
            break;
          case 521:
            this.$ = { type: "PRIMARY KEY", columns: a3[o3 - 1], clustered: (a3[o3 - 3] + "").toUpperCase() };
            break;
          case 522:
            this.$ = { type: "FOREIGN KEY", columns: a3[o3 - 5], fktable: a3[o3 - 2], fkcolumns: a3[o3 - 1] };
            break;
          case 528:
            this.$ = { type: "UNIQUE", columns: a3[o3 - 1], clustered: (a3[o3 - 3] + "").toUpperCase() };
            break;
          case 537:
            this.$ = new r3.ColumnDef({ columnid: a3[o3 - 2] }), r3.extend(this.$, a3[o3 - 1]), r3.extend(this.$, a3[o3]);
            break;
          case 538:
            this.$ = new r3.ColumnDef({ columnid: a3[o3 - 1] }), r3.extend(this.$, a3[o3]);
            break;
          case 539:
            this.$ = new r3.ColumnDef({ columnid: a3[o3], dbtypeid: "" });
            break;
          case 540:
            this.$ = { dbtypeid: a3[o3 - 5], dbsize: a3[o3 - 3], dbprecision: +a3[o3 - 1] };
            break;
          case 541:
            this.$ = { dbtypeid: a3[o3 - 3], dbsize: a3[o3 - 1] };
            break;
          case 542:
            this.$ = { dbtypeid: a3[o3] };
            break;
          case 543:
            this.$ = { dbtypeid: "ENUM", enumvalues: a3[o3 - 1] };
            break;
          case 544:
            this.$ = a3[o3 - 1], a3[o3 - 1].dbtypeid += "[" + a3[o3] + "]";
            break;
          case 546:
          case 753:
            this.$ = +a3[o3];
            break;
          case 548:
            this.$ = void 0;
            break;
          case 550:
            r3.extend(a3[o3 - 1], a3[o3]), this.$ = a3[o3 - 1];
            break;
          case 553:
            this.$ = { primarykey: true };
            break;
          case 554:
          case 555:
            this.$ = { foreignkey: { table: a3[o3 - 1], columnid: a3[o3] } };
            break;
          case 556:
            this.$ = { identity: { value: a3[o3 - 3], step: a3[o3 - 1] } };
            break;
          case 557:
            this.$ = { identity: { value: 1, step: 1 } };
            break;
          case 558:
          case 560:
            this.$ = { default: a3[o3] };
            break;
          case 559:
            this.$ = { default: a3[o3 - 1] };
            break;
          case 561:
            this.$ = { null: true };
            break;
          case 562:
            this.$ = { notnull: true };
            break;
          case 563:
            this.$ = { check: a3[o3] };
            break;
          case 564:
            this.$ = { unique: true };
            break;
          case 565:
            this.$ = { onupdate: a3[o3] };
            break;
          case 566:
            this.$ = { onupdate: a3[o3 - 1] };
            break;
          case 567:
            this.$ = new r3.DropTable({ tables: a3[o3], type: a3[o3 - 2] }), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 571:
            this.$ = { ifexists: true };
            break;
          case 572:
            this.$ = new r3.AlterTable({ table: a3[o3 - 3], renameto: a3[o3] });
            break;
          case 573:
            this.$ = new r3.AlterTable({ table: a3[o3 - 3], addcolumn: a3[o3] });
            break;
          case 574:
            this.$ = new r3.AlterTable({ table: a3[o3 - 3], modifycolumn: a3[o3] });
            break;
          case 575:
            this.$ = new r3.AlterTable({ table: a3[o3 - 5], renamecolumn: a3[o3 - 2], to: a3[o3] });
            break;
          case 576:
            this.$ = new r3.AlterTable({ table: a3[o3 - 3], dropcolumn: a3[o3] });
            break;
          case 577:
            this.$ = new r3.AlterTable({ table: a3[o3 - 2], renameto: a3[o3] });
            break;
          case 578:
            this.$ = new r3.AttachDatabase({ databaseid: a3[o3], engineid: a3[o3 - 2].toUpperCase() });
            break;
          case 579:
            this.$ = new r3.AttachDatabase({ databaseid: a3[o3 - 3], engineid: a3[o3 - 5].toUpperCase(), args: a3[o3 - 1] });
            break;
          case 580:
            this.$ = new r3.AttachDatabase({ databaseid: a3[o3 - 2], engineid: a3[o3 - 4].toUpperCase(), as: a3[o3] });
            break;
          case 581:
            this.$ = new r3.AttachDatabase({ databaseid: a3[o3 - 5], engineid: a3[o3 - 7].toUpperCase(), as: a3[o3], args: a3[o3 - 3] });
            break;
          case 582:
            this.$ = new r3.DetachDatabase({ databaseid: a3[o3] });
            break;
          case 583:
            this.$ = new r3.CreateDatabase({ databaseid: a3[o3] }), r3.extend(this.$, a3[o3]);
            break;
          case 584:
            this.$ = new r3.CreateDatabase({ engineid: a3[o3 - 4].toUpperCase(), databaseid: a3[o3 - 1], as: a3[o3] }), r3.extend(this.$, a3[o3 - 2]);
            break;
          case 585:
            this.$ = new r3.CreateDatabase({ engineid: a3[o3 - 7].toUpperCase(), databaseid: a3[o3 - 4], args: a3[o3 - 2], as: a3[o3] }), r3.extend(this.$, a3[o3 - 5]);
            break;
          case 586:
            this.$ = new r3.CreateDatabase({ engineid: a3[o3 - 4].toUpperCase(), as: a3[o3], args: [a3[o3 - 1]] }), r3.extend(this.$, a3[o3 - 2]);
            break;
          case 587:
            this.$ = void 0;
            break;
          case 589:
          case 590:
            this.$ = new r3.UseDatabase({ databaseid: a3[o3] });
            break;
          case 591:
            this.$ = new r3.DropDatabase({ databaseid: a3[o3] }), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 592:
          case 593:
            this.$ = new r3.DropDatabase({ databaseid: a3[o3], engineid: a3[o3 - 3].toUpperCase() }), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 594:
            this.$ = new r3.CreateIndex({ indexid: a3[o3 - 5], table: a3[o3 - 3], columns: a3[o3 - 1] });
            break;
          case 595:
            this.$ = new r3.CreateIndex({ indexid: a3[o3 - 5], table: a3[o3 - 3], columns: a3[o3 - 1], unique: true });
            break;
          case 596:
            this.$ = new r3.DropIndex({ indexid: a3[o3] });
            break;
          case 597:
            this.$ = new r3.ShowDatabases();
            break;
          case 598:
            this.$ = new r3.ShowDatabases({ like: a3[o3] });
            break;
          case 599:
            this.$ = new r3.ShowDatabases({ engineid: a3[o3 - 1].toUpperCase() });
            break;
          case 600:
            this.$ = new r3.ShowDatabases({ engineid: a3[o3 - 3].toUpperCase(), like: a3[o3] });
            break;
          case 601:
            this.$ = new r3.ShowTables();
            break;
          case 602:
            this.$ = new r3.ShowTables({ like: a3[o3] });
            break;
          case 603:
            this.$ = new r3.ShowTables({ databaseid: a3[o3] });
            break;
          case 604:
            this.$ = new r3.ShowTables({ like: a3[o3], databaseid: a3[o3 - 2] });
            break;
          case 605:
            this.$ = new r3.ShowColumns({ table: a3[o3] });
            break;
          case 606:
            this.$ = new r3.ShowColumns({ table: a3[o3 - 2], databaseid: a3[o3] });
            break;
          case 607:
            this.$ = new r3.ShowIndex({ table: a3[o3] });
            break;
          case 608:
            this.$ = new r3.ShowIndex({ table: a3[o3 - 2], databaseid: a3[o3] });
            break;
          case 609:
            this.$ = new r3.ShowCreateTable({ table: a3[o3] });
            break;
          case 610:
            this.$ = new r3.ShowCreateTable({ table: a3[o3 - 2], databaseid: a3[o3] });
            break;
          case 611:
            this.$ = new r3.CreateTable({ table: a3[o3 - 6], view: true, select: a3[o3 - 1], viewcolumns: a3[o3 - 4] }), r3.extend(this.$, a3[o3 - 9]), r3.extend(this.$, a3[o3 - 7]);
            break;
          case 612:
            this.$ = new r3.CreateTable({ table: a3[o3 - 3], view: true, select: a3[o3 - 1] }), r3.extend(this.$, a3[o3 - 6]), r3.extend(this.$, a3[o3 - 4]);
            break;
          case 616:
            this.$ = new r3.DropTable({ tables: a3[o3], view: true }), r3.extend(this.$, a3[o3 - 1]);
            break;
          case 617:
          case 763:
            this.$ = new r3.ExpressionStatement({ expression: a3[o3] });
            break;
          case 618:
            this.$ = new r3.Source({ url: a3[o3].value });
            break;
          case 619:
            this.$ = new r3.Assert({ value: a3[o3] });
            break;
          case 620:
            this.$ = new r3.Assert({ value: a3[o3].value });
            break;
          case 621:
            this.$ = new r3.Assert({ value: a3[o3], message: a3[o3 - 2] });
            break;
          case 623:
          case 634:
          case 636:
            this.$ = a3[o3].value;
            break;
          case 624:
          case 632:
            this.$ = +a3[o3].value;
            break;
          case 625:
            this.$ = !!a3[o3].value;
            break;
          case 633:
            this.$ = "" + a3[o3].value;
            break;
          case 642:
            this.$ = {};
            break;
          case 645:
            this.$ = [];
            break;
          case 646:
            r3.extend(a3[o3 - 2], a3[o3]), this.$ = a3[o3 - 2];
            break;
          case 648:
            this.$ = {}, this.$[a3[o3 - 2].substr(1, a3[o3 - 2].length - 2)] = a3[o3];
            break;
          case 649:
          case 650:
            this.$ = {}, this.$[a3[o3 - 2]] = a3[o3];
            break;
          case 653:
            this.$ = new r3.SetVariable({ variable: a3[o3 - 2].toLowerCase(), value: a3[o3] });
            break;
          case 654:
            this.$ = new r3.SetVariable({ variable: a3[o3 - 1].toLowerCase(), value: a3[o3] });
            break;
          case 655:
            this.$ = new r3.SetVariable({ variable: a3[o3 - 2], expression: a3[o3] });
            break;
          case 656:
            this.$ = new r3.SetVariable({ variable: a3[o3 - 3], props: a3[o3 - 2], expression: a3[o3] });
            break;
          case 657:
            this.$ = new r3.SetVariable({ variable: a3[o3 - 2], expression: a3[o3], method: a3[o3 - 3] });
            break;
          case 658:
            this.$ = new r3.SetVariable({ variable: a3[o3 - 3], props: a3[o3 - 2], expression: a3[o3], method: a3[o3 - 4] });
            break;
          case 659:
            this.$ = "@";
            break;
          case 660:
            this.$ = "$";
            break;
          case 666:
            this.$ = true;
            break;
          case 667:
            this.$ = false;
            break;
          case 668:
            this.$ = new r3.CommitTransaction();
            break;
          case 669:
            this.$ = new r3.RollbackTransaction();
            break;
          case 670:
            this.$ = new r3.BeginTransaction();
            break;
          case 671:
            this.$ = new r3.If({ expression: a3[o3 - 2], thenstat: a3[o3 - 1], elsestat: a3[o3] }), a3[o3 - 1].exists && (this.$.exists = a3[o3 - 1].exists), a3[o3 - 1].queries && (this.$.queries = a3[o3 - 1].queries);
            break;
          case 672:
            this.$ = new r3.If({ expression: a3[o3 - 1], thenstat: a3[o3] }), a3[o3].exists && (this.$.exists = a3[o3].exists), a3[o3].queries && (this.$.queries = a3[o3].queries);
            break;
          case 673:
            this.$ = a3[o3];
            break;
          case 674:
            this.$ = new r3.While({ expression: a3[o3 - 1], loopstat: a3[o3] }), a3[o3].exists && (this.$.exists = a3[o3].exists), a3[o3].queries && (this.$.queries = a3[o3].queries);
            break;
          case 675:
            this.$ = new r3.Continue();
            break;
          case 676:
            this.$ = new r3.Break();
            break;
          case 677:
            this.$ = new r3.BeginEnd({ statements: a3[o3 - 1] });
            break;
          case 678:
            this.$ = new r3.Print({ exprs: a3[o3] });
            break;
          case 679:
            this.$ = new r3.Print({ select: a3[o3] });
            break;
          case 680:
            this.$ = new r3.Require({ paths: a3[o3] });
            break;
          case 681:
            this.$ = new r3.Require({ plugins: a3[o3] });
            break;
          case 682:
          case 683:
            this.$ = a3[o3].toUpperCase();
            break;
          case 684:
            this.$ = new r3.Echo({ expr: a3[o3] });
            break;
          case 689:
            this.$ = new r3.Declare({ declares: a3[o3] });
            break;
          case 692:
            this.$ = { variable: a3[o3 - 1] }, r3.extend(this.$, a3[o3]);
            break;
          case 693:
            this.$ = { variable: a3[o3 - 2] }, r3.extend(this.$, a3[o3]);
            break;
          case 694:
            this.$ = { variable: a3[o3 - 3], expression: a3[o3] }, r3.extend(this.$, a3[o3 - 2]);
            break;
          case 695:
            this.$ = { variable: a3[o3 - 4], expression: a3[o3] }, r3.extend(this.$, a3[o3 - 2]);
            break;
          case 696:
            this.$ = new r3.TruncateTable({ table: a3[o3] });
            break;
          case 697:
            this.$ = new r3.Merge(), r3.extend(this.$, a3[o3 - 4]), r3.extend(this.$, a3[o3 - 3]), r3.extend(this.$, a3[o3 - 2]), r3.extend(this.$, { matches: a3[o3 - 1] }), r3.extend(this.$, a3[o3]);
            break;
          case 698:
          case 699:
            this.$ = { into: a3[o3] };
            break;
          case 701:
            this.$ = { on: a3[o3] };
            break;
          case 706:
            this.$ = { matched: true, action: a3[o3] };
            break;
          case 707:
            this.$ = { matched: true, expr: a3[o3 - 2], action: a3[o3] };
            break;
          case 708:
            this.$ = { delete: true };
            break;
          case 709:
            this.$ = { update: a3[o3] };
            break;
          case 710:
          case 711:
            this.$ = { matched: false, bytarget: true, action: a3[o3] };
            break;
          case 712:
          case 713:
            this.$ = { matched: false, bytarget: true, expr: a3[o3 - 2], action: a3[o3] };
            break;
          case 714:
            this.$ = { matched: false, bysource: true, action: a3[o3] };
            break;
          case 715:
            this.$ = { matched: false, bysource: true, expr: a3[o3 - 2], action: a3[o3] };
            break;
          case 716:
            this.$ = { insert: true, values: a3[o3] };
            break;
          case 717:
            this.$ = { insert: true, values: a3[o3], columns: a3[o3 - 3] };
            break;
          case 718:
            this.$ = { insert: true, defaultvalues: true };
            break;
          case 719:
            this.$ = { insert: true, defaultvalues: true, columns: a3[o3 - 3] };
            break;
          case 721:
            this.$ = { output: { columns: a3[o3] } };
            break;
          case 722:
            this.$ = { output: { columns: a3[o3 - 3], intovar: a3[o3], method: a3[o3 - 1] } };
            break;
          case 723:
            this.$ = { output: { columns: a3[o3 - 2], intotable: a3[o3] } };
            break;
          case 724:
            this.$ = { output: { columns: a3[o3 - 5], intotable: a3[o3 - 3], intocolumns: a3[o3 - 1] } };
            break;
          case 725:
            this.$ = new r3.CreateVertex({ class: a3[o3 - 3], sharp: a3[o3 - 2], name: a3[o3 - 1] }), r3.extend(this.$, a3[o3]);
            break;
          case 728:
            this.$ = { sets: a3[o3] };
            break;
          case 729:
            this.$ = { content: a3[o3] };
            break;
          case 730:
            this.$ = { select: a3[o3] };
            break;
          case 731:
            this.$ = new r3.CreateEdge({ from: a3[o3 - 3], to: a3[o3 - 1], name: a3[o3 - 5] }), r3.extend(this.$, a3[o3]);
            break;
          case 732:
            this.$ = new r3.CreateGraph({ graph: a3[o3] });
            break;
          case 733:
            this.$ = new r3.CreateGraph({ from: a3[o3] });
            break;
          case 736:
            this.$ = a3[o3 - 2], a3[o3 - 1] && (this.$.json = new r3.Json({ value: a3[o3 - 1] })), a3[o3] && (this.$.as = a3[o3]);
            break;
          case 737:
            this.$ = { source: a3[o3 - 6], target: a3[o3] }, a3[o3 - 3] && (this.$.json = new r3.Json({ value: a3[o3 - 3] })), a3[o3 - 2] && (this.$.as = a3[o3 - 2]), r3.extend(this.$, a3[o3 - 4]);
            break;
          case 738:
            this.$ = { source: a3[o3 - 5], target: a3[o3] }, a3[o3 - 2] && (this.$.json = new r3.Json({ value: a3[o3 - 3] })), a3[o3 - 1] && (this.$.as = a3[o3 - 2]);
            break;
          case 739:
            this.$ = { source: a3[o3 - 2], target: a3[o3] };
            break;
          case 743:
            this.$ = { vars: a3[o3], method: a3[o3 - 1] };
            break;
          case 746:
          case 747:
            f3 = a3[o3 - 1];
            this.$ = { prop: a3[o3 - 3], sharp: a3[o3 - 2], name: void 0 === f3 ? void 0 : f3.substr(1, f3.length - 2), class: a3[o3] };
            break;
          case 748:
            var p3 = a3[o3 - 1];
            this.$ = { sharp: a3[o3 - 2], name: void 0 === p3 ? void 0 : p3.substr(1, p3.length - 2), class: a3[o3] };
            break;
          case 749:
            p3 = a3[o3 - 1];
            this.$ = { name: void 0 === p3 ? void 0 : p3.substr(1, p3.length - 2), class: a3[o3] };
            break;
          case 750:
            this.$ = { class: a3[o3] };
            break;
          case 756:
            this.$ = new r3.AddRule({ left: a3[o3 - 2], right: a3[o3] });
            break;
          case 757:
            this.$ = new r3.AddRule({ right: a3[o3] });
            break;
          case 760:
            this.$ = new r3.Term({ termid: a3[o3] });
            break;
          case 761:
            this.$ = new r3.Term({ termid: a3[o3 - 3], args: a3[o3 - 1] });
            break;
          case 764:
            this.$ = new r3.CreateTrigger({ trigger: a3[o3 - 6], when: a3[o3 - 5], action: a3[o3 - 4], table: a3[o3 - 2], statement: a3[o3] }), a3[o3].exists && (this.$.exists = a3[o3].exists), a3[o3].queries && (this.$.queries = a3[o3].queries);
            break;
          case 765:
            this.$ = new r3.CreateTrigger({ trigger: a3[o3 - 5], when: a3[o3 - 4], action: a3[o3 - 3], table: a3[o3 - 1], funcid: a3[o3] });
            break;
          case 766:
            this.$ = new r3.CreateTrigger({ trigger: a3[o3 - 6], when: a3[o3 - 4], action: a3[o3 - 3], table: a3[o3 - 5], statement: a3[o3] }), a3[o3].exists && (this.$.exists = a3[o3].exists), a3[o3].queries && (this.$.queries = a3[o3].queries);
            break;
          case 767:
          case 768:
          case 770:
            this.$ = "AFTER";
            break;
          case 769:
            this.$ = "BEFORE";
            break;
          case 771:
            this.$ = "INSTEADOF";
            break;
          case 772:
            this.$ = "INSERT";
            break;
          case 773:
            this.$ = "DELETE";
            break;
          case 774:
            this.$ = "UPDATE";
            break;
          case 775:
            this.$ = new r3.DropTrigger({ trigger: a3[o3] });
            break;
          case 776:
            this.$ = new r3.Reindex({ indexid: a3[o3] });
            break;
          case 1050:
          case 1070:
          case 1072:
          case 1074:
          case 1078:
          case 1080:
          case 1082:
          case 1084:
          case 1086:
          case 1088:
            this.$ = [];
            break;
          case 1051:
          case 1065:
          case 1067:
          case 1071:
          case 1073:
          case 1075:
          case 1079:
          case 1081:
          case 1083:
          case 1085:
          case 1087:
          case 1089:
            a3[o3 - 1].push(a3[o3]);
            break;
          case 1064:
          case 1066:
            this.$ = [a3[o3]];
        }
      }, table: [e2([10, 604, 765], t2, { 8: 1, 9: 2, 12: 3, 13: 4, 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 2: n2, 4: r2, 5: s2, 14: a2, 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), { 1: [3] }, { 10: [1, 105], 11: 106, 604: j2, 765: H2 }, e2(J2, [2, 8]), e2(J2, [2, 9]), e2(Y2, [2, 12]), e2(J2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 12: 109, 2: n2, 4: r2, 5: s2, 15: [1, 110], 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), e2(Y2, [2, 14]), e2(Y2, [2, 15]), e2(Y2, [2, 16]), e2(Y2, [2, 17]), e2(Y2, [2, 18]), e2(Y2, [2, 19]), e2(Y2, [2, 20]), e2(Y2, [2, 21]), e2(Y2, [2, 22]), e2(Y2, [2, 23]), e2(Y2, [2, 24]), e2(Y2, [2, 25]), e2(Y2, [2, 26]), e2(Y2, [2, 27]), e2(Y2, [2, 28]), e2(Y2, [2, 29]), e2(Y2, [2, 30]), e2(Y2, [2, 31]), e2(Y2, [2, 32]), e2(Y2, [2, 33]), e2(Y2, [2, 34]), e2(Y2, [2, 35]), e2(Y2, [2, 36]), e2(Y2, [2, 37]), e2(Y2, [2, 38]), e2(Y2, [2, 39]), e2(Y2, [2, 40]), e2(Y2, [2, 41]), e2(Y2, [2, 42]), e2(Y2, [2, 43]), e2(Y2, [2, 44]), e2(Y2, [2, 45]), e2(Y2, [2, 46]), e2(Y2, [2, 47]), e2(Y2, [2, 48]), e2(Y2, [2, 49]), e2(Y2, [2, 50]), e2(Y2, [2, 51]), e2(Y2, [2, 52]), e2(Y2, [2, 53]), e2(Y2, [2, 54]), e2(Y2, [2, 55]), e2(Y2, [2, 56]), e2(Y2, [2, 57]), e2(Y2, [2, 58]), e2(Y2, [2, 59]), e2(Y2, [2, 60]), e2(Y2, [2, 61]), e2(Y2, [2, 62]), e2(Y2, [2, 63]), e2(Y2, [2, 64]), e2(Y2, [2, 65]), e2(Y2, [2, 66]), e2(Y2, [2, 67]), { 355: [1, 111] }, { 2: n2, 3: 112, 4: r2, 5: s2 }, { 2: n2, 3: 114, 4: r2, 5: s2, 156: W2, 200: 113, 292: X2, 293: K2, 294: Q2, 295: z2 }, e2(Z2, [2, 504], { 3: 121, 350: 125, 2: n2, 4: r2, 5: s2, 134: ee2, 135: te2, 187: [1, 123], 193: [1, 122], 272: [1, 129], 273: [1, 130], 359: [1, 131], 407: [1, 120], 474: [1, 124], 511: [1, 128] }), { 145: ne2, 451: 132, 452: 133 }, { 183: [1, 135] }, { 407: [1, 136] }, { 2: n2, 3: 138, 4: r2, 5: s2, 130: [1, 144], 193: [1, 139], 355: [1, 143], 399: 140, 407: [1, 137], 412: [1, 141], 511: [1, 142] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 145, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(qe, Ge, { 342: 204, 171: [1, 205], 198: Ve }), e2(qe, Ge, { 342: 207, 198: Ve }), { 2: n2, 3: 219, 4: r2, 5: s2, 77: Be, 132: je, 143: oe, 144: 212, 145: ue, 152: le, 156: W2, 181: pe, 198: [1, 210], 199: 213, 200: 215, 201: 214, 202: 217, 209: 209, 213: He, 214: 218, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e, 421: 190, 422: Fe, 426: Pe, 455: 208 }, { 2: n2, 3: 221, 4: r2, 5: s2 }, { 355: [1, 222] }, e2(Je, [2, 1046], { 80: 223, 106: 224, 107: [1, 225] }), e2(Ye, [2, 1050], { 90: 226 }), { 2: n2, 3: 230, 4: r2, 5: s2, 190: [1, 228], 193: [1, 231], 271: [1, 227], 355: [1, 232], 407: [1, 229] }, { 355: [1, 233] }, { 2: n2, 3: 236, 4: r2, 5: s2, 73: 234, 75: 235 }, e2([308, 604, 765], t2, { 12: 3, 13: 4, 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 9: 238, 2: n2, 4: r2, 5: s2, 14: a2, 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 437: [1, 237], 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), { 437: [1, 239] }, { 437: [1, 240] }, { 2: n2, 3: 242, 4: r2, 5: s2, 407: [1, 241] }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 243 }, e2(We, [2, 314]), { 113: 245, 132: ae, 298: xe }, { 2: n2, 3: 114, 4: r2, 5: s2, 113: 251, 131: se, 132: [1, 248], 143: oe, 144: 246, 145: Xe, 152: le, 156: W2, 181: pe, 196: 250, 200: 255, 201: 254, 261: 252, 262: 253, 269: Ke, 278: 247, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 304: $e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 257, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Y2, [2, 675]), e2(Y2, [2, 676]), { 2: n2, 3: 168, 4: r2, 5: s2, 40: 259, 56: 165, 77: re, 79: 75, 89: u2, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 258, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 184: 99, 189: d2, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 266, 4: r2, 5: s2, 113: 263, 132: ae, 298: xe, 446: 261, 447: 262, 448: 264, 449: Qe }, { 2: n2, 3: 267, 4: r2, 5: s2, 143: ze, 145: Ze, 433: 268 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 271, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 507: [1, 272] }, { 2: n2, 3: 100, 4: r2, 5: s2, 506: 274, 508: 273 }, { 2: n2, 3: 114, 4: r2, 5: s2, 156: W2, 200: 275, 292: X2, 293: K2, 294: Q2, 295: z2 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 276, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(et, tt, { 186: 280, 164: [1, 279], 185: [1, 277], 187: [1, 278], 195: nt }), e2(rt, [2, 760], { 77: [1, 282] }), e2([2, 4, 5, 10, 72, 77, 78, 93, 98, 107, 118, 128, 131, 132, 137, 143, 145, 152, 154, 156, 162, 164, 168, 169, 179, 180, 181, 183, 185, 187, 195, 198, 232, 244, 245, 249, 251, 269, 270, 274, 275, 277, 284, 285, 286, 287, 288, 289, 290, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 304, 305, 308, 312, 314, 319, 422, 426, 604, 765], [2, 152], { 149: [1, 283], 150: [1, 284], 190: [1, 285], 191: [1, 286], 192: [1, 287], 193: [1, 288], 194: [1, 289] }), e2(st, [2, 1]), e2(st, [2, 2]), { 6: 290, 131: [1, 439], 172: [1, 462], 243: [1, 438], 244: [1, 373], 245: [1, 407], 249: [1, 411], 372: [1, 404], 383: [1, 295], 404: [1, 297], 412: [1, 549], 416: [1, 471], 418: [1, 443], 419: [1, 509], 435: [1, 442], 437: [1, 525], 442: [1, 342], 462: [1, 418], 466: [1, 448], 472: [1, 341], 516: [1, 307], 517: [1, 299], 518: [1, 399], 520: [1, 291], 521: [1, 292], 522: [1, 293], 523: [1, 294], 524: [1, 296], 525: [1, 298], 526: [1, 300], 527: [1, 301], 528: [1, 302], 529: [1, 303], 530: [1, 304], 531: [1, 305], 532: [1, 306], 533: [1, 308], 534: [1, 309], 535: [1, 310], 536: [1, 311], 537: [1, 312], 538: [1, 313], 539: [1, 314], 540: [1, 315], 541: [1, 316], 542: [1, 317], 543: [1, 318], 544: [1, 319], 545: [1, 320], 546: [1, 321], 547: [1, 322], 548: [1, 323], 549: [1, 324], 550: [1, 325], 551: [1, 326], 552: [1, 327], 553: [1, 328], 554: [1, 329], 555: [1, 330], 556: [1, 331], 557: [1, 332], 558: [1, 333], 559: [1, 334], 560: [1, 335], 561: [1, 336], 562: [1, 337], 563: [1, 338], 564: [1, 339], 565: [1, 340], 566: [1, 343], 567: [1, 344], 568: [1, 345], 569: [1, 346], 570: [1, 347], 571: [1, 348], 572: [1, 349], 573: [1, 350], 574: [1, 351], 575: [1, 352], 576: [1, 353], 577: [1, 354], 578: [1, 355], 579: [1, 356], 580: [1, 357], 581: [1, 358], 582: [1, 359], 583: [1, 360], 584: [1, 361], 585: [1, 362], 586: [1, 363], 587: [1, 364], 588: [1, 365], 589: [1, 366], 590: [1, 367], 591: [1, 368], 592: [1, 369], 593: [1, 370], 594: [1, 371], 595: [1, 372], 596: [1, 374], 597: [1, 375], 598: [1, 376], 599: [1, 377], 600: [1, 378], 601: [1, 379], 602: [1, 380], 603: [1, 381], 604: [1, 382], 605: [1, 383], 606: [1, 384], 607: [1, 385], 608: [1, 386], 609: [1, 387], 610: [1, 388], 611: [1, 389], 612: [1, 390], 613: [1, 391], 614: [1, 392], 615: [1, 393], 616: [1, 394], 617: [1, 395], 618: [1, 396], 619: [1, 397], 620: [1, 398], 621: [1, 400], 622: [1, 401], 623: [1, 402], 624: [1, 403], 625: [1, 405], 626: [1, 406], 627: [1, 408], 628: [1, 409], 629: [1, 410], 630: [1, 412], 631: [1, 413], 632: [1, 414], 633: [1, 415], 634: [1, 416], 635: [1, 417], 636: [1, 419], 637: [1, 420], 638: [1, 421], 639: [1, 422], 640: [1, 423], 641: [1, 424], 642: [1, 425], 643: [1, 426], 644: [1, 427], 645: [1, 428], 646: [1, 429], 647: [1, 430], 648: [1, 431], 649: [1, 432], 650: [1, 433], 651: [1, 434], 652: [1, 435], 653: [1, 436], 654: [1, 437], 655: [1, 440], 656: [1, 441], 657: [1, 444], 658: [1, 445], 659: [1, 446], 660: [1, 447], 661: [1, 449], 662: [1, 450], 663: [1, 451], 664: [1, 452], 665: [1, 453], 666: [1, 454], 667: [1, 455], 668: [1, 456], 669: [1, 457], 670: [1, 458], 671: [1, 459], 672: [1, 460], 673: [1, 461], 674: [1, 463], 675: [1, 464], 676: [1, 465], 677: [1, 466], 678: [1, 467], 679: [1, 468], 680: [1, 469], 681: [1, 470], 682: [1, 472], 683: [1, 473], 684: [1, 474], 685: [1, 475], 686: [1, 476], 687: [1, 477], 688: [1, 478], 689: [1, 479], 690: [1, 480], 691: [1, 481], 692: [1, 482], 693: [1, 483], 694: [1, 484], 695: [1, 485], 696: [1, 486], 697: [1, 487], 698: [1, 488], 699: [1, 489], 700: [1, 490], 701: [1, 491], 702: [1, 492], 703: [1, 493], 704: [1, 494], 705: [1, 495], 706: [1, 496], 707: [1, 497], 708: [1, 498], 709: [1, 499], 710: [1, 500], 711: [1, 501], 712: [1, 502], 713: [1, 503], 714: [1, 504], 715: [1, 505], 716: [1, 506], 717: [1, 507], 718: [1, 508], 719: [1, 510], 720: [1, 511], 721: [1, 512], 722: [1, 513], 723: [1, 514], 724: [1, 515], 725: [1, 516], 726: [1, 517], 727: [1, 518], 728: [1, 519], 729: [1, 520], 730: [1, 521], 731: [1, 522], 732: [1, 523], 733: [1, 524], 734: [1, 526], 735: [1, 527], 736: [1, 528], 737: [1, 529], 738: [1, 530], 739: [1, 531], 740: [1, 532], 741: [1, 533], 742: [1, 534], 743: [1, 535], 744: [1, 536], 745: [1, 537], 746: [1, 538], 747: [1, 539], 748: [1, 540], 749: [1, 541], 750: [1, 542], 751: [1, 543], 752: [1, 544], 753: [1, 545], 754: [1, 546], 755: [1, 547], 756: [1, 548], 757: [1, 550], 758: [1, 551], 759: [1, 552], 760: [1, 553], 761: [1, 554], 762: [1, 555], 763: [1, 556], 764: [1, 557] }, { 1: [2, 6] }, e2(J2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 12: 558, 2: n2, 4: r2, 5: s2, 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), e2(at, [2, 1044]), e2(at, [2, 1045]), e2(J2, [2, 10]), { 16: [1, 559] }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 560 }, { 407: [1, 561] }, e2(Y2, [2, 763]), { 77: it }, { 77: [1, 563] }, { 77: ot }, { 77: [1, 565] }, { 77: [1, 566] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 567, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(qe, ut, { 352: 568, 156: ct }), { 407: [1, 570] }, { 2: n2, 3: 571, 4: r2, 5: s2 }, { 193: [1, 572] }, { 2: n2, 3: 578, 4: r2, 5: s2, 132: lt2, 137: ht, 143: ze, 145: Ze, 152: dt, 183: [1, 574], 433: 585, 475: 573, 476: 575, 477: 576, 480: 577, 484: 582, 495: 579, 499: 581 }, { 130: [1, 589], 351: 586, 355: [1, 588], 412: [1, 587] }, { 113: 591, 132: ae, 183: [2, 1144], 298: xe, 473: 590 }, e2(ft, [2, 1138], { 467: 592, 3: 593, 2: n2, 4: r2, 5: s2 }), { 2: n2, 3: 594, 4: r2, 5: s2 }, { 4: [1, 595] }, { 4: [1, 596] }, e2(Z2, [2, 505]), e2(Y2, [2, 689], { 74: [1, 597] }), e2(pt, [2, 690]), { 2: n2, 3: 598, 4: r2, 5: s2 }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 599 }, { 2: n2, 3: 600, 4: r2, 5: s2 }, e2(qe, bt, { 400: 601, 156: Et }), { 407: [1, 603] }, { 2: n2, 3: 604, 4: r2, 5: s2 }, e2(qe, bt, { 400: 605, 156: Et }), e2(qe, bt, { 400: 606, 156: Et }), { 2: n2, 3: 607, 4: r2, 5: s2 }, e2(gt, [2, 1132]), e2(gt, [2, 1133]), e2(Y2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 12: 608, 114: 625, 329: 637, 2: n2, 4: r2, 5: s2, 53: i2, 72: o2, 89: u2, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: yt, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 146: l2, 154: kt, 156: h3, 170: Dt, 171: Lt, 179: $t, 180: Mt, 189: d2, 270: f2, 271: p2, 292: b2, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), e2(We, [2, 291]), e2(We, [2, 292]), e2(We, [2, 293]), e2(We, [2, 294]), e2(We, [2, 295]), e2(We, [2, 296]), e2(We, [2, 297]), e2(We, [2, 298]), e2(We, [2, 299]), e2(We, [2, 300]), e2(We, [2, 301]), e2(We, [2, 302]), e2(We, [2, 303]), e2(We, [2, 304]), e2(We, [2, 305]), e2(We, [2, 306]), e2(We, [2, 307]), e2(We, [2, 308]), { 2: n2, 3: 168, 4: r2, 5: s2, 26: 654, 27: 653, 36: 649, 40: 648, 56: 165, 77: re, 79: 75, 89: u2, 94: 651, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 184: 99, 189: d2, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 268: 650, 269: ge, 270: f2, 271: [1, 655], 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: [1, 652], 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 341: m2, 421: 190, 422: Fe, 426: Pe }, e2(We, [2, 312]), e2(We, [2, 313]), { 77: [1, 656] }, e2([2, 4, 5, 10, 53, 72, 74, 76, 78, 89, 93, 95, 98, 99, 107, 112, 115, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], tn, { 77: it, 116: [1, 657] }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 658, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 659, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 660, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 661, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 662, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(We, [2, 286]), e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 239, 244, 245, 246, 247, 249, 251, 253, 269, 270, 271, 274, 275, 277, 284, 285, 286, 287, 288, 289, 290, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 302, 304, 305, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 345, 358, 370, 371, 375, 376, 398, 402, 403, 406, 408, 410, 411, 417, 419, 420, 422, 426, 428, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765, 766, 767], [2, 359]), e2(nn, [2, 360]), e2(nn, [2, 361]), e2(nn, rn), e2(nn, [2, 363]), e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 299, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 345, 358, 370, 371, 375, 376, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 428, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 364]), { 2: n2, 3: 664, 4: r2, 5: s2, 131: [1, 665], 303: 663 }, { 2: n2, 3: 666, 4: r2, 5: s2 }, e2(nn, [2, 370]), e2(nn, [2, 371]), { 2: n2, 3: 667, 4: r2, 5: s2, 77: sn, 113: 669, 131: se, 132: ae, 143: oe, 152: le, 181: pe, 196: 670, 201: 672, 261: 671, 296: we, 297: Ie, 298: xe, 304: $e, 421: 673, 426: Pe }, { 77: [1, 674] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 675, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 306: 676, 309: 677, 310: an, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 77: [1, 679] }, { 77: [1, 680] }, e2(on, [2, 627]), { 2: n2, 3: 695, 4: r2, 5: s2, 77: un, 111: 690, 113: 688, 131: se, 132: ae, 143: oe, 144: 685, 145: Xe, 152: le, 156: W2, 181: pe, 196: 687, 200: 693, 201: 692, 261: 689, 262: 691, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 302: [1, 683], 304: $e, 421: 190, 422: Fe, 423: 681, 424: 684, 425: 686, 426: Pe, 429: 682 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 696, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 697, 4: r2, 5: s2, 156: W2, 200: 698, 292: X2, 293: K2, 294: Q2, 295: z2 }, { 77: [2, 339] }, { 77: [2, 340] }, { 77: [2, 341] }, { 77: [2, 342] }, { 77: [2, 343] }, { 77: [2, 344] }, { 77: [2, 345] }, { 77: [2, 346] }, { 77: [2, 347] }, { 2: n2, 3: 704, 4: r2, 5: s2, 131: cn, 132: ln, 427: 699, 428: [1, 700], 430: 701 }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 705 }, { 292: [1, 706] }, e2(qe, [2, 475]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 707 }, { 231: [1, 709], 456: 708 }, { 231: [2, 698] }, { 2: n2, 3: 219, 4: r2, 5: s2, 77: Be, 132: je, 143: oe, 144: 212, 145: ue, 152: le, 156: W2, 181: pe, 199: 213, 200: 215, 201: 214, 202: 217, 209: 710, 213: He, 214: 218, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e, 421: 190, 422: Fe, 426: Pe }, { 40: 711, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(hn, [2, 1094], { 210: 712, 76: [1, 713] }), e2(dn, [2, 185], { 3: 714, 2: n2, 4: r2, 5: s2, 76: [1, 715], 154: [1, 716] }), e2(dn, [2, 189], { 3: 717, 2: n2, 4: r2, 5: s2, 76: [1, 718] }), e2(dn, [2, 190], { 3: 719, 2: n2, 4: r2, 5: s2, 76: [1, 720] }), e2(dn, [2, 193]), e2(dn, [2, 194], { 3: 721, 2: n2, 4: r2, 5: s2, 76: [1, 722] }), e2(dn, [2, 197], { 3: 723, 2: n2, 4: r2, 5: s2, 76: [1, 724] }), e2([2, 4, 5, 10, 72, 74, 76, 78, 93, 98, 118, 128, 154, 162, 168, 169, 183, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 249, 251, 308, 312, 604, 765], fn, { 77: it, 116: pn }), e2([2, 4, 5, 10, 72, 74, 76, 78, 93, 98, 118, 128, 162, 168, 169, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 249, 251, 308, 312, 604, 765], [2, 200]), e2(Y2, [2, 776]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 726 }, e2(bn, En, { 81: 727, 198: gn }), e2(Je, [2, 1047]), e2(mn, [2, 1060], { 108: 729, 190: [1, 730] }), e2([10, 78, 183, 308, 312, 604, 765], En, { 421: 190, 81: 731, 117: 732, 3: 733, 114: 736, 144: 758, 158: 768, 160: 769, 2: n2, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 112: An, 115: Tt, 116: vt, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 198: gn, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 422: Fe, 426: Pe }), { 355: [1, 782] }, { 183: [1, 783] }, e2(Y2, [2, 597], { 112: [1, 784] }), { 407: [1, 785] }, { 183: [1, 786] }, e2(Y2, [2, 601], { 112: [1, 787], 183: [1, 788] }), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 789 }, { 40: 790, 74: [1, 791], 79: 75, 89: u2, 184: 99, 189: d2 }, e2(cr, [2, 70]), { 76: [1, 792] }, e2(Y2, [2, 670]), { 11: 106, 308: [1, 793], 604: j2, 765: H2 }, e2(Y2, [2, 668]), e2(Y2, [2, 669]), { 2: n2, 3: 794, 4: r2, 5: s2 }, e2(Y2, [2, 590]), { 146: [1, 795] }, e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 95, 124, 128, 143, 145, 146, 148, 149, 152, 154, 156, 181, 183, 187, 189, 230, 270, 271, 292, 299, 304, 308, 312, 337, 340, 341, 345, 346, 358, 370, 371, 375, 376, 398, 402, 403, 404, 405, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 507, 509, 510, 516, 517, 518, 519, 604, 765], fn, { 116: pn }), e2(Y2, [2, 618]), e2(Y2, [2, 619]), e2(Y2, [2, 620]), e2(Y2, rn, { 74: [1, 796] }), { 77: sn, 113: 669, 131: se, 132: ae, 143: oe, 152: le, 181: pe, 196: 670, 201: 672, 261: 671, 296: we, 297: Ie, 298: xe, 304: $e, 421: 673, 426: Pe }, e2(lr, [2, 323]), e2(lr, [2, 324]), e2(lr, [2, 325]), e2(lr, [2, 326]), e2(lr, [2, 327]), e2(lr, [2, 328]), e2(lr, [2, 329]), e2(Y2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 114: 625, 329: 637, 12: 797, 2: n2, 4: r2, 5: s2, 53: i2, 72: o2, 89: u2, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: yt, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 146: l2, 154: kt, 156: h3, 170: Dt, 171: Lt, 179: $t, 180: Mt, 189: d2, 270: f2, 271: p2, 292: b2, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), e2(Y2, [2, 678], { 74: hr }), e2(Y2, [2, 679]), e2(dr, [2, 357], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(Y2, [2, 680], { 74: [1, 800] }), e2(Y2, [2, 681], { 74: [1, 801] }), e2(pt, [2, 686]), e2(pt, [2, 688]), e2(pt, [2, 682]), e2(pt, [2, 683]), { 114: 807, 115: Tt, 116: vt, 124: [1, 802], 230: pr, 431: 803, 432: 804, 435: br }, { 2: n2, 3: 808, 4: r2, 5: s2 }, e2(qe, [2, 659]), e2(qe, [2, 660]), e2(Y2, [2, 617], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 100, 4: r2, 5: s2, 506: 274, 508: 809 }, e2(Y2, [2, 757], { 74: Er }), e2(gr, [2, 759]), e2(Y2, [2, 762]), e2(Y2, [2, 684], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(mr, tt, { 186: 811, 195: nt }), e2(mr, tt, { 186: 812, 195: nt }), e2(mr, tt, { 186: 813, 195: nt }), e2(Sr, [2, 1090], { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 188: 814, 174: 815, 257: 816, 94: 817, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), { 77: [1, 819], 131: se, 196: 818 }, { 2: n2, 3: 100, 4: r2, 5: s2, 506: 274, 508: 820 }, e2(Tr, [2, 153]), e2(Tr, [2, 154]), e2(Tr, [2, 155]), e2(Tr, [2, 156]), e2(Tr, [2, 157]), e2(Tr, [2, 158]), e2(Tr, [2, 159]), e2(st, [2, 3]), e2(st, [2, 777]), e2(st, [2, 778]), e2(st, [2, 779]), e2(st, [2, 780]), e2(st, [2, 781]), e2(st, [2, 782]), e2(st, [2, 783]), e2(st, [2, 784]), e2(st, [2, 785]), e2(st, [2, 786]), e2(st, [2, 787]), e2(st, [2, 788]), e2(st, [2, 789]), e2(st, [2, 790]), e2(st, [2, 791]), e2(st, [2, 792]), e2(st, [2, 793]), e2(st, [2, 794]), e2(st, [2, 795]), e2(st, [2, 796]), e2(st, [2, 797]), e2(st, [2, 798]), e2(st, [2, 799]), e2(st, [2, 800]), e2(st, [2, 801]), e2(st, [2, 802]), e2(st, [2, 803]), e2(st, [2, 804]), e2(st, [2, 805]), e2(st, [2, 806]), e2(st, [2, 807]), e2(st, [2, 808]), e2(st, [2, 809]), e2(st, [2, 810]), e2(st, [2, 811]), e2(st, [2, 812]), e2(st, [2, 813]), e2(st, [2, 814]), e2(st, [2, 815]), e2(st, [2, 816]), e2(st, [2, 817]), e2(st, [2, 818]), e2(st, [2, 819]), e2(st, [2, 820]), e2(st, [2, 821]), e2(st, [2, 822]), e2(st, [2, 823]), e2(st, [2, 824]), e2(st, [2, 825]), e2(st, [2, 826]), e2(st, [2, 827]), e2(st, [2, 828]), e2(st, [2, 829]), e2(st, [2, 830]), e2(st, [2, 831]), e2(st, [2, 832]), e2(st, [2, 833]), e2(st, [2, 834]), e2(st, [2, 835]), e2(st, [2, 836]), e2(st, [2, 837]), e2(st, [2, 838]), e2(st, [2, 839]), e2(st, [2, 840]), e2(st, [2, 841]), e2(st, [2, 842]), e2(st, [2, 843]), e2(st, [2, 844]), e2(st, [2, 845]), e2(st, [2, 846]), e2(st, [2, 847]), e2(st, [2, 848]), e2(st, [2, 849]), e2(st, [2, 850]), e2(st, [2, 851]), e2(st, [2, 852]), e2(st, [2, 853]), e2(st, [2, 854]), e2(st, [2, 855]), e2(st, [2, 856]), e2(st, [2, 857]), e2(st, [2, 858]), e2(st, [2, 859]), e2(st, [2, 860]), e2(st, [2, 861]), e2(st, [2, 862]), e2(st, [2, 863]), e2(st, [2, 864]), e2(st, [2, 865]), e2(st, [2, 866]), e2(st, [2, 867]), e2(st, [2, 868]), e2(st, [2, 869]), e2(st, [2, 870]), e2(st, [2, 871]), e2(st, [2, 872]), e2(st, [2, 873]), e2(st, [2, 874]), e2(st, [2, 875]), e2(st, [2, 876]), e2(st, [2, 877]), e2(st, [2, 878]), e2(st, [2, 879]), e2(st, [2, 880]), e2(st, [2, 881]), e2(st, [2, 882]), e2(st, [2, 883]), e2(st, [2, 884]), e2(st, [2, 885]), e2(st, [2, 886]), e2(st, [2, 887]), e2(st, [2, 888]), e2(st, [2, 889]), e2(st, [2, 890]), e2(st, [2, 891]), e2(st, [2, 892]), e2(st, [2, 893]), e2(st, [2, 894]), e2(st, [2, 895]), e2(st, [2, 896]), e2(st, [2, 897]), e2(st, [2, 898]), e2(st, [2, 899]), e2(st, [2, 900]), e2(st, [2, 901]), e2(st, [2, 902]), e2(st, [2, 903]), e2(st, [2, 904]), e2(st, [2, 905]), e2(st, [2, 906]), e2(st, [2, 907]), e2(st, [2, 908]), e2(st, [2, 909]), e2(st, [2, 910]), e2(st, [2, 911]), e2(st, [2, 912]), e2(st, [2, 913]), e2(st, [2, 914]), e2(st, [2, 915]), e2(st, [2, 916]), e2(st, [2, 917]), e2(st, [2, 918]), e2(st, [2, 919]), e2(st, [2, 920]), e2(st, [2, 921]), e2(st, [2, 922]), e2(st, [2, 923]), e2(st, [2, 924]), e2(st, [2, 925]), e2(st, [2, 926]), e2(st, [2, 927]), e2(st, [2, 928]), e2(st, [2, 929]), e2(st, [2, 930]), e2(st, [2, 931]), e2(st, [2, 932]), e2(st, [2, 933]), e2(st, [2, 934]), e2(st, [2, 935]), e2(st, [2, 936]), e2(st, [2, 937]), e2(st, [2, 938]), e2(st, [2, 939]), e2(st, [2, 940]), e2(st, [2, 941]), e2(st, [2, 942]), e2(st, [2, 943]), e2(st, [2, 944]), e2(st, [2, 945]), e2(st, [2, 946]), e2(st, [2, 947]), e2(st, [2, 948]), e2(st, [2, 949]), e2(st, [2, 950]), e2(st, [2, 951]), e2(st, [2, 952]), e2(st, [2, 953]), e2(st, [2, 954]), e2(st, [2, 955]), e2(st, [2, 956]), e2(st, [2, 957]), e2(st, [2, 958]), e2(st, [2, 959]), e2(st, [2, 960]), e2(st, [2, 961]), e2(st, [2, 962]), e2(st, [2, 963]), e2(st, [2, 964]), e2(st, [2, 965]), e2(st, [2, 966]), e2(st, [2, 967]), e2(st, [2, 968]), e2(st, [2, 969]), e2(st, [2, 970]), e2(st, [2, 971]), e2(st, [2, 972]), e2(st, [2, 973]), e2(st, [2, 974]), e2(st, [2, 975]), e2(st, [2, 976]), e2(st, [2, 977]), e2(st, [2, 978]), e2(st, [2, 979]), e2(st, [2, 980]), e2(st, [2, 981]), e2(st, [2, 982]), e2(st, [2, 983]), e2(st, [2, 984]), e2(st, [2, 985]), e2(st, [2, 986]), e2(st, [2, 987]), e2(st, [2, 988]), e2(st, [2, 989]), e2(st, [2, 990]), e2(st, [2, 991]), e2(st, [2, 992]), e2(st, [2, 993]), e2(st, [2, 994]), e2(st, [2, 995]), e2(st, [2, 996]), e2(st, [2, 997]), e2(st, [2, 998]), e2(st, [2, 999]), e2(st, [2, 1e3]), e2(st, [2, 1001]), e2(st, [2, 1002]), e2(st, [2, 1003]), e2(st, [2, 1004]), e2(st, [2, 1005]), e2(st, [2, 1006]), e2(st, [2, 1007]), e2(st, [2, 1008]), e2(st, [2, 1009]), e2(st, [2, 1010]), e2(st, [2, 1011]), e2(st, [2, 1012]), e2(st, [2, 1013]), e2(st, [2, 1014]), e2(st, [2, 1015]), e2(st, [2, 1016]), e2(st, [2, 1017]), e2(st, [2, 1018]), e2(st, [2, 1019]), e2(st, [2, 1020]), e2(st, [2, 1021]), e2(st, [2, 1022]), e2(st, [2, 1023]), e2(st, [2, 1024]), e2(st, [2, 1025]), e2(st, [2, 1026]), e2(st, [2, 1027]), e2(st, [2, 1028]), e2(st, [2, 1029]), e2(st, [2, 1030]), e2(st, [2, 1031]), e2(st, [2, 1032]), e2(st, [2, 1033]), e2(st, [2, 1034]), e2(st, [2, 1035]), e2(st, [2, 1036]), e2(st, [2, 1037]), e2(st, [2, 1038]), e2(st, [2, 1039]), e2(st, [2, 1040]), e2(st, [2, 1041]), e2(st, [2, 1042]), e2(st, [2, 1043]), e2(J2, [2, 7]), e2(J2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 12: 821, 2: n2, 4: r2, 5: s2, 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), { 398: [1, 825], 403: [1, 822], 404: [1, 823], 405: [1, 824] }, { 2: n2, 3: 826, 4: r2, 5: s2 }, e2(mr, [2, 1114], { 291: 827, 768: 829, 78: [1, 828], 164: [1, 831], 185: [1, 830] }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 832, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 833, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 834, 4: r2, 5: s2, 132: [1, 835] }, { 2: n2, 3: 836, 4: r2, 5: s2, 132: [1, 837] }, { 2: n2, 3: 838, 4: r2, 5: s2, 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 2: n2, 3: 839, 4: r2, 5: s2 }, { 154: [1, 840] }, e2(vr, ut, { 352: 841, 156: ct }), { 230: [1, 842] }, { 2: n2, 3: 843, 4: r2, 5: s2 }, e2(Y2, [2, 732], { 74: Ar }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 845, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(gr, [2, 735]), e2(yr, [2, 1146], { 421: 190, 478: 846, 144: 847, 139: Nr, 141: Nr, 145: Xe, 422: Fe, 426: Pe }), { 139: [1, 848], 141: [1, 849] }, e2(Cr, Rr, { 492: 851, 495: 852, 77: [1, 850], 137: ht }), e2(Or, [2, 1170], { 496: 853, 132: [1, 854] }), e2(wr, [2, 1174], { 498: 855, 499: 856, 152: dt }), e2(wr, [2, 750]), e2(Ir, [2, 742]), { 2: n2, 3: 857, 4: r2, 5: s2, 131: [1, 858] }, { 2: n2, 3: 859, 4: r2, 5: s2 }, { 2: n2, 3: 860, 4: r2, 5: s2 }, e2(qe, ut, { 352: 861, 156: ct }), e2(qe, ut, { 352: 862, 156: ct }), e2(gt, [2, 494]), e2(gt, [2, 495]), { 183: [1, 863] }, { 183: [2, 1145] }, e2(xr, [2, 1140], { 468: 864, 471: 865, 137: [1, 866] }), e2(ft, [2, 1139]), e2(kr, Dr, { 512: 867, 95: Lr, 230: [1, 868], 516: $r, 517: Mr, 518: Ur }), { 76: [1, 873] }, { 76: [1, 874] }, { 145: ne2, 452: 875 }, { 4: _r, 7: 879, 76: [1, 877], 276: 876, 389: 878, 391: Fr }, e2(Y2, [2, 459], { 128: [1, 882] }), e2(Y2, [2, 582]), { 2: n2, 3: 883, 4: r2, 5: s2 }, { 300: [1, 884] }, e2(vr, bt, { 400: 885, 156: Et }), e2(Y2, [2, 596]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 887, 401: 886 }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 887, 401: 888 }, e2(Y2, [2, 775]), e2(J2, [2, 672], { 440: 889, 312: [1, 890] }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 891, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 892, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 893, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 894, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 895, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 896, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 897, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 898, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 899, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 900, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 901, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 902, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 903, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 904, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 905, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 906, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 907, 4: r2, 5: s2, 77: [1, 909], 131: se, 156: W2, 196: 908, 200: 910, 292: X2, 293: K2, 294: Q2, 295: z2 }, { 2: n2, 3: 911, 4: r2, 5: s2, 77: [1, 913], 131: se, 156: W2, 196: 912, 200: 914, 292: X2, 293: K2, 294: Q2, 295: z2 }, e2(Pr, [2, 443], { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 94: 915, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), e2(Pr, [2, 444], { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 94: 916, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), e2(Pr, [2, 445], { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 94: 917, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), e2(Pr, [2, 446], { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 94: 918, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), e2(Pr, qr, { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 94: 919, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 920, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 921, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Pr, [2, 448], { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 94: 922, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 923, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 924, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 164: [1, 926], 166: [1, 928], 330: 925, 336: [1, 927] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 929, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 930, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 695, 4: r2, 5: s2, 77: [1, 931], 111: 934, 145: Gr, 156: W2, 200: 935, 202: 933, 292: X2, 293: K2, 294: Q2, 295: z2, 331: 932 }, { 99: [1, 937], 299: [1, 938] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 939, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 940, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 941, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 4: _r, 7: 879, 276: 942, 389: 878, 391: Fr }, e2(Vr, [2, 88]), e2(Vr, [2, 89]), { 78: [1, 943] }, { 78: [1, 944] }, { 78: [1, 945] }, { 78: [1, 946], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(qe, Ge, { 342: 207, 77: ot, 198: Ve }), { 78: [2, 1110] }, { 78: [2, 1111] }, { 134: ee2, 135: te2 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 947, 152: le, 154: he, 156: W2, 158: 167, 164: [1, 949], 179: de, 180: fe, 181: pe, 185: [1, 948], 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 950, 4: r2, 5: s2, 149: Br, 180: [1, 952] }, e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 118, 122, 128, 129, 130, 131, 132, 134, 135, 137, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 316, 332, 333, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 419], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 334: Zt }), e2(jr, [2, 420], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 180: Mt, 314: _t, 318: qt }), e2(jr, [2, 421], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 180: Mt, 314: _t, 318: qt }), e2(Hr, [2, 422], { 114: 625, 329: 637, 318: qt }), e2(Hr, [2, 423], { 114: 625, 329: 637, 318: qt }), e2(nn, [2, 368]), e2(nn, [2, 1116]), e2(nn, [2, 1117]), e2(nn, [2, 369]), e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 365]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 953, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(on, [2, 623]), e2(on, [2, 624]), e2(on, [2, 625]), e2(on, [2, 626]), e2(on, [2, 628]), { 40: 954, 79: 75, 89: u2, 184: 99, 189: d2 }, { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 306: 955, 309: 677, 310: an, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 307: 956, 308: Jr, 309: 957, 310: an, 312: Yr }, e2(Wr, [2, 375]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 959, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 960, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 4: _r, 7: 879, 276: 961, 389: 878, 391: Fr }, e2(on, [2, 629]), { 74: [1, 963], 302: [1, 962] }, e2(on, [2, 645]), e2(Xr, [2, 652]), e2(Kr, [2, 630]), e2(Kr, [2, 631]), e2(Kr, [2, 632]), e2(Kr, [2, 633]), e2(Kr, [2, 634]), e2(Kr, [2, 635]), e2(Kr, [2, 636]), e2(Kr, [2, 637]), e2(Kr, [2, 638]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 964, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2([2, 4, 5, 10, 53, 72, 74, 76, 78, 89, 93, 95, 98, 99, 107, 112, 115, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 428, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], tn, { 77: it, 116: Qr }), { 74: hr, 302: [1, 966] }, e2(zr, [2, 317], { 77: it }), e2(We, [2, 318]), { 74: [1, 968], 428: [1, 967] }, e2(on, [2, 642]), e2(Zr, [2, 647]), { 152: [1, 969] }, { 152: [1, 970] }, { 152: [1, 971] }, { 40: 976, 77: [1, 975], 79: 75, 89: u2, 143: oe, 144: 979, 145: Xe, 149: es, 152: le, 181: pe, 184: 99, 189: d2, 201: 980, 304: $e, 343: 972, 344: 973, 345: [1, 974], 346: ts, 421: 190, 422: Fe, 426: Pe }, e2(qe, Ge, { 342: 981, 198: Ve }), { 77: ns, 143: oe, 144: 979, 145: Xe, 149: es, 152: le, 181: pe, 201: 980, 304: $e, 343: 982, 344: 983, 346: ts, 421: 190, 422: Fe, 426: Pe }, { 230: [1, 986], 457: 985 }, { 2: n2, 3: 219, 4: r2, 5: s2, 77: Be, 132: je, 143: oe, 144: 212, 145: ue, 152: le, 156: W2, 181: pe, 199: 213, 200: 215, 201: 214, 202: 217, 209: 987, 213: He, 214: 218, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e, 421: 190, 422: Fe, 426: Pe }, { 231: [2, 699] }, { 78: [1, 988] }, e2(dn, [2, 1096], { 211: 989, 3: 990, 2: n2, 4: r2, 5: s2 }), e2(hn, [2, 1095]), e2(dn, [2, 183]), { 2: n2, 3: 991, 4: r2, 5: s2 }, { 212: [1, 992] }, e2(dn, [2, 187]), { 2: n2, 3: 993, 4: r2, 5: s2 }, e2(dn, [2, 191]), { 2: n2, 3: 994, 4: r2, 5: s2 }, e2(dn, [2, 195]), { 2: n2, 3: 995, 4: r2, 5: s2 }, e2(dn, [2, 198]), { 2: n2, 3: 996, 4: r2, 5: s2 }, { 2: n2, 3: 997, 4: r2, 5: s2 }, { 148: [1, 998] }, e2(rs, [2, 172], { 82: 999, 183: [1, 1e3] }), { 2: n2, 3: 219, 4: r2, 5: s2, 132: [1, 1005], 143: oe, 145: [1, 1006], 152: le, 156: W2, 181: pe, 199: 1001, 200: 1002, 201: 1003, 202: 1004, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e }, { 2: n2, 3: 1011, 4: r2, 5: s2, 109: 1007, 110: 1008, 111: 1009, 112: ss }, e2(mn, [2, 1061]), e2(as, [2, 1052], { 91: 1012, 182: 1013, 183: [1, 1014] }), e2(Ye, [2, 1051], { 153: 1015, 179: is, 180: os, 181: us }), e2([2, 4, 5, 10, 72, 74, 76, 78, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 198, 244, 245, 284, 285, 286, 287, 288, 289, 290, 308, 312, 422, 426, 604, 765], [2, 90], { 77: [1, 1019] }), { 119: [1, 1020] }, e2(cs, [2, 93]), { 2: n2, 3: 1021, 4: r2, 5: s2 }, e2(cs, [2, 95]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1022, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1023, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 112: An, 114: 736, 115: Tt, 116: vt, 117: 1025, 118: yn, 122: Nn, 123: Cn, 124: Rn, 125: 1024, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 77: [1, 1026] }, { 77: [1, 1027] }, { 77: [1, 1028] }, { 77: [1, 1029] }, e2(cs, [2, 104]), e2(cs, [2, 105]), e2(cs, [2, 106]), e2(cs, [2, 107]), e2(cs, [2, 108]), e2(cs, [2, 109]), { 2: n2, 3: 1030, 4: r2, 5: s2 }, { 2: n2, 3: 1031, 4: r2, 5: s2, 133: [1, 1032] }, e2(cs, [2, 113]), e2(cs, [2, 114]), e2(cs, [2, 115]), e2(cs, [2, 116]), e2(cs, [2, 117]), e2(cs, [2, 118]), { 2: n2, 3: 1033, 4: r2, 5: s2, 77: sn, 113: 669, 131: se, 132: ae, 143: oe, 152: le, 181: pe, 196: 670, 201: 672, 261: 671, 296: we, 297: Ie, 298: xe, 304: $e, 421: 673, 426: Pe }, { 145: [1, 1034] }, { 77: [1, 1035] }, { 145: [1, 1036] }, e2(cs, [2, 123]), { 77: [1, 1037] }, { 2: n2, 3: 1038, 4: r2, 5: s2 }, { 77: [1, 1039] }, { 77: [1, 1040] }, { 77: [1, 1041] }, { 77: [1, 1042] }, { 77: [1, 1043], 164: [1, 1044] }, { 77: [1, 1045] }, { 77: [1, 1046] }, { 77: [1, 1047] }, { 77: [1, 1048] }, { 77: [1, 1049] }, { 77: [1, 1050] }, { 77: [1, 1051] }, { 77: [1, 1052] }, { 77: [1, 1053] }, { 77: [2, 1076] }, { 77: [2, 1077] }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1054 }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1055 }, { 113: 1056, 132: ae, 298: xe }, e2(Y2, [2, 599], { 112: [1, 1057] }), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1058 }, { 113: 1059, 132: ae, 298: xe }, { 2: n2, 3: 1060, 4: r2, 5: s2 }, e2(Y2, [2, 696]), e2(Y2, [2, 68]), { 2: n2, 3: 236, 4: r2, 5: s2, 75: 1061 }, { 77: [1, 1062] }, e2(Y2, [2, 677]), e2(Y2, [2, 589]), { 2: n2, 3: 1011, 4: r2, 5: s2, 111: 1065, 143: ls, 145: hs, 147: 1063, 338: 1064, 339: 1066 }, { 144: 1069, 145: Xe, 421: 190, 422: Fe, 426: Pe }, e2(Y2, [2, 674]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1070, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Pr, qr, { 259: 146, 200: 147, 260: 148, 111: 149, 258: 150, 196: 151, 261: 152, 113: 153, 262: 154, 201: 155, 202: 156, 263: 157, 264: 158, 265: 159, 144: 161, 266: 162, 267: 163, 56: 165, 158: 167, 3: 168, 421: 190, 94: 1071, 2: n2, 4: r2, 5: s2, 77: re, 131: se, 132: ae, 137: ie, 143: oe, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 179: de, 180: fe, 181: pe, 244: be, 245: Ee, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 422: Fe, 426: Pe }), { 113: 1072, 132: ae, 298: xe }, { 2: n2, 3: 266, 4: r2, 5: s2, 448: 1073, 449: Qe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1075, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 230: pr, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe, 431: 1074, 435: br }, e2(Y2, [2, 654]), { 114: 1077, 115: Tt, 116: vt, 124: [1, 1076] }, e2(Y2, [2, 666]), e2(Y2, [2, 667]), { 2: n2, 3: 1079, 4: r2, 5: s2, 77: ds, 131: fs, 434: 1078 }, { 114: 807, 115: Tt, 116: vt, 124: [1, 1082], 432: 1083 }, e2(Y2, [2, 756], { 74: Er }), { 2: n2, 3: 100, 4: r2, 5: s2, 506: 1084 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 817, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 174: 1085, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 257: 816, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 817, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 174: 1086, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 257: 816, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 817, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 174: 1087, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 257: 816, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Sr, [2, 151]), e2(Sr, [2, 1091], { 74: ps }), e2(bs, [2, 276]), e2(bs, [2, 283], { 114: 625, 329: 637, 3: 1090, 113: 1092, 2: n2, 4: r2, 5: s2, 76: [1, 1089], 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 131: [1, 1091], 132: ae, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 298: xe, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(et, [2, 1092], { 197: 1093, 766: [1, 1094] }), { 131: se, 196: 1095 }, { 74: Er, 78: [1, 1096] }, e2(J2, [2, 11]), { 148: [1, 1097], 190: [1, 1098] }, { 190: [1, 1099] }, { 190: [1, 1100] }, { 190: [1, 1101] }, e2(Y2, [2, 578], { 76: [1, 1103], 77: [1, 1102] }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1104, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(nn, [2, 349]), e2(mr, [2, 1115]), e2(mr, [2, 1112]), e2(mr, [2, 1113]), { 74: hr, 78: [1, 1105] }, { 74: hr, 78: [1, 1106] }, { 74: [1, 1107] }, { 74: [1, 1108] }, { 74: [1, 1109] }, { 74: [1, 1110] }, e2(nn, [2, 356]), e2(Y2, [2, 583]), { 300: [1, 1111] }, { 2: n2, 3: 1112, 4: r2, 5: s2, 113: 1113, 132: ae, 298: xe }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1114 }, { 230: [1, 1115] }, { 2: n2, 3: 578, 4: r2, 5: s2, 132: lt2, 137: ht, 143: ze, 145: Ze, 152: dt, 433: 585, 476: 1116, 477: 576, 480: 577, 484: 582, 495: 579, 499: 581 }, e2(Y2, [2, 733], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(gr, [2, 1148], { 479: 1117, 485: 1118, 76: Es }), e2(yr, [2, 1147]), { 2: n2, 3: 1122, 4: r2, 5: s2, 132: lt2, 137: ht, 144: 1121, 145: Xe, 152: dt, 421: 190, 422: Fe, 426: Pe, 477: 1120, 495: 579, 499: 581 }, { 2: n2, 3: 1122, 4: r2, 5: s2, 132: lt2, 137: ht, 143: ze, 145: Ze, 152: dt, 433: 585, 477: 1124, 480: 1123, 484: 582, 495: 579, 499: 581 }, { 2: n2, 3: 578, 4: r2, 5: s2, 132: lt2, 137: ht, 143: ze, 145: Ze, 152: dt, 433: 585, 475: 1125, 476: 575, 477: 576, 480: 577, 484: 582, 495: 579, 499: 581 }, e2(Or, [2, 1166], { 493: 1126, 132: [1, 1127] }), e2(Cr, [2, 1165]), e2(wr, [2, 1172], { 497: 1128, 499: 1129, 152: dt }), e2(Or, [2, 1171]), e2(wr, [2, 749]), e2(wr, [2, 1175]), e2(Cr, [2, 752]), e2(Cr, [2, 753]), e2(wr, [2, 751]), e2(Ir, [2, 743]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1130 }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1131 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1132, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(gs, [2, 1142], { 469: 1133, 113: 1134, 132: ae, 298: xe }), e2(xr, [2, 1141]), { 2: n2, 3: 1135, 4: r2, 5: s2 }, { 337: ms, 340: Ss, 341: Ts, 513: 1136 }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1140 }, e2(kr, [2, 768]), e2(kr, [2, 769]), e2(kr, [2, 770]), { 129: [1, 1141] }, { 270: [1, 1142] }, { 270: [1, 1143] }, e2(pt, [2, 691]), e2(pt, [2, 692], { 124: [1, 1144] }), { 4: _r, 7: 879, 276: 1145, 389: 878, 391: Fr }, e2([2, 4, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 299, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 345, 358, 370, 371, 375, 376, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 545], { 5: [1, 1146] }), e2([2, 5, 10, 53, 72, 74, 76, 78, 89, 93, 95, 98, 99, 107, 112, 115, 116, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 299, 302, 308, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 345, 358, 370, 371, 375, 376, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 542], { 4: [1, 1148], 77: [1, 1147] }), { 77: [1, 1149] }, e2(vs, [2, 4]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1150, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Y2, [2, 591]), e2(vr, [2, 571]), { 2: n2, 3: 1151, 4: r2, 5: s2, 113: 1152, 132: ae, 298: xe }, e2(Y2, [2, 567], { 74: As }), e2(pt, [2, 569]), e2(Y2, [2, 616], { 74: As }), e2(Y2, [2, 671]), e2(Y2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 12: 1154, 2: n2, 4: r2, 5: s2, 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), e2(ys, [2, 379], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt, 320: Vt, 321: Bt }), e2(Hr, [2, 380], { 114: 625, 329: 637, 318: qt }), e2(ys, [2, 381], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt, 320: Vt, 321: Bt }), e2(Ns, [2, 382], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 314: _t, 316: [1, 1155], 318: qt, 319: Gt, 320: Vt, 321: Bt }), e2(Ns, [2, 384], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 314: _t, 316: [1, 1156], 318: qt, 319: Gt, 320: Vt, 321: Bt }), e2(We, [2, 386], { 114: 625, 329: 637 }), e2(jr, [2, 387], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 180: Mt, 314: _t, 318: qt }), e2(jr, [2, 388], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 180: Mt, 314: _t, 318: qt }), e2(Cs, [2, 389], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 136: Ct, 314: _t, 318: qt }), e2(Cs, [2, 390], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 136: Ct, 314: _t, 318: qt }), e2(Cs, [2, 391], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 136: Ct, 314: _t, 318: qt }), e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 112, 118, 122, 123, 124, 128, 129, 130, 131, 132, 133, 134, 135, 137, 138, 139, 140, 141, 142, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 179, 180, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 313, 315, 316, 317, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 392], { 114: 625, 329: 637, 115: Tt, 116: vt, 136: Ct, 314: _t, 318: qt }), e2(Rs, [2, 393], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt }), e2(Rs, [2, 394], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt }), e2(Rs, [2, 395], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt }), e2(Rs, [2, 396], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt }), e2(zr, [2, 397], { 77: it }), e2(We, [2, 398]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1157, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(We, [2, 400]), e2(zr, [2, 401], { 77: it }), e2(We, [2, 402]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1158, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(We, [2, 404]), e2(Os, [2, 405], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 406], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 407], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 408], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2([2, 4, 5, 10, 53, 72, 89, 99, 124, 139, 140, 146, 154, 156, 170, 171, 189, 270, 271, 292, 308, 312, 322, 323, 324, 325, 326, 327, 328, 332, 333, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 507, 509, 510, 519, 604, 765], ws, { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 410], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 411], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 412], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 413], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(Os, [2, 414], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), { 77: [1, 1159] }, { 77: [2, 449] }, { 77: [2, 450] }, { 77: [2, 451] }, e2(Is, [2, 417], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 334: Zt }), e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 107, 118, 122, 128, 129, 130, 131, 132, 134, 135, 137, 143, 145, 146, 148, 149, 150, 152, 156, 162, 164, 166, 168, 169, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 316, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 418], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt }), { 2: n2, 3: 168, 4: r2, 5: s2, 40: 1160, 56: 165, 77: re, 78: [1, 1162], 79: 75, 89: u2, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1161, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 184: 99, 189: d2, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(We, [2, 431]), e2(We, [2, 433]), e2(We, [2, 440]), e2(We, [2, 441]), { 2: n2, 3: 667, 4: r2, 5: s2, 77: [1, 1163] }, { 2: n2, 3: 695, 4: r2, 5: s2, 77: [1, 1164], 111: 934, 145: Gr, 156: W2, 200: 935, 202: 1166, 292: X2, 293: K2, 294: Q2, 295: z2, 331: 1165 }, e2(We, [2, 438]), e2(Is, [2, 435], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 334: Zt }), e2(Is, [2, 436], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 334: Zt }), e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 99, 107, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 189, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 239, 244, 245, 246, 247, 249, 251, 270, 271, 284, 285, 286, 287, 288, 289, 290, 292, 298, 302, 308, 310, 311, 312, 316, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 466, 472, 507, 509, 510, 519, 604, 765], [2, 437], { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt }), e2(We, [2, 439]), e2(We, [2, 309]), e2(We, [2, 310]), e2(We, [2, 311]), e2(We, [2, 424]), { 74: hr, 78: [1, 1167] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1168, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1169, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(We, xs), e2(ks, [2, 289]), e2(We, [2, 285]), { 78: [1, 1171], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1172] }, { 307: 1173, 308: Jr, 309: 957, 310: an, 312: Yr }, { 308: [1, 1174] }, e2(Wr, [2, 374]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1175, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 311: [1, 1176], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 76: [1, 1177], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 74: [1, 1178] }, e2(on, [2, 643]), { 2: n2, 3: 695, 4: r2, 5: s2, 77: un, 111: 690, 113: 688, 131: se, 132: ae, 143: oe, 144: 685, 145: Xe, 152: le, 156: W2, 181: pe, 196: 687, 200: 693, 201: 692, 261: 689, 262: 691, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 302: [1, 1179], 304: $e, 421: 190, 422: Fe, 424: 1180, 425: 686, 426: Pe }, { 78: [1, 1181], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 2: n2, 3: 1182, 4: r2, 5: s2, 149: Br }, e2(We, [2, 367]), e2(on, [2, 640]), { 2: n2, 3: 704, 4: r2, 5: s2, 131: cn, 132: ln, 428: [1, 1183], 430: 1184 }, { 2: n2, 3: 695, 4: r2, 5: s2, 77: un, 111: 690, 113: 688, 131: se, 132: ae, 143: oe, 144: 685, 145: Xe, 152: le, 156: W2, 181: pe, 196: 687, 200: 693, 201: 692, 261: 689, 262: 691, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 304: $e, 421: 190, 422: Fe, 424: 1185, 425: 686, 426: Pe }, { 2: n2, 3: 695, 4: r2, 5: s2, 77: un, 111: 690, 113: 688, 131: se, 132: ae, 143: oe, 144: 685, 145: Xe, 152: le, 156: W2, 181: pe, 196: 687, 200: 693, 201: 692, 261: 689, 262: 691, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 304: $e, 421: 190, 422: Fe, 424: 1186, 425: 686, 426: Pe }, { 2: n2, 3: 695, 4: r2, 5: s2, 77: un, 111: 690, 113: 688, 131: se, 132: ae, 143: oe, 144: 685, 145: Xe, 152: le, 156: W2, 181: pe, 196: 687, 200: 693, 201: 692, 261: 689, 262: 691, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 304: $e, 421: 190, 422: Fe, 424: 1187, 425: 686, 426: Pe }, { 77: ns, 143: oe, 144: 979, 145: Xe, 152: le, 181: pe, 201: 980, 304: $e, 344: 1188, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 461], { 74: Ls }), { 149: es, 343: 1190, 346: ts }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1194, 100: 1191, 111: 1193, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 347: 1192, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 469]), e2($s, [2, 472]), e2($s, [2, 473]), e2(Ms, [2, 477]), e2(Ms, [2, 478]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1195 }, { 77: ns, 143: oe, 144: 979, 145: Xe, 152: le, 181: pe, 201: 980, 304: $e, 344: 1196, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 465], { 74: Ls }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1194, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 347: 1192, 421: 190, 422: Fe, 426: Pe }, { 310: Us, 458: 1197, 460: 1198, 461: 1199 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1201, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 230: [2, 700] }, e2(dn, [2, 181], { 3: 1202, 2: n2, 4: r2, 5: s2, 76: [1, 1203] }), e2(dn, [2, 182]), e2(dn, [2, 1097]), e2(dn, [2, 184]), e2(dn, [2, 186]), e2(dn, [2, 188]), e2(dn, [2, 192]), e2(dn, [2, 196]), e2(dn, [2, 199]), e2([2, 4, 5, 10, 53, 72, 74, 76, 77, 78, 89, 93, 95, 98, 118, 124, 128, 143, 145, 146, 148, 149, 152, 154, 156, 162, 168, 169, 181, 183, 187, 189, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 249, 251, 270, 271, 292, 299, 304, 308, 312, 337, 340, 341, 345, 346, 358, 370, 371, 375, 376, 398, 402, 403, 404, 405, 406, 408, 410, 411, 419, 420, 422, 426, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 507, 509, 510, 516, 517, 518, 519, 604, 765], [2, 201]), { 2: n2, 3: 1204, 4: r2, 5: s2 }, e2(_s, [2, 1048], { 83: 1205, 92: 1206, 93: [1, 1207], 98: [1, 1208] }), { 2: n2, 3: 219, 4: r2, 5: s2, 77: [1, 1210], 132: je, 143: oe, 144: 212, 145: ue, 152: le, 156: W2, 181: pe, 199: 213, 200: 215, 201: 214, 202: 217, 203: 1209, 209: 1211, 213: He, 214: 218, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e, 421: 190, 422: Fe, 426: Pe }, e2(bn, [2, 164]), e2(bn, [2, 165]), e2(bn, [2, 166]), e2(bn, [2, 167]), e2(bn, [2, 168]), { 2: n2, 3: 667, 4: r2, 5: s2 }, e2(Je, [2, 83], { 74: [1, 1212] }), e2(Fs, [2, 85]), e2(Fs, [2, 86]), { 113: 1213, 132: ae, 298: xe }, e2([10, 72, 74, 78, 93, 98, 118, 124, 128, 162, 168, 169, 183, 198, 206, 208, 222, 223, 224, 225, 226, 227, 228, 229, 232, 249, 251, 308, 312, 604, 765], tn, { 116: Qr }), e2(as, [2, 73]), e2(as, [2, 1053]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1214, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(cs, [2, 126]), e2(cs, [2, 144]), e2(cs, [2, 145]), e2(cs, [2, 146]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 78: [2, 1068], 94: 260, 111: 149, 113: 153, 127: 1215, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1216, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 77: [1, 1217] }, e2(cs, [2, 94]), e2([2, 4, 5, 10, 72, 74, 76, 77, 78, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 198, 244, 245, 284, 285, 286, 287, 288, 289, 290, 308, 312, 422, 426, 604, 765], [2, 96], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2([2, 4, 5, 10, 72, 74, 76, 77, 78, 112, 118, 122, 124, 128, 129, 130, 131, 132, 134, 135, 137, 139, 140, 143, 145, 146, 148, 149, 150, 152, 154, 156, 162, 164, 166, 168, 169, 170, 171, 172, 173, 175, 181, 183, 185, 187, 198, 244, 245, 284, 285, 286, 287, 288, 289, 290, 308, 312, 422, 426, 604, 765], [2, 97], { 114: 625, 329: 637, 99: mt, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1218], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1219, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, e2(Ps, [2, 1064], { 153: 1015, 179: is, 180: os, 181: us }), { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 112: An, 114: 736, 115: Tt, 116: vt, 117: 1221, 118: yn, 122: Nn, 123: Cn, 124: Rn, 126: 1220, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1222, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1223, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1224, 4: r2, 5: s2 }, e2(cs, [2, 110]), e2(cs, [2, 111]), e2(cs, [2, 112]), e2(cs, [2, 119]), { 2: n2, 3: 1225, 4: r2, 5: s2 }, { 2: n2, 3: 1011, 4: r2, 5: s2, 111: 1065, 143: ls, 145: hs, 147: 1226, 338: 1064, 339: 1066 }, { 2: n2, 3: 1227, 4: r2, 5: s2 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1228, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(cs, [2, 125]), e2(Ps, [2, 1070], { 155: 1229 }), e2(Ps, [2, 1072], { 157: 1230 }), e2(Ps, [2, 1074], { 159: 1231 }), e2(Ps, [2, 1078], { 161: 1232 }), e2(qs, Gs, { 163: 1233, 178: 1234 }), { 77: [1, 1235] }, e2(Ps, [2, 1080], { 165: 1236 }), e2(Ps, [2, 1082], { 167: 1237 }), e2(qs, Gs, { 178: 1234, 163: 1238 }), e2(qs, Gs, { 178: 1234, 163: 1239 }), e2(qs, Gs, { 178: 1234, 163: 1240 }), e2(qs, Gs, { 178: 1234, 163: 1241 }), { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 112: An, 114: 736, 115: Tt, 116: vt, 117: 1242, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 817, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 174: 1243, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 257: 816, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Vs, [2, 1084], { 176: 1244 }), e2(Y2, [2, 609], { 183: [1, 1245] }), e2(Y2, [2, 605], { 183: [1, 1246] }), e2(Y2, [2, 598]), { 113: 1247, 132: ae, 298: xe }, e2(Y2, [2, 607], { 183: [1, 1248] }), e2(Y2, [2, 602]), e2(Y2, [2, 603], { 112: [1, 1249] }), e2(cr, [2, 69]), { 40: 1250, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(Y2, [2, 453], { 74: Bs, 128: [1, 1251] }), e2(js, [2, 454]), { 124: [1, 1253] }, { 2: n2, 3: 1254, 4: r2, 5: s2 }, e2(qe, [2, 1118]), e2(qe, [2, 1119]), e2(Y2, [2, 621]), e2(dr, [2, 358], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(Os, ws, { 114: 625, 329: 637, 112: St, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 334: Zt }), e2(pt, [2, 685]), e2(pt, [2, 687]), e2(Y2, [2, 653]), e2(Y2, [2, 655], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1255, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1079, 4: r2, 5: s2, 77: ds, 131: fs, 434: 1256 }, e2(Hs, [2, 662]), e2(Hs, [2, 663]), e2(Hs, [2, 664]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1257, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1258, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 114: 1077, 115: Tt, 116: vt, 124: [1, 1259] }, e2(gr, [2, 758]), e2(Sr, [2, 148], { 74: ps }), e2(Sr, [2, 149], { 74: ps }), e2(Sr, [2, 150], { 74: ps }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 817, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 257: 1260, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1261, 4: r2, 5: s2, 113: 1263, 131: [1, 1262], 132: ae, 298: xe }, e2(bs, [2, 278]), e2(bs, [2, 280]), e2(bs, [2, 282]), e2(et, [2, 160]), e2(et, [2, 1093]), { 78: [1, 1264] }, e2(rt, [2, 761]), { 2: n2, 3: 1265, 4: r2, 5: s2 }, { 2: n2, 3: 1266, 4: r2, 5: s2 }, { 2: n2, 3: 1268, 4: r2, 5: s2, 386: 1267 }, { 2: n2, 3: 1268, 4: r2, 5: s2, 386: 1269 }, { 2: n2, 3: 1270, 4: r2, 5: s2 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1271, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1272, 4: r2, 5: s2 }, { 74: hr, 78: [1, 1273] }, e2(nn, [2, 350]), e2(nn, [2, 351]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1274, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1275, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1276, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1277, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(vr, [2, 507]), e2(Y2, Js, { 409: 1278, 76: Ys, 77: [1, 1279] }), e2(Y2, Js, { 409: 1281, 76: Ys }), { 77: [1, 1282] }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1283 }, e2(gr, [2, 734]), e2(gr, [2, 736]), e2(gr, [2, 1149]), { 143: ze, 145: Ze, 433: 1284 }, e2(Ws, [2, 1150], { 421: 190, 481: 1285, 144: 1286, 145: Xe, 422: Fe, 426: Pe }), { 76: Es, 139: [2, 1154], 483: 1287, 485: 1288 }, e2([10, 74, 76, 78, 132, 139, 145, 152, 308, 312, 422, 426, 604, 765], Rr, { 492: 851, 495: 852, 137: ht }), e2(gr, [2, 739]), e2(gr, Nr), { 74: Ar, 78: [1, 1289] }, e2(wr, [2, 1168], { 494: 1290, 499: 1291, 152: dt }), e2(Or, [2, 1167]), e2(wr, [2, 748]), e2(wr, [2, 1173]), e2(Y2, [2, 493], { 77: [1, 1292] }), { 76: [1, 1294], 77: [1, 1293] }, { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 148: [1, 1295], 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(Ds, Xs, { 79: 75, 184: 99, 470: 1296, 40: 1299, 89: u2, 146: Ks, 189: d2, 472: Qs }), e2(gs, [2, 1143]), e2(xr, [2, 726]), { 230: [1, 1300] }, e2(zs, [2, 772]), e2(zs, [2, 773]), e2(zs, [2, 774]), e2(kr, Dr, { 512: 1301, 95: Lr, 516: $r, 517: Mr, 518: Ur }), e2(kr, [2, 771]), e2(Y2, [2, 315]), e2(Y2, [2, 316]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1302, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(pt, [2, 693], { 124: [1, 1303] }), e2(vs, [2, 544]), { 131: [1, 1305], 390: 1304, 392: [1, 1306] }, e2(vs, [2, 5]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1194, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 347: 1307, 421: 190, 422: Fe, 426: Pe }, e2(Y2, [2, 458], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(Y2, [2, 592]), e2(Y2, [2, 593]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1308 }, e2(Y2, [2, 673]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1309, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1310, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 78: [1, 1311], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1312], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 2: n2, 3: 168, 4: r2, 5: s2, 40: 1313, 56: 165, 77: re, 79: 75, 89: u2, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1314, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 184: 99, 189: d2, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 78: [1, 1315] }, { 74: hr, 78: [1, 1316] }, e2(We, [2, 429]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1317, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 40: 1318, 56: 165, 77: re, 78: [1, 1320], 79: 75, 89: u2, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1319, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 184: 99, 189: d2, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(We, [2, 432]), e2(We, [2, 434]), e2(We, Zs, { 279: 1321, 280: ea }), { 78: [1, 1323], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1324], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 2: n2, 3: 1325, 4: r2, 5: s2, 180: [1, 1326] }, e2(on, [2, 622]), e2(We, [2, 366]), { 308: [1, 1327] }, e2(We, [2, 373]), { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 308: [2, 377], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1328, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 4: _r, 7: 879, 276: 1329, 389: 878, 391: Fr }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1330, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(on, [2, 644]), e2(Xr, [2, 651]), e2(Kr, [2, 639]), e2(ks, xs), e2(on, [2, 641]), e2(Zr, [2, 646]), e2(Zr, [2, 648]), e2(Zr, [2, 649]), e2(Zr, [2, 650]), e2(Ds, [2, 460], { 74: Ls }), { 77: [1, 1332], 143: oe, 144: 1333, 145: Xe, 152: le, 181: pe, 201: 1334, 304: $e, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 466]), { 74: ta, 78: [1, 1335] }, { 74: na, 78: [1, 1337] }, e2([74, 78, 99, 112, 115, 116, 123, 124, 133, 136, 138, 139, 140, 141, 142, 154, 170, 171, 179, 180, 313, 314, 315, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 332, 333, 334, 335], ra), e2(sa, [2, 482], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 40: 1341, 77: ns, 79: 75, 89: u2, 143: oe, 144: 979, 145: Xe, 149: es, 152: le, 181: pe, 184: 99, 189: d2, 201: 980, 304: $e, 343: 1339, 344: 1340, 346: ts, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 464], { 74: Ls }), e2(Y2, [2, 720], { 459: 1342, 460: 1343, 461: 1344, 310: Us, 466: [1, 1345] }), e2(aa, [2, 704]), e2(aa, [2, 705]), { 154: [1, 1347], 462: [1, 1346] }, { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 310: [2, 701], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(dn, [2, 179]), { 2: n2, 3: 1348, 4: r2, 5: s2 }, e2(Y2, [2, 577]), e2(ia, [2, 238], { 84: 1349, 128: [1, 1350] }), e2(_s, [2, 1049]), { 77: [1, 1351] }, { 77: [1, 1352] }, e2(rs, [2, 169], { 204: 1353, 215: 1355, 205: 1356, 216: 1357, 221: 1360, 74: oa, 206: ua, 208: ca, 222: la, 223: ha, 224: da, 225: fa, 226: pa, 227: ba, 228: Ea, 229: ga }), { 2: n2, 3: 219, 4: r2, 5: s2, 40: 711, 77: Be, 79: 75, 89: u2, 132: je, 143: oe, 144: 212, 145: ue, 152: le, 156: W2, 181: pe, 184: 99, 189: d2, 199: 213, 200: 215, 201: 214, 202: 217, 203: 1369, 209: 1211, 213: He, 214: 218, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e, 421: 190, 422: Fe, 426: Pe }, e2(ma, [2, 177]), { 2: n2, 3: 1011, 4: r2, 5: s2, 110: 1370, 111: 1009, 112: ss }, e2(Fs, [2, 87]), e2(as, [2, 147], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 78: [1, 1371] }, { 74: hr, 78: [2, 1069] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 78: [2, 1062], 94: 1376, 111: 149, 113: 153, 120: 1372, 121: 1373, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 241: 1374, 244: be, 245: Ee, 246: [1, 1375], 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(cs, [2, 98]), e2(Ps, [2, 1065], { 153: 1015, 179: is, 180: os, 181: us }), { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1377], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1378, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, e2(Ps, [2, 1066], { 153: 1015, 179: is, 180: os, 181: us }), { 78: [1, 1379], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1380], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1381] }, e2(cs, [2, 120]), { 74: Bs, 78: [1, 1382] }, e2(cs, [2, 122]), { 74: hr, 78: [1, 1383] }, { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1384], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1385, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1386], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1387, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1388], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1389, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1390], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1391, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 74: Sa, 78: [1, 1392] }, e2(sa, [2, 143], { 421: 190, 3: 733, 114: 736, 144: 758, 158: 768, 160: 769, 117: 1394, 2: n2, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 112: An, 115: Tt, 116: vt, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 422: Fe, 426: Pe }), e2(qs, Gs, { 178: 1234, 163: 1395 }), { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1396], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1397, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 78: [1, 1398], 112: An, 114: 736, 115: Tt, 116: vt, 117: 1399, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 74: Sa, 78: [1, 1400] }, { 74: Sa, 78: [1, 1401] }, { 74: Sa, 78: [1, 1402] }, { 74: Sa, 78: [1, 1403] }, { 78: [1, 1404], 153: 1015, 179: is, 180: os, 181: us }, { 74: ps, 78: [1, 1405] }, { 2: n2, 3: 733, 4: r2, 5: s2, 72: Sn, 74: [1, 1406], 76: Tn, 77: vn, 112: An, 114: 736, 115: Tt, 116: vt, 117: 1407, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 144: 758, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 158: 768, 160: 769, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1408, 4: r2, 5: s2 }, { 2: n2, 3: 1409, 4: r2, 5: s2 }, e2(Y2, [2, 600]), { 2: n2, 3: 1410, 4: r2, 5: s2 }, { 113: 1411, 132: ae, 298: xe }, { 78: [1, 1412] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1413, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1011, 4: r2, 5: s2, 111: 1065, 143: ls, 145: hs, 338: 1414, 339: 1066 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1415, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 124: [1, 1416] }, e2(Y2, [2, 656], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(Hs, [2, 661]), { 78: [1, 1417], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(Y2, [2, 657], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1418, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(bs, [2, 275]), e2(bs, [2, 277]), e2(bs, [2, 279]), e2(bs, [2, 281]), e2(et, [2, 161]), e2(Y2, [2, 572]), { 148: [1, 1419] }, e2(Y2, [2, 573]), e2(gr, [2, 539], { 389: 878, 7: 879, 276: 1420, 4: _r, 388: [1, 1421], 391: Fr }), e2(Y2, [2, 574]), e2(Y2, [2, 576]), { 74: hr, 78: [1, 1422] }, e2(Y2, [2, 580]), e2(nn, [2, 348]), { 74: [1, 1423], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 74: [1, 1424], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 74: [1, 1425], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 74: [1, 1426], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(Y2, [2, 584]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1427, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1428, 4: r2, 5: s2 }, e2(Y2, [2, 586]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1376, 111: 149, 113: 153, 120: 1429, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 241: 1374, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 77: [1, 1430] }, { 2: n2, 3: 1431, 4: r2, 5: s2 }, { 76: Es, 139: [2, 1152], 482: 1432, 485: 1433 }, e2(Ws, [2, 1151]), { 139: [1, 1434] }, { 139: [2, 1155] }, e2(gr, [2, 740]), e2(wr, [2, 747]), e2(wr, [2, 1169]), { 2: n2, 3: 1268, 4: r2, 5: s2, 76: [1, 1437], 353: 1435, 360: 1436, 386: 1438 }, { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1439, 111: 1440 }, { 40: 1441, 79: 75, 89: u2, 184: 99, 189: d2 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1442, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 725]), { 2: n2, 3: 1011, 4: r2, 5: s2, 111: 1065, 143: ls, 145: hs, 147: 1443, 338: 1064, 339: 1066 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1444, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 730]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1445 }, { 337: ms, 340: Ss, 341: Ts, 513: 1446 }, e2(pt, [2, 694], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1447, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 74: [1, 1448], 78: [1, 1449] }, e2(sa, [2, 546]), e2(sa, [2, 547]), { 74: na, 78: [1, 1450] }, e2(pt, [2, 568]), e2(ys, [2, 383], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt, 320: Vt, 321: Bt }), e2(ys, [2, 385], { 114: 625, 329: 637, 115: Tt, 116: vt, 123: At, 133: Nt, 136: Ct, 138: Rt, 141: It, 142: xt, 179: $t, 180: Mt, 314: _t, 318: qt, 319: Gt, 320: Vt, 321: Bt }), e2(We, [2, 399]), e2(We, [2, 403]), { 78: [1, 1451] }, { 74: hr, 78: [1, 1452] }, e2(We, [2, 425]), e2(We, [2, 427]), { 78: [1, 1453], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1454] }, { 74: hr, 78: [1, 1455] }, e2(We, [2, 430]), e2(We, [2, 330]), { 77: [1, 1456] }, e2(We, Zs, { 279: 1457, 280: ea }), e2(We, Zs, { 279: 1458, 280: ea }), e2(ks, [2, 287]), e2(We, [2, 284]), e2(We, [2, 372]), e2(Wr, [2, 376], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 74: [1, 1460], 78: [1, 1459] }, { 74: [1, 1462], 78: [1, 1461], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 2: n2, 3: 1325, 4: r2, 5: s2 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1194, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 347: 1463, 421: 190, 422: Fe, 426: Pe }, e2(Ms, [2, 480]), e2(Ms, [2, 481]), { 40: 1466, 77: ns, 79: 75, 89: u2, 143: oe, 144: 979, 145: Xe, 149: es, 152: le, 181: pe, 184: 99, 189: d2, 201: 980, 304: $e, 343: 1464, 344: 1465, 346: ts, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1011, 4: r2, 5: s2, 111: 1467 }, e2(Ms, [2, 476]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1468, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 77: ns, 143: oe, 144: 979, 145: Xe, 152: le, 181: pe, 201: 980, 304: $e, 344: 1469, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 463], { 74: Ls }), e2(Ds, [2, 470]), e2(Y2, [2, 697]), e2(aa, [2, 702]), e2(aa, [2, 703]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 817, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 174: 1470, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 257: 816, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 170: [1, 1472], 311: [1, 1471] }, { 462: [1, 1473] }, e2(dn, [2, 180]), e2(Ta, [2, 240], { 85: 1474, 232: [1, 1475] }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1476, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1477, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1478, 4: r2, 5: s2 }, e2(rs, [2, 170], { 216: 1357, 221: 1360, 215: 1479, 205: 1480, 206: ua, 208: ca, 222: la, 223: ha, 224: da, 225: fa, 226: pa, 227: ba, 228: Ea, 229: ga }), { 2: n2, 3: 219, 4: r2, 5: s2, 77: Be, 132: je, 143: oe, 144: 212, 145: ue, 152: le, 156: W2, 181: pe, 199: 213, 200: 215, 201: 214, 202: 217, 209: 1481, 213: He, 214: 218, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e, 421: 190, 422: Fe, 426: Pe }, e2(va, [2, 205]), e2(va, [2, 206]), { 2: n2, 3: 219, 4: r2, 5: s2, 77: [1, 1486], 143: oe, 144: 1484, 145: ue, 152: le, 156: W2, 181: pe, 199: 1483, 200: 1487, 201: 1485, 202: 1488, 217: 1482, 292: X2, 293: K2, 294: Q2, 295: z2, 304: $e, 421: 190, 422: Fe, 426: Pe }, { 207: [1, 1489], 223: Aa }, { 207: [1, 1491], 223: ya }, e2(Na, [2, 222]), { 206: [1, 1495], 208: [1, 1494], 221: 1493, 223: ha, 224: da, 225: fa, 226: pa, 227: ba, 228: Ea, 229: ga }, e2(Na, [2, 224]), { 223: [1, 1496] }, { 208: [1, 1498], 223: [1, 1497] }, { 208: [1, 1500], 223: [1, 1499] }, { 208: [1, 1501] }, { 223: [1, 1502] }, { 223: [1, 1503] }, { 74: oa, 204: 1504, 205: 1356, 206: ua, 208: ca, 215: 1355, 216: 1357, 221: 1360, 222: la, 223: ha, 224: da, 225: fa, 226: pa, 227: ba, 228: Ea, 229: ga }, e2(Fs, [2, 84]), e2(cs, [2, 100]), { 74: Ca, 78: [1, 1505] }, { 78: [1, 1507] }, e2(Ra, [2, 261]), { 78: [2, 1063] }, e2(Ra, [2, 265], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 246: [1, 1508], 247: [1, 1509], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(cs, [2, 99]), e2(Ps, [2, 1067], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 101]), e2(cs, [2, 102]), e2(cs, [2, 103]), e2(cs, [2, 121]), e2(cs, [2, 124]), e2(cs, [2, 127]), e2(Ps, [2, 1071], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 128]), e2(Ps, [2, 1073], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 129]), e2(Ps, [2, 1075], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 130]), e2(Ps, [2, 1079], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 131]), e2(qs, [2, 1086], { 177: 1510 }), e2(qs, [2, 1089], { 153: 1015, 179: is, 180: os, 181: us }), { 74: Sa, 78: [1, 1511] }, e2(cs, [2, 133]), e2(Ps, [2, 1081], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 134]), e2(Ps, [2, 1083], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 135]), e2(cs, [2, 136]), e2(cs, [2, 137]), e2(cs, [2, 138]), e2(cs, [2, 139]), e2(cs, [2, 140]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 260, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 151: 1512, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Vs, [2, 1085], { 153: 1015, 179: is, 180: os, 181: us }), e2(Y2, [2, 610]), e2(Y2, [2, 606]), e2(Y2, [2, 608]), e2(Y2, [2, 604]), e2(cr, [2, 71]), e2(Y2, [2, 452], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(js, [2, 455]), e2(js, [2, 456], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1513, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Hs, [2, 665]), e2(Y2, [2, 658], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 1514, 4: r2, 5: s2 }, e2(gr, [2, 548], { 387: 1515, 393: 1516, 394: 1517, 368: 1525, 154: Oa, 187: wa, 230: Ia, 299: xa, 345: ka, 358: Da, 370: La, 371: $a, 375: Ma, 376: Ua }), e2(gr, [2, 538]), e2(Y2, [2, 579], { 76: [1, 1529] }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1530, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1531, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1532, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1533, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 74: hr, 78: [1, 1534] }, e2(Y2, [2, 588]), { 74: Ca, 78: [1, 1535] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1376, 111: 149, 113: 153, 120: 1536, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 241: 1374, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2([10, 74, 78, 139, 308, 312, 604, 765], [2, 744]), { 139: [1, 1537] }, { 139: [2, 1153] }, { 2: n2, 3: 1122, 4: r2, 5: s2, 132: lt2, 137: ht, 143: ze, 145: Ze, 152: dt, 433: 585, 477: 1124, 480: 1538, 484: 582, 495: 579, 499: 581 }, { 78: [1, 1539] }, { 74: [1, 1540], 78: [2, 509] }, { 40: 1541, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(sa, [2, 535]), { 74: ta, 78: [1, 1542] }, e2(ma, ra), e2(Y2, [2, 1136], { 414: 1543, 415: 1544, 72: _a }), e2(Ds, Xs, { 79: 75, 184: 99, 114: 625, 329: 637, 40: 1299, 470: 1546, 89: u2, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 146: Ks, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 189: d2, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en, 472: Qs }), e2(Ds, [2, 728], { 74: Bs }), e2(Ds, [2, 729], { 74: hr }), e2([10, 53, 72, 89, 124, 146, 156, 189, 270, 271, 292, 308, 312, 337, 340, 341, 398, 402, 403, 406, 408, 410, 411, 419, 420, 436, 438, 439, 441, 442, 443, 444, 445, 449, 450, 453, 454, 507, 509, 510, 519, 604, 765], [2, 1184], { 514: 1547, 3: 1548, 2: n2, 4: r2, 5: s2, 76: [1, 1549] }), e2(Fa, [2, 1186], { 515: 1550, 76: [1, 1551] }), e2(pt, [2, 695], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 131: [1, 1552] }, e2(vs, [2, 541]), e2(vs, [2, 543]), e2(We, [2, 415]), e2(We, [2, 416]), e2(We, [2, 442]), e2(We, [2, 426]), e2(We, [2, 428]), { 118: Pa, 281: 1553, 282: 1554, 283: [1, 1555] }, e2(We, [2, 331]), e2(We, [2, 332]), e2(We, [2, 319]), { 131: [1, 1557] }, e2(We, [2, 321]), { 131: [1, 1558] }, { 74: na, 78: [1, 1559] }, { 77: ns, 143: oe, 144: 979, 145: Xe, 152: le, 181: pe, 201: 980, 304: $e, 344: 1560, 421: 190, 422: Fe, 426: Pe }, e2(Ds, [2, 468], { 74: Ls }), e2(Ds, [2, 471]), e2(ma, [2, 491]), e2(sa, [2, 483], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(Ds, [2, 462], { 74: Ls }), e2(Y2, [2, 721], { 74: ps, 198: [1, 1561] }), { 337: qa, 340: Ga, 463: 1562 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1565, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 119: [1, 1567], 170: [1, 1568], 311: [1, 1566] }, e2(Va, [2, 259], { 86: 1569, 118: [1, 1570] }), { 119: [1, 1571] }, e2(ia, [2, 239], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 95: [1, 1572], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 95: [1, 1573] }, e2(va, [2, 203]), e2(va, [2, 204]), e2(ma, [2, 178]), e2(va, [2, 237], { 218: 1574, 230: [1, 1575], 231: [1, 1576] }), e2(Ba, [2, 208], { 3: 1577, 2: n2, 4: r2, 5: s2, 76: [1, 1578] }), e2(ja, [2, 1098], { 219: 1579, 76: [1, 1580] }), { 2: n2, 3: 1581, 4: r2, 5: s2, 76: [1, 1582] }, { 40: 1583, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(Ba, [2, 216], { 3: 1584, 2: n2, 4: r2, 5: s2, 76: [1, 1585] }), e2(Ba, [2, 219], { 3: 1586, 2: n2, 4: r2, 5: s2, 76: [1, 1587] }), { 77: [1, 1588] }, e2(Na, [2, 234]), { 77: [1, 1589] }, e2(Na, [2, 230]), e2(Na, [2, 223]), { 223: ya }, { 223: Aa }, e2(Na, [2, 225]), e2(Na, [2, 226]), { 223: [1, 1590] }, e2(Na, [2, 228]), { 223: [1, 1591] }, { 223: [1, 1592] }, e2(Na, [2, 232]), e2(Na, [2, 233]), { 78: [1, 1593], 205: 1480, 206: ua, 208: ca, 215: 1479, 216: 1357, 221: 1360, 222: la, 223: ha, 224: da, 225: fa, 226: pa, 227: ba, 228: Ea, 229: ga }, e2(cs, [2, 91]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1376, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 241: 1594, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(cs, [2, 92]), e2(Ra, [2, 266], { 242: 1595, 243: [1, 1596] }), { 248: [1, 1597] }, e2(sa, [2, 142], { 421: 190, 3: 733, 114: 736, 144: 758, 158: 768, 160: 769, 117: 1598, 2: n2, 4: r2, 5: s2, 72: Sn, 76: Tn, 77: vn, 112: An, 115: Tt, 116: vt, 118: yn, 122: Nn, 123: Cn, 124: Rn, 128: On, 129: wn, 130: In, 131: xn, 132: kn, 133: Dn, 134: Ln, 135: $n, 136: Mn, 137: Un, 138: _n, 139: Fn, 140: Pn, 141: qn, 142: Gn, 143: Vn, 145: Bn, 146: jn, 148: Hn, 149: Jn, 150: Yn, 152: Wn, 154: Xn, 156: Kn, 162: Qn, 164: zn, 166: Zn, 168: er, 169: tr, 170: nr, 171: rr, 172: sr, 173: ar, 175: ir, 185: or, 187: ur, 244: be, 245: Ee, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 422: Fe, 426: Pe }), e2(cs, [2, 132]), { 74: hr, 78: [1, 1599] }, e2(js, [2, 457], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(Y2, [2, 575]), e2(gr, [2, 537]), e2(gr, [2, 549], { 368: 1525, 394: 1600, 154: Oa, 187: wa, 230: Ia, 299: xa, 345: ka, 358: Da, 370: La, 371: $a, 375: Ma, 376: Ua }), e2(lr, [2, 551]), { 372: [1, 1601] }, { 372: [1, 1602] }, { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1603 }, e2(lr, [2, 557], { 77: [1, 1604] }), { 2: n2, 3: 114, 4: r2, 5: s2, 77: [1, 1606], 113: 251, 131: se, 132: ae, 143: oe, 152: le, 156: W2, 181: pe, 196: 250, 200: 1607, 201: 254, 261: 252, 262: 253, 269: Ke, 278: 1605, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 304: $e }, e2(lr, [2, 561]), { 299: [1, 1608] }, e2(lr, [2, 563]), e2(lr, [2, 564]), { 337: [1, 1609] }, { 77: [1, 1610] }, { 2: n2, 3: 1611, 4: r2, 5: s2 }, { 78: [1, 1612], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1613], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1614], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 78: [1, 1615], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(Y2, Js, { 409: 1616, 76: Ys }), e2(Y2, [2, 594]), { 74: Ca, 78: [1, 1617] }, { 2: n2, 3: 1122, 4: r2, 5: s2, 132: lt2, 137: ht, 143: ze, 145: Ze, 152: dt, 433: 585, 477: 1124, 480: 1618, 484: 582, 495: 579, 499: 581 }, e2(gr, [2, 738]), e2(Y2, [2, 496], { 354: 1619, 356: 1620, 357: 1621, 4: Ha, 247: Ja, 345: Ya, 358: Wa }), e2(Xa, Ka, { 3: 1268, 361: 1626, 386: 1627, 362: 1628, 363: 1629, 2: n2, 4: r2, 5: s2, 369: Qa }), { 78: [2, 510] }, { 76: [1, 1631] }, e2(Y2, [2, 612]), e2(Y2, [2, 1137]), { 370: [1, 1633], 416: [1, 1632] }, e2(Ds, [2, 731]), e2(Y2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 12: 1634, 2: n2, 4: r2, 5: s2, 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), e2(Y2, [2, 765]), e2(Fa, [2, 1185]), e2(Y2, t2, { 17: 5, 18: 7, 19: 8, 20: 9, 21: 10, 22: 11, 23: 12, 24: 13, 25: 14, 26: 15, 27: 16, 28: 17, 29: 18, 30: 19, 31: 20, 32: 21, 33: 22, 34: 23, 35: 24, 36: 25, 37: 26, 38: 27, 39: 28, 40: 29, 41: 30, 42: 31, 43: 32, 44: 33, 45: 34, 46: 35, 47: 36, 48: 37, 49: 38, 50: 39, 51: 40, 52: 41, 54: 43, 55: 44, 56: 45, 57: 46, 58: 47, 59: 48, 60: 49, 61: 50, 62: 51, 63: 52, 64: 53, 65: 54, 66: 55, 67: 56, 68: 57, 69: 58, 70: 59, 71: 60, 79: 75, 506: 95, 184: 99, 3: 100, 12: 1635, 2: n2, 4: r2, 5: s2, 53: i2, 72: o2, 89: u2, 124: c2, 146: l2, 156: h3, 189: d2, 270: f2, 271: p2, 292: b2, 337: E2, 340: g2, 341: m2, 398: S2, 402: T2, 403: v2, 406: A2, 408: y2, 410: N2, 411: C2, 419: R2, 420: O2, 436: w2, 438: I2, 439: x2, 441: k2, 442: D2, 443: L2, 444: $2, 445: M2, 449: U2, 450: _2, 453: F2, 454: P2, 507: q2, 509: G2, 510: V2, 519: B2 }), e2(Fa, [2, 1187]), { 78: [1, 1636] }, { 78: [1, 1637], 118: Pa, 282: 1638 }, { 78: [1, 1639] }, { 119: [1, 1640] }, { 119: [1, 1641] }, { 78: [1, 1642] }, { 78: [1, 1643] }, e2(Ms, [2, 479]), e2(Ds, [2, 467], { 74: Ls }), { 2: n2, 3: 244, 4: r2, 5: s2, 143: ze, 145: Ze, 199: 1645, 433: 1644 }, e2(aa, [2, 706]), e2(aa, [2, 708]), { 146: [1, 1646] }, { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 311: [1, 1647], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, { 341: za, 464: 1648 }, { 419: [1, 1651], 465: [1, 1650] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1652, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Za, [2, 270], { 87: 1653, 249: [1, 1654], 251: [1, 1655] }), { 119: [1, 1656] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1662, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 233: 1657, 235: 1658, 236: ei, 237: ti, 238: ni, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1663, 4: r2, 5: s2 }, { 2: n2, 3: 1664, 4: r2, 5: s2 }, e2(va, [2, 207]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1665, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1666, 111: 1440 }, e2(Ba, [2, 209]), { 2: n2, 3: 1667, 4: r2, 5: s2 }, e2(Ba, [2, 1100], { 220: 1668, 3: 1669, 2: n2, 4: r2, 5: s2 }), e2(ja, [2, 1099]), e2(Ba, [2, 212]), { 2: n2, 3: 1670, 4: r2, 5: s2 }, { 78: [1, 1671] }, e2(Ba, [2, 217]), { 2: n2, 3: 1672, 4: r2, 5: s2 }, e2(Ba, [2, 220]), { 2: n2, 3: 1673, 4: r2, 5: s2 }, { 40: 1674, 79: 75, 89: u2, 184: 99, 189: d2 }, { 40: 1675, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(Na, [2, 227]), e2(Na, [2, 229]), e2(Na, [2, 231]), e2(rs, [2, 171]), e2(Ra, [2, 262]), e2(Ra, [2, 267]), { 244: [1, 1676], 245: [1, 1677] }, e2(Ra, [2, 268], { 246: [1, 1678] }), e2(qs, [2, 1087], { 153: 1015, 179: is, 180: os, 181: us }), e2(cs, [2, 141]), e2(lr, [2, 550]), e2(lr, [2, 553]), { 376: [1, 1679] }, e2(lr, [2, 1130], { 397: 1680, 395: 1681, 77: ri }), { 131: se, 196: 1683 }, e2(lr, [2, 558]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1684, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(lr, [2, 560]), e2(lr, [2, 562]), { 2: n2, 3: 114, 4: r2, 5: s2, 77: [1, 1686], 113: 251, 131: se, 132: ae, 143: oe, 152: le, 156: W2, 181: pe, 196: 250, 200: 255, 201: 254, 261: 252, 262: 253, 269: Ke, 278: 1685, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 304: $e }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1687, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Y2, [2, 581]), e2(nn, [2, 352]), e2(nn, [2, 353]), e2(nn, [2, 354]), e2(nn, [2, 355]), e2(Y2, [2, 585]), e2(Y2, [2, 595]), e2(gr, [2, 737]), e2(Y2, [2, 492]), e2(Y2, [2, 497], { 357: 1688, 4: Ha, 247: Ja, 345: Ya, 358: Wa }), e2(si, [2, 499]), e2(si, [2, 500]), { 124: [1, 1689] }, { 124: [1, 1690] }, { 124: [1, 1691] }, { 74: [1, 1692], 78: [2, 508] }, e2(sa, [2, 536]), e2(sa, [2, 511]), { 187: [1, 1700], 193: [1, 1701], 364: 1693, 365: 1694, 366: 1695, 367: 1696, 368: 1697, 370: La, 371: [1, 1698], 372: [1, 1702], 375: [1, 1699] }, { 2: n2, 3: 1703, 4: r2, 5: s2 }, { 40: 1704, 79: 75, 89: u2, 184: 99, 189: d2 }, { 417: [1, 1705] }, { 418: [1, 1706] }, e2(Y2, [2, 764]), e2(Y2, [2, 766]), e2(vs, [2, 540]), e2(We, [2, 334]), { 78: [1, 1707] }, e2(We, [2, 335]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1662, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 233: 1708, 235: 1658, 236: ei, 237: ti, 238: ni, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1376, 111: 149, 113: 153, 120: 1709, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 241: 1374, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(We, [2, 320]), e2(We, [2, 322]), { 2: n2, 3: 1710, 4: r2, 5: s2 }, e2(Y2, [2, 723], { 77: [1, 1711] }), { 2: n2, 3: 1011, 4: r2, 5: s2, 111: 1065, 143: ls, 145: hs, 147: 1712, 338: 1064, 339: 1066 }, { 337: qa, 340: Ga, 463: 1713 }, e2(aa, [2, 710]), { 77: [1, 1715], 345: [1, 1716], 346: [1, 1714] }, { 170: [1, 1718], 311: [1, 1717] }, { 170: [1, 1720], 311: [1, 1719] }, { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 311: [1, 1721], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(as, [2, 250], { 88: 1722, 162: [1, 1723], 168: [1, 1725], 169: [1, 1724] }), { 131: se, 196: 1726 }, { 131: se, 196: 1727 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1376, 111: 149, 113: 153, 120: 1728, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 241: 1374, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, e2(Ta, [2, 248], { 234: 1729, 74: ai, 239: [1, 1731] }), e2(ii, [2, 242]), { 146: [1, 1732] }, { 77: [1, 1733] }, { 77: [1, 1734] }, e2(ii, [2, 247], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 78: [2, 1054], 96: 1735, 99: [1, 1737], 102: 1736 }, { 99: [1, 1738] }, e2(va, [2, 235], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), e2(va, [2, 236], { 74: ta }), e2(Ba, [2, 210]), e2(Ba, [2, 211]), e2(Ba, [2, 1101]), e2(Ba, [2, 213]), { 2: n2, 3: 1739, 4: r2, 5: s2, 76: [1, 1740] }, e2(Ba, [2, 218]), e2(Ba, [2, 221]), { 78: [1, 1741] }, { 78: [1, 1742] }, e2(Ra, [2, 263]), e2(Ra, [2, 264]), e2(Ra, [2, 269]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1743 }, e2(lr, [2, 555]), e2(lr, [2, 1131]), { 2: n2, 3: 1744, 4: r2, 5: s2 }, { 74: [1, 1745] }, { 78: [1, 1746], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(lr, [2, 565]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1747, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 78: [1, 1748], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(si, [2, 498]), { 2: n2, 3: 1749, 4: r2, 5: s2 }, { 131: se, 196: 1750 }, { 2: n2, 3: 1751, 4: r2, 5: s2 }, e2(Xa, Ka, { 363: 1629, 362: 1752, 369: Qa }), e2(gr, [2, 513]), e2(gr, [2, 514]), e2(gr, [2, 515]), e2(gr, [2, 516]), e2(gr, [2, 517]), { 372: [1, 1753] }, { 372: [1, 1754] }, e2(oi, [2, 1124], { 384: 1755, 372: [1, 1756] }), { 2: n2, 3: 1757, 4: r2, 5: s2 }, { 2: n2, 3: 1758, 4: r2, 5: s2 }, e2(Xa, [2, 519]), e2(Y2, [2, 1134], { 413: 1759, 415: 1760, 72: _a }), e2(Y2, [2, 613]), e2(Y2, [2, 614], { 369: [1, 1761] }), e2(We, [2, 336]), e2([78, 118], [2, 337], { 74: ai }), { 74: Ca, 78: [2, 338] }, e2(Y2, [2, 722]), { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1762, 111: 1440 }, e2(aa, [2, 709], { 74: Bs }), e2(aa, [2, 707]), { 77: ns, 143: oe, 144: 979, 145: Xe, 152: le, 181: pe, 201: 980, 304: $e, 344: 1763, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1764, 111: 1440 }, { 346: [1, 1765] }, { 341: za, 464: 1766 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1767, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 341: za, 464: 1768 }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1769, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 341: za, 464: 1770 }, e2(as, [2, 72]), { 40: 1771, 79: 75, 89: u2, 164: [1, 1772], 184: 99, 189: d2, 240: [1, 1773] }, { 40: 1774, 79: 75, 89: u2, 184: 99, 189: d2, 240: [1, 1775] }, { 40: 1776, 79: 75, 89: u2, 184: 99, 189: d2, 240: [1, 1777] }, e2(Za, [2, 273], { 250: 1778, 251: [1, 1779] }), { 252: 1780, 253: [2, 1102], 767: [1, 1781] }, e2(Va, [2, 260], { 74: Ca }), e2(Ta, [2, 241]), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1662, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 235: 1782, 236: ei, 237: ti, 238: ni, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1783, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 77: [1, 1784] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1662, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 233: 1785, 235: 1658, 236: ei, 237: ti, 238: ni, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1662, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 233: 1786, 235: 1658, 236: ei, 237: ti, 238: ni, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 78: [1, 1787] }, { 78: [2, 1055] }, { 77: [1, 1788] }, { 77: [1, 1789] }, e2(Ba, [2, 214]), { 2: n2, 3: 1790, 4: r2, 5: s2 }, { 2: n2, 3: 1791, 4: r2, 5: s2, 76: [1, 1792] }, { 2: n2, 3: 1793, 4: r2, 5: s2, 76: [1, 1794] }, e2(lr, [2, 1128], { 396: 1795, 395: 1796, 77: ri }), { 78: [1, 1797] }, { 131: se, 196: 1798 }, e2(lr, [2, 559]), { 78: [1, 1799], 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(lr, [2, 520]), e2(si, [2, 501]), e2(si, [2, 502]), e2(si, [2, 503]), e2(sa, [2, 512]), { 2: n2, 3: 1801, 4: r2, 5: s2, 77: [2, 1120], 373: 1800 }, { 77: [1, 1802] }, { 2: n2, 3: 1804, 4: r2, 5: s2, 77: [2, 1126], 385: 1803 }, e2(oi, [2, 1125]), { 77: [1, 1805] }, { 77: [1, 1806] }, e2(Y2, [2, 611]), e2(Y2, [2, 1135]), e2(Xa, Ka, { 363: 1629, 362: 1807, 369: Qa }), { 74: ta, 78: [1, 1808] }, e2(aa, [2, 716], { 74: Ls }), { 74: ta, 78: [1, 1809] }, e2(aa, [2, 718]), e2(aa, [2, 711]), { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 311: [1, 1810], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(aa, [2, 714]), { 99: mt, 112: St, 114: 625, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 311: [1, 1811], 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 329: 637, 332: Qt, 333: zt, 334: Zt, 335: en }, e2(aa, [2, 712]), e2(as, [2, 251]), { 40: 1812, 79: 75, 89: u2, 184: 99, 189: d2, 240: [1, 1813] }, { 40: 1814, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(as, [2, 253]), { 40: 1815, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(as, [2, 254]), { 40: 1816, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(Za, [2, 271]), { 131: se, 196: 1817 }, { 253: [1, 1818] }, { 253: [2, 1103] }, e2(ii, [2, 243]), e2(Ta, [2, 249], { 114: 625, 329: 637, 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1662, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 233: 1819, 235: 1658, 236: ei, 237: ti, 238: ni, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 74: ai, 78: [1, 1820] }, { 74: ai, 78: [1, 1821] }, e2(_s, [2, 1056], { 97: 1822, 104: 1823, 3: 1825, 2: n2, 4: r2, 5: s2, 76: ui }), { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1828, 103: 1826, 105: 1827, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1829, 111: 1440 }, e2(Ba, [2, 215]), e2(va, [2, 173]), { 2: n2, 3: 1830, 4: r2, 5: s2 }, e2(va, [2, 175]), { 2: n2, 3: 1831, 4: r2, 5: s2 }, e2(lr, [2, 554]), e2(lr, [2, 1129]), e2(lr, [2, 552]), { 78: [1, 1832] }, e2(lr, [2, 566]), { 77: [1, 1833] }, { 77: [2, 1121] }, { 2: n2, 3: 1835, 4: r2, 5: s2, 132: ci, 374: 1834 }, { 77: [1, 1837] }, { 77: [2, 1127] }, { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1838, 111: 1440 }, { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1839, 111: 1440 }, e2(Y2, [2, 615]), e2(Y2, [2, 724]), { 345: [1, 1841], 346: [1, 1840] }, { 341: za, 464: 1842 }, { 337: qa, 340: Ga, 463: 1843 }, e2(as, [2, 252]), { 40: 1844, 79: 75, 89: u2, 184: 99, 189: d2 }, e2(as, [2, 255]), e2(as, [2, 257]), e2(as, [2, 258]), e2(Za, [2, 274]), { 131: [2, 1104], 254: 1845, 647: [1, 1846] }, { 74: ai, 78: [1, 1847] }, e2(ii, [2, 245]), e2(ii, [2, 246]), e2(_s, [2, 74]), e2(_s, [2, 1057]), { 2: n2, 3: 1848, 4: r2, 5: s2 }, e2(_s, [2, 78]), { 74: [1, 1850], 78: [1, 1849] }, e2(sa, [2, 80]), e2(sa, [2, 81], { 114: 625, 329: 637, 76: [1, 1851], 99: mt, 112: St, 115: Tt, 116: vt, 123: At, 124: fr, 133: Nt, 136: Ct, 138: Rt, 139: Ot, 140: wt, 141: It, 142: xt, 154: kt, 170: Dt, 171: Lt, 179: $t, 180: Mt, 313: Ut, 314: _t, 315: Ft, 317: Pt, 318: qt, 319: Gt, 320: Vt, 321: Bt, 322: jt, 323: Ht, 324: Jt, 325: Yt, 326: Wt, 327: Xt, 328: Kt, 332: Qt, 333: zt, 334: Zt, 335: en }), { 74: ta, 78: [1, 1852] }, e2(va, [2, 174]), e2(va, [2, 176]), e2(lr, [2, 556]), { 2: n2, 3: 1835, 4: r2, 5: s2, 132: ci, 374: 1853 }, { 74: li, 78: [1, 1854] }, e2(sa, [2, 531]), e2(sa, [2, 532]), { 2: n2, 3: 1011, 4: r2, 5: s2, 100: 1856, 111: 1440 }, { 74: ta, 78: [1, 1857] }, { 74: ta, 78: [1, 1858] }, { 77: ns, 143: oe, 144: 979, 145: Xe, 152: le, 181: pe, 201: 980, 304: $e, 344: 1859, 421: 190, 422: Fe, 426: Pe }, { 346: [1, 1860] }, e2(aa, [2, 713]), e2(aa, [2, 715]), e2(as, [2, 256]), { 131: se, 196: 1861 }, { 131: [2, 1105] }, e2(ii, [2, 244]), e2(_s, [2, 77]), { 78: [2, 76] }, { 2: n2, 3: 168, 4: r2, 5: s2, 56: 165, 77: re, 94: 1828, 105: 1862, 111: 149, 113: 153, 131: se, 132: ae, 137: ie, 143: oe, 144: 161, 145: ue, 149: ce, 152: le, 154: he, 156: W2, 158: 167, 179: de, 180: fe, 181: pe, 196: 151, 200: 147, 201: 155, 202: 156, 244: be, 245: Ee, 258: 150, 259: 146, 260: 148, 261: 152, 262: 154, 263: 157, 264: 158, 265: 159, 266: 162, 267: 163, 269: ge, 270: f2, 274: me, 275: Se, 277: Te, 284: ve, 285: Ae, 286: ye, 287: Ne, 288: Ce, 289: Re, 290: Oe, 292: X2, 293: K2, 294: Q2, 295: z2, 296: we, 297: Ie, 298: xe, 299: ke, 300: De, 301: Le, 304: $e, 305: Me, 314: Ue, 319: _e, 421: 190, 422: Fe, 426: Pe }, { 2: n2, 3: 1863, 4: r2, 5: s2 }, { 78: [1, 1864] }, { 74: li, 78: [1, 1865] }, { 376: [1, 1866] }, { 2: n2, 3: 1867, 4: r2, 5: s2, 132: [1, 1868] }, { 74: ta, 78: [1, 1869] }, e2(gr, [2, 529]), e2(gr, [2, 530]), e2(aa, [2, 717], { 74: Ls }), e2(aa, [2, 719]), e2(hi, [2, 1106], { 255: 1870, 767: [1, 1871] }), e2(sa, [2, 79]), e2(sa, [2, 82]), e2(_s, [2, 1058], { 3: 1825, 101: 1872, 104: 1873, 2: n2, 4: r2, 5: s2, 76: ui }), e2(gr, [2, 521]), { 2: n2, 3: 244, 4: r2, 5: s2, 199: 1874 }, e2(sa, [2, 533]), e2(sa, [2, 534]), e2(gr, [2, 528]), e2(Za, [2, 1108], { 256: 1875, 417: [1, 1876] }), e2(hi, [2, 1107]), e2(_s, [2, 75]), e2(_s, [2, 1059]), e2(di, [2, 1122], { 377: 1877, 379: 1878, 77: [1, 1879] }), e2(Za, [2, 272]), e2(Za, [2, 1109]), e2(gr, [2, 524], { 378: 1880, 380: 1881, 230: [1, 1882] }), e2(di, [2, 1123]), { 2: n2, 3: 1835, 4: r2, 5: s2, 132: ci, 374: 1883 }, e2(gr, [2, 522]), { 230: [1, 1885], 381: 1884 }, { 340: [1, 1886] }, { 74: li, 78: [1, 1887] }, e2(gr, [2, 525]), { 337: [1, 1888] }, { 382: [1, 1889] }, e2(di, [2, 523]), { 382: [1, 1890] }, { 383: [1, 1891] }, { 383: [1, 1892] }, { 230: [2, 526] }, e2(gr, [2, 527])], defaultActions: { 105: [2, 6], 194: [2, 339], 195: [2, 340], 196: [2, 341], 197: [2, 342], 198: [2, 343], 199: [2, 344], 200: [2, 345], 201: [2, 346], 202: [2, 347], 209: [2, 698], 591: [2, 1145], 653: [2, 1110], 654: [2, 1111], 710: [2, 699], 780: [2, 1076], 781: [2, 1077], 926: [2, 449], 927: [2, 450], 928: [2, 451], 987: [2, 700], 1288: [2, 1155], 1375: [2, 1063], 1433: [2, 1153], 1541: [2, 510], 1736: [2, 1055], 1781: [2, 1103], 1801: [2, 1121], 1804: [2, 1127], 1846: [2, 1105], 1849: [2, 76], 1891: [2, 526] }, parseError: function(e3, t3) {
        if (!t3.recoverable) {
          var n3 = new Error(e3);
          throw n3.hash = t3, n3;
        }
        this.trace(e3);
      }, parse: function(e3) {
        var t3, n3 = this, r3 = [0], s3 = [null], a3 = [], i3 = this.table, o3 = "", u3 = 0, c3 = 0, l3 = 0, h4 = a3.slice.call(arguments, 1), d3 = Object.create(this.lexer), f3 = { yy: {} };
        for (t3 in this.yy)
          Object.prototype.hasOwnProperty.call(this.yy, t3) && (f3.yy[t3] = this.yy[t3]);
        d3.setInput(e3, f3.yy), f3.yy.lexer = d3, f3.yy.parser = this, void 0 === d3.yylloc && (d3.yylloc = {});
        var p3 = d3.yylloc;
        a3.push(p3);
        var b3 = d3.options && d3.options.ranges;
        "function" == typeof f3.yy.parseError ? this.parseError = f3.yy.parseError : this.parseError = Object.getPrototypeOf(this).parseError;
        for (var E3, g3, m3, S3, T3, v3, A3, y3, N3, C3 = function() {
          var e4 = d3.lex() || 1;
          return e4 = "number" != typeof e4 ? n3.symbols_[e4] || e4 : e4;
        }, R3 = {}; ; ) {
          if (m3 = r3[r3.length - 1], void 0 === (S3 = this.defaultActions[m3] || (null == E3 && (E3 = C3()), i3[m3] && i3[m3][E3])) || !S3.length || !S3[0]) {
            var O3, w3 = "", I3 = function(e4) {
              for (var t4 = r3.length - 1, n4 = 0; ; ) {
                if (2 .toString() in i3[e4])
                  return n4;
                if (0 === e4 || t4 < 2)
                  return false;
                e4 = r3[t4 -= 2], ++n4;
              }
            };
            if (l3)
              1 !== g3 && (O3 = I3(m3));
            else {
              for (v3 in O3 = I3(m3), y3 = [], i3[m3])
                this.terminals_[v3] && 2 < v3 && y3.push("'" + this.terminals_[v3] + "'");
              w3 = d3.showPosition ? "Parse error on line " + (u3 + 1) + ":\n" + d3.showPosition() + "\nExpecting " + y3.join(", ") + ", got '" + (this.terminals_[E3] || E3) + "'" : "Parse error on line " + (u3 + 1) + ": Unexpected " + (1 == E3 ? "end of input" : "'" + (this.terminals_[E3] || E3) + "'"), this.parseError(w3, { text: d3.match, token: this.terminals_[E3] || E3, line: d3.yylineno, loc: p3, expected: y3, recoverable: false !== O3 });
            }
            if (3 == l3) {
              if (1 === E3 || 1 === g3)
                throw new Error(w3 || "Parsing halted while starting to recover from another error.");
              c3 = d3.yyleng, o3 = d3.yytext, u3 = d3.yylineno, p3 = d3.yylloc, E3 = C3();
            }
            if (false === O3)
              throw new Error(w3 || "Parsing halted. No suitable error recovery rule available.");
            N3 = O3, r3.length = r3.length - 2 * N3, s3.length = s3.length - N3, a3.length = a3.length - N3, g3 = 2 == E3 ? null : E3, E3 = 2, m3 = r3[r3.length - 1], S3 = i3[m3] && i3[m3][2], l3 = 3;
          }
          if (S3[0] instanceof Array && 1 < S3.length)
            throw new Error("Parse Error: multiple actions possible at state: " + m3 + ", token: " + E3);
          switch (S3[0]) {
            case 1:
              r3.push(E3), s3.push(d3.yytext), a3.push(d3.yylloc), r3.push(S3[1]), E3 = null, g3 ? (E3 = g3, g3 = null) : (c3 = d3.yyleng, o3 = d3.yytext, u3 = d3.yylineno, p3 = d3.yylloc, 0 < l3 && l3--);
              break;
            case 2:
              if (A3 = this.productions_[S3[1]][1], R3.$ = s3[s3.length - A3], R3._$ = { first_line: a3[a3.length - (A3 || 1)].first_line, last_line: a3[a3.length - 1].last_line, first_column: a3[a3.length - (A3 || 1)].first_column, last_column: a3[a3.length - 1].last_column }, b3 && (R3._$.range = [a3[a3.length - (A3 || 1)].range[0], a3[a3.length - 1].range[1]]), void 0 !== (T3 = this.performAction.apply(R3, [o3, c3, u3, f3.yy, S3[1], s3, a3].concat(h4))))
                return T3;
              A3 && (r3 = r3.slice(0, -1 * A3 * 2), s3 = s3.slice(0, -1 * A3), a3 = a3.slice(0, -1 * A3)), r3.push(this.productions_[S3[1]][0]), s3.push(R3.$), a3.push(R3._$), A3 = i3[r3[r3.length - 2]][r3[r3.length - 1]], r3.push(A3);
              break;
            case 3:
              return true;
          }
        }
        return true;
      } }, fi = ["A", "ABSENT", "ABSOLUTE", "ACCORDING", "ACTION", "ADA", "ADD", "ADMIN", "AFTER", "ALWAYS", "ASC", "ASSERTION", "ASSIGNMENT", "ATTRIBUTE", "ATTRIBUTES", "BASE64", "BEFORE", "BERNOULLI", "BLOCKED", "BOM", "BREADTH", "C", "CASCADE", "CATALOG", "CATALOG_NAME", "CHAIN", "CHARACTERISTICS", "CHARACTERS", "CHARACTER_SET_CATALOG", "CHARACTER_SET_NAME", "CHARACTER_SET_SCHEMA", "CLASS_ORIGIN", "COBOL", "COLLATION", "COLLATION_CATALOG", "COLLATION_NAME", "COLLATION_SCHEMA", "COLUMNS", "COLUMN_NAME", "COMMAND_FUNCTION", "COMMAND_FUNCTION_CODE", "COMMITTED", "CONDITION_NUMBER", "CONNECTION", "CONNECTION_NAME", "CONSTRAINTS", "CONSTRAINT_CATALOG", "CONSTRAINT_NAME", "CONSTRAINT_SCHEMA", "CONSTRUCTOR", "CONTENT", "CONTINUE", "CONTROL", "CURSOR_NAME", "DATA", "DATETIME_INTERVAL_CODE", "DATETIME_INTERVAL_PRECISION", "DB", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINED", "DEFINER", "DEGREE", "DEPTH", "DERIVED", "DESC", "DESCRIPTOR", "DIAGNOSTICS", "DISPATCH", "DOCUMENT", "DOMAIN", "DYNAMIC_FUNCTION", "DYNAMIC_FUNCTION_CODE", "EMPTY", "ENCODING", "ENFORCED", "EXCLUDE", "EXCLUDING", "EXPRESSION", "FILE", "FINAL", "FIRST", "FLAG", "FOLLOWING", "FORTRAN", "FOUND", "FS", "G", "GENERAL", "GENERATED", "GO", "GOTO", "GRANTED", "HEX", "HIERARCHY", "ID", "IGNORE", "IMMEDIATE", "IMMEDIATELY", "IMPLEMENTATION", "INCLUDING", "INCREMENT", "INDENT", "INITIALLY", "INPUT", "INSTANCE", "INSTANTIABLE", "INSTEAD", "INTEGRITY", "INVOKER", "ISOLATION", "K", "KEY", "KEY_MEMBER", "KEY_TYPE", "LAST", "LENGTH", "LEVEL", "LIBRARY", "LIMIT", "LINK", "LOCATION", "LOCATOR", "M", "MAP", "MAPPING", "MATCHED", "MAXVALUE", "MESSAGE_LENGTH", "MESSAGE_OCTET_LENGTH", "MESSAGE_TEXT", "MINVALUE", "MORE", "MUMPS", "NAME", "NAMES", "NAMESPACE", "NESTING", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NIL", "NORMALIZED", "NULLABLE", "NULLS", "NUMBER", "OBJECT", "OCTETS", "OFF", "OPTION", "OPTIONS", "ORDERING", "ORDINALITY", "OTHERS", "OUTPUT", "OVERRIDING", "P", "PAD", "PARAMETER_MODE", "PARAMETER_NAME", "PARAMETER_ORDINAL_POSITION", "PARAMETER_SPECIFIC_CATALOG", "PARAMETER_SPECIFIC_NAME", "PARAMETER_SPECIFIC_SCHEMA", "PARTIAL", "PASCAL", "PASSING", "PASSTHROUGH", "PATH", "PERMISSION", "PLACING", "PLI", "PRECEDING", "PRESERVE", "PRIOR", "PRIVILEGES", "PUBLIC", "READ", "RECOVERY", "RELATIVE", "REPEATABLE", "REQUIRING", "RESPECT", "RESTART", "RESTORE", "RESTRICT", "RETURNED_CARDINALITY", "RETURNED_LENGTH", "RETURNED_OCTET_LENGTH", "RETURNED_SQLSTATE", "RETURNING", "ROLE", "ROUTINE", "ROUTINE_CATALOG", "ROUTINE_NAME", "ROUTINE_SCHEMA", "ROW_COUNT", "SCALE", "SCHEMA", "SCHEMA_NAME", "SCOPE_CATALOG", "SCOPE_NAME", "SCOPE_SCHEMA", "SECTION", "SECURITY", "SELECTIVE", "SELF", "SEQUENCE", "SERIALIZABLE", "SERVER", "SERVER_NAME", "SESSION", "SETS", "SIMPLE", "SIZE", "SOURCE", "SPACE", "SPECIFIC_NAME", "STANDALONE", "STATE", "STATEMENT", "STRIP", "STRUCTURE", "STYLE", "SUBCLASS_ORIGIN", "T", "TABLE_NAME", "TEMPORARY", "TIES", "TOKEN", "TOP_LEVEL_COUNT", "TRANSACTION", "TRANSACTIONS_COMMITTED", "TRANSACTIONS_ROLLED_BACK", "TRANSACTION_ACTIVE", "TRANSFORM", "TRANSFORMS", "TRIGGER_CATALOG", "TRIGGER_NAME", "TRIGGER_SCHEMA", "TYPE", "UNBOUNDED", "UNCOMMITTED", "UNDER", "UNLINK", "UNNAMED", "UNTYPED", "URI", "USAGE", "USER_DEFINED_TYPE_CATALOG", "USER_DEFINED_TYPE_CODE", "USER_DEFINED_TYPE_NAME", "USER_DEFINED_TYPE_SCHEMA", "VALID", "VERSION", "VIEW", "WHITESPACE", "WORK", "WRAPPER", "WRITE", "XMLDECLARATION", "XMLSCHEMA", "YES", "ZONE"];
      e2.parseError = function(e3, t3) {
        if (!(t3.expected && -1 < t3.expected.indexOf("'LITERAL'") && /[a-zA-Z_][a-zA-Z_0-9]*/.test(t3.token) && -1 < fi.indexOf(t3.token)))
          throw new SyntaxError(e3);
      };
      gr = { EOF: 1, parseError: function(e3, t3) {
        if (!this.yy.parser)
          throw new Error(e3);
        this.yy.parser.parseError(e3, t3);
      }, setInput: function(e3, t3) {
        return this.yy = t3 || this.yy || {}, this._input = e3, this._more = this._backtrack = this.done = false, this.yylineno = this.yyleng = 0, this.yytext = this.matched = this.match = "", this.conditionStack = ["INITIAL"], this.yylloc = { first_line: 1, first_column: 0, last_line: 1, last_column: 0 }, this.options.ranges && (this.yylloc.range = [0, 0]), this.offset = 0, this;
      }, input: function() {
        var e3 = this._input[0];
        return this.yytext += e3, this.yyleng++, this.offset++, this.match += e3, this.matched += e3, e3.match(/(?:\r\n?|\n).*/g) ? (this.yylineno++, this.yylloc.last_line++) : this.yylloc.last_column++, this.options.ranges && this.yylloc.range[1]++, this._input = this._input.slice(1), e3;
      }, unput: function(e3) {
        var t3 = e3.length, n3 = e3.split(/(?:\r\n?|\n)/g);
        this._input = e3 + this._input, this.yytext = this.yytext.substr(0, this.yytext.length - t3), this.offset -= t3;
        var r3 = this.match.split(/(?:\r\n?|\n)/g);
        this.match = this.match.substr(0, this.match.length - 1), this.matched = this.matched.substr(0, this.matched.length - 1), n3.length - 1 && (this.yylineno -= n3.length - 1);
        e3 = this.yylloc.range;
        return this.yylloc = { first_line: this.yylloc.first_line, last_line: this.yylineno + 1, first_column: this.yylloc.first_column, last_column: n3 ? (n3.length === r3.length ? this.yylloc.first_column : 0) + r3[r3.length - n3.length].length - n3[0].length : this.yylloc.first_column - t3 }, this.options.ranges && (this.yylloc.range = [e3[0], e3[0] + this.yyleng - t3]), this.yyleng = this.yytext.length, this;
      }, more: function() {
        return this._more = true, this;
      }, reject: function() {
        return this.options.backtrack_lexer ? (this._backtrack = true, this) : this.parseError("Lexical error on line " + (this.yylineno + 1) + ". You can only invoke reject() in the lexer when the lexer is of the backtracking persuasion (options.backtrack_lexer = true).\n" + this.showPosition(), { text: "", token: null, line: this.yylineno });
      }, less: function(e3) {
        this.unput(this.match.slice(e3));
      }, pastInput: function() {
        var e3 = this.matched.substr(0, this.matched.length - this.match.length);
        return (20 < e3.length ? "..." : "") + e3.substr(-20).replace(/\n/g, "");
      }, upcomingInput: function() {
        var e3 = this.match;
        return e3.length < 20 && (e3 += this._input.substr(0, 20 - e3.length)), (e3.substr(0, 20) + (20 < e3.length ? "..." : "")).replace(/\n/g, "");
      }, showPosition: function() {
        var e3 = this.pastInput(), t3 = new Array(e3.length + 1).join("-");
        return e3 + this.upcomingInput() + "\n" + t3 + "^";
      }, test_match: function(e3, t3) {
        var n3, r3;
        if (this.options.backtrack_lexer && (r3 = { yylineno: this.yylineno, yylloc: { first_line: this.yylloc.first_line, last_line: this.last_line, first_column: this.yylloc.first_column, last_column: this.yylloc.last_column }, yytext: this.yytext, match: this.match, matches: this.matches, matched: this.matched, yyleng: this.yyleng, offset: this.offset, _more: this._more, _input: this._input, yy: this.yy, conditionStack: this.conditionStack.slice(0), done: this.done }, this.options.ranges && (r3.yylloc.range = this.yylloc.range.slice(0))), (n3 = e3[0].match(/(?:\r\n?|\n).*/g)) && (this.yylineno += n3.length), this.yylloc = { first_line: this.yylloc.last_line, last_line: this.yylineno + 1, first_column: this.yylloc.last_column, last_column: n3 ? n3[n3.length - 1].length - n3[n3.length - 1].match(/\r?\n?/)[0].length : this.yylloc.last_column + e3[0].length }, this.yytext += e3[0], this.match += e3[0], this.matches = e3, this.yyleng = this.yytext.length, this.options.ranges && (this.yylloc.range = [this.offset, this.offset += this.yyleng]), this._more = false, this._backtrack = false, this._input = this._input.slice(e3[0].length), this.matched += e3[0], t3 = this.performAction.call(this, this.yy, this, t3, this.conditionStack[this.conditionStack.length - 1]), this.done && this._input && (this.done = false), t3)
          return t3;
        if (this._backtrack) {
          for (var s3 in r3)
            this[s3] = r3[s3];
          return false;
        }
        return false;
      }, next: function() {
        if (this.done)
          return this.EOF;
        var e3, t3, n3, r3;
        this._input || (this.done = true), this._more || (this.yytext = "", this.match = "");
        for (var s3 = this._currentRules(), a3 = 0; a3 < s3.length; a3++)
          if ((n3 = this._input.match(this.rules[s3[a3]])) && (!t3 || n3[0].length > t3[0].length)) {
            if (t3 = n3, r3 = a3, this.options.backtrack_lexer) {
              if (false !== (e3 = this.test_match(n3, s3[a3])))
                return e3;
              if (!this._backtrack)
                return false;
              t3 = false;
            } else if (!this.options.flex)
              break;
          }
        return t3 ? false !== (e3 = this.test_match(t3, s3[r3])) && e3 : "" === this._input ? this.EOF : this.parseError("Lexical error on line " + (this.yylineno + 1) + ". Unrecognized text.\n" + this.showPosition(), { text: "", token: null, line: this.yylineno });
      }, lex: function() {
        var e3 = this.next();
        return e3 || this.lex();
      }, begin: function(e3) {
        this.conditionStack.push(e3);
      }, popState: function() {
        return 0 < this.conditionStack.length - 1 ? this.conditionStack.pop() : this.conditionStack[0];
      }, _currentRules: function() {
        return (this.conditionStack.length && this.conditionStack[this.conditionStack.length - 1] ? this.conditions[this.conditionStack[this.conditionStack.length - 1]] : this.conditions.INITIAL).rules;
      }, topState: function(e3) {
        return 0 <= (e3 = this.conditionStack.length - 1 - Math.abs(e3 || 0)) ? this.conditionStack[e3] : "INITIAL";
      }, pushState: function(e3) {
        this.begin(e3);
      }, stateStackSize: function() {
        return this.conditionStack.length;
      }, options: { "case-insensitive": true }, performAction: function(e3, t3, n3, r3) {
        switch (n3) {
          case 0:
            return 270;
          case 1:
            return 304;
          case 2:
            return 422;
          case 3:
            return 301;
          case 4:
          case 5:
            return 5;
          case 6:
          case 7:
            return 298;
          case 8:
          case 9:
            return 132;
          case 10:
            return;
          case 11:
            break;
          case 12:
            return 318;
          case 13:
            return 321;
          case 14:
            return t3.yytext = "VALUE", 89;
          case 15:
            return t3.yytext = "VALUE", 189;
          case 16:
            return t3.yytext = "ROW", 189;
          case 17:
            return t3.yytext = "COLUMN", 189;
          case 18:
            return t3.yytext = "MATRIX", 189;
          case 19:
            return t3.yytext = "INDEX", 189;
          case 20:
            return t3.yytext = "RECORDSET", 189;
          case 21:
            return t3.yytext = "TEXT", 189;
          case 22:
            return t3.yytext = "SELECT", 189;
          case 23:
            return 522;
          case 24:
            return 383;
          case 25:
            return 404;
          case 26:
            return 517;
          case 27:
            return 289;
          case 28:
          case 29:
            return 273;
          case 30:
            return 164;
          case 31:
            return 402;
          case 32:
            return 170;
          case 33:
            return 229;
          case 34:
            return 166;
          case 35:
            return 207;
          case 36:
            return 290;
          case 37:
            return 76;
          case 38:
            return 420;
          case 39:
            return 246;
          case 40:
            return 406;
          case 41:
            return 358;
          case 42:
            return 288;
          case 43:
            return 516;
          case 44:
            return 439;
          case 45:
            return 332;
          case 46:
            return 443;
          case 47:
            return 333;
          case 48:
            return 317;
          case 49:
            return 119;
          case 50:
            return 112;
          case 51:
            return 317;
          case 52:
            return 112;
          case 53:
            return 317;
          case 54:
            return 112;
          case 55:
            return 317;
          case 56:
            return 510;
          case 57:
            return 305;
          case 58:
            return 275;
          case 59:
            return 370;
          case 60:
            return 130;
          case 61:
            return "CLOSE";
          case 62:
            return 247;
          case 63:
          case 64:
            return 190;
          case 65:
            return 436;
          case 66:
            return 369;
          case 67:
            return 472;
          case 68:
            return 442;
          case 69:
            return 277;
          case 70:
            return 240;
          case 71:
            return 285;
          case 72:
            return 271;
          case 73:
            return 206;
          case 74:
            return 238;
          case 75:
            return 269;
          case 76:
            return "CURSOR";
          case 77:
            return 407;
          case 78:
            return 293;
          case 79:
            return 294;
          case 80:
            return 450;
          case 81:
            return 345;
          case 82:
            return 340;
          case 83:
            return "DELETED";
          case 84:
            return 246;
          case 85:
            return 408;
          case 86:
            return 185;
          case 87:
            return 398;
          case 88:
            return 449;
          case 89:
            return 135;
          case 90:
            return 308;
          case 91:
            return 391;
          case 92:
            return 312;
          case 93:
            return 316;
          case 94:
            return 169;
          case 95:
          case 96:
            return 510;
          case 97:
            return 300;
          case 98:
            return 14;
          case 99:
            return 297;
          case 100:
            return 253;
          case 101:
            return 244;
          case 102:
            return 95;
          case 103:
            return 375;
          case 104:
            return 183;
          case 105:
            return 227;
          case 106:
            return 272;
          case 107:
            return 315;
          case 108:
            return 604;
          case 109:
            return 474;
          case 110:
            return 232;
          case 111:
            return 236;
          case 112:
            return 239;
          case 113:
            return 156;
          case 114:
            return 358;
          case 115:
            return 334;
          case 116:
            return 99;
          case 117:
            return 193;
          case 118:
            return 212;
          case 119:
            return 224;
          case 120:
            return 518;
          case 121:
            return 341;
          case 122:
            return 213;
          case 123:
            return 168;
          case 124:
            return 295;
          case 125:
            return 198;
          case 126:
            return 223;
          case 127:
            return 372;
          case 128:
            return 245;
          case 129:
            return "LET";
          case 130:
            return 225;
          case 131:
            return 112;
          case 132:
            return 249;
          case 133:
            return 462;
          case 134:
            return 191;
          case 135:
            return 287;
          case 136:
            return 392;
          case 137:
            return 286;
          case 138:
            return 454;
          case 139:
            return 169;
          case 140:
            return 405;
          case 141:
            return 222;
          case 142:
            return 647;
          case 143:
            return 274;
          case 144:
            return 248;
          case 145:
            return 382;
          case 146:
            return 154;
          case 147:
            return 299;
          case 148:
            return 243;
          case 149:
            return 435;
          case 150:
            return 230;
          case 151:
            return 417;
          case 152:
            return 129;
          case 153:
            return 251;
          case 154:
            return "OPEN";
          case 155:
            return 418;
          case 156:
            return 171;
          case 157:
            return 118;
          case 158:
            return 208;
          case 159:
            return 280;
          case 160:
            return 172;
          case 161:
            return 283;
          case 162:
            return 766;
          case 163:
            return 93;
          case 164:
            return 16;
          case 165:
            return 371;
          case 166:
            return 444;
          case 167:
            return 679;
          case 168:
            return 15;
          case 169:
            return 416;
          case 170:
            return 194;
          case 171:
            return "REDUCE";
          case 172:
            return 376;
          case 173:
            return 313;
          case 174:
            return 519;
          case 175:
            return 683;
          case 176:
            return 107;
          case 177:
            return 403;
          case 178:
            return 175;
          case 179:
            return 292;
          case 180:
            return 445;
          case 181:
            return 688;
          case 182:
          case 183:
            return 173;
          case 184:
            return 226;
          case 185:
            return 438;
          case 186:
            return 237;
          case 187:
            return 150;
          case 188:
            return 767;
          case 189:
            return 407;
          case 190:
            return 89;
          case 191:
            return 228;
          case 192:
          case 193:
            return 146;
          case 194:
            return 411;
          case 195:
            return 336;
          case 196:
            return 419;
          case 197:
            return "STRATEGY";
          case 198:
            return "STORE";
          case 199:
            return 284;
          case 200:
          case 201:
            return 355;
          case 202:
            return 465;
          case 203:
          case 204:
            return 359;
          case 205:
            return 192;
          case 206:
            return 311;
          case 207:
            return "TIMEOUT";
          case 208:
            return 148;
          case 209:
            return 195;
          case 210:
          case 211:
            return 437;
          case 212:
            return 511;
          case 213:
            return 296;
          case 214:
            return 453;
          case 215:
            return 162;
          case 216:
            return 187;
          case 217:
            return 98;
          case 218:
            return 337;
          case 219:
            return 410;
          case 220:
            return 231;
          case 221:
            return 149;
          case 222:
            return 346;
          case 223:
            return 134;
          case 224:
            return 412;
          case 225:
            return 310;
          case 226:
            return 128;
          case 227:
            return 441;
          case 228:
            return 72;
          case 229:
            return 437;
          case 230:
          case 231:
            return 131;
          case 232:
            return 115;
          case 233:
            return 137;
          case 234:
            return 179;
          case 235:
            return 319;
          case 236:
            return 180;
          case 237:
            return 133;
          case 238:
            return 138;
          case 239:
            return 328;
          case 240:
            return 325;
          case 241:
            return 327;
          case 242:
            return 324;
          case 243:
            return 322;
          case 244:
            return 320;
          case 245:
            return 321;
          case 246:
            return 142;
          case 247:
            return 141;
          case 248:
            return 139;
          case 249:
            return 323;
          case 250:
            return 326;
          case 251:
            return 140;
          case 252:
            return 124;
          case 253:
            return 326;
          case 254:
            return 77;
          case 255:
            return 78;
          case 256:
            return 145;
          case 257:
            return 426;
          case 258:
            return 428;
          case 259:
            return 302;
          case 260:
            return 507;
          case 261:
            return 509;
          case 262:
            return 122;
          case 263:
            return 116;
          case 264:
            return 74;
          case 265:
            return 335;
          case 266:
            return 152;
          case 267:
            return 765;
          case 268:
            return 143;
          case 269:
            return 181;
          case 270:
            return 136;
          case 271:
            return 123;
          case 272:
            return 314;
          case 273:
            return 4;
          case 274:
            return 10;
          case 275:
            return "INVALID";
        }
      }, rules: [/^(?:``([^\`])+``)/i, /^(?:\[\?\])/i, /^(?:@\[)/i, /^(?:ARRAY\[)/i, /^(?:\[([^\]'])*?\])/i, /^(?:`([^\`'])*?`)/i, /^(?:N(['](\\.|[^']|\\')*?['])+)/i, /^(?:X(['](\\.|[^']|\\')*?['])+)/i, /^(?:(['](\\.|[^']|\\')*?['])+)/i, /^(?:(["](\\.|[^"]|\\")*?["])+)/i, /^(?:--(.*?)($|\r\n|\r|\n))/i, /^(?:\s+)/i, /^(?:\|\|)/i, /^(?:\|)/i, /^(?:VALUE\s+OF\s+SEARCH\b)/i, /^(?:VALUE\s+OF\s+SELECT\b)/i, /^(?:ROW\s+OF\s+SELECT\b)/i, /^(?:COLUMN\s+OF\s+SELECT\b)/i, /^(?:MATRIX\s+OF\s+SELECT\b)/i, /^(?:INDEX\s+OF\s+SELECT\b)/i, /^(?:RECORDSET\s+OF\s+SELECT\b)/i, /^(?:TEXT\s+OF\s+SELECT\b)/i, /^(?:SELECT\b)/i, /^(?:ABSOLUTE\b)/i, /^(?:ACTION\b)/i, /^(?:ADD\b)/i, /^(?:AFTER\b)/i, /^(?:AGGR\b)/i, /^(?:AGGREGATE\b)/i, /^(?:AGGREGATOR\b)/i, /^(?:ALL\b)/i, /^(?:ALTER\b)/i, /^(?:AND\b)/i, /^(?:ANTI\b)/i, /^(?:ANY\b)/i, /^(?:APPLY\b)/i, /^(?:ARRAY\b)/i, /^(?:AS\b)/i, /^(?:ASSERT\b)/i, /^(?:ASC\b)/i, /^(?:ATTACH\b)/i, /^(?:AUTO(_)?INCREMENT\b)/i, /^(?:AVG\b)/i, /^(?:BEFORE\b)/i, /^(?:BEGIN\b)/i, /^(?:BETWEEN\b)/i, /^(?:BREAK\b)/i, /^(?:NOT\s+BETWEEN\b)/i, /^(?:NOT\s+LIKE\b)/i, /^(?:BY\b)/i, /^(?:~~\*)/i, /^(?:!~~\*)/i, /^(?:~~)/i, /^(?:!~~)/i, /^(?:ILIKE\b)/i, /^(?:NOT\s+ILIKE\b)/i, /^(?:CALL\b)/i, /^(?:CASE\b)/i, /^(?:CAST\b)/i, /^(?:CHECK\b)/i, /^(?:CLASS\b)/i, /^(?:CLOSE\b)/i, /^(?:COLLATE\b)/i, /^(?:COLUMN\b)/i, /^(?:COLUMNS\b)/i, /^(?:COMMIT\b)/i, /^(?:CONSTRAINT\b)/i, /^(?:CONTENT\b)/i, /^(?:CONTINUE\b)/i, /^(?:CONVERT\b)/i, /^(?:CORRESPONDING\b)/i, /^(?:COUNT\b)/i, /^(?:CREATE\b)/i, /^(?:CROSS\b)/i, /^(?:CUBE\b)/i, /^(?:CURRENT_TIMESTAMP\b)/i, /^(?:CURSOR\b)/i, /^(?:DATABASE(S)?)/i, /^(?:DATEADD\b)/i, /^(?:DATEDIFF\b)/i, /^(?:DECLARE\b)/i, /^(?:DEFAULT\b)/i, /^(?:DELETE\b)/i, /^(?:DELETED\b)/i, /^(?:DESC\b)/i, /^(?:DETACH\b)/i, /^(?:DISTINCT\b)/i, /^(?:DROP\b)/i, /^(?:ECHO\b)/i, /^(?:EDGE\b)/i, /^(?:END\b)/i, /^(?:ENUM\b)/i, /^(?:ELSE\b)/i, /^(?:ESCAPE\b)/i, /^(?:EXCEPT\b)/i, /^(?:EXEC\b)/i, /^(?:EXECUTE\b)/i, /^(?:EXISTS\b)/i, /^(?:EXPLAIN\b)/i, /^(?:FALSE\b)/i, /^(?:FETCH\b)/i, /^(?:FIRST\b)/i, /^(?:FOR\b)/i, /^(?:FOREIGN\b)/i, /^(?:FROM\b)/i, /^(?:FULL\b)/i, /^(?:FUNCTION\b)/i, /^(?:GLOB\b)/i, /^(?:GO\b)/i, /^(?:GRAPH\b)/i, /^(?:GROUP\b)/i, /^(?:GROUPING\b)/i, /^(?:HAVING\b)/i, /^(?:IF\b)/i, /^(?:IDENTITY\b)/i, /^(?:IS\b)/i, /^(?:IN\b)/i, /^(?:INDEX\b)/i, /^(?:INDEXED\b)/i, /^(?:INNER\b)/i, /^(?:INSTEAD\b)/i, /^(?:INSERT\b)/i, /^(?:INSERTED\b)/i, /^(?:INTERSECT\b)/i, /^(?:INTERVAL\b)/i, /^(?:INTO\b)/i, /^(?:JOIN\b)/i, /^(?:KEY\b)/i, /^(?:LAST\b)/i, /^(?:LET\b)/i, /^(?:LEFT\b)/i, /^(?:LIKE\b)/i, /^(?:LIMIT\b)/i, /^(?:MATCHED\b)/i, /^(?:MATRIX\b)/i, /^(?:MAX(\s+)?(?=\())/i, /^(?:MAX(\s+)?(?=(,|\))))/i, /^(?:MIN(\s+)?(?=\())/i, /^(?:MERGE\b)/i, /^(?:MINUS\b)/i, /^(?:MODIFY\b)/i, /^(?:NATURAL\b)/i, /^(?:NEXT\b)/i, /^(?:NEW\b)/i, /^(?:NOCASE\b)/i, /^(?:NO\b)/i, /^(?:NOT\b)/i, /^(?:NULL\b)/i, /^(?:NULLS\b)/i, /^(?:OFF\b)/i, /^(?:ON\b)/i, /^(?:ONLY\b)/i, /^(?:OF\b)/i, /^(?:OFFSET\b)/i, /^(?:OPEN\b)/i, /^(?:OPTION\b)/i, /^(?:OR\b)/i, /^(?:ORDER\b)/i, /^(?:OUTER\b)/i, /^(?:OVER\b)/i, /^(?:PATH\b)/i, /^(?:PARTITION\b)/i, /^(?:PERCENT\b)/i, /^(?:PIVOT\b)/i, /^(?:PLAN\b)/i, /^(?:PRIMARY\b)/i, /^(?:PRINT\b)/i, /^(?:PRIOR\b)/i, /^(?:QUERY\b)/i, /^(?:READ\b)/i, /^(?:RECORDSET\b)/i, /^(?:REDUCE\b)/i, /^(?:REFERENCES\b)/i, /^(?:REGEXP\b)/i, /^(?:REINDEX\b)/i, /^(?:RELATIVE\b)/i, /^(?:REMOVE\b)/i, /^(?:RENAME\b)/i, /^(?:REPEAT\b)/i, /^(?:REPLACE\b)/i, /^(?:REQUIRE\b)/i, /^(?:RESTORE\b)/i, /^(?:RETURN\b)/i, /^(?:RETURNS\b)/i, /^(?:RIGHT\b)/i, /^(?:ROLLBACK\b)/i, /^(?:ROLLUP\b)/i, /^(?:ROW\b)/i, /^(?:ROWS\b)/i, /^(?:SCHEMA(S)?)/i, /^(?:SEARCH\b)/i, /^(?:SEMI\b)/i, /^(?:SET\b)/i, /^(?:SETS\b)/i, /^(?:SHOW\b)/i, /^(?:SOME\b)/i, /^(?:SOURCE\b)/i, /^(?:STRATEGY\b)/i, /^(?:STORE\b)/i, /^(?:SUM\b)/i, /^(?:TABLE\b)/i, /^(?:TABLES\b)/i, /^(?:TARGET\b)/i, /^(?:TEMP\b)/i, /^(?:TEMPORARY\b)/i, /^(?:TEXTSTRING\b)/i, /^(?:THEN\b)/i, /^(?:TIMEOUT\b)/i, /^(?:TO\b)/i, /^(?:TOP\b)/i, /^(?:TRAN\b)/i, /^(?:TRANSACTION\b)/i, /^(?:TRIGGER\b)/i, /^(?:TRUE\b)/i, /^(?:TRUNCATE\b)/i, /^(?:UNION\b)/i, /^(?:UNIQUE\b)/i, /^(?:UNPIVOT\b)/i, /^(?:UPDATE\b)/i, /^(?:USE\b)/i, /^(?:USING\b)/i, /^(?:VALUE\b)/i, /^(?:VALUES\b)/i, /^(?:VERTEX\b)/i, /^(?:VIEW\b)/i, /^(?:WHEN\b)/i, /^(?:WHERE\b)/i, /^(?:WHILE\b)/i, /^(?:WITH\b)/i, /^(?:WORK\b)/i, /^(?:(\d*[.])?\d+[eE]\d+)/i, /^(?:(\d*[.])?\d+)/i, /^(?:->)/i, /^(?:#)/i, /^(?:\+)/i, /^(?:-)/i, /^(?:\*)/i, /^(?:\/)/i, /^(?:%)/i, /^(?:!===)/i, /^(?:===)/i, /^(?:!==)/i, /^(?:==)/i, /^(?:>=)/i, /^(?:&)/i, /^(?:\|)/i, /^(?:<<)/i, /^(?:>>)/i, /^(?:>)/i, /^(?:<=)/i, /^(?:<>)/i, /^(?:<)/i, /^(?:=)/i, /^(?:!=)/i, /^(?:\()/i, /^(?:\))/i, /^(?:@)/i, /^(?:\{)/i, /^(?:\})/i, /^(?:\])/i, /^(?::-)/i, /^(?:\?-)/i, /^(?:\.\.)/i, /^(?:\.)/i, /^(?:,)/i, /^(?:::)/i, /^(?::)/i, /^(?:;)/i, /^(?:\$)/i, /^(?:\?)/i, /^(?:!)/i, /^(?:\^)/i, /^(?:~)/i, /^(?:[0-9]*[a-zA-Z_]+[a-zA-Z_0-9]*)/i, /^(?:$)/i, /^(?:.)/i], conditions: { INITIAL: { rules: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275], inclusive: true } } };
      function pi() {
        this.yy = {};
      }
      return e2.lexer = gr, new ((pi.prototype = e2).Parser = pi)();
    }();
    void 0 !== H && true && (exports.parser = t, exports.Parser = t.Parser, exports.parse = function() {
      return t.parse.apply(t, arguments);
    }, exports.main = function(e2) {
      e2[1] || (console.log("Usage: " + e2[0] + " FILE"), process.exit(1));
      e2 = H().readFileSync(H().normalize(e2[1]), "utf8");
      return exports.parser.parse(e2);
    }, H.main === module && exports.main(process.argv.slice(1))), bi.prettyflag = false, bi.pretty = function(e2, t2) {
      var n2 = bi.prettyflag;
      bi.prettyflag = !t2;
      e2 = bi.parse(e2).toString();
      return bi.prettyflag = n2, e2;
    };
    var c = bi.utils = {};
    function l(e2) {
      return "(y=" + e2 + ",y===y?y:undefined)";
    }
    function r(e2, t2) {
      return "(y=" + e2 + ',typeof y=="undefined"?undefined:' + t2 + ")";
    }
    function f() {
      return true;
    }
    function e() {
    }
    function i(e2) {
      return e2 = e2[0] === String.fromCharCode(65279) ? e2.substr(1) : e2;
    }
    var h2 = c.escapeq = function(e2) {
      return ("" + e2).replace(/["'\\\n\r\u2028\u2029]/g, function(e3) {
        switch (e3) {
          case '"':
          case "'":
          case "\\":
            return "\\" + e3;
          case "\n":
            return "\\n";
          case "\r":
            return "\\r";
          case "\u2028":
            return "\\u2028";
          case "\u2029":
            return "\\u2029";
        }
      });
    }, d = c.undoubleq = function(e2) {
      return e2.replace(/(\')/g, "''");
    }, Ei = c.doubleq = function(e2) {
      return e2.replace(/(\'\')/g, "\\'");
    };
    c.doubleqq = function(e2) {
      return e2.replace(/\'/g, "'");
    };
    c.global = "undefined" != typeof self ? self : "undefined" != typeof window ? window : "undefined" != typeof commonjsGlobal$1 ? commonjsGlobal$1 : Function("return this")();
    c.isNativeFunction = function(e2) {
      return "function" == typeof e2 && !!~e2.toString().indexOf("[native code]");
    };
    c.isWebWorker = function() {
      try {
        var e2 = c.global.importScripts;
        return c.isNativeFunction(e2);
      } catch (e3) {
        return false;
      }
    }(), c.isNode = function() {
      try {
        return c.isNativeFunction(c.global.process.reallyExit);
      } catch (e2) {
        return false;
      }
    }(), c.isBrowser = function() {
      try {
        return c.isNativeFunction(c.global.location.reload);
      } catch (e2) {
        return false;
      }
    }(), c.isBrowserify = c.isBrowser && "undefined" != typeof process && process.browser, c.isRequireJS = c.isBrowser && "function" == typeof H.specified, c.isMeteor = "undefined" != typeof Meteor && Meteor.release, c.isMeteorClient = c.isMeteorClient = c.isMeteor && Meteor.isClient, c.isMeteorServer = c.isMeteor && Meteor.isServer, c.isCordova = "object" == typeof cordova, c.isReactNative = false, c.hasIndexedDB = !!c.global.indexedDB, c.isArray = function(e2) {
      return "[object Array]" === Object.prototype.toString.call(e2);
    };
    var o = c.loadFile = function(t2, e2, n2, r2) {
      var s2, a2;
      c.isNode || c.isMeteorServer || (c.isCordova ? c.global.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(e3) {
        e3.root.getFile(t2, { create: false }, function(e4) {
          e4.file(function(e5) {
            var t3 = new FileReader();
            t3.onloadend = function(e6) {
              n2(i(this.result));
            }, t3.readAsText(e5);
          });
        });
      }) : "string" == typeof t2 ? "#" === t2.substr(0, 1) && "undefined" != typeof document ? (a2 = document.querySelector(t2).textContent, n2(a2)) : ((s2 = new XMLHttpRequest()).onreadystatechange = function() {
        if (4 === s2.readyState) {
          if (200 === s2.status)
            n2 && n2(i(s2.responseText));
          else if (r2)
            return r2(s2);
        }
      }, s2.open("GET", t2, e2), s2.responseType = "text", s2.send()) : t2 instanceof Event && (a2 = t2.target.files, e2 = new FileReader(), a2[0].name, e2.onload = function(e3) {
        e3 = e3.target.result;
        n2(i(e3));
      }, e2.readAsText(a2[0])));
    };
    c.loadBinaryFile = function(e2, t2, r2, n2) {
      var s2, a2;
      c.isNode || c.isMeteorServer || ("string" == typeof e2 ? ((s2 = new XMLHttpRequest()).open("GET", e2, t2), s2.responseType = "arraybuffer", s2.onload = function() {
        for (var e3 = new Uint8Array(s2.response), t3 = [], n3 = 0; n3 < e3.length; ++n3)
          t3[n3] = String.fromCharCode(e3[n3]);
        r2(t3.join(""));
      }, s2.send()) : e2 instanceof Event ? (a2 = e2.target.files, t2 = new FileReader(), a2[0].name, t2.onload = function(e3) {
        e3 = e3.target.result;
        r2(e3);
      }, t2.readAsArrayBuffer(a2[0])) : e2 instanceof Blob && r2(e2));
    }, c.removeFile = function(e2, t2) {
      if (!c.isNode)
        throw new Error("You can remove files only in Node.js and Apache Cordova");
    }, c.deleteFile = function(e2, t2) {
    };
    c.autoExtFilename = function(e2, t2, n2) {
      return n2 = n2 || {}, "string" != typeof e2 || e2.match(/^[A-z]+:\/\/|\n|\..{2,4}$/) || 0 === n2.autoExt || false === n2.autoExt ? e2 : e2 + "." + t2;
    };
    c.fileExists = function(e2, t2) {
      if (!c.isNode)
        throw new Error("You can use exists() only in Node.js or Apach Cordova");
    }, c.saveFile = function(e2, t2, n2, r2) {
      var s2, a2, i2 = 1;
      return void 0 === e2 ? (i2 = t2, n2 && (i2 = n2(i2))) : c.isNode || (9 === p() ? (s2 = (s2 = (s2 = t2.replace(/\r\n/g, "&#A;&#D;")).replace(/\n/g, "&#D;")).replace(/\t/g, "&#9;"), (a2 = c.global.open("about:blank", "_blank")).document.write(s2), a2.document.close(), a2.document.execCommand("SaveAs", false, e2), a2.close()) : (a2 = { disableAutoBom: false }, bi.utils.extend(a2, r2), t2 = new Blob([t2], { type: "text/plain;charset=utf-8" }), ne(t2, e2, a2.disableAutoBom), n2 && (i2 = n2(i2)))), i2;
    };
    function p() {
      var e2 = navigator.userAgent.toLowerCase();
      return -1 !== e2.indexOf("msie") && parseInt(e2.split("msie")[1]);
    }
    var b = c.hash = function(e2) {
      for (var t2 = 2166136261, n2 = e2.length; n2; )
        t2 ^= e2.charCodeAt(--n2), t2 += (t2 << 1) + (t2 << 4) + (t2 << 7) + (t2 << 8) + (t2 << 24);
      return t2;
    }, u = c.arrayUnion = function(e2, t2) {
      var n2 = t2.slice(0);
      return e2.forEach(function(e3) {
        n2.indexOf(e3) < 0 && n2.push(e3);
      }), n2;
    }, E = c.arrayDiff = function(e2, t2) {
      return e2.filter(function(e3) {
        return t2.indexOf(e3) < 0;
      });
    }, g = c.arrayIntersect = function(e2, r2) {
      var s2 = [];
      return e2.forEach(function(t2) {
        var n2 = false;
        r2.forEach(function(e3) {
          n2 = n2 || t2 === e3;
        }), n2 && s2.push(t2);
      }), s2;
    }, S = c.arrayUnionDeep = function(e2, t2) {
      var r2 = t2.slice(0);
      return e2.forEach(function(t3) {
        var n2 = false;
        r2.forEach(function(e3) {
          n2 = n2 || A(t3, e3);
        }), n2 || r2.push(t3);
      }), r2;
    }, T = c.arrayExceptDeep = function(e2, r2) {
      var s2 = [];
      return e2.forEach(function(t2) {
        var n2 = false;
        r2.forEach(function(e3) {
          n2 = n2 || A(t2, e3);
        }), n2 || s2.push(t2);
      }), s2;
    }, v = c.arrayIntersectDeep = function(e2, r2) {
      var s2 = [];
      return e2.forEach(function(t2) {
        var n2 = false;
        r2.forEach(function(e3) {
          n2 = n2 || A(t2, e3, true);
        }), n2 && s2.push(t2);
      }), s2;
    }, m = c.cloneDeep = function e2(t2) {
      if (null === t2 || "object" != typeof t2)
        return t2;
      if (t2 instanceof Date)
        return new Date(t2);
      if (t2 instanceof String)
        return t2.toString();
      if (t2 instanceof Number)
        return +t2;
      var n2, r2 = t2.constructor();
      for (n2 in t2)
        t2.hasOwnProperty(n2) && (r2[n2] = e2(t2[n2]));
      return r2;
    }, A = c.deepEqual = function(e2, t2) {
      if (e2 === t2)
        return true;
      if ("object" != typeof e2 || null === e2 || "object" != typeof t2 || null === t2)
        return false;
      if (Object.keys(e2).length !== Object.keys(t2).length)
        return false;
      for (var n2 in e2)
        if (!A(e2[n2], t2[n2]))
          return false;
      return true;
    }, x = c.distinctArray = function(t2) {
      for (var e2 = {}, n2 = 0, r2 = t2.length; n2 < r2; n2++) {
        var s2 = "object" == typeof t2[n2] ? Object.keys(t2[n2]).sort().map(function(e3) {
          return e3 + "`" + t2[n2][e3];
        }).join("`") : t2[n2];
        e2[s2] = t2[n2];
      }
      var a2, i2 = [];
      for (a2 in e2)
        i2.push(e2[a2]);
      return i2;
    }, y = c.extend = function(e2, t2) {
      for (var n2 in e2 = e2 || {}, t2)
        t2.hasOwnProperty(n2) && (e2[n2] = t2[n2]);
      return e2;
    }, s = c.flatArray = function(t2) {
      if (!t2 || 0 === t2.length)
        return [];
      if ("object" == typeof t2 && t2 instanceof bi.Recordset)
        return t2.data.map(function(e2) {
          return e2[t2.columns[0].columnid];
        });
      var n2 = Object.keys(t2[0])[0];
      return void 0 === n2 ? [] : t2.map(function(e2) {
        return e2[n2];
      });
    };
    c.arrayOfArrays = function(e2) {
      return e2.map(function(e3) {
        var t2, n2 = [];
        for (t2 in e3)
          n2.push(e3[t2]);
        return n2;
      });
    };
    Array.isArray || (Array.isArray = function(e2) {
      return "[object Array]" === Object.prototype.toString.call(e2);
    });
    c.xlsnc = function(e2) {
      var t2 = String.fromCharCode(65 + e2 % 26);
      return 26 <= e2 && (e2 = (e2 / 26 | 0) - 1, t2 = String.fromCharCode(65 + e2 % 26) + t2, 26 < e2 && (e2 = (e2 / 26 | 0) - 1, t2 = String.fromCharCode(65 + e2 % 26) + t2)), t2;
    }, c.xlscn = function(e2) {
      var t2 = e2.charCodeAt(0) - 65;
      return 1 < e2.length && (t2 = 26 * (t2 + 1) + e2.charCodeAt(1) - 65, 2 < e2.length && (t2 = 26 * (t2 + 1) + e2.charCodeAt(2) - 65)), t2;
    }, c.domEmptyChildren = function(e2) {
      for (var t2 = e2.childNodes.length; t2--; )
        e2.removeChild(e2.lastChild);
    }, c.like = function(e2, t2, n2) {
      n2 = n2 || "";
      for (var r2 = 0, s2 = "^"; r2 < e2.length; ) {
        var a2 = e2[r2], i2 = "";
        r2 < e2.length - 1 && (i2 = e2[r2 + 1]), a2 === n2 ? (s2 += "\\" + i2, r2++) : "[" === a2 && "^" === i2 ? (s2 += "[^", r2++) : "[" === a2 || "]" === a2 ? s2 += a2 : "%" === a2 ? s2 += ".*" : "_" === a2 ? s2 += "." : -1 < "/.*+?|(){}".indexOf(a2) ? s2 += "\\" + a2 : s2 += a2, r2++;
      }
      return s2 += "$", -1 < ("" + (t2 || "")).toUpperCase().search(RegExp(s2.toUpperCase()));
    };
    c.glob = function(e2, t2) {
      for (var n2 = 0, r2 = "^"; n2 < t2.length; ) {
        var s2 = t2[n2], a2 = "";
        n2 < t2.length - 1 && (a2 = t2[n2 + 1]), "[" === s2 && "^" === a2 ? (r2 += "[^", n2++) : "[" === s2 || "]" === s2 ? r2 += s2 : "*" === s2 ? r2 += ".*" : "?" === s2 ? r2 += "." : -1 < "/.*+?|(){}".indexOf(s2) ? r2 += "\\" + s2 : r2 += s2, n2++;
      }
      return r2 += "$", -1 < ("" + (e2 || "")).toUpperCase().search(RegExp(r2.toUpperCase()));
    }, c.findAlaSQLPath = function() {
      if (c.isWebWorker)
        return "";
      if (c.isMeteorClient)
        return "/packages/dist/";
      if (c.isMeteorServer)
        return "assets/packages/dist/";
      if (c.isNode)
        return "";
      if (c.isBrowser)
        for (var e2 = document.getElementsByTagName("script"), t2 = 0; t2 < e2.length; t2++) {
          if ("alasql-worker.js" === e2[t2].src.substr(-16).toLowerCase())
            return e2[t2].src.substr(0, e2[t2].src.length - 16);
          if ("alasql-worker.min.js" === e2[t2].src.substr(-20).toLowerCase())
            return e2[t2].src.substr(0, e2[t2].src.length - 20);
          if ("alasql.js" === e2[t2].src.substr(-9).toLowerCase())
            return e2[t2].src.substr(0, e2[t2].src.length - 9);
          if ("alasql.min.js" === e2[t2].src.substr(-13).toLowerCase())
            return e2[t2].src.substr(0, e2[t2].src.length - 13);
        }
      return "";
    };
    function N() {
      var e2 = bi.private.externalXlsxLib;
      if (e2)
        return e2;
      if (null === (e2 = !(c.isNode || c.isBrowserify || c.isMeteorServer) ? c.global.XLSX || null : e2))
        throw new Error("Please include the xlsx.js library");
      return e2;
    }
    var a = JSON.stringify;
    bi.path = bi.utils.findAlaSQLPath(), bi.utils.uncomment = function(e2) {
      for (var t2, n2 = false, r2 = false, s2 = false, a2 = 0, i2 = (e2 = ("__" + e2 + "__").split("")).length; a2 < i2; a2++) {
        var o2 = "\\" !== e2[a2 - 1] || "\\" === e2[a2 - 2];
        n2 ? e2[a2] === t2 && o2 && (n2 = false) : r2 ? "*" === e2[a2] && "/" === e2[a2 + 1] ? (e2[a2] = e2[a2 + 1] = "", r2 = false, a2++) : e2[a2] = "" : s2 ? ("\n" !== e2[a2 + 1] && "\r" !== e2[a2 + 1] || (s2 = false), e2[a2] = "") : '"' === e2[a2] || "'" === e2[a2] ? (n2 = true, t2 = e2[a2]) : "[" === e2[a2] && "@" !== e2[a2 - 1] ? (n2 = true, t2 = "]") : "/" === e2[a2] && "*" === e2[a2 + 1] && (r2 = !(e2[a2] = ""));
      }
      return e2 = e2.join("").slice(2, -2);
    }, bi.parser = t, bi.parser.parseError = function(e2, t2) {
      throw new Error("Have you used a reserved keyword without `escaping` it?\n" + e2);
    }, bi.parse = function(e2) {
      return t.parse(bi.utils.uncomment(e2));
    }, bi.engines = {}, bi.databases = {}, bi.databasenum = 0, bi.options = {}, bi.options.errorlog = false, bi.options.valueof = false, bi.options.dropifnotexists = false, bi.options.datetimeformat = "sql", bi.options.casesensitive = true, bi.options.logtarget = "output", bi.options.logprompt = true, bi.options.progress = false, bi.options.modifier = void 0, bi.options.columnlookup = 10, bi.options.autovertex = true, bi.options.usedbo = true, bi.options.autocommit = true, bi.options.cache = true, bi.options.tsql = true, bi.options.mysql = true, bi.options.postgres = true, bi.options.oracle = true, bi.options.sqlite = true, bi.options.orientdb = true, bi.options.nocount = false, bi.options.nan = false, bi.options.joinstar = "overwrite", bi.vars = {}, bi.declares = {}, bi.prompthistory = [], bi.plugins = {}, bi.from = {}, bi.into = {}, bi.fn = {}, bi.aggr = {}, bi.busy = 0, bi.MAXSQLCACHESIZE = 1e4, bi.DEFAULTDATABASEID = "alasql", bi.lastid = 0, bi.buffer = {}, bi.private = { externalXlsxLib: null }, bi.setXLSX = function(e2) {
      bi.private.externalXlsxLib = e2;
    }, bi.use = function(e2) {
      if (e2 = e2 || bi.DEFAULTDATABASEID, bi.useid !== e2) {
        if (void 0 === bi.databases[e2])
          throw Error("Database does not exist: " + e2);
        bi.useid = e2;
        e2 = bi.databases[bi.useid];
        bi.tables = e2.tables, e2.resetSqlCache(), bi.options.usedbo && (bi.databases.dbo = e2);
      }
    }, bi.autoval = function(e2, t2, n2, r2) {
      r2 = r2 ? bi.databases[r2] : bi.databases[bi.useid];
      if (!r2.tables[e2])
        throw new Error("Tablename not found: " + e2);
      if (!r2.tables[e2].identities[t2])
        throw new Error("Colname not found: " + t2);
      return n2 ? r2.tables[e2].identities[t2].value || null : r2.tables[e2].identities[t2].value - r2.tables[e2].identities[t2].step || null;
    }, bi.exec = function(e2, t2, n2, r2) {
      if ("function" == typeof t2 && (r2 = n2, n2 = t2, t2 = {}), delete bi.error, t2 = t2 || {}, !bi.options.errorlog)
        return bi.dexec(bi.useid, e2, t2, n2, r2);
      try {
        return bi.dexec(bi.useid, e2, t2, n2, r2);
      } catch (e3) {
        bi.error = e3, n2 && n2(null, bi.error);
      }
    }, bi.dexec = function(e2, t2, n2, r2, s2) {
      var a2 = bi.databases[e2];
      if (bi.options.cache) {
        var i2 = b(t2);
        if ((o2 = a2.sqlCache[i2]) && a2.dbversion === o2.dbversion)
          return o2(n2, r2);
      }
      var o2, u2 = bi.parse(t2);
      if (u2.statements)
        return 0 === u2.statements.length ? 0 : 1 === u2.statements.length ? u2.statements[0].compile ? (o2 = u2.statements[0].compile(e2, n2)) ? (o2.sql = t2, o2.dbversion = a2.dbversion, bi.options.cache && (a2.sqlCacheSize > bi.MAXSQLCACHESIZE && a2.resetSqlCache(), a2.sqlCacheSize++, a2.sqlCache[i2] = o2), bi.res = o2(n2, r2, s2)) : void 0 : (bi.precompile(u2.statements[0], bi.useid, n2), bi.res = u2.statements[0].execute(e2, n2, r2, s2)) : r2 ? void bi.adrun(e2, u2, n2, r2, s2) : bi.drun(e2, u2, n2, r2, s2);
    }, bi.drun = function(e2, t2, n2, r2, s2) {
      var a2 = bi.useid;
      a2 !== e2 && bi.use(e2);
      for (var i2, o2 = [], u2 = 0, c2 = t2.statements.length; u2 < c2; u2++)
        t2.statements[u2] && (t2.statements[u2].compile ? (i2 = t2.statements[u2].compile(bi.useid), o2.push(bi.res = i2(n2, null, s2))) : (bi.precompile(t2.statements[u2], bi.useid, n2), o2.push(bi.res = t2.statements[u2].execute(bi.useid, n2))));
      return a2 !== e2 && bi.use(a2), r2 && r2(o2), bi.res = o2;
    }, bi.adrun = function(n2, r2, s2, a2, i2) {
      var o2 = 0, u2 = r2.statements.length;
      false !== bi.options.progress && bi.options.progress(u2, o2++);
      var c2 = bi.useid;
      c2 !== n2 && bi.use(n2);
      var l2 = [];
      !function e2(t2) {
        void 0 !== t2 && l2.push(t2);
        t2 = r2.statements.shift();
        t2 ? (t2.compile ? t2.compile(bi.useid)(s2, e2, i2) : (bi.precompile(r2.statements[0], bi.useid, s2), t2.execute(bi.useid, s2, e2)), false !== bi.options.progress && bi.options.progress(u2, o2++)) : (c2 !== n2 && bi.use(c2), a2(l2));
      }();
    }, bi.compile = function(e2, t2) {
      t2 = t2 || bi.useid;
      e2 = bi.parse(e2);
      if (1 !== e2.statements.length)
        throw new Error("Cannot compile, because number of statements in SQL is not equal to 1");
      var s2 = e2.statements[0].compile(t2);
      return s2.promise = function(e3) {
        return new Promise(function(n2, r2) {
          s2(e3, function(e4, t3) {
            t3 ? r2(t3) : n2(e4);
          });
        });
      }, s2;
    }, c.global.Promise || c.isNode || function() {
      function c2(e3) {
        return "function" == typeof e3;
      }
      function t2() {
        return function() {
          setTimeout(n2, 1);
        };
      }
      function n2() {
        for (var e3 = 0; e3 < C2; e3 += 2)
          (0, k2[e3])(k2[e3 + 1]), k2[e3] = void 0, k2[e3 + 1] = void 0;
        C2 = 0;
      }
      function i2() {
      }
      function o2(e3) {
        try {
          return e3.then;
        } catch (e4) {
          return P2.error = e4, P2;
        }
      }
      function a2(e3, r3, s3) {
        R2(function(t3) {
          var n3 = false, e4 = function(e5, t4, n4, r4) {
            try {
              e5.call(t4, n4, r4);
            } catch (e6) {
              return e6;
            }
          }(s3, r3, function(e5) {
            n3 || (n3 = true, (r3 !== e5 ? l2 : h3)(t3, e5));
          }, function(e5) {
            n3 || (n3 = true, d2(t3, e5));
          }, t3._label);
          !n3 && e4 && (n3 = true, d2(t3, e4));
        }, e3);
      }
      function u2(e3, t3, n3) {
        var r3, s3;
        t3.constructor === e3.constructor && n3 === L2 && constructor.resolve === $2 ? (r3 = e3, (s3 = t3)._state === _2 ? h3(r3, s3._result) : s3._state === F2 ? d2(r3, s3._result) : f2(s3, void 0, function(e4) {
          l2(r3, e4);
        }, function(e4) {
          d2(r3, e4);
        })) : n3 === P2 ? d2(e3, P2.error) : void 0 !== n3 && c2(n3) ? a2(e3, t3, n3) : h3(e3, t3);
      }
      function l2(e3, t3) {
        var n3;
        e3 === t3 ? d2(e3, new TypeError("You cannot resolve a promise with itself")) : "function" == typeof (n3 = t3) || "object" == typeof n3 && null !== n3 ? u2(e3, t3, o2(t3)) : h3(e3, t3);
      }
      function r2(e3) {
        e3._onerror && e3._onerror(e3._result), p2(e3);
      }
      function h3(e3, t3) {
        e3._state === U2 && (e3._result = t3, e3._state = _2, 0 !== e3._subscribers.length && R2(p2, e3));
      }
      function d2(e3, t3) {
        e3._state === U2 && (e3._state = F2, e3._result = t3, R2(r2, e3));
      }
      function f2(e3, t3, n3, r3) {
        var s3 = e3._subscribers, a3 = s3.length;
        e3._onerror = null, s3[a3] = t3, s3[a3 + _2] = n3, s3[a3 + F2] = r3, 0 === a3 && e3._state && R2(p2, e3);
      }
      function p2(e3) {
        var t3 = e3._subscribers, n3 = e3._state;
        if (0 !== t3.length) {
          for (var r3, s3, a3 = e3._result, i3 = 0; i3 < t3.length; i3 += 3)
            r3 = t3[i3], s3 = t3[i3 + n3], r3 ? b2(n3, r3, s3, a3) : s3(a3);
          e3._subscribers.length = 0;
        }
      }
      function e2() {
        this.error = null;
      }
      function b2(e3, t3, n3, r3) {
        var s3, a3, i3, o3, u3 = c2(n3);
        if (u3) {
          if ((s3 = function(e4, t4) {
            try {
              return e4(t4);
            } catch (e5) {
              return q2.error = e5, q2;
            }
          }(n3, r3)) === q2 ? (o3 = true, a3 = s3.error, s3 = null) : i3 = true, t3 === s3)
            return d2(t3, new TypeError("A promises callback cannot return that same promise.")), 0;
        } else
          s3 = r3, i3 = true;
        t3._state !== U2 || (u3 && i3 ? l2(t3, s3) : o3 ? d2(t3, a3) : e3 === _2 ? h3(t3, s3) : e3 === F2 && d2(t3, s3));
      }
      function E2(e3) {
        e3[M2] = G2++, e3._state = void 0, e3._result = void 0, e3._subscribers = [];
      }
      function s2(e3) {
        this[M2] = G2++, this._result = this._state = void 0, this._subscribers = [], i2 !== e3 && ("function" != typeof e3 && function() {
          throw new TypeError("You must pass a resolver function as the first argument to the promise constructor");
        }(), this instanceof s2 ? function(t3, e4) {
          try {
            e4(function(e5) {
              l2(t3, e5);
            }, function(e5) {
              d2(t3, e5);
            });
          } catch (e5) {
            d2(t3, e5);
          }
        }(this, e3) : function() {
          throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.");
        }());
      }
      function g2(e3, t3) {
        this._instanceConstructor = e3, this.promise = new e3(i2), this.promise[M2] || E2(this.promise), Array.isArray(t3) ? (this._input = t3, this.length = t3.length, this._remaining = t3.length, this._result = new Array(this.length), 0 === this.length ? h3(this.promise, this._result) : (this.length = this.length || 0, this._enumerate(), 0 === this._remaining && h3(this.promise, this._result))) : d2(this.promise, new Error("Array Methods must be provided an Array"));
      }
      var m2, S2, T2, v2, A2, y2, N2 = Array.isArray || function(e3) {
        return "[object Array]" === Object.prototype.toString.call(e3);
      }, C2 = 0, R2 = function(e3, t3) {
        k2[C2] = e3, k2[C2 + 1] = t3, 2 === (C2 += 2) && (S2 ? S2(n2) : D2());
      }, O2 = "undefined" != typeof window ? window : void 0, w2 = O2 || {}, I2 = w2.MutationObserver || w2.WebKitMutationObserver, x2 = "undefined" == typeof self && "undefined" != typeof process && "[object process]" === {}.toString.call(process), w2 = "undefined" != typeof Uint8ClampedArray && "undefined" != typeof importScripts && "undefined" != typeof MessageChannel, k2 = new Array(1e3), D2 = x2 ? function() {
        process.nextTick(n2);
      } : I2 ? (v2 = 0, A2 = new I2(n2), y2 = document.createTextNode(""), A2.observe(y2, { characterData: true }), function() {
        y2.data = v2 = ++v2 % 2;
      }) : w2 ? ((T2 = new MessageChannel()).port1.onmessage = n2, function() {
        T2.port2.postMessage(0);
      }) : (void 0 === O2 ? function() {
        try {
          var e3 = H();
          return m2 = e3.runOnLoop || e3.runOnContext, function() {
            m2(n2);
          };
        } catch (e4) {
          return t2();
        }
      } : t2)(), L2 = function(e3, t3) {
        var n3 = this, r3 = new this.constructor(i2);
        void 0 === r3[M2] && E2(r3);
        var s3, a3 = n3._state;
        return a3 ? (s3 = arguments[a3 - 1], R2(function() {
          b2(a3, r3, s3, n3._result);
        })) : f2(n3, r3, e3, t3), r3;
      }, $2 = function(e3) {
        if (e3 && "object" == typeof e3 && e3.constructor === this)
          return e3;
        var t3 = new this(i2);
        return l2(t3, e3), t3;
      }, M2 = Math.random().toString(36).substring(16), U2 = void 0, _2 = 1, F2 = 2, P2 = new e2(), q2 = new e2(), G2 = 0, w2 = function(s3) {
        var a3 = this;
        return new a3(N2(s3) ? function(e3, t3) {
          for (var n3 = s3.length, r3 = 0; r3 < n3; r3++)
            a3.resolve(s3[r3]).then(e3, t3);
        } : function(e3, t3) {
          t3(new TypeError("You must pass an array to race."));
        });
      }, O2 = function(e3) {
        var t3 = new this(i2);
        return d2(t3, e3), t3;
      }, V2 = s2;
      s2.all = function(e3) {
        return new B2(this, e3).promise;
      }, s2.race = w2, s2.resolve = $2, s2.reject = O2, s2._setScheduler = function(e3) {
        S2 = e3;
      }, s2._setAsap = function(e3) {
        R2 = e3;
      }, s2._asap = R2, s2.prototype = { constructor: s2, then: L2, catch: function(e3) {
        return this.then(null, e3);
      } };
      var B2 = g2;
      g2.prototype._enumerate = function() {
        for (var e3 = this.length, t3 = this._input, n3 = 0; this._state === U2 && n3 < e3; n3++)
          this._eachEntry(t3[n3], n3);
      }, g2.prototype._eachEntry = function(t3, e3) {
        var n3, r3, s3 = this._instanceConstructor, a3 = s3.resolve;
        a3 === $2 ? (n3 = o2(t3)) === L2 && t3._state !== U2 ? this._settledAt(t3._state, e3, t3._result) : "function" != typeof n3 ? (this._remaining--, this._result[e3] = t3) : s3 === V2 ? (u2(r3 = new s3(i2), t3, n3), this._willSettleAt(r3, e3)) : this._willSettleAt(new s3(function(e4) {
          e4(t3);
        }), e3) : this._willSettleAt(a3(t3), e3);
      }, g2.prototype._settledAt = function(e3, t3, n3) {
        var r3 = this.promise;
        r3._state === U2 && (this._remaining--, e3 === F2 ? d2(r3, n3) : this._result[t3] = n3), 0 === this._remaining && h3(r3, this._result);
      }, g2.prototype._willSettleAt = function(e3, t3) {
        var n3 = this;
        f2(e3, void 0, function(e4) {
          n3._settledAt(_2, t3, e4);
        }, function(e4) {
          n3._settledAt(F2, t3, e4);
        });
      };
      var O2 = function() {
        var e3;
        if ("undefined" != typeof commonjsGlobal$1)
          e3 = commonjsGlobal$1;
        else if ("undefined" != typeof self)
          e3 = self;
        else
          try {
            e3 = Function("return this")();
          } catch (e4) {
            throw new Error("polyfill failed because global object is unavailable in this environment");
          }
        var t3 = e3.Promise;
        t3 && "[object Promise]" === Object.prototype.toString.call(t3.resolve()) && !t3.cast || (e3.Promise = V2);
      }, j2 = { Promise: V2, polyfill: O2 };
      module.exports ? module.exports = j2 : void 0 !== this && (this.ES6Promise = j2), O2();
    }.call(this);
    function C(e2, t2, s2, a2) {
      return new c.global.Promise(function(n2, r2) {
        bi(e2, t2, function(e3, t3) {
          t3 ? r2(t3) : (s2 && a2 && false !== bi.options.progress && bi.options.progress(s2, a2), n2(e3));
        });
      });
    }
    bi.promise = function(e2, t2) {
      if ("undefined" == typeof Promise)
        throw new Error("Please include a Promise/A+ library");
      if ("string" == typeof e2)
        return C(e2, t2);
      if (!c.isArray(e2) || e2.length < 1 || void 0 !== t2)
        throw new Error("Error in .promise parameters");
      return function(e3) {
        if (!(e3.length < 1)) {
          for (var t3, n2, r2 = [], s2 = 0; s2 < e3.length; s2++) {
            if ("string" == typeof (n2 = e3[s2]) && (n2 = [n2]), !c.isArray(n2) || n2.length < 1 || 2 < n2.length)
              throw new Error("Error in .promise parameter");
            t3 = n2[0], n2 = n2[1] || void 0, r2.push(C(t3, n2, s2, e3.length));
          }
          return c.global.Promise.all(r2);
        }
      }(e2);
    };
    var n = bi.Database = function(e2) {
      var t2 = this;
      if (t2 === bi)
        if (e2) {
          if (t2 = bi.databases[e2], !(bi.databases[e2] = t2))
            throw new Error('Database "' + e2 + '" not found');
        } else
          t2 = bi.databases.alasql, bi.options.tsql && (bi.databases.tempdb = bi.databases.alasql);
      return e2 = e2 || "db" + bi.databasenum++, t2.databaseid = e2, (bi.databases[e2] = t2).dbversion = 0, t2.tables = {}, t2.views = {}, t2.triggers = {}, t2.indices = {}, t2.objects = {}, t2.counter = 0, t2.resetSqlCache(), t2;
    };
    n.prototype.resetSqlCache = function() {
      this.sqlCache = {}, this.sqlCacheSize = 0;
    }, n.prototype.exec = function(e2, t2, n2) {
      return bi.dexec(this.databaseid, e2, t2, n2);
    }, n.prototype.autoval = function(e2, t2, n2) {
      return bi.autoval(e2, t2, n2, this.databaseid);
    }, n.prototype.transaction = function(e2) {
      return e2(new bi.Transaction(this.databaseid));
    };
    var R = bi.Transaction = function(e2) {
      return this.transactionid = Date.now(), this.databaseid = e2, this.commited = false, this.dbversion = bi.databases[e2].dbversion, this.bank = JSON.stringify(bi.databases[e2]), this;
    };
    R.prototype.commit = function() {
      this.commited = true, bi.databases[this.databaseid].dbversion = Date.now(), delete this.bank;
    }, R.prototype.rollback = function() {
      if (this.commited)
        throw new Error("Transaction already commited");
      bi.databases[this.databaseid] = JSON.parse(this.bank), delete this.bank;
    }, R.prototype.exec = function(e2, t2, n2) {
      return bi.dexec(this.databaseid, e2, t2, n2);
    }, R.prototype.executeSQL = R.prototype.exec;
    var O = bi.Table = function(e2) {
      this.data = [], this.columns = [], this.xcolumns = {}, this.inddefs = {}, this.indices = {}, this.uniqs = {}, this.uniqdefs = {}, this.identities = {}, this.checks = [], this.checkfns = [], this.beforeinsert = {}, this.afterinsert = {}, this.insteadofinsert = {}, this.beforedelete = {}, this.afterdelete = {}, this.insteadofdelete = {}, this.beforeupdate = {}, this.afterupdate = {}, this.insteadofupdate = {}, y(this, e2);
    };
    O.prototype.indexColumns = function() {
      var t2 = this;
      t2.xcolumns = {}, t2.columns.forEach(function(e2) {
        t2.xcolumns[e2.columnid] = e2;
      });
    };
    bi.View = function(e2) {
      this.columns = [], this.xcolumns = {}, this.query = [], y(this, e2);
    };
    var w = bi.Query = function(e2) {
      this.alasql = bi, this.columns = [], this.xcolumns = {}, this.selectGroup = [], this.groupColumns = {}, y(this, e2);
    }, k = (bi.Recordset = function(e2) {
      y(this, e2);
    }, t.yy = bi.yy = {});
    k.extend = y, k.casesensitive = bi.options.casesensitive;
    var I = k.Base = function(e2) {
      return k.extend(this, e2);
    };
    function D(e2, O2, t2) {
      var w2, n2, r2, s2, I2 = {}, a2 = m(this.selectors);
      return void 0 !== a2 && 0 < a2.length && (a2 && a2[0] && "PROP" === a2[0].srchid && a2[0].args && a2[0].args[0] && ("XML" === a2[0].args[0].toUpperCase() ? (I2.mode = "XML", a2.shift()) : "HTML" === a2[0].args[0].toUpperCase() ? (I2.mode = "HTML", a2.shift()) : "JSON" === a2[0].args[0].toUpperCase() && (I2.mode = "JSON", a2.shift())), 0 < a2.length && "VALUE" === a2[0].srchid && (I2.value = true, a2.shift())), this.from instanceof k.Column ? (n2 = this.from.databaseid || e2, w2 = bi.databases[n2].tables[this.from.columnid].data) : this.from instanceof k.FuncValue && bi.from[this.from.funcid.toUpperCase()] ? (n2 = this.from.args.map(function(e3) {
        e3 = e3.toJS();
        return new Function("params,alasql", "var y;return " + e3).bind(this)(O2, bi);
      }), w2 = bi.from[this.from.funcid.toUpperCase()].apply(this, n2)) : void 0 === this.from ? w2 = bi.databases[e2].objects : (e2 = new Function("params,alasql", "var y;return " + this.from.toJS()), w2 = e2(O2, bi), "object" == typeof Mongo && "object" != typeof Mongo.Collection && w2 instanceof Mongo.Collection && (w2 = w2.find().fetch())), a2 = void 0 !== a2 && 0 < a2.length ? function t3(n3, r3, s3) {
        var a3 = n3[r3];
        if (a3.selid) {
          if ("PATH" === a3.selid) {
            for (var i2 = [{ node: s3, stack: [] }], e3 = {}, o2 = bi.databases[bi.useid].objects; 0 < i2.length; ) {
              var u2 = i2.shift(), c2 = u2.node, l2 = u2.stack;
              if (0 < (C2 = t3(a3.args, 0, c2)).length) {
                if (r3 + 1 + 1 > n3.length)
                  return l2;
                var h3 = [];
                return l2 && 0 < l2.length && l2.forEach(function(e4) {
                  h3 = h3.concat(t3(n3, r3 + 1, e4));
                }), h3;
              }
              void 0 === e3[c2.$id] && (e3[c2.$id] = true, c2.$out && 0 < c2.$out.length && c2.$out.forEach(function(e4) {
                var t4 = o2[e4], e4 = l2.concat(t4);
                e4.push(o2[t4.$out[0]]), i2.push({ node: o2[t4.$out[0]], stack: e4 });
              }));
            }
            return [];
          }
          if ("NOT" === a3.selid)
            return 0 < (f2 = t3(a3.args, 0, s3)).length ? [] : r3 + 1 + 1 > n3.length ? [s3] : t3(n3, r3 + 1, s3);
          if ("DISTINCT" === a3.selid) {
            if (0 === (f2 = void 0 === a3.args || 0 === a3.args.length ? x(s3) : t3(a3.args, 0, s3)).length)
              return [];
            var d2 = x(f2);
            return r3 + 1 + 1 > n3.length ? d2 : t3(n3, r3 + 1, d2);
          }
          if ("AND" === a3.selid)
            return d2 = true, a3.args.forEach(function(e4) {
              d2 = d2 && 0 < t3(e4, 0, s3).length;
            }), d2 ? r3 + 1 + 1 > n3.length ? [s3] : t3(n3, r3 + 1, s3) : [];
          if ("OR" === a3.selid)
            return d2 = false, a3.args.forEach(function(e4) {
              d2 = d2 || 0 < t3(e4, 0, s3).length;
            }), d2 ? r3 + 1 + 1 > n3.length ? [s3] : t3(n3, r3 + 1, s3) : [];
          if ("ALL" === a3.selid)
            return 0 === (f2 = t3(a3.args[0], 0, s3)).length ? [] : r3 + 1 + 1 > n3.length ? f2 : t3(n3, r3 + 1, f2);
          if ("ANY" === a3.selid)
            return 0 === (f2 = t3(a3.args[0], 0, s3)).length ? [] : r3 + 1 + 1 > n3.length ? [f2[0]] : t3(n3, r3 + 1, [f2[0]]);
          if ("UNIONALL" === a3.selid) {
            var f2 = [];
            return a3.args.forEach(function(e4) {
              f2 = f2.concat(t3(e4, 0, s3));
            }), 0 === f2.length ? [] : r3 + 1 + 1 > n3.length ? f2 : t3(n3, r3 + 1, f2);
          }
          if ("UNION" === a3.selid) {
            var f2 = [];
            return a3.args.forEach(function(e4) {
              f2 = f2.concat(t3(e4, 0, s3));
            }), 0 === (f2 = x(f2)).length ? [] : r3 + 1 + 1 > n3.length ? f2 : t3(n3, r3 + 1, f2);
          }
          if ("IF" === a3.selid)
            return 0 === (f2 = t3(a3.args, 0, s3)).length ? [] : r3 + 1 + 1 > n3.length ? [s3] : t3(n3, r3 + 1, s3);
          if ("REPEAT" === a3.selid) {
            var p2, b2 = a3.args[0].value, E2 = a3.args[1] ? a3.args[1].value : b2;
            a3.args[2] && (p2 = a3.args[2].variable);
            var g2 = [];
            if (0 === b2 && (g2 = r3 + 1 + 1 > n3.length ? [s3] : (p2 && (bi.vars[p2] = 0), g2.concat(t3(n3, r3 + 1, s3)))), 0 < E2)
              for (var m2 = [{ value: s3, lvl: 1 }], S2 = 0; 0 < m2.length; ) {
                var T2, f2 = m2[0];
                if (m2.shift(), f2.lvl <= E2 && (p2 && (bi.vars[p2] = f2.lvl), (T2 = t3(a3.sels, 0, f2.value)).forEach(function(e4) {
                  m2.push({ value: e4, lvl: f2.lvl + 1 });
                }), f2.lvl >= b2 && (r3 + 1 + 1 > n3.length ? g2 = g2.concat(T2) : T2.forEach(function(e4) {
                  g2 = g2.concat(t3(n3, r3 + 1, e4));
                }))), 1e5 < ++S2)
                  throw new Error("Security brake. Number of iterations = " + S2);
              }
            return g2;
          }
          if ("OF" === a3.selid) {
            if (r3 + 1 + 1 > n3.length)
              return [s3];
            var v2 = [];
            return Object.keys(s3).forEach(function(e4) {
              bi.vars[a3.args[0].variable] = e4, v2 = v2.concat(t3(n3, r3 + 1, s3[e4]));
            }), v2;
          }
          if ("TO" === a3.selid) {
            var A2 = bi.vars[a3.args[0]], y2 = [];
            return ((y2 = void 0 !== A2 ? A2.slice(0) : []).push(s3), r3 + 1 + 1 > n3.length) ? [s3] : (bi.vars[a3.args[0]] = y2, v2 = t3(n3, r3 + 1, s3), bi.vars[a3.args[0]] = A2, v2);
          }
          if ("ARRAY" === a3.selid)
            return 0 < (f2 = t3(a3.args, 0, s3)).length ? (N2 = f2, r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2)) : [];
          if ("SUM" === a3.selid) {
            if (!(0 < (f2 = t3(a3.args, 0, s3)).length))
              return [];
            var N2 = f2.reduce(function(e4, t4) {
              return e4 + t4;
            }, 0);
            return r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2);
          }
          if ("AVG" === a3.selid)
            return 0 < (f2 = t3(a3.args, 0, s3)).length ? (N2 = f2.reduce(function(e4, t4) {
              return e4 + t4;
            }, 0) / f2.length, r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2)) : [];
          if ("COUNT" === a3.selid)
            return 0 < (f2 = t3(a3.args, 0, s3)).length ? (N2 = f2.length, r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2)) : [];
          if ("FIRST" === a3.selid)
            return 0 < (f2 = t3(a3.args, 0, s3)).length ? (N2 = f2[0], r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2)) : [];
          if ("LAST" === a3.selid)
            return 0 < (f2 = t3(a3.args, 0, s3)).length ? (N2 = f2[f2.length - 1], r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2)) : [];
          if ("MIN" === a3.selid)
            return 0 === (f2 = t3(a3.args, 0, s3)).length ? [] : (N2 = f2.reduce(function(e4, t4) {
              return Math.min(e4, t4);
            }, 1 / 0), r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2));
          if ("MAX" === a3.selid)
            return 0 === (f2 = t3(a3.args, 0, s3)).length ? [] : (N2 = f2.reduce(function(e4, t4) {
              return Math.max(e4, t4);
            }, -1 / 0), r3 + 1 + 1 > n3.length ? [N2] : t3(n3, r3 + 1, N2));
          if ("PLUS" === a3.selid) {
            var g2 = [], m2 = t3(a3.args, 0, s3).slice();
            for (r3 + 1 + 1 > n3.length ? g2 = g2.concat(m2) : m2.forEach(function(e4) {
              g2 = g2.concat(t3(n3, r3 + 1, e4));
            }), S2 = 0; 0 < m2.length; )
              if (f2 = m2.shift(), f2 = t3(a3.args, 0, f2), m2 = m2.concat(f2), r3 + 1 + 1 > n3.length ? g2 = g2.concat(f2) : f2.forEach(function(e4) {
                e4 = t3(n3, r3 + 1, e4), g2 = g2.concat(e4);
              }), 1e5 < ++S2)
                throw new Error("Security brake. Number of iterations = " + S2);
            return g2;
          }
          if ("STAR" === a3.selid) {
            for (g2 = [], g2 = t3(n3, r3 + 1, s3), m2 = t3(a3.args, 0, s3).slice(), r3 + 1 + 1 > n3.length ? g2 = g2.concat(m2) : m2.forEach(function(e4) {
              g2 = g2.concat(t3(n3, r3 + 1, e4));
            }), S2 = 0; 0 < m2.length; )
              if (f2 = m2[0], m2.shift(), f2 = t3(a3.args, 0, f2), m2 = m2.concat(f2), r3 + 1 + 1 <= n3.length && f2.forEach(function(e4) {
                g2 = g2.concat(t3(n3, r3 + 1, e4));
              }), 1e5 < ++S2)
                throw new Error("Loop brake. Number of iterations = " + S2);
            return g2;
          }
          if ("QUESTION" === a3.selid)
            return g2 = (g2 = []).concat(t3(n3, r3 + 1, s3)), f2 = t3(a3.args, 0, s3), r3 + 1 + 1 <= n3.length && f2.forEach(function(e4) {
              g2 = g2.concat(t3(n3, r3 + 1, e4));
            }), g2;
          if ("WITH" !== a3.selid) {
            if ("ROOT" === a3.selid)
              return r3 + 1 + 1 > n3.length ? [s3] : t3(n3, r3 + 1, w2);
            throw new Error("Wrong selector " + a3.selid);
          }
          if (0 === (f2 = t3(a3.args, 0, s3)).length)
            return [];
          var C2 = { status: 1, values: f2 };
        } else {
          if (!a3.srchid)
            throw new Error("Selector not found");
          C2 = bi.srch[a3.srchid.toUpperCase()](s3, a3.args, I2, O2);
        }
        d2 = [];
        if (1 === (C2 = void 0 === C2 ? { status: 1, values: [s3] } : C2).status) {
          var R2 = C2.values;
          if (r3 + 1 + 1 > n3.length)
            d2 = R2;
          else
            for (S2 = 0; S2 < C2.values.length; S2++)
              d2 = d2.concat(t3(n3, r3 + 1, R2[S2]));
        }
        return d2;
      }(a2, 0, w2) : w2, this.into ? (void 0 !== this.into.args[0] && (r2 = new Function("params,alasql", "var y;return " + this.into.args[0].toJS())(O2, bi)), void 0 !== this.into.args[1] && (s2 = new Function("params,alasql", "var y;return " + this.into.args[1].toJS())(O2, bi)), a2 = bi.into[this.into.funcid.toUpperCase()](r2, s2, a2, [], t2)) : (I2.value && 0 < a2.length && (a2 = a2[0]), t2 && (a2 = t2(a2))), a2;
    }
    I.prototype.toString = function() {
    }, I.prototype.toType = function() {
    }, I.prototype.toJS = function() {
    }, I.prototype.compile = e, I.prototype.exec = function() {
    }, I.prototype.compile = e, I.prototype.exec = function() {
    }, k.Statements = function(e2) {
      return k.extend(this, e2);
    }, k.Statements.prototype.toString = function() {
      return this.statements.map(function(e2) {
        return e2.toString();
      }).join("; ");
    }, k.Statements.prototype.compile = function(t2) {
      var r2 = this.statements.map(function(e2) {
        return e2.compile(t2);
      });
      return 1 === r2.length ? r2[0] : function(t3, e2) {
        var n2 = r2.map(function(e3) {
          return e3(t3);
        });
        return e2 && e2(n2), n2;
      };
    }, k.Search = function(e2) {
      return k.extend(this, e2);
    }, k.Search.prototype.toString = function() {
      var e2 = "SEARCH ";
      return this.selectors && (e2 += this.selectors.toString()), this.from && (e2 += "FROM " + this.from.toString()), e2;
    }, k.Search.prototype.toJS = function(e2) {
      return "this.queriesfn[" + a(this.queriesidx - 1) + "](this.params,null," + a(e2) + ")";
    }, k.Search.prototype.compile = function(e2) {
      var r2 = e2, s2 = this, a2 = function(e3, t2) {
        var n2;
        return D.bind(s2)(r2, e3, function(e4) {
          n2 = U(a2.query, e4), t2 && (n2 = t2(n2));
        }), n2;
      };
      return a2.query = {}, a2;
    }, bi.srch = {}, bi.srch.PROP = function(e2, t2, n2) {
      if ("XML" !== n2.mode)
        return "object" != typeof e2 || null === e2 || "object" != typeof t2 || void 0 === e2[t2[0]] ? { status: -1, values: [] } : { status: 1, values: [e2[t2[0]]] };
      var r2 = [];
      return e2.children.forEach(function(e3) {
        e3.name.toUpperCase() === t2[0].toUpperCase() && r2.push(e3);
      }), 0 < r2.length ? { status: 1, values: r2 } : { status: -1, values: [] };
    }, bi.srch.APROP = function(e2, t2) {
      return "object" != typeof e2 || null === e2 || "object" != typeof t2 || void 0 === e2[t2[0]] ? { status: 1, values: [void 0] } : { status: 1, values: [e2[t2[0]]] };
    }, bi.srch.EQ = function(e2, t2, n2, r2) {
      t2 = t2[0].toJS("x", "");
      return e2 === new Function("x,alasql,params", "return " + t2)(e2, bi, r2) ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.LIKE = function(e2, t2, n2, r2) {
      t2 = t2[0].toJS("x", ""), t2 = new Function("x,alasql,params", "return " + t2);
      return e2.toUpperCase().match(new RegExp("^" + t2(e2, bi, r2).toUpperCase().replace(/%/g, ".*").replace(/\?|_/g, ".") + "$"), "g") ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.ATTR = function(e2, t2, n2) {
      if ("XML" === n2.mode)
        return void 0 === t2 ? { status: 1, values: [e2.attributes] } : "object" == typeof e2 && "object" == typeof e2.attributes && void 0 !== e2.attributes[t2[0]] ? { status: 1, values: [e2.attributes[t2[0]]] } : { status: -1, values: [] };
      throw new Error("ATTR is not using in usual mode");
    }, bi.srch.CONTENT = function(e2, t2, n2) {
      if ("XML" === n2.mode)
        return { status: 1, values: [e2.content] };
      throw new Error("ATTR is not using in usual mode");
    }, bi.srch.SHARP = function(e2, t2) {
      t2 = bi.databases[bi.useid].objects[t2[0]];
      return void 0 !== e2 && e2 === t2 ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.PARENT = function() {
      return console.error("PARENT not implemented", arguments), { status: -1, values: [] };
    }, bi.srch.CHILD = function(t2, e2, n2) {
      return "object" == typeof t2 ? Array.isArray(t2) ? { status: 1, values: t2 } : "XML" === n2.mode ? { status: 1, values: Object.keys(t2.children).map(function(e3) {
        return t2.children[e3];
      }) } : { status: 1, values: Object.keys(t2).map(function(e3) {
        return t2[e3];
      }) } : { status: 1, values: [] };
    }, bi.srch.KEYS = function(e2) {
      return "object" == typeof e2 && null !== e2 ? { status: 1, values: Object.keys(e2) } : { status: 1, values: [] };
    }, bi.srch.WHERE = function(e2, t2, n2, r2) {
      t2 = t2[0].toJS("x", "");
      return new Function("x,alasql,params", "return " + t2)(e2, bi, r2) ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.NAME = function(e2, t2) {
      return e2.name === t2[0] ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.CLASS = function(e2, t2) {
      return e2.$class == t2 ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.VERTEX = function(e2) {
      return "VERTEX" === e2.$node ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.INSTANCEOF = function(e2, t2) {
      return e2 instanceof bi.fn[t2[0]] ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.EDGE = function(e2) {
      return "EDGE" === e2.$node ? { status: 1, values: [e2] } : { status: -1, values: [] };
    }, bi.srch.EX = function(e2, t2, n2, r2) {
      t2 = t2[0].toJS("x", "");
      return { status: 1, values: [new Function("x,alasql,params", "return " + t2)(e2, bi, r2)] };
    }, bi.srch.RETURN = function(n2, e2, t2, r2) {
      var s2 = {};
      return e2 && 0 < e2.length && e2.forEach(function(e3) {
        var t3 = e3.toJS("x", ""), t3 = new Function("x,alasql,params", "return " + t3);
        void 0 === e3.as && (e3.as = e3.toString()), s2[e3.as] = t3(n2, bi, r2);
      }), { status: 1, values: [s2] };
    }, bi.srch.REF = function(e2) {
      return { status: 1, values: [bi.databases[bi.useid].objects[e2]] };
    }, bi.srch.OUT = function(e2) {
      return e2.$out && 0 < e2.$out.length ? { status: 1, values: e2.$out.map(function(e3) {
        return bi.databases[bi.useid].objects[e3];
      }) } : { status: -1, values: [] };
    }, bi.srch.OUTOUT = function(e2) {
      if (e2.$out && 0 < e2.$out.length) {
        var t2 = [];
        return e2.$out.forEach(function(e3) {
          e3 = bi.databases[bi.useid].objects[e3];
          e3 && e3.$out && 0 < e3.$out.length && e3.$out.forEach(function(e4) {
            t2 = t2.concat(bi.databases[bi.useid].objects[e4]);
          });
        }), { status: 1, values: t2 };
      }
      return { status: -1, values: [] };
    }, bi.srch.IN = function(e2) {
      return e2.$in && 0 < e2.$in.length ? { status: 1, values: e2.$in.map(function(e3) {
        return bi.databases[bi.useid].objects[e3];
      }) } : { status: -1, values: [] };
    }, bi.srch.ININ = function(e2) {
      if (e2.$in && 0 < e2.$in.length) {
        var t2 = [];
        return e2.$in.forEach(function(e3) {
          e3 = bi.databases[bi.useid].objects[e3];
          e3 && e3.$in && 0 < e3.$in.length && e3.$in.forEach(function(e4) {
            t2 = t2.concat(bi.databases[bi.useid].objects[e4]);
          });
        }), { status: 1, values: t2 };
      }
      return { status: -1, values: [] };
    }, bi.srch.AS = function(e2, t2) {
      return { status: 1, values: [bi.vars[t2[0]] = e2] };
    }, bi.srch.AT = function(e2, t2) {
      return { status: 1, values: [bi.vars[t2[0]]] };
    }, bi.srch.CLONEDEEP = function(e2) {
      return { status: 1, values: [m(e2)] };
    }, bi.srch.SET = function(e2, t2, n2, r2) {
      t2 = t2.map(function(e3) {
        return "@" === e3.method ? "alasql.vars[" + a(e3.variable) + "]=" + e3.expression.toJS("x", "") : "$" === e3.method ? "params[" + a(e3.variable) + "]=" + e3.expression.toJS("x", "") : "x[" + a(e3.column.columnid) + "]=" + e3.expression.toJS("x", "");
      }).join(";");
      return new Function("x,params,alasql", t2)(e2, r2, bi), { status: 1, values: [e2] };
    }, bi.srch.ROW = function(e2, t2, n2, r2) {
      var s2 = "var y;return [";
      return s2 += t2.map(function(e3) {
        return e3.toJS("x", "");
      }).join(","), s2 += "]", { status: 1, values: [new Function("x,params,alasql", s2)(e2, r2, bi)] };
    }, bi.srch.D3 = function(e2) {
      return "VERTEX" !== e2.$node && "EDGE" === e2.$node && (e2.source = e2.$in[0], e2.target = e2.$out[0]), { status: 1, values: [e2] };
    };
    function L(e2, t2, n2) {
      var r2;
      if (0 <= t2 ? ((r2 = n2.sources[t2]).data = e2, "function" == typeof r2.data && (r2.getfn = r2.data, r2.dontcache = r2.getfn.dontcache, "OUTER" != r2.joinmode && "RIGHT" != r2.joinmode && "ANTI" != r2.joinmode || (r2.dontcache = false), r2.data = {})) : n2.queriesdata[-t2 - 1] = s(e2), n2.sourceslen--, !(0 < n2.sourceslen))
        return $(n2);
    }
    function $(e2) {
      var t2 = e2.scope;
      M(e2), e2.data = [], e2.xgroups = {}, e2.groups = [];
      var n2, r2, s2, a2;
      if (!function n3(r3, s3, a3) {
        if (a3 >= r3.sources.length)
          r3.wherefn(s3, r3.params, bi) && (r3.groupfn ? r3.groupfn(s3, r3.params, bi) : r3.data.push(r3.selectfn(s3, r3.params, bi)));
        else if (r3.sources[a3].applyselect) {
          var i3 = r3.sources[a3];
          i3.applyselect(r3.params, function(e4) {
            if (0 < e4.length)
              for (var t4 = 0; t4 < e4.length; t4++)
                s3[i3.alias] = e4[t4], n3(r3, s3, a3 + 1);
            else
              "OUTER" == i3.applymode && (s3[i3.alias] = {}, n3(r3, s3, a3 + 1));
          }, s3);
        } else {
          var i3 = r3.sources[a3], e3 = r3.sources[a3 + 1], t3 = i3.alias || i3.tableid, o3 = false, u3 = i3.data, c3 = false;
          i3.getfn && (!i3.getfn || i3.dontcache) || "RIGHT" == i3.joinmode || "OUTER" == i3.joinmode || "ANTI" == i3.joinmode || "ix" != i3.optimization || (u3 = i3.ix[i3.onleftfn(s3, r3.params, bi)] || [], c3 = true);
          var l3 = 0;
          if (void 0 === u3)
            throw new Error("Data source number " + a3 + " in undefined");
          for (var h4 = u3.length; (E3 = u3[l3]) || !c3 && i3.getfn && (E3 = i3.getfn(l3)) || l3 < h4; ) {
            c3 || !i3.getfn || i3.dontcache || (u3[l3] = E3), s3[t3] = E3;
            var d3, f3, p3 = !i3.onleftfn;
            p3 || (d3 = i3.onleftfn(s3, r3.params, bi), f3 = i3.onrightfn(s3, r3.params, bi), (d3 instanceof String || d3 instanceof Number) && (d3 = d3.valueOf()), (f3 instanceof String || f3 instanceof Number) && (f3 = d3.valueOf()), p3 = d3 == f3), p3 && i3.onmiddlefn(s3, r3.params, bi) && ("SEMI" != i3.joinmode && "ANTI" != i3.joinmode && n3(r3, s3, a3 + 1), "LEFT" != i3.joinmode && "INNER" != i3.joinmode && (E3._rightjoin = true), o3 = true), l3++;
          }
          if ("LEFT" != i3.joinmode && "OUTER" != i3.joinmode && "SEMI" != i3.joinmode || o3 || (s3[t3] = {}, n3(r3, s3, a3 + 1)), 0 == a3)
            for (var b3 = a3 + 1; b3 < r3.sources.length; b3++) {
              if ("OUTER" == e3.joinmode || "RIGHT" == e3.joinmode || "ANTI" == e3.joinmode) {
                s3[i3.alias] = {};
                for (var E3, g3 = 0, m3 = e3.data.length; (E3 = e3.data[g3]) || e3.getfn && (E3 = e3.getfn(g3)) || g3 < m3; )
                  e3.getfn && !e3.dontcache && (e3.data[g3] = E3), E3._rightjoin ? delete E3._rightjoin : (s3[e3.alias] = E3, n3(r3, s3, b3 + 1)), g3++;
              }
              i3 = r3.sources[b3], e3 = r3.sources[b3 + 1];
            }
          s3[t3] = void 0;
        }
      }(e2, t2, 0), e2.groupfn) {
        e2.data = [], 0 === e2.groups.length && 0 === e2.allgroups.length && (c2 = {}, 0 < e2.selectGroup.length && e2.selectGroup.forEach(function(e3) {
          "COUNT" == e3.aggregatorid || "SUM" == e3.aggregatorid ? c2[e3.nick] = 0 : c2[e3.nick] = void 0;
        }), e2.groups = [c2]), 0 < e2.aggrKeys.length && (n2 = "", e2.aggrKeys.forEach(function(e3) {
          n2 += "g['" + e3.nick + "']=alasql.aggr['" + e3.funcid + "'](undefined,g['" + e3.nick + "'],3);";
        }), r2 = new Function("g,params,alasql", "var y;" + n2));
        for (var i2 = 0, o2 = e2.groups.length; i2 < o2; i2++) {
          var u2, c2 = e2.groups[i2];
          r2 && r2(c2, e2.params, bi), e2.havingfn && !e2.havingfn(c2, e2.params, bi) || (u2 = e2.selectgfn(c2, e2.params, bi), e2.data.push(u2));
        }
      }
      if (!function(t3) {
        if (t3.distinct) {
          for (var e3, n3 = {}, r3 = Object.keys(t3.data[0] || []), s3 = 0, a3 = t3.data.length; s3 < a3; s3++) {
            var i3 = r3.map(function(e4) {
              return t3.data[s3][e4];
            }).join("`");
            n3[i3] = t3.data[s3];
          }
          for (e3 in t3.data = [], n3)
            t3.data.push(n3[e3]);
        }
      }(e2), e2.unionallfn) {
        if (e2.corresponding)
          e2.unionallfn.query.modifier || (e2.unionallfn.query.modifier = void 0), f2 = e2.unionallfn(e2.params);
        else {
          e2.unionallfn.query.modifier || (e2.unionallfn.query.modifier = "RECORDSET"), f2 = [], o2 = (p2 = e2.unionallfn(e2.params)).data.length;
          for (i2 = 0; i2 < o2; i2++) {
            for (var l2 = {}, h3 = Math.min(e2.columns.length, p2.columns.length) - 1; 0 <= h3; h3--)
              l2[e2.columns[h3].columnid] = p2.data[i2][p2.columns[h3].columnid];
            f2.push(l2);
          }
        }
        e2.data = e2.data.concat(f2);
      } else if (e2.unionfn) {
        if (e2.corresponding)
          e2.unionfn.query.modifier || (e2.unionfn.query.modifier = "ARRAY"), f2 = e2.unionfn(e2.params);
        else {
          e2.unionfn.query.modifier || (e2.unionfn.query.modifier = "RECORDSET"), f2 = [], o2 = (p2 = e2.unionfn(e2.params)).data.length;
          for (i2 = 0; i2 < o2; i2++) {
            l2 = {};
            for (var d2 = Math.min(e2.columns.length, p2.columns.length), h3 = 0; h3 < d2; h3++)
              l2[e2.columns[h3].columnid] = p2.data[i2][p2.columns[h3].columnid];
            f2.push(l2);
          }
        }
        e2.data = S(e2.data, f2);
      } else if (e2.exceptfn) {
        if (e2.corresponding) {
          e2.exceptfn.query.modifier || (e2.exceptfn.query.modifier = "ARRAY");
          var f2 = e2.exceptfn(e2.params);
        } else {
          e2.exceptfn.query.modifier || (e2.exceptfn.query.modifier = "RECORDSET");
          for (var p2, f2 = [], i2 = 0, o2 = (p2 = e2.exceptfn(e2.params)).data.length; i2 < o2; i2++) {
            for (l2 = {}, h3 = Math.min(e2.columns.length, p2.columns.length) - 1; 0 <= h3; h3--)
              l2[e2.columns[h3].columnid] = p2.data[i2][p2.columns[h3].columnid];
            f2.push(l2);
          }
        }
        e2.data = T(e2.data, f2);
      } else if (e2.intersectfn) {
        if (e2.corresponding)
          e2.intersectfn.query.modifier || (e2.intersectfn.query.modifier = void 0), f2 = e2.intersectfn(e2.params);
        else
          for (e2.intersectfn.query.modifier || (e2.intersectfn.query.modifier = "RECORDSET"), f2 = [], o2 = (p2 = e2.intersectfn(e2.params)).data.length, i2 = 0; i2 < o2; i2++) {
            for (l2 = {}, d2 = Math.min(e2.columns.length, p2.columns.length), h3 = 0; h3 < d2; h3++)
              l2[e2.columns[h3].columnid] = p2.data[i2][p2.columns[h3].columnid];
            f2.push(l2);
          }
        e2.data = v(e2.data, f2);
      }
      if (e2.orderfn && (e2.explain && (a2 = Date.now()), e2.data = e2.data.sort(e2.orderfn), e2.explain && e2.explaination.push({ explid: e2.explid++, description: "QUERY BY", ms: Date.now() - a2 })), (s2 = e2).limit && (t2 = 0, s2.offset && (t2 = (t2 = 0 | s2.offset || 0) < 0 ? 0 : t2), a2 = s2.percent ? (s2.data.length * s2.limit / 100 | 0) + t2 : (0 | s2.limit) + t2, s2.data = s2.data.slice(t2, a2)), "undefined" != typeof angular && e2.removeKeys.push("$$hashKey"), 0 < e2.removeKeys.length) {
        var b2 = e2.removeKeys;
        if (0 < (d2 = b2.length))
          for (o2 = e2.data.length, i2 = 0; i2 < o2; i2++)
            for (h3 = 0; h3 < d2; h3++)
              delete e2.data[i2][b2[h3]];
        0 < e2.columns.length && (e2.columns = e2.columns.filter(function(t3) {
          var n3 = false;
          return b2.forEach(function(e3) {
            t3.columnid == e3 && (n3 = true);
          }), !n3;
        }));
      }
      if (void 0 !== e2.removeLikeKeys && 0 < e2.removeLikeKeys.length) {
        for (var E2 = e2.removeLikeKeys, i2 = 0, o2 = e2.data.length; i2 < o2; i2++)
          for (var g2 in l2 = e2.data[i2])
            for (h3 = 0; h3 < e2.removeLikeKeys.length; h3++)
              bi.utils.like(e2.removeLikeKeys[h3], g2) && delete l2[g2];
        0 < e2.columns.length && (e2.columns = e2.columns.filter(function(t3) {
          var n3 = false;
          return E2.forEach(function(e3) {
            bi.utils.like(e3, t3.columnid) && (n3 = true);
          }), !n3;
        }));
      }
      if (e2.pivotfn && e2.pivotfn(), e2.unpivotfn && e2.unpivotfn(), e2.intoallfn) {
        var m2 = e2.intoallfn(e2.columns, e2.cb, e2.params, e2.alasql);
        return m2;
      }
      if (e2.intofn) {
        for (o2 = e2.data.length, i2 = 0; i2 < o2; i2++)
          e2.intofn(e2.data[i2], i2, e2.params, e2.alasql);
        return e2.cb && e2.cb(e2.data.length, e2.A, e2.B), e2.data.length;
      }
      return m2 = e2.data, m2 = e2.cb ? e2.cb(e2.data, e2.A, e2.B) : m2;
    }
    bi.srch.ORDERBY = function(e2, t2) {
      return { status: 1, values: e2.sort(function(e3) {
        if (e3) {
          if (e3 && 1 === e3.length && e3[0].expression && "function" == typeof e3[0].expression) {
            var n2 = e3[0].expression;
            return function(e4, t3) {
              e4 = n2(e4), t3 = n2(t3);
              return t3 < e4 ? 1 : e4 === t3 ? 0 : -1;
            };
          }
          var r2 = "", s2 = "";
          return e3.forEach(function(e4) {
            var t3, n3 = "";
            e4.expression instanceof k.NumValue && (e4.expression = self.columns[e4.expression.value - 1]), e4.expression instanceof k.Column ? (t3 = e4.expression.columnid, bi.options.valueof && (n3 = ".valueOf()"), e4.nocase && (n3 += ".toUpperCase()"), "_" === t3 ? (r2 += "if(a" + n3 + ("ASC" === e4.direction ? ">" : "<") + "b" + n3 + ")return 1;", r2 += "if(a" + n3 + "==b" + n3 + "){") : (r2 += "if((a[" + a(t3) + "]||'')" + n3 + ("ASC" === e4.direction ? ">" : "<") + "(b[" + a(t3) + "]||'')" + n3 + ")return 1;", r2 += "if((a[" + a(t3) + "]||'')" + n3 + "==(b[" + a(t3) + "]||'')" + n3 + "){")) : (n3 = ".valueOf()", e4.nocase && (n3 += ".toUpperCase()"), r2 += "if((" + e4.toJS("a", "") + "||'')" + n3 + ("ASC" === e4.direction ? ">(" : "<(") + e4.toJS("b", "") + "||'')" + n3 + ")return 1;", r2 += "if((" + e4.toJS("a", "") + "||'')" + n3 + "==(" + e4.toJS("b", "") + "||'')" + n3 + "){"), s2 += "}";
          }), r2 += "return 0;", r2 += s2 + "return -1", new Function("a,b", r2);
        }
      }(t2)) };
    };
    var M = function(t2) {
      for (var e2 = 0, n2 = t2.sources.length; e2 < n2; e2++) {
        var r2, s2 = t2.sources[e2];
        if (delete s2.ix, 0 < e2 && "ix" == s2.optimization && s2.onleftfn && s2.onrightfn) {
          if (s2.databaseid && bi.databases[s2.databaseid].tables[s2.tableid] && (bi.databases[s2.databaseid].tables[s2.tableid].indices || (t2.database.tables[s2.tableid].indices = {}), r2 = bi.databases[s2.databaseid].tables[s2.tableid].indices[b(s2.onrightfns + "`" + s2.srcwherefns)], !bi.databases[s2.databaseid].tables[s2.tableid].dirty && r2 && (s2.ix = r2)), !s2.ix) {
            s2.ix = {};
            for (var a2, i2, o2 = {}, u2 = 0, c2 = s2.data.length; (a2 = s2.data[u2]) || s2.getfn && (a2 = s2.getfn(u2)) || u2 < c2; )
              s2.getfn && !s2.dontcache && (s2.data[u2] = a2), o2[s2.alias || s2.tableid] = a2, s2.srcwherefn(o2, t2.params, bi) && (i2 = s2.onrightfn(o2, t2.params, bi), (s2.ix[i2] || (s2.ix[i2] = [])).push(a2)), u2++;
            s2.databaseid && bi.databases[s2.databaseid].tables[s2.tableid] && (bi.databases[s2.databaseid].tables[s2.tableid].indices[b(s2.onrightfns + "`" + s2.srcwherefns)] = s2.ix);
          }
        } else if (s2.wxleftfn) {
          if (bi.databases[s2.databaseid].engineid || (r2 = bi.databases[s2.databaseid].tables[s2.tableid].indices[b(s2.wxleftfns + "`")]), !bi.databases[s2.databaseid].tables[s2.tableid].dirty && r2)
            s2.ix = r2, s2.data = s2.ix[s2.wxrightfn(null, t2.params, bi)];
          else {
            for (s2.ix = {}, o2 = {}, u2 = 0, c2 = s2.data.length; (a2 = s2.data[u2]) || s2.getfn && (a2 = s2.getfn(u2)) || u2 < c2; )
              s2.getfn && !s2.dontcache && (s2.data[u2] = a2), o2[s2.alias || s2.tableid] = s2.data[u2], i2 = s2.wxleftfn(o2, t2.params, bi), (s2.ix[i2] || (s2.ix[i2] = [])).push(s2.data[u2]), u2++;
            bi.databases[s2.databaseid].engineid || (bi.databases[s2.databaseid].tables[s2.tableid].indices[b(s2.wxleftfns + "`")] = s2.ix);
          }
          s2.srcwherefns && (s2.data ? (o2 = {}, s2.data = s2.data.filter(function(e3) {
            return o2[s2.alias] = e3, s2.srcwherefn(o2, t2.params, bi);
          })) : s2.data = []);
        } else if (s2.srcwherefns && !s2.dontcache)
          if (s2.data) {
            o2 = {};
            s2.data = s2.data.filter(function(e3) {
              return o2[s2.alias] = e3, s2.srcwherefn(o2, t2.params, bi);
            }), o2 = {};
            for (var u2 = 0, c2 = s2.data.length, l2 = []; (a2 = s2.data[u2]) || s2.getfn && (a2 = s2.getfn(u2)) || u2 < c2; )
              s2.getfn && !s2.dontcache && (s2.data[u2] = a2), o2[s2.alias] = a2, s2.srcwherefn(o2, t2.params, bi) && l2.push(a2), u2++;
            s2.data = l2;
          } else
            s2.data = [];
        s2.databaseid && bi.databases[s2.databaseid].tables[s2.tableid];
      }
    };
    function U(e2, t2) {
      if (void 0 === t2 || "number" == typeof t2 || "string" == typeof t2 || "boolean" == typeof t2)
        return t2;
      var n2 = e2.modifier || bi.options.modifier, r2 = e2.columns;
      if (void 0 === r2 || 0 == r2.length)
        if (0 < t2.length) {
          for (var s2 = {}, a2 = Math.min(t2.length, bi.options.columnlookup || 10) - 1; 0 <= a2; a2--)
            for (var i2 in t2[a2])
              s2[i2] = true;
          r2 = Object.keys(s2).map(function(e3) {
            return { columnid: e3 };
          });
        } else
          r2 = [];
      if ("VALUE" === n2)
        t2 = 0 < t2.length ? (i2 = r2 && 0 < r2.length ? r2[0].columnid : Object.keys(t2[0])[0], t2[0][i2]) : void 0;
      else if ("ROW" === n2)
        if (0 < t2.length) {
          var o2 = [];
          for (i2 in t2[0])
            o2.push(t2[0][i2]);
          t2 = o2;
        } else
          t2 = void 0;
      else if ("COLUMN" === n2) {
        var u2 = [];
        if (0 < t2.length) {
          i2 = r2 && 0 < r2.length ? r2[0].columnid : Object.keys(t2[0])[0];
          for (var a2 = 0, c2 = t2.length; a2 < c2; a2++)
            u2.push(t2[a2][i2]);
        }
        t2 = u2;
      } else if ("MATRIX" === n2) {
        for (u2 = [], a2 = 0; a2 < t2.length; a2++) {
          for (var o2 = [], l2 = t2[a2], h3 = 0; h3 < r2.length; h3++)
            o2.push(l2[r2[h3].columnid]);
          u2.push(o2);
        }
        t2 = u2;
      } else if ("INDEX" === n2) {
        for (var u2 = {}, d2 = r2 && 0 < r2.length ? (i2 = r2[0].columnid, r2[1].columnid) : (i2 = (e2 = Object.keys(t2[0]))[0], e2[1]), a2 = 0, c2 = t2.length; a2 < c2; a2++)
          u2[t2[a2][i2]] = t2[a2][d2];
        t2 = u2;
      } else if ("RECORDSET" === n2)
        t2 = new bi.Recordset({ columns: r2, data: t2 });
      else if ("TEXTSTRING" === n2) {
        i2 = r2 && 0 < r2.length ? r2[0].columnid : Object.keys(t2[0])[0];
        for (a2 = 0, c2 = t2.length; a2 < c2; a2++)
          t2[a2] = t2[a2][i2];
        t2 = t2.join("\n");
      }
      return t2;
    }
    function _(s2, e2, a2) {
      var i2 = "", o2 = [], u2 = {};
      return e2.forEach(function(r2) {
        var e3;
        s2.ixsources = {}, s2.sources.forEach(function(e4) {
          s2.ixsources[e4.alias] = e4;
        }), s2.ixsources[r2] && (e3 = s2.ixsources[r2].columns), a2 && "json" == bi.options.joinstar && (i2 += "r['" + r2 + "']={};"), e3 && 0 < e3.length ? e3.forEach(function(e4) {
          var t2, n2;
          a2 && "underscore" == bi.options.joinstar ? o2.push("'" + r2 + "_" + e4.columnid + "':p['" + r2 + "']['" + e4.columnid + "']") : a2 && "json" == bi.options.joinstar ? i2 += "r['" + r2 + "']['" + e4.columnid + "']=p['" + r2 + "']['" + e4.columnid + "'];" : (t2 = "p['" + r2 + "']['" + e4.columnid + "']", u2[e4.columnid] ? (n2 = t2 + " !== undefined ? " + t2 + " : " + u2[e4.columnid].value, o2[u2[e4.columnid].id] = u2[e4.columnid].key + n2, u2[e4.columnid].value = n2) : (n2 = "'" + e4.columnid + "':", o2.push(n2 + t2), u2[e4.columnid] = { id: o2.length - 1, value: t2, key: n2 })), s2.selectColumns[h2(e4.columnid)] = true;
          e4 = { columnid: e4.columnid, dbtypeid: e4.dbtypeid, dbsize: e4.dbsize, dbprecision: e4.dbprecision, dbenum: e4.dbenum };
          s2.columns.push(e4), s2.xcolumns[e4.columnid] = e4;
        }) : (i2 += 'var w=p["' + r2 + '"];for(var k in w){r[k]=w[k]};', s2.dirtyColumns = true);
      }), { s: o2.join(","), sp: i2 };
    }
    k.Select = function(e2) {
      return k.extend(this, e2);
    }, k.Select.prototype.toString = function() {
      var e2 = "";
      return this.explain && (e2 += "EXPLAIN "), e2 += "SELECT ", this.modifier && (e2 += this.modifier + " "), this.distinct && (e2 += "DISTINCT "), this.top && (e2 += "TOP " + this.top.value + " ", this.percent && (e2 += "PERCENT ")), e2 += this.columns.map(function(e3) {
        var t2 = e3.toString();
        return void 0 !== e3.as && (t2 += " AS " + e3.as), t2;
      }).join(", "), this.from && (e2 += " FROM " + this.from.map(function(e3) {
        var t2 = e3.toString();
        return e3.as && (t2 += " AS " + e3.as), t2;
      }).join(",")), this.joins && (e2 += this.joins.map(function(e3) {
        var t2 = " ";
        if (e3.joinmode && (t2 += e3.joinmode + " "), e3.table)
          t2 += "JOIN " + e3.table.toString();
        else if (e3.select)
          t2 += "JOIN (" + e3.select.toString() + ")";
        else {
          if (!(e3 instanceof bi.yy.Apply))
            throw new Error("Wrong type in JOIN mode");
          t2 += e3.toString();
        }
        return e3.as && (t2 += " AS " + e3.as), e3.using && (t2 += " USING " + e3.using.toString()), e3.on && (t2 += " ON " + e3.on.toString()), t2;
      }).join("")), this.where && (e2 += " WHERE " + this.where.toString()), this.group && 0 < this.group.length && (e2 += " GROUP BY " + this.group.map(function(e3) {
        return e3.toString();
      }).join(", ")), this.having && (e2 += " HAVING " + this.having.toString()), this.order && 0 < this.order.length && (e2 += " ORDER BY " + this.order.map(function(e3) {
        return e3.toString();
      }).join(", ")), this.limit && (e2 += " LIMIT " + this.limit.value), this.offset && (e2 += " OFFSET " + this.offset.value), this.union && (e2 += " UNION " + (this.corresponding ? "CORRESPONDING " : "") + this.union.toString()), this.unionall && (e2 += " UNION ALL " + (this.corresponding ? "CORRESPONDING " : "") + this.unionall.toString()), this.except && (e2 += " EXCEPT " + (this.corresponding ? "CORRESPONDING " : "") + this.except.toString()), this.intersect && (e2 += " INTERSECT " + (this.corresponding ? "CORRESPONDING " : "") + this.intersect.toString()), e2;
    }, k.Select.prototype.toJS = function(e2) {
      return "alasql.utils.flatArray(this.queriesfn[" + (this.queriesidx - 1) + "](this.params,null," + e2 + "))[0]";
    }, k.Select.prototype.compile = function(e2, t2) {
      var n2 = bi.databases[e2], o2 = new w();
      o2.removeKeys = [], o2.aggrKeys = [], o2.explain = this.explain, o2.explaination = [], o2.explid = 1, o2.modifier = this.modifier, o2.database = n2, this.compileWhereExists(o2), this.compileQueries(o2), o2.defcols = this.compileDefCols(o2, e2), o2.fromfn = this.compileFrom(o2), this.joins && this.compileJoins(o2), o2.rownums = [], this.compileSelectGroup0(o2), this.group || 0 < o2.selectGroup.length ? o2.selectgfns = this.compileSelectGroup1(o2) : o2.selectfns = this.compileSelect1(o2, t2), this.compileRemoveColumns(o2), this.where && this.compileWhereJoins(o2), o2.wherefn = this.compileWhere(o2), (this.group || 0 < o2.selectGroup.length) && (o2.groupfn = this.compileGroup(o2)), this.having && (o2.havingfn = this.compileHaving(o2)), this.order && (o2.orderfn = this.compileOrder(o2, t2)), this.group || 0 < o2.selectGroup.length ? o2.selectgfn = this.compileSelectGroup2(o2) : o2.selectfn = this.compileSelect2(o2, t2), o2.distinct = this.distinct, this.pivot && (o2.pivotfn = this.compilePivot(o2)), this.unpivot && (o2.pivotfn = this.compileUnpivot(o2)), this.top ? o2.limit = this.top.value : this.limit && (o2.limit = this.limit.value, this.offset && (o2.offset = this.offset.value)), o2.percent = this.percent, o2.corresponding = this.corresponding, this.union ? (o2.unionfn = this.union.compile(e2), this.union.order ? o2.orderfn = this.union.compileOrder(o2, t2) : o2.orderfn = null) : this.unionall ? (o2.unionallfn = this.unionall.compile(e2), this.unionall.order ? o2.orderfn = this.unionall.compileOrder(o2, t2) : o2.orderfn = null) : this.except ? (o2.exceptfn = this.except.compile(e2), this.except.order ? o2.orderfn = this.except.compileOrder(o2, t2) : o2.orderfn = null) : this.intersect && (o2.intersectfn = this.intersect.compile(e2), this.intersect.order ? o2.intersectfn = this.intersect.compileOrder(o2, t2) : o2.orderfn = null), this.into && (this.into instanceof k.Table ? bi.options.autocommit && bi.databases[this.into.databaseid || e2].engineid ? o2.intoallfns = 'return alasql.engines["' + bi.databases[this.into.databaseid || e2].engineid + '"].intoTable("' + (this.into.databaseid || e2) + '","' + this.into.tableid + '",this.data, columns, cb);' : o2.intofns = "alasql.databases['" + (this.into.databaseid || e2) + "'].tables['" + this.into.tableid + "'].data.push(r);" : this.into instanceof k.VarValue ? o2.intoallfns = 'alasql.vars["' + this.into.variable + '"]=this.data;res=this.data.length;if(cb)res=cb(res);return res;' : this.into instanceof k.FuncValue ? (r2 = "return alasql.into[" + JSON.stringify(this.into.funcid.toUpperCase()) + "](", this.into.args && 0 < this.into.args.length ? (r2 += this.into.args[0].toJS() + ",", 1 < this.into.args.length ? r2 += this.into.args[1].toJS() + "," : r2 += "undefined,") : r2 += "undefined, undefined,", o2.intoallfns = r2 + "this.data,columns,cb)") : this.into instanceof k.ParamValue && (o2.intofns = "params['" + this.into.param + "'].push(r)"), o2.intofns ? o2.intofn = new Function("r,i,params,alasql", "var y;" + o2.intofns) : o2.intoallfns && (o2.intoallfn = new Function("columns,cb,params,alasql", "var y;" + o2.intoallfns)));
      var r2 = function(e3, i2, t3) {
        return o2.params = e3, function(n3, e4, t4, r3, s2) {
          n3.sources.length, n3.sourceslen = n3.sources.length;
          var a2, i3 = n3.sourceslen;
          return (n3.query = n3).A = r3, n3.B = s2, n3.cb = t4, n3.oldscope = e4, n3.queriesfn && (n3.sourceslen += n3.queriesfn.length, i3 += n3.queriesfn.length, n3.queriesdata = [], n3.queriesfn.forEach(function(e5, t5) {
            e5.query.params = n3.params, L([], -t5 - 1, n3);
          })), e4 = e4 ? m(e4) : {}, n3.scope = e4, n3.sources.forEach(function(e5, t5) {
            e5.query = n3;
            t5 = e5.datafn(n3, n3.params, L, t5, bi);
            void 0 !== t5 && ((n3.intofn || n3.intoallfn) && Array.isArray(t5) && (t5 = t5.length), a2 = t5), e5.queriesdata = n3.queriesdata;
          }), a2 = 0 == n3.sources.length || 0 === i3 ? $(n3) : a2;
        }(o2, t3, function(e4, t4) {
          if (t4)
            return i2(t4, null);
          if (0 < o2.rownums.length)
            for (var n3 = 0, r3 = e4.length; n3 < r3; n3++)
              for (var s2 = 0, a2 = o2.rownums.length; s2 < a2; s2++)
                e4[n3][o2.rownums[s2]] = n3 + 1;
          t4 = U(o2, e4);
          return i2 && i2(t4), t4;
        });
      };
      return r2.query = o2, r2;
    }, k.Select.prototype.execute = function(e2, t2, n2) {
      return this.compile(e2)(t2, n2);
    }, k.ExistsValue = function(e2) {
      return k.extend(this, e2);
    }, k.ExistsValue.prototype.toString = function() {
      return "EXISTS(" + this.value.toString() + ")";
    }, k.ExistsValue.prototype.toType = function() {
      return "boolean";
    }, k.ExistsValue.prototype.toJS = function(e2, t2, n2) {
      return "this.existsfn[" + this.existsidx + "](params,null," + e2 + ").data.length";
    }, k.Select.prototype.compileWhereExists = function(t2) {
      this.exists && (t2.existsfn = this.exists.map(function(e2) {
        e2 = e2.compile(t2.database.databaseid);
        return e2.query.modifier = "RECORDSET", e2;
      }));
    }, k.Select.prototype.compileQueries = function(t2) {
      this.queries && (t2.queriesfn = this.queries.map(function(e2) {
        e2 = e2.compile(t2.database.databaseid);
        return e2.query.modifier = "RECORDSET", e2;
      }));
    }, bi.precompile = function(t2, n2, e2) {
      t2 && (t2.params = e2, t2.queries && (t2.queriesfn = t2.queries.map(function(e3) {
        e3 = e3.compile(n2 || t2.database.databaseid);
        return e3.query.modifier = "RECORDSET", e3;
      })), t2.exists && (t2.existsfn = t2.exists.map(function(e3) {
        e3 = e3.compile(n2 || t2.database.databaseid);
        return e3.query.modifier = "RECORDSET", e3;
      })));
    }, k.Select.prototype.compileFrom = function(n2) {
      n2.sources = [], n2.aliases = {}, this.from && (this.from.forEach(function(i2) {
        var e2 = "", t2 = i2.as || i2.tableid;
        if (i2 instanceof k.Table)
          n2.aliases[t2] = { tableid: i2.tableid, databaseid: i2.databaseid || n2.database.databaseid, type: "table" };
        else if (i2 instanceof k.Select)
          n2.aliases[t2] = { type: "subquery" };
        else if (i2 instanceof k.Search)
          n2.aliases[t2] = { type: "subsearch" };
        else if (i2 instanceof k.ParamValue)
          n2.aliases[t2] = { type: "paramvalue" };
        else if (i2 instanceof k.FuncValue)
          n2.aliases[t2] = { type: "funcvalue" };
        else if (i2 instanceof k.VarValue)
          n2.aliases[t2] = { type: "varvalue" };
        else if (i2 instanceof k.FromData)
          n2.aliases[t2] = { type: "fromdata" };
        else if (i2 instanceof k.Json)
          n2.aliases[t2] = { type: "json" };
        else {
          if (!i2.inserted)
            throw new Error("Wrong table at FROM");
          n2.aliases[t2] = { type: "inserted" };
        }
        var o2 = { alias: t2, databaseid: i2.databaseid || n2.database.databaseid, tableid: i2.tableid, joinmode: "INNER", onmiddlefn: f, srcwherefns: "", srcwherefn: f };
        if (i2 instanceof k.Table)
          o2.columns = bi.databases[o2.databaseid].tables[o2.tableid].columns, bi.options.autocommit && bi.databases[o2.databaseid].engineid && !bi.databases[o2.databaseid].tables[o2.tableid].view ? o2.datafn = function(e3, t3, n3, r2, s2) {
            return s2.engines[s2.databases[o2.databaseid].engineid].fromTable(o2.databaseid, o2.tableid, n3, r2, e3);
          } : bi.databases[o2.databaseid].tables[o2.tableid].view ? o2.datafn = function(e3, t3, n3, r2, s2) {
            t3 = s2.databases[o2.databaseid].tables[o2.tableid].select(t3);
            return t3 = n3 ? n3(t3, r2, e3) : t3;
          } : o2.datafn = function(e3, t3, n3, r2, s2) {
            s2 = s2.databases[o2.databaseid].tables[o2.tableid].data;
            return s2 = n3 ? n3(s2, r2, e3) : s2;
          };
        else if (i2 instanceof k.Select)
          o2.subquery = i2.compile(n2.database.databaseid), void 0 === o2.subquery.query.modifier && (o2.subquery.query.modifier = "RECORDSET"), o2.columns = o2.subquery.query.columns, o2.datafn = function(t3, e3, n3, r2, s2) {
            var a2;
            return o2.subquery(t3.params, function(e4) {
              return a2 = e4.data, a2 = n3 ? n3(a2, r2, t3) : a2;
            }), a2;
          };
        else if (i2 instanceof k.Search)
          o2.subsearch = i2, o2.columns = [], o2.datafn = function(t3, e3, n3, r2, s2) {
            var a2;
            return o2.subsearch.execute(t3.database.databaseid, t3.params, function(e4) {
              return a2 = e4, a2 = n3 ? n3(a2, r2, t3) : a2;
            }), a2;
          };
        else if (i2 instanceof k.ParamValue)
          e2 = "var res = alasql.prepareFromData(params['" + i2.param + "']", i2.array && (e2 += ",true"), e2 += ");if(cb)res=cb(res,idx,query);return res", o2.datafn = new Function("query,params,cb,idx,alasql", e2);
        else if (i2.inserted)
          e2 = "var res = alasql.prepareFromData(alasql.inserted", i2.array && (e2 += ",true"), e2 += ");if(cb)res=cb(res,idx,query);return res", o2.datafn = new Function("query,params,cb,idx,alasql", e2);
        else if (i2 instanceof k.Json)
          e2 = "var res = alasql.prepareFromData(" + i2.toJS(), i2.array && (e2 += ",true"), e2 += ");if(cb)res=cb(res,idx,query);return res", o2.datafn = new Function("query,params,cb,idx,alasql", e2);
        else if (i2 instanceof k.VarValue)
          e2 = "var res = alasql.prepareFromData(alasql.vars['" + i2.variable + "']", i2.array && (e2 += ",true"), e2 += ");if(cb)res=cb(res,idx,query);return res", o2.datafn = new Function("query,params,cb,idx,alasql", e2);
        else if (i2 instanceof k.FuncValue)
          e2 = "var res=alasql.from[" + JSON.stringify(i2.funcid.toUpperCase()) + "](", i2.args && 0 < i2.args.length ? (i2.args[0] ? e2 += i2.args[0].toJS("query.oldscope") + "," : e2 += "null,", i2.args[1] ? e2 += i2.args[1].toJS("query.oldscope") + "," : e2 += "null,") : e2 += "null,null,", e2 += "cb,idx,query", e2 += ");/*if(cb)res=cb(res,idx,query);*/return res", o2.datafn = new Function("query, params, cb, idx, alasql", e2);
        else {
          if (!(i2 instanceof k.FromData))
            throw new Error("Wrong table at FROM");
          o2.datafn = function(e3, t3, n3, r2, s2) {
            var a2 = i2.data;
            return a2 = n3 ? n3(a2, r2, e3) : a2;
          };
        }
        n2.sources.push(o2);
      }), n2.defaultTableid = n2.sources[0].alias);
    }, bi.prepareFromData = function(e2, t2) {
      var n2, r2, s2 = e2;
      if ("string" == typeof e2) {
        if (s2 = e2.split(/\r?\n/), t2)
          for (n2 = 0, r2 = s2.length; n2 < r2; n2++)
            s2[n2] = [s2[n2]];
      } else if (t2)
        for (s2 = [], n2 = 0, r2 = e2.length; n2 < r2; n2++)
          s2.push([e2[n2]]);
      else if ("object" == typeof e2 && !Array.isArray(e2))
        if ("undefined" != typeof Mongo && void 0 !== Mongo.Collection && e2 instanceof Mongo.Collection)
          s2 = e2.find().fetch();
        else
          for (var a2 in s2 = [], e2)
            e2.hasOwnProperty(a2) && s2.push([a2, e2[a2]]);
      return s2;
    }, k.Select.prototype.compileJoins = function(d2) {
      this.joins.forEach(function(e2) {
        var t2, a2, n2;
        if ("CROSS" === e2.joinmode) {
          if (e2.using || e2.on)
            throw new Error("CROSS JOIN cannot have USING or ON clauses");
          e2.joinmode = "INNER";
        }
        if (e2 instanceof k.Apply)
          return (a2 = { alias: e2.as, applymode: e2.applymode, onmiddlefn: f, srcwherefns: "", srcwherefn: f, columns: [] }).applyselect = e2.select.compile(d2.database.databaseid), a2.columns = a2.applyselect.query.columns, a2.datafn = function(e3, t3, n3, r3, s3) {
            var a3;
            return a3 = n3 ? n3(a3, r3, e3) : a3;
          }, void d2.sources.push(a2);
        if (e2.table) {
          if (t2 = e2.table, a2 = { alias: e2.as || t2.tableid, databaseid: t2.databaseid || d2.database.databaseid, tableid: t2.tableid, joinmode: e2.joinmode, onmiddlefn: f, srcwherefns: "", srcwherefn: f, columns: [] }, !bi.databases[a2.databaseid].tables[a2.tableid])
            throw new Error("Table '" + a2.tableid + "' is not exists in database '" + a2.databaseid + "'");
          a2.columns = bi.databases[a2.databaseid].tables[a2.tableid].columns, bi.options.autocommit && bi.databases[a2.databaseid].engineid ? a2.datafn = function(e3, t3, n3, r3, s3) {
            return s3.engines[s3.databases[a2.databaseid].engineid].fromTable(a2.databaseid, a2.tableid, n3, r3, e3);
          } : bi.databases[a2.databaseid].tables[a2.tableid].view ? a2.datafn = function(e3, t3, n3, r3, s3) {
            t3 = s3.databases[a2.databaseid].tables[a2.tableid].select(t3);
            return t3 = n3 ? n3(t3, r3, e3) : t3;
          } : a2.datafn = function(e3, t3, n3, r3, s3) {
            s3 = s3.databases[a2.databaseid].tables[a2.tableid].data;
            return s3 = n3 ? n3(s3, r3, e3) : s3;
          }, d2.aliases[a2.alias] = { tableid: t2.tableid, databaseid: t2.databaseid || d2.database.databaseid };
        } else
          e2.select ? (t2 = e2.select, (a2 = { alias: e2.as, joinmode: e2.joinmode, onmiddlefn: f, srcwherefns: "", srcwherefn: f, columns: [] }).subquery = t2.compile(d2.database.databaseid), void 0 === a2.subquery.query.modifier && (a2.subquery.query.modifier = "RECORDSET"), a2.columns = a2.subquery.query.columns, a2.datafn = function(e3, t3, n3, r3, s3) {
            return a2.subquery(e3.params, null, n3, r3).data;
          }, d2.aliases[a2.alias] = { type: "subquery" }) : e2.param ? (a2 = { alias: e2.as, joinmode: e2.joinmode, onmiddlefn: f, srcwherefns: "", srcwherefn: f }, n2 = "var res=alasql.prepareFromData(params['" + e2.param.param + "']", e2.array && (n2 += ",true"), n2 += ");if(cb)res=cb(res, idx, query);return res", a2.datafn = new Function("query,params,cb,idx, alasql", n2), d2.aliases[a2.alias] = { type: "paramvalue" }) : e2.variable ? (a2 = { alias: e2.as, joinmode: e2.joinmode, onmiddlefn: f, srcwherefns: "", srcwherefn: f }, n2 = "var res=alasql.prepareFromData(alasql.vars['" + e2.variable + "']", e2.array && (n2 += ",true"), n2 += ");if(cb)res=cb(res, idx, query);return res", a2.datafn = new Function("query,params,cb,idx, alasql", n2), d2.aliases[a2.alias] = { type: "varvalue" }) : e2.func && (a2 = { alias: e2.as, joinmode: e2.joinmode, onmiddlefn: f, srcwherefns: "", srcwherefn: f }, s2 = "var res=alasql.from[" + JSON.stringify(e2.func.funcid.toUpperCase()) + "](", (r2 = e2.func.args) && 0 < r2.length ? (r2[0] ? s2 += r2[0].toJS("query.oldscope") + "," : s2 += "null,", r2[1] ? s2 += r2[1].toJS("query.oldscope") + "," : s2 += "null,") : s2 += "null,null,", s2 += "cb,idx,query", s2 += ");/*if(cb)res=cb(res,idx,query);*/return res", a2.datafn = new Function("query, params, cb, idx, alasql", s2), d2.aliases[a2.alias] = { type: "funcvalue" });
        var r2, s2, i2 = a2.alias;
        if (e2.natural) {
          if (e2.using || e2.on)
            throw new Error("NATURAL JOIN cannot have USING or ON clauses");
          if (0 < d2.sources.length) {
            var o2 = d2.sources[d2.sources.length - 1], u2 = bi.databases[o2.databaseid].tables[o2.tableid], c2 = bi.databases[a2.databaseid].tables[a2.tableid];
            if (!u2 || !c2)
              throw new Error("In this version of Alasql NATURAL JOIN works for tables with predefined columns only");
            var l2 = u2.columns.map(function(e3) {
              return e3.columnid;
            }), h3 = c2.columns.map(function(e3) {
              return e3.columnid;
            });
            e2.using = g(l2, h3).map(function(e3) {
              return { columnid: e3 };
            });
          }
        }
        e2.using ? (o2 = d2.sources[d2.sources.length - 1], a2.onleftfns = e2.using.map(function(e3) {
          return "p['" + (o2.alias || o2.tableid) + "']['" + e3.columnid + "']";
        }).join('+"`"+'), a2.onleftfn = new Function("p,params,alasql", "var y;return " + a2.onleftfns), a2.onrightfns = e2.using.map(function(e3) {
          return "p['" + (a2.alias || a2.tableid) + "']['" + e3.columnid + "']";
        }).join('+"`"+'), a2.onrightfn = new Function("p,params,alasql", "var y;return " + a2.onrightfns), a2.optimization = "ix") : e2.on && (e2.on instanceof k.Op && "=" === e2.on.op && !e2.on.allsome ? (u2 = s2 = r2 = "", c2 = !(a2.optimization = "ix"), l2 = e2.on.left.toJS("p", d2.defaultTableid, d2.defcols), h3 = e2.on.right.toJS("p", d2.defaultTableid, d2.defcols), -1 < l2.indexOf("p['" + i2 + "']") && !(-1 < h3.indexOf("p['" + i2 + "']")) ? (l2.match(/p\['.*?'\]/g) || []).every(function(e3) {
          return e3 === "p['" + i2 + "']";
        }) ? s2 = l2 : c2 = true : !(-1 < l2.indexOf("p['" + i2 + "']")) && -1 < h3.indexOf("p['" + i2 + "']") && (h3.match(/p\['.*?'\]/g) || []).every(function(e3) {
          return e3 === "p['" + i2 + "']";
        }) ? r2 = l2 : c2 = true, -1 < h3.indexOf("p['" + i2 + "']") && !(-1 < l2.indexOf("p['" + i2 + "']")) ? (h3.match(/p\['.*?'\]/g) || []).every(function(e3) {
          return e3 === "p['" + i2 + "']";
        }) ? s2 = h3 : c2 = true : !(-1 < h3.indexOf("p['" + i2 + "']")) && -1 < l2.indexOf("p['" + i2 + "']") && (l2.match(/p\['.*?'\]/g) || []).every(function(e3) {
          return e3 === "p['" + i2 + "']";
        }) ? r2 = h3 : c2 = true, c2 && (r2 = s2 = "", u2 = e2.on.toJS("p", d2.defaultTableid, d2.defcols), a2.optimization = "no"), a2.onleftfns = r2, a2.onrightfns = s2, a2.onmiddlefns = u2 || "true", a2.onleftfn = new Function("p,params,alasql", "var y;return " + a2.onleftfns), a2.onrightfn = new Function("p,params,alasql", "var y;return " + a2.onrightfns), a2.onmiddlefn = new Function("p,params,alasql", "var y;return " + a2.onmiddlefns)) : (a2.optimization = "no", a2.onmiddlefns = e2.on.toJS("p", d2.defaultTableid, d2.defcols), a2.onmiddlefn = new Function("p,params,alasql", "var y;return " + e2.on.toJS("p", d2.defaultTableid, d2.defcols)))), d2.sources.push(a2);
      });
    }, k.Select.prototype.compileWhere = function(e2) {
      if (this.where) {
        if ("function" == typeof this.where)
          return this.where;
        var t2 = this.where.toJS("p", e2.defaultTableid, e2.defcols);
        return e2.wherefns = t2, new Function("p,params,alasql", "var y;return " + t2);
      }
      return function() {
        return true;
      };
    }, k.Select.prototype.compileWhereJoins = function(e2) {
    }, k.Select.prototype.compileGroup = function(s2) {
      var a2;
      a2 = 0 < s2.sources.length ? s2.sources[0].alias : "";
      var i2 = s2.defcols, e2 = [[]];
      this.group && (e2 = V(this.group, s2));
      var n2 = [];
      e2.forEach(function(e3) {
        n2 = u(n2, e3);
      }), s2.allgroups = n2, s2.ingroup = [];
      var o2 = "";
      return e2.forEach(function(e3) {
        o2 += "var g=this.xgroups[";
        var t2 = e3.map(function(e4) {
          var t3 = e4.split("	")[0], e4 = e4.split("	")[1];
          return "" === t3 ? "1" : (s2.ingroup.push(t3), e4);
        });
        0 === t2.length && (t2 = ["''"]), o2 += t2.join('+"`"+'), o2 += "];if(!g) {this.groups.push((g=this.xgroups[", o2 += t2.join('+"`"+'), o2 += "] = {", o2 += e3.map(function(e4) {
          var t3 = e4.split("	")[0], e4 = e4.split("	")[1];
          return "" === t3 ? "" : "'" + t3 + "':" + e4 + ",";
        }).join("");
        e3 = E(n2, e3);
        o2 += e3.map(function(e4) {
          return "'" + e4.split("	")[0] + "':null,";
        }).join("");
        var r2 = "", e3 = "";
        void 0 !== s2.groupStar && (e3 += "for(var f in p['" + s2.groupStar + "']) {g[f]=p['" + s2.groupStar + "'][f];};"), o2 += s2.selectGroup.map(function(e4) {
          var t3 = e4.expression.toJS("p", a2, i2), n3 = e4.nick;
          return e4 instanceof k.AggrValue ? (e4.distinct && (r2 += ",g['$$_VALUES_" + n3 + "']={},g['$$_VALUES_" + n3 + "'][" + t3 + "]=true"), "SUM" === e4.aggregatorid ? "'" + n3 + "':(" + t3 + ")||0," : "MIN" === e4.aggregatorid || "MAX" === e4.aggregatorid || "FIRST" === e4.aggregatorid || "LAST" === e4.aggregatorid ? "'" + n3 + "':" + t3 + "," : "ARRAY" === e4.aggregatorid ? "'" + n3 + "':[" + t3 + "]," : "COUNT" === e4.aggregatorid ? "*" === e4.expression.columnid ? "'" + n3 + "':1," : "'" + n3 + "':(typeof " + t3 + ' == "undefined" || ' + t3 + " === null) ? 0 : 1," : "AVG" === e4.aggregatorid ? (s2.removeKeys.push("_SUM_" + n3), s2.removeKeys.push("_COUNT_" + n3), "'" + n3 + "':" + t3 + ",'_SUM_" + n3 + "':(" + t3 + ")||0,'_COUNT_" + n3 + "':(typeof " + t3 + ' == "undefined" || ' + t3 + " === null) ? 0 : 1,") : "AGGR" === e4.aggregatorid ? (r2 += ",g['" + n3 + "']=" + e4.expression.toJS("g", -1), "") : "REDUCE" === e4.aggregatorid ? (s2.aggrKeys.push(e4), "'" + n3 + "':alasql.aggr['" + e4.funcid + "'](" + t3 + ",undefined,1),") : "") : "";
        }).join(""), o2 += "}" + r2 + ",g));" + e3 + "} else {", o2 += s2.selectGroup.map(function(e4) {
          var t3 = e4.nick, n3 = e4.expression.toJS("p", a2, i2);
          if (e4 instanceof k.AggrValue) {
            var r3 = "", s3 = "";
            return e4.distinct && (r3 = "if(typeof " + n3 + `!="undefined" && (!g['$$_VALUES_` + t3 + "'][" + n3 + "])) 				 		 {", s3 = "g['$$_VALUES_" + t3 + "'][" + n3 + "]=true;}"), "SUM" === e4.aggregatorid ? r3 + "g['" + t3 + "']+=(" + n3 + "||0);" + s3 : "COUNT" === e4.aggregatorid ? "*" === e4.expression.columnid ? r3 + "g['" + t3 + "']++;" + s3 : r3 + "if(typeof " + n3 + '!="undefined" && ' + n3 + " !== null) g['" + t3 + "']++;" + s3 : "ARRAY" === e4.aggregatorid ? r3 + "g['" + t3 + "'].push(" + n3 + ");" + s3 : "MIN" === e4.aggregatorid ? r3 + "if ((y=" + n3 + ") < g['" + t3 + "']) g['" + t3 + "'] = y;" + s3 : "MAX" === e4.aggregatorid ? r3 + "if ((y=" + n3 + ") > g['" + t3 + "']) g['" + t3 + "'] = y;" + s3 : "FIRST" === e4.aggregatorid ? "" : "LAST" === e4.aggregatorid ? r3 + "g['" + t3 + "']=" + n3 + ";" + s3 : "AVG" === e4.aggregatorid ? r3 + "g['_SUM_" + t3 + "']+=(y=" + n3 + ")||0;g['_COUNT_" + t3 + `']+=(typeof y == "undefined" || y === null) ? 0 : 1;g['` + t3 + "']=g['_SUM_" + t3 + "']/g['_COUNT_" + t3 + "'];" + s3 : "AGGR" === e4.aggregatorid ? r3 + "g['" + t3 + "']=" + e4.expression.toJS("g", -1) + ";" + s3 : "REDUCE" === e4.aggregatorid ? r3 + "g['" + t3 + "']=alasql.aggr." + e4.funcid + "(" + n3 + ",g['" + t3 + "'],2);" + s3 : "";
          }
          return "";
        }).join(""), o2 += "}";
      }), new Function("p,params,alasql", "var y;" + o2);
    }, k.Select.prototype.compileSelect1 = function(a2, i2) {
      var o2 = this;
      a2.columns = [], a2.xcolumns = {}, a2.selectColumns = {}, a2.dirtyColumns = false;
      var e2 = "var r={", u2 = "", c2 = [];
      return this.columns.forEach(function(e3) {
        if (e3 instanceof k.Column)
          if ("*" === e3.columnid)
            e3.func ? u2 += "r=params['" + e3.param + "'](p['" + a2.sources[0].alias + "'],p,params,alasql);" : (e3.tableid ? (r2 = _(a2, [e3.tableid], false)).s && (c2 = c2.concat(r2.s)) : (r2 = _(a2, Object.keys(a2.aliases), true)).s && (c2 = c2.concat(r2.s)), u2 += r2.sp);
          else {
            var t2 = e3.tableid, n2 = e3.databaseid || a2.sources[0].databaseid || a2.database.databaseid;
            if (t2 = (t2 = t2 || a2.defcols[e3.columnid]) || a2.defaultTableid, "_" !== e3.columnid ? i2 && 1 < i2.length && Array.isArray(i2[0]) && 1 <= i2[0].length && i2[0][0].hasOwnProperty("sheetid") ? u2 = 'var r={};var w=p["' + t2 + '"];var cols=[' + o2.columns.map(function(e4) {
              return "'" + e4.columnid + "'";
            }).join(",") + "];var colas=[" + o2.columns.map(function(e4) {
              return "'" + (e4.as || e4.columnid) + "'";
            }).join(",") + "];for (var i=0;i<Object.keys(p['" + t2 + "']).length;i++) for(var k=0;k<cols.length;k++){if (!r.hasOwnProperty(i)) r[i]={}; r[i][colas[k]]=w[i][cols[k]];}" : c2.push("'" + h2(e3.as || e3.columnid) + "':p['" + t2 + "']['" + e3.columnid + "']") : c2.push("'" + h2(e3.as || e3.columnid) + "':p['" + t2 + "']"), a2.selectColumns[h2(e3.as || e3.columnid)] = true, a2.aliases[t2] && "table" === a2.aliases[t2].type) {
              if (!bi.databases[n2].tables[a2.aliases[t2].tableid])
                throw new Error("Table '" + t2 + "' does not exist in database");
              var r2 = bi.databases[n2].tables[a2.aliases[t2].tableid].columns, t2 = bi.databases[n2].tables[a2.aliases[t2].tableid].xcolumns;
              if (t2 && 0 < r2.length) {
                var s2 = t2[e3.columnid];
                if (void 0 === s2)
                  throw new Error("Column does not exist: " + e3.columnid);
                var s2 = { columnid: e3.as || e3.columnid, dbtypeid: s2.dbtypeid, dbsize: s2.dbsize, dbpecision: s2.dbprecision, dbenum: s2.dbenum };
                a2.columns.push(s2), a2.xcolumns[s2.columnid] = s2;
              } else {
                var s2 = { columnid: e3.as || e3.columnid };
                a2.columns.push(s2), a2.xcolumns[s2.columnid] = s2, a2.dirtyColumns = true;
              }
            } else {
              s2 = { columnid: e3.as || e3.columnid };
              a2.columns.push(s2), a2.xcolumns[s2.columnid] = s2;
            }
          }
        else
          s2 = (e3 instanceof k.AggrValue ? (o2.group || (o2.group = [""]), e3.as || (e3.as = h2(e3.toString())), "SUM" === e3.aggregatorid || "MAX" === e3.aggregatorid || "MIN" === e3.aggregatorid || "FIRST" === e3.aggregatorid || "LAST" === e3.aggregatorid || "AVG" === e3.aggregatorid || "ARRAY" === e3.aggregatorid || "REDUCE" === e3.aggregatorid ? c2.push("'" + h2(e3.as) + "':" + l(e3.expression.toJS("p", a2.defaultTableid, a2.defcols))) : "COUNT" === e3.aggregatorid && c2.push("'" + h2(e3.as) + "':1")) : (c2.push("'" + h2(e3.as || e3.columnid || e3.toString()) + "':" + l(e3.toJS("p", a2.defaultTableid, a2.defcols))), a2.selectColumns[h2(e3.as || e3.columnid || e3.toString())] = true), { columnid: e3.as || e3.columnid || e3.toString() }), a2.columns.push(s2), a2.xcolumns[s2.columnid] = s2;
      }), e2 += c2.join(",") + "};" + u2;
    }, k.Select.prototype.compileSelect2 = function(n2, r2) {
      var s2 = n2.selectfns;
      return this.orderColumns && 0 < this.orderColumns.length && this.orderColumns.forEach(function(e2, t2) {
        t2 = "$$$" + t2;
        e2 instanceof k.Column && n2.xcolumns[e2.columnid] ? s2 += "r['" + t2 + "']=r['" + e2.columnid + "'];" : e2 instanceof k.ParamValue && n2.xcolumns[r2[e2.param]] ? s2 += "r['" + t2 + "']=r['" + r2[e2.param] + "'];" : s2 += "r['" + t2 + "']=" + e2.toJS("p", n2.defaultTableid, n2.defcols) + ";", n2.removeKeys.push(t2);
      }), new Function("p,params,alasql", "var y;" + s2 + "return r");
    }, k.Select.prototype.compileSelectGroup0 = function(a2) {
      var i2 = this;
      i2.columns.forEach(function(t2, e2) {
        if (t2 instanceof k.Column && "*" === t2.columnid)
          a2.groupStar = t2.tableid || "default";
        else {
          for (var n2, r2 = t2 instanceof k.Column ? h2(t2.columnid) : h2(t2.toString(true)), s2 = 0; s2 < e2; s2++)
            if (r2 === i2.columns[s2].nick) {
              r2 = i2.columns[s2].nick + ":" + e2;
              break;
            }
          t2.nick = r2, !i2.group || -1 < (n2 = i2.group.findIndex(function(e3) {
            return e3.columnid === t2.columnid && e3.tableid === t2.tableid;
          })) && (i2.group[n2].nick = r2), !t2.funcid || "ROWNUM" !== t2.funcid.toUpperCase() && "ROW_NUMBER" !== t2.funcid.toUpperCase() || a2.rownums.push(t2.as);
        }
      }), this.columns.forEach(function(e2) {
        e2.findAggregator && e2.findAggregator(a2);
      }), this.having && this.having.findAggregator && this.having.findAggregator(a2);
    }, k.Select.prototype.compileSelectGroup1 = function(r2) {
      var s2 = "var r = {};";
      return this.columns.forEach(function(e2) {
        if (e2 instanceof k.Column && "*" === e2.columnid)
          return s2 += "for(var k in g) {r[k]=g[k]};", "";
        var t2 = e2.as;
        void 0 === t2 && (t2 = e2 instanceof k.Column ? h2(e2.columnid) : e2.nick), r2.groupColumns[t2] = e2.nick, s2 += "r['" + t2 + "']=", s2 += l(e2.toJS("g", "")) + ";";
        for (var n2 = 0; n2 < r2.removeKeys.length; n2++)
          if (r2.removeKeys[n2] === t2) {
            r2.removeKeys.splice(n2, 1);
            break;
          }
      }), s2;
    }, k.Select.prototype.compileSelectGroup2 = function(n2) {
      var r2 = n2.selectgfns;
      return this.columns.forEach(function(e2) {
        -1 < n2.ingroup.indexOf(e2.nick) && (r2 += "r['" + (e2.as || e2.nick) + "']=g['" + e2.nick + "'];");
      }), this.orderColumns && 0 < this.orderColumns.length && this.orderColumns.forEach(function(e2, t2) {
        t2 = "$$$" + t2;
        e2 instanceof k.Column && n2.groupColumns[e2.columnid] ? r2 += "r['" + t2 + "']=r['" + e2.columnid + "'];" : r2 += "r['" + t2 + "']=" + e2.toJS("g", "") + ";", n2.removeKeys.push(t2);
      }), new Function("g,params,alasql", "var y;" + r2 + "return r");
    }, k.Select.prototype.compileRemoveColumns = function(e2) {
      void 0 !== this.removecolumns && (e2.removeKeys = e2.removeKeys.concat(this.removecolumns.filter(function(e3) {
        return void 0 === e3.like;
      }).map(function(e3) {
        return e3.columnid;
      })), e2.removeLikeKeys = this.removecolumns.filter(function(e3) {
        return void 0 !== e3.like;
      }).map(function(e3) {
        return e3.like.value;
      }));
    }, k.Select.prototype.compileHaving = function(e2) {
      if (this.having) {
        var t2 = this.having.toJS("g", -1);
        return e2.havingfns = t2, new Function("g,params,alasql", "var y;return " + t2);
      }
      return function() {
        return true;
      };
    }, k.Select.prototype.compileOrder = function(a2, i2) {
      var o2 = this;
      if (o2.orderColumns = [], this.order) {
        if (this.order && 1 == this.order.length && this.order[0].expression && "function" == typeof this.order[0].expression) {
          var n2 = this.order[0].expression, r2 = "FIRST" == this.order[0].nullsOrder ? -1 : "LAST" == this.order[0].nullsOrder ? 1 : 0;
          return function(e2, t2) {
            e2 = n2(e2), t2 = n2(t2);
            if (r2) {
              if (null == e2)
                return null == t2 ? 0 : r2;
              if (null == t2)
                return -r2;
            }
            return t2 < e2 ? 1 : e2 == t2 ? 0 : -1;
          };
        }
        var u2 = "", c2 = "";
        return this.order.forEach(function(e2, t2) {
          s2 = e2.expression instanceof k.NumValue ? o2.columns[e2.expression.value - 1] : e2.expression, o2.orderColumns.push(s2);
          var n3, r3, s2 = "$$$" + t2, t2 = "";
          e2.expression instanceof k.Column && (n3 = e2.expression.columnid, a2.xcolumns[n3] ? "DATE" != (r3 = a2.xcolumns[n3].dbtypeid) && "DATETIME" != r3 && "DATETIME2" != r3 || (t2 = ".valueOf()") : bi.options.valueof && (t2 = ".valueOf()")), e2.expression instanceof k.ParamValue && (n3 = i2[e2.expression.param], a2.xcolumns[n3] ? "DATE" != (r3 = a2.xcolumns[n3].dbtypeid) && "DATETIME" != r3 && "DATETIME2" != r3 || (t2 = ".valueOf()") : bi.options.valueof && (t2 = ".valueOf()")), e2.nocase && (t2 += ".toUpperCase()"), e2.nullsOrder && ("FIRST" == e2.nullsOrder ? u2 += "if((a['" + s2 + "'] != null) && (b['" + s2 + "'] == null)) return 1;" : "LAST" == e2.nullsOrder && (u2 += "if((a['" + s2 + "'] == null) && (b['" + s2 + "'] != null)) return 1;"), u2 += "if((a['" + s2 + "'] == null) == (b['" + s2 + "'] == null)) {", c2 += "}"), u2 += "if((a['" + s2 + "']||'')" + t2 + ("ASC" == e2.direction ? ">" : "<") + "(b['" + s2 + "']||'')" + t2 + ")return 1;", u2 += "if((a['" + s2 + "']||'')" + t2 + "==(b['" + s2 + "']||'')" + t2 + "){", c2 += "}";
        }), u2 += "return 0;", u2 += c2 + "return -1", a2.orderfns = u2, new Function("a,b", "var y;" + u2);
      }
    }, k.Select.prototype.compilePivot = function(e2) {
      var t2 = this, h3 = t2.pivot.columnid, d2 = t2.pivot.expr.aggregatorid, f2 = t2.pivot.inlist, p2 = null;
      if (null == (p2 = (t2.pivot.expr.expression.hasOwnProperty("columnid") ? t2.pivot.expr : t2.pivot.expr.expression).expression.columnid))
        throw "columnid not found";
      return f2 = f2 && f2.map(function(e3) {
        return e3.expr.columnid;
      }), function() {
        var n2 = this, r2 = n2.columns.filter(function(e4) {
          return e4.columnid != h3 && e4.columnid != p2;
        }).map(function(e4) {
          return e4.columnid;
        }), s2 = [], a2 = {}, i2 = {}, o2 = {}, u2 = [];
        if (n2.data.forEach(function(t4) {
          if (!f2 || -1 < f2.indexOf(t4[h3])) {
            var e4 = r2.map(function(e5) {
              return t4[e5];
            }).join("`"), n3 = i2[e4];
            if (n3 || (n3 = {}, i2[e4] = n3, u2.push(n3), r2.forEach(function(e5) {
              n3[e5] = t4[e5];
            })), o2[e4] || (o2[e4] = {}), o2[e4][t4[h3]] ? o2[e4][t4[h3]]++ : o2[e4][t4[h3]] = 1, a2[t4[h3]] || (a2[t4[h3]] = true, s2.push(t4[h3])), "SUM" == d2 || "AVG" == d2)
              void 0 === n3[t4[h3]] && (n3[t4[h3]] = 0), n3[t4[h3]] += +t4[p2];
            else if ("COUNT" == d2)
              void 0 === n3[t4[h3]] && (n3[t4[h3]] = 0), n3[t4[h3]]++;
            else if ("MIN" == d2)
              void 0 === n3[t4[h3]] && (n3[t4[h3]] = t4[p2]), t4[p2] < n3[t4[h3]] && (n3[t4[h3]] = t4[p2]);
            else if ("MAX" == d2)
              void 0 === n3[t4[h3]] && (n3[t4[h3]] = t4[p2]), t4[p2] > n3[t4[h3]] && (n3[t4[h3]] = t4[p2]);
            else if ("FIRST" == d2)
              void 0 === n3[t4[h3]] && (n3[t4[h3]] = t4[p2]);
            else if ("LAST" == d2)
              n3[t4[h3]] = t4[p2];
            else {
              if (!bi.aggr[d2])
                throw new Error("Wrong aggregator in PIVOT clause");
              bi.aggr[d2](n3[t4[h3]], t4[p2]);
            }
          }
        }), "AVG" == d2)
          for (var e3 in i2) {
            var t3, c2 = i2[e3];
            for (t3 in c2)
              -1 == r2.indexOf(t3) && t3 != p2 && (c2[t3] = c2[t3] / o2[e3][t3]);
          }
        n2.data = u2, f2 && (s2 = f2);
        var l2 = n2.columns.filter(function(e4) {
          return e4.columnid == p2;
        })[0];
        n2.columns = n2.columns.filter(function(e4) {
          return !(e4.columnid == h3 || e4.columnid == p2);
        }), s2.forEach(function(e4) {
          var t4 = m(l2);
          t4.columnid = e4, n2.columns.push(t4);
        });
      };
    }, k.Select.prototype.compileUnpivot = function(e2) {
      var a2 = this.unpivot.tocolumnid, i2 = this.unpivot.forcolumnid, t2 = this.unpivot.inlist.map(function(e3) {
        return e3.columnid;
      });
      return function() {
        var r2 = [], s2 = e2.columns.map(function(e3) {
          return e3.columnid;
        }).filter(function(e3) {
          return -1 == t2.indexOf(e3) && e3 != i2 && e3 != a2;
        });
        e2.data.forEach(function(n2) {
          t2.forEach(function(e3) {
            var t3 = {};
            s2.forEach(function(e4) {
              t3[e4] = n2[e4];
            }), t3[i2] = e3, t3[a2] = n2[e3], r2.push(t3);
          });
        }), e2.data = r2;
      };
    };
    var F = function(e2, t2) {
      for (var n2 = [], r2 = 0, s2 = e2.length, a2 = 0; a2 < s2 + 1; a2++) {
        for (var i2, o2 = [], u2 = 0; u2 < s2; u2++)
          i2 = e2[u2] instanceof k.Column ? (e2[u2].nick = h2(e2[u2].columnid), t2.groupColumns[h2(e2[u2].columnid)] = e2[u2].nick, e2[u2].nick + "	" + e2[u2].toJS("p", t2.sources[0].alias, t2.defcols)) : (t2.groupColumns[h2(e2[u2].toString())] = h2(e2[u2].toString()), h2(e2[u2].toString()) + "	" + e2[u2].toJS("p", t2.sources[0].alias, t2.defcols)), r2 & 1 << u2 && o2.push(i2);
        n2.push(o2), r2 = 1 + (r2 << 1);
      }
      return n2;
    }, P = function(e2, t2) {
      for (var n2 = [], r2 = e2.length, s2 = 1 << r2, a2 = 0; a2 < s2; a2++) {
        for (var i2 = [], o2 = 0; o2 < r2; o2++)
          a2 & 1 << o2 && (i2 = i2.concat(V(e2[o2], t2)));
        n2.push(i2);
      }
      return n2;
    }, q = function(e2, n2) {
      return e2.reduce(function(e3, t2) {
        return e3 = e3.concat(V(t2, n2));
      }, []);
    }, G = function(e2, t2) {
      for (var n2 = [], r2 = 0; r2 < e2.length; r2++)
        for (var s2 = 0; s2 < t2.length; s2++)
          n2.push(e2[r2].concat(t2[s2]));
      return n2;
    };
    function V(t2, n2) {
      if (Array.isArray(t2)) {
        for (var e2 = [[]], r2 = 0; r2 < t2.length; r2++)
          if (t2[r2] instanceof k.Column)
            t2[r2].nick = t2[r2].nick ? h2(t2[r2].nick) : h2(t2[r2].columnid), n2.groupColumns[t2[r2].nick] = t2[r2].nick, e2 = e2.map(function(e3) {
              return e3.concat(t2[r2].nick + "	" + t2[r2].toJS("p", n2.sources[0].alias, n2.defcols));
            });
          else if (t2[r2] instanceof k.FuncValue)
            n2.groupColumns[h2(t2[r2].toString())] = h2(t2[r2].toString()), e2 = e2.map(function(e3) {
              return e3.concat(h2(t2[r2].toString()) + "	" + t2[r2].toJS("p", n2.sources[0].alias, n2.defcols));
            });
          else if (t2[r2] instanceof k.GroupExpression)
            if ("ROLLUP" == t2[r2].type)
              e2 = G(e2, F(t2[r2].group, n2));
            else if ("CUBE" == t2[r2].type)
              e2 = G(e2, P(t2[r2].group, n2));
            else {
              if ("GROUPING SETS" != t2[r2].type)
                throw new Error("Unknown grouping function");
              e2 = G(e2, q(t2[r2].group, n2));
            }
          else
            e2 = "" === t2[r2] ? [["1	1"]] : e2.map(function(e3) {
              return n2.groupColumns[h2(t2[r2].toString())] = h2(t2[r2].toString()), e3.concat(h2(t2[r2].toString()) + "	" + t2[r2].toJS("p", n2.sources[0].alias, n2.defcols));
            });
        return e2;
      }
      return t2 instanceof k.FuncValue ? (n2.groupColumns[h2(t2.toString())] = h2(t2.toString()), [t2.toString() + "	" + t2.toJS("p", n2.sources[0].alias, n2.defcols)]) : t2 instanceof k.Column ? (t2.nick = h2(t2.columnid), n2.groupColumns[t2.nick] = t2.nick, [t2.nick + "	" + t2.toJS("p", n2.sources[0].alias, n2.defcols)]) : (n2.groupColumns[h2(t2.toString())] = h2(t2.toString()), [h2(t2.toString()) + "	" + t2.toJS("p", n2.sources[0].alias, n2.defcols)]);
    }
    k.Select.prototype.compileDefCols = function(e2, r2) {
      var s2 = { ".": {} };
      return this.from && this.from.forEach(function(e3) {
        if (s2["."][e3.as || e3.tableid] = true, e3 instanceof k.Table) {
          var t2 = e3.as || e3.tableid, n2 = bi.databases[e3.databaseid || r2].tables[e3.tableid];
          if (void 0 === n2)
            throw new Error("Table does not exist: " + e3.tableid);
          n2.columns && n2.columns.forEach(function(e4) {
            s2[e4.columnid] ? s2[e4.columnid] = "-" : s2[e4.columnid] = t2;
          });
        } else if (!(e3 instanceof k.Select || e3 instanceof k.Search || e3 instanceof k.ParamValue || e3 instanceof k.VarValue || e3 instanceof k.FuncValue || e3 instanceof k.FromData || e3 instanceof k.Json || e3.inserted))
          throw new Error("Unknown type of FROM clause");
      }), this.joins && this.joins.forEach(function(e3) {
        if (s2["."][e3.as || e3.table.tableid] = true, e3.table) {
          var t2 = e3.table.tableid;
          e3.as && (t2 = e3.as);
          var t2 = e3.as || e3.table.tableid, n2 = bi.databases[e3.table.databaseid || r2].tables[e3.table.tableid];
          n2.columns && n2.columns.forEach(function(e4) {
            s2[e4.columnid] ? s2[e4.columnid] = "-" : s2[e4.columnid] = t2;
          });
        } else if (!e3.select && !e3.param && !e3.func)
          throw new Error("Unknown type of FROM clause");
      }), s2;
    }, k.Union = function(e2) {
      return k.extend(this, e2);
    }, k.Union.prototype.toString = function() {
      return "UNION";
    }, k.Union.prototype.compile = function(e2) {
      return null;
    }, k.Apply = function(e2) {
      return k.extend(this, e2);
    }, k.Apply.prototype.toString = function() {
      var e2 = this.applymode + " APPLY (" + this.select.toString() + ")";
      return this.as && (e2 += " AS " + this.as), e2;
    }, k.Over = function(e2) {
      return k.extend(this, e2);
    }, k.Over.prototype.toString = function() {
      var e2 = "OVER (";
      return this.partition && (e2 += "PARTITION BY " + this.partition.toString(), this.order && (e2 += " ")), this.order && (e2 += "ORDER BY " + this.order.toString()), e2 += ")";
    }, k.ExpressionStatement = function(e2) {
      return k.extend(this, e2);
    }, k.ExpressionStatement.prototype.toString = function() {
      return this.expression.toString();
    }, k.ExpressionStatement.prototype.execute = function(e2, t2, n2) {
      if (this.expression) {
        bi.precompile(this, e2, t2);
        t2 = new Function("params,alasql,p", "var y;return " + this.expression.toJS("({})", "", null)).bind(this)(t2, bi);
        return t2 = n2 ? n2(t2) : t2;
      }
    }, k.Expression = function(e2) {
      return k.extend(this, e2);
    }, k.Expression.prototype.toString = function(e2) {
      e2 = this.expression.toString(e2);
      return this.order && (e2 += " " + this.order.toString()), this.nocase && (e2 += " COLLATE NOCASE"), this.direction && (e2 += " " + this.direction), e2;
    }, k.Expression.prototype.findAggregator = function(e2) {
      this.expression.findAggregator && this.expression.findAggregator(e2);
    }, k.Expression.prototype.toJS = function(e2, t2, n2) {
      return this.expression.reduced ? "true" : this.expression.toJS(e2, t2, n2);
    }, k.Expression.prototype.compile = function(e2, t2, n2) {
      return !!this.reduced || new Function("p", "var y;return " + this.toJS(e2, t2, n2));
    }, k.JavaScript = function(e2) {
      return k.extend(this, e2);
    }, k.JavaScript.prototype.toString = function() {
      return "``" + this.value + "``";
    }, k.JavaScript.prototype.toJS = function() {
      return "(" + this.value + ")";
    }, k.JavaScript.prototype.execute = function(e2, t2, n2) {
      var r2 = 1;
      return new Function("params,alasql,p", this.value)(t2, bi), r2 = n2 ? n2(r2) : r2;
    }, k.Literal = function(e2) {
      return k.extend(this, e2);
    }, k.Literal.prototype.toString = function(e2) {
      var t2 = this.value;
      return this.value1 && (t2 = this.value1 + "." + t2), this.alias && !e2 && (t2 += " AS " + this.alias), t2;
    }, k.Join = function(e2) {
      return k.extend(this, e2);
    }, k.Join.prototype.toString = function() {
      var e2 = " ";
      return this.joinmode && (e2 += this.joinmode + " "), e2 += "JOIN " + this.table.toString();
    }, k.Table = function(e2) {
      return k.extend(this, e2);
    }, k.Table.prototype.toString = function() {
      var e2 = this.tableid;
      return e2 = this.databaseid ? this.databaseid + "." + e2 : e2;
    }, k.View = function(e2) {
      return k.extend(this, e2);
    }, k.View.prototype.toString = function() {
      var e2 = this.viewid;
      return e2 = this.databaseid ? this.databaseid + "." + e2 : e2;
    }, k.Op = function(e2) {
      return k.extend(this, e2);
    }, k.Op.prototype.toString = function() {
      if ("IN" === this.op || "NOT IN" === this.op)
        return this.left.toString() + " " + this.op + " (" + this.right.toString() + ")";
      if (this.allsome)
        return this.left.toString() + " " + this.op + " " + this.allsome + " (" + this.right.toString() + ")";
      if ("->" !== this.op && "!" !== this.op)
        return "BETWEEN" !== this.op && "NOT BETWEEN" !== this.op ? this.left.toString() + " " + this.op + " " + (this.allsome ? this.allsome + " " : "") + this.right.toString() : this.left.toString() + " " + this.op + " " + this.right1.toString() + " AND " + this.right2.toString();
      var e2 = this.left.toString() + this.op;
      return "string" != typeof this.right && "number" != typeof this.right && (e2 += "("), e2 += this.right.toString(), "string" != typeof this.right && "number" != typeof this.right && (e2 += ")"), e2;
    }, k.Op.prototype.findAggregator = function(e2) {
      this.left && this.left.findAggregator && this.left.findAggregator(e2), this.right && this.right.findAggregator && !this.allsome && this.right.findAggregator(e2);
    }, k.Op.prototype.toType = function(e2) {
      if (-1 < ["-", "*", "/", "%", "^"].indexOf(this.op))
        return "number";
      if (-1 < ["||"].indexOf(this.op))
        return "string";
      if ("+" === this.op) {
        if ("string" === this.left.toType(e2) || "string" === this.right.toType(e2))
          return "string";
        if ("number" === this.left.toType(e2) || "number" === this.right.toType(e2))
          return "number";
      }
      return -1 < ["AND", "OR", "NOT", "=", "==", "===", "!=", "!==", "!===", ">", ">=", "<", "<=", "IN", "NOT IN", "LIKE", "NOT LIKE", "REGEXP", "GLOB"].indexOf(this.op) || "BETWEEN" === this.op || "NOT BETWEEN" === this.op || "IS NULL" === this.op || "IS NOT NULL" === this.op || this.allsome ? "boolean" : this.op ? "unknown" : this.left.toType();
    }, k.Op.prototype.toJS = function(t2, n2, r2) {
      function e2(e3) {
        return e3.toJS && (e3 = e3.toJS(t2, n2, r2)), "y[" + (i2.push(e3) - 1) + "]";
      }
      var s2, a2, i2 = [], o2 = this.op, u2 = this, c2 = function() {
        return e2(u2.left);
      }, l2 = function() {
        return e2(u2.right);
      };
      if ("=" === this.op ? o2 = "===" : "<>" === this.op ? o2 = "!=" : "OR" === this.op && (o2 = "||"), "->" === this.op && (s2 = "(" + c2() + "||{})", a2 = "string" == typeof this.right ? s2 + '["' + this.right + '"]' : "number" == typeof this.right ? s2 + "[" + this.right + "]" : this.right instanceof k.FuncValue ? (a2 = [], this.right.args && 0 !== this.right.args.length && (a2 = this.right.args.map(e2)), s2 + "[" + JSON.stringify(this.right.funcid) + "](" + a2.join(",") + ")") : s2 + "[" + l2() + "]"), "!" === this.op && "string" == typeof this.right && (a2 = "alasql.databases[alasql.useid].objects[" + c2() + ']["' + this.right + '"]'), "IS" === this.op && (a2 = "((" + c2() + "==null) === (" + l2() + "==null))"), "==" === this.op && (a2 = "alasql.utils.deepEqual(" + c2() + "," + l2() + ")"), "===" !== this.op && "!===" !== this.op || (a2 = "(" + ("!===" === this.op ? "!" : "") + "((" + c2() + ").valueOf()===(" + l2() + ").valueOf()))"), "!==" === this.op && (a2 = "(!alasql.utils.deepEqual(" + c2() + "," + l2() + "))"), "||" === this.op && (a2 = "(''+(" + c2() + "||'')+(" + l2() + '||""))'), "LIKE" !== this.op && "NOT LIKE" !== this.op || (a2 = "(" + ("NOT LIKE" === this.op ? "!" : "") + "alasql.utils.like(" + l2() + "," + c2(), this.escape && (a2 += "," + e2(this.escape)), a2 += "))"), "REGEXP" === this.op && (a2 = "alasql.stdfn.REGEXP_LIKE(" + c2() + "," + l2() + ")"), "GLOB" === this.op && (a2 = "alasql.utils.glob(" + c2() + "," + l2() + ")"), "BETWEEN" !== this.op && "NOT BETWEEN" !== this.op || (s2 = c2(), a2 = "(" + ("NOT BETWEEN" === this.op ? "!" : "") + "((" + e2(this.right1) + "<=" + s2 + ") && (" + s2 + "<=" + e2(this.right2) + ")))"), "IN" === this.op && (this.right instanceof k.Select ? (a2 = "(", a2 += "alasql.utils.flatArray(this.queriesfn[" + this.queriesidx + "](params,null," + t2 + "))", a2 += ".indexOf(", a2 += c2() + ")>-1)") : a2 = Array.isArray(this.right) ? "([" + this.right.map(e2).join(",") + "].indexOf(" + c2() + ")>-1)" : "(" + l2() + ".indexOf(" + c2() + ")>-1)"), "NOT IN" === this.op && (this.right instanceof k.Select ? (a2 = "(", a2 += "alasql.utils.flatArray(this.queriesfn[" + this.queriesidx + "](params,null,p))", a2 += ".indexOf(", a2 += c2() + ")<0)") : Array.isArray(this.right) ? (a2 = "([" + this.right.map(e2).join(",") + "].indexOf(", a2 += c2() + ")<0)") : (a2 = "(" + l2() + ".indexOf(", a2 += c2() + ")==-1)")), "ALL" === this.allsome)
        if (this.right instanceof k.Select)
          a2 = "alasql.utils.flatArray(this.query.queriesfn[" + this.queriesidx + "](params,null,p))", a2 += ".every(function(b){return (", a2 += c2() + ")" + o2 + "b})";
        else {
          if (!Array.isArray(this.right))
            throw new Error("NOT IN operator without SELECT");
          a2 = "" + (1 == this.right.length ? e2(this.right[0]) : "[" + this.right.map(e2).join(",") + "]"), a2 += ".every(function(b){return (", a2 += c2() + ")" + o2 + "b})";
        }
      if ("SOME" === this.allsome || "ANY" === this.allsome)
        if (this.right instanceof k.Select)
          a2 = "alasql.utils.flatArray(this.query.queriesfn[" + this.queriesidx + "](params,null,p))", a2 += ".some(function(b){return (", a2 += c2() + ")" + o2 + "b})";
        else {
          if (!Array.isArray(this.right))
            throw new Error("SOME/ANY operator without SELECT");
          a2 = "" + (1 == this.right.length ? e2(this.right[0]) : "[" + this.right.map(e2).join(",") + "]"), a2 += ".some(function(b){return (", a2 += c2() + ")" + o2 + "b})";
        }
      if ("AND" === this.op) {
        if (this.left.reduced) {
          if (this.right.reduced)
            return "true";
          a2 = l2();
        } else
          this.right.reduced && (a2 = c2());
        o2 = "&&";
      }
      c2 = a2 || "(" + c2() + o2 + l2() + ")", l2 = "y=[(" + i2.join("), (") + ")]";
      return "&&" === o2 || "||" === o2 || "IS" === o2 || "IS NULL" === o2 || "IS NOT NULL" === o2 ? "(" + l2 + ", " + c2 + ")" : "(" + l2 + ", y.some(function(e){return e == null}) ? void 0 : " + c2 + ")";
    }, k.VarValue = function(e2) {
      return k.extend(this, e2);
    }, k.VarValue.prototype.toString = function() {
      return "@" + this.variable;
    }, k.VarValue.prototype.toType = function() {
      return "unknown";
    }, k.VarValue.prototype.toJS = function() {
      return "alasql.vars['" + this.variable + "']";
    }, k.NumValue = function(e2) {
      return k.extend(this, e2);
    }, k.NumValue.prototype.toString = function() {
      return this.value.toString();
    }, k.NumValue.prototype.toType = function() {
      return "number";
    }, k.NumValue.prototype.toJS = function() {
      return "" + this.value;
    }, k.StringValue = function(e2) {
      return k.extend(this, e2);
    }, k.StringValue.prototype.toString = function() {
      return "'" + this.value.toString() + "'";
    }, k.StringValue.prototype.toType = function() {
      return "string";
    }, k.StringValue.prototype.toJS = function() {
      return "'" + h2(this.value) + "'";
    }, k.DomainValueValue = function(e2) {
      return k.extend(this, e2);
    }, k.DomainValueValue.prototype.toString = function() {
      return "VALUE";
    }, k.DomainValueValue.prototype.toType = function() {
      return "object";
    }, k.DomainValueValue.prototype.toJS = function(e2, t2, n2) {
      return e2;
    }, k.ArrayValue = function(e2) {
      return k.extend(this, e2);
    }, k.ArrayValue.prototype.toString = function() {
      return "ARRAY[]";
    }, k.ArrayValue.prototype.toType = function() {
      return "object";
    }, k.ArrayValue.prototype.toJS = function(t2, n2, r2) {
      return "[(" + this.value.map(function(e2) {
        return e2.toJS(t2, n2, r2);
      }).join("), (") + ")]";
    }, k.LogicValue = function(e2) {
      return k.extend(this, e2);
    }, k.LogicValue.prototype.toString = function() {
      return this.value ? "TRUE" : "FALSE";
    }, k.LogicValue.prototype.toType = function() {
      return "boolean";
    }, k.LogicValue.prototype.toJS = function() {
      return this.value ? "true" : "false";
    }, k.NullValue = function(e2) {
      return k.extend(this, e2);
    }, k.NullValue.prototype.toString = function() {
      return "NULL";
    }, k.NullValue.prototype.toJS = function() {
      return "undefined";
    }, k.ParamValue = function(e2) {
      return k.extend(this, e2);
    }, k.ParamValue.prototype.toString = function() {
      return "$" + this.param;
    }, k.ParamValue.prototype.toJS = function() {
      return "string" == typeof this.param ? "params['" + this.param + "']" : "params[" + this.param + "]";
    }, k.UniOp = function(e2) {
      return k.extend(this, e2);
    }, k.UniOp.prototype.toString = function() {
      var e2 = void 0;
      return "~" === this.op && (e2 = this.op + this.right.toString()), "-" === this.op && (e2 = this.op + this.right.toString()), "+" === this.op && (e2 = this.op + this.right.toString()), "#" === this.op && (e2 = this.op + this.right.toString()), "NOT" === this.op && (e2 = this.op + "(" + this.right.toString() + ")"), e2 = (e2 = null === this.op ? "(" + this.right.toString() + ")" : e2) || "(" + this.right.toString() + ")";
    }, k.UniOp.prototype.findAggregator = function(e2) {
      this.right.findAggregator && this.right.findAggregator(e2);
    }, k.UniOp.prototype.toType = function() {
      return "-" === this.op || "+" === this.op ? "number" : "NOT" === this.op ? "boolean" : void 0;
    }, k.UniOp.prototype.toJS = function(e2, t2, n2) {
      return "~" === this.op ? "(~(" + this.right.toJS(e2, t2, n2) + "))" : "-" === this.op ? "(-(" + this.right.toJS(e2, t2, n2) + "))" : "+" === this.op ? "(" + this.right.toJS(e2, t2, n2) + ")" : "NOT" === this.op ? "!(" + this.right.toJS(e2, t2, n2) + ")" : "#" === this.op ? this.right instanceof k.Column ? "(alasql.databases[alasql.useid].objects['" + this.right.columnid + "'])" : "(alasql.databases[alasql.useid].objects[" + this.right.toJS(e2, t2, n2) + "])" : null == this.op ? "(" + this.right.toJS(e2, t2, n2) + ")" : void 0;
    }, k.Column = function(e2) {
      return k.extend(this, e2);
    }, k.Column.prototype.toString = function(e2) {
      var t2 = this.columnid == +this.columnid ? "[" + this.columnid + "]" : this.columnid;
      return this.tableid && (t2 = +this.columnid === this.columnid ? this.tableid + t2 : this.tableid + "." + t2, this.databaseid && (t2 = this.databaseid + "." + t2)), this.alias && !e2 && (t2 += " AS " + this.alias), t2;
    }, k.Column.prototype.toJS = function(e2, t2, n2) {
      var r2 = "";
      if (this.tableid || "" !== t2 || n2)
        if ("g" === e2)
          r2 = "g['" + this.nick + "']";
        else if (this.tableid)
          r2 = "_" !== this.columnid ? e2 + "['" + this.tableid + "']['" + this.columnid + "']" : "g" === e2 ? "g['_']" : e2 + "['" + this.tableid + "']";
        else if (n2) {
          n2 = n2[this.columnid];
          if ("-" === n2)
            throw new Error('Cannot resolve column "' + this.columnid + '" because it exists in two source tables');
          r2 = n2 ? "_" !== this.columnid ? e2 + "['" + n2 + "']['" + this.columnid + "']" : e2 + "['" + n2 + "']" : "_" !== this.columnid ? e2 + "['" + (this.tableid || t2) + "']['" + this.columnid + "']" : e2 + "['" + (this.tableid || t2) + "']";
        } else
          r2 = -1 === t2 ? e2 + "['" + this.columnid + "']" : "_" !== this.columnid ? e2 + "['" + (this.tableid || t2) + "']['" + this.columnid + "']" : e2 + "['" + (this.tableid || t2) + "']";
      else
        r2 = "_" !== this.columnid ? e2 + "['" + this.columnid + "']" : "g" === e2 ? "g['_']" : e2;
      return r2;
    }, k.AggrValue = function(e2) {
      return k.extend(this, e2);
    }, k.AggrValue.prototype.toString = function(e2) {
      var t2 = "";
      return "REDUCE" === this.aggregatorid ? t2 += this.funcid.replace(B, "") + "(" : t2 += this.aggregatorid + "(", this.distinct && (t2 += "DISTINCT "), this.expression && (t2 += this.expression.toString()), t2 += ")", this.over && (t2 += " " + this.over.toString()), this.alias && !e2 && (t2 += " AS " + this.alias), t2;
    }, k.AggrValue.prototype.findAggregator = function(e2) {
      var t2 = h2(this.toString()) + ":" + e2.selectGroup.length;
      if (!(n2 = false)) {
        if (!this.nick) {
          this.nick = t2;
          for (var n2 = false, r2 = 0; r2 < e2.removeKeys.length; r2++)
            if (e2.removeKeys[r2] === t2) {
              n2 = true;
              break;
            }
          n2 || e2.removeKeys.push(t2);
        }
        e2.selectGroup.push(this);
      }
    }, k.AggrValue.prototype.toType = function() {
      return -1 < ["SUM", "COUNT", "AVG", "MIN", "MAX", "AGGR", "VAR", "STDDEV"].indexOf(this.aggregatorid) ? "number" : -1 < ["ARRAY"].indexOf(this.aggregatorid) ? "array" : -1 < ["FIRST", "LAST"].indexOf(this.aggregatorid) ? this.expression.toType() : void 0;
    }, k.AggrValue.prototype.toJS = function() {
      var e2 = this.nick;
      return "g['" + (e2 = void 0 === e2 ? this.toString() : e2) + "']";
    }, k.OrderExpression = function(e2) {
      return k.extend(this, e2);
    }, k.OrderExpression.prototype.toString = k.Expression.prototype.toString, k.GroupExpression = function(e2) {
      return k.extend(this, e2);
    }, k.GroupExpression.prototype.toString = function() {
      return this.type + "(" + this.group.toString() + ")";
    }, k.FromData = function(e2) {
      return k.extend(this, e2);
    }, k.FromData.prototype.toString = function() {
      return this.data ? "DATA(" + (1e16 * Math.random() | 0) + ")" : "?";
    }, k.FromData.prototype.toJS = function() {
    }, k.Select.prototype.exec = function(e2, t2) {
      this.preparams && (e2 = this.preparams.concat(e2));
      var n2 = bi.useid, r2 = bi.databases[n2], s2 = this.toString(), a2 = b(s2), n2 = this.compile(n2);
      if (n2)
        return n2.sql = s2, n2.dbversion = r2.dbversion, r2.sqlCacheSize > bi.MAXSQLCACHESIZE && r2.resetSqlCache(), r2.sqlCacheSize++, r2.sqlCache[a2] = n2, bi.res = n2(e2, t2);
    }, k.Select.prototype.Select = function() {
      var n2 = this, e2 = [];
      if (1 < arguments.length)
        e2 = Array.prototype.slice.call(arguments);
      else {
        if (1 != arguments.length)
          throw new Error("Wrong number of arguments of Select() function");
        e2 = Array.isArray(arguments[0]) ? arguments[0] : [arguments[0]];
      }
      return n2.columns = [], e2.forEach(function(e3) {
        var t2;
        "string" == typeof e3 ? n2.columns.push(new k.Column({ columnid: e3 })) : "function" == typeof e3 && (t2 = 0, n2.preparams ? t2 = n2.preparams.length : n2.preparams = [], n2.preparams.push(e3), n2.columns.push(new k.Column({ columnid: "*", func: e3, param: t2 })));
      }), n2;
    }, k.Select.prototype.From = function(e2) {
      var t2 = this;
      if (t2.from || (t2.from = []), Array.isArray(e2)) {
        var n2 = 0;
        t2.preparams ? n2 = t2.preparams.length : t2.preparams = [], t2.preparams.push(e2), t2.from.push(new k.ParamValue({ param: n2 }));
      } else {
        if ("string" != typeof e2)
          throw new Error("Unknown arguments in From() function");
        t2.from.push(new k.Table({ tableid: e2 }));
      }
      return t2;
    }, k.Select.prototype.OrderBy = function() {
      var n2 = this, e2 = [];
      if (n2.order = [], 0 == arguments.length)
        e2 = ["_"];
      else if (1 < arguments.length)
        e2 = Array.prototype.slice.call(arguments);
      else {
        if (1 != arguments.length)
          throw new Error("Wrong number of arguments of Select() function");
        e2 = Array.isArray(arguments[0]) ? arguments[0] : [arguments[0]];
      }
      return 0 < e2.length && e2.forEach(function(e3) {
        var t2 = new k.Column({ columnid: e3 });
        "function" == typeof e3 && (t2 = e3), n2.order.push(new k.OrderExpression({ expression: t2, direction: "ASC" }));
      }), n2;
    }, k.Select.prototype.Top = function(e2) {
      return this.top = new k.NumValue({ value: e2 }), this;
    }, k.Select.prototype.GroupBy = function() {
      var t2 = this, e2 = [];
      if (1 < arguments.length)
        e2 = Array.prototype.slice.call(arguments);
      else {
        if (1 != arguments.length)
          throw new Error("Wrong number of arguments of Select() function");
        e2 = Array.isArray(arguments[0]) ? arguments[0] : [arguments[0]];
      }
      return t2.group = [], e2.forEach(function(e3) {
        e3 = new k.Column({ columnid: e3 });
        t2.group.push(e3);
      }), t2;
    }, k.Select.prototype.Where = function(e2) {
      return "function" == typeof e2 && (this.where = e2), this;
    }, k.FuncValue = function(e2) {
      return k.extend(this, e2);
    };
    var B = /[^0-9A-Z_$]+/i;
    k.FuncValue.prototype.toString = function(e2) {
      var t2 = "";
      return bi.fn[this.funcid] || bi.aggr[this.funcid] ? t2 += this.funcid : (bi.stdlib[this.funcid.toUpperCase()] || bi.stdfn[this.funcid.toUpperCase()]) && (t2 += this.funcid.toUpperCase().replace(B, "")), "CURRENT_TIMESTAMP" !== this.funcid && (t2 += "(", this.args && 0 < this.args.length && (t2 += this.args.map(function(e3) {
        return e3.toString();
      }).join(",")), t2 += ")"), this.as && !e2 && (t2 += " AS " + this.as.toString()), t2;
    }, k.FuncValue.prototype.execute = function(e2, t2, n2) {
      var r2 = 1;
      return bi.precompile(this, e2, t2), new Function("params,alasql", "var y;return " + this.toJS("", "", null))(t2, bi), r2 = n2 ? n2(r2) : r2;
    }, k.FuncValue.prototype.findAggregator = function(t2) {
      this.args && 0 < this.args.length && this.args.forEach(function(e2) {
        e2.findAggregator && e2.findAggregator(t2);
      });
    }, k.FuncValue.prototype.toJS = function(t2, n2, r2) {
      var e2 = "", s2 = this.funcid;
      return !bi.fn[s2] && bi.stdlib[s2.toUpperCase()] ? this.args && 0 < this.args.length ? e2 += bi.stdlib[s2.toUpperCase()].apply(this, this.args.map(function(e3) {
        return e3.toJS(t2, n2);
      })) : e2 += bi.stdlib[s2.toUpperCase()]() : (!bi.fn[s2] && bi.stdfn[s2.toUpperCase()] ? (this.newid && (e2 += "new "), e2 += "alasql.stdfn[" + JSON.stringify(this.funcid.toUpperCase()) + "](", this.args && 0 < this.args.length && (e2 += this.args.map(function(e3) {
        return e3.toJS(t2, n2, r2);
      }).join(","))) : (this.newid && (e2 += "new "), e2 += "alasql.fn[" + JSON.stringify(this.funcid) + "](", this.args && 0 < this.args.length && (e2 += this.args.map(function(e3) {
        return e3.toJS(t2, n2, r2);
      }).join(","))), e2 += ")"), e2;
    };
    R = bi.stdlib = {}, I = bi.stdfn = {};
    R.ABS = function(e2) {
      return "Math.abs(" + e2 + ")";
    }, R.CLONEDEEP = function(e2) {
      return "alasql.utils.cloneDeep(" + e2 + ")";
    }, I.CONCAT = function() {
      return Array.prototype.slice.call(arguments).join("");
    }, R.EXP = function(e2) {
      return "Math.pow(Math.E," + e2 + ")";
    }, R.IIF = function(e2, t2, n2) {
      if (3 == arguments.length)
        return "((" + e2 + ")?(" + t2 + "):(" + n2 + "))";
      throw new Error("Number of arguments of IFF is not equals to 3");
    }, R.IFNULL = function(e2, t2) {
      return "(" + e2 + "||" + t2 + ")";
    }, R.INSTR = function(e2, t2) {
      return "((" + e2 + ").indexOf(" + t2 + ")+1)";
    }, R.LEN = R.LENGTH = function(e2) {
      return r(e2, "y.length");
    }, R.LOWER = R.LCASE = function(e2) {
      return r(e2, "String(y).toLowerCase()");
    }, R.LTRIM = function(e2) {
      return r(e2, 'y.replace(/^[ ]+/,"")');
    }, R.RTRIM = function(e2) {
      return r(e2, 'y.replace(/[ ]+$/,"")');
    }, R.MAX = R.GREATEST = function() {
      return "[" + Array.prototype.join.call(arguments, ",") + "].reduce(function (a, b) { return a > b ? a : b; })";
    }, R.MIN = R.LEAST = function() {
      return "[" + Array.prototype.join.call(arguments, ",") + "].reduce(function (a, b) { return a < b ? a : b; })";
    }, R.SUBSTRING = R.SUBSTR = R.MID = function(e2, t2, n2) {
      return 2 == arguments.length ? r(e2, "y.substr(" + t2 + "-1)") : 3 == arguments.length ? r(e2, "y.substr(" + t2 + "-1," + n2 + ")") : void 0;
    }, I.REGEXP_LIKE = function(e2, t2, n2) {
      return -1 < (e2 || "").search(RegExp(t2, n2));
    }, R.ISNULL = R.NULLIF = function(e2, t2) {
      return "(" + e2 + "==" + t2 + "?undefined:" + e2 + ")";
    }, R.POWER = function(e2, t2) {
      return "Math.pow(" + e2 + "," + t2 + ")";
    }, R.RANDOM = function(e2) {
      return 0 == arguments.length ? "Math.random()" : "(Math.random()*(" + e2 + ")|0)";
    }, R.ROUND = function(e2, t2) {
      return 2 == arguments.length ? "Math.round((" + e2 + ")*Math.pow(10,(" + t2 + ")))/Math.pow(10,(" + t2 + "))" : "Math.round(" + e2 + ")";
    }, R.CEIL = R.CEILING = function(e2) {
      return "Math.ceil(" + e2 + ")";
    }, R.FLOOR = function(e2) {
      return "Math.floor(" + e2 + ")";
    }, R.ROWNUM = function() {
      return "1";
    }, R.ROW_NUMBER = function() {
      return "1";
    }, R.SQRT = function(e2) {
      return "Math.sqrt(" + e2 + ")";
    }, R.TRIM = function(e2) {
      return r(e2, "y.trim()");
    }, R.UPPER = R.UCASE = function(e2) {
      return r(e2, "String(y).toUpperCase()");
    }, I.CONCAT_WS = function() {
      var e2 = Array.prototype.slice.call(arguments);
      return e2.slice(1, e2.length).join(e2[0]);
    }, bi.aggr.GROUP_CONCAT = function(e2, t2, n2) {
      return 1 === n2 ? "" + e2 : 2 === n2 ? t2 += "," + e2 : t2;
    }, bi.aggr.MEDIAN = function(e2, t2, n2) {
      if (2 === n2)
        return null !== e2 && t2.push(e2), t2;
      if (1 === n2)
        return null === e2 ? [] : [e2];
      if (!t2.length)
        return t2;
      n2 = t2.sort(function(e3, t3) {
        return e3 === t3 ? 0 : t3 < e3 ? 1 : -1;
      }), e2 = (n2.length + 1) / 2;
      if (Number.isInteger(e2))
        return n2[e2 - 1];
      t2 = n2[Math.floor(e2 - 1)];
      return "number" == typeof t2 || t2 instanceof Number ? (t2 + n2[Math.ceil(e2 - 1)]) / 2 : t2;
    }, bi.aggr.QUART = function(e2, t2, n2, r2) {
      if (2 === n2)
        return null !== e2 && t2.push(e2), t2;
      if (1 === n2)
        return null === e2 ? [] : [e2];
      if (!t2.length)
        return t2;
      r2 = r2 || 1;
      t2 = t2.sort(function(e3, t3) {
        return e3 === t3 ? 0 : t3 < e3 ? 1 : -1;
      }), r2 = r2 * (t2.length + 1) / 4;
      return Number.isInteger(r2) ? t2[r2 - 1] : t2[Math.floor(r2)];
    }, bi.aggr.QUART2 = function(e2, t2, n2) {
      return bi.aggr.QUART(e2, t2, n2, 2);
    }, bi.aggr.QUART3 = function(e2, t2, n2) {
      return bi.aggr.QUART(e2, t2, n2, 3);
    }, bi.aggr.VAR = function(e2, t2, n2) {
      if (1 === n2)
        return null === e2 ? { arr: [], sum: 0 } : { arr: [e2], sum: e2 };
      if (2 === n2)
        return null === e2 || (t2.arr.push(e2), t2.sum += e2), t2;
      for (var r2 = t2.arr.length, s2 = t2.sum / r2, a2 = 0, i2 = 0; i2 < r2; i2++)
        a2 += (t2.arr[i2] - s2) * (t2.arr[i2] - s2);
      return a2 /= r2 - 1;
    }, bi.aggr.STDEV = function(e2, t2, n2) {
      return 1 === n2 || 2 === n2 ? bi.aggr.VAR(e2, t2, n2) : Math.sqrt(bi.aggr.VAR(e2, t2, n2));
    }, bi.aggr.VARP = function(e2, t2, n2) {
      if (1 == n2)
        return { arr: [e2], sum: e2 };
      if (2 == n2)
        return t2.arr.push(e2), t2.sum += e2, t2;
      for (var r2 = t2.arr.length, s2 = t2.sum / r2, a2 = 0, i2 = 0; i2 < r2; i2++)
        a2 += (t2.arr[i2] - s2) * (t2.arr[i2] - s2);
      return a2 /= r2;
    }, bi.aggr.STD = bi.aggr.STDDEV = bi.aggr.STDEVP = function(e2, t2, n2) {
      return 1 == n2 || 2 == n2 ? bi.aggr.VARP(e2, t2, n2) : Math.sqrt(bi.aggr.VARP(e2, t2, n2));
    }, bi._aggrOriginal = bi.aggr, bi.aggr = {}, Object.keys(bi._aggrOriginal).forEach(function(r2) {
      bi.aggr[r2] = function(e2, t2, n2) {
        if (3 !== n2 || void 0 !== t2)
          return bi._aggrOriginal[r2].apply(null, arguments);
      };
    }), I.REPLACE = function(e2, t2, n2) {
      return (e2 || "").split(t2).join(n2);
    };
    for (var j = [], J = 0; J < 256; J++)
      j[J] = (J < 16 ? "0" : "") + J.toString(16);
    I.NEWID = I.UUID = I.GEN_RANDOM_UUID = function() {
      var e2 = 4294967295 * Math.random() | 0, t2 = 4294967295 * Math.random() | 0, n2 = 4294967295 * Math.random() | 0, r2 = 4294967295 * Math.random() | 0;
      return j[255 & e2] + j[e2 >> 8 & 255] + j[e2 >> 16 & 255] + j[e2 >> 24 & 255] + "-" + j[255 & t2] + j[t2 >> 8 & 255] + "-" + j[t2 >> 16 & 15 | 64] + j[t2 >> 24 & 255] + "-" + j[63 & n2 | 128] + j[n2 >> 8 & 255] + "-" + j[n2 >> 16 & 255] + j[n2 >> 24 & 255] + j[255 & r2] + j[r2 >> 8 & 255] + j[r2 >> 16 & 255] + j[r2 >> 24 & 255];
    }, k.CaseValue = function(e2) {
      return k.extend(this, e2);
    }, k.CaseValue.prototype.toString = function() {
      var e2 = "CASE ";
      return this.expression && (e2 += this.expression.toString()), this.whens && (e2 += this.whens.map(function(e3) {
        return " WHEN " + e3.when.toString() + " THEN " + e3.then.toString();
      }).join()), e2 += " END";
    }, k.CaseValue.prototype.findAggregator = function(t2) {
      this.expression && this.expression.findAggregator && this.expression.findAggregator(t2), this.whens && 0 < this.whens.length && this.whens.forEach(function(e2) {
        e2.when.findAggregator && e2.when.findAggregator(t2), e2.then.findAggregator && e2.then.findAggregator(t2);
      }), this.elses && this.elses.findAggregator && this.elses.findAggregator(t2);
    }, k.CaseValue.prototype.toJS = function(t2, n2, r2) {
      var e2 = "((function(" + t2 + ",params,alasql){var y,r;";
      return this.expression ? (e2 += "v=" + this.expression.toJS(t2, n2, r2) + ";", e2 += (this.whens || []).map(function(e3) {
        return " if(v==" + e3.when.toJS(t2, n2, r2) + ") {r=" + e3.then.toJS(t2, n2, r2) + "}";
      }).join(" else ")) : e2 += (this.whens || []).map(function(e3) {
        return " if(" + e3.when.toJS(t2, n2, r2) + ") {r=" + e3.then.toJS(t2, n2, r2) + "}";
      }).join(" else "), this.elses && (e2 += " else {r=" + this.elses.toJS(t2, n2, r2) + "}"), e2 += ";return r;}).bind(this))(" + t2 + ",params,alasql)";
    }, k.Json = function(e2) {
      return k.extend(this, e2);
    }, k.Json.prototype.toString = function() {
      var e2 = "";
      return e2 += Y(this.value), e2 += "";
    };
    var Y = bi.utils.JSONtoString = function(e2) {
      var t2 = "";
      if ("string" == typeof e2)
        t2 = '"' + e2 + '"';
      else if ("number" == typeof e2)
        t2 = e2;
      else if ("boolean" == typeof e2)
        t2 = e2;
      else {
        if ("object" != typeof e2)
          throw new Error("2Can not show JSON object " + JSON.stringify(e2));
        if (Array.isArray(e2))
          t2 += "[" + e2.map(function(e3) {
            return Y(e3);
          }).join(",") + "]";
        else if (!e2.toJS || e2 instanceof k.Json) {
          var n2, t2 = "{", r2 = [];
          for (n2 in e2) {
            var s2 = "";
            if ("string" == typeof n2)
              s2 += '"' + n2 + '"';
            else if ("number" == typeof n2)
              s2 += n2;
            else {
              if ("boolean" != typeof n2)
                throw new Error("THis is not ES6... no expressions on left side yet");
              s2 += n2;
            }
            s2 += ":" + Y(e2[n2]), r2.push(s2);
          }
          t2 += r2.join(",") + "}";
        } else {
          if (!e2.toString)
            throw new Error("1Can not show JSON object " + JSON.stringify(e2));
          t2 = e2.toString();
        }
      }
      return t2;
    };
    function W(e2, t2, n2, r2) {
      var s2 = "";
      if ("string" == typeof e2)
        s2 = '"' + e2 + '"';
      else if ("number" == typeof e2)
        s2 = "(" + e2 + ")";
      else if ("boolean" == typeof e2)
        s2 = e2;
      else {
        if ("object" != typeof e2)
          throw new Error("2Can not parse JSON object " + JSON.stringify(e2));
        if (Array.isArray(e2))
          s2 += "[" + e2.map(function(e3) {
            return W(e3, t2, n2, r2);
          }).join(",") + "]";
        else if (!e2.toJS || e2 instanceof k.Json) {
          var a2, s2 = "{", i2 = [];
          for (a2 in e2) {
            var o2 = "";
            if ("string" == typeof a2)
              o2 += '"' + a2 + '"';
            else if ("number" == typeof a2)
              o2 += a2;
            else {
              if ("boolean" != typeof a2)
                throw new Error("THis is not ES6... no expressions on left side yet");
              o2 += a2;
            }
            o2 += ":" + W(e2[a2], t2, n2, r2), i2.push(o2);
          }
          s2 += i2.join(",") + "}";
        } else {
          if (!e2.toJS)
            throw new Error("1Can not parse JSON object " + JSON.stringify(e2));
          s2 = e2.toJS(t2, n2, r2);
        }
      }
      return s2;
    }
    k.Json.prototype.toJS = function(e2, t2, n2) {
      return W(this.value, e2, t2, n2);
    }, k.Convert = function(e2) {
      return k.extend(this, e2);
    }, k.Convert.prototype.toString = function() {
      var e2 = "CONVERT(";
      return e2 += this.dbtypeid, void 0 !== this.dbsize && (e2 += "(" + this.dbsize, this.dbprecision && (e2 += "," + this.dbprecision), e2 += ")"), e2 += "," + this.expression.toString(), this.style && (e2 += "," + this.style), e2 += ")";
    }, k.Convert.prototype.toJS = function(e2, t2, n2) {
      return "alasql.stdfn.CONVERT(" + this.expression.toJS(e2, t2, n2) + ',{dbtypeid:"' + this.dbtypeid + '",dbsize:' + this.dbsize + ",dbprecision:" + this.dbprecision + ",style:" + this.style + "})";
    }, bi.stdfn.CONVERT = function(e2, t2) {
      var n2 = e2;
      if (t2.style) {
        var r2 = /\d{8}/.test(n2) ? new Date(+n2.substr(0, 4), +n2.substr(4, 2) - 1, +n2.substr(6, 2)) : new Date(n2);
        switch (t2.style) {
          case 1:
            n2 = ("0" + (r2.getMonth() + 1)).substr(-2) + "/" + ("0" + r2.getDate()).substr(-2) + "/" + ("0" + r2.getYear()).substr(-2);
            break;
          case 2:
            n2 = ("0" + r2.getYear()).substr(-2) + "." + ("0" + (r2.getMonth() + 1)).substr(-2) + "." + ("0" + r2.getDate()).substr(-2);
            break;
          case 3:
            n2 = ("0" + r2.getDate()).substr(-2) + "/" + ("0" + (r2.getMonth() + 1)).substr(-2) + "/" + ("0" + r2.getYear()).substr(-2);
            break;
          case 4:
            n2 = ("0" + r2.getDate()).substr(-2) + "." + ("0" + (r2.getMonth() + 1)).substr(-2) + "." + ("0" + r2.getYear()).substr(-2);
            break;
          case 5:
            n2 = ("0" + r2.getDate()).substr(-2) + "-" + ("0" + (r2.getMonth() + 1)).substr(-2) + "-" + ("0" + r2.getYear()).substr(-2);
            break;
          case 6:
            n2 = ("0" + r2.getDate()).substr(-2) + " " + r2.toString().substr(4, 3).toLowerCase() + " " + ("0" + r2.getYear()).substr(-2);
            break;
          case 7:
            n2 = r2.toString().substr(4, 3) + " " + ("0" + r2.getDate()).substr(-2) + "," + ("0" + r2.getYear()).substr(-2);
            break;
          case 8:
          case 108:
            n2 = ("0" + r2.getHours()).substr(-2) + ":" + ("0" + r2.getMinutes()).substr(-2) + ":" + ("0" + r2.getSeconds()).substr(-2);
            break;
          case 10:
            n2 = ("0" + (r2.getMonth() + 1)).substr(-2) + "-" + ("0" + r2.getDate()).substr(-2) + "-" + ("0" + r2.getYear()).substr(-2);
            break;
          case 11:
            n2 = ("0" + r2.getYear()).substr(-2) + "/" + ("0" + (r2.getMonth() + 1)).substr(-2) + "/" + ("0" + r2.getDate()).substr(-2);
            break;
          case 12:
            n2 = ("0" + r2.getYear()).substr(-2) + ("0" + (r2.getMonth() + 1)).substr(-2) + ("0" + r2.getDate()).substr(-2);
            break;
          case 101:
            n2 = ("0" + (r2.getMonth() + 1)).substr(-2) + "/" + ("0" + r2.getDate()).substr(-2) + "/" + r2.getFullYear();
            break;
          case 102:
            n2 = r2.getFullYear() + "." + ("0" + (r2.getMonth() + 1)).substr(-2) + "." + ("0" + r2.getDate()).substr(-2);
            break;
          case 103:
            n2 = ("0" + r2.getDate()).substr(-2) + "/" + ("0" + (r2.getMonth() + 1)).substr(-2) + "/" + r2.getFullYear();
            break;
          case 104:
            n2 = ("0" + r2.getDate()).substr(-2) + "." + ("0" + (r2.getMonth() + 1)).substr(-2) + "." + r2.getFullYear();
            break;
          case 105:
            n2 = ("0" + r2.getDate()).substr(-2) + "-" + ("0" + (r2.getMonth() + 1)).substr(-2) + "-" + r2.getFullYear();
            break;
          case 106:
            n2 = ("0" + r2.getDate()).substr(-2) + " " + r2.toString().substr(4, 3).toLowerCase() + " " + r2.getFullYear();
            break;
          case 107:
            n2 = r2.toString().substr(4, 3) + " " + ("0" + r2.getDate()).substr(-2) + "," + r2.getFullYear();
            break;
          case 110:
            n2 = ("0" + (r2.getMonth() + 1)).substr(-2) + "-" + ("0" + r2.getDate()).substr(-2) + "-" + r2.getFullYear();
            break;
          case 111:
            n2 = r2.getFullYear() + "/" + ("0" + (r2.getMonth() + 1)).substr(-2) + "/" + ("0" + r2.getDate()).substr(-2);
            break;
          case 112:
            n2 = r2.getFullYear() + ("0" + (r2.getMonth() + 1)).substr(-2) + ("0" + r2.getDate()).substr(-2);
            break;
          default:
            throw new Error("The CONVERT style " + t2.style + " is not realized yet.");
        }
      }
      e2 = t2.dbtypeid.toUpperCase();
      if ("Date" == t2.dbtypeid)
        return new Date(n2);
      if ("DATE" == e2)
        return a2 = (s2 = new Date(n2)).getFullYear() + "." + ("0" + (s2.getMonth() + 1)).substr(-2) + "." + ("0" + s2.getDate()).substr(-2);
      if ("DATETIME" == e2 || "DATETIME2" == e2) {
        var s2, a2 = (s2 = new Date(n2)).getFullYear() + "." + ("0" + (s2.getMonth() + 1)).substr(-2) + "." + ("0" + s2.getDate()).substr(-2);
        return a2 += " " + ("0" + s2.getHours()).substr(-2) + ":" + ("0" + s2.getMinutes()).substr(-2) + ":" + ("0" + s2.getSeconds()).substr(-2), a2 += "." + ("00" + s2.getMilliseconds()).substr(-3);
      }
      if (-1 < ["MONEY"].indexOf(e2))
        return (0 | (i2 = +n2)) + 100 * i2 % 100 / 100;
      if (-1 < ["BOOLEAN"].indexOf(e2))
        return !!n2;
      if (-1 < ["INT", "INTEGER", "SMALLINT", "BIGINT", "SERIAL", "SMALLSERIAL", "BIGSERIAL"].indexOf(t2.dbtypeid.toUpperCase()))
        return 0 | n2;
      if (-1 < ["STRING", "VARCHAR", "NVARCHAR", "CHARACTER VARIABLE"].indexOf(t2.dbtypeid.toUpperCase()))
        return t2.dbsize ? ("" + n2).substr(0, t2.dbsize) : "" + n2;
      if (-1 < ["CHAR", "CHARACTER", "NCHAR"].indexOf(e2))
        return (n2 + new Array(t2.dbsize + 1).join(" ")).substr(0, t2.dbsize);
      if (-1 < ["NUMBER", "FLOAT", "DECIMAL", "NUMERIC"].indexOf(e2)) {
        var i2 = +n2;
        return i2 = void 0 !== t2.dbsize ? parseFloat(i2.toPrecision(t2.dbsize)) : i2, i2 = void 0 !== t2.dbprecision ? parseFloat(i2.toFixed(t2.dbprecision)) : i2;
      }
      if (-1 < ["JSON"].indexOf(e2)) {
        if ("object" == typeof n2)
          return n2;
        try {
          return JSON.parse(n2);
        } catch (e3) {
          throw new Error("Cannot convert string to JSON");
        }
      }
      return n2;
    }, k.ColumnDef = function(e2) {
      return k.extend(this, e2);
    }, k.ColumnDef.prototype.toString = function() {
      var e2 = this.columnid;
      return this.dbtypeid && (e2 += " " + this.dbtypeid), this.dbsize && (e2 += "(" + this.dbsize, this.dbprecision && (e2 += "," + this.dbprecision), e2 += ")"), this.primarykey && (e2 += " PRIMARY KEY"), this.notnull && (e2 += " NOT NULL"), e2;
    }, k.CreateTable = function(e2) {
      return k.extend(this, e2);
    }, k.CreateTable.prototype.toString = function() {
      var e2 = "CREATE";
      return this.temporary && (e2 += " TEMPORARY"), this.view ? e2 += " VIEW" : e2 += " " + (this.class ? "CLASS" : "TABLE"), this.ifnotexists && (e2 += " IF  NOT EXISTS"), e2 += " " + this.table.toString(), this.viewcolumns && (e2 += "(" + this.viewcolumns.map(function(e3) {
        return e3.toString();
      }).join(",") + ")"), this.as ? e2 += " AS " + this.as : e2 += " (" + this.columns.map(function(e3) {
        return e3.toString();
      }).join(",") + ")", this.view && this.select && (e2 += " AS " + this.select.toString()), e2;
    }, k.CreateTable.prototype.execute = function(f2, p2, e2) {
      var t2 = bi.databases[this.table.databaseid || f2], n2 = this.table.tableid;
      if (!n2)
        throw new Error("Table name is not defined");
      var r2 = this.columns, s2 = this.constraints || [];
      if (this.ifnotexists && t2.tables[n2])
        return e2 ? e2(0) : 0;
      if (t2.tables[n2])
        throw new Error("Can not create table '" + n2 + "', because it already exists in the database '" + t2.databaseid + "'");
      var c2 = t2.tables[n2] = new bi.Table();
      this.class && (c2.isclass = true);
      var a2, i2, o2 = [], u2 = [];
      return r2 && r2.forEach(function(n3) {
        var e3 = n3.dbtypeid;
        bi.fn[e3] || (e3 = e3.toUpperCase()), -1 < ["SERIAL", "SMALLSERIAL", "BIGSERIAL"].indexOf(e3) && (n3.identity = { value: 1, step: 1 });
        var t3, e3 = { columnid: n3.columnid, dbtypeid: e3, dbsize: n3.dbsize, dbprecision: n3.dbprecision, notnull: n3.notnull, identity: n3.identity };
        if (n3.identity && (c2.identities[n3.columnid] = { value: +n3.identity.value, step: +n3.identity.step }), n3.check && c2.checks.push({ id: n3.check.constrantid, fn: new Function("r", "var y;return " + n3.check.expression.toJS("r", "")) }), n3.default && o2.push("'" + n3.columnid + "':" + n3.default.toJS("r", "")), n3.primarykey && ((t3 = c2.pk = {}).columns = [n3.columnid], t3.onrightfns = "r['" + n3.columnid + "']", t3.onrightfn = new Function("r", "var y;return " + t3.onrightfns), t3.hh = b(t3.onrightfns), c2.uniqs[t3.hh] = {}), n3.unique && (t3 = {}, c2.uk = c2.uk || [], c2.uk.push(t3), t3.columns = [n3.columnid], t3.onrightfns = "r['" + n3.columnid + "']", t3.onrightfn = new Function("r", "var y;return " + t3.onrightfns), t3.hh = b(t3.onrightfns), c2.uniqs[t3.hh] = {}), n3.foreignkey) {
          var r3 = n3.foreignkey.table, s3 = bi.databases[r3.databaseid || f2].tables[r3.tableid];
          if (void 0 === r3.columnid) {
            if (!(s3.pk.columns && 0 < s3.pk.columns.length))
              throw new Error("FOREIGN KEY allowed only to tables with PRIMARY KEYs");
            r3.columnid = s3.pk.columns[0];
          }
          c2.checks.push({ fn: function(e4) {
            var t4 = {};
            if (void 0 === e4[n3.columnid])
              return true;
            t4[r3.columnid] = e4[n3.columnid];
            t4 = s3.pk.onrightfn(t4);
            if (!s3.uniqs[s3.pk.hh][t4])
              throw new Error("Foreign key violation");
            return true;
          } });
        }
        n3.onupdate && u2.push("r['" + n3.columnid + "']=" + n3.onupdate.toJS("r", "")), c2.columns.push(e3), c2.xcolumns[e3.columnid] = e3;
      }), c2.defaultfns = o2.join(","), c2.onupdatefns = u2.join(";"), s2.forEach(function(e3) {
        var t3;
        if ("PRIMARY KEY" === e3.type) {
          if (c2.pk)
            throw new Error("Primary key already exists");
          var n3 = c2.pk = {};
          n3.columns = e3.columns, n3.onrightfns = n3.columns.map(function(e4) {
            return "r['" + e4 + "']";
          }).join("+'`'+"), n3.onrightfn = new Function("r", "var y;return " + n3.onrightfns), n3.hh = b(n3.onrightfns), c2.uniqs[n3.hh] = {};
        } else if ("CHECK" === e3.type)
          t3 = new Function("r", "var y;return " + e3.expression.toJS("r", ""));
        else if ("UNIQUE" === e3.type) {
          var r3 = {};
          c2.uk = c2.uk || [], c2.uk.push(r3), r3.columns = e3.columns, r3.onrightfns = r3.columns.map(function(e4) {
            return "r['" + e4 + "']";
          }).join("+'`'+"), r3.onrightfn = new Function("r", "var y;return " + r3.onrightfns), r3.hh = b(r3.onrightfns), c2.uniqs[r3.hh] = {};
        } else if ("FOREIGN KEY" === e3.type) {
          var s3 = e3.fktable;
          e3.fkcolumns && 0 < e3.fkcolumns.length && (s3.fkcolumns = e3.fkcolumns);
          r3 = bi.databases[s3.databaseid || f2].tables[s3.tableid];
          if (void 0 === s3.fkcolumns && (s3.fkcolumns = r3.pk.columns), s3.columns = e3.columns, s3.fkcolumns.length > s3.columns.length)
            throw new Error("Invalid foreign key on table " + c2.tableid);
          t3 = function(n4) {
            var r4 = {};
            if (s3.fkcolumns.forEach(function(e5, t5) {
              null != n4[s3.columns[t5]] && (r4[e5] = n4[s3.columns[t5]]);
            }), 0 === Object.keys(r4).length)
              return true;
            if (Object.keys(r4).length !== s3.columns.length)
              throw new Error("Invalid foreign key on table " + c2.tableid);
            var e4 = bi.databases[s3.databaseid || f2].tables[s3.tableid], t4 = e4.pk.onrightfn(r4);
            if (!e4.uniqs[e4.pk.hh][t4])
              throw new Error("Foreign key violation");
            return true;
          };
        }
        t3 && c2.checks.push({ fn: t3, id: e3.constraintid, fk: "FOREIGN KEY" === e3.type });
      }), this.view && this.viewcolumns && (a2 = this).viewcolumns.forEach(function(e3, t3) {
        a2.select.columns[t3].as = e3.columnid;
      }), this.view && this.select && (c2.view = true, c2.select = this.select.compile(this.table.databaseid || f2)), t2.engineid ? bi.engines[t2.engineid].createTable(this.table.databaseid || f2, n2, this.ifnotexists, e2) : (c2.insert = function(n3, r3) {
        var e3 = bi.inserted;
        bi.inserted = [n3];
        var s3 = this, a3 = false, t3 = false;
        for (d2 in s3.beforeinsert)
          (i3 = s3.beforeinsert[d2]) && (i3.funcid ? false === bi.fn[i3.funcid](n3) && (t3 = t3 || true) : i3.statement && false === i3.statement.execute(f2) && (t3 = t3 || true));
        if (!t3) {
          var i3, o3 = false;
          for (d2 in s3.insteadofinsert)
            o3 = true, (i3 = s3.insteadofinsert[d2]) && (i3.funcid ? bi.fn[i3.funcid](n3) : i3.statement && i3.statement.execute(f2));
          if (!o3) {
            for (var u3 in s3.identities) {
              var c3 = s3.identities[u3];
              n3[u3] = c3.value;
            }
            if (s3.checks && 0 < s3.checks.length && s3.checks.forEach(function(e4) {
              if (!e4.fn(n3))
                throw new Error("Violation of CHECK constraint " + (e4.id || ""));
            }), s3.columns.forEach(function(e4) {
              if (e4.notnull && void 0 === n3[e4.columnid])
                throw new Error("Wrong NULL value in NOT NULL column " + e4.columnid);
            }), s3.pk) {
              var l2, h3 = (l2 = s3.pk).onrightfn(n3);
              if (void 0 !== s3.uniqs[l2.hh][h3]) {
                if (!r3)
                  throw new Error("Cannot insert record, because it already exists in primary key index");
                a3 = s3.uniqs[l2.hh][h3];
              }
            }
            if (s3.uk && s3.uk.length && s3.uk.forEach(function(e4) {
              var t4 = e4.onrightfn(n3);
              if (void 0 !== s3.uniqs[e4.hh][t4]) {
                if (!r3)
                  throw new Error("Cannot insert record, because it already exists in unique index");
                a3 = s3.uniqs[e4.hh][t4];
              }
            }), a3)
              s3.update(function(e4) {
                for (var t4 in n3)
                  e4[t4] = n3[t4];
              }, s3.data.indexOf(a3), p2);
            else {
              for (var u3 in s3.data.push(n3), s3.identities)
                (c3 = s3.identities[u3]).value += c3.step;
              s3.pk && (h3 = (l2 = s3.pk).onrightfn(n3), s3.uniqs[l2.hh][h3] = n3), s3.uk && s3.uk.length && s3.uk.forEach(function(e4) {
                var t4 = e4.onrightfn(n3);
                s3.uniqs[e4.hh][t4] = n3;
              });
            }
            for (var d2 in s3.afterinsert)
              (i3 = s3.afterinsert[d2]) && (i3.funcid ? bi.fn[i3.funcid](n3) : i3.statement && i3.statement.execute(f2));
            bi.inserted = e3;
          }
        }
      }, c2.delete = function(e3) {
        var n3 = this, r3 = n3.data[e3], t3 = false;
        for (s3 in n3.beforedelete)
          (i3 = n3.beforedelete[s3]) && (i3.funcid ? false === bi.fn[i3.funcid](r3) && (t3 = t3 || true) : i3.statement && false === i3.statement.execute(f2) && (t3 = t3 || true));
        if (t3)
          return false;
        var s3, a3 = false;
        for (s3 in n3.insteadofdelete) {
          var i3, a3 = true;
          (i3 = n3.insteadofdelete[s3]) && (i3.funcid ? bi.fn[i3.funcid](r3) : i3.statement && i3.statement.execute(f2));
        }
        if (!a3) {
          if (this.pk) {
            var o3 = this.pk, e3 = o3.onrightfn(r3);
            if (void 0 === this.uniqs[o3.hh][e3])
              throw new Error("Something wrong with primary key index on table");
            this.uniqs[o3.hh][e3] = void 0;
          }
          n3.uk && n3.uk.length && n3.uk.forEach(function(e4) {
            var t4 = e4.onrightfn(r3);
            if (void 0 === n3.uniqs[e4.hh][t4])
              throw new Error("Something wrong with unique index on table");
            n3.uniqs[e4.hh][t4] = void 0;
          });
        }
      }, c2.deleteall = function() {
        this.data.length = 0, this.pk && (this.uniqs[this.pk.hh] = {}), c2.uk && c2.uk.length && c2.uk.forEach(function(e3) {
          c2.uniqs[e3.hh] = {};
        });
      }, c2.update = function(e3, t3, n3) {
        var r3, s3 = m(this.data[t3]);
        if (this.pk && ((r3 = this.pk).pkaddr = r3.onrightfn(s3, n3), void 0 === this.uniqs[r3.hh][r3.pkaddr]))
          throw new Error("Something wrong with index on table");
        c2.uk && c2.uk.length && c2.uk.forEach(function(e4) {
          if (e4.ukaddr = e4.onrightfn(s3), void 0 === c2.uniqs[e4.hh][e4.ukaddr])
            throw new Error("Something wrong with unique index on table");
        }), e3(s3, n3, bi);
        var a3 = false;
        for (u3 in c2.beforeupdate)
          (o3 = c2.beforeupdate[u3]) && (o3.funcid ? false === bi.fn[o3.funcid](this.data[t3], s3) && (a3 = a3 || true) : o3.statement && false === o3.statement.execute(f2) && (a3 = a3 || true));
        if (a3)
          return false;
        var i3 = false;
        for (u3 in c2.insteadofupdate) {
          var o3, i3 = true;
          (o3 = c2.insteadofupdate[u3]) && (o3.funcid ? bi.fn[o3.funcid](this.data[t3], s3) : o3.statement && o3.statement.execute(f2));
        }
        if (!i3) {
          if (c2.checks && 0 < c2.checks.length && c2.checks.forEach(function(e4) {
            if (!e4.fn(s3))
              throw new Error("Violation of CHECK constraint " + (e4.id || ""));
          }), c2.columns.forEach(function(e4) {
            if (e4.notnull && void 0 === s3[e4.columnid])
              throw new Error("Wrong NULL value in NOT NULL column " + e4.columnid);
          }), this.pk && (r3.newpkaddr = r3.onrightfn(s3), void 0 !== this.uniqs[r3.hh][r3.newpkaddr] && r3.newpkaddr !== r3.pkaddr))
            throw new Error("Record already exists");
          for (var u3 in c2.uk && c2.uk.length && c2.uk.forEach(function(e4) {
            if (e4.newukaddr = e4.onrightfn(s3), void 0 !== c2.uniqs[e4.hh][e4.newukaddr] && e4.newukaddr !== e4.ukaddr)
              throw new Error("Record already exists");
          }), this.pk && (this.uniqs[r3.hh][r3.pkaddr] = void 0, this.uniqs[r3.hh][r3.newpkaddr] = s3), c2.uk && c2.uk.length && c2.uk.forEach(function(e4) {
            c2.uniqs[e4.hh][e4.ukaddr] = void 0, c2.uniqs[e4.hh][e4.newukaddr] = s3;
          }), this.data[t3] = s3, c2.afterupdate)
            (o3 = c2.afterupdate[u3]) && (o3.funcid ? bi.fn[o3.funcid](this.data[t3], s3) : o3.statement && o3.statement.execute(f2));
        }
      }, bi.options.nocount || (i2 = 1), i2 = e2 ? e2(i2) : i2);
    }, bi.fn.Date = Object, bi.fn.Date = Date, bi.fn.Number = Number, bi.fn.String = String, bi.fn.Boolean = Boolean, I.EXTEND = bi.utils.extend, I.CHAR = String.fromCharCode.bind(String), I.ASCII = function(e2) {
      return e2.charCodeAt(0);
    }, I.COALESCE = function() {
      for (var e2 = 0; e2 < arguments.length; e2++)
        if (void 0 !== arguments[e2] && ("number" != typeof arguments[e2] || !isNaN(arguments[e2])))
          return arguments[e2];
    }, I.USER = function() {
      return "alasql";
    }, I.OBJECT_ID = function(e2) {
      return !!bi.tables[e2];
    }, I.DATE = function(e2) {
      return /\d{8}/.test(e2) ? new Date(+e2.substr(0, 4), +e2.substr(4, 2) - 1, +e2.substr(6, 2)) : new Date(e2);
    }, I.NOW = function() {
      var e2 = new Date(), t2 = e2.getFullYear() + "." + ("0" + (e2.getMonth() + 1)).substr(-2) + "." + ("0" + e2.getDate()).substr(-2);
      return t2 += " " + ("0" + e2.getHours()).substr(-2) + ":" + ("0" + e2.getMinutes()).substr(-2) + ":" + ("0" + e2.getSeconds()).substr(-2), t2 += "." + ("00" + e2.getMilliseconds()).substr(-3);
    }, I.GETDATE = I.NOW, I.CURRENT_TIMESTAMP = I.NOW, I.SECOND = function(e2) {
      return (e2 = new Date(e2)).getSeconds();
    }, I.MINUTE = function(e2) {
      return (e2 = new Date(e2)).getMinutes();
    }, I.HOUR = function(e2) {
      return (e2 = new Date(e2)).getHours();
    }, I.DAYOFWEEK = I.WEEKDAY = function(e2) {
      return (e2 = new Date(e2)).getDay();
    }, I.DAY = I.DAYOFMONTH = function(e2) {
      return (e2 = new Date(e2)).getDate();
    }, I.MONTH = function(e2) {
      return (e2 = new Date(e2)).getMonth() + 1;
    }, I.YEAR = function(e2) {
      return (e2 = new Date(e2)).getFullYear();
    };
    var X = { year: 31536e6, quarter: 7884e6, month: 2592e6, week: 6048e5, day: 864e5, dayofyear: 864e5, weekday: 864e5, hour: 36e5, minute: 6e4, second: 1e3, millisecond: 1, microsecond: 1e-3 };
    function K(t2) {
      var n2 = "";
      if (void 0 === t2)
        n2 += "undefined";
      else if (Array.isArray(t2)) {
        n2 += "<style>", n2 += "table {border:1px black solid; border-collapse: collapse; border-spacing: 0px;}", n2 += "td,th {border:1px black solid; padding-left:5px; padding-right:5px}", n2 += "th {background-color: #EEE}", n2 += "</style>", n2 += "<table>";
        var e2, r2 = [];
        for (e2 in t2[0])
          r2.push(e2);
        n2 += "<tr><th>#", r2.forEach(function(e3) {
          n2 += "<th>" + e3;
        });
        for (var s2 = 0, a2 = t2.length; s2 < a2; s2++)
          n2 += "<tr><th>" + (s2 + 1), r2.forEach(function(e3) {
            n2 += "<td> ", t2[s2][e3] == +t2[s2][e3] ? (n2 += '<div style="text-align:right">', void 0 === t2[s2][e3] ? n2 += "NULL" : n2 += t2[s2][e3], n2 += "</div>") : void 0 === t2[s2][e3] ? n2 += "NULL" : "string" == typeof t2[s2][e3] ? n2 += t2[s2][e3] : n2 += Y(t2[s2][e3]);
          });
        n2 += "</table>";
      } else
        n2 += "<p>" + Y(t2) + "</p>";
      return n2;
    }
    function Q(e2, t2, n2) {
      var r2;
      n2 <= 0 || (r2 = (t2 - e2.scrollTop) / n2 * 10, setTimeout(function() {
        e2.scrollTop !== t2 && (e2.scrollTop = e2.scrollTop + r2, Q(e2, t2, n2 - 10));
      }, 10));
    }
    function z(b2, e2, t2, E2, g2, m2) {
      var S2 = {};
      function T2(e3) {
        return e3 && false === bi.options.casesensitive ? e3.toLowerCase() : e3;
      }
      t2 = t2 || {}, bi.utils.extend(S2, t2), void 0 === S2.headers && (S2.headers = true), e2 = bi.utils.autoExtFilename(e2, "xls", t2), bi.utils.loadBinaryFile(e2, !!E2, function(e3) {
        var t3;
        t3 = e3 instanceof ArrayBuffer ? (s2 = function(e4) {
          for (var t4 = "", n3 = 0, r3 = 10240; n3 < e4.byteLength / r3; ++n3)
            t4 += String.fromCharCode.apply(null, new Uint8Array(e4.slice(n3 * r3, n3 * r3 + r3)));
          return t4 += String.fromCharCode.apply(null, new Uint8Array(e4.slice(n3 * r3)));
        }(e3), b2.read(btoa(s2), { type: "base64" })) : b2.read(e3, { type: "binary" });
        var n2 = void 0 === S2.sheetid ? t3.SheetNames[0] : "number" == typeof S2.sheetid ? t3.SheetNames[S2.sheetid] : S2.sheetid, r2 = [];
        if (void 0 === S2.range ? i2 = t3.Sheets[n2]["!ref"] : (i2 = S2.range, t3.Sheets[n2][i2] && (i2 = t3.Sheets[n2][i2])), i2) {
          for (var s2 = i2.split(":"), e3 = s2[0].match(/[A-Z]+/)[0], a2 = +s2[0].match(/[0-9]+/)[0], i2 = s2[1].match(/[A-Z]+/)[0], o2 = +s2[1].match(/[0-9]+/)[0], u2 = {}, c2 = bi.utils.xlscn(e3), l2 = bi.utils.xlscn(i2), h3 = c2; h3 <= l2; h3++) {
            var d2 = bi.utils.xlsnc(h3);
            S2.headers ? t3.Sheets[n2][d2 + "" + a2] ? u2[d2] = T2(t3.Sheets[n2][d2 + "" + a2].v) : u2[d2] = T2(d2) : u2[d2] = d2;
          }
          S2.headers && a2++;
          for (var f2 = a2; f2 <= o2; f2++) {
            for (var p2 = {}, h3 = c2; h3 <= l2; h3++) {
              d2 = bi.utils.xlsnc(h3);
              t3.Sheets[n2][d2 + "" + f2] && (p2[u2[d2]] = t3.Sheets[n2][d2 + "" + f2].v);
            }
            r2.push(p2);
          }
        } else
          r2.push([]);
        0 < r2.length && r2[r2.length - 1] && 0 == Object.keys(r2[r2.length - 1]).length && r2.pop(), E2 && (r2 = E2(r2, g2, m2));
      }, function(e3) {
        throw e3;
      });
    }
    bi.stdfn.DATEDIFF = function(e2, t2, n2) {
      return (new Date(n2).getTime() - new Date(t2).getTime()) / X[e2.toLowerCase()];
    }, bi.stdfn.DATEADD = function(e2, t2, n2) {
      e2 = new Date(n2).getTime() + t2 * X[e2.toLowerCase()];
      return new Date(e2);
    }, bi.stdfn.INTERVAL = function(e2, t2) {
      return e2 * X[t2.toLowerCase()];
    }, bi.stdfn.DATE_ADD = bi.stdfn.ADDDATE = function(e2, t2) {
      t2 = new Date(e2).getTime() + t2;
      return new Date(t2);
    }, bi.stdfn.DATE_SUB = bi.stdfn.SUBDATE = function(e2, t2) {
      t2 = new Date(e2).getTime() - t2;
      return new Date(t2);
    }, k.DropTable = function(e2) {
      return k.extend(this, e2);
    }, k.DropTable.prototype.toString = function() {
      var e2 = "DROP ";
      return this.view ? e2 += "VIEW" : e2 += "TABLE", this.ifexists && (e2 += " IF EXISTS"), e2 += " " + this.tables.toString();
    }, k.DropTable.prototype.execute = function(r2, e2, s2) {
      var a2 = this.ifexists, i2 = 0, o2 = 0, u2 = this.tables.length;
      return this.tables.forEach(function(e3) {
        var t2 = bi.databases[e3.databaseid || r2], n2 = e3.tableid;
        if (!a2 || a2 && t2.tables[n2]) {
          if (t2.tables[n2])
            t2.engineid ? bi.engines[t2.engineid].dropTable(e3.databaseid || r2, n2, a2, function(e4) {
              delete t2.tables[n2], i2 += e4, ++o2 == u2 && s2 && s2(i2);
            }) : (delete t2.tables[n2], i2++, ++o2 == u2 && s2 && s2(i2));
          else if (!bi.options.dropifnotexists)
            throw new Error("Can not drop table '" + e3.tableid + "', because it does not exist in the database.");
        } else
          ++o2 == u2 && s2 && s2(i2);
      }), i2;
    }, k.TruncateTable = function(e2) {
      return k.extend(this, e2);
    }, k.TruncateTable.prototype.toString = function() {
      var e2 = "TRUNCATE TABLE";
      return e2 += " " + this.table.toString();
    }, k.TruncateTable.prototype.execute = function(e2, t2, n2) {
      var r2 = bi.databases[this.table.databaseid || e2], s2 = this.table.tableid;
      if (r2.engineid)
        return bi.engines[r2.engineid].truncateTable(this.table.databaseid || e2, s2, this.ifexists, n2);
      if (!r2.tables[s2])
        throw new Error("Cannot truncate table becaues it does not exist");
      return r2.tables[s2].data = [], n2 ? n2(0) : 0;
    }, k.CreateVertex = function(e2) {
      return k.extend(this, e2);
    }, k.CreateVertex.prototype.toString = function() {
      var e2 = "CREATE VERTEX ";
      return this.class && (e2 += this.class + " "), this.sharp && (e2 += "#" + this.sharp + " "), this.sets ? e2 += this.sets.toString() : this.content ? e2 += this.content.toString() : this.select && (e2 += this.select.toString()), e2;
    }, k.CreateVertex.prototype.toJS = function(e2) {
      return "this.queriesfn[" + (this.queriesidx - 1) + "](this.params,null," + e2 + ")";
    }, k.CreateVertex.prototype.compile = function(e2) {
      var s2, t2, a2, i2 = e2, o2 = this.sharp;
      void 0 !== this.name && (t2 = "x.name=" + this.name.toJS(), s2 = new Function("x", t2)), this.sets && 0 < this.sets.length && (t2 = this.sets.map(function(e3) {
        return "x['" + e3.column.columnid + "']=" + e3.expression.toJS("x", "");
      }).join(";"), a2 = new Function("x,params,alasql", t2));
      return function(e3, t3) {
        var n2 = bi.databases[i2], r2 = void 0 !== o2 ? o2 : n2.counter++, r2 = { $id: r2, $node: "VERTEX" }, n2 = n2.objects[r2.$id] = r2;
        return s2 && s2(r2), a2 && a2(r2, e3, bi), n2 = t3 ? t3(n2) : n2;
      };
    }, k.CreateEdge = function(e2) {
      return k.extend(this, e2);
    }, k.CreateEdge.prototype.toString = function() {
      var e2 = "CREATE EDGE ";
      return this.class && (e2 += this.class + " "), e2;
    }, k.CreateEdge.prototype.toJS = function(e2) {
      return "this.queriesfn[" + (this.queriesidx - 1) + "](this.params,null," + e2 + ")";
    }, k.CreateEdge.prototype.compile = function(e2) {
      var o2, t2, u2, c2 = e2, l2 = new Function("params,alasql", "var y;return " + this.from.toJS()), h3 = new Function("params,alasql", "var y;return " + this.to.toJS());
      void 0 !== this.name && (t2 = "x.name=" + this.name.toJS(), o2 = new Function("x", t2)), this.sets && 0 < this.sets.length && (t2 = this.sets.map(function(e3) {
        return "x['" + e3.column.columnid + "']=" + e3.expression.toJS("x", "");
      }).join(";"), u2 = new Function("x,params,alasql", "var y;" + t2));
      return function(e3, t3) {
        var n2 = 0, r2 = bi.databases[c2], s2 = { $id: r2.counter++, $node: "EDGE" }, a2 = l2(e3, bi), i2 = h3(e3, bi);
        return s2.$in = [a2.$id], s2.$out = [i2.$id], void 0 === a2.$out && (a2.$out = []), a2.$out.push(s2.$id), i2.$in, i2.$in.push(s2.$id), n2 = r2.objects[s2.$id] = s2, o2 && o2(s2), u2 && u2(s2, e3, bi), n2 = t3 ? t3(n2) : n2;
      };
    }, k.CreateGraph = function(e2) {
      return k.extend(this, e2);
    }, k.CreateGraph.prototype.toString = function() {
      var e2 = "CREATE GRAPH ";
      return this.class && (e2 += this.class + " "), e2;
    }, k.CreateGraph.prototype.execute = function(o2, u2, e2) {
      var c2 = [];
      return this.from && bi.from[this.from.funcid] && (this.graph = bi.from[this.from.funcid.toUpperCase()]), this.graph.forEach(function(e3) {
        if (e3.source) {
          var t2 = {};
          void 0 !== e3.as && (bi.vars[e3.as] = t2), void 0 !== e3.prop && (t2.name = e3.prop), void 0 !== e3.sharp && (t2.$id = e3.sharp), void 0 !== e3.name && (t2.name = e3.name), void 0 !== e3.class && (t2.$class = e3.class);
          var n2, r2, s2, a2, i2 = bi.databases[o2];
          if (void 0 === t2.$id && (t2.$id = i2.counter++), t2.$node = "EDGE", void 0 !== e3.json && y(t2, new Function("params,alasql", "var y;return " + e3.json.toJS())(u2, bi)), e3.source.vars ? n2 = "object" == typeof (a2 = bi.vars[e3.source.vars]) ? a2 : i2.objects[a2] : (void 0 === (r2 = e3.source.sharp) && (r2 = e3.source.prop), void 0 !== (n2 = bi.databases[o2].objects[r2]) || !bi.options.autovertex || void 0 === e3.source.prop && void 0 === e3.source.name || void 0 === (n2 = l2(e3.source.prop || e3.source.name)) && (n2 = h3(e3.source))), e3.source.vars ? s2 = "object" == typeof (a2 = bi.vars[e3.target.vars]) ? a2 : i2.objects[a2] : (void 0 === (a2 = e3.target.sharp) && (a2 = e3.target.prop), void 0 !== (s2 = bi.databases[o2].objects[a2]) || !bi.options.autovertex || void 0 === e3.target.prop && void 0 === e3.target.name || void 0 === (s2 = l2(e3.target.prop || e3.target.name)) && (s2 = h3(e3.target))), t2.$in = [n2.$id], t2.$out = [s2.$id], void 0 === n2.$out && (n2.$out = []), n2.$out.push(t2.$id), void 0 === s2.$in && (s2.$in = []), s2.$in.push(t2.$id), void 0 !== (i2.objects[t2.$id] = t2).$class) {
            if (void 0 === bi.databases[o2].tables[t2.$class])
              throw new Error("No such class. Pleace use CREATE CLASS");
            bi.databases[o2].tables[t2.$class].data.push(t2);
          }
          c2.push(t2.$id);
        } else
          h3(e3);
      }), c2 = e2 ? e2(c2) : c2;
      function l2(e3) {
        var t2, n2 = bi.databases[bi.useid].objects;
        for (t2 in n2)
          if (n2[t2].name === e3)
            return n2[t2];
      }
      function h3(e3) {
        var t2 = {};
        void 0 !== e3.as && (bi.vars[e3.as] = t2), void 0 !== e3.prop && (t2.$id = e3.prop, t2.name = e3.prop), void 0 !== e3.sharp && (t2.$id = e3.sharp), void 0 !== e3.name && (t2.name = e3.name), void 0 !== e3.class && (t2.$class = e3.class);
        var n2 = bi.databases[o2];
        if (void 0 === t2.$id && (t2.$id = n2.counter++), t2.$node = "VERTEX", void 0 !== e3.json && y(t2, new Function("params,alasql", "var y;return " + e3.json.toJS())(u2, bi)), void 0 !== (n2.objects[t2.$id] = t2).$class) {
          if (void 0 === bi.databases[o2].tables[t2.$class])
            throw new Error("No such class. Pleace use CREATE CLASS");
          bi.databases[o2].tables[t2.$class].data.push(t2);
        }
        return c2.push(t2.$id), t2;
      }
    }, k.CreateGraph.prototype.compile1 = function(e2) {
      var o2, t2, u2, c2 = e2, l2 = new Function("params,alasql", "var y;return " + this.from.toJS()), h3 = new Function("params,alasql", "var y;return " + this.to.toJS());
      void 0 !== this.name && (t2 = "x.name=" + this.name.toJS(), o2 = new Function("x", t2)), this.sets && 0 < this.sets.length && (t2 = this.sets.map(function(e3) {
        return "x['" + e3.column.columnid + "']=" + e3.expression.toJS("x", "");
      }).join(";"), u2 = new Function("x,params,alasql", "var y;" + t2));
      return function(e3, t3) {
        var n2 = 0, r2 = bi.databases[c2], s2 = { $id: r2.counter++, $node: "EDGE" }, a2 = l2(e3, bi), i2 = h3(e3, bi);
        return s2.$in = [a2.$id], s2.$out = [i2.$id], void 0 === a2.$out && (a2.$out = []), a2.$out.push(s2.$id), void 0 === i2.$in && (i2.$in = []), i2.$in.push(s2.$id), n2 = r2.objects[s2.$id] = s2, o2 && o2(s2), u2 && u2(s2, e3, bi), n2 = t3 ? t3(n2) : n2;
      };
    }, k.AlterTable = function(e2) {
      return k.extend(this, e2);
    }, k.AlterTable.prototype.toString = function() {
      var e2 = "ALTER TABLE " + this.table.toString();
      return this.renameto && (e2 += " RENAME TO " + this.renameto), e2;
    }, k.AlterTable.prototype.execute = function(e2, t2, n2) {
      var r2 = bi.databases[e2];
      if (r2.dbversion = Date.now(), this.renameto) {
        var s2 = this.table.tableid, a2 = this.renameto, i2 = 1;
        if (r2.tables[a2])
          throw new Error("Can not rename a table '" + s2 + "' to '" + a2 + "', because the table with this name already exists");
        if (a2 === s2)
          throw new Error("Can not rename a table '" + s2 + "' to itself");
        return r2.tables[a2] = r2.tables[s2], delete r2.tables[s2], i2 = 1, n2 && n2(i2), i2;
      }
      if (this.addcolumn) {
        (r2 = bi.databases[this.table.databaseid || e2]).dbversion++;
        var o2 = this.table.tableid, u2 = r2.tables[o2], c2 = this.addcolumn.columnid;
        if (u2.xcolumns[c2])
          throw new Error('Cannot add column "' + c2 + '", because it already exists in the table "' + o2 + '"');
        var l2 = { columnid: c2, dbtypeid: this.addcolumn.dbtypeid, dbsize: this.dbsize, dbprecision: this.dbprecision, dbenum: this.dbenum, defaultfns: null };
        u2.columns.push(l2), u2.xcolumns[c2] = l2;
        for (var h3 = 0, d2 = u2.data.length; h3 < d2; h3++)
          u2.data[h3][c2] = void 0;
        return n2 ? n2(1) : 1;
      }
      if (this.modifycolumn) {
        (r2 = bi.databases[this.table.databaseid || e2]).dbversion++;
        o2 = this.table.tableid, u2 = r2.tables[o2], c2 = this.modifycolumn.columnid;
        if (!u2.xcolumns[c2])
          throw new Error('Cannot modify column "' + c2 + '", because it was not found in the table "' + o2 + '"');
        return (l2 = u2.xcolumns[c2]).dbtypeid = this.dbtypeid, l2.dbsize = this.dbsize, l2.dbprecision = this.dbprecision, l2.dbenum = this.dbenum, n2 ? n2(1) : 1;
      }
      if (this.renamecolumn) {
        (r2 = bi.databases[this.table.databaseid || e2]).dbversion++;
        var o2 = this.table.tableid, u2 = r2.tables[o2], c2 = this.renamecolumn, f2 = this.to;
        if (!u2.xcolumns[c2])
          throw new Error('Column "' + c2 + '" is not found in the table "' + o2 + '"');
        if (u2.xcolumns[f2])
          throw new Error('Column "' + f2 + '" already exists in the table "' + o2 + '"');
        if (c2 == f2)
          return n2 ? n2(0) : 0;
        for (var p2 = 0; p2 < u2.columns.length; p2++)
          u2.columns[p2].columnid == c2 && (u2.columns[p2].columnid = f2);
        u2.xcolumns[f2] = u2.xcolumns[c2], delete u2.xcolumns[c2];
        for (h3 = 0, d2 = u2.data.length; h3 < d2; h3++)
          u2.data[h3][f2] = u2.data[h3][c2], delete u2.data[h3][c2];
        return u2.data.length;
      }
      if (this.dropcolumn) {
        (r2 = bi.databases[this.table.databaseid || e2]).dbversion++;
        for (var o2 = this.table.tableid, u2 = r2.tables[o2], c2 = this.dropcolumn, b2 = false, p2 = 0; p2 < u2.columns.length; p2++)
          if (u2.columns[p2].columnid == c2) {
            b2 = true, u2.columns.splice(p2, 1);
            break;
          }
        if (!b2)
          throw new Error('Cannot drop column "' + c2 + '", because it was not found in the table "' + o2 + '"');
        for (delete u2.xcolumns[c2], h3 = 0, d2 = u2.data.length; h3 < d2; h3++)
          delete u2.data[h3][c2];
        return n2 ? n2(u2.data.length) : u2.data.length;
      }
      throw Error("Unknown ALTER TABLE method");
    }, k.CreateIndex = function(e2) {
      return k.extend(this, e2);
    }, k.CreateIndex.prototype.toString = function() {
      var e2 = "CREATE";
      return this.unique && (e2 += " UNIQUE"), e2 += " INDEX " + this.indexid + " ON " + this.table.toString(), e2 += "(" + this.columns.toString() + ")";
    }, k.CreateIndex.prototype.execute = function(e2, t2, n2) {
      var r2 = bi.databases[e2], s2 = this.table.tableid, a2 = r2.tables[s2], e2 = this.indexid;
      r2.indices[e2] = s2;
      var i2 = this.columns.map(function(e3) {
        return e3.expression.toJS("r", "");
      }).join("+'`'+"), o2 = new Function("r,params,alasql", "return " + i2);
      if (this.unique) {
        a2.uniqdefs[e2] = { rightfns: i2 };
        var u2 = a2.uniqs[e2] = {};
        if (0 < a2.data.length)
          for (var c2 = 0, l2 = a2.data.length; c2 < l2; c2++)
            u2[f2 = i2(a2.data[c2])] || (u2[f2] = { num: 0 }), u2[f2].num++;
      } else {
        var h3 = b(i2);
        a2.inddefs[e2] = { rightfns: i2, hh: h3 }, a2.indices[h3] = {};
        var d2 = a2.indices[h3] = {};
        if (0 < a2.data.length)
          for (var f2, c2 = 0, l2 = a2.data.length; c2 < l2; c2++)
            d2[f2 = o2(a2.data[c2], t2, bi)] || (d2[f2] = []), d2[f2].push(a2.data[c2]);
      }
      h3 = 1;
      return h3 = n2 ? n2(h3) : h3;
    }, k.Reindex = function(e2) {
      return k.extend(this, e2);
    }, k.Reindex.prototype.toString = function() {
      return "REINDEX " + this.indexid;
    }, k.Reindex.prototype.execute = function(e2, t2, n2) {
      var r2 = bi.databases[e2], e2 = this.indexid, e2 = r2.indices[e2];
      r2.tables[e2].indexColumns();
      e2 = 1;
      return e2 = n2 ? n2(e2) : e2;
    }, k.DropIndex = function(e2) {
      return k.extend(this, e2);
    }, k.DropIndex.prototype.toString = function() {
      return "DROP INDEX" + this.indexid;
    }, k.DropIndex.prototype.compile = function(e2) {
      this.indexid;
      return function() {
        return 1;
      };
    }, k.WithSelect = function(e2) {
      return k.extend(this, e2);
    }, k.WithSelect.prototype.toString = function() {
      var e2 = "WITH ";
      return e2 += this.withs.map(function(e3) {
        return e3.name + " AS (" + e3.select.toString() + ")";
      }).join(",") + " ", e2 += this.select.toString();
    }, k.WithSelect.prototype.execute = function(n2, t2, r2) {
      var s2 = this, a2 = [];
      s2.withs.forEach(function(e2) {
        a2.push(bi.databases[n2].tables[e2.name]), (bi.databases[n2].tables[e2.name] = new O({ tableid: e2.name })).data = e2.select.execute(n2, t2);
      });
      return this.select.execute(n2, t2, function(e2) {
        return s2.withs.forEach(function(e3, t3) {
          a2[t3] ? bi.databases[n2].tables[e3.name] = a2[t3] : delete bi.databases[n2].tables[e3.name];
        }), e2 = r2 ? r2(e2) : e2;
      });
    }, k.If = function(e2) {
      return k.extend(this, e2);
    }, k.If.prototype.toString = function() {
      var e2 = "IF ";
      return e2 += this.expression.toString(), e2 += " " + this.thenstat.toString(), this.elsestat && (e2 += " ELSE " + this.thenstat.toString()), e2;
    }, k.If.prototype.execute = function(e2, t2, n2) {
      var r2;
      return new Function("params,alasql,p", "var y;return " + this.expression.toJS("({})", "", null)).bind(this)(t2, bi) ? r2 = this.thenstat.execute(e2, t2, n2) : this.elsestat ? r2 = this.elsestat.execute(e2, t2, n2) : n2 && (r2 = n2(r2)), r2;
    }, k.While = function(e2) {
      return k.extend(this, e2);
    }, k.While.prototype.toString = function() {
      var e2 = "WHILE ";
      return e2 += this.expression.toString(), e2 += " " + this.loopstat.toString();
    }, k.While.prototype.execute = function(t2, n2, r2) {
      var s2 = this, a2 = [], i2 = new Function("params,alasql,p", "var y;return " + this.expression.toJS());
      if (r2) {
        var o2 = false, u2 = function(e3) {
          o2 ? a2.push(e3) : o2 = true, setTimeout(function() {
            i2(n2, bi) ? s2.loopstat.execute(t2, n2, u2) : a2 = r2(a2);
          }, 0);
        };
        u2();
      } else
        for (; i2(n2, bi); ) {
          var e2 = s2.loopstat.execute(t2, n2);
          a2.push(e2);
        }
      return a2;
    }, k.Break = function(e2) {
      return k.extend(this, e2);
    }, k.Break.prototype.toString = function() {
      return "BREAK";
    }, k.Break.prototype.execute = function(e2, t2, n2, r2) {
      var s2 = 1;
      return s2 = n2 ? n2(s2) : s2;
    }, k.Continue = function(e2) {
      return k.extend(this, e2);
    }, k.Continue.prototype.toString = function() {
      return "CONTINUE";
    }, k.Continue.prototype.execute = function(e2, t2, n2, r2) {
      var s2 = 1;
      return s2 = n2 ? n2(s2) : s2;
    }, k.BeginEnd = function(e2) {
      return k.extend(this, e2);
    }, k.BeginEnd.prototype.toString = function() {
      return "BEGIN " + this.statements.toString() + " END";
    }, k.BeginEnd.prototype.execute = function(e2, n2, r2, t2) {
      var s2 = this, a2 = [], i2 = 0;
      return function t3() {
        s2.statements[i2].execute(e2, n2, function(e3) {
          return a2.push(e3), ++i2 < s2.statements.length ? t3() : void (r2 && (a2 = r2(a2)));
        });
      }(), a2;
    }, k.Insert = function(e2) {
      return k.extend(this, e2);
    }, k.Insert.prototype.toString = function() {
      var e2 = "INSERT ";
      return this.orreplace && (e2 += "OR REPLACE "), this.replaceonly && (e2 = "REPLACE "), e2 += "INTO " + this.into.toString(), this.columns && (e2 += "(" + this.columns.toString() + ")"), this.values && (e2 += " VALUES " + this.values.map(function(e3) {
        return "(" + e3.toString() + ")";
      }).join(",")), this.select && (e2 += " " + this.select.toString()), e2;
    }, k.Insert.prototype.toJS = function(e2, t2, n2) {
      return "this.queriesfn[" + (this.queriesidx - 1) + "](this.params,null," + e2 + ")";
    }, k.Insert.prototype.compile = function(a2) {
      var o2 = this;
      a2 = o2.into.databaseid || a2;
      var n2 = bi.databases[a2], u2 = o2.into.tableid, i2 = n2.tables[u2];
      if (!i2)
        throw "Table '" + u2 + "' could not be found";
      var r2, e2 = "", t2 = "", e2 = "db.tables['" + u2 + "'].dirty=true;", s2 = "var a,aa=[],x;";
      if (this.values) {
        this.exists && (this.existsfn = this.exists.map(function(e3) {
          e3 = e3.compile(a2);
          return e3.query.modifier = "RECORDSET", e3;
        })), this.queries && (this.queriesfn = this.queries.map(function(e3) {
          e3 = e3.compile(a2);
          return e3.query.modifier = "RECORDSET", e3;
        })), o2.values.forEach(function(r3) {
          var s3 = [];
          o2.columns ? o2.columns.forEach(function(e3, t3) {
            var n3 = "'" + e3.columnid + "':";
            i2.xcolumns && i2.xcolumns[e3.columnid] ? 0 <= ["INT", "FLOAT", "NUMBER", "MONEY"].indexOf(i2.xcolumns[e3.columnid].dbtypeid) ? n3 += "(x=" + r3[t3].toJS() + ",x==undefined?undefined:+x)" : bi.fn[i2.xcolumns[e3.columnid].dbtypeid] ? (n3 += "(new " + i2.xcolumns[e3.columnid].dbtypeid + "(", n3 += r3[t3].toJS(), n3 += "))") : n3 += r3[t3].toJS() : n3 += r3[t3].toJS(), s3.push(n3);
          }) : Array.isArray(r3) && i2.columns && 0 < i2.columns.length ? i2.columns.forEach(function(e3, t3) {
            var n3 = "'" + e3.columnid + "':";
            0 <= ["INT", "FLOAT", "NUMBER", "MONEY"].indexOf(e3.dbtypeid) ? n3 += "+" + r3[t3].toJS() : bi.fn[e3.dbtypeid] ? (n3 += "(new " + e3.dbtypeid + "(", n3 += r3[t3].toJS(), n3 += "))") : n3 += r3[t3].toJS(), s3.push(n3);
          }) : t2 = W(r3), n2.tables[u2].defaultfns && s3.unshift(n2.tables[u2].defaultfns), e2 += t2 ? "a=" + t2 + ";" : "a={" + s3.join(",") + "};", n2.tables[u2].isclass && (e2 += "var db=alasql.databases['" + a2 + "'];", e2 += 'a.$class="' + u2 + '";', e2 += "a.$id=db.counter++;", e2 += "db.objects[a.$id]=a;"), n2.tables[u2].insert ? (e2 += "var db=alasql.databases['" + a2 + "'];", e2 += "db.tables['" + u2 + "'].insert(a," + (o2.orreplace ? "true" : "false") + ");") : e2 += "aa.push(a);";
        }), r2 = s2 + e2, n2.tables[u2].insert || (e2 += "alasql.databases['" + a2 + "'].tables['" + u2 + "'].data=alasql.databases['" + a2 + "'].tables['" + u2 + "'].data.concat(aa);"), n2.tables[u2].insert && n2.tables[u2].isclass ? e2 += "return a.$id;" : e2 += "return " + o2.values.length;
        var c2 = new Function("db, params, alasql", "var y;" + s2 + e2).bind(this);
      } else if (this.select) {
        this.select.modifier = "RECORDSET";
        var l2 = this.select.compile(a2);
        if (n2.engineid && bi.engines[n2.engineid].intoTable)
          return function(e3, t3) {
            e3 = l2(e3);
            return bi.engines[n2.engineid].intoTable(n2.databaseid, u2, e3.data, null, t3);
          };
        var h3 = "return alasql.utils.extend(r,{" + i2.defaultfns + "})", d2 = new Function("r,db,params,alasql", h3), c2 = function(e3, t3, n3) {
          var r3 = l2(t3).data;
          if (e3.tables[u2].insert)
            for (var s3 = 0, a3 = r3.length; s3 < a3; s3++) {
              var i3 = m(r3[s3]);
              d2(i3, e3, t3, n3), e3.tables[u2].insert(i3, o2.orreplace);
            }
          else
            e3.tables[u2].data = e3.tables[u2].data.concat(r3);
          return n3.options.nocount ? void 0 : r3.length;
        };
      } else {
        if (!this.default)
          throw new Error("Wrong INSERT parameters");
        h3 = "db.tables['" + u2 + "'].data.push({" + i2.defaultfns + "});return 1;", c2 = new Function("db,params,alasql", h3);
      }
      return n2.engineid && bi.engines[n2.engineid].intoTable && bi.options.autocommit ? function(e3, t3) {
        e3 = new Function("db,params", "var y;" + r2 + "return aa;")(n2, e3);
        return bi.engines[n2.engineid].intoTable(n2.databaseid, u2, e3, null, t3);
      } : function(e3, t3) {
        var n3 = bi.databases[a2];
        bi.options.autocommit && n3.engineid && bi.engines[n3.engineid].loadTableData(a2, u2);
        e3 = c2(n3, e3, bi);
        return bi.options.autocommit && n3.engineid && bi.engines[n3.engineid].saveTableData(a2, u2), bi.options.nocount && (e3 = void 0), t3 && t3(e3), e3;
      };
    }, k.Insert.prototype.execute = function(e2, t2, n2) {
      return this.compile(e2)(t2, n2);
    }, k.CreateTrigger = function(e2) {
      return k.extend(this, e2);
    }, k.CreateTrigger.prototype.toString = function() {
      var e2 = "CREATE TRIGGER " + this.trigger + " ";
      return this.when && (e2 += this.when + " "), e2 += this.action + " ON ", this.table.databaseid && (e2 += this.table.databaseid + "."), e2 += this.table.tableid + " ", e2 += this.statement.toString();
    }, k.CreateTrigger.prototype.execute = function(e2, t2, n2) {
      var r2 = 1, s2 = this.trigger;
      e2 = this.table.databaseid || e2;
      var a2 = bi.databases[e2], i2 = this.table.tableid, e2 = { action: this.action, when: this.when, statement: this.statement, funcid: this.funcid, tableid: this.table.tableid };
      return "INSERT" == (a2.triggers[s2] = e2).action && "BEFORE" == e2.when ? a2.tables[i2].beforeinsert[s2] = e2 : "INSERT" == e2.action && "AFTER" == e2.when ? a2.tables[i2].afterinsert[s2] = e2 : "INSERT" == e2.action && "INSTEADOF" == e2.when ? a2.tables[i2].insteadofinsert[s2] = e2 : "DELETE" == e2.action && "BEFORE" == e2.when ? a2.tables[i2].beforedelete[s2] = e2 : "DELETE" == e2.action && "AFTER" == e2.when ? a2.tables[i2].afterdelete[s2] = e2 : "DELETE" == e2.action && "INSTEADOF" == e2.when ? a2.tables[i2].insteadofdelete[s2] = e2 : "UPDATE" == e2.action && "BEFORE" == e2.when ? a2.tables[i2].beforeupdate[s2] = e2 : "UPDATE" == e2.action && "AFTER" == e2.when ? a2.tables[i2].afterupdate[s2] = e2 : "UPDATE" == e2.action && "INSTEADOF" == e2.when && (a2.tables[i2].insteadofupdate[s2] = e2), r2 = n2 ? n2(r2) : r2;
    }, k.DropTrigger = function(e2) {
      return k.extend(this, e2);
    }, k.DropTrigger.prototype.toString = function() {
      return "DROP TRIGGER " + this.trigger;
    }, k.DropTrigger.prototype.execute = function(e2, t2, n2) {
      var r2 = 0, s2 = bi.databases[e2], a2 = this.trigger;
      if (!s2.triggers[a2])
        throw new Error("Trigger not found");
      e2 = s2.triggers[a2].tableid;
      if (!e2)
        throw new Error("Trigger Table not found");
      return r2 = 1, delete s2.tables[e2].beforeinsert[a2], delete s2.tables[e2].afterinsert[a2], delete s2.tables[e2].insteadofinsert[a2], delete s2.tables[e2].beforedelete[a2], delete s2.tables[e2].afterdelete[a2], delete s2.tables[e2].insteadofdelete[a2], delete s2.tables[e2].beforeupdate[a2], delete s2.tables[e2].afterupdate[a2], delete s2.tables[e2].insteadofupdate[a2], delete s2.triggers[a2], r2 = n2 ? n2(r2) : r2;
    }, k.Delete = function(e2) {
      return k.extend(this, e2);
    }, k.Delete.prototype.toString = function() {
      var e2 = "DELETE FROM " + this.table.toString();
      return this.where && (e2 += " WHERE " + this.where.toString()), e2;
    }, k.Delete.prototype.compile = function(c2) {
      c2 = this.table.databaseid || c2;
      var l2, h3 = this.table.tableid, d2 = bi.databases[c2];
      return this.where ? (this.exists && (this.existsfn = this.exists.map(function(e2) {
        e2 = e2.compile(c2);
        return e2.query.modifier = "RECORDSET", e2;
      })), this.queries && (this.queriesfn = this.queries.map(function(e2) {
        e2 = e2.compile(c2);
        return e2.query.modifier = "RECORDSET", e2;
      })), l2 = new Function("r,params,alasql", "var y;return (" + this.where.toJS("r", "") + ")").bind(this), function(e2, t2) {
        if (d2.engineid && bi.engines[d2.engineid].deleteFromTable)
          return bi.engines[d2.engineid].deleteFromTable(c2, h3, l2, e2, t2);
        bi.options.autocommit && d2.engineid && ("LOCALSTORAGE" == d2.engineid || "FILESTORAGE" == d2.engineid) && bi.engines[d2.engineid].loadTableData(c2, h3);
        for (var n2, r2 = d2.tables[h3], s2 = r2.data.length, a2 = [], i2 = 0, o2 = r2.data.length; i2 < o2; i2++)
          l2(r2.data[i2], e2, bi) ? r2.delete && r2.delete(i2, e2, bi) : a2.push(r2.data[i2]);
        for (n2 in r2.data = a2, r2.afterdelete) {
          var u2 = r2.afterdelete[n2];
          u2 && (u2.funcid ? bi.fn[u2.funcid]() : u2.statement && u2.statement.execute(c2));
        }
        s2 -= r2.data.length;
        return bi.options.autocommit && d2.engineid && ("LOCALSTORAGE" == d2.engineid || "FILESTORAGE" == d2.engineid) && bi.engines[d2.engineid].saveTableData(c2, h3), t2 && t2(s2), s2;
      }) : function(e2, t2) {
        bi.options.autocommit && d2.engineid && bi.engines[d2.engineid].loadTableData(c2, h3), d2.tables[h3].dirty = true;
        var n2, r2 = d2.tables[h3].data.length;
        for (n2 in d2.tables[h3].data.length = 0, d2.tables[h3].uniqs)
          d2.tables[h3].uniqs[n2] = {};
        for (n2 in d2.tables[h3].indices)
          d2.tables[h3].indices[n2] = {};
        return bi.options.autocommit && d2.engineid && bi.engines[d2.engineid].saveTableData(c2, h3), t2 && t2(r2), r2;
      };
    }, k.Delete.prototype.execute = function(e2, t2, n2) {
      return this.compile(e2)(t2, n2);
    }, k.Update = function(e2) {
      return k.extend(this, e2);
    }, k.Update.prototype.toString = function() {
      var e2 = "UPDATE " + this.table.toString();
      return this.columns && (e2 += " SET " + this.columns.toString()), this.where && (e2 += " WHERE " + this.where.toString()), e2;
    }, k.SetColumn = function(e2) {
      return k.extend(this, e2);
    }, k.SetColumn.prototype.toString = function() {
      return this.column.toString() + "=" + this.expression.toString();
    }, k.Update.prototype.compile = function(o2) {
      o2 = this.table.databaseid || o2;
      var u2, c2 = this.table.tableid;
      this.where && (this.exists && (this.existsfn = this.exists.map(function(e2) {
        e2 = e2.compile(o2);
        return e2.query.modifier = "RECORDSET", e2;
      })), this.queries && (this.queriesfn = this.queries.map(function(e2) {
        e2 = e2.compile(o2);
        return e2.query.modifier = "RECORDSET", e2;
      })), u2 = new Function("r,params,alasql", "var y;return " + this.where.toJS("r", "")).bind(this));
      var t2 = bi.databases[o2].tables[c2].onupdatefns || "";
      t2 += ";", this.columns.forEach(function(e2) {
        t2 += "r['" + e2.column.columnid + "']=" + e2.expression.toJS("r", "") + ";";
      });
      var l2 = new Function("r,params,alasql", "var y;" + t2);
      return function(e2, t3) {
        var n2 = bi.databases[o2];
        if (n2.engineid && bi.engines[n2.engineid].updateTable)
          return bi.engines[n2.engineid].updateTable(o2, c2, l2, u2, e2, t3);
        bi.options.autocommit && n2.engineid && bi.engines[n2.engineid].loadTableData(o2, c2);
        var r2 = n2.tables[c2];
        if (!r2)
          throw new Error("Table '" + c2 + "' not exists");
        for (var s2 = 0, a2 = 0, i2 = r2.data.length; a2 < i2; a2++)
          u2 && !u2(r2.data[a2], e2, bi) || (r2.update ? r2.update(l2, a2, e2) : l2(r2.data[a2], e2, bi), s2++);
        return bi.options.autocommit && n2.engineid && bi.engines[n2.engineid].saveTableData(o2, c2), t3 && t3(s2), s2;
      };
    }, k.Update.prototype.execute = function(e2, t2, n2) {
      return this.compile(e2)(t2, n2);
    }, k.Merge = function(e2) {
      return k.extend(this, e2);
    }, k.Merge.prototype.toString = function() {
      var t2 = "MERGE ";
      return t2 += this.into.tableid + " ", this.into.as && (t2 += "AS " + this.into.as + " "), t2 += "USING " + this.using.tableid + " ", this.using.as && (t2 += "AS " + this.using.as + " "), t2 += "ON " + this.on.toString() + " ", this.matches.forEach(function(e2) {
        t2 += "WHEN ", e2.matched || (t2 += "NOT "), t2 += "MATCHED ", e2.bytarget && (t2 += "BY TARGET "), e2.bysource && (t2 += "BY SOURCE "), e2.expr && (t2 += "AND " + e2.expr.toString() + " "), t2 += "THEN ", e2.action.delete && (t2 += "DELETE "), e2.action.insert && (t2 += "INSERT ", e2.action.columns && (t2 += "(" + e2.action.columns.toString() + ") "), e2.action.values && (t2 += "VALUES (" + e2.action.values.toString() + ") "), e2.action.defaultvalues && (t2 += "DEFAULT VALUES ")), e2.action.update && (t2 += "UPDATE ", t2 += e2.action.update.map(function(e3) {
          return e3.toString();
        }).join(",") + " ");
      }), t2;
    }, k.Merge.prototype.execute = function(e2, t2, n2) {
      var r2 = 1;
      return r2 = n2 ? n2(r2) : r2;
    }, k.CreateDatabase = function(e2) {
      return k.extend(this, e2);
    }, k.CreateDatabase.prototype.toString = function() {
      var e2 = "CREATE";
      return this.engineid && (e2 += " " + this.engineid), e2 += " DATABASE", this.ifnotexists && (e2 += " IF NOT EXISTS"), e2 += " " + this.databaseid, this.args && 0 < this.args.length && (e2 += "(" + this.args.map(function(e3) {
        return e3.toString();
      }).join(", ") + ")"), this.as && (e2 += " AS " + this.as), e2;
    }, k.CreateDatabase.prototype.execute = function(e2, t2, n2) {
      if (this.args && 0 < this.args.length && this.args.map(function(e3) {
        return new Function("params,alasql", "var y;return " + e3.toJS())(t2, bi);
      }), this.engineid)
        return s2 = bi.engines[this.engineid].createDatabase(this.databaseid, this.args, this.ifnotexists, this.as, n2);
      var r2 = this.databaseid;
      if (bi.databases[r2])
        throw new Error("Database '" + r2 + "' already exists");
      new bi.Database(r2);
      var s2 = 1;
      return n2 ? n2(s2) : s2;
    }, k.AttachDatabase = function(e2) {
      return k.extend(this, e2);
    }, k.AttachDatabase.prototype.toString = function(e2) {
      var t2 = "ATTACH";
      return this.engineid && (t2 += " " + this.engineid), t2 += " DATABASE " + this.databaseid, e2 && (t2 += "(", 0 < e2.length && (t2 += e2.map(function(e3) {
        return e3.toString();
      }).join(", ")), t2 += ")"), this.as && (t2 += " AS " + this.as), t2;
    }, k.AttachDatabase.prototype.execute = function(e2, t2, n2) {
      if (!bi.engines[this.engineid])
        throw new Error('Engine "' + this.engineid + '" is not defined.');
      return bi.engines[this.engineid].attachDatabase(this.databaseid, this.as, this.args, t2, n2);
    }, k.DetachDatabase = function(e2) {
      return k.extend(this, e2);
    }, k.DetachDatabase.prototype.toString = function() {
      var e2 = "DETACH";
      return e2 += " DATABASE " + this.databaseid;
    }, k.DetachDatabase.prototype.execute = function(e2, t2, n2) {
      if (!bi.databases[this.databaseid].engineid)
        throw new Error('Cannot detach database "' + this.engineid + '", because it was not attached.');
      var r2 = this.databaseid;
      if (r2 === bi.DEFAULTDATABASEID)
        throw new Error("Drop of default database is prohibited");
      if (bi.databases[r2]) {
        var s2 = bi.databases[r2].engineid && "FILESTORAGE" == bi.databases[r2].engineid, a2 = bi.databases[r2].filename || "";
        delete bi.databases[r2], s2 && (bi.databases[r2] = {}, bi.databases[r2].isDetached = true, bi.databases[r2].filename = a2), r2 === bi.useid && bi.use(), a2 = 1;
      } else {
        if (!this.ifexists)
          throw new Error("Database '" + r2 + "' does not exist");
        a2 = 0;
      }
      return n2 && n2(a2), a2;
    }, k.UseDatabase = function(e2) {
      return k.extend(this, e2);
    }, k.UseDatabase.prototype.toString = function() {
      return "USE DATABASE " + this.databaseid;
    }, k.UseDatabase.prototype.execute = function(e2, t2, n2) {
      var r2 = this.databaseid;
      if (!bi.databases[r2])
        throw new Error("Database '" + r2 + "' does not exist");
      bi.use(r2);
      return n2 && n2(1), 1;
    }, k.DropDatabase = function(e2) {
      return k.extend(this, e2);
    }, k.DropDatabase.prototype.toString = function() {
      var e2 = "DROP";
      return this.ifexists && (e2 += " IF EXISTS"), e2 += " DATABASE " + this.databaseid;
    }, k.DropDatabase.prototype.execute = function(e2, t2, n2) {
      if (this.engineid)
        return bi.engines[this.engineid].dropDatabase(this.databaseid, this.ifexists, n2);
      var r2, s2 = this.databaseid;
      if (s2 === bi.DEFAULTDATABASEID)
        throw new Error("Drop of default database is prohibited");
      if (bi.databases[s2]) {
        if (bi.databases[s2].engineid)
          throw new Error("Cannot drop database '" + s2 + "', because it is attached. Detach it.");
        delete bi.databases[s2], s2 === bi.useid && bi.use(), r2 = 1;
      } else {
        if (!this.ifexists)
          throw new Error("Database '" + s2 + "' does not exist");
        r2 = 0;
      }
      return n2 && n2(r2), r2;
    }, k.Declare = function(e2) {
      return k.extend(this, e2);
    }, k.Declare.prototype.toString = function() {
      var e2 = "DECLARE ";
      return e2 = this.declares && 0 < this.declares.length ? this.declares.map(function(e3) {
        var t2 = "";
        return t2 += "@" + e3.variable + " ", t2 += e3.dbtypeid, this.dbsize && (t2 += "(" + this.dbsize, this.dbprecision && (t2 += "," + this.dbprecision), t2 += ")"), e3.expression && (t2 += " = " + e3.expression.toString()), t2;
      }).join(",") : e2;
    }, k.Declare.prototype.execute = function(e2, n2, t2) {
      var r2 = 1;
      return this.declares && 0 < this.declares.length && this.declares.map(function(e3) {
        var t3 = e3.dbtypeid;
        bi.fn[t3] || (t3 = t3.toUpperCase()), bi.declares[e3.variable] = { dbtypeid: t3, dbsize: e3.dbsize, dbprecision: e3.dbprecision }, e3.expression && (bi.vars[e3.variable] = new Function("params,alasql", "return " + e3.expression.toJS("({})", "", null))(n2, bi), bi.declares[e3.variable] && (bi.vars[e3.variable] = bi.stdfn.CONVERT(bi.vars[e3.variable], bi.declares[e3.variable])));
      }), r2 = t2 ? t2(r2) : r2;
    }, k.ShowDatabases = function(e2) {
      return k.extend(this, e2);
    }, k.ShowDatabases.prototype.toString = function() {
      var e2 = "SHOW DATABASES";
      return this.like && (e2 += "LIKE " + this.like.toString()), e2;
    }, k.ShowDatabases.prototype.execute = function(e2, t2, n2) {
      if (this.engineid)
        return bi.engines[this.engineid].showDatabases(this.like, n2);
      var r2, s2 = this, a2 = [];
      for (r2 in bi.databases)
        a2.push({ databaseid: r2 });
      return s2.like && a2 && 0 < a2.length && (a2 = a2.filter(function(e3) {
        return bi.utils.like(s2.like.value, e3.databaseid);
      })), n2 && n2(a2), a2;
    }, k.ShowTables = function(e2) {
      return k.extend(this, e2);
    }, k.ShowTables.prototype.toString = function() {
      var e2 = "SHOW TABLES";
      return this.databaseid && (e2 += " FROM " + this.databaseid), this.like && (e2 += " LIKE " + this.like.toString()), e2;
    }, k.ShowTables.prototype.execute = function(e2, t2, n2) {
      var r2, e2 = bi.databases[this.databaseid || e2], s2 = this, a2 = [];
      for (r2 in e2.tables)
        a2.push({ tableid: r2 });
      return s2.like && a2 && 0 < a2.length && (a2 = a2.filter(function(e3) {
        return bi.utils.like(s2.like.value, e3.tableid);
      })), n2 && n2(a2), a2;
    }, k.ShowColumns = function(e2) {
      return k.extend(this, e2);
    }, k.ShowColumns.prototype.toString = function() {
      var e2 = "SHOW COLUMNS";
      return this.table.tableid && (e2 += " FROM " + this.table.tableid), this.databaseid && (e2 += " FROM " + this.databaseid), e2;
    }, k.ShowColumns.prototype.execute = function(e2, t2, n2) {
      e2 = bi.databases[this.databaseid || e2].tables[this.table.tableid];
      if (e2 && e2.columns) {
        e2 = e2.columns.map(function(e3) {
          return { columnid: e3.columnid, dbtypeid: e3.dbtypeid, dbsize: e3.dbsize };
        });
        return n2 && n2(e2), e2;
      }
      return n2 && n2([]), [];
    }, k.ShowIndex = function(e2) {
      return k.extend(this, e2);
    }, k.ShowIndex.prototype.toString = function() {
      var e2 = "SHOW INDEX";
      return this.table.tableid && (e2 += " FROM " + this.table.tableid), this.databaseid && (e2 += " FROM " + this.databaseid), e2;
    }, k.ShowIndex.prototype.execute = function(e2, t2, n2) {
      var r2 = bi.databases[this.databaseid || e2].tables[this.table.tableid], s2 = [];
      if (r2 && r2.indices)
        for (var a2 in r2.indices)
          s2.push({ hh: a2, len: Object.keys(r2.indices[a2]).length });
      return n2 && n2(s2), s2;
    }, k.ShowCreateTable = function(e2) {
      return k.extend(this, e2);
    }, k.ShowCreateTable.prototype.toString = function() {
      var e2 = "SHOW CREATE TABLE " + this.table.tableid;
      return this.databaseid && (e2 += " FROM " + this.databaseid), e2;
    }, k.ShowCreateTable.prototype.execute = function(e2) {
      var t2 = bi.databases[this.databaseid || e2].tables[this.table.tableid];
      if (t2) {
        var e2 = "CREATE TABLE " + this.table.tableid + " (", n2 = [];
        return t2.columns && (t2.columns.forEach(function(e3) {
          var t3 = e3.columnid + " " + e3.dbtypeid;
          e3.dbsize && (t3 += "(" + e3.dbsize + ")"), e3.primarykey && (t3 += " PRIMARY KEY"), n2.push(t3);
        }), e2 += n2.join(", ")), e2 += ")";
      }
      throw new Error('There is no such table "' + this.table.tableid + '"');
    }, k.SetVariable = function(e2) {
      return k.extend(this, e2);
    }, k.SetVariable.prototype.toString = function() {
      var e2 = "SET ";
      return void 0 !== this.value && (e2 += this.variable.toUpperCase() + " " + (this.value ? "ON" : "OFF")), this.expression && (e2 += this.method + this.variable + " = " + this.expression.toString()), e2;
    }, k.SetVariable.prototype.execute = function(t2, e2, n2) {
      var r2;
      void 0 !== this.value ? ("ON" == (r2 = this.value) ? r2 = true : "OFF" == r2 && (r2 = false), bi.options[this.variable] = r2) : this.expression && (this.exists && (this.existsfn = this.exists.map(function(e3) {
        e3 = e3.compile(t2);
        return e3.query && !e3.query.modifier && (e3.query.modifier = "RECORDSET"), e3;
      })), this.queries && (this.queriesfn = this.queries.map(function(e3) {
        e3 = e3.compile(t2);
        return e3.query && !e3.query.modifier && (e3.query.modifier = "RECORDSET"), e3;
      })), s2 = new Function("params,alasql", "return " + this.expression.toJS("({})", "", null)).bind(this)(e2, bi), bi.declares[this.variable] && (s2 = bi.stdfn.CONVERT(s2, bi.declares[this.variable])), this.props && 0 < this.props.length ? (r2 = "@" == this.method ? "alasql.vars['" + this.variable + "']" : "params['" + this.variable + "']", r2 += this.props.map(function(e3) {
        return "string" == typeof e3 ? "['" + e3 + "']" : "number" == typeof e3 ? "[" + e3 + "]" : "[" + e3.toJS() + "]";
      }).join(), new Function("value,params,alasql", "var y;" + r2 + "=value")(s2, e2, bi)) : "@" == this.method ? bi.vars[this.variable] = s2 : e2[this.variable] = s2);
      var s2 = 1;
      return s2 = n2 ? n2(s2) : s2;
    }, bi.test = function(e2, t2, n2) {
      if (0 !== arguments.length) {
        var r2 = Date.now();
        if (1 === arguments.length)
          return n2(), void bi.con.log(Date.now() - r2);
        2 === arguments.length && (n2 = t2, t2 = 1);
        for (var s2 = 0; s2 < t2; s2++)
          n2();
        bi.con.results[e2] = Date.now() - r2;
      } else
        bi.log(bi.con.results);
    }, bi.log = function(e2, t2) {
      var n2, r2 = bi.useid, s2 = bi.options.logtarget;
      if (c.isNode && (s2 = "console"), n2 = "string" == typeof e2 ? bi(e2, t2) : e2, "console" === s2 || c.isNode)
        "string" == typeof e2 && bi.options.logprompt && console.log(r2 + ">", e2), Array.isArray(n2) && console.table ? console.table(n2) : console.log(Y(n2));
      else {
        var s2 = "output" === s2 ? document.getElementsByTagName("output")[0] : "string" == typeof s2 ? document.getElementById(s2) : s2, a2 = "";
        if ("string" == typeof e2 && bi.options.logprompt && (a2 += "<pre><code>" + bi.pretty(e2) + "</code></pre>"), Array.isArray(n2))
          if (0 === n2.length)
            a2 += "<p>[ ]</p>";
          else if ("object" != typeof n2[0] || Array.isArray(n2[0]))
            for (var i2 = 0, o2 = n2.length; i2 < o2; i2++)
              a2 += "<p>" + K(n2[i2]) + "</p>";
          else
            a2 += K(n2);
        else
          a2 += K(n2);
        s2.innerHTML += a2;
      }
    }, bi.clear = function() {
      var e2 = bi.options.logtarget;
      c.isNode || c.isMeteorServer ? console.clear && console.clear() : ("output" === e2 ? document.getElementsByTagName("output")[0] : "string" == typeof e2 ? document.getElementById(e2) : e2).innerHTML = "";
    }, bi.write = function(e2) {
      var t2 = bi.options.logtarget;
      c.isNode || c.isMeteorServer ? console.log && console.log(e2) : ("output" === t2 ? document.getElementsByTagName("output")[0] : "string" == typeof t2 ? document.getElementById(t2) : t2).innerHTML += e2;
    }, bi.prompt = function(s2, a2, t2) {
      if (c.isNode)
        throw new Error("The prompt not realized for Node.js");
      var i2 = 0;
      if ("string" == typeof s2 && (s2 = document.getElementById(s2)), (a2 = "string" == typeof a2 ? document.getElementById(a2) : a2).textContent = bi.useid, t2) {
        bi.prompthistory.push(t2), i2 = bi.prompthistory.length;
        try {
          var e2 = Date.now();
          bi.log(t2), bi.write('<p style="color:blue">' + (Date.now() - e2) + " ms</p>");
        } catch (e3) {
          bi.write("<p>" + bi.useid + "&gt;&nbsp;<b>" + t2 + "</b></p>"), bi.write('<p style="color:red">' + e3 + "<p>");
        }
      }
      var n2 = s2.getBoundingClientRect().top + document.getElementsByTagName("body")[0].scrollTop;
      Q(document.getElementsByTagName("body")[0], n2, 500), s2.onkeydown = function(e3) {
        if (13 === e3.which) {
          var t3 = s2.value, n3 = bi.useid;
          s2.value = "", bi.prompthistory.push(t3), i2 = bi.prompthistory.length;
          try {
            var r2 = Date.now();
            bi.log(t3), bi.write('<p style="color:blue">' + (Date.now() - r2) + " ms</p>");
          } catch (e4) {
            bi.write("<p>" + n3 + "&gt;&nbsp;" + bi.pretty(t3, false) + "</p>"), bi.write('<p style="color:red">' + e4 + "<p>");
          }
          s2.focus(), a2.textContent = bi.useid;
          n3 = s2.getBoundingClientRect().top + document.getElementsByTagName("body")[0].scrollTop;
          Q(document.getElementsByTagName("body")[0], n3, 500);
        } else
          38 === e3.which ? (--i2 < 0 && (i2 = 0), bi.prompthistory[i2] && (s2.value = bi.prompthistory[i2], e3.preventDefault())) : 40 === e3.which && (++i2 >= bi.prompthistory.length ? (i2 = bi.prompthistory.length, s2.value = "") : bi.prompthistory[i2] && (s2.value = bi.prompthistory[i2], e3.preventDefault()));
      };
    }, k.BeginTransaction = function(e2) {
      return k.extend(this, e2);
    }, k.BeginTransaction.prototype.toString = function() {
      return "BEGIN TRANSACTION";
    }, k.BeginTransaction.prototype.execute = function(e2, t2, n2) {
      return bi.databases[e2].engineid ? bi.engines[bi.databases[bi.useid].engineid].begin(e2, n2) : (n2 && n2(1), 1);
    }, k.CommitTransaction = function(e2) {
      return k.extend(this, e2);
    }, k.CommitTransaction.prototype.toString = function() {
      return "COMMIT TRANSACTION";
    }, k.CommitTransaction.prototype.execute = function(e2, t2, n2) {
      return bi.databases[e2].engineid ? bi.engines[bi.databases[bi.useid].engineid].commit(e2, n2) : (n2 && n2(1), 1);
    }, k.RollbackTransaction = function(e2) {
      return k.extend(this, e2);
    }, k.RollbackTransaction.prototype.toString = function() {
      return "ROLLBACK TRANSACTION";
    }, k.RollbackTransaction.prototype.execute = function(e2, t2, n2) {
      return bi.databases[e2].engineid ? bi.engines[bi.databases[e2].engineid].rollback(e2, n2) : (n2 && n2(1), 1);
    }, bi.options.tsql && (bi.stdfn.OBJECT_ID = function(e2, t2) {
      t2 = (t2 = void 0 === t2 ? "T" : t2).toUpperCase();
      var e2 = e2.split("."), n2 = bi.useid, r2 = e2[0];
      2 == e2.length && (n2 = e2[0], r2 = e2[1]);
      var s2, a2 = bi.databases[n2].tables, n2 = bi.databases[n2].databaseid;
      for (s2 in a2)
        if (s2 == r2)
          return (!a2[s2].view || "V" != t2) && (a2[s2].view || "T" != t2) ? void 0 : n2 + "." + s2;
    }), bi.options.mysql, (bi.options.mysql || bi.options.sqlite) && (bi.from.INFORMATION_SCHEMA = function(e2, t2, n2, r2, s2) {
      if ("VIEWS" != e2 && "TABLES" != e2)
        throw new Error("Unknown INFORMATION_SCHEMA table");
      var a2, i2 = [];
      for (a2 in bi.databases) {
        var o2, u2 = bi.databases[a2].tables;
        for (o2 in u2)
          (u2[o2].view && "VIEWS" == e2 || !u2[o2].view && "TABLES" == e2) && i2.push({ TABLE_CATALOG: a2, TABLE_NAME: o2 });
      }
      return i2 = n2 ? n2(i2, r2, s2) : i2;
    }), bi.options.postgres, bi.options.oracle, bi.options.sqlite, bi.into.SQL = function(e2, t2, n2, r2, s2) {
      "object" == typeof e2 && (t2 = e2, e2 = void 0);
      var a2 = {};
      if (bi.utils.extend(a2, t2), void 0 === a2.tableid)
        throw new Error("Table for INSERT TO is not defined.");
      var i2 = "";
      0 === r2.length && "object" == typeof n2[0] && (r2 = Object.keys(n2[0]).map(function(e3) {
        return { columnid: e3 };
      }));
      for (var o2 = 0, u2 = n2.length; o2 < u2; o2++)
        i2 += "INSERT INTO " + t2.tableid + "(", i2 += r2.map(function(e3) {
          return e3.columnid;
        }).join(","), i2 += ") VALUES (", i2 += r2.map(function(e3) {
          var t3 = n2[o2][e3.columnid];
          return e3.typeid ? "STRING" !== e3.typeid && "VARCHAR" !== e3.typeid && "NVARCHAR" !== e3.typeid && "CHAR" !== e3.typeid && "NCHAR" !== e3.typeid || (t3 = "'" + d(t3) + "'") : "string" == typeof t3 && (t3 = "'" + d(t3) + "'"), t3;
        }), i2 += ");\n";
      return e2 = bi.utils.autoExtFilename(e2, "sql", t2), e2 = bi.utils.saveFile(e2, i2), e2 = s2 ? s2(e2) : e2;
    }, bi.into.HTML = function(e2, t2, n2, r2, s2) {
      var a2 = 1;
      return a2 = s2 ? s2(a2) : a2;
    }, bi.into.JSON = function(e2, t2, n2, r2, s2) {
      var a2 = 1;
      "object" == typeof e2 && (t2 = e2, e2 = void 0);
      n2 = JSON.stringify(n2);
      return e2 = bi.utils.autoExtFilename(e2, "json", t2), a2 = bi.utils.saveFile(e2, n2), a2 = s2 ? s2(a2) : a2;
    }, bi.into.TXT = function(e2, t2, n2, r2, s2) {
      0 === r2.length && 0 < n2.length && (r2 = Object.keys(n2[0]).map(function(e3) {
        return { columnid: e3 };
      })), "object" == typeof e2 && (t2 = e2, e2 = void 0);
      var a2, i2 = n2.length, o2 = "";
      return 0 < n2.length && (a2 = r2[0].columnid, o2 += n2.map(function(e3) {
        return e3[a2];
      }).join("\n")), e2 = bi.utils.autoExtFilename(e2, "txt", t2), i2 = bi.utils.saveFile(e2, o2), i2 = s2 ? s2(i2) : i2;
    }, bi.into.TAB = bi.into.TSV = function(e2, t2, n2, r2, s2) {
      var a2 = {};
      return bi.utils.extend(a2, t2), a2.separator = "	", e2 = bi.utils.autoExtFilename(e2, "tab", t2), a2.autoExt = false, bi.into.CSV(e2, a2, n2, r2, s2);
    }, bi.into.CSV = function(e2, t2, n2, r2, s2) {
      0 === r2.length && 0 < n2.length && (r2 = Object.keys(n2[0]).map(function(e3) {
        return { columnid: e3 };
      })), "object" == typeof e2 && (t2 = e2, e2 = void 0);
      var a2 = { headers: true, separator: ";", quote: '"', utf8Bom: true };
      t2 && !t2.headers && void 0 !== t2.headers && (a2.utf8Bom = false), bi.utils.extend(a2, t2);
      var i2 = n2.length, o2 = a2.utf8Bom ? "\uFEFF" : "";
      return a2.headers && (o2 += a2.quote + r2.map(function(e3) {
        return e3.columnid.trim();
      }).join(a2.quote + a2.separator + a2.quote) + a2.quote + "\r\n"), n2.forEach(function(t3) {
        o2 += r2.map(function(e3) {
          e3 = t3[e3.columnid];
          return e3 = +(e3 = "" !== a2.quote ? (e3 + "").replace(new RegExp("\\" + a2.quote, "g"), a2.quote + a2.quote) : e3) != e3 ? a2.quote + e3 + a2.quote : e3;
        }).join(a2.separator) + "\r\n";
      }), e2 = bi.utils.autoExtFilename(e2, "csv", t2), i2 = bi.utils.saveFile(e2, o2, null, { disableAutoBom: true }), i2 = s2 ? s2(i2) : i2;
    }, bi.into.XLS = function(e2, l2, t2, n2, r2) {
      "object" == typeof e2 && (l2 = e2, e2 = void 0);
      var s2 = {};
      l2 && l2.sheets && (s2 = l2.sheets);
      var h3 = { headers: true };
      void 0 !== s2.Sheet1 ? h3 = s2[0] : void 0 !== l2 && (h3 = l2), void 0 === h3.sheetid && (h3.sheetid = "Sheet1");
      s2 = function() {
        var c2 = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" 		xmlns="http://www.w3.org/TR/REC-html40"><head> 		<meta charset="utf-8" /> 		<!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets> ';
        c2 += " <x:ExcelWorksheet><x:Name>" + h3.sheetid + "</x:Name><x:WorksheetOptions><x:DisplayGridlines/>     </x:WorksheetOptions> 		</x:ExcelWorksheet>", c2 += "</x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--></head>", c2 += "<body", void 0 !== h3.style && (c2 += ' style="', "function" == typeof h3.style ? c2 += h3.style(h3) : c2 += h3.style, c2 += '"');
        {
          var e3;
          c2 += ">", c2 += "<table>", void 0 !== h3.caption && (e3 = h3.caption, c2 += "<caption", void 0 !== (e3 = "string" == typeof e3 ? { title: e3 } : e3).style && (c2 += ' style="', "function" == typeof e3.style ? c2 += e3.style(h3, e3) : c2 += e3.style, c2 += '" '), c2 += ">", c2 += e3.title, c2 += "</caption>");
        }
        void 0 !== h3.columns ? n2 = h3.columns : 0 == n2.length && 0 < t2.length && "object" == typeof t2[0] && (n2 = Array.isArray(t2[0]) ? t2[0].map(function(e4, t3) {
          return { columnid: t3 };
        }) : Object.keys(t2[0]).map(function(e4) {
          return { columnid: e4 };
        }));
        n2.forEach(function(e4, t3) {
          void 0 !== h3.column && y(e4, h3.column), void 0 === e4.width && (h3.column && "undefined" != h3.column.width ? e4.width = h3.column.width : e4.width = "120px"), "number" == typeof e4.width && (e4.width = e4.width + "px"), void 0 === e4.columnid && (e4.columnid = t3), void 0 === e4.title && (e4.title = "" + e4.columnid.trim()), h3.headers && Array.isArray(h3.headers) && (e4.title = h3.headers[t3]);
        }), c2 += "<colgroups>", n2.forEach(function(e4) {
          c2 += '<col style="width: ' + e4.width + '"></col>';
        }), c2 += "</colgroups>", h3.headers && (c2 += "<thead>", c2 += "<tr>", n2.forEach(function(e4, t3) {
          c2 += "<th ", void 0 !== e4.style && (c2 += ' style="', "function" == typeof e4.style ? c2 += e4.style(h3, e4, t3) : c2 += e4.style, c2 += '" '), c2 += ">", void 0 !== e4.title && ("function" == typeof e4.title ? c2 += e4.title(h3, e4, t3) : c2 += e4.title), c2 += "</th>";
        }), c2 += "</tr>", c2 += "</thead>");
        c2 += "<tbody>", t2 && 0 < t2.length && t2.forEach(function(i2, o2) {
          var u2;
          o2 > h3.limit || (c2 += "<tr", y(u2 = {}, h3.row), h3.rows && h3.rows[o2] && y(u2, h3.rows[o2]), void 0 !== u2 && void 0 !== u2.style && (c2 += ' style="', "function" == typeof u2.style ? c2 += u2.style(h3, i2, o2) : c2 += u2.style, c2 += '" '), c2 += ">", n2.forEach(function(e4, t3) {
            var n3 = {};
            y(n3, h3.cell), y(n3, u2.cell), void 0 !== h3.column && y(n3, h3.column.cell), y(n3, e4.cell), h3.cells && h3.cells[o2] && h3.cells[o2][t3] && y(n3, h3.cells[o2][t3]);
            var r3 = i2[e4.columnid];
            "function" == typeof n3.value && (r3 = n3.value(r3, h3, i2, e4, n3, o2, t3));
            var s3 = n3.typeid;
            void 0 === (s3 = "function" == typeof s3 ? s3(r3, h3, i2, e4, n3, o2, t3) : s3) && ("number" == typeof r3 ? s3 = "number" : "string" == typeof r3 ? s3 = "string" : "boolean" == typeof r3 ? s3 = "boolean" : "object" == typeof r3 && r3 instanceof Date && (s3 = "date"));
            var a2 = "";
            "money" == s3 ? a2 = 'mso-number-format:"\\#\\,\\#\\#0\\\\ _\u0440_\\.";white-space:normal;' : "number" == s3 ? a2 = " " : "date" == s3 ? a2 = 'mso-number-format:"Short Date";' : l2.types && l2.types[s3] && l2.types[s3].typestyle && (a2 = l2.types[s3].typestyle), c2 += "<td style='" + (a2 = a2 || 'mso-number-format:"\\@";') + "' ", void 0 !== n3.style && (c2 += ' style="', "function" == typeof n3.style ? c2 += n3.style(r3, h3, i2, e4, o2, t3) : c2 += n3.style, c2 += '" '), c2 += ">";
            n3 = n3.format;
            if (void 0 === r3)
              c2 += "";
            else if (void 0 !== n3)
              if ("function" == typeof n3)
                c2 += n3(r3);
              else {
                if ("string" != typeof n3)
                  throw new Error("Unknown format type. Should be function or string");
                c2 += r3;
              }
            else
              c2 += "number" == s3 || "date" == s3 ? r3.toString() : "money" == s3 ? (+r3).toFixed(2) : r3;
            c2 += "</td>";
          }), c2 += "</tr>");
        });
        return c2 += "</tbody>", c2 += "</table>", c2 += "</body>", c2 += "</html>";
      }();
      e2 = bi.utils.autoExtFilename(e2, "xls", l2);
      s2 = bi.utils.saveFile(e2, s2);
      return s2 = r2 ? r2(s2) : s2;
    }, bi.into.XLSXML = function(e2, f2, t2, n2, r2) {
      f2 = f2 || {}, "object" == typeof e2 && (f2 = e2, e2 = void 0);
      var u2, c2 = {}, p2 = f2 && f2.sheets ? (c2 = f2.sheets, u2 = t2, n2) : (c2.Sheet1 = f2, u2 = [t2], [n2]);
      e2 = bi.utils.autoExtFilename(e2, "xls", f2);
      e2 = bi.utils.saveFile(e2, function() {
        var a2 = "", l2 = " </Styles>", i2 = {}, o2 = 62;
        function h3(e4) {
          var t4, n4 = "";
          for (t4 in e4) {
            for (var r4 in n4 += "<" + t4, e4[t4])
              n4 += " ", "x:" == r4.substr(0, 2) ? n4 += r4 : n4 += "ss:", n4 += r4 + '="' + e4[t4][r4] + '"';
            n4 += "/>";
          }
          var s3 = b(n4);
          return i2[s3] || (i2[s3] = { styleid: o2 }, a2 += '<Style ss:ID="s' + o2 + '">', a2 += n4, a2 += "</Style>", o2++), "s" + i2[s3].styleid;
        }
        var e3, t3 = 0;
        for (e3 in c2) {
          var d2 = c2[e3], n3 = void 0 !== d2.dataidx ? d2.dataidx : t3++, r3 = function(t4) {
            try {
              return Object.values(t4);
            } catch (e4) {
              return Object.keys(t4).map(function(e5) {
                return t4[e5];
              });
            }
          }(u2[n3]), s2 = void 0;
          void 0 !== d2.columns ? s2 = d2.columns : (void 0 === (s2 = p2[n3]) || 0 == s2.length && 0 < r3.length) && "object" == typeof r3[0] && (s2 = Array.isArray(r3[0]) ? r3[0].map(function(e4, t4) {
            return { columnid: t4 };
          }) : Object.keys(r3[0]).map(function(e4) {
            return { columnid: e4 };
          })), s2.forEach(function(e4, t4) {
            void 0 !== d2.column && y(e4, d2.column), void 0 === e4.width && (d2.column && void 0 !== d2.column.width ? e4.width = d2.column.width : e4.width = 120), "number" == typeof e4.width && (e4.width = e4.width), void 0 === e4.columnid && (e4.columnid = t4), void 0 === e4.title && (e4.title = "" + e4.columnid.trim()), d2.headers && Array.isArray(d2.headers) && (e4.title = d2.headers[t4]);
          }), l2 += '<Worksheet ss:Name="' + e3 + '"> 	  			<Table ss:ExpandedColumnCount="' + s2.length + '" ss:ExpandedRowCount="' + ((d2.headers ? 1 : 0) + Math.min(r3.length, d2.limit || r3.length)) + '" x:FullColumns="1" 	   			x:FullRows="1" ss:DefaultColumnWidth="65" ss:DefaultRowHeight="15">', s2.forEach(function(e4, t4) {
            l2 += '<Column ss:Index="' + (t4 + 1) + '" ss:AutoFitWidth="0" ss:Width="' + e4.width + '"/>';
          }), d2.headers && (l2 += '<Row ss:AutoFitHeight="0">', s2.forEach(function(e4, t4) {
            var n4;
            l2 += "<Cell ", void 0 !== e4.style && (n4 = {}, "function" == typeof e4.style ? y(n4, e4.style(d2, e4, t4)) : y(n4, e4.style), l2 += 'ss:StyleID="' + h3(n4) + '"'), l2 += '><Data ss:Type="String">', void 0 !== e4.title && ("function" == typeof e4.title ? l2 += e4.title(d2, e4, t4) : l2 += e4.title), l2 += "</Data></Cell>";
          }), l2 += "</Row>"), r3 && 0 < r3.length && r3.forEach(function(o3, u3) {
            var c3, e4;
            u3 > d2.limit || (y(c3 = {}, d2.row), d2.rows && d2.rows[u3] && y(c3, d2.rows[u3]), l2 += "<Row ", void 0 !== c3 && (e4 = {}, void 0 !== c3.style && ("function" == typeof c3.style ? y(e4, c3.style(d2, o3, u3)) : y(e4, c3.style), l2 += 'ss:StyleID="' + h3(e4) + '"')), l2 += ">", s2.forEach(function(e5, t4) {
              var n4 = {};
              y(n4, d2.cell), y(n4, c3.cell), void 0 !== d2.column && y(n4, d2.column.cell), y(n4, e5.cell), d2.cells && d2.cells[u3] && d2.cells[u3][t4] && y(n4, d2.cells[u3][t4]);
              var r4 = o3[e5.columnid];
              "function" == typeof n4.value && (r4 = n4.value(r4, d2, o3, e5, n4, u3, t4));
              var s3 = n4.typeid;
              void 0 === (s3 = "function" == typeof s3 ? s3(r4, d2, o3, e5, n4, u3, t4) : s3) && ("number" == typeof r4 ? s3 = "number" : "string" == typeof r4 ? s3 = "string" : "boolean" == typeof r4 ? s3 = "boolean" : "object" == typeof r4 && r4 instanceof Date && (s3 = "date"));
              var a3 = "String";
              "number" == s3 ? a3 = "Number" : "date" == s3 && (a3 = "Date");
              var i3 = "";
              "money" == s3 ? i3 = 'mso-number-format:"\\#\\,\\#\\#0\\\\ _\u0440_\\.";white-space:normal;' : "number" == s3 ? i3 = " " : "date" == s3 ? i3 = 'mso-number-format:"Short Date";' : f2.types && f2.types[s3] && f2.types[s3].typestyle && (i3 = f2.types[s3].typestyle), i3 = i3 || 'mso-number-format:"\\@";', l2 += "<Cell ";
              i3 = {};
              void 0 !== n4.style && ("function" == typeof n4.style ? y(i3, n4.style(r4, d2, o3, e5, u3, t4)) : y(i3, n4.style), l2 += 'ss:StyleID="' + h3(i3) + '"'), l2 += ">", l2 += '<Data ss:Type="' + a3 + '">';
              n4 = n4.format;
              if (void 0 === r4)
                l2 += "";
              else if (void 0 !== n4)
                if ("function" == typeof n4)
                  l2 += n4(r4);
                else {
                  if ("string" != typeof n4)
                    throw new Error("Unknown format type. Should be function or string");
                  l2 += r4;
                }
              else
                l2 += "number" == s3 || "date" == s3 ? r4.toString() : "money" == s3 ? (+r4).toFixed(2) : r4;
              l2 += "</Data></Cell>";
            }), l2 += "</Row>");
          }), l2 += "</Table></Worksheet>";
        }
        return '<?xml version="1.0"?> 		<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet" 		 xmlns:o="urn:schemas-microsoft-com:office:office" 		 xmlns:x="urn:schemas-microsoft-com:office:excel" 		 xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" 		 xmlns:html="http://www.w3.org/TR/REC-html40"> 		 <DocumentProperties xmlns="urn:schemas-microsoft-com:office:office"> 		 </DocumentProperties> 		 <OfficeDocumentSettings xmlns="urn:schemas-microsoft-com:office:office"> 		  <AllowPNG/> 		 </OfficeDocumentSettings> 		 <ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel"> 		  <ActiveSheet>0</ActiveSheet> 		 </ExcelWorkbook> 		 <Styles> 		  <Style ss:ID="Default" ss:Name="Normal"> 		   <Alignment ss:Vertical="Bottom"/> 		   <Borders/> 		   <Font ss:FontName="Calibri" x:Family="Swiss" ss:Size="12" ss:Color="#000000"/> 		   <Interior/> 		   <NumberFormat/> 		   <Protection/> 		  </Style>' + a2 + (l2 += "</Workbook>");
      }());
      return e2 = r2 ? r2(e2) : e2;
    }, bi.into.XLSX = function(t2, n2, e2, r2, s2) {
      var a2 = 1;
      n2 = n2 || {}, A(r2, [{ columnid: "_" }]) && (e2 = e2.map(function(e3) {
        return e3._;
      }), r2 = void 0), t2 = bi.utils.autoExtFilename(t2, "xlsx", n2);
      var i2 = N();
      "object" == typeof t2 && (n2 = t2, t2 = void 0);
      var h3 = { SheetNames: [], Sheets: {} };
      return n2.sourcefilename ? bi.utils.loadBinaryFile(n2.sourcefilename, !!s2, function(e3) {
        h3 = i2.read(e3, { type: "binary" }), o2();
      }) : o2(), a2 = s2 ? s2(a2) : a2;
      function o2() {
        "object" == typeof n2 && Array.isArray(n2) ? e2 && 0 < e2.length && e2.forEach(function(e3, t3) {
          u2(n2[t3], e3, void 0, t3 + 1);
        }) : u2(n2, e2, r2, 1), function() {
          if (void 0 === t2)
            a2 = h3;
          else if (e3 = N(), c.isNode || c.isMeteorServer)
            e3.writeFile(h3, t2);
          else {
            var e3 = e3.write(h3, { bookType: "xlsx", bookSST: false, type: "binary" });
            if (9 == p())
              throw new Error("Cannot save XLSX files in IE9. Please use XLS() export function");
            ne(new Blob([function(e4) {
              for (var t3 = new ArrayBuffer(e4.length), n3 = new Uint8Array(t3), r3 = 0; r3 != e4.length; ++r3)
                n3[r3] = 255 & e4.charCodeAt(r3);
              return t3;
            }(e3)], { type: "application/octet-stream" }), t2);
          }
        }();
      }
      function u2(e3, r3, t3, n3) {
        n3 = { sheetid: "Sheet " + n3, headers: true };
        bi.utils.extend(n3, e3);
        var s3 = Object.keys(r3).length;
        (!t3 || 0 == t3.length) && 0 < s3 && (t3 = Object.keys(r3[0]).map(function(e4) {
          return { columnid: e4 };
        }));
        var a3 = {}, a3 = (-1 < h3.SheetNames.indexOf(n3.sheetid) || (h3.SheetNames.push(n3.sheetid), h3.Sheets[n3.sheetid] = {}), h3.Sheets[n3.sheetid]), e3 = "A1";
        n3.range && (e3 = n3.range);
        var i3 = bi.utils.xlscn(e3.match(/[A-Z]+/)[0]), e3 = +e3.match(/[0-9]+/)[0] - 1;
        u3 = h3.Sheets[n3.sheetid]["!ref"] ? (u3 = h3.Sheets[n3.sheetid]["!ref"], o3 = bi.utils.xlscn(u3.match(/[A-Z]+/)[0]), +u3.match(/[0-9]+/)[0] - 1) : o3 = 1;
        var o3 = Math.max(i3 + t3.length, o3), u3 = Math.max(e3 + s3 + 2, u3), c2 = 1 + e3;
        h3.Sheets[n3.sheetid]["!ref"] = "A1:" + bi.utils.xlsnc(o3) + u3, n3.headers && (t3.forEach(function(e4, t4) {
          a3[bi.utils.xlsnc(i3 + t4) + "" + c2] = { v: e4.columnid.trim() };
        }), c2++);
        for (var l2 = 0; l2 < s3; l2++)
          t3.forEach(function(e4, t4) {
            var n4 = { v: r3[l2][e4.columnid] };
            "number" == typeof r3[l2][e4.columnid] ? n4.t = "n" : "string" == typeof r3[l2][e4.columnid] ? n4.t = "s" : "boolean" == typeof r3[l2][e4.columnid] ? n4.t = "b" : "object" == typeof r3[l2][e4.columnid] && r3[l2][e4.columnid] instanceof Date && (n4.t = "d"), a3[bi.utils.xlsnc(i3 + t4) + "" + c2] = n4;
          }), c2++;
      }
    }, bi.from.METEOR = function(e2, t2, n2, r2, s2) {
      t2 = e2.find(t2).fetch();
      return t2 = n2 ? n2(t2, r2, s2) : t2;
    }, bi.from.TABLETOP = function(e2, t2, n2, r2, s2) {
      var a2 = [], e2 = { headers: true, simpleSheet: true, key: e2 };
      return bi.utils.extend(e2, t2), e2.callback = function(e3) {
        a2 = e3, n2 && (a2 = n2(a2, r2, s2));
      }, Tabletop.init(e2), null;
    }, bi.from.HTML = function(e2, t2, n2, r2, s2) {
      var a2 = {};
      bi.utils.extend(a2, t2);
      e2 = document.querySelector(e2);
      if (!e2 && "TABLE" !== e2.tagName)
        throw new Error("Selected HTML element is not a TABLE");
      var i2 = [];
      if ((o2 = a2.headers) && !Array.isArray(o2))
        for (var o2 = [], u2 = e2.querySelector("thead tr").children, c2 = 0; c2 < u2.length; c2++)
          u2.item(c2).style && "none" === u2.item(c2).style.display && a2.skipdisplaynone ? o2.push(void 0) : o2.push(u2.item(c2).textContent);
      for (var l2 = e2.querySelectorAll("tbody tr"), h3 = 0; h3 < l2.length; h3++) {
        for (var d2 = l2.item(h3).children, f2 = {}, c2 = 0; c2 < d2.length; c2++)
          d2.item(c2).style && "none" === d2.item(c2).style.display && a2.skipdisplaynone || (o2 ? f2[o2[c2]] = d2.item(c2).textContent : f2[c2] = d2.item(c2).textContent);
        i2.push(f2);
      }
      return i2 = n2 ? n2(i2, r2, s2) : i2;
    }, bi.from.RANGE = function(e2, t2, n2, r2, s2) {
      for (var a2 = [], i2 = e2; i2 <= t2; i2++)
        a2.push(i2);
      return a2 = n2 ? n2(a2, r2, s2) : a2;
    }, bi.from.FILE = function(e2, t2, n2, r2, s2) {
      if ("string" == typeof e2)
        a2 = e2;
      else {
        if (!(e2 instanceof Event))
          throw new Error("Wrong usage of FILE() function");
        a2 = e2.target.files[0].name;
      }
      var a2 = a2.split("."), a2 = a2[a2.length - 1].toUpperCase();
      if (bi.from[a2])
        return bi.from[a2](e2, t2, n2, r2, s2);
      throw new Error("Cannot recognize file type for loading");
    }, bi.from.JSON = function(e2, t2, n2, r2, s2) {
      var a2;
      return e2 = bi.utils.autoExtFilename(e2, "json", t2), bi.utils.loadFile(e2, !!n2, function(e3) {
        a2 = JSON.parse(e3), n2 && (a2 = n2(a2, r2, s2));
      }), a2;
    }, bi.from.TXT = function(e2, t2, r2, s2, a2) {
      var i2;
      return e2 = bi.utils.autoExtFilename(e2, "txt", t2), bi.utils.loadFile(e2, !!r2, function(e3) {
        "" === (i2 = e3.split(/\r?\n/))[i2.length - 1] && i2.pop();
        for (var t3 = 0, n2 = i2.length; t3 < n2; t3++)
          i2[t3] == +i2[t3] && (i2[t3] = +i2[t3]), i2[t3] = [i2[t3]];
        r2 && (i2 = r2(i2, s2, a2));
      }), i2;
    }, bi.from.TAB = bi.from.TSV = function(e2, t2, n2, r2, s2) {
      return (t2 = t2 || {}).separator = "	", e2 = bi.utils.autoExtFilename(e2, "tab", t2), t2.autoext = false, bi.from.CSV(e2, t2, n2, r2, s2);
    }, bi.from.CSV = function(e2, t2, b2, E2, g2) {
      e2 = "" + e2;
      var m2, S2 = { separator: ",", quote: '"', headers: true };
      bi.utils.extend(S2, t2);
      var T2 = [];
      function n2(s2) {
        var e3, a2, t3, i2 = S2.separator.charCodeAt(0), o2 = S2.quote.charCodeAt(0), u2 = {}, c2 = {}, n3 = [], l2 = s2.length, h3 = 0, r2 = 0;
        function d2() {
          if (l2 <= h3)
            return c2;
          if (a2)
            return a2 = false, u2;
          var e4 = h3;
          if (s2.charCodeAt(e4) === o2) {
            for (var t4 = e4; t4++ < l2; )
              if (s2.charCodeAt(t4) === o2) {
                if (s2.charCodeAt(t4 + 1) !== o2)
                  break;
                ++t4;
              }
            return h3 = t4 + 2, 13 === (n4 = s2.charCodeAt(t4 + 1)) ? (a2 = true, 10 === s2.charCodeAt(t4 + 2) && ++h3) : 10 === n4 && (a2 = true), s2.substring(e4 + 1, t4).replace(/""/g, '"');
          }
          for (; h3 < l2; ) {
            var n4, r3 = 1;
            if (10 === (n4 = s2.charCodeAt(h3++)))
              a2 = true;
            else if (13 === n4)
              a2 = true, 10 === s2.charCodeAt(h3) && (++h3, ++r3);
            else if (n4 !== i2)
              continue;
            return s2.substring(e4, h3 - r3);
          }
          return s2.substring(e4);
        }
        for (; (e3 = d2()) !== c2; ) {
          for (var f2, p2 = []; e3 !== u2 && e3 !== c2; )
            p2.push(e3.trim()), e3 = d2();
          S2.headers ? (0 === r2 ? "boolean" == typeof S2.headers ? T2 = p2 : Array.isArray(S2.headers) && (T2 = S2.headers, f2 = {}, T2.forEach(function(e4, t4) {
            f2[e4] = p2[t4], void 0 !== f2[e4] && 0 !== f2[e4].length && f2[e4].trim() == +f2[e4] && (f2[e4] = +f2[e4]);
          }), n3.push(f2)) : (f2 = {}, T2.forEach(function(e4, t4) {
            f2[e4] = p2[t4], void 0 !== f2[e4] && 0 !== f2[e4].length && f2[e4].trim() == +f2[e4] && (f2[e4] = +f2[e4]);
          }), n3.push(f2)), r2++) : n3.push(p2);
        }
        m2 = n3, S2.headers && g2 && g2.sources && g2.sources[E2] && (t3 = g2.sources[E2].columns = [], T2.forEach(function(e4) {
          t3.push({ columnid: e4 });
        })), b2 && (m2 = b2(m2, E2, g2));
      }
      return new RegExp("\n").test(e2) ? n2(e2) : (e2 = bi.utils.autoExtFilename(e2, "csv", t2), bi.utils.loadFile(e2, !!b2, n2, g2.cb)), m2;
    }, bi.from.XLS = function(e2, t2, n2, r2, s2) {
      return t2 = t2 || {}, e2 = bi.utils.autoExtFilename(e2, "xls", t2), t2.autoExt = false, z(N(), e2, t2, n2, r2, s2);
    }, bi.from.XLSX = function(e2, t2, n2, r2, s2) {
      return t2 = t2 || {}, e2 = bi.utils.autoExtFilename(e2, "xlsx", t2), t2.autoExt = false, z(N(), e2, t2, n2, r2, s2);
    }, bi.from.ODS = function(e2, t2, n2, r2, s2) {
      return t2 = t2 || {}, e2 = bi.utils.autoExtFilename(e2, "ods", t2), t2.autoExt = false, z(N(), e2, t2, n2, r2, s2);
    }, bi.from.XML = function(e2, t2, n2, r2, s2) {
      var l2;
      return bi.utils.loadFile(e2, !!n2, function(e3) {
        function a2() {
          var e4 = o2(/^([^<]*)/);
          return e4 ? e4[1] : "";
        }
        function i2() {
          var e4 = o2(/([\w:-]+)\s*=\s*("[^"]*"|'[^']*'|\w+)\s*/);
          if (e4)
            return { name: e4[1], value: e4[2].replace(/^['"]|['"]$/g, "") };
        }
        function o2(e4) {
          e4 = t3.match(e4);
          if (e4)
            return t3 = t3.slice(e4[0].length), e4;
        }
        function u2() {
          return 0 == t3.length;
        }
        function c2(e4) {
          return 0 == t3.indexOf(e4);
        }
        var t3;
        t3 = (t3 = (t3 = e3).trim()).replace(/<!--[\s\S]*?-->/g, ""), l2 = function() {
          return { declaration: function() {
            if (!o2(/^<\?xml\s*/))
              return;
            var e4 = { attributes: {} };
            for (; !u2() && !c2("?>"); ) {
              var t4 = i2();
              if (!t4)
                return e4;
              e4.attributes[t4.name] = t4.value;
            }
            return o2(/\?>\s*/), e4;
          }(), root: function e4() {
            var t4 = o2(/^<([\w-:.]+)\s*/);
            if (!t4)
              return;
            var n3 = { name: t4[1], attributes: {}, children: [] };
            for (; !(u2() || c2(">") || c2("?>") || c2("/>")); ) {
              var r3 = i2();
              if (!r3)
                return n3;
              n3.attributes[r3.name] = r3.value;
            }
            if (o2(/^\s*\/>\s*/))
              return n3;
            o2(/\??>\s*/);
            n3.content = a2();
            var s3;
            for (; s3 = e4(); )
              n3.children.push(s3);
            o2(/^<\/[\w-:.]+>\s*/);
            return n3;
          }() };
        }().root, n2 && (l2 = n2(l2, r2, s2));
      }), l2;
    }, bi.from.GEXF = function(e2, t2, n2, r2, s2) {
      var a2;
      return bi("SEARCH FROM XML(" + e2 + ")", [], function(e3) {
        a2 = e3, n2 && (a2 = n2(a2));
      }), a2;
    }, k.Print = function(e2) {
      return k.extend(this, e2);
    }, k.Print.prototype.toString = function() {
      var e2 = "PRINT";
      return this.statement && (e2 += " " + this.statement.toString()), e2;
    }, k.Print.prototype.execute = function(e2, t2, n2) {
      var r2, s2 = this, a2 = 1;
      return bi.precompile(this, e2, t2), this.exprs && 0 < this.exprs.length ? (r2 = this.exprs.map(function(e3) {
        e3 = new Function("params,alasql,p", "var y;return " + e3.toJS("({})", "", null)).bind(s2)(t2, bi);
        return Y(e3);
      }), console.log.apply(console, r2)) : this.select ? (e2 = this.select.execute(e2, t2), console.log(Y(e2))) : console.log(), a2 = n2 ? n2(a2) : a2;
    }, k.Source = function(e2) {
      return k.extend(this, e2);
    }, k.Source.prototype.toString = function() {
      var e2 = "SOURCE";
      return this.url && (e2 += " '" + this.url + " '"), e2;
    }, k.Source.prototype.execute = function(e2, t2, n2) {
      var r2;
      return o(this.url, !!n2, function(e3) {
        return r2 = bi(e3), r2 = n2 ? n2(r2) : r2;
      }, function(e3) {
        throw e3;
      }), r2;
    }, k.Require = function(e2) {
      return k.extend(this, e2);
    }, k.Require.prototype.toString = function() {
      var e2 = "REQUIRE";
      return this.paths && 0 < this.paths.length && (e2 += this.paths.map(function(e3) {
        return e3.toString();
      }).join(",")), this.plugins && 0 < this.plugins.length && (e2 += this.plugins.map(function(e3) {
        return e3.toUpperCase();
      }).join(",")), e2;
    }, k.Require.prototype.execute = function(e2, n2, r2) {
      var s2 = this, a2 = 0, i2 = "";
      return this.paths && 0 < this.paths.length ? this.paths.forEach(function(e3) {
        o(e3.value, !!r2, function(e4) {
          i2 += e4, ++a2 < s2.paths.length || (new Function("params,alasql", i2)(n2, bi), r2 && (a2 = r2(a2)));
        });
      }) : this.plugins && 0 < this.plugins.length ? this.plugins.forEach(function(t2) {
        bi.plugins[t2] || o(bi.path + "/alasql-" + t2.toLowerCase() + ".js", !!r2, function(e3) {
          i2 += e3, ++a2 < s2.plugins.length || (new Function("params,alasql", i2)(n2, bi), bi.plugins[t2] = true, r2 && (a2 = r2(a2)));
        });
      }) : r2 && (a2 = r2(a2)), a2;
    }, k.Assert = function(e2) {
      return k.extend(this, e2);
    }, k.Source.prototype.toString = function() {
      var e2 = "ASSERT";
      return this.value && (e2 += " " + JSON.stringify(this.value)), e2;
    }, k.Assert.prototype.execute = function(e2) {
      if (!A(bi.res, this.value))
        throw new Error((this.message || "Assert wrong") + ": " + JSON.stringify(bi.res) + " == " + JSON.stringify(this.value));
      return 1;
    };
    I = bi.engines.WEBSQL = function() {
    };
    I.createDatabase = function(e2, t2, n2, r2) {
      var s2 = openDatabase(e2, t2[0], t2[1], t2[2]);
      if (this.dbid && ((t2 = bi.createDatabase(this.dbid)).engineid = "WEBSQL", t2.wdbid = e2, t2.wdb = t2), !s2)
        throw new Error('Cannot create WebSQL database "' + this.dbid + '"');
      return r2 && r2(1), 1;
    }, I.dropDatabase = function(e2) {
      throw new Error("This is impossible to drop WebSQL database.");
    }, I.attachDatabase = function(e2, t2, n2, r2, s2) {
      if (bi.databases[t2])
        throw new Error('Unable to attach database as "' + t2 + '" because it already exists');
      return bi.openDatabase(e2, n2[0], n2[1], n2[2]), 1;
    };
    var Z = bi.engines.INDEXEDDB = function() {
    };
    c.hasIndexedDB && ("function" == typeof c.global.indexedDB.webkitGetDatabaseNames ? Z.getDatabaseNames = c.global.indexedDB.webkitGetDatabaseNames.bind(c.global.indexedDB) : (Z.getDatabaseNames = function() {
      var t2 = {}, n2 = { contains: function(e2) {
        return true;
      }, notsupported: true };
      return setTimeout(function() {
        var e2 = { target: { result: n2 } };
        t2.onsuccess(e2);
      }, 0), t2;
    }, Z.getDatabaseNamesNotSupported = true)), Z.showDatabases = function(a2, i2) {
      Z.getDatabaseNames().onsuccess = function(e2) {
        var t2 = e2.target.result;
        if (Z.getDatabaseNamesNotSupported)
          throw new Error("SHOW DATABASE is not supported in this browser");
        var n2, r2 = [];
        a2 && (n2 = new RegExp(a2.value.replace(/\%/g, ".*"), "g"));
        for (var s2 = 0; s2 < t2.length; s2++)
          a2 && !t2[s2].match(n2) || r2.push({ databaseid: t2[s2] });
        i2(r2);
      };
    }, Z.createDatabase = function(t2, e2, n2, r2, s2) {
      var a2 = c.global.indexedDB;
      n2 ? a2.open(t2, 1).onsuccess = function(e3) {
        e3.target.result.close(), s2 && s2(1);
      } : ((a2 = a2.open(t2, 1)).onupgradeneeded = function(e3) {
        e3.target.transaction.abort();
      }, a2.onsuccess = function(e3) {
        if (!n2)
          throw new Error('IndexedDB: Cannot create new database "' + t2 + '" because it already exists');
        s2 && s2(0);
      });
    }, Z.createDatabase = function(t2, e2, n2, r2, s2) {
      var a2, i2, o2, u2 = c.global.indexedDB;
      Z.getDatabaseNamesNotSupported ? n2 ? (a2 = true, (i2 = u2.open(t2)).onupgradeneeded = function(e3) {
        a2 = false;
      }, i2.onsuccess = function(e3) {
        e3.target.result.close(), a2 ? s2 && s2(0) : s2 && s2(1);
      }) : ((o2 = u2.open(t2)).onupgradeneeded = function(e3) {
        e3.target.transaction.abort();
      }, o2.onabort = function(e3) {
        s2 && s2(1);
      }, o2.onsuccess = function(e3) {
        throw e3.target.result.close(), new Error('IndexedDB: Cannot create new database "' + t2 + '" because it already exists');
      }) : (o2 = Z.getDatabaseNames()).onsuccess = function(e3) {
        if (e3.target.result.contains(t2)) {
          if (n2)
            return void (s2 && s2(0));
          throw new Error('IndexedDB: Cannot create new database "' + t2 + '" because it already exists');
        }
        u2.open(t2, 1).onsuccess = function(e4) {
          e4.target.result.close(), s2 && s2(1);
        };
      };
    }, Z.dropDatabase = function(t2, n2, r2) {
      var s2 = c.global.indexedDB;
      Z.getDatabaseNames().onsuccess = function(e2) {
        if (!e2.target.result.contains(t2)) {
          if (n2)
            return void (r2 && r2(0));
          throw new Error('IndexedDB: Cannot drop new database "' + t2 + '" because it does not exist');
        }
        s2.deleteDatabase(t2).onsuccess = function(e3) {
          r2 && r2(1);
        };
      };
    }, Z.attachDatabase = function(a2, i2, e2, t2, o2) {
      if (!c.hasIndexedDB)
        throw new Error("The current browser does not support IndexedDB");
      var n2 = c.global.indexedDB;
      Z.getDatabaseNames().onsuccess = function(e3) {
        if (!e3.target.result.contains(a2))
          throw new Error('IndexedDB: Cannot attach database "' + a2 + '" because it does not exist');
        n2.open(a2).onsuccess = function(e4) {
          var t3 = e4.target.result, n3 = new bi.Database(i2 || a2);
          n3.engineid = "INDEXEDDB", n3.ixdbid = a2, n3.tables = [];
          for (var r2 = t3.objectStoreNames, s2 = 0; s2 < r2.length; s2++)
            n3.tables[r2[s2]] = {};
          e4.target.result.close(), o2 && o2(1);
        };
      };
    }, Z.createTable = function(n2, r2, e2, s2) {
      var a2 = c.global.indexedDB, i2 = bi.databases[n2].ixdbid;
      Z.getDatabaseNames().onsuccess = function(e3) {
        if (!e3.target.result.contains(i2))
          throw new Error('IndexedDB: Cannot create table in database "' + i2 + '" because it does not exist');
        e3 = a2.open(i2);
        e3.onversionchange = function(e4) {
          e4.target.result.close();
        }, e3.onsuccess = function(e4) {
          var t2 = e4.target.result.version;
          e4.target.result.close();
          t2 = a2.open(i2, t2 + 1);
          t2.onupgradeneeded = function(e5) {
            e5.target.result.createObjectStore(r2, { autoIncrement: true });
          }, t2.onsuccess = function(e5) {
            e5.target.result.close(), s2 && s2(1);
          }, t2.onerror = function(e5) {
            throw e5;
          }, t2.onblocked = function(e5) {
            throw new Error('Cannot create table "' + r2 + '" because database "' + n2 + '"  is blocked');
          };
        };
      };
    }, Z.dropTable = function(n2, r2, s2, a2) {
      var i2 = c.global.indexedDB, o2 = bi.databases[n2].ixdbid;
      Z.getDatabaseNames().onsuccess = function(e2) {
        if (!e2.target.result.contains(o2))
          throw new Error('IndexedDB: Cannot drop table in database "' + o2 + '" because it does not exist');
        e2 = i2.open(o2);
        e2.onversionchange = function(e3) {
          e3.target.result.close();
        }, e2.onsuccess = function(e3) {
          var t2 = e3.target.result.version;
          e3.target.result.close();
          t2 = i2.open(o2, t2 + 1);
          t2.onupgradeneeded = function(e4) {
            e4 = e4.target.result;
            if (e4.objectStoreNames.contains(r2))
              e4.deleteObjectStore(r2), delete bi.databases[n2].tables[r2];
            else if (!s2)
              throw new Error('IndexedDB: Cannot drop table "' + r2 + '" because it does not exist');
          }, t2.onsuccess = function(e4) {
            e4.target.result.close(), a2 && a2(1);
          }, t2.onerror = function(e4) {
            throw e4;
          }, t2.onblocked = function(e4) {
            throw new Error('Cannot drop table "' + r2 + '" because database "' + n2 + '" is blocked');
          };
        };
      };
    }, Z.intoTable = function(e2, a2, i2, t2, o2) {
      var n2 = c.global.indexedDB, e2 = bi.databases[e2].ixdbid;
      n2.open(e2).onsuccess = function(e3) {
        for (var t3 = e3.target.result, e3 = t3.transaction([a2], "readwrite"), n3 = e3.objectStore(a2), r2 = 0, s2 = i2.length; r2 < s2; r2++)
          n3.add(i2[r2]);
        e3.oncomplete = function() {
          t3.close(), o2 && o2(s2);
        };
      };
    }, Z.fromTable = function(e2, r2, s2, a2, i2) {
      var t2 = c.global.indexedDB, e2 = bi.databases[e2].ixdbid;
      t2.open(e2).onsuccess = function(e3) {
        var t3 = [], n2 = e3.target.result, e3 = n2.transaction([r2]).objectStore(r2).openCursor();
        e3.onblocked = function(e4) {
        }, e3.onerror = function(e4) {
        }, e3.onsuccess = function(e4) {
          e4 = e4.target.result;
          e4 ? (t3.push(e4.value), e4.continue()) : (n2.close(), s2 && s2(t3, a2, i2));
        };
      };
    }, Z.deleteFromTable = function(e2, r2, s2, a2, i2) {
      var t2 = c.global.indexedDB, e2 = bi.databases[e2].ixdbid;
      t2.open(e2).onsuccess = function(e3) {
        var t3 = e3.target.result, e3 = t3.transaction([r2], "readwrite").objectStore(r2).openCursor(), n2 = 0;
        e3.onblocked = function(e4) {
        }, e3.onerror = function(e4) {
        }, e3.onsuccess = function(e4) {
          e4 = e4.target.result;
          e4 ? (s2 && !s2(e4.value, a2) || (e4.delete(), n2++), e4.continue()) : (t3.close(), i2 && i2(n2));
        };
      };
    }, Z.updateTable = function(e2, t2, s2, a2, i2, o2) {
      var n2 = c.global.indexedDB, e2 = bi.databases[e2].ixdbid;
      n2.open(e2).onsuccess = function(e3) {
        var n3 = e3.target.result, e3 = n3.transaction([t2], "readwrite").objectStore(t2).openCursor(), r2 = 0;
        e3.onblocked = function(e4) {
        }, e3.onerror = function(e4) {
        }, e3.onsuccess = function(e4) {
          var t3 = e4.target.result;
          t3 ? (a2 && !a2(t3.value, i2) || (e4 = t3.value, s2(e4, i2), t3.update(e4), r2++), t3.continue()) : (n3.close(), o2 && o2(r2));
        };
      };
    };
    var ee = bi.engines.LOCALSTORAGE = function() {
    };
    ee.get = function(e2) {
      var t2, n2 = localStorage.getItem(e2);
      if (void 0 !== n2) {
        try {
          t2 = JSON.parse(n2);
        } catch (e3) {
          throw new Error("Cannot parse JSON object from localStorage" + n2);
        }
        return t2;
      }
    }, ee.set = function(e2, t2) {
      void 0 === t2 ? localStorage.removeItem(e2) : localStorage.setItem(e2, JSON.stringify(t2));
    }, ee.storeTable = function(e2, t2) {
      var n2 = bi.databases[e2], r2 = n2.tables[t2], e2 = {};
      e2.columns = r2.columns, e2.data = r2.data, e2.identities = r2.identities, ee.set(n2.lsdbid + "." + t2, e2);
    }, ee.restoreTable = function(e2, t2) {
      var n2, e2 = bi.databases[e2], r2 = ee.get(e2.lsdbid + "." + t2), s2 = new bi.Table();
      for (n2 in r2)
        s2[n2] = r2[n2];
      return (e2.tables[t2] = s2).indexColumns(), s2;
    }, ee.removeTable = function(e2, t2) {
      e2 = bi.databases[e2];
      localStorage.removeItem(e2.lsdbid + "." + t2);
    }, ee.createDatabase = function(e2, t2, n2, r2, s2) {
      var a2 = 1, i2 = ee.get("alasql");
      if (n2 && i2 && i2.databases && i2.databases[e2])
        a2 = 0;
      else {
        if ((i2 = i2 || { databases: {} }).databases && i2.databases[e2])
          throw new Error('localStorage: Cannot create new database "' + e2 + '" because it already exists');
        i2.databases[e2] = true, ee.set("alasql", i2), ee.set(e2, { databaseid: e2, tables: {} });
      }
      return a2 = s2 ? s2(a2) : a2;
    }, ee.dropDatabase = function(e2, t2, n2) {
      var r2, s2 = 1, a2 = ee.get("alasql");
      if (t2 && a2 && a2.databases && !a2.databases[e2])
        s2 = 0;
      else {
        if (!a2) {
          if (t2)
            return n2 ? n2(0) : 0;
          throw new Error("There is no any AlaSQL databases in localStorage");
        }
        if (a2.databases && !a2.databases[e2])
          throw new Error('localStorage: Cannot drop database "' + e2 + '" because there is no such database');
        for (r2 in delete a2.databases[e2], ee.set("alasql", a2), ee.get(e2).tables)
          localStorage.removeItem(e2 + "." + r2);
        localStorage.removeItem(e2);
      }
      return s2 = n2 ? n2(s2) : s2;
    }, ee.attachDatabase = function(e2, t2, n2, r2, s2) {
      var a2 = 1;
      if (bi.databases[t2])
        throw new Error('Unable to attach database as "' + t2 + '" because it already exists');
      t2 = t2 || e2;
      var i2 = new bi.Database(t2);
      if (i2.engineid = "LOCALSTORAGE", i2.lsdbid = e2, i2.tables = ee.get(e2).tables, !bi.options.autocommit && i2.tables)
        for (var o2 in i2.tables)
          ee.restoreTable(t2, o2);
      return a2 = s2 ? s2(a2) : a2;
    }, ee.showDatabases = function(e2, t2) {
      var n2, r2 = [], s2 = ee.get("alasql");
      if (e2 && (n2 = new RegExp(e2.value.replace(/%/g, ".*"), "g")), s2 && s2.databases) {
        for (var a2 in s2.databases)
          r2.push({ databaseid: a2 });
        e2 && r2 && 0 < r2.length && (r2 = r2.filter(function(e3) {
          return e3.databaseid.match(n2);
        }));
      }
      return r2 = t2 ? t2(r2) : r2;
    }, ee.createTable = function(e2, t2, n2, r2) {
      var s2 = 1, a2 = bi.databases[e2].lsdbid;
      if (ee.get(a2 + "." + t2) && !n2)
        throw new Error('Table "' + t2 + '" alsready exists in localStorage database "' + a2 + '"');
      n2 = ee.get(a2), bi.databases[e2].tables[t2];
      return n2.tables[t2] = true, ee.set(a2, n2), ee.storeTable(e2, t2), s2 = r2 ? r2(s2) : s2;
    }, ee.truncateTable = function(e2, t2, n2, r2) {
      var s2 = 1, a2 = bi.databases[e2].lsdbid, a2 = bi.options.autocommit ? ee.get(a2) : bi.databases[e2];
      if (!n2 && !a2.tables[t2])
        throw new Error('Cannot truncate table "' + t2 + '" in localStorage, because it does not exist');
      return ee.restoreTable(e2, t2).data = [], ee.storeTable(e2, t2), s2 = r2 ? r2(s2) : s2;
    }, ee.dropTable = function(e2, t2, n2, r2) {
      var s2 = 1, a2 = bi.databases[e2].lsdbid, i2 = bi.options.autocommit ? ee.get(a2) : bi.databases[e2];
      if (!n2 && !i2.tables[t2])
        throw new Error('Cannot drop table "' + t2 + '" in localStorage, because it does not exist');
      return delete i2.tables[t2], ee.set(a2, i2), ee.removeTable(e2, t2), s2 = r2 ? r2(s2) : s2;
    }, ee.fromTable = function(e2, t2, n2, r2, s2) {
      bi.databases[e2].lsdbid;
      t2 = ee.restoreTable(e2, t2).data;
      return t2 = n2 ? n2(t2, r2, s2) : t2;
    }, ee.intoTable = function(e2, t2, n2, r2, s2) {
      bi.databases[e2].lsdbid;
      var a2, i2 = n2.length, o2 = ee.restoreTable(e2, t2);
      for (a2 in o2.identities) {
        var u2, c2 = o2.identities[a2];
        for (u2 in n2)
          n2[u2][a2] = c2.value, c2.value += c2.step;
      }
      return o2.data || (o2.data = []), o2.data = o2.data.concat(n2), ee.storeTable(e2, t2), i2 = s2 ? s2(i2) : i2;
    }, ee.loadTableData = function(e2, t2) {
      bi.databases[e2], bi.databases[e2].lsdbid;
      ee.restoreTable(e2, t2);
    }, ee.saveTableData = function(e2, t2) {
      var n2 = bi.databases[e2], e2 = bi.databases[e2].lsdbid;
      ee.storeTable(e2, t2), n2.tables[t2].data = void 0;
    }, ee.commit = function(e2, t2) {
      var n2 = bi.databases[e2], r2 = bi.databases[e2].lsdbid, s2 = { databaseid: r2, tables: {} };
      if (n2.tables)
        for (var a2 in n2.tables)
          s2.tables[a2] = true, ee.storeTable(e2, a2);
      return ee.set(r2, s2), t2 ? t2(1) : 1;
    }, ee.begin = ee.commit, ee.rollback = function(e2, t2) {
    };
    I = bi.engines.SQLITE = function() {
    };
    I.createDatabase = function(e2, t2, n2, r2, s2) {
      throw new Error("Connot create SQLITE database in memory. Attach it.");
    }, I.dropDatabase = function(e2) {
      throw new Error("This is impossible to drop SQLite database. Detach it.");
    }, I.attachDatabase = function(t2, r2, n2, e2, s2) {
      var a2;
      if (bi.databases[r2])
        throw new Error('Unable to attach database as "' + r2 + '" because it already exists');
      if (n2[0] && n2[0] instanceof k.StringValue || n2[0] instanceof k.ParamValue)
        return n2[0] instanceof k.StringValue ? a2 = n2[0].value : n2[0] instanceof k.ParamValue && (a2 = e2[n2[0].param]), bi.utils.loadBinaryFile(a2, true, function(e3) {
          var n3 = new bi.Database(r2 || t2);
          n3.engineid = "SQLITE", n3.sqldbid = t2;
          e3 = n3.sqldb = new SQL.Database(e3);
          n3.tables = [], e3.exec("SELECT * FROM sqlite_master WHERE type='table'")[0].values.forEach(function(e4) {
            n3.tables[e4[1]] = {};
            var t3 = n3.tables[e4[1]].columns = [], e4 = bi.parse(e4[4]).statements[0].columns;
            e4 && 0 < e4.length && e4.forEach(function(e5) {
              t3.push(e5);
            });
          }), s2(1);
        }, function(e3) {
          throw new Error('Cannot open SQLite database file "' + n2[0].value + '"');
        }), 1;
      throw new Error("Cannot attach SQLite database without a file");
    }, I.fromTable = function(e2, t2, n2, r2, s2) {
      var t2 = bi.databases[e2].sqldb.exec("SELECT * FROM " + t2), a2 = s2.sources[r2].columns = [];
      0 < t2[0].columns.length && t2[0].columns.forEach(function(e3) {
        a2.push({ columnid: e3 });
      });
      var i2 = [];
      0 < t2[0].values.length && t2[0].values.forEach(function(n3) {
        var r3 = {};
        a2.forEach(function(e3, t3) {
          r3[e3.columnid] = n3[t3];
        }), i2.push(r3);
      }), n2 && n2(i2, r2, s2);
    }, I.intoTable = function(e2, t2, n2, r2, s2) {
      for (var a2 = bi.databases[e2].sqldb, i2 = 0, o2 = n2.length; i2 < o2; i2++) {
        var u2 = "INSERT INTO " + t2 + " (", c2 = n2[i2], l2 = Object.keys(c2);
        u2 += l2.join(","), u2 += ") VALUES (", u2 += l2.map(function(e3) {
          e3 = c2[e3];
          return e3 = "string" == typeof e3 ? "'" + e3 + "'" : e3;
        }).join(","), u2 += ")", a2.exec(u2);
      }
      e2 = o2;
      return s2 && s2(e2), e2;
    };
    var te = bi.engines.FILESTORAGE = bi.engines.FILE = function() {
    };
    if (te.createDatabase = function(e2, t2, n2, r2, s2) {
      var a2 = 1, i2 = t2[0].value;
      return bi.utils.fileExists(i2, function(e3) {
        if (e3) {
          if (n2)
            return a2 = 0, a2 = s2 ? s2(a2) : a2;
          throw new Error("Cannot create new database file, because it already exists");
        }
        bi.utils.saveFile(i2, JSON.stringify({ tables: {} }), function(e4) {
          s2 && (a2 = s2(a2));
        });
      }), a2;
    }, te.dropDatabase = function(e2, t2, n2) {
      var r2, s2 = "";
      return "object" == typeof e2 && e2.value ? s2 = e2.value : (s2 = (bi.databases[e2] || {}).filename || "", delete bi.databases[e2]), bi.utils.fileExists(s2, function(e3) {
        if (e3)
          r2 = 1, bi.utils.deleteFile(s2, function() {
            r2 = 1, n2 && (r2 = n2(r2));
          });
        else {
          if (!t2)
            throw new Error("Cannot drop database file, because it does not exist");
          r2 = 0, n2 && (r2 = n2(r2));
        }
      }), r2;
    }, te.attachDatabase = function(e2, t2, n2, r2, s2) {
      var a2 = 1;
      if (bi.databases[t2])
        throw new Error('Unable to attach database as "' + t2 + '" because it already exists');
      var i2 = new bi.Database(t2 || e2);
      return i2.engineid = "FILESTORAGE", i2.filename = n2[0].value, o(i2.filename, !!s2, function(e3) {
        try {
          i2.data = JSON.parse(e3);
        } catch (e4) {
          throw new Error("Data in FileStorage database are corrupted");
        }
        if (i2.tables = i2.data.tables, !bi.options.autocommit && i2.tables)
          for (var t3 in i2.tables)
            i2.tables[t3].data = i2.data[t3];
        s2 && (a2 = s2(a2));
      }), a2;
    }, te.createTable = function(e2, t2, n2, r2) {
      var s2 = bi.databases[e2];
      if (s2.data[t2] && !n2)
        throw new Error('Table "' + t2 + '" alsready exists in the database "' + fsdbid + '"');
      n2 = bi.databases[e2].tables[t2];
      return s2.data.tables[t2] = { columns: n2.columns }, s2.data[t2] = [], te.updateFile(e2), r2 && r2(1), 1;
    }, te.updateFile = function(e2) {
      var t2 = bi.databases[e2];
      t2.issaving ? t2.postsave = true : (t2.issaving = true, t2.postsave = false, bi.utils.saveFile(t2.filename, JSON.stringify(t2.data), function() {
        t2.issaving = false, t2.postsave && setTimeout(function() {
          te.updateFile(e2);
        }, 50);
      }));
    }, te.dropTable = function(e2, t2, n2, r2) {
      var s2 = bi.databases[e2];
      if (!n2 && !s2.tables[t2])
        throw new Error('Cannot drop table "' + t2 + '" in fileStorage, because it does not exist');
      return delete s2.tables[t2], delete s2.data.tables[t2], delete s2.data[t2], te.updateFile(e2), r2 && r2(1), 1;
    }, te.fromTable = function(e2, t2, n2, r2, s2) {
      t2 = bi.databases[e2].data[t2];
      return t2 = n2 ? n2(t2, r2, s2) : t2;
    }, te.intoTable = function(e2, t2, n2, r2, s2) {
      var a2 = bi.databases[e2], i2 = n2.length, o2 = (o2 = a2.data[t2]) || [];
      return a2.data[t2] = o2.concat(n2), te.updateFile(e2), s2 && s2(i2), i2;
    }, te.loadTableData = function(e2, t2) {
      e2 = bi.databases[e2];
      e2.tables[t2].data = e2.data[t2];
    }, te.saveTableData = function(e2, t2) {
      var n2 = bi.databases[e2];
      n2.data[t2] = n2.tables[t2].data, n2.tables[t2].data = null, te.updateFile(e2);
    }, te.commit = function(e2, t2) {
      var n2 = bi.databases[e2];
      if (n2.tables)
        for (var r2 in n2.tables)
          n2.data.tables[r2] = { columns: n2.tables[r2].columns }, n2.data[r2] = n2.tables[r2].data;
      return te.updateFile(e2), t2 ? t2(1) : 1;
    }, te.begin = te.commit, te.rollback = function(r2, s2) {
      var a2 = 1, i2 = bi.databases[r2];
      i2.dbversion++, function e2() {
        setTimeout(function() {
          return i2.issaving ? e2() : void bi.loadFile(i2.filename, !!s2, function(e3) {
            for (var t2 in i2.data = e3, i2.tables = {}, i2.data.tables) {
              var n2 = new bi.Table({ columns: i2.data.tables[t2].columns });
              y(n2, i2.data.tables[t2]), i2.tables[t2] = n2, bi.options.autocommit || (i2.tables[t2].data = i2.data[t2]), i2.tables[t2].indexColumns();
            }
            delete bi.databases[r2], bi.databases[r2] = new bi.Database(r2), y(bi.databases[r2], i2), bi.databases[r2].engineid = "FILESTORAGE", bi.databases[r2].filename = i2.filename, s2 && (a2 = s2(a2));
          });
        }, 100);
      }();
    }, c.isBrowser && !c.isWebWorker) {
      if (!(bi = bi || false))
        throw new Error("alasql was not found");
      bi.worker = function() {
        throw new Error("Can find webworker in this enviroment");
      }, "undefined" != typeof Worker && (bi.worker = function(e2, t2, n2) {
        if (void 0 === (e2 = true === e2 ? void 0 : e2))
          for (var r2 = document.getElementsByTagName("script"), s2 = 0; s2 < r2.length; s2++) {
            if ("alasql-worker.js" === r2[s2].src.substr(-16).toLowerCase()) {
              e2 = r2[s2].src.substr(0, r2[s2].src.length - 16) + "alasql.js";
              break;
            }
            if ("alasql-worker.min.js" === r2[s2].src.substr(-20).toLowerCase()) {
              e2 = r2[s2].src.substr(0, r2[s2].src.length - 20) + "alasql.min.js";
              break;
            }
            if ("alasql.js" === r2[s2].src.substr(-9).toLowerCase()) {
              e2 = r2[s2].src;
              break;
            }
            if ("alasql.min.js" === r2[s2].src.substr(-13).toLowerCase()) {
              e2 = r2[s2].src.substr(0, r2[s2].src.length - 13) + "alasql.min.js";
              break;
            }
          }
        if (void 0 === e2)
          throw new Error("Path to alasql.js is not specified");
        var a2;
        false !== e2 ? (a2 = "importScripts('", a2 += e2, a2 += "');self.onmessage = function(event) {alasql(event.data.sql,event.data.params, function(data){postMessage({id:event.data.id, data:data});});}", a2 = new Blob([a2], { type: "text/plain" }), bi.webworker = new Worker(URL.createObjectURL(a2)), bi.webworker.onmessage = function(e3) {
          var t3 = e3.data.id;
          bi.buffer[t3](e3.data.data), delete bi.buffer[t3];
        }, bi.webworker.onerror = function(e3) {
          throw e3;
        }, 1 < arguments.length && (t2 = "REQUIRE " + t2.map(function(e3) {
          return '"' + e3 + '"';
        }).join(","), bi(t2, [], n2))) : false === e2 && delete bi.webworker;
      });
      var ne = ne || function(o2) {
        if (!(void 0 === o2 || "undefined" != typeof navigator && /MSIE [1-9]\./.test(navigator.userAgent))) {
          var e2 = o2.document, u2 = function() {
            return o2.URL || o2.webkitURL || o2;
          }, c2 = e2.createElementNS("http://www.w3.org/1999/xhtml", "a"), l2 = "download" in c2, h3 = /constructor/i.test(o2.HTMLElement) || o2.safari, d2 = /CriOS\/[\d]+/.test(navigator.userAgent), f2 = function(e3) {
            setTimeout(function() {
              "string" == typeof e3 ? u2().revokeObjectURL(e3) : e3.remove();
            }, 4e4);
          }, p2 = function(e3, t2, n2) {
            for (var r3 = (t2 = [].concat(t2)).length; r3--; ) {
              var s2 = e3["on" + t2[r3]];
              if ("function" == typeof s2)
                try {
                  s2.call(e3, n2 || e3);
                } catch (e4) {
                  !function(e5) {
                    (o2.setImmediate || o2.setTimeout)(function() {
                      throw e5;
                    }, 0);
                  }(e4);
                }
            }
          }, b2 = function(e3) {
            return /^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(e3.type) ? new Blob([String.fromCharCode(65279), e3], { type: e3.type }) : e3;
          }, r2 = function(e3, n2, t2) {
            t2 || (e3 = b2(e3));
            function r3() {
              p2(a2, "writestart progress write writeend".split(" "));
            }
            var s2, a2 = this, i2 = "application/octet-stream" === e3.type;
            if (a2.readyState = a2.INIT, l2)
              return s2 = u2().createObjectURL(e3), void setTimeout(function() {
                var e4, t3;
                c2.href = s2, c2.download = n2, e4 = c2, t3 = new MouseEvent("click"), e4.dispatchEvent(t3), r3(), f2(s2), a2.readyState = a2.DONE;
              });
            !function() {
              if ((d2 || i2 && h3) && o2.FileReader) {
                var t3 = new FileReader();
                return t3.onloadend = function() {
                  var e4 = d2 ? t3.result : t3.result.replace(/^data:[^;]*;/, "data:attachment/file;");
                  o2.open(e4, "_blank") || (o2.location.href = e4), e4 = void 0, a2.readyState = a2.DONE, r3();
                }, t3.readAsDataURL(e3), a2.readyState = a2.INIT;
              }
              s2 = s2 || u2().createObjectURL(e3), !i2 && o2.open(s2, "_blank") || (o2.location.href = s2), a2.readyState = a2.DONE, r3(), f2(s2);
            }();
          }, e2 = r2.prototype;
          return "undefined" != typeof navigator && navigator.msSaveOrOpenBlob ? function(e3, t2, n2) {
            return t2 = t2 || e3.name || "download", n2 || (e3 = b2(e3)), navigator.msSaveOrOpenBlob(e3, t2);
          } : (e2.abort = function() {
          }, e2.readyState = e2.INIT = 0, e2.WRITING = 1, e2.DONE = 2, e2.error = e2.onwritestart = e2.onprogress = e2.onwrite = e2.onabort = e2.onerror = e2.onwriteend = null, function(e3, t2, n2) {
            return new r2(e3, t2 || e3.name || "download", n2);
          });
        }
      }("undefined" != typeof self && self || "undefined" != typeof window && window || this.content);
      module.exports ? module.exports.saveAs = ne : false, (c.isCordova || c.isMeteorServer || c.isNode) && console.warn("It looks like you are using the browser version of AlaSQL. Please use the alasql.fs.js file instead."), bi.utils.saveAs = ne;
    }
    return new n("alasql"), bi.use("alasql"), bi;
  });
})(alasql_min, alasql_min.exports);
var alasql = alasql_min.exports;
var DataTable_vue_vue_type_style_index_0_lang = "";
const _hoisted_1 = ["source", "columns", "id"];
const _hoisted_2 = {
  key: 2,
  class: "w-full flex justify-center"
};
const TableColors = {
  string: "green",
  double: "blue",
  boolean: "indigo",
  timestamp: "red",
  category: "orange",
  integer: "teal",
  index: "black",
  unknown: "black"
};
const TableIcons = {
  string: "font",
  timestamp: "calendar",
  category: "cubes",
  double: "bar-chart",
  boolean: "toggle-on",
  integer: "bar-chart",
  index: "list-ol",
  unknown: "circle"
};
const DEFAULT_QUERY = "SELECT * FROM $table";
const SCHEMA_SEARCH_LIMIT = 10;
const DISTINCT_CATEGORIES_LIMIT = 8;
const _sfc_main = defineComponent({
  __name: "DataTable",
  props: {
    singleBlockEmbed: { type: Boolean },
    data: null,
    cells: null,
    schema: null,
    previewMode: { type: Boolean },
    refId: null,
    getCsvText: null,
    downloadLocal: null,
    downloadRemote: null
  },
  emits: ["load-full"],
  setup(__props, { emit }) {
    const p = __props;
    const query = ref(DEFAULT_QUERY);
    const queryResult = ref();
    const queryOpen = ref(false);
    const queryErrors = ref();
    const schema = computed(() => {
      var _a, _b;
      return (_b = (_a = queryResult.value) == null ? void 0 : _a.schema) != null ? _b : p.schema;
    });
    const data = computed(() => {
      var _a, _b;
      return (_b = (_a = queryResult.value) == null ? void 0 : _a.data) != null ? _b : p.data;
    });
    defineCustomElements();
    const numericCellCompare = (prop, a, b) => {
      const av = a[prop];
      const bv = b[prop];
      return av === bv ? 0 : av > bv ? 1 : -1;
    };
    const createHeader = (h2, column) => {
      const columnType = column.type || "unknown";
      const iconName = TableIcons[columnType];
      const colorName = TableColors[columnType];
      return h2(
        "div",
        {
          class: "flex items-center w-full whitespace-nowrap overflow-hidden"
        },
        h2("i", {
          class: `fa fa-${iconName} pr-2 text-${colorName}-400`
        }),
        h2("div", {}, column.name)
      );
    };
    const getColumnType = (columnType) => {
      switch (columnType) {
        case "double":
        case "integer":
          return "number";
        case "timestamp":
          return "date";
        case "category":
          return "select";
        default:
          return "string";
      }
    };
    const cols = computed(() => {
      const firstRow = p.data[0];
      if (p.previewMode || !firstRow) {
        return [];
      }
      const colNames = schema.value && schema.value.length ? schema.value.map((s) => s.name) : Object.keys(firstRow);
      return colNames.map((n) => {
        const schemaField = schema.value && schema.value.find((f) => f.name === n);
        const schemaType = schemaField && schemaField.type ? schemaField.type : "string";
        const columnType = getColumnType(schemaType);
        return {
          prop: n,
          name: n,
          size: 200,
          sortable: true,
          columnType,
          type: schemaType,
          filter: columnType,
          autoSize: true,
          cellCompare: columnType === "number" ? numericCellCompare : void 0,
          columnTemplate: createHeader
        };
      });
    });
    const runQuery = () => {
      var _a;
      const guessQueryColumnType = (col, queryData) => {
        const guessValueType = (v) => {
          if (Number(v) === v && `${v}`.includes(".")) {
            return "double";
          } else if (Number(v) === v) {
            return "integer";
          } else if (Boolean(v) === v) {
            return "boolean";
          } else {
            return "string";
          }
        };
        const rowLimit = Math.min(SCHEMA_SEARCH_LIMIT, p.data.length - 1);
        const firstNRows = queryData.slice(0, rowLimit).map((r) => r[col]);
        const rowTypes2 = firstNRows.map(guessValueType);
        const isAllTypesEqual = rowTypes2.every(
          (rowType) => rowType === rowTypes2[0]
        );
        if (isAllTypesEqual && rowTypes2[0] !== "string") {
          return rowTypes2[0];
        } else if ([...new Set(firstNRows)].length <= DISTINCT_CATEGORIES_LIMIT) {
          return "category";
        } else {
          return "string";
        }
      };
      const buildSchema = (queryData) => {
        const columns = Object.keys(queryData[0]);
        return columns.map((col) => ({
          name: col,
          type: guessQueryColumnType(col, queryData)
        }));
      };
      queryErrors.value = null;
      try {
        const alasqlQuery = (_a = query.value) == null ? void 0 : _a.replace(/\$table/g, "?");
        const queryData = alasql(alasqlQuery, [p.data]);
        const querySchema = queryData.length ? buildSchema(queryData) : [];
        queryResult.value = { data: queryData, schema: querySchema };
      } catch (e) {
        queryErrors.value = e;
      }
    };
    const onQueryChange = (newQuery) => {
      query.value = newQuery;
    };
    const clearQuery = () => {
      queryResult.value = null;
      queryErrors.value = null;
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        "data-cy": "block-datatable",
        class: normalizeClass([
          "rounded shadow w-full",
          { "h-full flex flex-col": p.singleBlockEmbed }
        ])
      }, [
        createVNode(_sfc_main$2, {
          "single-block-embed": p.singleBlockEmbed,
          "preview-mode": p.previewMode,
          "query-open": queryOpen.value,
          rows: p.data.length,
          columns: unref(cols).length,
          cells: p.cells,
          "get-csv-text": p.getCsvText,
          "download-local": p.downloadLocal,
          "download-remote": p.downloadRemote,
          onToggleQueryOpen: _cache[0] || (_cache[0] = ($event) => queryOpen.value = !queryOpen.value)
        }, null, 8, ["single-block-embed", "preview-mode", "query-open", "rows", "columns", "cells", "get-csv-text", "download-local", "download-remote"]),
        queryOpen.value ? (openBlock(), createBlock(_sfc_main$1, {
          key: 0,
          errors: queryErrors.value,
          initialQuery: query.value,
          onQueryChange,
          onRunQuery: runQuery,
          onClearQuery: clearQuery
        }, null, 8, ["errors", "initialQuery"])) : createCommentVNode("", true),
        unref(cols).length && !p.previewMode ? (openBlock(), createElementBlock("revo-grid", {
          key: 1,
          theme: "compact",
          source: unref(data),
          columns: unref(cols),
          class: normalizeClass({
            "flex-1": p.singleBlockEmbed,
            "h-96": !p.singleBlockEmbed
          }),
          resize: true,
          autoSizeColumn: true,
          rowHeaders: true,
          filter: true,
          readonly: true,
          exporting: true,
          id: `grid-${p.refId}`
        }, null, 10, _hoisted_1)) : createCommentVNode("", true),
        p.previewMode ? (openBlock(), createElementBlock("div", _hoisted_2, [
          createVNode(_sfc_main$5, {
            dataCy: "button-load-dataset",
            onClick: _cache[1] || (_cache[1] = ($event) => emit("load-full")),
            icon: "fa fa-table"
          }, {
            default: withCtx(() => [
              createTextVNode(" Click to load dataset (" + toDisplayString(unref(formatNumber)(p.cells)) + " cells) ", 1)
            ]),
            _: 1
          })
        ])) : createCommentVNode("", true)
      ], 2);
    };
  }
});
export { _sfc_main as default };
